Group: System/Base
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global debug_package %{nil}

Name:           0xFFFF
Version:        0.9
Release:        alt1_2
Summary:        The Open Free Fiasco Firmware Flasher
License:        GPLv3
URL:            https://talk.maemo.org/showthread.php?t=87996
Source0:        https://github.com/pali/%{name}/releases/download/%{version}/%{name}-%{version}.tar.gz
BuildRequires:  gcc
BuildRequires:  libusb-compat-devel
Source44: import.info

%description
The 'Open Free Fiasco Firmware Flasher' aka 0xFFFF utility implements
a free (GPL3) userspace handler for the NOLO bootloader and related
utilities for the Nokia Internet Tablets like flashing setting device
options, packing/unpacking FIASCO firmware format and more.

%prep
%setup -q


%build
%make_build -C src

%install
%makeinstall_std PREFIX=/usr

%files
%doc README INSTALL
%doc --no-dereference COPYING
%{_bindir}/*
%{_mandir}/man1/0xFFFF.1*

%changelog
