# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++ libGLU-devel
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define srcname	2ManDVD

Name:		2mandvd
Version:	1.8.5
Release:	alt2_8
Summary:	Video DVD creation tool, successor to ManDVD
# GPLv2 and LGPL for some icons
License:	GPLv2 and LGPL
Group:		Video
URL:		http://2mandvd.tuxfamily.org/website/
Source0:	http://download.tuxfamily.org/2mandvd/%{srcname}-%{version}.tar.gz
Patch1:		2ManDVD-1.8.4-fix_install.patch
Patch2:		2ManDVD-1.8.5-libavformat54.patch
Patch3:		2mandvd-1.8.5-ffmpeg3.patch
Patch4:		2mandvd-gcc7.patch
BuildRequires:	libqt4-devel qt5-declarative-devel qt5-tools
BuildRequires:	libavcodec-devel libavdevice-devel libavfilter-devel libavformat-devel libavresample-devel libavutil-devel libpostproc-devel libswresample-devel libswscale-devel
BuildRequires:	pkgconfig(sdl)

Requires:	dvd+rw-tools
Requires:	dvdauthor
Requires:	ffmpeg ffplay ffprobe
Requires:	ffmpegthumbnailer
Requires:	mencoder mplayer-tools
Requires:	mjpegtools
Requires:	mkisofs
Requires:	mplayer mplayer-tools
Requires:	netpbm
Requires:	sox-base
Requires:	exif
Requires:	transcode
Obsoletes:	2ManDVD
Source44: import.info

%description
2ManDVD is a graphical tool for creating Video DVDs and slideshows, including
menus.

N.B. Executable name is 2ManDVD

%prep
%setup -q -n %{srcname}
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1


%build
%qmake_qt4 2ManDVD.pro
%make_build

%install
%makeinstall_std INSTALL_ROOT=%{buildroot}

%files
%doc README.txt
%{_bindir}/%{srcname}
%{_bindir}/fake.pl
%dir %{_datadir}/%{srcname}
%{_datadir}/%{srcname}/2mandvd_*.qm
%{_datadir}/%{srcname}/Bibliotheque
%{_datadir}/%{srcname}/mandvdico.png
%{_datadir}/applications/%{srcname}.desktop


%changelog
