Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-setuptools
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           5minute
Version:        0.2.32
Release:        alt2_10
Summary:        Give me an instance of mine image on OpenStack. Hurry!
License:        GPLv2
URL:            https://github.com/SatelliteQE/%{name}/
Source0:        https://github.com/SatelliteQE/%{name}/archive/%{name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3
BuildRequires:  python3-module-cinderclient
BuildRequires:  python3-module-heatclient
BuildRequires:  python3-module-neutronclient
BuildRequires:  python3-module-xmltodict
BuildRequires:  python3-module-prettytable
BuildRequires:  python3-module-novaclient
BuildRequires:  python3-module-keystoneclient
BuildRequires:  python3-module-glanceclient
BuildRequires:  python3-module-distribute
Requires:       python3
Requires:       python3-module-cinderclient
Requires:       python3-module-heatclient
Requires:       python3-module-neutronclient
Requires:       python3-module-xmltodict
Requires:       python3-module-prettytable
Requires:       python3-module-novaclient
Requires:       python3-module-keystoneclient
Requires:       python3-module-glanceclient
Source44: import.info

%description
This is a command-line tool to provide and maintain virtual machine on
OpenStack instance or set of instances based on pre-prepared image and
scenario configuration file which defines network setup. This way if you
prepare OpenStack image(s), maybe with complex setup on them, you can
easily provide hosts for development, testing or to scale your production
environment from command-line.

%prep
%setup -q -n %{name}-%{name}-%{version}



%build
%python3_build

%install
%python3_install

%check
%{__python3} setup.py test

%files
%doc --no-dereference LICENSE
%doc README.md
%{_bindir}/%{name}
%{python3_sitelibdir_noarch}/*

%changelog
