Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Summary: IrcII chat client
Name: BitchX
Version: 1.2.1
Release: alt2_25
License: BSD and GPLv2+
URL: http://www.bitchx.org
Source0: http://www.bitchx.ca/%{name}-%{version}.tar.gz
#RHBZ 1037000
Patch0: format-security.patch
Patch1: configure_openssl_SSLeay.patch
Patch2: remove-duplicate-symbols.patch
Patch3: expr2_static_inline.patch
BuildRequires:  gcc
BuildRequires: libncurses++-devel libncurses-devel libncursesw-devel libtic-devel libtinfo-devel libssl-devel glib2-devel libgio libgio-devel libcrypt-devel
Source44: import.info

%description
BitchX: The ultimate IRC client

%prep
%setup -q -n %{name}-%{version} 
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
%configure --with-plugins --with-ssl --enable-ipv6
gmake V=1

%install
make DESTDIR=%{buildroot} install

%files
%doc Changelog COPYRIGHT README README-1.1
%{_bindir}/BitchX
%{_bindir}/BitchX-1.2.1
%{_bindir}/scr-bx
%{_libdir}/bx/
%{_mandir}/man1/*

%changelog
