Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
BuildRequires: python-module-setuptools
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name: NFStest		
Version: 2.1.5
Release: alt2_11
Summary: NFS Testing Tool

License: GPLv2+ 
URL: http://wiki.linux-nfs.org/wiki/index.php/NFStest
Source0: http://www.linux-nfs.org/~mora/nfstest/releases/%{name}-%{version}.tar.gz

BuildArch: noarch
BuildRequires: python-devel
Requires: nfs-clients nfs-server nfs-stats nfs-utils sudo tcpdump tcpslice 
Requires: coreutils arpd iproute2 iptables 
Requires: openssh-clients psmisc cfdisk eject fdisk getopt hwclock look lsblk msulogin rfkill setarch sfdisk util-linux
Source44: import.info

%description
Provides a set of tools for testing either the NFS client or the NFS server, 
most of the functionality is focused mainly on testing the client. 
%prep
%setup -q

%build
%python_build

%install
%python_install

%files
%{_bindir}/nfstest_alloc
%{_bindir}/nfstest_cache
%{_bindir}/nfstest_delegation
%{_bindir}/nfstest_dio
%{_bindir}/nfstest_file
%{_bindir}/nfstest_interop
%{_bindir}/nfstest_io
%{_bindir}/nfstest_lock
%{_bindir}/nfstest_pkt
%{_bindir}/nfstest_pnfs
%{_bindir}/nfstest_posix
%{_bindir}/nfstest_sparse
%{_bindir}/nfstest_xid
%{_bindir}/nfstest_ssc
%{_mandir}/*/*
#For noarch packages: sitelib
%{python_sitelibdir_noarch}/*

%doc COPYING README

%changelog
