Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/desktop-file-validate
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define nameapp pencil2d

Name:           Pencil2D
Version:        0.6.5
Release:        alt2_4
Summary:        Animation/drawing software
License:        GPLv2
URL:            https://github.com/pencil2d/pencil
Source0:	%{url}/archive/v%{version}/pencil-%{version}.tar.gz

BuildRequires:	desktop-file-utils
BuildRequires:  gcc-c++
BuildRequires:  qt5-base-devel
BuildRequires:  qt5-multimedia-devel
BuildRequires:  qt5-svg-devel
BuildRequires:  qt5-xmlpatterns-devel
Requires:       icon-theme-hicolor
Source44: import.info

%description
Pencil2D lets you create traditional hand-drawn animation

%prep
%setup -q -n pencil-%{version}


%build
# Workaround for CJK characters in filenames
# Merged to master, not yet released: https://github.com/pencil2d/pencil/issues/1410
export LANG=en_US.UTF-8
%qmake_qt5 PREFIX=%{_prefix}
%make_build

%install
export INSTALL_ROOT=%{buildroot}
%makeinstall_std

%check
desktop-file-validate %{buildroot}%{_datadir}/applications/*.desktop

# Run catch tests
./tests/bin/tests

%files
%doc --no-dereference LICENSE.TXT
%doc docs/*
%{_bindir}/%{nameapp}
%{_datadir}/applications/*.desktop
%{_datadir}/bash-completion/completions/%{nameapp}
%{_datadir}/icons/hicolor/*/apps/*
%{_datadir}/metainfo/org.%{nameapp}.*
%{_datadir}/mime/packages/org.%{nameapp}.*
%{_datadir}/zsh/site-functions/_%{nameapp}


%changelog
