Group: System/Base
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           PolicyKit-olpc
Version:        1.7
Release:        alt2_15
Summary:        OLPC-specific PolicyKit overrides

License:        MIT
URL:            http://www.laptop.org
Source0:        http://dev.laptop.org/pub/source/%{name}/%{name}-%{version}.tar.gz
BuildArch:      noarch

Requires:       polkit
Source44: import.info

%description
Software for the XO laptop requires some modification to the default policies
installed by certain applications. This package provides OLPC-specific
policy overrides.

You probably do not want to install this on non-XO systems.

%prep
%setup -q

%build

%install
install -m 0644 -D olpc.rules %{buildroot}%{_datadir}/polkit-1/rules.d/10-olpc.rules

%files
%doc README ChangeLog
%{_datadir}/polkit-1/rules.d/*

%changelog
