Group: Other
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global packname  BufferedMatrixMethods 
%global Rvers     3.4.0

Name:             R-%{packname}
Version:          1.44.0
Release:          alt1_5
Summary:          Microarray Data related methods that utlize BufferedMatrix
Summary(fr):      Outils pour la manipulation des données de puces à ADN

License:          GPLv2+
URL:              http://bioconductor.org/packages/release/bioc/html/BufferedMatrixMethods.html
Source0:          http://bioconductor.org/packages/release/bioc/src/contrib/%{packname}_%{version}.tar.gz

BuildRequires:    R-devel >= %{Rvers} R-BufferedMatrix-devel >= 1.3.0 tex(latex) R-affyio 
Source44: import.info

%description
Microarray analysis methods that use BufferedMatrix objects

%description -l fr
Outils d'analyse de puce à ADN basé sur la manipulation des tables 
des bibliothèques BufferedMatrix

%prep
%setup -c -q -n %{packname}

%build

%install
mkdir -p %{buildroot}%{_libdir}/R/library 
R CMD INSTALL %{packname} -l %{buildroot}%{_libdir}/R/library
# Clean up in advance of check
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -rf %{buildroot}%{_libdir}/R/library/R.css


## Removed: build fails on dependencies affy which
# is not really needed for this package
#%check
#%{_bindir}/R CMD check %{packname}

%files
%dir %{_libdir}/R/library/%{packname}
%doc %{_libdir}/R/library/%{packname}/html
%doc %{_libdir}/R/library/%{packname}/DESCRIPTION
%{_libdir}/R/library/%{packname}/INDEX
%{_libdir}/R/library/%{packname}/libs
%{_libdir}/R/library/%{packname}/Meta
%{_libdir}/R/library/%{packname}/R
%{_libdir}/R/library/%{packname}/help
%{_libdir}/R/library/%{packname}/NAMESPACE

%changelog
