Group: Office
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global packname  Rcompression
%global packver   0.93
%global packrel   2

Name:             R-%{packname}
Version:          %{packver}.%{packrel}
Release:          alt2_31
Summary:          R Package for in-memory compression
License:          zlib
URL:              http://www.omegahat.net/Rcompression/
Source0:          http://www.omegahat.net/Rcompression/%{packname}_%{packver}-%{packrel}.tar.gz
Patch0:           R-Rcompression-stdlib.patch
Patch1:           R-Rcompression-DESCRIPTION-Blank-line-fix.patch
Requires:         texlive texlive-collection-basic
BuildRequires:    R-devel >= 3.4.0, zlib-devel, bzlib-devel, autoconf
BuildRequires:    automake, libtool
Provides:         bundled(minizip)
Source44: import.info

%description
This package is a basic R interface to the zlib and bzip2 facilities for 
compressing and uncompressing data that are in memory rather than in files.

%prep
%setup -c -q -n %{packname}
%patch0 -p1 -b .stdlib
%patch1 -p1 -b .blfix
cd %{packname}
autoreconf -if

%build

%install
mkdir -p %{buildroot}%{_libdir}/R/library
%{_bindir}/R CMD INSTALL %{packname} -l %{buildroot}%{_libdir}/R/library 
# Clean up in advance of check
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -rf %{buildroot}%{_libdir}/R/library/R.css

# Delete pointless sampleData directory full of test files
rm -rf %{buildroot}%{_libdir}/R/library/%{packname}/sampleData/

%files
%dir %{_libdir}/R/library/%{packname}
%doc %{_libdir}/R/library/%{packname}/LICENSE
%doc %{_libdir}/R/library/%{packname}/html
%doc %{_libdir}/R/library/%{packname}/DESCRIPTION
%{_libdir}/R/library/%{packname}/INDEX
%{_libdir}/R/library/%{packname}/NAMESPACE
%{_libdir}/R/library/%{packname}/Meta
%{_libdir}/R/library/%{packname}/R
%{_libdir}/R/library/%{packname}/help
%{_libdir}/R/library/%{packname}/libs/

%changelog
