# BEGIN SourceDeps(oneline):
BuildRequires: tex(dehypht.tex)
# END SourceDeps(oneline)
Group: Other
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global packname  ascii
%global rlibdir  %{_datadir}/R/library

# weaver is on Bioconductor
%global with_suggests 0

%global __suggests_exclude ^R\\((weaver)\\)

Name:             R-%{packname}
Version:          2.1
Release:          alt1_8
Summary:          Export R objects to several markup languages

License:          GPLv2+
URL:              https://CRAN.R-project.org/package=%{packname}
Source0:          https://cran.r-project.org/src/contrib/%{packname}_%{version}.tar.gz

# Here's the R view of the dependencies world:
# Depends:   R-utils, R-methods
# Imports:
# Suggests:  R-survival, R-Hmisc, R-xtable, R-R2HTML, R-cacheSweave, R-weaver
# LinkingTo:
# Enhances:

BuildArch:        noarch
BuildRequires:    R-devel
BuildRequires:    tex(latex)
BuildRequires:    R-base R-tcltk
BuildRequires:    R-base R-tcltk
BuildRequires:    R-base R-tcltk
%if %{with_suggests}
BuildRequires:    R-weaver
%endif
Source44: import.info

%description
Coerce R object to asciidoc, txt2tags, restructuredText, org, textile or
pandoc syntax.  Package comes with a set of drivers for Sweave.


%prep
%setup -q -c -n %{packname}

# cacheSweave is no longer on CRAN; other things are not actually used for
# anything.
sed -i 's/Suggests:.\+/Suggests: survival, weaver/' %{packname}/DESCRIPTION


%build


%install
mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css


%check
%if %{with_suggests}
%{_bindir}/R CMD check %{packname}
%else
_R_CHECK_FORCE_SUGGESTS_=0 %{_bindir}/R CMD check %{packname}
%endif


%files
%dir %{rlibdir}/%{packname}
%doc %{rlibdir}/%{packname}/html
%{rlibdir}/%{packname}/DESCRIPTION
%doc %{rlibdir}/%{packname}/NEWS
%{rlibdir}/%{packname}/INDEX
%{rlibdir}/%{packname}/NAMESPACE
%{rlibdir}/%{packname}/Meta
%{rlibdir}/%{packname}/R
%{rlibdir}/%{packname}/help


%changelog
