# BEGIN SourceDeps(oneline):
BuildRequires: tex(dehypht.tex) texi2dvi
# END SourceDeps(oneline)
Group: Other
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global packname	mvtnorm
%global packver		1.1
%global packrel		2

Summary:	Multivariate normal and T distribution R Package
Name:		R-%{packname}
Version:	%{packver}.%{packrel}
Release:	alt1_1
License:	GPLv2
Source0:	https://cran.r-project.org/src/contrib/%{packname}_%{packver}-%{packrel}.tar.gz
URL:		https://cran.r-project.org/web/packages/mvtnorm/index.html
BuildRequires:	R-devel >= 3.5.0
BuildRequires:	tex(latex)
BuildRequires:	gcc-fortran
BuildRequires:	R-base R-tcltk
BuildRequires:	R-base R-tcltk
Source44: import.info

%package devel
Group: Other
Summary:	Development files for %{name}
Requires:	%{name} = %{version}-%{release}

%description
This R package computes multivariate normal and t probabilities, quantiles
and densities.

%description    devel
The %{name}-devel  package contains Header and libraries files for
developing applications that use %{name}

%prep
%setup -q -c -n %{packname}

%build

%install
mkdir -p $RPM_BUILD_ROOT%{_libdir}/R/library
%{_bindir}/R CMD INSTALL %{packname} -l %{buildroot}%{_libdir}/R/library
# Clean up in advance of check
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -rf %{buildroot}%{_libdir}/R/library/R.css

%check
%{_bindir}/R CMD check %{packname}

%files
%dir %{_libdir}/R/library/%{packname}
%doc %{_libdir}/R/library/%{packname}/doc
%doc %{_libdir}/R/library/%{packname}/html
%doc %{_libdir}/R/library/%{packname}/CITATION
%doc %{_libdir}/R/library/%{packname}/NEWS
%{_libdir}/R/library/%{packname}/DESCRIPTION
%{_libdir}/R/library/%{packname}/INDEX
%{_libdir}/R/library/%{packname}/NAMESPACE
%{_libdir}/R/library/%{packname}/Meta
%{_libdir}/R/library/%{packname}/R
%{_libdir}/R/library/%{packname}/help
%{_libdir}/R/library/%{packname}/libs

%files devel
%{_libdir}/R/library/%{packname}/C_API_Example
%{_libdir}/R/library/%{packname}/include

%changelog
