# BEGIN SourceDeps(oneline):
BuildRequires: tex(dehypht.tex)
# END SourceDeps(oneline)
Group: Office
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global packname sciplot
%global packvers 1.2
%global packrel 0

Name:             R-%{packname}
Version:          %{packvers}.%{packrel}
Release:          alt2_5
Summary:          Scientific Graphing Functions for Factorial Designs
License:          GPLv2+
URL:              http://cran.r-project.org/web/packages/sciplot/index.html
Source0:          http://cran.r-project.org/src/contrib/%{packname}_%{packvers}-%{packrel}.tar.gz
BuildArch:        noarch
BuildRequires:    R-devel >= 3.0.0, tex(latex)
Source44: import.info


%description
A collection of functions that creates graphs with error bars for data collected 
from one-way or higher factorial designs

%prep
%setup -c -q -n %{packname}
%build

%install
mkdir -p %{buildroot}%{_datadir}/R/library
%{_bindir}/R CMD INSTALL %{packname} -l %{buildroot}%{_datadir}/R/library 
install -pm 644 %{packname}/README %{packname}/CHANGELOG %{buildroot}%{_datadir}/R/library/%{packname}/
# Clean up in advance of check
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -rf %{buildroot}%{_datadir}/R/library/R.css

%check
%{_bindir}/R CMD check %{packname}

%files
%dir %{_datadir}/R/library/%{packname}
%doc %{_datadir}/R/library/%{packname}/html
%doc %{_datadir}/R/library/%{packname}/DESCRIPTION
%doc %{_datadir}/R/library/%{packname}/README
%doc %{_datadir}/R/library/%{packname}/CHANGELOG

%{_datadir}/R/library/%{packname}/INDEX
%{_datadir}/R/library/%{packname}/Meta
%{_datadir}/R/library/%{packname}/NAMESPACE
%{_datadir}/R/library/%{packname}/R
%{_datadir}/R/library/%{packname}/help

%changelog
