# BEGIN SourceDeps(oneline):
BuildRequires: tex(dehypht.tex)
# END SourceDeps(oneline)
Group: Other
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global packname snow
%global packver 0.4
%global packrel 3

%global __suggests_exclude ^R\\((Rmpi)\\)

Name:             R-%{packname}
Version:          %{packver}.%{packrel}
Release:          alt2_7
Source0:          ftp://cran.r-project.org/pub/R/contrib/main/%{packname}_%{packver}-%{packrel}.tar.gz
License:          GPLv2+
URL:              http://cran.r-project.org/web/packages/%{packname}/index.html
Summary:          Simple Network of Workstations
BuildRequires:    R-devel >= 3.0.0, tex(latex) R-base R-tcltk
BuildArch:        noarch
Source44: import.info

%description
Support for simple parallel computing in R.

%prep
%setup -q -c -n %{packname}

chmod -x snow/inst/RMPInode.R snow/inst/RNWSnode.R snow/inst/RPVMnode.R

%build

%install
mkdir -p $RPM_BUILD_ROOT%{_datadir}/R/library
%{_bindir}/R CMD INSTALL -l $RPM_BUILD_ROOT%{_datadir}/R/library %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -rf $RPM_BUILD_ROOT%{_datadir}/R/library/R.css

# do not need on Linux
rm -rf $RPM_BUILD_ROOT%{_datadir}/R/library/%{packname}/*.bat

%check
export _R_CHECK_FORCE_SUGGESTS_=0
%{_bindir}/R CMD check %{packname}

%files
%dir %{_datadir}/R/library/%{packname}
%doc %{_datadir}/R/library/%{packname}/html
%{_datadir}/R/library/%{packname}/DESCRIPTION
%{_datadir}/R/library/%{packname}/INDEX
%{_datadir}/R/library/%{packname}/NAMESPACE
%{_datadir}/R/library/%{packname}/Meta
%{_datadir}/R/library/%{packname}/help
%{_datadir}/R/library/%{packname}/R
%{_datadir}/R/library/%{packname}/RMPI*
%{_datadir}/R/library/%{packname}/RNWS*
%{_datadir}/R/library/%{packname}/RPVM*
%{_datadir}/R/library/%{packname}/RSOCK*
%{_datadir}/R/library/%{packname}/RunSnow*

%changelog
