# BEGIN SourceDeps(oneline):
BuildRequires: tex(dehypht.tex)
# END SourceDeps(oneline)
Group: Other
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define packver  4.6.8
%define packname wavethresh

Summary: R module, Software to perform wavelet statistics and transforms
Name: R-%{packname}
Version: %{packver}
Release: alt2_15
License: GPLv2+
Source0: ftp://cran.r-project.org/pub/R/contrib/main/%{packname}_%{packver}.tar.gz
URL: http://cran.r-project.org/web/packages/wavethresh/
BuildRequires: R-devel >= 3.4.0, tex(latex) R-base R-tcltk
Source44: import.info

%description
Software to perform 1-d and 2-d wavelet statistics and transforms

%prep
%setup -q -n %{packname}

%build

%install
mkdir -p %{buildroot}%{_libdir}/R/library
cd ..; R CMD INSTALL %{packname} -l %{buildroot}%{_libdir}/R/library
rm -rf %{buildroot}%{_libdir}/R/library/R.css

%check
cd ..;%{_bindir}/R CMD check %{packname}

%files
%{_libdir}/R/library/%{packname}
%doc DESCRIPTION

%changelog
