# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
BuildRequires: python-devel
# END SourceDeps(oneline)
%define fedora 24
%if ! (0%{?fedora} > 12 || 0%{?rhel} > 5)
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%endif

Name:           RBTools
Version:        0.7.6
Release:        alt1_1
Summary:        Tools for use with ReviewBoard

Group:          Networking/WWW
License:        MIT
URL:            http://www.review-board.org
Source0:        http://downloads.review-board.org/releases/%{name}/0.6/%{name}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python-dev
BuildRequires:  python-module-setuptools
Requires:       python-module-setuptools
Requires:       python-module-simplejson
Requires:       python-module-six >= 1.4

### Patches ###
Patch0001: 0001-FEDORA-Relax-python-six-requirement.patch
Source44: import.info

# Upstream

%description
RBTools provides client tools for interacting with a ReviewBoard
code-review server.

%prep
%setup -q -n %{name}-%{version}
%patch0001 -p1

rm -Rf %{name}*.egg-info

%build
%{__python} setup.py build


%install
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

 
%files
%doc AUTHORS NEWS README.md
%{_bindir}/rbt
%{python_sitelibdir_noarch}/rbtools/
%{python_sitelibdir_noarch}/RBTools*.egg-info/

%changelog
