Group: System/Libraries
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           SAASound
Version:        3.2
Release:        alt2_27
Summary:        Phillips SAA 1099 sound chip emulator library
License:        BSD
URL:            http://simonowen.com/sam/saasound
Source0:        http://simonowen.com/sam/saasound/%{name}-%{version}.tar.gz
Patch0:         SAASound-3.2-fixweaksymbol.patch
Provides:       saasound = %{version}-%{release}

BuildRequires:  gcc
BuildRequires:  gcc-c++
Source44: import.info

%description
Phillips SAA 1099 sound chip emulator library


%package devel
Group: Development/Other
Summary:        Development files for SAASound
Requires:       SAASound = %{version}-%{release}
Provides:       saasound-devel = %{version}-%{release}

%description devel
Development files for SAASound


%prep
%setup -q
%patch0 -p1


%build
%configure --disable-static
%make_build


%install
make install DESTDIR=$RPM_BUILD_ROOT
rm $RPM_BUILD_ROOT%{_libdir}/*.la





%files
%doc LICENCE README
%{_libdir}/*.so.*


%files devel
%{_libdir}/*.so
%{_includedir}/*.h


%changelog
