# BEGIN SourceDeps(oneline):
BuildRequires: unzip
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Summary:	Tool for processing ABC music notation files
Name:		abcmidi
Version:	2020.08.09
Release:	alt1_1
Source0:	http://ifdo.ca/~seymour/runabc/abcMIDI-%{version}.zip
Group:		Sound
License:	GPLv2
URL:		http://ifdo.ca/~seymour/runabc/top.html
Source44: import.info

%description
The abcMIDI package contains four programs: abc2midi to convert ABC music
notation to midi, midi2abc to convert midi files to (a first approximation
of) the corresponding ABC, abc2abc to reformat and/or transpose ABC files,
and yaps to typeset ABC files as PostScript.

For a description of the ABC syntax, please see the ABC user guide
which is a part of the abc2mtex package written by Chris Walshaw.

%prep
%setup -q -n %{name}

%build
# rm -f configure makefile || die
# sed -i -e "s:-O2::" configure.ac || die
# autoreconf -fi
sed -i -e "s:-O2::" configure || die
%configure
%make_build

%install
%makeinstall_std

%files
%doc %{_defaultdocdir}/*
%{_mandir}/man1/*
%{_bindir}/*


%changelog
