Group: Other
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           amap
Version:        5.4
Release:        alt2_14
Summary:        Network tool for application protocol detection
License:        AMAP License
#License        AMAP non-commercial rules added to GPLv2
URL:            http://freeworld.thc.org/thc-amap/
Source0:        http://freeworld.thc.org/releases/%{name}-%{version}.tar.gz
Patch0:         %{name}-destdir.patch
Patch1:         %{name}-path.patch
Patch2:         %{name}-ldflags.patch
Patch3:         %{name}-new-homepage.patch
Patch4:         %{name}-system-pcre.patch
Patch5:         %{name}-optflags.patch
Patch6:         %{name}-lnamap6.patch
Patch7:         %{name}-openssl.patch

BuildRequires:  gcc
BuildRequires:  libssl-devel
BuildRequires:  libpcre-devel libpcrecpp-devel
Source44: import.info

%description
THC Amap is a next-generation tool for assisting network penetration testing.
It performs fast and reliable application protocol detection, independent
on the TCP/UDP port they are being bound to.

%prep
%setup -q
%patch0 -p1 -b .0destdir
%patch1 -p1 -b .1path
%patch2 -p1 -b .2ldflags
#%patch3 -p1 -b .3homepage
%patch4 -p1 -b .4pcre
%patch5 -p1 -b .5optflags
%patch6 -p1 -b .6lnamap6
%patch7 -p1 -b .openssl

%build
#%%configure
./configure --prefix=%{_prefix} --libdir=%{_libdir}
%{make_build} OPT="$RPM_OPT_FLAGS" 


%install
%{makeinstall_std}

%files
%doc CHANGES README TODO
%doc --no-dereference LICENCE.AMAP LICENSE.GNU
%{_bindir}/*
%{_mandir}/man1/%{name}.1*
%{_datadir}/%{name}/

%changelog
