# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define game    angband

Name:           %{game}-data-sounds
Version:        4.1.3
Release:        alt1_2
Summary:        Nonfree (CC-BY-NC-SA) sound effects for Angband
Group:          Games/Adventure
License:        CC-BY-NC-SA 3.0
URL:            http://rephial.org/
# Nonfree sounds extracted from the archive from http://rephial.org/downloads/
Source0:        angband-sounds-%{version}.tar.xz
BuildArch:      noarch
Source44: import.info

%description
This package contains the nonfree (CC-BY-NC-SA) sound effects for Angband.

This package is meant to be installed with the angband binary package.

%prep
%setup -q -n angband-sounds-%{version}


%build

%install
install -d %{buildroot}%{_datadir}/%{game}/sounds
cp -a * %{buildroot}%{_datadir}/%{game}/sounds

%files
%{_datadir}/%{game}/sounds/


%changelog
