Group: System/Base
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Summary: Remote control through Wi-Fi or bluetooth connection
Name: anyremote
Version: 6.7.3
Release: alt2_5
License: GPLv3+
Source0: http://downloads.sourceforge.net/anyremote/%{name}-%{version}.tar.gz
URL: http://anyremote.sourceforge.net/
Requires: bc,wmctrl,ImageMagick-tools,anyremote-data >= 6.7.3
BuildRequires: gcc, libbluez-devel >= 5.0, libX11-devel, libXi-devel, libXtst-devel libX11-devel libXvMC-devel xorg-proto-devel glib2-devel libgio libgio-devel, libdbus-devel >= 1.2.24, libdbus-glib-devel >= 0.86, libavahi-devel >= 0.6.25
Source44: import.info

%description
Remote control software for applications using Wi-Fi or Bluetooth.

%prep
%setup -q

%build
%configure
%make_build

%install
make install DESTDIR=$RPM_BUILD_ROOT

%files 
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*

%package data
Summary: Configuration files for anyRemote
Group: System/Base

%description data
Configuration files for anyRemote

%files data
%{_datadir}/%{name}

%package doc
Summary: Documentation for anyRemote
Group: System/Base
BuildArch: noarch

%description doc
Documentation for anyRemote

%files doc
%doc %{_defaultdocdir}/%{name}


%changelog
