Group: Other
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           asm6809
Version:        2.12
Release:        alt2_5
Summary:        Multiple pass 6809 & 6309 cross assembler

License:        GPLv3+
URL:            http://www.6809.org.uk/asm6809/
Source0:        http://www.6809.org.uk/asm6809/dl/asm6809-%{version}.tar.gz

# https://fedorahosted.org/fpc/ticket/174
Provides:       bundled(gnulib)

BuildRequires:  gcc
Source44: import.info

%description
asm6809 is a multiple pass 6809 & 6309 cross assembler. Text is read
in and parsed, then as many passes are made over the parsed source as
necessary (up to a limit), until symbols are resolved and addresses
are stable.


%prep
%setup -q


%build
%configure
%make_build


%install
make install DESTDIR=%{buildroot}


%files
%{_bindir}/*
%{_mandir}/man1/%{name}.1*
%doc --no-dereference COPYING.GPL


%changelog
