Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/pandoc
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           asn1c
Version:        0.9.28
Release:        alt2_11
Summary:        An ASN.1 Compiler

License:        BSD
URL:            http://lionet.info/asn1c
Source0:        http://lionet.info/soft/%{name}-%{version}.tar.gz

BuildRequires:  git
BuildRequires:  gcc
BuildRequires:  perl-devel
Source44: import.info

%description
Compiles ASN.1 data structures into C source structures that can be
simply marshalled to/unmarshalled from: BER, DER, CER, BASIC-XER,
CXER, EXTENDED-XER, PER.

%prep
%setup -q


%build
%configure --docdir=%{_docdir}/%{name}
%make_build

%install
make install DESTDIR=$RPM_BUILD_ROOT

%files
%doc %{_docdir}/%{name}
%doc --no-dereference LICENSE
%{_bindir}/*
%{_mandir}/man1/*
%{_datadir}/%{name}

%changelog
