# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define         oname ATNT
Name:           atnt
Version:        0.16.0
Release:        alt1_11
Summary:        Acquisition Traitement NumA.rique
Group:          Development/Java
License:        LGPLv2+
URL:            http://atn.adullact.net/
Source0:        %oname-%version.tar.bz2
Requires:       java
BuildArch:      noarch
Source44: import.info

%description
Acquisition Traitement NumA.rique Project

%files
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop

#--------------------------------------------------------------------

%prep
%setup -q -n %{oname}-%{version}

%build

%install
mkdir -p %{buildroot}%{_datadir}/%{name}
cp -frv bin/* %{buildroot}%{_datadir}/%{name}

mkdir -p %{buildroot}%{_datadir}/applications/
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop <<EOF
[Desktop Entry]
Name=%{name}
Comment=Acquisition Traitement Numérique
Exec=java -jar %{_datadir}/%{name}/ATNT.jar
Icon=%{_datadir}/%{name}/ATN_logox32.png
Terminal=false
Type=Application
Categories=Science;Education;
EOF


%changelog
