Group: Development/Other
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:       augeas-vala
Version:    0.10.0
Release:    alt2_18
Summary:    Vala bindings for augeas

License:    LGPLv2+
URL:        http://www.gitorious.org/valastuff/augeas-vala/
# Source: curl https://gitorious.org/valastuff/augeas-vala/archive-tarball/0.10.0-4 -o {source0}
Source0:    augeas-vala-%{version}-4.tar.gz
BuildArch:  noarch

BuildRequires:  autoconf automake
BuildRequires:  libtool
BuildRequires:  vala vala-tools
BuildRequires:  glib2-devel libgio libgio-devel
BuildRequires:  libaugeas-devel >= %{version}
Source44: import.info
# FIXME the following tortures rpmlint, maybe rpmlint needs to modified for this case:

%description
Vala bindings for augeas.

%prep
%setup -q -n valastuff-augeas-vala

%build
./bootstrap
%configure
%make_build

%install
make install DESTDIR=%{buildroot}

%check
make %{?_smp_mflags} check

%files
%doc COPYING.LIB README TODO NEWS AUTHORS
%{_datadir}/vala/vapi/augeas.deps
%{_datadir}/vala/vapi/augeas.vapi

%changelog
