Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-setuptools unzip
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           awake
Version:        1.0
Release:        alt2_25
Summary:        A command to 'wake on LAN' a remote host

License:        GPLv3
URL:            https://github.com/cyraxjoe/awake
Source0:        https://github.com/cyraxjoe/awake/archive/v%{version}.zip
BuildArch:      noarch

BuildRequires:  python3-devel
Requires:       python3-module-awake
Source44: import.info

%description
A command to 'wake on LAN' a remote host.

%package -n python3-module-awake
Group: Other
Summary:        Python bindings for %{name}
%{?python_provide:%python_provide python3-%{name}}

%description -n python3-module-awake
Python bindings for %{name}.

%prep
%setup -q

sed -i -e '/^#!\//, 1d' *.py

%build
%python3_build

%install
%python3_install

%files -n awake
%doc CHANGES LICENSE README
%{_bindir}/%{name}

%files -n python3-module-awake
%doc CHANGES README
%doc --no-dereference LICENSE
%{python3_sitelibdir_noarch}/%{name}/
%{python3_sitelibdir_noarch}/*.egg-info

%changelog
