Group: Other
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Summary: An high level argument parsing library for bash
Name: bash-argsparse
Version: 1.7
Release: alt2_12
License: WTFPL
URL: https://github.com/Anvil/bash-argsparse
Source0: http://argsparse.livna.org/%{name}-%{version}.tar.gz
BuildArch: noarch
# Binaries are required for unittest to perform cleanly.
BuildRequires: doxygen glibc-core glibc-timezones glibc-utils iconv agetty cfdisk eject fdisk getopt hardlink hwclock look losetup lsblk mount msulogin rfkill schedutils setarch sfdisk util-linux /usr/bin/host

Requires: bash sh
Requires: agetty cfdisk eject fdisk getopt hardlink hwclock look losetup lsblk mount msulogin rfkill schedutils setarch sfdisk util-linux glibc-core glibc-timezones glibc-utils iconv /usr/bin/host
Source44: import.info

%description
An high level argument parsing library for bash.

The purpose is to replace the option-parsing and usage-describing
functions commonly rewritten in all scripts.

This library is implemented for bash version 4. Prior versions of bash
will fail at interpreting that code.

%prep
%setup -q

%build
# Nothing to build, except the documentation.
doxygen

%install
mkdir -p $RPM_BUILD_ROOT/%{_bindir}
install -m 0755 argsparse.sh $RPM_BUILD_ROOT/%{_bindir}
ln -s argsparse.sh $RPM_BUILD_ROOT/%{_bindir}/argsparse

%check
./unittest

%files
%doc tutorial README.md html COPYING
%{_bindir}/argsparse
%{_bindir}/argsparse.sh


%changelog
