Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/pod2man
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:              bashmount
Version:           4.3.2
Release:           alt2_2

Summary:           A menu-driven bash script for mounting removable media
License:           GPLv2
URL:               https://github.com/jamielinux/bashmount
Source0:           https://github.com/jamielinux/bashmount/archive/%{version}.tar.gz

BuildArch:         noarch
Requires:          bash sh
Requires:          sed
Requires:          udisks2
Requires:          agetty cfdisk eject fdisk getopt hardlink hwclock look losetup lsblk mount msulogin rfkill schedutils setarch sfdisk util-linux
Source44: import.info

%description
bashmount is a menu-driven bash script that uses udisks2 to easily mount,
unmount or eject removable devices without dependencies on any GUI or
desktop environment. An extensive configuration file allows custom commands
to be run on devices.


%prep
%setup -q


%build
#nothing to do


%install
install -p -D -m755 bashmount \
    %{buildroot}%{_bindir}/bashmount
install -p -D -m644 bashmount.conf \
    %{buildroot}%{_sysconfdir}/bashmount.conf
install -p -D -m644 bashmount.1 \
    %{buildroot}%{_mandir}/man1/bashmount.1


%files
%doc COPYING NEWS
%{_bindir}/bashmount
%{_mandir}/man1/bashmount.1*
%config(noreplace) %{_sysconfdir}/bashmount.conf


%changelog
