# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-mageia-compat
BuildRequires: gcc-c++
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
# %%name is ahead of its definition. Predefining for rpm 4.0 compatibility.
%define name bcmatroska2
%define major 0
%define libname lib%{name}_%{major}
%define develname lib%{name}-devel

Summary:	C Library to Deal with Matroska Files
Name:		bcmatroska2
Version:	0.23
Release:	alt1_3
License:	BSD and Zlib and GPLv2+
Group:		System/Libraries
URL:		https://linphone.org/
Source0:	https://linphone.org/releases/sources/bcmatroska2/bcmatroska2-%{version}.tar.gz
Source1:	https://linphone.org/releases/sources/bcmatroska2/bcmatroska2-%{version}.tar.gz.md5
# (wally) from OpenSUSE to resolve a conflict with libebml and libmatroska.
Patch0:		bcmatroska2-include-subdir.patch
# (wally) alow overriding cmake config file location from cmd line
Patch1:         bcmatroska2-0.23-cmake-config-location.patch
BuildRequires:	ccmake cmake ctest
Source44: import.info

%description
Bcmatroska2 is a C library to parse Matroska files (.mkv and .mka).

%package -n	%{libname}
Summary:	C Library to Deal with Matroska Files
Group:		System/Libraries

%description -n	%{libname}
Bcmatroska2 is a C library to parse Matroska files (.mkv and .mka).

%package -n	%{develname}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
This package contains development files for %{name}

%prep
%setup -q
%patch0 -p1
%patch1 -p1


%build
%{mageia_cmake} \
  -DENABLE_STATIC:BOOL=NO \
  -DENABLE_STRICT:BOOL=NO \
  -DCONFIG_PACKAGE_LOCATION:PATH=%{_libdir}/cmake/%{name}
%mageia_cmake_build

%install
%mageia_cmake_install

find %{buildroot} -name "*.la" -delete

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}*

%files -n %{develname}
%{_includedir}/%{name}/
%{_libdir}/lib%{name}.so
%{_libdir}/cmake/%{name}/


%changelog
