Group: Publishing
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Summary:       Converting bibTeX file to HTML
Name:          bib2html
Version:       1.2.1
Release:       alt2_29
License:       GPL+
URL:           http://www.litech.org/~wkiri/bib2html/
Source0:       http://www.litech.org/~wkiri/bib2html/bib2html-%{version}.tar.gz
BuildRequires: gcc
BuildRequires: flex
Source44: import.info
%description
bib2html is a utility for converting a bibTeX file into HTML
format. It will recognize the 'url' field in the bibTeX entries and
make appropriate links in the HTML output to the URL location.

%prep
%setup -q
chmod 0644 ChangeLog NEWS README Docs/bib2html.html

%build

%configure
%make_build

%install
make DESTDIR=%{buildroot} install

%files
%doc --no-dereference COPYING
%doc COPYING README AUTHORS NEWS ChangeLog Docs/bib2html.html
%{_bindir}/bib2html

%changelog
