Group: System/Base
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global gitsnap 20140818gitdf0ddc3

Name:           bind-to-tinydns
Version:        0.4.3
Release:        alt2_29.%{gitsnap}
Summary:        Convert DNS zone files in BIND format to tinydns format

License:        BSD
URL:            http://www.erat.org/
Source0:        bind-to-tinydns-%{version}-%{gitsnap}.tar.bz2
Patch0:         bind-to-tinydns-0.4.3-cflags.patch

BuildRequires: gcc
Source44: import.info

%description
This is a program that parses zone files used by the BIND DNS server and
converts them to the native format of the tinydns component of Dan Bernstein's
djbdns DNS server.

%prep
%setup -q -n %{name}
%patch0 -p1


%build
%make_build CFLAGS="%{optflags}"


%install
install -Dp -m 755 bind-to-tinydns $RPM_BUILD_ROOT%{_bindir}/bind-to-tinydns


%files
%doc README COPYING
%{_bindir}/bind-to-tinydns


%changelog
