Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:             bitlyclip
Version:          0.2.2
Release:          alt1_15
Summary:          Shorten urls in the X clipboard with bit.ly

License:          GPLv3+
URL:              http://pypi.python.org/pypi/bitlyclip
Source0:          http://pypi.python.org/packages/source/b/%{name}/%{name}-%{version}.tar.gz

BuildArch:        noarch

BuildRequires:    python-devel
BuildRequires:    python-module-pkg_resources python-module-setuptools

Requires:         python-module-pkg_resources python-module-setuptools
Requires:         python-module-bitlyapi
Requires:         python-module-notify
Requires:         xsel
Source44: import.info

%description
bitlyclip is just a script that:

 - Takes a url in your clipboard.
 - Shortens it with the bit.ly url shortening service.
 - Puts the new url back in your clipboard.

It makes a nice 'hotkey' in whatever window manager you're using.

%prep
%setup -q -n bitlyclip-%{version}

%build
%python_build

%install
%python_install

%files
%doc LICENSE
%{python_sitelibdir_noarch}/bitlyclip
%{python_sitelibdir_noarch}/bitlyclip-%{version}*
%{_bindir}/bitlyclip

%changelog
