Group: Networking/WWW
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           bournal
Version:        1.5
Release:        alt3_22
Summary:        Write personal, password-protected journal entries

License:        GPLv3+
URL:            https://github.com/jose1711/bournal
Source0:        https://github.com/jose1711/bournal/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildArch:      noarch

Requires:       gnupg
Requires:       vim-common vimtutor
Source44: import.info

%description
Bournal is a bash script that allows you to keep a personal,
minimalistic, password-protected journal, log, or diary. It
includes encryption, regexp searches, and a date-sorted list
for editing old entries. Since Bournal is pure bash, it should
be easily editable for the CLI-savvy.

%prep
%setup -q

%build
#nothing to build

%install
install -Dp -m 0755 %{name} %{buildroot}%{_bindir}/%{name}
install -Dp -m 0644 %{name}.1.gz %{buildroot}%{_mandir}/man1/%{name}.1.gz

%files
%doc changelog.txt README
%doc --no-dereference LICENSE
%{_mandir}/man*/%{name}*.*
%{_bindir}/%{name}

%changelog
