Group: Other
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           bvi
Version:        1.4.1
Release:        alt2_5
Summary:        Display-oriented editor for binary files
Summary(fr):    Afficheur orienté editeur pour fichiers binaires

License:        GPLv3
URL:            http://bvi.sourceforge.net/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.src.tar.gz

BuildRequires:  gcc
BuildRequires:  libncurses++-devel libncurses-devel libncursesw-devel libtic-devel libtinfo-devel
Source44: import.info


%description
The bvi is a display-oriented editor for binary files, based
on the vi text-editor. If you are familiar with vi, just start
the editor and begin to edit! A bmore program is also
included in the package.

%description -l fr
Le bvi est un afficheur orienté éditeur pour fichiers binaires, basé sur
l'éditeur de texte vi. Si vi vous est familié, démarrez juste l'éditeur
et commencez à éditer! Un logiciel bmore est également inclu dans le
paquet.


%prep
%setup -q
# Fix the path of the bmore.help file specified in the man page :
sed -i "s@/usr/local/share/bmore.help@/usr/share/bvi/bmore.help@" ./bmore.1


%build
%configure
%make_build


%install
%makeinstall_std


%files
%doc README COPYING CREDITS CHANGES
%{_bindir}/%{name}
%{_bindir}/bmore
%{_bindir}/bvedit
%{_bindir}/bview
%{_datadir}/%{name}/
%{_mandir}/man1/*.1*


%changelog
