Group: Communications
# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/desktop-file-install gcc-c++
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:		callgit
Version:	2.0
Release:	alt2_26
Summary:	A tool for Ham Radio Operators to look up call-signs on the web
License:	GPLv3
URL:		http://www.hamsoftware.org/
Source0:	http://www.hamsoftware.org/%{name}-%{version}.tgz
Source1:	%{name}.desktop
Source2:    Ham_Icon-1-48.png

BuildRequires: libqt4-declarative libqt4-devel libqt4-help qt4-designer qt4-doc-html qt5-declarative-devel qt5-designer qt5-tools
BuildRequires: desktop-file-utils
Source44: import.info

%description
This program allows you to search for another Ham's name and address
without having a web browser up. It is very simple.

%prep
%setup -q -n %{name}

%build
%{qmake_qt4}
%make_build


%install
install -Dpm 755 callgit %{buildroot}/%{_bindir}/%{name}
desktop-file-install --dir=%{buildroot}%{_datadir}/applications %{SOURCE1}
mkdir -p %{buildroot}%{_datadir}/pixmaps/
cp %{SOURCE2} %{buildroot}%{_datadir}/pixmaps/Ham_Icon-1-48.png 

%files
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/Ham_Icon-1-48.png

%changelog
