Group: Networking/WWW
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:		clc
Version:	0.03
Release:	alt2_22
Summary:	Command-line client for MUDs

License:	Public Domain
URL:		http://github.com/elanthis/clc/tree/master
Source0:	http://cloud.github.com/downloads/elanthis/clc/%{name}-%{version}.tar.gz

BuildRequires:  gcc
BuildRequires: libtelnet-devel >= 0.20
BuildRequires: libncurses++-devel libncurses-devel libncursesw-devel libtic-devel libtinfo-devel
BuildRequires: zlib-devel

%{!?_pkgdocdir: %global _pkgdocdir %{_docdir}/%{name}-%{version}}
Source44: import.info

%description
Very simplistic MUD client for command line usage.

%prep
%setup -q

%build
%make_build CFLAGS="%{optflags} -DHAVE_ZLIB -DCLC_VERSION='\"%{version}\"'"

%install
rm -rf "%{buildroot}"
install -m 644 -D README "%{buildroot}%{_docdir}/%{name}/README"
install -m 755 -D clc "%{buildroot}%{_bindir}/clc"

%files
%doc README
%{_bindir}/clc

%changelog
