# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++ libmhash-devel
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Summary:	Multiple sequence alignment program
Name:		clustalw
Version:	2.1
Release:	alt1_10
License:	GPLv2
Group:		Sciences/Biology
URL:		http://www.clustal.org/clustal2/
Source0:	http://www.clustal.org/download/%{version}/%{name}-%{version}.tar.gz
Source44: import.info

%description
Clustal X is a new windows interface for the ClustalW multiple sequence
alignment program. It provides an integrated environment for performing
multiple sequence and profile alignments and analysing the results. The
sequence alignment is displayed in a window on the screen. A versatile
coloring scheme has been incorporated allowing you to highlight conserved
features in the alignment. The pull-down menus at the top of the window
allow you to select all the options required for traditional multiple
sequence and profile alignment.

%files
%_bindir/clustalw2

#--------------------------------------------------------------------

%prep
%setup -q

%build
# to recognize aarch64
autoreconf -vfi

%configure
%make_build

%install
%makeinstall_std


%changelog
