Group: File tools
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name: cmconvert
Summary: CacheMate import file converter 
Version: 1.9.6
Release: alt2_22
License: GPLv2+
URL: http://www.smittyware.com/palm/cachemate/tools.php
Source0: http://www.smittyware.com/download/%{name}-%{version}.tar.gz
BuildRequires: gcc-c++
BuildRequires: libexpat-devel
BuildRequires: zziplib-devel
BuildRequires: zlib-devel
Source44: import.info


%description 
This program is used to convert EasyGPS XML file formats (LOC and GPX) to
a format that can be installed onto a Palm OS device and imported into
CacheMate.  Options are also available to list waypoints contained in an
XML file, and selectively convert specified waypoints.

%prep 
%setup -q 

%build 
%configure
%make_build

%install 
rm -fr %{buildroot}
make install DESTDIR=%{buildroot} INSTALL="install -p"

%files 
%doc ChangeLog README
%doc --no-dereference COPYING
%{_bindir}/cmconvert
%{_mandir}/man1/cmconvert.1*

%changelog
