Group: Text tools
# BEGIN SourceDeps(oneline):
BuildRequires: perl(FileHandle.pm)
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:		cocot
Version:	20080315
Release:	alt2_22
License:	BSD
URL:		http://vmi.jp/software/cygwin/cocot.html
Source0:	http://vmi.jp/software/cygwin/%{name}-%{version}.tar.bz2

Summary:	COde COnverter on Tty

BuildRequires:  gcc
Source44: import.info
%description
Cocot is a kanji code conversion program, running as a filter between
a terminal (tty) and a process running on it.  Cocot can be used with
ssh or telnet.

%prep
%setup -q
iconv -f EUC-JP -t UTF-8 --output README.ja.UTF-8 README.ja
mv README.ja.UTF-8 README.ja

%build
%configure
%make_build

%install
make DESTDIR=$RPM_BUILD_ROOT install

%files
%doc AUTHORS COPYING NEWS README README.ja
%{_bindir}/cocot

%changelog
