# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define game    colobot

# Check timestamps on http://colobot.info/files/music/ before updating
# As of 2016-05-10, there haven't been newer/changed files

Name:           %{game}-music
Version:        0.1.6
Release:        alt1_3
Summary:        Music files for Colobot
Group:          Games/Strategy
License:        GPLv3+
Url:            http://colobot.info
Source0:        http://colobot.info/files/music/%{name}_ogg_%{version}-alpha.tar.gz

BuildArch:      noarch
Source44: import.info

%description
This package contains OGG music files for the Colobot game.

%prep
%setup -q -c


%build

%install
install -d %{buildroot}%{_gamesdatadir}/%{game}/music
cp -a *.ogg %{buildroot}%{_gamesdatadir}/%{game}/music

%files
%doc LICENSE.txt
%{_gamesdatadir}/%{game}/music/


%changelog
