Group: Toys
# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/desktop-file-install
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define version_major 0.96
%define version_minor 11

Name:           corrida
Version:        %{version_major}.%{version_minor}
Release:        alt2_28
Summary:        Application for archivation of meteor observations

License:        GPLv2
URL:            http://corrida.pkim.org/
Source0:        http://corrida.pkim.org/releases/corrida-%{version_major}-%{version_minor}.tar.gz
Source1:        corrida.desktop
Patch0:         corrida-0.96-11-count.patch
# Sent by e-mail to jurmcc@gmail.com
Patch1:         corrida-0.96-11-formatsec.patch

BuildRequires:  gcc
BuildRequires:  gtk-builder-convert gtk-demo libgail-devel libgtk+2-devel
BuildRequires:  ImageMagick-tools
BuildRequires:  desktop-file-utils
Source44: import.info

%description
Application was designed by Polish Fireball Center cooperators to ease
archivation of meteor observations.


%prep
%setup -q -n corrida-%{version_major}-%{version_minor}
%patch0 -p1 -b .count
%patch1 -p1 -b .formatsec


%build
find . -type f |xargs chmod 0644
%make_build PREFIX=%{_prefix}/ CFLAGS="%{optflags}"
convert common/corrida.ico corrida.png


%install
make install PREFIX=%{buildroot}%{_prefix}/

# Directory structure
install -d %{buildroot}%{_datadir}/pixmaps
install -d %{buildroot}%{_datadir}/applications

# Icon
install -pm 0644 corrida.png %{buildroot}%{_datadir}/pixmaps

# Menu entry
desktop-file-install %{SOURCE1} \
        --dir=%{buildroot}%{_datadir}/applications

%files
%{_bindir}/corrida
%{_bindir}/torero
%{_datadir}/corrida
%{_datadir}/pixmaps/*
%{_datadir}/applications/*
%doc copying


%changelog
