Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/bison /usr/bin/gengetopt /usr/bin/gperf /usr/bin/python3 /usr/bin/xsltproc CUnit-devel
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
#TODO: gradient-convert is a Python script

Name:      cptutils
Version:   1.73
Release:   alt2_3
Summary:   Utilities to manipulate and translate color gradients
License:   GPLv2+
URL:       http://soliton.vm.bytemark.co.uk/pub/jjg/en/code/cptutils.html
Source0:   http://soliton.vm.bytemark.co.uk/pub/jjg/src/%{name}-%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:  libjansson-devel
BuildRequires:  libpng-devel
BuildRequires:  libxml2-devel
Source44: import.info

%description
The cptutils package contains a number of utilities for the manipulation of
color gradients; mainly for translating between different formats. Formats
supported include ggr (GIMP gradient), cpt (GMT color palette table),
avl (Arcview Legend), lut (xmedcon), svg, and version 3 of the grd format. 

The cptutils package was written to aid the construction of the cpt archive
cpt-city http://soliton.vm.bytemark.co.uk/pub/cpt-city where thousands of
gradients can be downloaded.


%prep
%setup -q


%build
%configure
make


%install
make install DESTDIR=%{buildroot}

# Don't run tests, because some of them require data
# from other packages, for instance GIMP


%files 
%doc CHANGELOG COPYING README.md
%{_bindir}/*
%{_mandir}/man1/*.1*


%changelog
