Group: Development/Tools
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:     crcimg
Version:  1.1
Release:  alt2_26
Summary:  Construct .crc files
License:  GPLv2
URL:      http://dev.laptop.org/git/users/mstone/crcimg

Source0:  http://dev.laptop.org/~mstone/releases/SOURCES/%{name}-%{version}.tar.bz2

BuildRequires: gcc
Source44: import.info

%description
Tool for constructing .crc files from image files.

%prep
%setup -q


%build
make -f Makefile.build %{?_smp_mflags} \
        CFLAGS="$RPM_OPT_FLAGS" LDFLAGS="$RPM_OPT_FLAGS"        


%install
make -f Makefile.build install DESTDIR=$RPM_BUILD_ROOT


%files
%doc --no-dereference COPYING
%doc AUTHORS
%{_bindir}/crcimg


%changelog
