# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           cutemaze
Version:        1.3.0
Release:        alt1_1
Summary:        Top-down maze game
Group:          Games/Puzzles
License:        GPLv3+
URL:            https://gottcode.org/cutemaze
Source0:        https://gottcode.org/%{name}/%{name}-%{version}-src.tar.bz2

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Svg)
BuildRequires:  qt5-designer qt5-tools
Source44: import.info

%description
CuteMaze is a simple, top-down game in which mazes are randomly
generated using one of a choice of several different algorithms.
You move the character through the maze while hunting for targets
(cheese, by default)a..the game is won once all of these targets
(have been picked up.

%prep
%setup -q


%build
%qmake_qt5 PREFIX=%{_prefix} BINDIR=games
%make_build

%install
%makeinstall_std INSTALL_ROOT=%{buildroot}

%files
%doc ChangeLog COPYING CREDITS README
%{_gamesbindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.*
%{_datadir}/metainfo/%{name}.appdata.xml
%{_mandir}/man6/%{name}.6*


%changelog
