Group: Archiving/Other
# BEGIN SourceDeps(oneline):
BuildRequires: unzip
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:		daa2iso
Summary: 	Program for converting DAA files to ISO
Version:	0.1.7e
Release:	alt2_20
License:	GPLv2+
Source0:	http://aluigi.altervista.org/mytoolz/daa2iso.zip
URL:		http://aluigi.altervista.org/mytoolz.htm

BuildRequires:  gcc
Source44: import.info
%description
DAA2ISO is an open source command-line/GUI tool for converting single and 
multipart DAA images to the original ISO format.

The DAA image (Direct Access Archive) in fact is just a compressed
CD/DVD ISO which can be created through the commercial program
PowerISO.

%prep
%setup -q -c -n %{name}-%{version}
sed -i -e 's|\r||g' daa2iso.txt

%build
cd src/
%make_build CFLAGS="$RPM_OPT_FLAGS"

%install
mkdir -p $RPM_BUILD_ROOT%{_bindir}
install -p src/daa2iso $RPM_BUILD_ROOT%{_bindir}

%files
%doc daa2iso.txt COPYING
%{_bindir}/daa2iso

%changelog
