Group: Text tools
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-cmake rpm-macros-fedora-compat
BuildRequires: gcc-c++
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:       ddate   
Version:    0.2.2
Release:    alt2_12
Summary:    Convert Gregorian dates to Discordian dates
License:    Public Domain
URL:        https://github.com/bo0ts/%{name}
Source0:    %{url}/archive/v%{version}.tar.gz
BuildRequires:  ctest cmake   
BuildRequires:  gcc
BuildRequires:  gzip gzip-utils
Source44: import.info

%description
This tool prints a date in the Discordian date format.

%prep
%setup -qn %{name}-%{version}

%build
%{fedora_v2_cmake}
%fedora_v2_cmake_build

%install
%fedora_v2_cmake_install

%check
%fedora_v2_ctest

%files
%doc README.org
%{_bindir}/*
%{_mandir}/man1/*

%changelog
