Group: System/Base
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           ddpt
Version:        0.97
Release:        alt2_1
Summary:        Variant of the dd utility for SCSI/storage devices

License:        BSD
URL:            http://sg.danny.cz/sg/ddpt.html
Source0:        http://sg.danny.cz/sg/p/%{name}-%{version}.tgz

BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  libsgutils-devel
Source44: import.info


%description
The ddpt utility is a variant of the standard Unix command dd which copies
files. The ddpt utility specializes in files that are block devices. For block
devices that understand the SCSI command set, finer grain control over the
copy may be available via a SCSI pass-through interface. Note that recent
(S)ATA disks can often be driven by SCSI commands due to SCSI to ATA
translation (SAT) implemented in the kernel.


%prep
%setup -q


%build
%configure
%make_build


%install
make install DESTDIR=$RPM_BUILD_ROOT


%files
%doc AUTHORS COPYING CREDITS ChangeLog README TODO doc/ddpt_examples.txt
%{_bindir}/%{name}*
%{_mandir}/man8/%{name}*.8*


%changelog
