Group: Development/Tools
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           devio
Version:        1.2
Release:        alt2_22
Summary:        Read and write utility for block devices

License:        MIT
URL:            http://devio.sourceforge.net
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Source1:        %{name}.man
BuildRequires:  gcc
Source44: import.info


%description
devio is a command line utility intended to read and write on block devices.
The primary difference between devio and other command line utilities, such
as dd and cat, is that it is not stream based - it writes directly into
the object rather than reading and writing a stream of data.


%prep
%setup -q


%build
%configure
%make_build


%install
make install DESTDIR=$RPM_BUILD_ROOT

install -Dp -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_mandir}/man1/%{name}.1


%files
%doc AUTHORS COPYING ChangeLog NEWS README
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*


%changelog
