Group: Archiving/Other
BuildRequires: perl(Time/ParseDate.pm) perl(Time/Period.pm)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           dirvish
Version:        1.2.1
Release:        alt3_23
Summary:        Fast, disk based, rotating network backup system

License:        OSL 2.0
URL:            http://www.dirvish.org/
Source0:        http://www.dirvish.org/dirvish-%{version}.tgz
# converts the installer to work in unattended mode
Patch0:         dirvish-1.2.1-install.patch
BuildArch:      noarch
BuildRequires:      rpm-build-perl

Requires:       rsync
Source44: import.info

%description
Dirvish is a fast, disk based, rotating network backup system. With dirvish you
can maintain a set of complete images of your filesystems with unattended
creation and expiration. A dirvish backup vault is like a time machine for your
data. 


%prep
%setup -q
%patch0 -p1


%install
install -d -m 755 $RPM_BUILD_ROOT%{_sysconfdir}/dirvish
PREFIX=$RPM_BUILD_ROOT%{_prefix} ./install.sh



%files
%dir %{_sysconfdir}/dirvish
%{_bindir}/*
%{_mandir}/man5/*
%{_mandir}/man8/*
%doc CHANGELOG FAQ.html RELEASE.html TODO.html COPYING


%changelog
