Group: Networking/WWW
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Config.pm) perl(IO/File.pm) perl(Net/DNS.pm) perl(Net/IP.pm) perl(Net/Netmask.pm) perl(Socket.pm) perl(String/Random.pm) perl(Term/ANSIColor.pm) perl(Thread/Queue.pm) perl(XML/Writer.pm) perl(threads/shared.pm)
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:       dnsenum 
Version:    1.2.4.2
Release:    alt2_20
Summary:    A tool to enumerate DNS info about domains 

License:    GPLv2+
URL:        https://github.com/fwaeytens/dnsenum
Source0:    https://github.com/fwaeytens/dnsenum/archive/%{version}.tar.gz
BuildArch:  noarch
BuildRequires:  rpm-build-perl

Requires:   perl-Net-Whois-IP
Requires:   perl-WWW-Mechanize
Requires:   perl-Readonly
Source44: import.info

%description
The purpose of this tool is to gather as much information as possible about a 
domain. The program currently gathers A, NS, MX records, performs axfr queries,
gets extra names and subdomains via google scraping, bruteforces subdomains from
file, calculate C class domain network ranges and perform whois queries on them,
perform reverse lookups on netranges, writes ip-blocks to domain_ips.txt.

%prep
%setup -q

%build
# nothing to build

%install
install -Dp -m0755 %{name}.pl %{buildroot}%{_bindir}/%{name}

%files
%doc README.md dns.txt
%{_bindir}/%{name}

%changelog
