Group: Networking/WWW
# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/desktop-file-install gcc-c++
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Summary: System Tray for monitoring log files for DNSSEC errors
Name: dnssec-system-tray
Version: 2.1
Release: alt2_16
License: BSD
URL: http://www.dnssec-tools.org/
Source0: https://www.dnssec-tools.org/download/%{name}-%{version}.tar.gz
Source1: dnssec-system-tray.desktop
# generated from a larger PNG inside the source code
Source2: dnssec-system-tray-64x64.png


BuildRequires: libqt4-declarative libqt4-devel libqt4-help qt4-designer qt4-doc-html qt5-declarative-devel qt5-designer qt5-tools
BuildRequires: desktop-file-utils
Source44: import.info

%description
A simply system-tray application that monitors log files (eg libval,
or bind/named logfiles) for DNSSEC error messages that should be
displayed to the user.

%prep
%setup -q 

%build
%{qmake_qt4} PREFIX=/usr
%make_build

%install

make install INSTALL_ROOT=%{buildroot}

mkdir -p %{buildroot}/%{_datadir}/icons/hicolor/64x64/apps/
install -p -m 644 %{SOURCE2} %{buildroot}/%{_datadir}/icons/hicolor/64x64/apps/
desktop-file-install --dir=%{buildroot}%{_datadir}/applications %{SOURCE1}

mkdir -p %{buildroot}/%{_mandir}/man1
install -p -D -m 644 man/dnssec-system-tray.1 %{buildroot}/%{_mandir}/man1/dnssec-system-tray.1

%files
%doc COPYING
%doc %{_mandir}/man1/*
%{_bindir}/dnssec-system-tray
%{_datadir}/icons/hicolor/*/apps/*.png
%{_datadir}/applications/dnssec-system-tray.desktop

%changelog
