Group: Publishing
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python3
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           dot2tex
Version:        2.11.3
Release:        alt2_10
Summary:        A Graphviz to LaTeX converter
License:        MIT
URL:            http://www.fauskes.net/code/dot2tex/
Source0:        https://github.com/kjellmf/dot2tex/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-module-distribute
Requires:       python3-module-pyparsing
Requires:       tex(preview.sty)
Requires:       tex(tikz.sty)
Source44: import.info

%description
Dot2tex is a tool for converting graphs rendered by Graphviz to formats
that can be used with LaTeX.

%prep
%setup -q


%build
%{__python3} setup.py build
find docs examples -name "*.tex" -o -name "*.dot" | xargs sed -i -e 's|\r||'

%install
%{__python3} setup.py install --skip-build --root $RPM_BUILD_ROOT


%files
%doc --no-dereference LICENSE
%doc examples docs
%{_bindir}/dot2tex
%{python3_sitelibdir_noarch}/%{name}/
%{python3_sitelibdir_noarch}/*.egg-info


%changelog
