# BEGIN SourceDeps(oneline):
BuildRequires: swig
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define _enable_debug_packages %{nil}
%define debug_package          %{nil}

Name:           dpic
Url:            http://www.ece.uwaterloo.ca/~aplevich/dpic/
License:        BSD and CC-BY
Group:          Publishing  
Summary:        Pic language processor
Version:        2018.02.01
Release:        alt1_3
Source0:        %{name}-%{version}.tar.gz
Patch0:         makefile.patch
Patch1:         dpic-dbg.diff
# Needed to generate the documentation
BuildRequires:	texlive-texmf
Source44: import.info

%description
Pic language processor for LaTeX documents or web sites.

%files
%_bindir/%{name}
%{_datadir}/%{name}/doc/dpictools.pic
%doc README CHANGES doc/dpic-doc.pdf
%_mandir/man1/dpic.1*

#--------------------------------------------------------------------

%prep
%setup -n %{name}-%{version} -q

%build
%configure
%make_build
%make_build -C doc

%install
%makeinstall_std
install -d %{buildroot}%{_datadir}/%{name}/doc
install -Dm 644 doc/dpic.1 %{buildroot}%{_mandir}/man1/dpic.1
mv %{buildroot}/bin %{buildroot}%{_prefix}/
mv %{buildroot}/share/doc/dpic/dpictools.pic %{buildroot}%{_datadir}/%{name}/doc/
rm -rf %{buildroot}/share


%changelog
