Group: Other
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Summary: Kernel dropped packet monitor 
Name: dropwatch 
Version: 1.5.3
Release: alt2_4
Source0: https://github.com/nhorman/dropwatch/archive/dropwatch-%{version}.tar.gz
Patch0: %{name}-gcc11.patch
URL: https://github.com/nhorman/dropwatch
License: GPLv2+ 
BuildRequires: rdma-core-devel readline-devel
BuildRequires: binutils-devel libnl-devel
BuildRequires: autoconf automake libtool libpcap-devel
Requires: libnl3, readline
Source44: import.info


%description
dropwatch is an utility to interface to the kernel to monitor for dropped
network packets.

%prep
%setup 
%patch0 -p1

%build
./autogen.sh
%configure
%make_build

%install
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
install -m0755 src/dropwatch $RPM_BUILD_ROOT%{_bindir}
install -m0644 doc/dropwatch.1 $RPM_BUILD_ROOT%{_mandir}/man1


%files
%{_bindir}/*
%{_mandir}/man1/*
%doc README.md
%doc COPYING

%changelog
