Group: File tools
BuildRequires: libncursesw-devel
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           dvtm
Version:        0.15
Release:        alt2_12
Summary:        Tiling window management for the console
License:        MIT and ISC
URL:            http://www.brain-dump.org/projects/%{name}/
Source0:        http://www.brain-dump.org/projects/%{name}/%{name}-%{version}.tar.gz
Patch0:         %{name}-0.14-build.patch
BuildRequires:  binutils
BuildRequires:  coreutils
BuildRequires:  gcc
BuildRequires:  termutils termutils-devel
BuildRequires:  libncurses++-devel libncurses-devel libncursesw-devel libtic-devel libtinfo-devel
BuildRequires:  sed
Source44: import.info

%description
dvtm brings the concept of tiling window management, popularized by
X11-window managers like dwm to the console. As a console window
manager it tries to make it easy to work with multiple console based
programs like vim, mutt, cmus or irssi.

%prep
%setup -q
%patch0 -p1 -b .build

%build
%make_build

%install
make install DESTDIR=%{buildroot} PREFIX=%{_prefix}

%files
%doc --no-dereference LICENSE
%doc README.md
%{_bindir}/%{name}
%{_bindir}/%{name}-status
%{_mandir}/man1/%{name}.1*
%{_datadir}/terminfo/d

%changelog
