Group: Graphical desktop/Other
# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/desktop-file-install libX11-devel
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Summary:        GUI for editing keybindings in Enlightenment, DR16
Name:           e16-keyedit
Version:        0.8
Release:        alt2_10
License:        MIT with advertising
URL:            http://www.enlightenment.org/
Source0:        http://downloads.sourceforge.net/enlightenment/e16-keyedit-%{version}.tar.gz
BuildRequires:  gcc
BuildRequires:  desktop-file-utils
BuildRequires:  gtk-builder-convert gtk-demo libgail-devel libgtk+2-devel
Requires:       e16 >= 1.0.1
Source44: import.info
%description
The e16-keyedit package provides a graphical interface for managing
keybindings in Enlightenment, DR16.

%prep
%setup -q


%build
%configure
%make_build
cat <<EOF > %{name}.desktop
[Desktop Entry]
Name=e16keyedit
Comment=Manage keybindings for e16
Exec=e16keyedit
Terminal=false
Type=Application
Icon=/usr/share/e16/misc/e16
Categories=Settings;DesktopSettings;
EOF

%install
%{makeinstall_std}
desktop-file-install --dir=%{buildroot}%{_datadir}/applications %{name}.desktop

%files
%doc --no-dereference COPYING
%doc README AUTHORS ChangeLog
%{_bindir}/e16keyedit
%{_datadir}/applications/%{name}.desktop

%changelog
