Group: Engineering
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           elph
Version:        1.0.1
Release:        alt2_26
Summary:        Tool to find motifs in a set of DNA or protein sequences

License:        Artistic clarified
URL:            http://www.cbcb.umd.edu/software/ELPH/
Source0:        ftp://ftp.cbcb.umd.edu/pub/software/elph/ELPH-1.0.1.tar.gz
Patch0:         %{name}-chris.patch
BuildRequires:  gcc-c++
Source44: import.info

%description
ELPH is a general-purpose Gibbs sampler for finding motifs in a set of
DNA or protein sequences. The program takes as input a set containing
anywhere from a few dozen to thousands of sequences, and searches
through them for the most common motif, assuming that each sequence
contains one copy of the motif.


%prep
%setup -q -n ELPH
%patch0 -p 1 -b .chris


%build
make -C sources %{?_smp_mflags} \
  CFLAGS="$RPM_OPT_FLAGS -fno-exceptions -fno-rtti -D_REENTRANT"


%install
mkdir -p $RPM_BUILD_ROOT%{_bindir}
install -m 755 sources/elph $RPM_BUILD_ROOT/%{_bindir}



%files
%doc COPYRIGHT LICENSE README Readme.ELPH VERSION
%{_bindir}/elph


%changelog
