# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Summary: OCaml mode for Emacs/XEmacs
Name:    emacs-tuareg-mode
Version: 2.0.7
Release: alt1_3
Source0: http://forge.ocamlcore.org/frs/download.php/1304/tuareg-%{version}.tar.gz
License: GPLv2
Group: 	 Editors
Url: 	 http://tuareg.forge.ocamlcore.org/
BuildArch:	noarch
BuildRequires: emacs
Requires:      emacs
Source44: import.info

%description 
Tuareg is a Caml mode for GNU Emacs and XEmacs. It handles automatic
indentation of OCaml code. Key parts of thecode are hilighted using
Font-Lock. Support to run an interactive Caml toplevel and debbuger is
provided.

%prep
%setup -q -n tuareg-%{version}

%build
make


%install
install -d %{buildroot}%{_datadir}/emacs/site-lisp/
install -d %{buildroot}%{_sysconfdir}/emacs/site-start.d
cp tuareg.el %{buildroot}%{_datadir}/emacs/site-lisp/
cp ocamldebug.el %{buildroot}%{_datadir}/emacs/site-lisp/
cp tuareg-site-file.el %{buildroot}%{_sysconfdir}/emacs/site-start.d/

%files
%{_datadir}/emacs/site-lisp/tuareg.el
%{_datadir}/emacs/site-lisp/ocamldebug.el
%{_sysconfdir}/emacs/site-start.d/tuareg-site-file.el


%changelog
