Group: Networking/WWW
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           esniper
Version:        2.35.0
Release:        alt2_7
Summary:        A lightweight console application for sniping eBay auctions 

License:        BSD
URL:            http://esniper.sourceforge.net
%global dashver %(echo -n %{version} | tr '.' '-')
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{dashver}.tgz

BuildRequires:  gcc
BuildRequires:  curl-devel
Source44: import.info

%description
Esniper is a lightweight console application for sniping eBay auctions.


%prep
%setup -q -n %{name}-%{dashver}

# Encode manpage to utf-8
iconv -f iso8859-1 -t utf-8 esniper.1 > esniper.1.conv \
    && touch -r esniper.1 esniper.1.conv \
    && mv esniper.1.conv esniper.1


%build
%configure
%make_build


%install
make install INSTALL="install -p" DESTDIR=%{buildroot}

# Install frontend script
install -p -m 755 frontends/snipe %{buildroot}/%{_bindir}


%files
%doc frontends/README COPYING ChangeLog AUTHORS sample_config.txt sample_auction.txt
%{_bindir}/%{name}
%{_bindir}/snipe
%{_mandir}/man1/%{name}.1*


%changelog
