Group: Engineering
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           espresso-ab
Version:        1.0
Release:        alt2_22
Summary:        A boolean minimization tool

License:        BSD
URL:            http://code.google.com/p/eqntott
Source0:        http://eqntott.googlecode.com/files/%{name}-%{version}.tar.gz

BuildRequires:  gcc
Source44: import.info

%description
Espresso takes as input a two-level representation of a two-valued 
(or multiple-valued) Boolean function, and produces a minimal equivalent 
representation. It is a boolean logic minimization tool.

%prep
%setup -q 

%build
# FIXME: Package suffers from c11 compatibility issues.
# Workaround by appending --std=gnu89 to CFLAGS
# Proper fix would be to fix the source-code
%configure CFLAGS="${RPM_OPT_FLAGS} --std=gnu89"
%make_build

%install
%makeinstall_std

%files
%doc README
%doc --no-dereference COPYING
%{_bindir}/espresso

%changelog
