# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
# %%name is ahead of its definition. Predefining for rpm 4.0 compatibility.
%define name eventlog
%define major	0
%define libname	lib%{name}%{major}
%define devname	lib%{name}-devel

Name:		eventlog
Version:	0.2.13
Release:	alt1_8
Summary:	Syslog-ng v2 support library
License:	BSD
Group:		System/Libraries
URL:		http://www.balabit.com/products/syslog_ng/
Source:     http://www.balabit.com/downloads/files/eventlog/0.2/%{name}_%{version}.tar.gz
Source44: import.info

%description
The EventLog library aims to be a replacement of the simple syslog() API
provided on UNIX systems. The major difference between EventLog and syslog
is that EventLog tries to add structure to messages.

EventLog provides an interface to build, format and output an event record.
The exact format and output method can be customized by the administrator
via a configuration file.

This package is the runtime part of the library.

%package -n	%{libname}
Group:		Development/Other
License:	GPL
Summary:	Replacement for syslog API

%description -n	%{libname}
The EventLog library aims to be a replacement of the simple syslog() API
provided on UNIX systems. The major difference between EventLog and syslog
is that EventLog tries to add structure to messages.

EventLog provides an interface to build, format and output an event record.
The exact format and output method can be customized by the administrator
via a configuration file.

This package is the runtime part of the library.

%package -n	%{devname}
Group:		Development/Other
License:	GPL
Summary:	Replacement for syslog API
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	lib%{name}0-devel

%description -n	%{devname}
The EventLog library aims to be a replacement of the simple syslog() API
provided on UNIX systems. The major difference between EventLog and syslog
is that EventLog tries to add structure to messages.

EventLog provides an interface to build, format and output an event record.
The exact format and output method can be customized by the administrator
via a configuration file.

This package contains the development files.

%prep
%setup -q

%build
%configure
%make_build

%install
%makeinstall_std

%files -n %{libname}
%doc AUTHORS ChangeLog COPYING CREDITS NEWS PORTS README VERSION
%{_libdir}/libevtlog*so.*

%files -n %{devname}
%{_includedir}/eventlog
%{_libdir}/libevtlog.a
%{_libdir}/libevtlog.so
%{_libdir}/pkgconfig/eventlog.pc



%changelog
