# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-mageia-compat
BuildRequires: gcc-c++
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:		examinator
Version:	0.2
Release:	alt1_10
Summary:	Application to generate multiple choice exams in LaTeX quality
License:	GPLv2
Group:		Education
Url:		http://www.perihel.at/examinator
Source0:	http://www.perihel.at/examinator/%{name}-%{version}.tar.gz

BuildRequires:	ccmake cmake ctest
Source44: import.info

%description
eXaminator generates multiple choice exams in LaTeX quality.
All you have to do is to maintain a collection of questions
in a simple plain text format.
Finally specify how many questions should be taken from each
collection file.
eXaminator will choose by random and maintains a history
(in a hidden file in the local directory) to guarantee that
questions are reused as seldom as possible.

A quick howto can be found at
http://www.perihel.at/examinator/examinator-howto.html

%prep
%setup -q

# honor user C_FLAGS thus fixing empty debugsourcefiles.list
sed -i -e 's|-Wall|-O2 -g -Wall -fcommon|' CMakeLists.txt

%build
%{mageia_cmake}
%mageia_cmake_build

%install
%mageia_cmake_install

%files
%doc ChangeLog AUTHORS COPYING README NEWS
%{_bindir}/%{name}


%changelog
