Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-cmake rpm-macros-fedora-compat rpm-macros-qt5-webengine
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global gitcommit_full dcb8453c21a4562727215e899dad083637bc30d3
%global gitcommit %(c=%{gitcommit_full}; echo ${c:0:7})
%global date 20200924

%global debug_package %{nil}

Name:           falkon-pdfreader
Version:        0
Release:        alt2_0.8.%{date}git%{gitcommit}
Summary:        PDF reader extension for Falkon using pdf.js

License:        GPLv3+ and ASL 2.0
URL:            https://github.com/Tarptaeya/PDFReader
Source0:        %{url}/tarball/%{gitcommit_full}


# handled by qt5-srpm-macros, which defines %%qt5_qtwebengine_arches

BuildRequires:  ctest cmake
BuildRequires:  extra-cmake-modules
BuildRequires:  qt5-base-devel

Requires:       falkon-core libfalkonprivate3
Source44: import.info

%description
%{summary}.

%prep
%setup -q -n Tarptaeya-PDFReader-%{gitcommit}

mv pdfreader/pdfjs/LICENSE LICENSE_pdfjs


%build
mkdir %{_target_platform}
pushd %{_target_platform}
    %cmake_kf5 ..
popd


%install
pushd %{_target_platform}
    %fedora_v2_cmake_install
popd


%files
%doc --no-dereference LICENSE LICENSE_pdfjs
%doc README.md
%{_kf5_qtplugindir}/falkon/qml/pdfreader



%changelog
