Group: Sound
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:       fapg
Version:    0.43
Release:    alt2_3
License:    GPLv2+
Summary:    Fast Audio Playlist Generator
URL:        http://royale.zerezo.com/fapg/
Source:     http://royale.zerezo.com/fapg/%{name}-%{version}.tar.gz
BuildRequires: liburiparser-devel
BuildRequires: gcc
Source44: import.info

%description
FAPG means Fast Audio Playlist Generator.
It is a tool to generate list of audio files (Wav, MP3, Ogg, etc)
in various formats (M3U, PLS, HTML, etc).
It is very useful if you have a large amount of audio files 
and you want to quickly and frequently build a playlist.

It is coded in C to be as fast as possible, and does not use 
any specific audio library (like ID3Lib).
This allow you to deploy it faster and easier, and to have 
better performances since the less informations are loaded.
In the other hand, this tool is not (yet) compatible with 
all the known formats.

%prep
%setup -q


%build
%configure
%make_build

%check
make check

%install
%makeinstall_std

%files
%doc AUTHORS ChangeLog README
%doc --no-dereference COPYING
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*

%changelog
