Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-cmake rpm-macros-fedora-compat
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:			fcitx-anthy
Version:		0.2.3
Release:		alt2_2
Summary:		Anthy Engine for Fcitx
License:		GPLv2+
URL:			https://fcitx-im.org/wiki/Anthy
Source0:		https://download.fcitx-im.org/fcitx-anthy/%{name}-%{version}.tar.xz
BuildRequires:	ctest cmake
BuildRequires:	fcitx-devel
BuildRequires:	gettext gettext-tools
BuildRequires:	intltool
BuildRequires:	libanthy-devel
BuildRequires:	gcc-c++
Requires:		fcitx
Requires:		dbus-tools-gui
Source44: import.info

%description
Fcitx-anthy is an Anthy engine wrapper for Fcitx. It provides a Japanese input
method. You can input hiragana and katakana by romaji or using a Japanese
keyboard. And fcitx-anthy also supports converting hiragana or katakana to
kanji.

%prep
%setup -q 


%build
%{fedora_v2_cmake}
%fedora_v2_cmake_build 

%install
%fedora_v2_cmake_install

%find_lang %{name}

%files -f %{name}.lang
%doc COPYING AUTHORS README
%{_libdir}/fcitx/%{name}.so
%{_datadir}/fcitx/addon/%{name}.conf
%{_datadir}/fcitx/anthy/
%{_datadir}/fcitx/inputmethod/anthy.conf
%{_datadir}/fcitx/configdesc/%{name}.desc
%{_datadir}/fcitx/imicon/anthy.png
%{_datadir}/icons/hicolor/48x48/status/%{name}.png
%{_datadir}/icons/hicolor/22x22/status/%{name}-symbol.png
%{_datadir}/icons/hicolor/scalable/status/%{name}-*.svg

%changelog
