Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           feedstail
Version:        0.5.1
Release:        alt1_6
Summary:        A tail-f-like utility for feeds

# everything is GPLv3+ except feeedstail/utils.py, which is
# (partly) taken from webpy/utils.py
License:        GPLv3+ and Public Domain
URL:            https://pypi.python.org/pypi/%{name}
Source0:        https://files.pythonhosted.org/packages/source/f/%{name}/%{name}-%{version}.tar.gz

# this simple patch makes setup install not to install docs under /usr
# upstream is informed, but doesn't have a (public) bug tracker
Patch0:         feedstail-0.5.1-doc.patch

BuildArch:      noarch

BuildRequires:  python-devel
BuildRequires:  python-module-pkg_resources python-module-setuptools

Requires:       python-module-feedparser
Source44: import.info

%description
Feedstail is a tail-f-like utility for feeds. It monitors a
feed and emits new entries.

Feedstail aims to be simple, hackable and compatible
with rsstail, its C brother.

%prep
%setup -q
%patch0 -p1

%build
%python_build


%install
%python_install



%files
%doc README.rst LICENSE.txt
%{python_sitelibdir_noarch}/%{name}
%{python_sitelibdir_noarch}/%{name}-%{version}-py?.?.egg-info
%{_bindir}/%{name}

%changelog
