# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:		feff
Version:	1.10.1
Release:	alt1_3
Summary:	Front-end for FFmpeg
Group:		Video
License:	GPLv3+
URL:		https://bitbucket.org/admsasha/feff/
Source0:	https://bitbucket.org/admsasha/feff/downloads/%{name}-%{version}.tar.gz
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Widgets)
Requires:	ffmpeg ffplay ffprobe
Source44: import.info

%description
FeFF is a front-end for FFmpeg written in Qt.

%prep
%setup -q

%build
%qmake_qt5
%make_build

%install
%makeinstall_std INSTALL_ROOT=%{buildroot}

%files
%doc COPYING
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png


%changelog
