Group: Text tools
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:		fex
Version:	2.0.0
Release:	alt2_12
Summary:	Field split/extraction like cut/awk

License:	BSD
URL:		http://semicomplete.com/projects/fex/
Source0:	https://github.com/jordansissel/%{name}/archive/v%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:  perl(Pod/Man.pm)
Source44: import.info

%description
Fex is a powerful field extraction tool. Fex provides a very concise language
for tokenizing strings and extracting fields.

%prep
%setup -q
# snprintf has a license incompatible with Fedora
# It is only used on Solaris so just delete the directory to avoid confusion or
# problems with licensing.
rm -rf snprintf_2.2

%build
%make_build CFLAGS="%{optflags}"
%make_build CFLAGS="%{optflags}" fex.1

%install
make install DESTDIR=%{buildroot}  PREFIX=%{_prefix}

%files
%doc LICENSE README
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.*


%changelog
