Group: Publishing
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           fig2ps
Version:        1.5
Release:        alt2_17
Summary:        Utility for converting xfig pictures to PS/PDF
License:        GPLv2+
URL:            http://fig2ps.sourceforge.net/
Source0:        http://downloads.sourceforge.net/fig2ps/%{name}-%{version}.tar.bz2
Patch0:         fig2ps-1.5-gv-ps-fix.patch
BuildArch:      noarch

BuildRequires:  rpm-build-perl
BuildRequires:  perl(Cwd.pm)
BuildRequires:  perl(File/Basename.pm)
BuildRequires:  perl(File/Copy.pm)
BuildRequires:  perl(File/Path.pm)
BuildRequires:  perl(File/Temp.pm)
BuildRequires:  perl(Getopt/Long.pm)

Requires:       tex(latex) tex(dvips) ghostscript-utils ghostscript gv transfig
Source44: import.info

%description
fig2ps is a perl script which converts xfig files to postscript or
PDF, using LaTeX for processing text (a capability not included in
transfig). This provides the benefit of seamless integration of
figures into documents (the font in the figures is the same as in the
text), and allows for special typesetting commands (such as
mathematical equations) to be included in figures.


%prep
%setup -q
%patch0 -p1


%build


%install
make install PREFIX=/usr DESTDIR=$RPM_BUILD_ROOT
rm -rf $RPM_BUILD_ROOT%{_datadir}/doc


%files
%doc ChangeLog README examples
%doc --no-dereference GPL.txt
%{_bindir}/*
%{_mandir}/*/*
%config(noreplace) /etc/fig2ps


%changelog
