Group: Other
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           firewalk
Version:        5.0
Release:        alt2_26
Summary:        Active reconnaissance network security tool

License:        BSD
URL:            http://www.packetfactory.net/projects/firewalk/
Source0:        http://www.packetfactory.net/firewalk/dist/%{name}.tar.gz
#gcc patch stolen from Dag Wieers, thanks Dag
Patch0:         firewalk-5.0-gcc.patch

BuildRequires:  gcc
BuildRequires:  libpcap-devel, libdnet-devel, libnet2-devel, automake
Source44: import.info

%description
Firewalk is an active reconnaissance network security tool that attempts
to determine what layer 4 protocols a given IP forwarding device will pass.

%prep
%setup -qn Firewalk
%patch0 -p0
# Needed for x86_64, automake can't be run here
cp -f %{_datadir}/automake-*/config.* .

%build
%configure
%make_build

%install
%makeinstall_std
install -Dp -m 0644 man/firewalk.8 $RPM_BUILD_ROOT%{_mandir}/man8/firewalk.8

%files
%doc BUGS README SOURCE TODO
%{_sbindir}/*
%{_mandir}/man?/*

%changelog
