# BEGIN SourceDeps(oneline):
#BuildRequires: wcslib-devel
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define jpeg_version 1.5.1
%define png_version 1.2
%define cfitsio_version 2.420
%define wcslib_version 3.5.0

Summary: A tool for making cutouts and color images from FITS files
Name: fitscut
Version: 1.4.4
Release: alt1_14
License: GPLv2
Group: Sciences/Astronomy
URL: http://acs.pha.jhu.edu/general/software/fitscut/
Source: http://acs.pha.jhu.edu/general/software/fitscut/download/%{name}-%{version}.tar.gz
BuildRequires: pkgconfig(libjpeg) >= %{jpeg_version}
BuildRequires: pkgconfig(libpng) >= %{png_version}
BuildRequires: pkgconfig(cfitsio) >= %{cfitsio_version}
BuildRequires: wcstools-devel >= %{wcslib_version}
Source44: import.info

%description
Fitscut is a tool for making cutouts and color images from FITS files.

%prep
%setup -q


%build
%configure
%make_build

%install
%makeinstall_std

%files
%doc AUTHORS NEWS
%{_bindir}/%{name}


%changelog
