# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:		flashbench
Version:	72
Release:	alt1_2
Summary:	Bench-marking and analysis utility for flash devices
License:	GPLv2
Group:		System/Kernel and hardware
Url:		https://github.com/bradfa/flashbench.git
Source0:	%{name}-%{version}.tar.bz2
# Run ./mk-tar in SOURCES to generate tarball
Source1:	mk-tar
Source44: import.info

%description
Unfortunately flash manufacturers do not provide random speed, number of
open blocks and erase block size info, to help in deciding the optimum
partitioning strategy for a particular device.
Flashbench is a nice little command line application that can help in
finding this information for you, by checking the speeds achieved over
a range of settings. 
NOTE: This tool will cause loss of data on the device being tested and
should be used with caution. See:- /usr/share/doc/%{name}/README

%prep
%setup -q


%build
%make_build

%install
install -d -m 0755 %buildroot%{_bindir}
install -D -m 0755 erase %{buildroot}%{_bindir}
install -D -m 0755 %{name} %{buildroot}%{_bindir}

%files
%doc COPYING README
%{_bindir}/*


%changelog
