# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define base_name       mlp
%define arc_name        fortune-mod-%{base_name}

Name:           fortune-%{base_name}
Version:        0.2.0
Release:        alt1_3
Summary:        Quotes from My Little Pony: Friendship is Magic
License:        Proprietary
Group:          Toys
Url:            https://github.com/twisted-pear/fortune-mod-mlp
Source:         https://github.com/twisted-pear/%{arc_name}/archive/%{version}.tar.gz#/%{arc_name}-%{version}.tar.gz
Requires:       fortune
BuildRequires:  fortune
BuildArch:      noarch
Source44: import.info

%description
This is a collection of quotes from the television series My Little Pony:
Friendship is Magic.

%prep
%setup -q -n %{arc_name}-%{version}

%build
export PATH="$PATH:/usr/sbin"
%make_build

%install
install -d -m 755 %{buildroot}%{_gamesdatadir}/fortunes
install -m 644 mlp mlp.dat devquotes devquotes.dat %{buildroot}%{_gamesdatadir}/fortunes

%files
%doc README.md
%{_gamesdatadir}/fortunes/devquotes
%{_gamesdatadir}/fortunes/devquotes.dat
%{_gamesdatadir}/fortunes/mlp
%{_gamesdatadir}/fortunes/mlp.dat


%changelog
