Group: Other
%define fedora 32
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:    fpart
Version: 1.2.0
Release: alt2_4
License: BSD
Summary: a tool that sorts files and packs them into bags
URL:     http://contribs.martymac.org

Source0:  https://github.com/martymac/%{name}/archive/%{name}-%{version}.tar.gz

%if 0%{?fedora}
Requires: sudo rsync cpio
%endif
BuildRequires: gcc autoconf automake
Source44: import.info

%description
Fpart is a tool that helps you sort file trees and pack them into bags (called
"partitions"). It is developed in C and available under the BSD license.

It splits a list of directories and file trees into a certain number of
partitions, trying to produce partitions with the same size and number of
files. It can also produce partitions with a given number of files or a limited
size.

%prep
%setup -q -n %{name}-%{name}-%{version}

%build
autoreconf --install
%configure
%make_build

%install
%makeinstall_std

%files
%doc --no-dereference COPYING
%doc Changelog README TODO
%{_mandir}/man1/fpart.1*
%{_mandir}/man1/fpsync.1*
%{_bindir}/fpart
%{_bindir}/fpsync

%changelog
