# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:       freealchemist
Version:    0.5
Release:    alt1_10
Summary:    Free clone of naturalchimie (puzzle game)
License:    GPLv2+
Group:      Games/Puzzles
Url:        https://github.com/dakk/FreeAlchemist#
# source is a mix of upstream zip and debian pieces
Source:     %{name}-%version.tar.xz
Patch0:     freealchemist-0.5-python3.patch
Requires:   python3-module-pygame
BuildArch:  noarch
Source44: import.info

%description
FreeAlchemist is a python version of the game www.naturalchimie.com.

%prep
%setup -q
%patch0 -p1
sed -i 's,exec python ,exec python3 ,' debian/freealchemist-starter

%build

%install
install -d -m 0755 %{buildroot}%{_gamesbindir}
install debian/freealchemist-starter %{buildroot}%{_gamesbindir}/%{name}
install -d -m 0755 %{buildroot}%{_gamesdatadir}/%{name}
install -m 0755 freealchemist.py %{buildroot}%{_gamesdatadir}/%{name}/
install -d -m 0755 %{buildroot}%{_gamesdatadir}/%{name}/media
install -m 0644 media/* %{buildroot}%{_gamesdatadir}/%{name}/media
mkdir %{buildroot}%{_datadir}/applications
install -m 0644 debian/%{name}.desktop %{buildroot}%{_datadir}/applications/
mkdir %{buildroot}%{_datadir}/pixmaps
install -m 0644 debian/%{name}.xpm %{buildroot}%{_datadir}/pixmaps/
mkdir -p %{buildroot}%{_mandir}/man6
install -m 0644 debian/%{name}.1 %{buildroot}%{_mandir}/man6/%{name}.6

%files
%doc LICENSE
%{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.xpm
%{_mandir}/man6/%{name}.6*


%changelog
