# BEGIN SourceDeps(oneline):
BuildRequires: perl(Digest/MD5.pm) perl(File/stat.pm) perl(IO/File.pm)
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Summary:	Hardlinks identical files to save space
Name:		freedups	
Version:	0.6.14
Release:	alt1_13
License:	GPL
Group:		File tools
URL:		http://www.stearns.org/freedups/
Source:		http://www.stearns.org/freedups/%{name}-%{version}.tar.bz2
Buildarch:	noarch
Source44: import.info

%description
Freedups hardlinks identical files to save space.  For files that are
generally read from and not written to, this can provide a 
significant space savings with no performance degredation.  In fact,
in a small number of cases, this can speed up the system.


%prep
%setup

%install
install -d $RPM_BUILD_ROOT%{_bindir}
install -m755 %{name}.pl $RPM_BUILD_ROOT%{_bindir}/%{name}

						
%files
%doc README ChangeLog
%{_bindir}/%{name}






%changelog
