Group: System/Base
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:		fs_mark
Version:	3.3
Release:	alt2_23
Summary:	Benchmark synchronous/async file creation

License:	GPLv2+
URL:		http://sourceforge.net/projects/fsmark/
Source0:	http://downloads.sourceforge.net/fsmark/%{name}.tgz

BuildRequires:	gcc

Patch0:		nostatic
Source44: import.info

%description
The fs_mark program is meant to give a low level bashing to file
systems. The write pattern that we concentrate on is heavily
synchronous IO across mutiple directories, drives, etc.


%prep
%setup -q -n fs_mark
%patch0 -p1 

%build
CFLAGS="$RPM_OPT_FLAGS" make %{?_smp_mflags}


%install
install -D fs_mark $RPM_BUILD_ROOT/usr/bin/fs_mark


%files
%doc README plot_test
%{_bindir}/fs_mark


%changelog
