# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/glib-gettextize
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:		fskbsetting
Version:	0.3.5
Release:	alt3_6
License:	GPLv3+
Summary:	GUI Front-end for setxkbmap command
URL:		https://sourceforge.net/projects/fskbsetting
Group:		System/X11
Source0:	https://sourceforge.net/projects/fskbsetting/files/%{name}-%{version}.tar.gz
BuildRequires:	gcc-c++
BuildRequires:	intltool
BuildRequires:	automake
BuildRequires:	libwxBase3.1-devel libwxGTK3.1-devel
BuildRequires:	icon-theme-hicolor
BuildRequires:	gettext-tools libasprintf-devel libtextstyle-devel
Requires:	setxkbmap
Requires:	icon-theme-hicolor
Source44: import.info

%description
fsKBSetting is GUI front-end for setxkbmap command.

%prep
%setup -q

%build
autoreconf --force --install --symlink
%configure
%make_build

%install
%makeinstall_std

%find_lang %{name}

%files -f %{name}.lang
%{_bindir}/*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/*/%{name}.png
%{_docdir}/%{name}



%changelog
