Group: File tools
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           fspy
Version:        0.1.1
Release:        alt2_22
Summary:        A filesystem activity monitoring utility

License:        GPLv2+
URL:            https://code.google.com/p/fspy
Source0:        https://fspy.googlecode.com/files/%{name}-%{version}.tar.bz2

BuildRequires:  gcc
Source44: import.info
%description
fspy is an easy to use linux filesystem activity monitoring tool. It is
is small, fast and handles system resources conservatively. Features 
include being able to apply filters, use diffing and set a custom output
format in order to achieve the best results.

%prep
%setup -q
# tar ball contains binaries
rm fspy obj/*.o

%build
%make_build CFLAGS="%{optflags}"
chmod 0644 README

%install
install -Dp -m 0755 %{name} %{buildroot}%{_bindir}/%{name}

%files
%doc GPL* LICENSE README
%{_bindir}/%{name}

%changelog
