# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           galois
Version:        0.7
Release:        alt1_1
Summary:        Extended falling blocks game with many different geometries
Group:          Games/Arcade
License:        GPLv3+
URL:            https://www.nongnu.org/galois/
Source0:        https://download.savannah.gnu.org/releases/galois/source/%{name}-%{version}.tar.gz

BuildRequires:  pkgconfig(gtkmm-3.0)
BuildRequires:  pkgconfig(libxml++-2.6)
Source44: import.info

%description
Galois is a computer game of the "falling blocks" type, but with unique
features. Unlike most other games of that type, it is not limited to blocks
made of four two-dimensional, square bricks: you can choose among several
different brick shapes, blocks composed of more or less bricks, and even
between two- and three-dimensional games.

%prep
%setup -q


%build
autoreconf -vfi
%configure
%make_build

%install
%makeinstall_std

%find_lang %{name} --with-gnome --with-man

%files -f %{name}.lang
%doc NEWS
%{_datadir}/applications/%{name}.desktop
%lang(C) %{_datadir}/omf/%{name}/%{name}-C.omf
%lang(it) %{_datadir}/omf/%{name}/%{name}-it.omf
%{_datadir}/pixmaps/%{name}.png
%{_gamesbindir}/%{name}
%{_mandir}/man6/%{name}.6*


%changelog
