Group: Publishing
# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/desktop-file-install /usr/bin/glib-gettextize gcc-c++ perl(Text/Wrap.pm)
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           gcolor2
Version:        0.4
Release:        alt2_22
Summary:        A simple color selector for GTK+2

License:        GPLv2
URL:            http://gcolor2.sourceforge.net/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
Source1:        %{name}.desktop
# Patch extracted from
# http://patch-tracker.debian.org/patch/nondebian/dl/gcolor2/0.4-2.1
Patch0:         %{name}-0.4-missing-includes.patch
# https://bugzilla.redhat.com/show_bug.cgi?id=716100
# bugs.debian.org/cgi-bin/bugreport.cgi?bug=634606
Patch1:         %{name}-0.4-ftbfs.patch
# fix for default -fno-common in GCC10
Patch2:         %{name}-0.4-gcc10.patch

BuildRequires:  gcc
BuildRequires:  gtk-builder-convert gtk-demo libgail-devel libgtk+2-devel perl(XML/Parser.pm) desktop-file-utils
BuildRequires:  perl-devel
Source44: import.info

%description
gcolor2 is a simple color selector that was originally based on gcolor, 
ported to use GTK+2, and now has a completely new UI. 

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

# make sure path to icon is correct
sed -i 's!/usr/share!%{_datadir}!' %{SOURCE1}


%build
%configure
%make_build


%install
make install DESTDIR=%{buildroot} INSTALL="install -p"
desktop-file-install                                    \
  --dir=%{buildroot}%{_datadir}/applications       \
  %{SOURCE1}



%files
%doc AUTHORS ChangeLog COPYING
%{_bindir}/%{name}
%{_datadir}/pixmaps/%{name}/
%{_datadir}/applications/%{name}.desktop

%changelog
