Group: System/Kernel and hardware
# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/desktop-file-validate
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:		gdigi
Version:	0.4.0
Release:	alt2_20140219gitcada964d
Summary:	Utility to control DigiTech effect pedals
License:	GPLv3
URL:		http://desowin.org/gdigi/
Source0:	http://downloads.sourceforge.net/project/gdigi/gdigi/%{version}/%{name}-%{version}.tar.bz2
Source1:	gdigi.png
Source2:	icon.png
Patch0:		gdigi-0.4.0-git.patch
Patch1:		gdigi-define_var_as_extern.patch
BuildRequires:  gcc
BuildRequires:	libexpat-devel gtk3-demo libgail3-devel libgtk+3 libgtk+3-devel libgtk+3-gir-devel libalsa-devel libxml2-devel desktop-file-utils
Source44: import.info

%description
%{name} is a tool aimed to provide X-Edit functionality to Linux users.

Supported devices: RP150, RP155, RP250, RP255, RP355, RP500, RP1000,
		   GNX3000, GNX4K.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
mkdir -p $RPM_BUILD_DIR/%{name}-%{version}/images
install -m 644 %{SOURCE1} %{SOURCE2} $RPM_BUILD_DIR/%{name}-%{version}/images/

%build
%make_build

%install
mkdir -p %{buildroot}/usr/bin
mkdir -p %{buildroot}/%{_datadir}/applications/
mkdir -p %{buildroot}/%{_datadir}/icons/
mkdir -p %{buildroot}/%{_mandir}/man1/
make install DESTDIR=%{buildroot}
install -p -m 644 gdigi.1 %{buildroot}/%{_mandir}/man1/gdigi.1
desktop-file-validate %{buildroot}/%{_datadir}/applications/gdigi.desktop

%files
%doc AUTHORS COPYING HACKING README TODO
%{_bindir}/gdigi
%{_mandir}/man1/gdigi.1*
%{_datadir}/applications/gdigi.desktop
%{_datadir}/icons/gdigi.png

%changelog
