Group: Sciences/Chemistry
# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/desktop-file-install libGLU-devel libglvnd-devel
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Summary: A general chemistry lab experiment simulator
Name: genchemlab
Version: 1.0
Release: alt2_32
License: GPLv2+
Source0: http://kent.dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tgz
URL: http://genchemlab.sourceforge.net/
Patch0: gcl-desktop.patch
BuildRequires:  gcc-c++
BuildRequires: libqt3-devel libfreeglut-devel desktop-file-utils
Source44: import.info

%description
GenChemLab is an OpenGL-based application intended to simulate several common 
general chemistry experiments.

%prep
%setup -q 
sed -i 's/\r//' GPL.txt
sed -i 's/\r//' COPYRIGHT.txt
%patch0 -p1

%build
unset QTDIR || : ; . /etc/profile.d/qt3dir.sh; export PATH=%_libdir/qt3/bin:$PATH
%configure
make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install

desktop-file-install \
        --dir %{buildroot}%{_datadir}/applications \
	--delete-original \
	%{buildroot}%{_datadir}/applications/genchemlab.desktop

%files
%doc COPYRIGHT.txt GPL.txt HISTORY.txt README.txt
%{_datadir}/%{name}/
%{_bindir}/genchemlab
%{_datadir}/pixmaps/genchemlab.png
%{_datadir}/applications/genchemlab.desktop

%changelog
