# BEGIN SourceDeps(oneline):
BuildRequires: perl(HTML/Entities.pm) perl(HTTP/Cookies.pm) perl(Net/SMTP.pm) perl(Net/SMTP_auth.pm) perl(Net/Server/Fork.pm) perl(URI/Escape.pm) perl(WWW/Mechanize/GZip.pm) perl(encoding.pm)
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define	tarname	GetLive_3_0
Name: 	 	getlive
Summary: 	Fetches mail from a Hotmail or Hotmail Live account
Version: 	3.0
Release: 	alt1_3
Epoch:		1
Source:		https://sourceforge.net/projects/getlive/files/%{tarname}.tgz
URL:		http://sourceforge.net/projects/getlive/
License:	GPLv2
Group:		Networking/Mail
Requires:	curl
BuildArch:	noarch
Obsoletes:	gotmail
Provides:	gotmail
Source44: import.info
Patch: GetLive_3_0-pragma-encoding.patch

%description
GetLive is a perl script that fetches mail from your Hotmail or Hotmail
Live account. The mail is then presented to any filter (typically
procmail) for further processing or dropping in a local mailbox.

The scripts keeps track of all downloaded message-ids to avoid double
fetching.

Messages can be marked read or moved to a folder after being downloaded.

%prep
%setup -q -n %tarname
%patch -p1

%build
										
%install
mkdir -p %{buildroot}/%_bindir
install -m 755 GetLive.pl %{buildroot}/%_bindir/

%files
%doc ChangeLog License Manual
%{_bindir}/*




%changelog
