BuildRequires: /usr/bin/gimptool-2.0
Group: Graphics
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global gimpdatadir %(%{_bindir}/gimptool-2.0 --gimpdatadir || echo blah)

Summary: Extra files for GIMP
Name: gimp-data-extras
Version: 2.0.2
Release: alt1_19
License: GPLv2+
URL: http://www.gimp.org/
Source0: http://download.gimp.org/pub/gimp/extras/gimp-data-extras-%{version}.tar.bz2
Source1: license-clarification.txt
Source2: gimp-data-extras.metainfo.xml
BuildArch: noarch
BuildRequires: libgimp-devel
BuildRequires: libgimp-devel >= 2.0
Requires: gimp >= 2.0
Source44: import.info

%description
Patterns, gradients, and other extra files for GIMP.

%prep
%setup -q
cp %{SOURCE1} %{SOURCE2} .

%build
%configure
make

%install
make DESTDIR=%{buildroot} install

install -d -m 0755 %{buildroot}%{_datadir}/appdata
install -m 0644 %{name}.metainfo.xml %{buildroot}%{_datadir}/appdata/

%files
%doc AUTHORS ChangeLog NEWS README
%doc --no-dereference COPYING license-clarification.txt
%{gimpdatadir}/*
%{_datadir}/appdata/%{name}.metainfo.xml

%changelog
