# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define		_name bgmask.scm
%define		abi_version 2.99

Name:		gimp-plugin-bgmask
Version:	0.1
Release:	alt1_9
Url:		http://registry.gimp.org/node/27601
Source0:	http://registry.gimp.org/files/%{_name}
Summary:	A useful script to extract, to mask and to average
License:	BSD
Group:		Graphics

BuildArch:	noarch

Requires:	gimp >= 2.8.0

Provides:	bgmask-gimp = %{version}-%{release}
Source44: import.info

%description
This script adds three tools under Script-Fu - BgMask: 
 * Extract background...
 * Mask against background...
 * Average linked layers...

%install
mkdir -p %{buildroot}
install -D -m644 %{S:0} %{buildroot}%{_datadir}/gimp/%{abi_version}/scripts/%{_name}

%files
%{_datadir}/gimp/%{abi_version}/scripts/%{_name}


%changelog
