Group: Networking/WWW
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:		ginfo
Version:	1.0.3
Release:	alt1_13
Summary:	A versatile tool for discovering Grid services
License:	ASL 2.0
URL:		https://svnweb.cern.ch/trac/gridinfo/browser/ginfo
# The source for this package was pulled from upstream's vcs.  Use the
# following commands to generate the tarball:
#   svn export http://svnweb.cern.ch/guest/gridinfo/ginfo/tags/R_1_0_3 ginfo-1.0.3
#  tar --gzip -czvf ginfo-1.0.3.tar.gz ginfo-1.0.3

Source:		%{name}-%{version}.tar.gz
Patch0:         python2.patch
BuildArch:	noarch

Requires:      python-module-ldap
Source44: import.info

%description
A versatile tool for discovering Grid services by querying either 
LDAP-based Grid information services or the EMI Registry.

%prep
%setup -q

%patch0 -p1

%build

%install
make install prefix=%{buildroot}

%files
%{_bindir}/ginfo
%{_mandir}/man1/ginfo.1*
%doc LICENSE

%changelog
