# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:		git-remote-hg
Version:	1.0.2.1
Release:	alt1_1
License:	GPLv2
Summary:	Transparent bidirectional bridge between Git and Mercurial for Git
Url:		https://github.com/mnauw/git-remote-hg
Group:		Development/Tools
Source:		https://github.com/mnauw/git-remote-hg/archive/v%{version}/%{name}-%{version}.tar.gz
Patch0:		git-remote-hg-1.0.2.1-mga-ambiguous-python-shebang.patch
BuildArch:	noarch
BuildRequires:	asciidoc asciidoc-a2x
Requires:	git-core git-cvs
Requires:	mercurial mercurial-hgext
Source44: import.info

%description
This is a transparent bidirectional bridge between Git and Mercurial for Git
which enable you to use git when working with mercurial repositories.


%prep
%setup -q
%patch0 -p1

%build
%make_build

%install
%makeinstall_std prefix=%{_prefix} install-doc

%files
%doc README.asciidoc
%{_mandir}/man1/%{name}.1*
%{_bindir}/%{name}
%doc --no-dereference LICENSE



%changelog
