Group: Development/Tools
# BEGIN SourceDeps(oneline):
BuildRequires: perl(FileHandle.pm) perl(Text/Wrap.pm)
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           git2cl
Version:        2.0
Release:        alt2_0.19.git8373c9f
Summary:        Converts git logs to GNU style ChangeLog format

License:        GPLv2+
URL:            http://josefsson.org/git2cl/
# Source is generated from a git tag. This
# shows an example of producing a tar ball from
# the  2.0 tag.
# git clone http://repo.or.cz/r/git2cl.git 
# cd git2cl
# git archive --prefix=git2cl-2.0/  git2cl-2.0 | gzip -c > git2cl-2.0.tar.gz
# And finally to get git hash for use in the release.
# git checkout git2cl-2.0

Source0:        git2cl-2.0.tar.gz
BuildArch:      noarch
BuildRequires:      rpm-build-perl

Requires:       git
Source44: import.info

%description
A quick tool to convert git logs to GNU ChangeLog format.

The tool invokes git log internally unless you pipe a log to it. 

%prep
%setup -q

%build
# Nothing to build.

%install
mkdir -p $RPM_BUILD_ROOT%{_bindir}
install -p -m 755 git2cl $RPM_BUILD_ROOT%{_bindir}/git2cl

%files
%{_bindir}/git2cl
%doc README COPYING

%changelog
