# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++ unzip
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           gngt
Version:        1.1.2
Release:        alt1_7
Summary:        German Noun Gender Trainer is a tool for German lerners
Group:          Education
License:        GPLv3
URL:            http://coinonedge.com/gngt/
Source0:        http://coinonedge.com/wp-content/uploads/74/%{name}-%{version}-source.zip
Patch0:         gngt-1.1.2-mga-system-qtsingleapplication.patch

BuildRequires:  libqt4-devel qt5-declarative-devel qt5-tools
BuildRequires:  libqtsingleapplication-devel
Source44: import.info

%description
German Noun Gender Trainer (GNGT) is a small application that helps German
learners memorize genders of German nouns by memorizing their corresponding
definite articles (der, die or das).

%prep
%setup -q -n lawand-%{name}-3c05e3d
%patch0 -p1


%build
export SUBLIBS+="-lQtSolutions_SingleApplication-2.6"

%qmake_qt4
%make

%install
install -D -m755 %{name} %{buildroot}%{_bindir}/%{name}

pushd qtc_packaging/ubuntu/%{name}_%{version}_i386/usr/share
install -D -m755 applications/%{name}.desktop %{buildroot}%{_datadir}/applications/%{name}.desktop
install -d %{buildroot}%{_datadir}/pixmaps/
install -m644 pixmaps/%{name}.* %{buildroot}%{_datadir}/pixmaps/
popd

%files
%doc readme.txt
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.*


%changelog
