# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/glib-gettextize libX11-devel
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define Werror_cflags %nil

Name:           gnome-paint
Version:        0.4.0
Release:        alt2.qa1_7
Summary:        Easy to use paint program

Group:          Graphics
License:        GPLv3+
URL:            https://launchpad.net/gnome-paint
Source0:        http://launchpad.net/%{name}/trunk/%{version}/+download/%{name}-%{version}.tar.gz
#from Debian
Source1:        %{name}.1
Patch0:         %{name}-deb-crash-in-toolbar.patch
Patch1:         %{name}-deb-ftbfs-format-security.patch
Patch2:         %{name}-deb-ftbfs-libs-lm.patch
Patch3:         %{name}-deb-handle-urls.patch
Patch4:         %{name}-deb-update_translations.patch
Patch5:         %{name}-alt-packaging.patch
Patch6:         %{name}-mga-desktop.patch

BuildRequires:  intltool
BuildRequires:  pkgconfig(gtk+-2.0)
Source44: import.info

%description
Simple, easy to use paint program for GNOME.
gnome-paint is a program inspired by MS Paint and designed for 
GNOME (and maybe other) desktop environment. It could be used to 
manipulate images in a very simple way. With a very friendly 
user interface, gnome-paint is easy to get started for new users.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1


%build
autoreconf -fisv
%configure
%make

%install
%makeinstall_std
#remove docs, use rpmbuild instead
rm -rf %{buildroot}%{_prefix}/doc
#remove unnecessary includedir files
rm -rf %{buildroot}%{_includedir}
mkdir -p %{buildroot}%{_mandir}/man1
install -m 644 %{SOURCE1} %{buildroot}%{_mandir}/man1/
mv -f %{buildroot}%{_iconsdir}/hicolor/16x16/apps/gp.png %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png

%find_lang %{name}

%files -f %{name}.lang
%doc ChangeLog README
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}
%{_iconsdir}/hicolor/16x16/apps/%{name}.png
%{_mandir}/man1/%{name}*


%changelog
