Group: File tools
# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/desktop-file-validate
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global project_owner Jenselme

Summary:        Graphical secure password generator
Name:           gnome-password-generator
Version:        2.1.0
Release:        alt2_9
License:        GPLv2+
URL:            https://github.com/%{project_owner}/%{name}
Source0:        https://github.com/%{project_owner}/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz
BuildRequires:  desktop-file-utils
BuildRequires:  libappstream-glib
Requires:       python3-module-pygobject3
Requires:       icon-theme-hicolor
BuildArch:      noarch
Source44: import.info


%description
Gnome Password Generator is a GUI based secure password generator. It allows
the user to generate a specified number of random passwords of a specified
length.


%prep
%setup -q



%build
%make_build SED=/bin/sed


%install
%makeinstall_std


%check
appstream-util validate-relax --nonet %{buildroot}/%{_datadir}/appdata/*.appdata.xml
desktop-file-validate %{buildroot}/%{_datadir}/applications/*.desktop

%files
%doc --no-dereference COPYING
%doc --no-dereference AUTHORS
%doc ChangeLog
%doc README.md
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/96x96/apps/%{name}.png
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/appdata/%{name}.appdata.xml


%changelog
