# BEGIN SourceDeps(oneline):
BuildRequires: GConf glib2-devel
# END SourceDeps(oneline)
Summary: HTML pages thumbnailer
Name: gnome-web-photo
Version: 0.10.5
Release: alt1_9
License: LGPLv2+
Group: Networking/WWW
URL: http://download.gnome.org/sources/gnome-web-photo/0.10/
Source0: http://download.gnome.org/sources/gnome-web-photo/0.10/%{name}-%{version}.tar.xz

BuildRequires: libxml2-devel
BuildRequires: libgtk+3-devel
BuildRequires: libwebkitgtk3-devel
BuildRequires: libjpeg-devel
BuildRequires: gettext intltool
Source44: import.info

%description
gnome-web-photo contains a thumbnailer that will be used by GNOME applications,
including the file manager, to generate screenshots of web pages.

%prep
%setup -q

%build
%configure --with-gtk=3.0
make %{?_smp_mflags}

%install
make DESTDIR=$RPM_BUILD_ROOT install
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

%find_lang %{name}

%files -f %{name}.lang
%doc ChangeLog AUTHORS README TODO COPYING.README
%{_bindir}/gnome-web-photo
%{_bindir}/gnome-web-print
%{_bindir}/gnome-web-thumbnail
%{_datadir}/gnome-web-photo
%{_datadir}/thumbnailers/gnome-web-photo.thumbnailer

%changelog
