Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/gtkdocize /usr/bin/valgrind
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define         gst_req                 1.0
%define         gst_plugins_base_req    1.0

Name:           gnonlin
Version:        1.4.0
Release:        alt2_14
Summary:        GStreamer extension library for non-linear editing

License:        LGPLv2+
URL:            http://gnonlin.sourceforge.net/
Source:         http://gstreamer.freedesktop.org/src/gnonlin/gnonlin-%{version}.tar.xz

BuildRequires:  gcc
BuildRequires:  gstreamer1.0-devel libgstreamer1.0-gir-devel
BuildRequires:  gst-plugins1.0-devel gst-plugins1.0-gir-devel

Requires:       gst-plugins-base1.0 >= %{gst_plugins_base_req}
Obsoletes:      gnonlin-devel < %{version}-%{release}
Provides:       gnonlin-devel = %{version}-%{release}
Source44: import.info

%description
Gnonlin is a library built on top of GStreamer (http://gstreamer.net)
which provides support for writing non-linear audio and video editing
applications. It introduces the concept of a timeline.

%prep
%setup -q

%build
%configure --disable-static
%make_build

%install
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

%files
%doc AUTHORS COPYING.LIB README
%{_libdir}/gstreamer-1.0/libgnl.so

%changelog
