# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/desktop-file-edit /usr/bin/python
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:		gnutrition
Summary:	A free nutrition analysis software
Version:	0.32
Release:	alt1_4
Source0:	http://ftp.gnu.org/gnu/gnutrition/%{name}-%{version}.tar.gz
Patch0:		gnutrition-0.31-mdv-fix-desktopfile-install-path.patch
URL:		http://www.gnu.org/software/gnutrition/
Group:		Sciences/Biology
License:	GPLv3
BuildArch:	noarch
BuildRequires:	pkgconfig(pygtk-2.0)
BuildRequires:	python-module-MySQLdb python-module-mysqlclient
BuildRequires:	docbook-utils
Requires:	python-module-pygtk
Requires:	python-module-MySQLdb python-module-mysqlclient
Source44: import.info

%description
Gnutrition is a free nutrition analysis software written for the GNU
operating system. The US Department of Agriculture Nutrient Database of
Standard Reference is used as the source of food nutrient information.
It contains data on 81 nutrients for over 5,000 foods.

%prep
%setup -q
%patch0 -p0

%build
%configure
%make_build

%install
#%%makeinstall_std doesn't work
%makeinstall

# move files to a correct location
mv %{buildroot}%{_datadir}/data/ \
	%{buildroot}/%{_datadir}/%{name}/
mv %{buildroot}%{_datadir}/pixmaps/ \
	%{buildroot}/%{_datadir}/%{name}/

# fix .desktop icon
mkdir -p %{buildroot}%{_datadir}/applications/
mv %{buildroot}%{_datadir}/gnome/apps/Applications/%{name}.desktop \
	%{buildroot}%{_datadir}/applications/
desktop-file-edit \
	--set-icon=%{_datadir}/%{name}/pixmaps/cake.png \
	--add-category="GNOME" \
        --add-category="GTK" \
        --add-category="Utility" \
		%{buildroot}%{_datadir}/applications/%{name}.desktop

%files
%doc AUTHORS README ChangeLog
%doc --no-dereference COPYING
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/gnome/help/%{name}/


%changelog
