%filter_from_requires /^python3.apiclient.discovery./d
Group: Networking/WWW
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python rpm-build-python3
BuildRequires: python-devel python3-module-setuptools
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:		goobook
Version:	3.3
Release:	alt1_5
Summary:	Abook-style interface for google contacts for mutt

License:	GPLv3
URL:		https://gitlab.com/goobook/goobook
Source0:	https://pypi.python.org/packages/source/g/%{name}/%{name}-%{version}.tar.gz

BuildArch:	noarch

BuildRequires:	python3-module-distribute
BuildRequires:	python3-devel
Source44: import.info

%description
Goobook is a command-line interface to Google contacts. It includes
* Searching contacts
* Mutt integration (the same way as for abook)
* Adding new contacts (very basic)

%prep
%setup -q -n %{name}-%{version}

%build
%python3_build

%install
%python3_install

# Remove shebang
for lib in %{buildroot}%{python_sitelibdir_noarch}/goobook/*.py; do
	sed '/\/usr\/bin\/env/d' $lib > $lib.new &&
	touch -r $lib $lib.new &&
	mv $lib.new $lib
done

%files
%doc LICENSE.txt README.rst CHANGES.rst CONTRIBUTORS.rst TODO.rst HACKING.rst
%{python3_sitelibdir_noarch}/goobook*
%{_bindir}/goobook

%changelog
