# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(Pod/Parser.pm) perl(base.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define oname	Grutatxt

Name:		grutatxt
Summary:	Text to HTML converter
Version:	2.20
Release:	alt1_3
Source0:	https://github.com/angelortega/grutatxt/archive/%{version}/%{name}-%{version}.tar.gz
URL:		http://www.triptico.com/software/grutatxt.html
Group:		Text tools
License:	Public Domain
BuildArch:	noarch
Provides:	%{oname} = %{EVR}
Source44: import.info

%description
Grutatxt is a plain text to HTML (and other formats) converter.
It successfully converts subtle text markup to lists, bold, italics, 
tables and headings to their corresponding HTML, troff, man page or 
LaTeX markup without having to write unreadable source text files. 
Grutatxt is a Perl module and a command line utility, 
and is the main text renderer in the Gruta CMS.

%prep 
%setup -q


%build 
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install
%makeinstall_std

%files 
%doc AUTHORS README RELEASE_NOTES TODO
%doc doc/grutatxt_apache_handlers.txt doc/grutatxt_markup.txt
%{_bindir}/%{name}
%{_bindir}/pod2%{name}
%{perl_vendor_privlib}/%{oname}.pm
%doc --no-dereference LICENSE


%changelog
