Group: Engineering
# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/desktop-file-install /usr/bin/glib-gettextize pkgconfig(gthread-2.0) pkgconfig(gtk+-2.0)
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           gsim85
Version:        0.3
Release:        alt2_26
Summary:        An 8085 microprocessor simulator

License:        GPLv2+
URL:            http://gsim85.sourceforge.net/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Patch0:         gsim85-0.3-format-security.patch

BuildRequires:  gcc
BuildRequires:  libglade-devel
BuildRequires:  intltool
BuildRequires:  perl-XML-Parser
BuildRequires:  desktop-file-utils
Source44: import.info


%description
It is an 8085 simulator. It is having very user friendly graphical
user interface. It can be used to test 8085 programs before actualy
implementing them on target board.

%prep
%setup -q
%patch0 -p1 -b .error

%build
%configure --disable-static
%make_build

%install
make install DESTDIR=%{buildroot} INSTALL="install -p"
desktop-file-install                                    \
    --remove-category="IDE;Development;Engineering;"    \
    --add-category="Electronics;"                       \
    --dir=%{buildroot}%{_datadir}/applications          \
    %{buildroot}%{_datadir}/applications/%{name}.desktop

%files
%{_docdir}/%{name}
%exclude %{_docdir}/%{name}/COPYING
%exclude %{_docdir}/%{name}/INSTALL
%doc --no-dereference COPYING
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/pixmaps/gsim.png
%{_datadir}/pixmaps/%{name}/
%{_datadir}/applications/%{name}.desktop

%changelog
