Group: Sound
# BEGIN SourceDeps(oneline):
BuildRequires: pkgconfig(gstreamer-0.10) pkgconfig(gstreamer-base-0.10)
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
# Upstream has not made releases in a while.  Track HEAD instead of trying to
# backport individual patches.
%global commit0 8473c299bc193f44c520c930a72618999ae5bb17
%global shortcommit0 %(c=%{commit0}; echo ${c:0:7})

Summary: Command line multimedia player based on gstreamer
Name: gst123
Version: 0.3.3
Release: alt2_17.1.%{shortcommit0}
URL: http://space.twc.de/~stefan/gst123.php
Source0: http://space.twc.de/cgi-bin/gitweb.cgi?p=gst123.git;a=snapshot;h=%{commit0};sf=tgz#/%{name}-%{shortcommit0}.tgz

License: LGPLv2

# We need to generate configure scripts because upstream does it at release
# time.
BuildRequires:  gcc-c++
BuildRequires: autoconf automake
BuildRequires: gstreamer1.0-devel libgstreamer1.0-gir-devel
BuildRequires: gst-plugins1.0-devel gst-plugins1.0-gir-devel
BuildRequires: gtk-builder-convert gtk-demo libgail-devel libgtk+2-devel
BuildRequires: libX11-devel
BuildRequires: libncurses++-devel libncurses-devel libncursesw-devel libtic-devel libtinfo-devel
Source44: import.info

%description

The program gst123 is designed to be a more flexible command line player 
in the spirit of ogg123 and mpg123, based on gstreamer. It plays all file 
formats gstreamer understands, so if you have a music collection which 
contains different file formats, you can use gst123 to play all your 
music files.

%prep
%setup -q -n %{name}-%{shortcommit0}

./autogen.sh

%build
%configure
%make_build

%install
make install DESTDIR=%{buildroot}

%files

%{_bindir}/gst123
%{_mandir}/man1/gst123.1*
%doc COPYING AUTHORS README NEWS

%changelog
