# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/gacutil pkgconfig(gtk+-2.0)
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:		gtk-sharp-beans
Version:	2.13.92
Release:	alt1_0.11
License:	LGPLv2+
Group:		Development/Other
Summary:	Extra Gtk# bindings
Url:		http://gitorious.org/gtk-sharp-beans
Source:		%{name}-%{version}.tar.bz2
BuildRequires:	libgtk-sharp2
BuildRequires:	pkgconfig(gapi-2.0)
BuildRequires:	pkgconfig(gio-sharp-2.0)
BuildRequires:	pkgconfig(mono)
BuildRequires:	mono-monodoc
BuildArch:	noarch
%global __requires_exclude ^lib.*
Source44: import.info

%description

Gtk# Beans aims to fill the gap between the current Gtk# packages
state and all the blings and desktop integration stuffs anyone
would want to use.

It builds on top of Gtk# and extend it by adding new classes and
extension methods.

%package devel
Group:          Development/Other
Summary:        Extra Gtk# bindings
Requires:       %{name} = %{version}

%description devel
Files for developing programs that use gtk-sharp-beans

%prep
%setup -q
sed -i "s#gmcs#mcs#g" configure.ac

%build
autoreconf -vfi

%configure
%make_build

%install
%makeinstall_std pkgconfigdir=%{_datadir}/pkgconfig

%files
%doc NEWS AUTHORS README
%dir %{_prefix}/lib/mono/gac/%{name}
%dir %{_prefix}/lib/mono/gac/%{name}/2.14.0.0__97a95fb57b03c03a
%{_prefix}/lib/mono/gac/%{name}/*/*.dll*
%dir %{_prefix}/lib/mono/%{name}-2.0
%{_prefix}/lib/mono/%{name}-2.0/%{name}.dll

%files devel
%doc ChangeLog 
%{_datadir}/pkgconfig/gtk-sharp-beans-2.0.pc


%changelog
