Group: File tools
# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/desktop-file-install
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           gtk-splitter
Version:        2.2.1
Release:        alt2_24
Summary:        A file splitter

License:        GPLv2+
URL:            http://gtk-splitter.sourceforge.net/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Patch0:         gtk-splitter-2.2.1-format-security.patch

BuildRequires:  gcc
BuildRequires:  libmhash-devel
BuildRequires:  gtk-builder-convert gtk-demo libgail-devel libgtk+2-devel

BuildRequires:  desktop-file-utils
Source44: import.info

%description
gtk-splitter can split files into smaller pieces and combine them back
together. It can also generate a DOS batch file so that the split
files can be combined on DOS/Windows systems. gtk-splitter is good for
working around file limitations with floppy disks, email attachments,
etc.

%prep
%setup -q
%patch0 -p1 -b .error

%build
%configure
%make_build

%install
make install DESTDIR=%{buildroot} INSTALL="install -p"
rm -rf %{buildroot}%{_prefix}/doc/%{name}-%{version}
desktop-file-install                                    \
    --remove-category="GNOME;Application;"              \
    --dir=%{buildroot}%{_datadir}/applications          \
    %{buildroot}%{_datadir}/applications/%{name}.desktop

%files
%doc AUTHORS ChangeLog COPYING HOSTS NEWS README TODO
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png

%changelog
