Group: Video
# BEGIN SourceDeps(oneline):
BuildRequires: pkgconfig(glib-2.0)
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:		gtk-v4l
Version:	0.4
Release:	alt2_21
Summary:	Video4Linux Device Preferences
License:	LGPLv2+
URL:		http://fedorahosted.org/gtk-v4l
Source0:	https://fedorahosted.org/releases/g/t/%{name}/%{name}-%{version}.tar.gz
Patch0:         0001-gtk-v4l-device-remove-source-on-finalize.patch
Patch1:         0002-gtk-v4l-Werror-format-security.patch
BuildRequires:  gcc
BuildRequires:	scrollkeeper
BuildRequires:	libv4l-devel >= 0.6
BuildRequires:	gtk3-demo libgail3-devel libgtk+3 libgtk+3-devel libgtk+3-gir-devel
BuildRequires:	libgudev-devel libgudev-gir-devel
Source44: import.info


%description
gtk-v4l is a Video4Linux Web camera control app

%package devel
Group: Video
Summary:        Development files for gtk-v4l
Requires:       %{name} = %{version}-%{release}

%description devel
Contains library and header files for gtk-v4l


%prep
%setup -q
%patch0 -p1
%patch1 -p1


%build
%configure --disable-static
make CFLAGS="$RPM_OPT_FLAGS"  %{?_smp_mflags}


%install
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'





%files
%doc COPYING AUTHORS ChangeLog README
%{_bindir}/gtk-v4l
%{_datadir}/applications/gtk-v4l.desktop
%{_libdir}/libgtkv4l.so.0.0.0
%{_libdir}/libgtkv4l.so.0

%files devel
%doc COPYING
%{_includedir}/gtk-v4l-widget.h
%{_includedir}/gtk-v4l-device-list.h
%{_libdir}/libgtkv4l.so


%changelog
