Group: Graphical desktop/Other
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
# Review: https://bugzilla.redhat.com/show_bug.cgi?id=524605

Name:           gtrayicon
Version:        1.1
Release:        alt2_22
Summary:        Generic tray icon for GNOME

License:        GPLv3+
URL:            http://gtrayicon.sourceforge.net/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Patch0:         %{name}-1.1-makefile.patch

BuildRequires:  gcc
BuildRequires:  libglade-devel
Source44: import.info

%description
Gtrayicon is a generic tray icon for GNOME. It defines two actions: activate 
and deactivate, that are alternated by clicking in the tray icon. You choose 
what commands to run on each action. You can also define each action's icon and
a custom menu that is shown on left click. A sample menu file is included with 
the package. Check %{_docdir}/gtrayicon-%{version}/sample.menu for more info.


%prep
%setup -q
%patch0 -p1 -b .orig

%build
%make_build CFLAGS="%{optflags}"


%install
make install DESTDIR=%{buildroot} INSTALL='install -p'
install -Dpm0644 Debian/%{name}.1 %{buildroot}/%{_mandir}/man1/%{name}.1



%files
%doc ChangeLog sample.menu README LICENSE
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_mandir}/man1/%{name}.1*


%changelog
