Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-setuptools
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:          gwebsockets
Version:       0.7
Release:       alt2_5
Summary:       GLib based websockets server

License:       ASL 2.0
URL:           https://github.com/sugarlabs/gwebsockets
Source0:       https://github.com/sugarlabs/gwebsockets/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildArch:     noarch 

BuildRequires: glib2-devel libgio libgio-devel
BuildRequires: python3-devel
BuildRequires: python3-module-distribute
Source44: import.info

%description
A websocket server written in python. It uses GIO for network
communication and hence it easily integrates with the GLib mainloop.

%package -n python3-module-gwebsockets
Group: Other
Summary:  GLib based websockets server
%{?python_provide:%python_provide python3-gwebsockets}
Requires: libgio

%description -n python3-module-gwebsockets
A websocket server written in python3. It uses GIO for network
communication and hence it easily integrates with the GLib mainloop.

%prep
%setup -q

%build
%python3_build

%install
%python3_install

%files -n python3-module-gwebsockets
%doc --no-dereference LICENSE
%{python3_sitelibdir_noarch}/%{name}*

%changelog
