Group: Development/Tools
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
BuildRequires: /usr/bin/desktop-file-install
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           gwsmhg
Version:        0.13.2
Release:        alt1_16
Summary:        A PyGTK GUI wrapper for hg and mq

License:        GPLv2
Url:            http://gwsmhg.sourceforge.net/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python-devel desktop-file-utils
Requires:       python-module-pygtk python-module-pygtk-demo python-module-pygtksourceview mercurial mercurial-hgext libvte python-module-vte
Source44: import.info

%description
Mercurial (hg) is a distributed source control tool and Mercurial Queues (mq)
is a patch management tool extension to hg. gwsmhg is a PyGTK GUI wrapper for
hg and mq allowing them to be used in an integrated manner to manage a work
space.


%prep
%setup -q

%build
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

desktop-file-install gwsmhg.desktop \
    --dir $RPM_BUILD_ROOT%{_datadir}/applications


%files
%doc COPYING copyright
%{_bindir}/gwsmhg
%{python_sitelibdir_noarch}/gwsmhg*
%{_datadir}/pixmaps/gwsmhg*
%{_datadir}/applications/gwsmhg.desktop


%changelog
