Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-setuptools
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global pypi_name hashID

Name:           hashid
Version:        3.1.4
Release:        alt2_10
Summary:        Tool to identify different types of hashes

License:        GPLv3+
URL:            https://github.com/psypanda/hashID
Source0:        %{url}/archive/v%{version}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-module-distribute
Source44: import.info

%description
Identify the different types of hashes used to encrypt data and especially
passwords. hashID is a tool which supports the identification of over 220
unique hash types using regular expressions.

It is able to identify a single hash, parse a file or read multiple files in
a directory and identify the hashes within them.

%prep
%setup -q -n %{pypi_name}-%{version}

sed -i -e '/^#!\//, 1d' hashid.py

%build
%python3_build

%install
%python3_install
install -Dp -m 0644 doc/man/%{name}.7 %{buildroot}%{_mandir}/man7/%{name}.7

%files
%doc README.rst doc/CHANGELOG
%doc --no-dereference doc/LICENSE
%{_mandir}/man*/%{name}*.*
%{_bindir}/%{name}
%{python3_sitelibdir_noarch}/*.egg-info
%{python3_sitelibdir_noarch}/%{name}.py
%{python3_sitelibdir_noarch}/__pycache__/*

%changelog
