Group: System/Base
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:		hatools
Version:	2.14
Release:	alt2_18
Summary:	Improved shell scripting in High Availability environment

License:	GPLv2+
URL:		http://fatalmind.com/software/hatools/
Source0:	http://fatalmind.com/software/%{name}/%{name}-%{version}.tar.bz2

BuildRequires:  gcc
Source44: import.info
%description
The HA-Tools provide some programs to improve shell scripting in a High
Availability environment.

The halockrun program provides a simple and reliable way to implement a locking
in shell scripts. A typical usage for halockrun is to prevent cronjobs to run
simultanously. halockrun uses a lock on a file via fcntl(2) which ensures the
release of the lock even if the process gets killed via SIGKILL.

The hatimerun program provides a time-out mechanism which can be used from
shell scripts. 

%prep
%setup -q

%build
%configure
%make_build

%install
make install DESTDIR=$RPM_BUILD_ROOT

%files
%doc AUTHORS ChangeLog COPYING NEWS README
%{_bindir}/*
%{_mandir}/*/*

%changelog
