Group: Other
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           hexer
Version:        1.0.5
Release:        alt2_3
Summary:        Interactive binary editor

License:        BSD
URL:            http://devel.ringlet.net/editors/hexer/
Source0:        http://devel.ringlet.net/files/editors/hexer/hexer-1.0.5.tar.xz

Patch1: error_msg_fix.patch

BuildRequires:	gcc
BuildRequires:  libncurses++-devel libncurses-devel libncursesw-devel libtic-devel libtinfo-devel
Source44: import.info

%description
Hexer is an interactive binary editor (also known as a hex-editor)
with a Vi-like interface. Its most important features are multiple buffers,
multiple-level undo, command-line editing with completion, and binary regular
expressions.

%prep
%setup -q

%patch1

%build
export CFLAGS="%{optflags}"
%make_build

%install
mkdir -p %{buildroot}%{_bindir}/
cp -p hexer %{buildroot}%{_bindir}/
mkdir -p %{buildroot}%{_mandir}/man1/
cp -p hexer.1 %{buildroot}%{_mandir}/man1/

%files
%doc README
%doc --no-dereference COPYRIGHT
%{_bindir}/hexer
%{_mandir}/man1/hexer.1*

%changelog
