# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++ texinfo
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           ht-editor
Version:        2.1.0
Release:        alt1_8
Summary:        File editor/viewer/analyzer for executables

Group:          Editors
License:        GPLv2
URL:            http://hte.sourceforge.net/
Source0:        https://downloads.sourceforge.net/hte/ht-%{version}.tar.bz2
# /usr/bin/ht conflicts with an existing program from texlive.
Patch1:         ht-2.1.0-change-program-name.patch
Patch2:         ht-2.1.0-gcc10.patch
Patch3:         ht-2.0.22-format.patch
Patch4:         ht-2.1.0-unsigned-char.patch
Patch5:         ht-2.1.0-uint-abs.patch

BuildRequires:  liblzo2-devel
BuildRequires:  pkgconfig(ncurses)
BuildRequires:  pkgconfig(ncursesw)
BuildRequires:  pkgconfig(x11)
BuildRequires:  recode
Source44: import.info

%description
HT is a file editor/viewer/analyzer for executables. The goal is to combine
the low-level functionality of a debugger and the usability of IDEs. We plan
to implement all (hex-)editing features and support of the most important
file formats.

%prep
%setup -q -n ht-%{version}
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

recode latin1..utf8 TODO

%build
autoreconf -vfi
%configure --enable-maintainermode
%make_build
# CFLAGS="%{optflags}" CXXFLAGS="%{optflags}"

%install
%makeinstall_std

%files
%doc ChangeLog COPYING AUTHORS NEWS README TODO KNOWNBUGS
%{_bindir}/ht-editor


%changelog
