Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/fep /usr/bin/glib-gettextize gcc-c++
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:		ibus-fep
Version:	1.4.4
Release:	alt2_18
Summary:	IBus client for text terminals (non frame buffer)

License:	GPLv3+
URL:		https://github.com/ueno/ibus-fep
Source0:	https://github.com/downloads/ueno/ibus-fep/%{name}-%{version}.tar.gz

BuildRequires:	vala vala-tools
BuildRequires:	libfep-devel
BuildRequires:	libibus-devel libibus-gir-devel
BuildRequires:	intltool
Source44: import.info

%description
ibus-fep is an IBus client that runs on text terminals such as xterm.


%prep
%setup -q
touch src/*.vala


%build
%configure
%make_build


%install
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"

%find_lang %{name}


%files -f %{name}.lang
%doc README COPYING ChangeLog
%{_bindir}/ibus-fep
%{_libexecdir}/ibus-fep-client
%{_mandir}/man1/ibus-fep*


%changelog
