Group: Graphical desktop/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-cmake rpm-macros-fedora-compat
BuildRequires: pkgconfig(gio-2.0)
# END SourceDeps(oneline)
%define _libexecdir %_prefix/libexec
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global commit 46b5b9e4bfb75fbccc5043b07ef5c76a3cc72ce3
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:          ibus-unikey
Version:       0.6.1
Release:       alt2_26.20190311git46b5b9e
Summary:       Vietnamese engine for IBus input platform

License:       GPLv3
URL:           https://github.com/vn-input/ibus-unikey/
Source0:       https://github.com/vn-input/ibus-unikey/archive/%{commit}/%{name}-%{version}-%{shortcommit}.tar.gz

BuildRequires: ctest cmake
BuildRequires: gcc-c++
BuildRequires: gettext gettext-tools
BuildRequires: libibus-devel libibus-gir-devel
BuildRequires: gtk3-demo libgail3-devel libgtk+3 libgtk+3-devel libgtk+3-gir-devel
BuildRequires: intltool
BuildRequires: pkg-config

Requires: ibus python3-module-ibus-overrides
Source44: import.info

%description
A Vietnamese engine for IBus input platform that uses Unikey.


%prep
%setup -q -n %{name}-%{commit}



%build
%{fedora_v2_cmake}
%fedora_v2_cmake_build

%install
%fedora_v2_cmake_install
%find_lang %{name}


%files -f %{name}.lang
%doc README.md
%doc --no-dereference LICENSE
%{_datadir}/%{name}/
%{_datadir}/ibus/component/unikey.xml
%{_libexecdir}/ibus-engine-unikey
%{_libexecdir}/ibus-setup-unikey
%{_datadir}/glib-2.0/schemas/org.freedesktop.ibus.engine.unikey.gschema.xml

%changelog
