Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-cmake rpm-macros-fedora-compat
BuildRequires: /usr/bin/lcov
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%undefine __cmake_in_source_build
%global debug_package %{nil}
%global major_version 0

Name:           ignition-cmake
Version:        0.6.1
Release:        alt2_10
Summary:        CMake modules to be used by the Ignition projects
Epoch:          1

#Most of the sources are Apache, but a couple of the CMake Find* modules are licensed as BSD
License:        ASL 2.0 and BSD
URL:            https://ignitionrobotics.org/libs/cmake
Source0:        http://gazebosim.org/distributions/ign-cmake/releases/%{name}-%{version}.tar.bz2
Patch0:         %{name}-0.6.1-noarch.patch
BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  ctest cmake
Source44: import.info

%description
This package is required to build ignition projects, as well as to link your
own projects against them. It provides modules that are used to find
dependencies of ignition projects and generate cmake targets for consumers of
ignition projects to link against.

%package devel
Group: Other
Summary: CMake modules to be used by the Ignition projects
BuildArch: noarch

%description devel
This package is required to build ignition projects, as well as to link your
own projects against them. It provides modules that are used to find
dependencies of ignition projects and generate cmake targets for consumers of
ignition projects to link against.

%prep
%setup -q
%patch0 -p0


%build
%{fedora_v2_cmake} -DBUILD_TESTING=OFF -DCMAKE_BUILD_TYPE=Release
%fedora_v2_cmake_build

%install
%fedora_v2_cmake_install

%files devel
%{_datadir}/cmake/%{name}%{major_version}
%{_datadir}/ignition

%changelog
