# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/glib-genmarshal /usr/bin/glib-mkenums pkgconfig(dbusmenu-gtk3-0.4) pkgconfig(gio-2.0) pkgconfig(gtk+-3.0)
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           indicator-application
Summary:        Displays application menus on panel
Group:          Graphical desktop/GNOME
Version:        12.10.0
Release:        alt1_5
License:        GPLv3
URL:            http://launchpad.net/indicator-application
Source0:        https://launchpad.net/indicator-application/12.10/%{version}/+download/%{name}-%{version}.tar.gz
BuildRequires:  pkgconfig(json-glib-1.0)
BuildRequires:  pkgconfig(dbusmenu-glib-0.4)
BuildRequires:  pkgconfig(appindicator3-0.1)
BuildRequires:  pkgconfig(dbus-glib-1)
BuildRequires:  pkgconfig(indicator3-0.4)
Source44: import.info

%description
This package provides a library and an indicator to take the menus
from applications and display them on the panel bar.

%prep
%setup -q

%build
export CFLAGS="%{optflags} -Wno-error=deprecated-declarations"
%configure --disable-static
%make

%install
%makeinstall_std

find %{buildroot}%{_libdir} -name '*.la' -delete -print

%files
%doc AUTHORS COPYING
%{_libexecdir}/%{name}-service
%{_libdir}/indicators3/
%{_datadir}/dbus-1/services/*.service
%{_datadir}/%{name}/


%changelog
