# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           iqpuzzle
Version:        1.2.5
Release:        alt1_1
Summary:        A diverting I.Q. challenging pentomino puzzle
Group:          Games/Puzzles
License:        GPLv3
URL:            https://github.com/ElTh0r0/iqpuzzle
Source0:        https://github.com/ElTh0r0/iqpuzzle/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Widgets)

# Some files were renamed, hence the conflict
Conflicts: %{name} < 1.2.2-1
Source44: import.info

%description
iQPuzzle is a diverting I.Q. challenging pentomino puzzle.
Pentominos are used as puzzle pieces and more than 300 different board shapes
are available, which have to be filled with them.

%prep
%setup -q


%build

%qmake_qt5 PREFIX=%{buildroot}%{_prefix}
%make_build

%install
%makeinstall_std

%find_lang %{name} --with-man

%files -f %{name}.lang
%{_bindir}/%{name}
%{_datadir}/applications/com.github.elth0r0.iqpuzzle.desktop
%{_datadir}/icons/hicolor/*/apps/iqpuzzle.png
%{_datadir}/icons/hicolor/scalable/apps/iqpuzzle.svg
%{_datadir}/metainfo/com.github.elth0r0.iqpuzzle.metainfo.xml
%{_datadir}/%{name}/
%{_mandir}/man6/iqpuzzle.6*


%changelog
