Group: Other
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           jetring
Version:        0.30
Release:        alt1_1
Summary:        GPG keyring maintenance using changesets

License:        GPLv2+
URL:            http://joeyh.name/code/jetring/
Source0:        http://ftp.debian.org/debian/pool/main/j/%{name}/%{name}_%{version}.tar.xz

BuildArch:      noarch
BuildRequires:  gnupg
BuildRequires:  rpm-build-perl
BuildRequires:  perl(Cwd.pm)
BuildRequires:  perl(File/Temp.pm)
BuildRequires:  perl(Getopt/Long.pm)
BuildRequires:  perl(strict.pm)
BuildRequires:  perl(warnings.pm)
Requires:       gnupg
Source44: import.info

%description
jetring is a collection of tools that allow for GPG keyrings to be maintained
using changesets. It was developed with the Debian keyring in mind, and aims to
solve the problem that a GPG keyring is a binary blob that's hard for multiple
people to collaboratively edit.


%prep
%setup -q



%build
%make_build


%install
%makeinstall_std
install -Dpm 0644 jetring.7 %{buildroot}%{_mandir}/man7/jetring.7
install -d %{buildroot}%{_mandir}/man1
install -pm 0644 jetring-*.1 %{buildroot}%{_mandir}/man1


%files
%doc README
%doc --no-dereference GPL
%{_bindir}/jetring*
%{_mandir}/man1/*
%{_mandir}/man7/*


%changelog
