# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:			joy2key
Version:		1.6.3
Release:		alt1_10

Summary:	Translate joystick events into keyboard events
License:	GPLv2
# keyboard emulator:
Group:		Emulators
URL:		http://sourceforge.net/projects/joy2key/
Source0:	http://downloads.sourceforge.net/joy2key/joy2key-%{version}.tar.bz2
# Uses xwininfo to find the window.
Requires:	xwininfo
BuildRequires:	pkgconfig(x11)
Source44: import.info

%description
Joy2key will translate your joystick movements into the equivalent
keystrokes. Joy2key works both in X and at the console, both raw and
terminal modes.

%prep
%setup -q

%build
%configure
%make

%install
%makeinstall_std

%files
%doc AUTHORS README TODO joy2keyrc.sample
%{_bindir}/joy2key
%{_mandir}/man1/joy2key.1*





%changelog
