Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-fedora-compat
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}


Name:          js-gl-matrix
Version:       2.4.0
Release:       alt2_8
Summary:       Javascript module designed to perform vector and matrix operations very fast
BuildArch:     noarch
License:       MIT
URL:           http://glmatrix.net/
Source0:       https://github.com/toji/gl-matrix/archive/v%{version}/gl-matrix-%{version}.tar.gz

BuildRequires: web-assets-devel

Requires:      web-assets-filesystem
Source44: import.info


%description
glMatrix is designed to perform vector and matrix operations stupidly fast!
By hand-tuning each function for maximum performance and encouraging
efficient usage patterns through API conventions, glMatrix will help you get
the most out of your browsers Javascript engine.

%prep
%setup -q -n gl-matrix-%{version}

%build

%install
%global installdir %{buildroot}%{_jsdir}/gl-matrix
mkdir -p %{installdir}/%{version}

cp -pr dist/* %{installdir}/%{version}

%files
%doc --no-dereference LICENSE.md
%doc README.md VERSION
%{_jsdir}/gl-matrix


%changelog
