Group: Other
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global commitdate 20181112
%global commit 6fbd644f618ca73b910fe7661b0198382ad45b9b
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:           kabi-dw
Version:        0
Release:        alt1_0.14.%{commitdate}git%{shortcommit}
Summary:        Detect changes in the ABI between kernel builds
License:        GPLv3+
URL:            https://github.com/skozina/%{name}
Source0:        %{url}/archive/%{commit}/%{name}-%{shortcommit}.tar.gz

BuildRequires:  libasm-devel libdw-devel libdw-devel-static libelf-devel
BuildRequires:  gcc
BuildRequires:  bison
BuildRequires:  flex
BuildRequires:  glib2-devel libgio libgio-devel
Source44: import.info

%description
The aim of kabi-dw is to detect any changes in the ABI between the successive
builds of the Linux kernel. This is done by dumping the DWARF type information
(the .debug_info section) for the specific symbols into the text files and
later comparing the text files.

%prep
%setup -q -n %{name}-%{commit}

%build
#CFLAGS=$RPM_OPT_FLAGS LDFLAGS=$RPM_LD_FLAGS make debug

%make_build

%install
install -dm 755 %{buildroot}%{_bindir}
install -m 0755 %{name} %{buildroot}%{_bindir}/

%files
%{_bindir}/%{name}
%doc README.md
%doc --no-dereference COPYING

%changelog
