# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:		kalibrate-rtl
Version:	65
Release:	alt2_2
Summary:	Calibrate rtl-sdr dongles against local GSM transmitters
Group:		Communications
License:	GPLv1
URL:		https://github.com/steve-m/kalibrate-rtl

Source0:	kalibrate-rtl-%{version}.tar.gz
Source1:	mk-tar

BuildRequires:	pkgconfig(libusb-1.0)
BuildRequires:	pkgconfig(librtlsdr)
BuildRequires:	pkgconfig(fftw3)
BuildRequires:	automake
BuildRequires:	libtool

# To provide udev rules
Requires:	rtl-sdr
Source44: import.info

%description
Kalibrate, or kal, can scan for GSM base stations in a given frequency band
and can use those GSM base stations to calculate the local oscillator
frequency offset of an rtl-sdr dongle.

%prep
%setup -q -n %{name}

%build
./bootstrap
%configure --disable-dependency-tracking
%make_build

%install
%makeinstall_std

%files
%doc COPYING NEWS README.md
%{_bindir}/kal


%changelog
