# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-java
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Summary: A Learning Environment - play, exploration, and learning
Name: kojo
Version: 2.4.07
Release: alt1_4
License: GPLv3
Group: Sciences/Other
URL: http://www.kogics.net
BuildArchitectures: noarch
Requires: java
#- Get the jar installer http://www.kogics.net/kojo-download
#- Install Kojo on your machine - into say ~/Kojo2
#- tar+gzip the Kojo2 dir
Source0: %{name}-%{version}.tar.gz
Source1: %{name}
Source2: %{name}.desktop
Source44: import.info

%description
Kojo is a desktop application that runs on Windows, Linux, and the Mac.
It is a Learning Environment - with many different features that enable
play, exploration, and learning in the areas of:
    Computer Programming
    Math and Science
    Systematic and Computational Thinking
    Art, Music, and Creative Thinking
    Computer and Internet Literacy

%prep
%setup -q
rm -rf ./Uninstaller
rm -f ./bin/kojo.exe

%build
#nothing

%install
mkdir -p %{buildroot}%{_javadir}/%{name}
cp -af ./bin %{buildroot}%{_javadir}/%{name}
cp -af ./icons %{buildroot}%{_javadir}/%{name}
cp -af ./lib %{buildroot}%{_javadir}/%{name}
mkdir -p %{buildroot}%{_bindir}
install -m 755 %{SOURCE1} %{buildroot}%{_bindir}
mkdir -p %{buildroot}/%{_datadir}/applications
install -m 644 %{SOURCE2} %{buildroot}/%{_datadir}/applications

%files
%doc licenses/*
%{_javadir}/%{name}
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop


%changelog
