Group: Sound
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           ladspa-fil-plugins
Version:        0.3.0
Release:        alt2_24
License:        GPLv2+
Summary:        LADSPA Filter plugins
URL:            http://www.kokkinizita.net/linuxaudio/
# Upstream site is down was
# http://www.kokkinizita.net/linuxaudio/downloads/...
Source:         FIL-plugins-%{version}.tar.bz2
BuildRequires:  gcc-c++
BuildRequires:  ladspa_sdk
Requires:       ladspa_sdk
Obsoletes:      fil-plugins <= 0.0.1
Provides:       fil-plugins = %{version}-%{release}
Source44: import.info

%description
There is one plugin in this first release, a four-band parametric
equaliser. Each section has an active/bypass switch, frequency,
bandwidth and gain controls. There is also a global bypass switch and
gain control.


%prep
%setup -q -n FIL-plugins-%{version}

sed -i -e "s|/usr/lib/ladspa|\\$\(DESTDIR\)%{_libdir}/ladspa|g" \
    -e "s|-shared|-shared $RPM_LD_FLAGS|" Makefile
# we want to use the system ladspa.h
rm ladspa.h


%build
%make_build CPPFLAGS="$RPM_OPT_FLAGS -fPIC -D_REENTRANT"


%install
mkdir -p %{buildroot}%{_libdir}/ladspa
%makeinstall_std


%files
%doc AUTHORS README
%doc --no-dereference COPYING
%{_libdir}/ladspa/*.so


%changelog
