Group: Networking/WWW
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           lbd
Version:        0.4
Release:        alt2_10
Summary:        A DNS/HTTP load balancing detector

License:        GPLv2+
URL:            https://github.com/craig/ge.mine.nu/tree/master/lbd
Source0:        https://raw.githubusercontent.com/craig/ge.mine.nu/master/lbd/%{name}.sh#/%{name}
BuildArch:      noarch

Requires:       bind bind-utils
Requires:       nmap
Source44: import.info

%description
lbd (load balancing detector) detects if a given domain uses DNS and/or HTTP 
Load-Balancing (via Server: and Date: header and diffs between server answers).

%prep
# Nothing to prep

%build
# Nothing to build

%install
install -d %{buildroot}%{_bindir}
install -p -m 755 %{SOURCE0} %{buildroot}%{_bindir}/

%files
%{_bindir}/lbd

%changelog
