# BEGIN SourceDeps(oneline):
BuildRequires: perl(Text/Wrap.pm)
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           lbzip2
Version:        2.5
Release:        alt1_6
Summary:        Fast, multi-threaded bzip2 utility
Group:          Archiving/Compression
License:        GPLv3+
URL:            http://lbzip2.org/
Source0:        http://archive.lbzip2.org/%{name}-%{version}.tar.gz
Patch0:		_IO_EOF_SEEN.patch
Source44: import.info

%description
lbzip2 is an independent, multi-threaded implementation of bzip2. It is
commonly the fastest SMP (and uniprocessor) bzip2 compressor and
decompressor.


%prep
%setup -q
%patch0 -p1


%build
autoreconf -vfi
%configure
%make_build V=1

%install
%makeinstall_std


%files
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README
%{_bindir}/%{name}
%{_bindir}/lbzcat
%{_bindir}/lbunzip2
%{_mandir}/man1/%{name}.1*
%{_mandir}/man1/lbzcat.1*
%{_mandir}/man1/lbunzip2.1*


%changelog
