Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires: texinfo zlib-devel
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           lightning
Version:        2.1.3
Release:        alt2_4
Summary:        Library for generating assembly code on run time

License:        LGPLv3+
URL:            http://www.gnu.org/software/lightning/lightning.html
Source0:        ftp://ftp.gnu.org/gnu/lightning/lightning-%{version}.tar.gz

BuildRequires:  makeinfo, gcc
BuildRequires:  binutils-devel
Source44: import.info

%description
GNU lightning is a library to aid in making portable programs
that compiles assembly code at run time.

%package devel
Group: Development/Other
Summary:        Header for the lightning package
Requires:       %{name} = %{version}-%{release}
Requires:	pkgconfig

%description devel
This package contains development header and libraries of the
ligthing package

%prep
%setup -q


%build
%configure --enable-static=no --enable-shared=yes --with-gnu-ld --with-pic
%make_build V=1 CFLAGS="%{optflags} -fno-strict-aliasing"

%install
%makeinstall_std

rm -f $RPM_BUILD_ROOT%{_libdir}/*.a
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

rm -rf $RPM_BUILD_ROOT%{_infodir}/dir
mv $RPM_BUILD_ROOT%{_includedir}/lightning.h $RPM_BUILD_ROOT%{_includedir}/lightning

%check
make check V=1 CFLAGS="-g -fno-strict-aliasing -fPIC"



%files
%doc AUTHORS ChangeLog NEWS README THANKS
%doc --no-dereference COPYING COPYING.DOC COPYING.LESSER
%{_libdir}/*.so.*

%files devel
%{_libdir}/*.so
%{_includedir}/lightning/
%{_infodir}/lightning.info.*
%{_libdir}/pkgconfig/*.pc

%changelog
