Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(LWP/UserAgent.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           linode-cli
Version:        1.4.5
Release:        alt2_19
Summary:        Official command-line interface to the Linode platform
License:        Artistic or GPLv2
URL:            https://github.com/linode/cli/
Source0:        https://github.com/linode/cli/archive/v%{version}.tar.gz#/cli-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  rpm-build-perl
BuildRequires:  perl(Carp.pm)
BuildRequires:  perl(Crypt/SSLeay.pm)
BuildRequires:  perl(Exporter.pm)
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(FindBin.pm)
BuildRequires:  perl(Getopt/Long.pm)
BuildRequires:  perl(JSON.pm)
BuildRequires:  perl(lib.pm)
BuildRequires:  perl(parent.pm)
BuildRequires:  perl(Pod/Usage.pm)
BuildRequires:  perl(strict.pm)
BuildRequires:  perl(Sys/Hostname.pm)
BuildRequires:  perl(Term/ANSIColor.pm)
BuildRequires:  perl(Try/Tiny.pm)
BuildRequires:  perl(warnings.pm)
BuildRequires:  perl(WebService/Linode.pm)
Requires:       perl(WebService/Linode.pm)
Source44: import.info

%description
Linode CLI is a simple command-line interface to the Linode platform.

%prep
%setup -qn cli-%{version}
rm -frv lib/WebService*

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1

%install
%makeinstall_std
chmod -v 755 %{buildroot}%{_bindir}/linode*

%files
%doc Changes LICENSE README.md
%{_bindir}/linode*
%{perl_vendor_privlib}/*
%{_mandir}/man1/*

%changelog
