Group: Graphical desktop/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-fedora-compat
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           lsw
Version:        0.3
Release:        alt2_15
Summary:        Prints all window titles of DISPLAY to standard output
License:        MIT
URL:            http://tools.suckless.org/%{name}
Source0:        http://dl.suckless.org/tools/%{name}-%{version}.tar.gz
Patch0:         lsw-0.3-config.patch
# 4d6e1b39
Patch1:         lsw-0.3-segfault-avoidance.patch
BuildRequires:  binutils
BuildRequires:  coreutils
BuildRequires:  gcc
BuildRequires:  libX11-devel
BuildRequires:  sed
Source44: import.info

%description
Lists the titles of all running X windows to stdout, similar to ls(1). Might
be useful for script integration.

%prep
%setup -q
%patch0 -p1 -b .config
%patch1 -p1

%build
export LDFLAGS="%{?__global_ldflags}"
%make_build

%install
make install DESTDIR=%{buildroot} PREFIX=%{_prefix}

%files
%doc --no-dereference LICENSE
%doc README
%{_bindir}/lsw
%{_mandir}/man1/lsw.1*

%changelog
