Group: Sound
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           lv2-invada-plugins
Version:        1.2.0
Release:        alt2_24
Summary:        A collection of LV2 plugins from Invada Records

# The file plugingui/lv2_ui.h is LGPLv2+.  The rest are GPLv2+.
License:        GPLv2+ and LGPLv2+
URL:            http://www.invadarecords.com/Downloads.php?ID=00000264
# This package is not hosted on upstream's site, but it is the tarball that
# they recommend for packagers to use.  The tarball that is hosted on the
# invadarecords.com site has Debian packaging info in it, so they point to this
# one, which does not include that.
Source0:        http://launchpad.net/invada-studio/lv2/1.2/+download/invada-studio-plugins-lv2_%{version}-nopkg.tgz

BuildRequires:  gcc
BuildRequires:  lv2-devel
BuildRequires:  gtk-builder-convert gtk-demo libgail-devel libgtk+2-devel
Requires:       lv2
Source44: import.info

%description
A collection of LV2 plugins including delay, tube distortion, compressor,
LPF, HPF, phaser, reverb, and utilities, all featuring GUIs.

%prep
%setup -q -n invada-studio-plugins-lv2-%{version}

# Mmake sure to have the correct Fedora specific flags and stop suppression of compilation and linking commands
find . -name Makefile -exec sed -i 's|-O3|%{optflags}|; s|@$(CC)|$(CC)|; s|@$(LD)|$(LD)|; s|@ar\b|ar|' {} \;


%build
%make_build


%install
make install-sys DESTDIR="$RPM_BUILD_ROOT" INSTALL_SYS_PLUGINS_DIR="%{_libdir}/lv2"



%files
%doc COPYING CREDITS README
%{_libdir}/lv2/*



%changelog
