Group: Sound
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global pkgname swh-lv2
%global gitver 5098e09

Name:		lv2-swh-plugins
Version:	1.0.15
Release:	alt2_12.20150723.%{gitver}git
Summary:	LV2 ports of LADSPA swh plugins
License:	GPLv3
URL:		http://lv2plug.in/
# Get sources from upstream git
# wget http://github.com/swh/lv2/tarball/master
Source0:	%{pkgname}-%{gitver}.tar.gz
#Source0:	http://plugin.org.uk/lv2/%%{pkgname}-%%{version}.tar.gz

BuildRequires:	libfftw3-devel
BuildRequires:	gcc
BuildRequires:	libxslt xsltproc
BuildRequires:	lv2-devel
Requires:	lv2
Source44: import.info

%description
This is an early experimental port of my LADSPA plugins to the LV2
specification, c.f. http://lv2plug.in/ . It's still quite early days, but most
things should work as well or not as they did in LADSPA.


%prep
%setup -q -n %{pkgname}-%{gitver}

# We are using the system header:
rm -f include/lv2.h

%build
make real-clean
%make_build \
	CFLAGS="-I%{_includedir} $RPM_OPT_FLAGS" \
	LDFLAGS="$RPM_OPT_FLAGS"


%install
make install-system INSTALL_DIR="$RPM_BUILD_ROOT%{_libdir}/lv2"



%files
%doc COPYING README
%{_libdir}/lv2/*


%changelog
