# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:		lxmed
Version:	20120515
Release:	alt1_9
License:	GPLv3
Group:		Graphical desktop/Other
URL:		http://sourceforge.net/projects/lxmed
Source0:	http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Source1:	%{name}.sh
Summary:	LXDE Menu Editor

BuildArch:	noarch
Requires:	java
Source44: import.info

%description
lxmed is a small, simple, free, easy to use application 
that allows you to customize the LXDE menu.

lxmed is written in the Java programming language.


%prep
%setup -q -n %{name}

%build

%install
install -m755 %{SOURCE1} -D %{buildroot}%{_bindir}/%{name}
install -m644 content/LXMenuEditor.jar -D %{buildroot}/%{_datadir}/%{name}/LXMenuEditor.jar
install -m644 content/lxmed.png -D %{buildroot}/%_niconsdir/%{name}.png

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Exec=lxmed
Icon=lxmed.png
Type=Application
Terminal=false
Name=LXDE Menu Editor
GenericName=LXDE Menu Editor
StartupNotify=false
Categories=Settings;DesktopSettings;X-LXDE-Settings;
EOF

%files
%{_bindir}/%{name}
%{_datadir}/%{name}
%_niconsdir/%{name}.png
%{_datadir}/applications/%{name}.desktop


%changelog
