Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-cmake rpm-macros-fedora-compat
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%undefine __cmake_in_source_build

# This is a header-only library, but it install also cmake
# scripts to %%{_libdir}, so it cannot be noarch.
%global debug_package %{nil}

Name: maddy
Version: 1.1.2
Release: alt2_2

License: MIT
Summary: C++ Markdown to HTML header-only parser library
URL: https://github.com/progsource/%{name}
Source0: %{url}/archive/%{version}/%{name}-%{version}.tar.gz
Patch0: %{name}-cmake-fixes.patch

BuildRequires: ninja-build python3-module-ninja_syntax
BuildRequires: gcc-c++
BuildRequires: ctest cmake
BuildRequires: gcc
Source44: import.info

%description
Header-only %{summary}.

%package devel
Group: Other
Summary: Development files for %{name}
Provides: %{name}-static = %{?epoch:%{epoch}:}%{version}-%{release}

%description devel
%{summary}.

%prep
%setup -q
%patch0 -p1


%build
%{fedora_v2_cmake} -G Ninja \
    -DCMAKE_BUILD_TYPE=Release
%fedora_v2_cmake_build

%install
%fedora_v2_cmake_install

%files devel
%doc README.md
%doc --no-dereference LICENSE AUTHORS
%{_includedir}/%{name}
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/cmake/%{name}

%changelog
