Group: Networking/WWW
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-setuptools
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           maildirproc
Version:        1.0.1
Release:        alt2_15
Summary:        Sort mail from mail boxes in the maildir format

License:        GPLv2+
URL:            http://joel.rosdahl.net/maildirproc/
# Python 3 version:
Source0:        https://files.pythonhosted.org/packages/source/m/%{name}/%{name}-%{version}a.tar.bz2
# Python 2 version is available at
# https://pypi.python.org/pypi/maildirproc-python2

BuildArch:      noarch
BuildRequires:  python3-devel
Source44: import.info

%description
maildirproc is a program that processes one or several existing mail boxes in 
the maildir format. It is primarily focused on mail sorting, which means 
moving, copying, forwarding, and deleting mail according to a set of rules.
It can be seen as an alternative to procmail, but instead of being a delivery 
agent (which wants to be part of the delivery chain), maildirproc only 
processes mail which has already been delivered. That is a feature, not a bug.

%prep
%setup -q -n %{name}-%{version}


%build
%python3_build

%install
%python3_install

%files
%doc --no-dereference LICENSE
%doc NEWS README doc/*
%{_bindir}/%{name}
%{python3_sitelibdir_noarch}/%{name}-%{version}-*.egg-info

%changelog
