# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:		mathwar
Summary:	Simple "flash-card" type math game for kids
Version:	3.0.3
Release:	alt1_2
URL:		https://sourceforge.net/projects/mathwar-gtk
Group:		Sciences/Mathematics
License:	GPLv2+
Source0:	https://sourceforge.net/projects/mathwar-gtk/files/%{name}-%{version}.tar.gz
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	gettext-tools libasprintf-devel
Source44: import.info

%description
A flash card game designed to teach simple maths.
A GTK3 application that teaches kids (and adults) how to respond quickly
to simple math problems in addition, subtraction, and multiplicaion using
flash cards and timers.

It includes a Computer player, where the player gets to
decide if the Computer is right or not.

%prep
%setup -q
# delete POT file for right creating GMO files and for updating all translations
rm -f po/*.pot

%build
autoreconf -vfi
%configure
%make_build

%install
%makeinstall_std

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS ChangeLog COPYING
%{_bindir}/*
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/*.png
%{_datadir}/%{name}/pixmaps/*
%{_mandir}/man6/%{name}*


%changelog
