Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires: boost-devel boost-filesystem-devel perl(Date/Parse.pm) perl(File/Spec/Functions.pm) perl(Mail/Internet.pm)
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           mbox2eml
Version:        0.1.2
Release:        alt4_17
Summary:        Split mbox mailboxes into single .eml files

License:        GPL+
URL:            http://sourceforge.net/projects/mbox2eml/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Source1:        set-eml-mtimes.pl

BuildRequires:  gcc-c++
BuildRequires:  boost-complete
BuildRequires:  libpopt-devel
Source44: import.info

%description
Mbox2eml splits mbox mailboxes into single .eml files.  It is highly
configurable and written in C++ to gain maximum performance using a
minimum of RAM.


%prep
%setup -q
sed -i -e 's/\r//g' AUTHORS ChangeLog
install -pm 644 %{SOURCE1} .


%build
%configure
%make_build


%install
%makeinstall_std


%files
%doc --no-dereference COPYING
%doc AUTHORS ChangeLog README set-eml-mtimes.pl
%{_bindir}/mbox2eml


%changelog
