# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name: mkcomposecache
Version: 1.2.1
Release: alt1_12
Summary: Used for creating global (system-wide) Compose cache files
Group: System/X11
URL: http://xorg.freedesktop.org
Source: http://xorg.freedesktop.org/releases/individual/app/%{name}-%{version}.tar.bz2
License: MIT

BuildRequires: xorg-util-macros >= 1.0.1
BuildRequires: pkgconfig(x11)
Source44: import.info

%description
mkcomposecache is used for creating global (system-wide) Compose cache files.

Compose cache files help with application startup times and memory usage,
especially in locales with large Compose tables (e.g. all UTF-8 locales).

The tool only makes sense with libX11 1.0.2 and higher.
Included is a script mkallcomposecaches.sh that creates global cache
files for all supported locales.

%prep
%setup -q

%build
# fix build on aarch64
autoreconf -vfi

%configure
%make_build

%install
%makeinstall_std

%files
%{_sbindir}/mkcomposecache
%{_mandir}/man8/mkcomposecache.*


%changelog
