Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-fedora-compat
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global debug_package %{nil}

Name:	 	mono-cecil-flowanalysis
Version:	0.1
Release:	alt2_0.38.20110512svn100264
Summary:	Flowanalysis engine for Cecil
URL:		https://github.com/mono/cecil/tree/master/flowanalysis
License:	MIT
# No source tarball, source from here:
# git clone https://github.com/mono/cecil.git
# mv cecil/flowanalysis flowanalysis-20110512gitb34edf6
# tar cvfj flowanalysis-20110512gitb34edf6.tar.bz2 flowanalysis-20110512gitb34edf6/
Source0:	flowanalysis-20110512gitb34edf6.tar.bz2
Source1:	cecil-flowanalysis.pc
Patch0:		flowanalysis-build.patch
BuildRequires:	mono-core mono-data mono-data-oracle mono-devel mono-dyndata mono-extras mono-mono2-compat mono-mono2-compat-devel mono-mvc mono-wcf mono-web mono-winforms mono-winfx

# Mono only available on these:
ExclusiveArch: %mono_arches
Source44: import.info

%description
Flowanalysis engine for Cecil.

%package devel
Group: Other
Summary:	Flowanalysis engine for Cecil
Requires:	%{name} = %{version}-%{release}
Requires:	pkgconfig

%description devel
Development files for mono-cecil-flowanalysis

%prep
%setup -q -n flowanalysis-20110512gitb34edf6
%patch0 -p1

%build
# Use the mono system key instead of generating our own here.
cp -a /etc/pki/mono/mono.snk Cecil.FlowAnalysis.snk
make LIBDIR=%{_prefix}/lib

%install
mkdir -p $RPM_BUILD_ROOT/%{_libdir}/pkgconfig
cp -p %{S:1} $RPM_BUILD_ROOT/%{_libdir}/pkgconfig
sed -i -e 's!@libdir@!${prefix}/lib!' $RPM_BUILD_ROOT/%{_libdir}/pkgconfig/cecil-flowanalysis.pc
mkdir -p $RPM_BUILD_ROOT/%{_prefix}/lib/mono/gac/
gacutil -i bin/Cecil.FlowAnalysis.dll -f -package Cecil.FlowAnalysis -root ${RPM_BUILD_ROOT}/%{_prefix}/lib


%files
%doc decompiler-notes.txt AUTHORS README
%{_prefix}/lib/mono/gac/Cecil.FlowAnalysis/
%{_prefix}/lib/mono/Cecil.FlowAnalysis/

%files devel
%{_libdir}/pkgconfig/cecil-flowanalysis.pc

%changelog
