Group: Other
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           mpdas
Version:        0.4.4
Release:        alt2_10
Summary:        An MPD audioscrobbling client

License:        BSD
URL:            http://50hz.ws/%{name}/
Source0:        http://50hz.ws/%{name}/%{name}-%{version}.tar.gz

BuildRequires:  libcurl-devel
BuildRequires:  libmpdclient-devel
BuildRequires:  gcc-c++
Provides:       bundled(md5-deutsch)
Source44: import.info

%description
mpdas is a MPD AudioScrobbler client supporting the 2.0 protocol
specs. It is written in C++ and uses libmpd to retrieve the song
data from MPD and libcurl to post it to Last.fm


%prep
%setup -q

%build
export CONFIG="%{_sysconfdir}" PREFIX="%{buildroot}%{_prefix}" MANPREFIX="%{buildroot}%{_mandir}" CXXFLAGS+="$RPM_OPT_FLAGS"
make

%install
mkdir -p %{buildroot}%{_prefix} %{buildroot}%{_mandir}/man1/ %{buildroot}%{_sysconfdir} %{buildroot}%{_bindir}

# Manually install them
install -m 0755 mpdas %{buildroot}%{_bindir}/mpdas
rm mpdas -f
install -m 0644 mpdas.1 %{buildroot}%{_mandir}/man1/mpdas.1

%files
%doc README mpdasrc.example
%doc --no-dereference LICENSE
%{_mandir}/man1/mpdas.1*
%{_bindir}/mpdas

%changelog
