Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-fedora-compat
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           mujs
Version:        1.0.9
Release:        alt2_2
Summary:        An embeddable Javascript interpreter
License:        AGPLv3+
URL:            http://mujs.com/
# The mujs.com download page doesn't provide recent tarballs
# Github mirror of mujs.com repository provides releases from tags
Source0:        https://github.com/ccxvii/mujs/archiv/%{version}.tar.gz
BuildRequires:  coreutils
BuildRequires:  gcc
BuildRequires:  grep
BuildRequires:  readline-devel
Source44: import.info

%description
MuJS is a lightweight Javascript interpreter designed for embedding in
other software to extend them with scripting capabilities.

%package devel
Group: Other
Summary:        MuJS development files
Provides:       %{name}-static = %{version}-%{release}

%description devel
This package provides the MuJS static library.

%prep
%setup -q -n %{name}-%{version}
chmod a-x -v docs/*

%build
make debug %{?_smp_mflags} XCFLAGS="%{optflags} -fPIC" LDFLAGS="%{?__global_ldflags}"

%install
make install DESTDIR=%{buildroot} prefix="%{_prefix}" libdir="%{_libdir}" \
 XCFLAGS="%{optflags} -fPIC" LDFLAGS="%{?__global_ldflags}"

%files
%doc --no-dereference COPYING
%doc AUTHORS README docs
%{_bindir}/%{name}

%files devel
%doc --no-dereference COPYING
%doc AUTHORS README
%{_libdir}/pkgconfig/%{name}.pc
%{_includedir}/%{name}.h
%{_libdir}/lib%{name}.a

%changelog
