Group: System/Base
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           mussh
Version:        1.0
Release:        alt2_17
Summary:        Multihost SSH wrapper

License:        GPL+
URL:            http://www.sourceforge.net/projects/mussh
Source0:        http://downloads.sourceforge.net/mussh/mussh-%{version}.tgz

BuildArch:      noarch
Requires:       openssh-clients
Source44: import.info

%description
Mussh is a shell script that allows you to execute a command or script
over ssh on multiple hosts with one command. When possible mussh will use
ssh-agent and RSA/DSA keys to minimize the need to enter your password
more than once.

%prep
%setup -q -n mussh

%build

%install
mkdir -p $RPM_BUILD_ROOT/usr/bin/
install -p mussh $RPM_BUILD_ROOT/usr/bin/
mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man1/
gzip mussh.1
install -p mussh.1.gz ${RPM_BUILD_ROOT}%{_mandir}/man1/

%files
%doc INSTALL README BUGS CHANGES EXAMPLES
%{_bindir}/mussh
%{_mandir}/man1/*

%changelog
