Group: System/Base
# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/desktop-file-validate glib2-devel
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           nall
Version:        1.0
Release:        alt2_24
Summary:        A simple, non-intrusive, everything notifier in the system tray
License:        GPLv2+
URL:            http://herewe.servebeer.com/nall/
Source0:        http://herewe.servebeer.com/nall/releases/%{name}-%{version}.tar.gz
Patch0:         nall-1.0-libnotify.patch
BuildRequires:  gcc
BuildRequires:  libnotify-devel libnotify-gir-devel gtk-builder-convert gtk-demo libgail-devel libgtk+2-devel intltool
BuildRequires:  desktop-file-utils
Source44: import.info

%description
Nall is a small gtk+ application that discretely fits into your freedesktop
system tray (such as trayer).

Its purpose is to spawn periodically every kind of script and display a
one-line output in the tooltip window. The main usage of nall is monitoring or
just notifying of almost everything (it just depends upon your imagination and
ability to script).

%prep
%setup -q
%patch0 -p1 -b libnotify

%build
%configure
%make_build

%install
make install DESTDIR=$RPM_BUILD_ROOT

mv $RPM_BUILD_ROOT%{_datadir}/doc/%{name} _examples

find _examples/ -type f -exec chmod a-x {} \;

desktop-file-validate $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

%find_lang %{name}

%files -f %{name}.lang
%doc COPYING NEWS README AUTHORS
%doc _examples/examples
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/
%{_datadir}/pixmaps/*

%changelog
