Group: Shells
# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/glib-gettextize pkgconfig(glib-2.0)
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
# workaround the Deprecated types
%global optflags %(echo %{optflags} -Wno-deprecated-declarations)

Name:           nautilus-search-tool
Version:        0.3.0
Release:        alt2_34
Summary:        A Nautilus extension that makes searching for files easier

License:        GPLv2+
URL:            http://saettaz.altervista.org/software/nautilus_search_tool.html
Source0:        http://dl.sourceforge.net/nautsearchtool/%{name}-%{version}.tar.gz
Source1:        %{name}.metainfo.xml
Patch0:         nautilus-search-tool-0.3.0-headers-typos.patch
Patch1:         nautilus-search-tool-no-eels.patch
Patch2:         nautilus-search-tool-0.3.0-noninit.patch
Patch3:         nautilus-search-tool-0.3.0-startdir.patch
Patch4:         nautilus-search-tool-0.3.0-gtk3.patch
Patch5:         nautilus-search-tool-0.3.0-gnome-desktop.patch
Patch6:         nautilus-search-tool-0.3.0-gnome3.patch
Patch7:         nautilus-search-tool-0.3.0-neheader.patch
BuildRequires:  gcc-c++
BuildRequires:	libtool gettext gettext-tools intltool
BuildRequires:	libnautilus-devel libnautilus-gir-devel
BuildRequires:	GConf libGConf-devel libGConf-gir-devel
BuildRequires:	gnome-vfs-devel
BuildRequires:  /usr/bin/gnome-search-tool
BuildRequires:  autoconf

Requires:       /usr/bin/gnome-search-tool
Source44: import.info


%description
This package adds an option to the context menu of folders in Nautilus to
search for files.

%prep
%setup -q
%patch0 -p1 -b .headers-typos
%patch1 -p1 -b .no-eels
%patch2 -p1 -b .noninit
%patch3 -p1 -b .startdir
%patch4 -p1 -b .gtk3
%patch5 -p1 -b .gnome-desktop
%patch6 -p1 -b .gnome3
%patch7 -p1 -b .neheader

%build
autoconf
%configure --disable-static
%make_build

%install
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name \*.la -exec rm {} \;
install -m 644 -D %{SOURCE1} $RPM_BUILD_ROOT/%{_datadir}/appdata/%{SOURCE1}
%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS COPYING
%{_libdir}/nautilus/extensions-3.0/*.so
%{_datadir}/appdata/*

%changelog
