# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define _legacy_common_support 1
Summary:	A network address discovering tool
Name:		netdiscover
Version:	0.3
Release:	alt1_0.beta7.11
License:	GPLv3
Group:		Networking/Other
URL:		https://sourceforge.net/projects/netdiscover/
# http://www.pc-workshop.da.ru/cvs/netdiscover.tar.gz?view=tar
# from https://sourceforge.net/code-snapshots/svn/n/ne/netdiscover/code/netdiscover-code-118-trunk.zip
Source0:	%{name}-%{version}-beta7-r118.tar.gz
Patch2:		20_fix-spelling-binary.patch
Patch3:		30_fix-manpage.patch
BuildRequires:	libpcap-devel
BuildRequires:	libnet-devel >= 1.1.3
BuildRequires:	wget
BuildRequires:	libtool
BuildRequires:	dos2unix
Source44: import.info

%description
Netdiscover is a network address discovering tool, developed mainly for those
wireless networks without dhcp server, but it also works on hub/switched
networks. Its based on arp requests, it will send arp requests and sniff for
replies.

%prep
%setup -q -n %{name}-%{version}-beta7-r118
%patch2 -p1
%patch3 -p1


%build
LC_ALL=C sh update-oui-database.sh
NOCONFIGURE=1 ./autogen.sh

%configure

%make_build

%install
%makeinstall_std

# cleanup
rm -rf %{buildroot}%{_prefix}/doc

%files
%doc AUTHORS ChangeLog README TODO COPYING NEWS
%{_sbindir}/*
%{_mandir}/man8/*


%changelog
