Group: System/Base
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python3
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name: nfsometer		
Version: 1.9
Release: alt2_11
Summary: NFS Performance Framework Tool

License: GPLv2+ 
URL: http://wiki.linux-nfs.org/wiki/index.php/NFSometer
Source0: http://www.linux-nfs.org/~dros/nfsometer/releases/%{name}-%{version}.tar.gz
Patch001: nfsometer_py3.patch

BuildArch: noarch
BuildRequires: python3-module-distribute
BuildRequires: python3-module-numpy python3-module-numpy-testing
BuildRequires: python3-module-matplotlib python3-module-matplotlib-cairo python3-module-matplotlib-nbagg python3-module-matplotlib-qt5 python3-module-matplotlib-sphinxext python3-module-mpl_toolkits
BuildRequires: python3-module-mako
BuildRequires: python3-devel
Requires: nfs-clients nfs-server nfs-stats nfs-utils 
Requires: python3-module-matplotlib python3-module-matplotlib-cairo python3-module-matplotlib-nbagg python3-module-matplotlib-qt5 python3-module-matplotlib-sphinxext python3-module-mpl_toolkits
Requires: python3-module-numpy python3-module-numpy-testing
Requires: python3-module-mako
Requires: filebench
Requires: time
Requires: git
Source44: import.info

%description
NFSometer is a performance measurement framework for running workloads and 
reporting results across NFS protocol versions, NFS options and Linux 
NFS client implementations. 

%prep
%setup -q
%patch001 -p1

%build
python3 setup.py build

%install
python3 setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

%files
%doc COPYING README
%{_bindir}/%{name}
%{_mandir}/*/*
#For noarch packages: sitelib
%{python3_sitelibdir_noarch}/*


%changelog
