Group: Networking/WWW
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
# $Id$
Summary: An NFS traffic monitoring tool
Name: nfswatch
Version: 4.99.11
Release: alt2_20

License: BSD
URL: http://nfswatch.sourceforge.net
Source0: http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz

BuildRequires: gcc libpcap-devel libncurses++-devel libncurses-devel libncursesw-devel libtic-devel libtinfo-devel libtirpc-devel
Source44: import.info

%description
Nfswatch is a command-line tool for monitoring NFS traffic.
Nfswatch can capture and analyze the NFS packets on a particular
network interface or on all interfaces.

Install nfswatch if you need a program to monitor NFS traffic.

%prep
%setup -q

# RPC stuff moved out of glibc and into libtirpc
sed -i '/^LINUXCFLAGS/s+-DLINUX+-DLINUX -I%{_includedir}/tirpc+' Makefile
sed -i '/^LINUXLIBS/s+-lpcap+-lpcap -ltirpc+' Makefile
sed -i '/<mntent.h>/a#include <sys/sysmacros.h>' util.c

%build
make

%install
rm -rf ${RPM_BUILD_ROOT}
make STRIP= MANSUF=8 DESTDIR=${RPM_BUILD_ROOT} install

%files
%doc	LICENSE README
%{_sbindir}/nfswatch
%{_sbindir}/nfslogsum
%{_mandir}/man8/*

%changelog
