Group: Other
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           no-more-secrets
Version:        0.3.2
Release:        alt2_10
Summary:        A recreation of the "decrypting text" effect from the 1992 movie Sneakers

License:        GPLv3+
URL:            https://github.com/bartobri/no-more-secrets
Source0:        https://github.com/bartobri/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz


BuildRequires:  gcc
Source44: import.info
%description
A tool set to recreate the famous "decrypting text" effect as seen in the 1992
movie Sneakers.

%prep
%setup -q


%build
%make_build CFLAGS="%{optflags}" nms

%install
%makeinstall_std prefix=%{_prefix}

# the install target installs the sneakers man page regardless if its used or
# not
rm -f %{buildroot}%{_mandir}/man6/sneakers.6*

%files
%doc --no-dereference LICENSE
%doc README.md
%{_bindir}/nms
%{_mandir}/man6/nms.6*

%changelog
