# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:		novprog
Version:	3.1.7
Release:	alt1_2
Summary:	Wordcount tracking program
Group:		Office
License:	GPLv3+
URL:		http://gottcode.org/novprog
Source:		http://gottcode.org/novprog/%{name}-%{version}-src.tar.bz2

BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	qt5-designer qt5-tools
Source44: import.info

%description
NovProg is a tool to graph your progress in writing a novel. You enter your
wordcount and it updates a graph showing you how much progress you have
made. It also shows you how far you are through your daily goal, and your
total goal. Mousing over a bar in the graph will show a tooltip with that
daya.'s wordcount.

%prep
%setup -q

%build
%qmake_qt5 PREFIX=%{_prefix}
%make_build

%install
%makeinstall_std INSTALL_ROOT=%{buildroot}

%files
%doc ChangeLog CREDITS README
%doc --no-dereference COPYING
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/metainfo/%{name}.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.*
%{_datadir}/pixmaps/%{name}.xpm
%{_mandir}/man1/%{name}.1*


%changelog
