Group: Communications
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           nullmodem
Version:        0.0.6
Release:        alt2_24
Summary:        A utility to loopback pseudo-terminals

License:        GPL+
URL:            http://www.ant.uni-bremen.de/whomes/rinas/nullmodem/
Source0:        http://www.ant.uni-bremen.de/whomes/rinas/%{name}/download/%{name}-%{version}.tar.gz
Patch0:         nullmodem-aarch64.patch

BuildRequires:  gcc-c++
Source44: import.info
%description
nullmodem creates a virtual network of pseudo-terminals. It can be
used as an adapter to connect two programs that normally need serial
interface cards.

%prep
%setup -q
# Convert to utf-8
for file in html/index.xml; do
    mv $file timestamp
    iconv -f ISO-8859-1 -t UTF-8 -o $file timestamp
    touch -r timestamp $file
done
%patch0 -p1 -b .aarch64

%build
%configure
%make_build

%install
make install DESTDIR=%{buildroot} INSTALL="install -p"

%files 
%doc AUTHORS ChangeLog COPYING NEWS README TODO html/
%{_mandir}/man*/%{name}.1*
%{_bindir}/%{name}

%changelog
