Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/desktop-file-validate /usr/bin/glib-compile-resources
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           nuntius
Version:        0.2.0
Release:        alt2_14
Summary:        Get notifications from the phone or tablet

License:        GPLv2+
URL:            https://github.com/holylobster/nuntius-linux
Source0:        https://github.com/holylobster/nuntius-linux/releases/download/v%{version}/nuntius-%{version}.tar.xz
Patch0:         0001-Fix-a-syntax-error-in-desktop-file-keywords-German-t.patch

BuildRequires:  desktop-file-utils
BuildRequires:  gcc
BuildRequires:  intltool
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(gio-unix-2.0)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(json-glib-1.0)
BuildRequires:  libvala-devel
Source44: import.info

%description
Nuntius is a daemon that connects to another Nuntius app running on a phone or
a tablet and proxies the notifications using Bluetooth.

%prep
%setup -q
%patch0 -p1
rm data/org.holylobster.nuntius.desktop

%build
%configure
%make_build

%install
%makeinstall_std

%find_lang nuntius

%check
desktop-file-validate $RPM_BUILD_ROOT%{_datadir}/applications/org.holylobster.nuntius.desktop

%files -f nuntius.lang
%doc --no-dereference COPYING
%{_sysconfdir}/xdg/autostart/org.holylobster.nuntius.desktop
%{_bindir}/nuntius
%{_datadir}/appdata/org.holylobster.nuntius.appdata.xml
%{_datadir}/applications/org.holylobster.nuntius.desktop
%{_datadir}/dbus-1/services/org.holylobster.nuntius.service
%{_datadir}/icons/hicolor/*/apps/nuntius.png

%changelog
