# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:		nwsserver
Summary: 	NetWorkSpaces Server for clustering of scripting languages
Version:	2.0.0
Release:	alt1_18
License:	GPLv2+
Group:		Development/Tools
Source0:	http://downloads.sourceforge.net/nws-r/%{name}-%{version}.tar.gz
URL:		http://www.lindaspaces.com/products/NWS_overview.html
BuildArch:	noarch
BuildRequires:	python-devel
Requires:	python-module-twisted-conch python-module-twisted-conch-gui python-module-twisted-core python-module-twisted-core-gui python-module-twisted-core-gui-tk python-module-twisted-core-gui-wx python-module-twisted-core-test python-module-twisted-logger python-module-twisted-mail python-module-twisted-names python-module-twisted-news python-module-twisted-pair python-module-twisted-positioning python-module-twisted-runner python-module-twisted-web python-module-twisted-words
Requires:	python-module-twisted-conch python-module-twisted-conch-gui python-module-twisted-core python-module-twisted-core-gui python-module-twisted-core-gui-tk python-module-twisted-core-gui-wx python-module-twisted-core-test python-module-twisted-logger python-module-twisted-mail python-module-twisted-names python-module-twisted-news python-module-twisted-pair python-module-twisted-positioning python-module-twisted-runner python-module-twisted-web python-module-twisted-words
Source44: import.info

%description
NetWorkSpaces (NWS) is a powerful, open-source software package that makes it 
easy to use clusters from within scripting languages like Python, R, and 
Matlab. It uses a Space-based approach that makes it easier to write 
distributed applications. NWS looks and feels like a conventional workspace 
in the base scripting language, enables network script processes to share 
data, provides general distributed/parallel script execution, runs network 
script processes either uncoupled or coordinated, and dramatically increases 
developer productivity in implementing and maintaining distributed 
applications because of its anonymous communication. 

%prep
%setup -q

%build
%{__python} setup.py build

%install
NWS_TAC_DIR=%{_sysconfdir} %{__python} setup.py install --skip-build --root %{buildroot}

rm -rf %{buildroot}%{_prefix}/nws-server

%files
%doc README PKG-INFO
%config(noreplace) %{_sysconfdir}/nws.tac
%{python_sitelibdir_noarch}/nwss/
%{python_sitelibdir_noarch}/%{name}-%{version}-py*.egg-info

%changelog
