Group: Development/Tools
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Summary: Program to interact with LEGO NXT via BlueTooth
Name: nxtrc
Version: 2.3
Release: alt2_23
License: GPLv2
Source0: http://www.scienzaludica.it/files/%{name}-%{version}.tar.gz
URL: http://www.scienzaludica.it/index.php?page=88

BuildRequires: gcc
BuildRequires: gcc-c++
BuildRequires: libbluez-devel
Source44: import.info


%description
nxtrc (NXT  Remote  Command) is a small program that allows to send various
commands to a LEGO Mindstorm NXT Brick. It uses the Bluetooth protocol
through the Bluez libraries.


%prep
%setup -q
sed -i 's#^\."\ #.\\"\ #' nxtrc.1 #just correct the invalid prefix

%build
%configure
%make_build


%install
make DESTDIR=%{buildroot} install



%files
%doc COPYING Readme.txt
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*


%changelog
