Group: Other
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global commit 8ea7a76324b19e0ea3b1a559cbdfb8da9d038304
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global snapdate 20190325

%global service extract_file

Name:           obs-service-%{service}
# Version comes from what openSUSE has released as in openSUSE:Tools
# From: https://build.opensuse.org/package/show/openSUSE:Tools/obs-service-extract_file
Version:        0.3
Release:        alt2_6%{?snapdate:.%{snapdate}git%{shortcommit}}
Summary:        An OBS source service: Extract a file from an archive

License:        GPLv2+
URL:            https://github.com/openSUSE/obs-service-%{service}
Source0:        %{url}/archive/%{commit}/%{name}-%{shortcommit}.tar.gz

BuildArch:      noarch
Requires:       cpio
Requires:       bzip2
Requires:       findutils
Requires:       gzip gzip-utils
Requires:       tar
Requires:       unzip
Requires:       xz
Source44: import.info

%description
This is a source service for openSUSE Build Service.

It supports to extract a file from an archive, for example a spec file from a tar.


%prep
%setup -q -n %{name}-%{commit}



%build
# Nothing to build


%install
mkdir -p %{buildroot}%{_prefix}/lib/obs/service
install -pm 0755 extract_file %{buildroot}%{_prefix}/lib/obs/service
install -pm 0644 extract_file.service %{buildroot}%{_prefix}/lib/obs/service


%files
# In lieu of a proper license file: https://github.com/openSUSE/obs-service-extract_file/issues/13
%doc --no-dereference debian/copyright
%dir %{_prefix}/lib/obs
%{_prefix}/lib/obs/service



%changelog
