Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-setuptools
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           ogr2osm
Version:        1.1.0
Release:        alt1_1
Summary:        Convert ogr-readable files like shapefiles into .pbf or .osm data

License:        MIT
URL:            https://github.com/roelderickx/ogr2osm
Source0:        https://github.com/roelderickx/ogr2osm/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-module-distribute
Requires:       python3-module-gdal
Requires:       python3-module-lxml
Requires:       python3-module-protobuf
Source44: import.info

%description
ogr2osm will read any data source that ogr can read and handle reprojection
for you. It takes a python file to translate external data source tags into
OSM tags, allowing you to use complicated logic. If no translation is
specified it will use an identity translation, carrying all tags from the
source to the .pbf or .osm output.


%prep
%setup -q



%build
%python3_build


%install
%python3_install 


%files
%{_bindir}/%{name}
%{python3_sitelibdir_noarch}/%{name}
%{python3_sitelibdir_noarch}/%{name}-*.egg-info
%doc README.md
%doc --no-dereference LICENSE


%changelog
