# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:		opendict-lingvosoft
Version:	0.8
Release:	alt1_6
Summary:	LingvoSoft Online Dictionaries plugin for OpenDict dictionary
Group:		Text tools
License:	GPLv2
URL:		http://kebil.ghost.lt/index.en.html
Source:		http://kebil.ghost.lt/opendict_plugins/%{name}-%{version}.tar.gz
Requires:	opendict
BuildArch:	noarch
Source44: import.info

%description
This is LingvoSoft Online Dictionaries plugin for OpenDict dictionary.
It fetches translations from http://www.lingvozone.com.

%prep
%setup -q

%build
#nothing

%install
for DICT in 	ensq enar enaz enbs enbg enzhs enzht enhr encs ennl \
		enet enfi enfr ende enel enhe enhu enid enit enjap \
		enjakana enjakanji enjaromaji enko enlv enlt enfa enpl enpt \
		enro enru ensr ensk enes ensv entl enth entr enuk \
		envi enyi enmul; do
  %makeinstall_std DICT=$DICT
done

%files
%{_datadir}/opendict/dictionaries/plugins/*



%changelog
