# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-java
BuildRequires: unzip
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:          orson
Version:       0.5.0
Release:       alt1_8
Summary:       Orson Chart Beans
Group:         Development/Java
License:       LGPL
Url:           http://www.jfree.org/orson/
Source0:       http://sourceforge.net/projects/orson/files/orson/0.5.0/orson-0.5.0.zip
BuildRequires: ant
BuildRequires: java-devel-default /proc
BuildRequires: jcommon
BuildRequires: jfreechart
BuildRequires: javapackages-tools
BuildRequires: junit
Requires:      javapackages-tools
BuildArch:     noarch
Source44: import.info

%description
Orson is a collection of JavaBeans for charting, backed by the popular 
JFreeChart library.  This package provides a simple way for developers to use 
the most common chart types/features from JFreeChart from within a JavaBeans 
design time environment (such as NetBeans).

%package javadoc
Summary:          Javadocs for %{name}
Group:            Development/Java
Requires:         javapackages-tools
BuildArch: noarch

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n orson-%{version}
for j in $(find . -name "*.jar"); do
  mv $j $j.no
done
for c in $(find . -name "*.class"); do
  rm -rf $c
done
pushd lib
  ln -sf $(build-classpath jcommon) jcommon-1.0.10.jar
  ln -sf $(build-classpath jfreechart/jfreechart) jfreechart-1.0.6.jar
  ln -sf $(build-classpath junit) junit-4.3.1.jar
popd
%build
ant -f ant/build.xml
%install
install -d %{buildroot}%{_javadir}
install -d %{buildroot}%{_javadocdir}/%{name}

install -m 644 %{name}-%{version}.jar  %{buildroot}%{_javadir}/%{name}.jar
cp -rp javadoc/* %{buildroot}%{_javadocdir}/%{name}

%files
%{_javadir}/%{name}.jar
%doc ChangeLog README.txt licence-LGPL.txt

%files javadoc
%{_javadocdir}/%{name}


%changelog
