Group: Other
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:		owl-lisp
Version:	0.1.21
Release:	alt2_4
Summary:	Owl Lisp is a purely functional dialect of Scheme
License:	MIT 
URL:		https://gitlab.com/owl-lisp/owl/
source0:	https://gitlab.com/owl-lisp/owl/-/archive/v%{version}/owl-v%{version}.tar.gz
BuildRequires:	gcc
Source44: import.info

%description
Owl Lisp is a purely functional dialect of Scheme. 
It is based on the applicable subset of to-be R7RS Scheme standard, 
with some extensions useful for mutation free operation.

%prep
%setup -q -n owl-v%{version}


%build
make CFLAGS="%{optflags}" %{?_smp_mflags}
chmod 644 c/ol.c

%install
%makeinstall_std


%files
%doc README.md LICENCE
%{_bindir}/ol
%{_bindir}/ovm
%{_mandir}/man1/ol.1*
%{_mandir}/man1/ovm.1*

%changelog
