# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
# %%version is ahead of its definition. Predefining for rpm 4.0 compatibility.
%define version 0.4
%define tarname	par2cmdline-%{version}

Summary:	Parchive: Parity Archive Volume Set
Name:		parchive2
Version:	0.4
Release:	alt1_16
Group:		Archiving/Backup
License:	GPLv1
URL:		http://parchive.sourceforge.net/
# http://prdownloads.sourceforge.net/parchive/%%{tarname}.tar.gz?download
Source:		http://prdownloads.sourceforge.net/parchive/%{tarname}.tar.bz2
Patch0:		par2cmdline-gcc4.patch.bz2
Source44: import.info

%description
The idea behind this project is to provide a tool to apply the data-
recovery capability concepts of RAID-like systems to the posting and
recovery of multi-part archives on Usenet. With a parity archive, this
tool, and all but one part of a multi-part set you can recover the
missing part.

The key to this mission is a clean file format specification which
provides all the necessary capabilities for programs to easily verify
and regenerate single missing parts out of a set of archives.

We might just be able to make binary posting and downloading on Usenet a
little easier. That's a pretty cool goal!

par2 is complete rewrite of parchive with much additional advantages.
Read all about them on this page:
  http://www.pbclements.co.uk/QuickPar/AboutPAR2.htm

Tip of the day: alias par='par2 r *.((p|P)??|par2)'


%prep
%setup -q -n %{tarname}
%patch0 -p1


%build
# fix build on aarch64
autoreconf -vfi

%configure
%make_build

%install
%makeinstall_std

%files
%doc AUTHORS COPYING README ROADMAP
%{_bindir}/*


%changelog
