Group: System/Libraries
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:		pari-galpol
Version:	20180625
Release:	alt2_7
Summary:	PARI/GP Computer Algebra System Galois polynomials
License:	GPLv2+
URL:		http://pari.math.u-bordeaux.fr/packages.html
Source0:	http://pari.math.u-bordeaux.fr/pub/pari/packages/galpol.tgz
Source1:	http://pari.math.u-bordeaux.fr/pub/pari/packages/galpol.tgz.asc
# Public key 0x4522e387, Bill Allombert <Bill.Allombert@math.u-bordeaux.fr>
Source2:	gpgkey-42028EA404A2E9D80AC453148F0E7C2B4522E387.gpg
BuildArch:	noarch

BuildRequires:	gnupg gnupg2
Source44: import.info

%description
This package contains the optional PARI package galpol, which contains a
database of polynomials defining Galois extensions of the rationals
representing all abstract groups of order up to 143 for all signatures
(3657 groups, 7194 polynomials).

%prep
%setup -cq
mv data/galpol/README .

# Verify the source file

%build

%install
mkdir -p %{buildroot}%{_datadir}/pari/
cp -a data/galpol %{buildroot}%{_datadir}/pari/
# %{_fixperms} %{buildroot}%{_datadir}/pari/

%files
%doc README
%{_datadir}/pari/

%changelog
