# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:		patator
Version:	0.9
Release:	alt1_1
Summary:	Multi-purpose brute-forcer
License:	GPL
Group:		Monitoring
URL:		https://github.com/lanjelot/patator
Source0:	https://github.com/lanjelot/patator/archive/patator-%{version}.tar.gz
Requires:   python3-module-paramiko
Requires:   python3-module-mysqlclient
Requires:   python3-module-psycopg2
Requires:   python3-module-IPy
BuildArch:  noarch
Source44: import.info

%description
Patator is a multi-purpose brute-forcer, with a modular design and a flexible
usage.

%prep
%setup -q

%build

%install
install -d %{buildroot}%{_bindir}
install -m 755 patator.py %{buildroot}%{_bindir}/patator

install -d %{buildroot}%{_docdir}/patator

%files 
%doc README.md LICENSE
%{_bindir}/patator



%changelog
