# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Summary:	An utility for repairing the broken pcap files
Name:		pcapfix
Version:	1.1.4
Release:	alt1_2
Source0:	https://f00l.de/pcapfix/%{name}-%{version}.tar.gz
Url:		https://f00l.de/pcapfix/
License:	GPLv3
Group:		Monitoring
Source44: import.info

%description
pcapfix is a repair tool for corrupted pcap files. It checks for an intact pcap
global header and repairs it if there are any corrupted bytes. If one is not
present, one is created and added to the beginning of the file. It then tries
to find pcap packet headers, and checks and repairs them.

%prep
%setup -q

%build
%make_build CFLAGS="%{optflags}" LDFLAGS=""

%install
%makeinstall_std

%files
%doc Changelog README
%{_bindir}/pcapfix
%{_mandir}/man1/pcapfix.1*


%changelog
