Group: File tools
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           pdf2svg
Version:        0.2.3
Release:        alt2_13
Summary:        Small tool to convert PDF files into SVG

License:        GPLv2+
URL:            http://www.cityinthesky.co.uk/opensource/pdf2svg/
Source0:        https://github.com/db9052/pdf2svg/archive/v%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:  libpoppler-gir-devel libpoppler-glib-devel
BuildRequires:  libcairo-devel
BuildRequires:  gtk-builder-convert gtk-demo libgail-devel libgtk+2-devel
Source44: import.info

%description
A small tool to convert PDF files into SVG using poppler and cairo.


%prep
%setup -q -n %{name}-%{version}


%build
%configure
%make_build


%install
%makeinstall_std INSTALL="install -p"


%files
%doc COPYING AUTHORS ChangeLog
%{_bindir}/pdf2svg


%changelog
