# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(Test.pm) perl(base.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define upstream_name    AI-NNFlex
%define upstream_version 0.24

Name:       perl-%{upstream_name}
Version:    %{upstream_version}
Release:    alt1_10

Summary:    Flexible API for neural networks
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/AI/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Math/Matrix.pm)

BuildArch: noarch
Source44: import.info


%description
AI::NNFlex is a base class for constructing your own neural network
modules. To implement a neural network, start with the documentation for
AI::NNFlex::Backprop, included in this distribution

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std

%files
%doc CHANGES INSTALL MANIFEST README.txt TODO
%doc examples/*.pl examples/cars/cars.pl
#%{_mandir}/man3/*
%perl_vendor_privlib/*


%changelog
