%define module_name AWS-S3
Epoch: 1
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(Class/Load.pm) perl(Data/Section/Simple.pm) perl(Digest/HMAC_SHA1.pm) perl(ExtUtils/MakeMaker.pm) perl(HTTP/Date.pm) perl(HTTP/Headers.pm) perl(JSON/XS.pm) perl(LWP/UserAgent/Determined.pm) perl(MIME/Base64.pm) perl(Moose.pm) perl(MooseX/Types.pm) perl(MooseX/Types/URI.pm) perl(Test/Deep.pm) perl(Test/Exception.pm) perl(Test/More.pm) perl(URI/Escape.pm) perl(XML/LibXML.pm) perl(XML/LibXML/XPathContext.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.18
Release: alt1
Summary: Lightweight interface to Amazon S3 (Simple Storage Service)
Group: Development/Perl
License: perl
URL: https://metacpan.org/module/AWS-S3

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/L/LE/LEEJO/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
AWS::S3 attempts to provide an alternate interface to the Amazon S3 Simple Storage Service.

NOTE: Until AWS::S3 gets to version 1.000 it will not implement the full S3 interface.

Disclaimer: Several portions of AWS::S3 have been adopted from the Net::Amazon::S3 manpage.

NOTE: AWS::S3 is NOT a drop-in replacement for the Net::Amazon::S3 manpage.

TODO: CloudFront integration.


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.markdown Changes
%perl_vendor_privlib/A*

%changelog
