%define module_name Acme-CPANAuthors-CPAN-MostScripts
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Acme/CPANAuthors/Register.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(Pod/Coverage/TrustPod.pm) perl(Test/More.pm) perl(Test/Perl/Critic.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.003
Release: alt1
Summary: Authors with the most scripts on CPAN
Group: Development/Perl
License: perl
URL: https://metacpan.org/release/Acme-CPANAuthors-CPAN-MostScripts

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PE/PERLANCAR/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This module lists 50 CPAN authors with the most scripts on CPAN. This list is
produced by querying a local mini CPAN mirror using this command:

 %% lcpan authors-by-script-count | head -n 50

Statistics of the CPAN mirror:

 +---------------------+----------------------+
 | key                 | value                |
 +---------------------+----------------------+
 | cpan                | /home/u1/cpan        |
 | index_name          | index.db             |
 | last_index_time     | 2016-10-14T11:06:26Z |
 | raw_last_index_time | 1476443186           |
 +---------------------+----------------------+

Current ranking:

 +------+-----------+--------------+
 | rank | id        | script_count |
 +------+-----------+--------------+
 | 1    | PERLANCAR | 539          |
 | 2    | RSAVAGE   | 356          |
 | 3    | TRIZEN    | 313          |
 | 4    | BDFOY     | 173          |
 | 5    | SANTEX    | 140          |
 | 6    | MRDVT     | 137          |
 | 7    | JWB       | 126          |
 | 8    | VVELOX    | 125          |
 | 9    | CWEST     | 120          |
 | 10   | TSIBLEY   | 95           |
 | 11   | SHLOMIF   | 94           |
 | 12   | SDAGUE    | 91           |
 | 13   | LEOCHARRE | 88           |
 | 14   | CMUNGALL  | 87           |
 | 15   | LDS       | 76           |
 | 16   | RDO       | 75           |
 | 17   | AJPAGE    | 72           |
 | 18   | EASR      | 72           |
 | 19   | INGY      | 72           |
 | 20   | GSG       | 68           |
 | 21   | AMBS      | 67           |
 | 22   | MHOSKEN   | 67           |
 | 23   | BPOSTLE   | 60           |
 | 24   | MSIMERSON | 60           |
 | 25   | TBONE     | 57           |
 | 26   | GROUSSE   | 56           |
 | 27   | BRYCE     | 53           |
 | 28   | NKH       | 50           |
 | 29   | KESTEB    | 49           |
 | 30   | TIEDEMANN | 49           |
 | 31   | IVANWILLS | 47           |
 | 32   | MIYAGAWA  | 47           |
 | 33   | DHARD     | 46           |
 | 34   | PERRAD    | 46           |
 | 35   | FREDERICD | 45           |
 | 36  ...
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README LICENSE
%perl_vendor_privlib/A*

%changelog
