# BEGIN SourceDeps(oneline):
BuildRequires: perl(Acme/CPANAuthors/Register.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(Pod/Coverage/TrustPod.pm) perl(Test/More.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define module_version 0.003
%define module_name Acme-CPANAuthors-CPAN-TopDepended
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.003
Release: alt1
Summary: Authors with the largest number of distributions depending on one of his/her modules
Group: Development/Perl
License: perl
URL: https://metacpan.org/release/Acme-CPANAuthors-CPAN-TopDepended

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PE/PERLANCAR/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
This module lists 50 CPAN authors with the largest number of distributions
directly depending to one of his/her modules. This list is produced by querying
a local mini CPAN mirror using this command:

 %% lcpan authors-by-rdep-count | head -n 50

Statistics of the CPAN mirror:

 +---------------------+----------------------+
 | key                 | value                |
 +---------------------+----------------------+
 | cpan                | /home/s1/cpan        |
 | index_name          | index.db             |
 | last_index_time     | 2016-10-20T11:45:05Z |
 | raw_last_index_time | 1476963905           |
 +---------------------+----------------------+

Current ranking:

 +------+-----------+----------------------------+------------+
 | rank | id        | name                       | rdep_count |
 +------+-----------+----------------------------+------------+
 | 1    | EXODIST   | Chad Granum                | 18261      |
 | 2    | BINGOS    | Chris Williams             | 16214      |
 | 3    | RJBS      | Ricardo SIGNES             | 11423      |
 | 4    | ETHER     | Karen Etheridge            | 9019       |
 | 5    | LEONT     | Leon Timmermans            | 5635       |
 | 6    | DAGOLDEN  | David Golden               | 3949       |
 | 7    | GBARR     | Graham Barr                | 3653       |
 | 8    | PEVANS    | Paul Evans                 | 3291       |
 | 9    | NEILB     | Neil Bowers                | 2952       |
 | 10   | GAAS      | Gisle Aas                  | 2294       |
 | 11   | TODDR     | Todd Rinaldo               | 2243       |
 | 12   | SMUELLER  | Steffen Mueller            | 2173       |
 | 13   | DROLSKY   | Dave Rolsky                | 2155       |
 | 14   | CORION    | Max Maischein              | 1461       |
 | 15   | BARBIE    | Barbie                     | 1408       |
 | 16   | TOKUHIROM | Tokuhiro Matsuno''<xmp>    | 1286       |
 | 17   | REHSACK   | Jens Rehsack               | 1268       |
 | 18   | ADAMK     | Adam Kennedy               | 1223       |
 | 19   | ISHIG...
%prep
%setup -q -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE Changes README
%perl_vendor_privlib/A*

%changelog
