# BEGIN SourceDeps(oneline):
BuildRequires: perl(Acme/CPANModulesUtil/Misc.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(Pod/Coverage/TrustPod.pm) perl(Test/More.pm) perl(Test/Perl/Critic.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(strict.pm)
# END SourceDeps(oneline)
%define module_name Acme-CPANModules-BrowserUtilities
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.002
Release: alt1
Summary: Utilities for web browsers
Group: Development/Perl
License: perl
URL: https://metacpan.org/release/Acme-CPANModules-BrowserUtilities

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PE/PERLANCAR/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
General

Firefox

the App::FirefoxUtils manpage (comes with CLIs like the pause-firefox manpage,
the unpause-firefox manpage, the kill-firefox manpage, the list-firefox-profiles manpage, etc).

the App::DumpFirefoxHistory manpage (comes with CLI: the dump-firefox-history manpage).

the App::FirefoxMultiAccountContainersUtils manpage (comes with CLIs like:
the firefox-mua-sort-containers manpage, the firefox-mua-modify-containers manpage).

the Firefox::Util::Profile manpage

the Firefox::Sync::Client manpage

Install latest Firefox using the instopt manpage (from the App::instopt manpage) and
the Software::Catalog::SW::firefox manpage.

the WordList::HTTP::UserAgentString::Browser::Firefox manpage

*Automating Firefox*

TODO: Comparison between these

the WWW::Mechanize::Firefox manpage, the WWW::Mechanize::Firefox::Extended manpage.

the Firefox::Application manpage

the Firefox::Marionette manpage

the Selenium::Firefox manpage

Google Chrome

the App::ChromeUtils manpage (comes with CLIs like the pause-chrome manpage,
the unpause-chrome manpage, the kill-chrome manpage, the list-chrome-profiles manpage, etc).

the App::DumpChromeHistory manpage (comes with CLI: the dump-chrome-history manpage).

the Chrome::Util::Profile manpage

the WWW::Mechanize::Chrome manpage

Opera

the App::OperaUtils manpage (comes with CLIs like the pause-opera manpage,
the unpause-opera manpage, the kill-opera manpage, etc).

the App::DumpOperaHistory manpage (comes with CLI: the dump-opera-history manpage).

Vivaldi

the App::VivaldiUtils manpage (comes with CLIs like the pause-vivaldi manpage,
the unpause-vivaldi manpage, the kill-vivaldi manpage, the list-vivaldi-profiles manpage, etc).

the App::DumpVivaldiHistory manpage (comes with CLI: the dump-vivaldi-history manpage).

the Vivaldi::Util::Profile manpage

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE README Changes
%perl_vendor_privlib/A*

%changelog
