# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(Pod/Coverage/TrustPod.pm) perl(Test/More.pm) perl(Test/Perl/Critic.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm)
# END SourceDeps(oneline)
%define module_name Acme-CPANModules-ColorEnv
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.001
Release: alt1
Summary: Modules that observe environment variable (other than NO_COLOR/COLOR) to disable/enable colored out...
Group: Development/Perl
License: perl
URL: https://metacpan.org/release/Acme-CPANModules-ColorEnv

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PE/PERLANCAR/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Modules that observe environment variable (other than NO_COLOR/COLOR) to disable/enable colored output.

This is a list of modules that observe some environment variable to
disable/enable colored output, but does not follow either the NO_COLOR
convention or the COLOR convention.

If you know of other modules that should be listed here, please contact me.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes LICENSE
%perl_vendor_privlib/A*

%changelog
