# BEGIN SourceDeps(oneline):
BuildRequires: perl(Acme/CPANModulesUtil/Misc.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(Pod/Coverage/TrustPod.pm) perl(Test/More.pm) perl(Test/Perl/Critic.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(strict.pm)
# END SourceDeps(oneline)
%define module_name Acme-CPANModules-ManagingMultipleRepositories
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.001
Release: alt1
Summary: Managing multiple repositories
Group: Development/Perl
License: perl
URL: https://metacpan.org/release/Acme-CPANModules-ManagingMultipleRepositories

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PE/PERLANCAR/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This Acme::CPANModules list catalogs tools to manage multiple repositories.

Keywords: git, vcs, cvs

1. On CPAN

1.a git only

the gitbunch manpage from the Git::Bunch manpage

the got manpage from the App::GitGot manpage

the group-git manpage from the Group::Git manpage

*1.b VCS-agnostic*

TBD

2. Outside CPAN

2.a git only

TBD

2.b VCS-agnostic

mr, http://joeyh.name/code/mr

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE Changes README
%perl_vendor_privlib/A*

%changelog
