# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(Pod/Coverage/TrustPod.pm) perl(Test/More.pm) perl(Test/Perl/Critic.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm)
# END SourceDeps(oneline)
%define module_name Acme-CPANModules-ModuleAutoloaders
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.001
Release: alt1
Summary: Modules that autoload other modules
Group: Development/Perl
License: perl
URL: https://metacpan.org/release/Acme-CPANModules-ModuleAutoloaders

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PE/PERLANCAR/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Modules that autoload other modules.

"Module autoloader" modules work using Perl's autoloading mechanism (read
`perlsub' for more details). By declaring a subroutine named `AUTOLOAD' in the
`UNIVERSAL' package, you setup a fallback mechanism when you call an undefined
subroutine. The module autoloader's's AUTOLOADER loads the module using e.g.
the Module::Load manpage or plain `require()' then try to invoke the undefined
subroutine once again.

These modules are usually convenient for one-liner usage.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README LICENSE Changes
%perl_vendor_privlib/A*

%changelog
