# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(Pod/Coverage/TrustPod.pm) perl(Test/More.pm) perl(Test/Perl/Critic.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm)
# END SourceDeps(oneline)
%define module_name Acme-CPANModules-PickingRandomItemsFromList
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.001
Release: alt1
Summary: Picking random items from a list
Group: Development/Perl
License: perl
URL: https://metacpan.org/release/Acme-CPANModules-PickingRandomItemsFromList

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PE/PERLANCAR/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Picking random items from a list.

If you are picking random lines from a file, there's a separate CPANModules list
for it: the Acme::CPANModules::PickingRandomLinesFromFile manpage. If your "list" is a
Perl array, there's `shuffle' from the List::Util manpage and `samples' from
the List::MoreUtils manpage (if you don't want duplicates) or you can just select
random elements using `rand()' if you don't mind duplicates.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes LICENSE
%perl_vendor_privlib/A*

%changelog
