# BEGIN SourceDeps(oneline):
BuildRequires: perl(Acme/CPANModulesUtil/Misc.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(Pod/Coverage/TrustPod.pm) perl(Test/More.pm) perl(Test/Perl/Critic.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(strict.pm)
# END SourceDeps(oneline)
%define module_name Acme-CPANModules-RandomPassword
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.001
Release: alt1
Summary: Generating random passwords
Group: Development/Perl
License: perl
URL: https://metacpan.org/release/Acme-CPANModules-RandomPassword

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PE/PERLANCAR/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Generating

the App::genpw manpage can generate passwords with patterns and wordlists. It loads
secure random number generator if available. By default it generates 12-20
character-long passwords comprising of ASCII letters and digits. There are
several variants which are basically wrappers for convenience:
the App::genpw::base64 manpage, the App::genpw::base58 manpage, the App::genpw::base56 manpage,
the App::genpw::wordlist manpage (use words from wordlists), the App::genpw::ind manpage (use
Indonesian words).

the Crypt::GeneratePassword manpage creates secure random pronounceable passwords. It
provides function `word()' which generates a sequence of letters with vocals in
between consonants so the word is still pronounceable, even though it's a
nonsense word. It also provides `chars()' which produces a sequence of random
letters, digits, and some symbols. It still uses `rand()' by default which is
not cryptographically secure.

the Crypt::RandPasswd manpage implements the old FIPS 181 (1993, withdrawn 2015)
standard to generate pronounceable password, which is no longer recommended.

the Crypt::PassGen manpage, yet another module to create random words that look like
real words. It does not use a secure random number generator by default.

the Data::SimplePassword manpage

the String::MkPasswd manpage

the Data::Random::String manpage and the Data::Random manpage.

the Text::Password::Pronounceable::RandomCase manpage

the String::Random manpage

the String::Urandom manpage

the Crypt::XkcdPassword manpage, a password generator module inspired by
http://xkcd.com/936/.

the CtrlO::Crypt::XkcdPassword manpage, another password generator module inspired by
http://xkcd.com/936/.

the App::GenPass manpage

the Crypt::PW44 manpage

the Crypt::YAPassGen manpage

the Session::Token manpage

the Text::Password::Pronounceable manpage

Keywords: random secure password

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE Changes README
%perl_vendor_privlib/A*

%changelog
