# BEGIN SourceDeps(oneline):
BuildRequires: perl(Acme/CPANModulesUtil/Misc.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(Pod/Coverage/TrustPod.pm) perl(Test/More.pm) perl(Test/Perl/Critic.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(strict.pm)
# END SourceDeps(oneline)
%define module_name Acme-CPANModules-Roles
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.001
Release: alt1
Summary: Doing roles with Perl
Group: Development/Perl
License: perl
URL: https://metacpan.org/release/Acme-CPANModules-Roles

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PE/PERLANCAR/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Roles are a way to write classes by composing them from simpler components,
instead of using inheritance from parent classes.

The Perl core does not provide a role mechanism for you, but there are several
role frameworks you can choose in Perl. This list orders them from the most
lightweight.

the Role::Tiny manpage. Basic role support plus method modifiers (`before', `after',
`around').

the Moo::Role manpage. Based on Role::Tiny, it adds attribute support. Suitable if you
use the Moo manpage as your object system.

the Role::Basic manpage. Despite having less features than Role::Tiny (no method
modifiers), Role::Basic starts a bit slower because it loads some more modules.

the Mouse::Role manpage. Suitable only if you are already using the Mouse manpage as your
object system.

the Moose::Role manpage. Offers the most features (particularly the meta protocol), but
also the heaviest. Suitable only if you are already using the Moose manpage as your
object system.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README LICENSE Changes
%perl_vendor_privlib/A*

%changelog
