%define module_name Acme-CPANModules-TextTable
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Bencher/Backend.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(Pod/Coverage/TrustPod.pm) perl(Test/More.pm) perl(Test/Perl/Critic.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(Text/ANSITable.pm) perl(Text/ASCIITable.pm) perl(Text/FormatTable.pm) perl(Text/MarkdownTable.pm) perl(Text/Table.pm) perl(Text/Table/Any.pm) perl(Text/Table/CSV.pm) perl(Text/Table/HTML.pm) perl(Text/Table/HTML/DataTables.pm) perl(Text/Table/Manifold.pm) perl(Text/Table/More.pm) perl(Text/Table/Org.pm) perl(Text/Table/Sprintf.pm) perl(Text/Table/Tiny.pm) perl(Text/Table/TinyBorderStyle.pm) perl(Text/Table/TinyColor.pm) perl(Text/Table/TinyColorWide.pm) perl(Text/Table/TinyWide.pm) perl(Text/TabularDisplay.pm) perl(Text/UnicodeBox/Table.pm) perl(strict.pm) perl(utf8.pm)
BuildRequires: perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.009
Release: alt1
Summary: Modules that generate text tables
Group: Development/Perl
License: perl
URL: https://metacpan.org/release/Acme-CPANModules-TextTable

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PE/PERLANCAR/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Modules that generate text tables.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE README Changes
%perl_vendor_privlib/A*

%changelog
