# BEGIN SourceDeps(oneline):
BuildRequires: perl(Acme.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm)
# END SourceDeps(oneline)
%define module_name Acme-Eatemup
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.02
Release: alt3
Summary: A list chopper
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/S/SP/SPROUT/%{module_name}-%{version}.tar.gz

%description
Have you ever needed all but the last two items of a list?  Have you ever
been annoyed that Perl's `(...)[...]' list slice has no way for you to
specify that without knowing the number of items?  Then this module is for
you.  Before, you would have to write:

  my @tmp = foo();
  print @tmp[0..$#tmp-2]; # ugly

Or:

  my @tmp = foo();
  pop @tmp, pop @tmp; # or splice @tmp, -2
  print @tmp; # THREE lines!

With this module, you can simply eat them off the list:

  use Acme::Eatemup;
  print foo(), yumyum, eatemup;

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_archlib/A*
%perl_vendor_autolib/*

%changelog
