%define module_name Acme-Ford-Prefect
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Acme/Alien/DontPanic.pm) perl(Alien/Base/Wrapper.pm) perl(ExtUtils/MakeMaker.pm) perl(Test/Alien/Diag.pm) perl(Test2/V0.pm) perl(XSLoader.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 2.2900
Release: alt3
Summary: Part of the test framework for Alien::Base
Group: Development/Perl
License: perl
URL: https://metacpan.org/pod/Acme::Ford::Prefect

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PL/PLICEASE/%{module_name}-%{version}.tar.gz

%description
the Alien::Base manpage comprises base classes to help in the construction of `Alien::' modules. Modules in the the Alien manpage namespace are used to locate and install (if necessary) external libraries needed by other Perl modules.

This module is a toy module to test the efficacy of the the Alien::Base manpage system. This module depends on another toy module the Acme::Alien::DontPanic manpage, which provides the needed the libdontpanic library to be able to tell us the `answer'.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE README Changes
%perl_vendor_archlib/A*
%perl_vendor_autolib/*

%changelog
