%filter_from_requires /^perl.Local._pci_clean_json.pm./d
%filter_from_requires /^perl.Local._pci_check_args.pm./d
%define module_name Acme-ID-CompanyName
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Complete/Bash.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(Getopt/Long/EvenLess.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(JSON/PP.pm) perl(JSON/XS.pm) perl(Perinci/CmdLine/Util/Config.pm) perl(Pod/Coverage/TrustPod.pm) perl(Scalar/Util/Numeric.pm) perl(Test/More.pm) perl(Test/Perl/Critic.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.006
Release: alt1
Summary: Generate nice-sounding, generic Indonesian company names
Group: Development/Perl
License: perl
URL: https://metacpan.org/release/Acme-ID-CompanyName

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PE/PERLANCAR/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
FUNCTIONS
  gen_generic_id_company_names
    Usage:

     gen_generic_id_company_names(%%args) -> any

    Generate nice-sounding, generic Indonesian company names.

    Examples:

    *   Example #1:

         gen_generic_id_company_names( num_names => 2);

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %EVR

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE README Changes
%perl_vendor_privlib/A*

%files scripts
%_man1dir/*
%_bindir/*

%changelog
