%define module_name Acme-Marvel-CinematicUniverse-Characters
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Class/Tiny.pm) perl(ExtUtils/MakeMaker.pm) perl(Module/Pluggable.pm) perl(Test/More.pm) perl(overload.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.002
Release: alt1
Summary: example of distributing instance data on CPAN
Group: Development/Perl
License: perl
URL: https://metacpan.org/release/Acme-Marvel-CinematicUniverse-Characters

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/T/TO/TOBYINK/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This module is primarily intended as an example of how to distribute instances
of objects on CPAN.

It uses characters from the Marvel Cinematic Universe (Earth-199999) rather
than the comic book universe, though power grid data is taken from the
Marvel wiki, and mostly based on the comic books. It currently only includes
the six core characters from *Marvel's The Avengers* (1992), also known
as *Avengers Assemble* in the UK and Ireland.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes CREDITS LICENSE COPYRIGHT README
%perl_vendor_privlib/A*

%changelog
