Group: Development/Perl
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-Acme-PlayCode
Version:        0.12
Release:        alt2_32
Summary:        Play code to win
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Acme-PlayCode
Source0:        https://cpan.metacpan.org/authors/id/F/FA/FAYLAND/Acme-PlayCode-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  dos2unix
BuildRequires:  perl-devel
BuildRequires:  rpm-build-perl
BuildRequires:  perl(Module/Build.pm)
BuildRequires:  perl(strict.pm)
BuildRequires:  perl(warnings.pm)
# Run-time
BuildRequires:  perl(Data/Dumper.pm)
BuildRequires:  perl(List/MoreUtils.pm)
BuildRequires:  perl(Moose.pm)
BuildRequires:  perl(Moose/Role.pm)
BuildRequires:  perl(MooseX/Object/Pluggable.pm)
BuildRequires:  perl(Path/Class.pm)
BuildRequires:  perl(PPI.pm)
BuildRequires:  perl(PPI/Token/Comment.pm)
BuildRequires:  perl(vars.pm)
# Tests
BuildRequires:  perl(Test/More.pm)
# Optional tests
BuildRequires:  perl(Test/Pod.pm)
Requires:       perl(MooseX/Object/Pluggable.pm) >= 0.000.800
Source44: import.info

%description
It aims to change the code to be better (to be worse if you want).

%prep
%setup -q -n Acme-PlayCode-%{version}
dos2unix README
dos2unix Changes

%build
perl Build.PL installdirs=vendor
./Build

%install
./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
# %{_fixperms} $RPM_BUILD_ROOT/*

%check
./Build test

%files
%doc Changes README
%{perl_vendor_privlib}/*

%changelog
