%define _without_test 1
%define module_version 0.04
%define module_name Acme-StringFormat
# BEGIN SourceDeps(oneline):
BuildRequires: boost-devel-headers gcc-c++ perl(Benchmark.pm) perl(CPAN.pm) perl(Config.pm) perl(Cwd.pm) perl(ExtUtils/MM_Unix.pm) perl(ExtUtils/MakeMaker.pm) perl(ExtUtils/Manifest.pm) perl(File/Basename.pm) perl(File/Find.pm) perl(FileHandle.pm) perl(LWP/Simple.pm) perl(Math/BigFloat.pm) perl(Math/BigInt.pm) perl(Module/Build.pm) perl(Net/FTP.pm) perl(Scalar/Util.pm) perl(Socket.pm) perl(Test/Exception.pm) perl(Test/More.pm) perl(Test/Warn.pm) perl(XSLoader.pm) perl(YAML/Tiny.pm) perl(bignum.pm) perl(inc/Module/Install.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.04
Release: alt7
Summary: Smart interface to sprintf()
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/G/GF/GFUJI/%{module_name}-%{module_version}.tar.gz

%description
I had a desire for a "format operator" of other languages.
Take boost C++ libraly for example:

_using namespace boost;
_std::cout << format("[%%1%%][%%2]") %% "foo" %% "bar" << std::endl;

Now this pragmatic module provides Perl with a format operator `%%',
which is equivalent to `sprintf'.


%prep
%setup -q -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes example
%perl_vendor_archlib/A*
%perl_vendor_autolib/*

%changelog
