%define module_name Algorithm-AM
# BEGIN SourceDeps(oneline):
BuildRequires: libsowing-devel perl(Carp.pm) perl(Class/Tiny.pm) perl(Exporter/Easy.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(FindBin.pm) perl(Getopt/Long.pm) perl(Import/Into.pm) perl(Log/Any.pm) perl(Log/Any/Adapter.pm) perl(Path/Tiny.pm) perl(Pod/Usage.pm) perl(Test/Deep.pm) perl(Test/Exception.pm) perl(Test/LongString.pm) perl(Test/More.pm) perl(Test/NoWarnings.pm) perl(Text/Table.pm) perl(XSLoader.pm) perl(feature.pm) perl(integer.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 3.12
Release: alt2
Summary: Classify data with Analogical Modeling
Group: Development/Perl
License: perl
URL: https://github.com/garfieldnate/Algorithm-AM

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/N/NG/NGLENN/%{module_name}-%{version}.tar.gz

%description
From summary: %summary

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release
BuildArch: noarch

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes LICENSE TODO.txt
%perl_vendor_archlib/A*
%perl_vendor_autolib/*

%files scripts
%_man1dir/*
%_bindir/*

%changelog
