%define module_name Algorithm-Cluster
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Config.pm) perl(DynaLoader.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(warnings/register.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.59
Release: alt3
Summary: Perl interface to the C Clustering Library
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/M/MD/MDEHOON/%{module_name}-%{version}.tar.gz
Patch33: Algorithm-Cluster-1.52-pic.patch

%description
This module is an interface to the C Clustering Library,
a general purpose library implementing functions for hierarchical 
clustering (pairwise simple, complete, average, and centroid linkage), 
along with k-means and k-medians clustering, and 2D self-organizing 
maps.  This library was developed at the Human Genome Center of the
University of Tokyo. The C Clustering Library is distributed along 
with Cluster 3.0, an enhanced version of the famous 
Cluster program originally written by Michael Eisen 
while at Stanford University.


%prep
%setup -q -n %{module_name}-%{version}
%patch33 -p1

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README doc
%perl_vendor_archlib/A*
%perl_vendor_autolib/*

%changelog
