%define module_version 0.04
%define module_name Algorithm-ConsistentHash-CHash
# BEGIN SourceDeps(oneline):
BuildRequires: libsowing-devel perl(ExtUtils/MakeMaker.pm) perl(ExtUtils/ParseXS.pm) perl(Test/More.pm) perl(XSLoader.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.04
Release: alt5
Summary: XS bindings to bundled Consistent Hash library
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/E/EH/EHERMAN/%{module_name}-%{module_version}.tar.gz

%description
Consistent Hashing allows to spread data out across multiple IDs, ensuring
relatively-even distribution using replicas. The more replicas, the better
distribution (but lower performance).

Given a consistent hash, adding a node to the hash only requires reassigning
a minimal number of keys.

A C implementation of the Consistent Hash algorithm is bundled in this package,
along with the XS bindings to it. This might change in the future.


%prep
%setup -q -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE
%perl_vendor_archlib/A*
%perl_vendor_autolib/*

%changelog
