# BEGIN SourceDeps(oneline):
BuildRequires: perl(Algorithm/Diff.pm) perl(CPAN.pm) perl(Config.pm) perl(Cwd.pm) perl(ExtUtils/MM_Unix.pm) perl(ExtUtils/MakeMaker.pm) perl(ExtUtils/Manifest.pm) perl(File/Basename.pm) perl(File/Find.pm) perl(FileHandle.pm) perl(LWP/Simple.pm) perl(Module/Build.pm) perl(Net/FTP.pm) perl(Socket.pm) perl(Test.pm) perl(XSLoader.pm) perl(YAML.pm) perl(inc/Module/Install.pm)
# END SourceDeps(oneline)
%define module_version 0.04
%define module_name Algorithm-Diff-XS
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.04
Release: alt6
Summary: Algorithm::Diff with XS core loop
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/A/AU/AUDREYT/%module_name-%module_version.tar.gz

%description
This module is a simple re-packaging of Joe Schaefer's excellent
but not very well-known the Algorithm::LCS manpage with a drop-in interface
that simply re-uses the installed version of the the Algorithm::Diff manpage
module.

Note that only the `LCSidx' function is optimized in XS at the
moment, which means only `compact_diff' will get significantly
faster for large data sets, while `diff' and `sdiff' will run
in identical speed as `Algorithm::Diff'.


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_archlib/A*
%perl_vendor_autolib/*

%changelog
