Group: Development/Perl
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-Algorithm-FastPermute
Version:        0.999
Release:        alt13_40
Summary:        Rapid generation of permutations

License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Algorithm-FastPermute
Source0:        https://cpan.metacpan.org/authors/id/R/RO/ROBIN/Algorithm-FastPermute-%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:  perl-devel
BuildRequires:  rpm-build-perl
BuildRequires:  perl(DynaLoader.pm)
BuildRequires:  perl(Exporter.pm)
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(strict.pm)
BuildRequires:  perl(vars.pm)
BuildRequires:  perl(warnings.pm)


Source44: import.info

%description
Algorithm::FastPermute generates all the permutations of an array. You pass
a block of code, which will be executed for each permutation. The array
will be changed in place, and then changed back again before "permute"
returns. During the execution of the callback, the array is read-only and
you'll get an error if you try to change its length.


%prep
%setup -q -n Algorithm-FastPermute-%{version}


%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS" NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build} %{?_smp_mflags}


%install
%{makeinstall_std}
chmod -R u+w $RPM_BUILD_ROOT/*


%check
%{make_build} test


%files
%doc Changes README perms.pl
%dir %{perl_vendor_archlib}/Algorithm
%{perl_vendor_archlib}/Algorithm/FastPermute.pm
%{perl_vendor_archlib}/auto/*
%exclude %{perl_vendor_archlib}/Algorithm/perms.pl

%changelog
