# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(Test/More.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define upstream_name    Algorithm-Munkres
%define upstream_version 0.08

Name:       perl-%{upstream_name}
Version:    %{upstream_version}
Release:    alt1_11

Summary:    %{upstream_name} module for perl
License:    GPLv2+
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    ftp.perl.org/pub/CPAN/modules/by-module/Algorithm/%{upstream_name}-%{upstream_version}.tar.bz2

BuildArch: noarch
Source44: import.info


%description
Perl extension for Munkres' solution to 
classical Assignment problem for square and rectangular matrices 
This module extends the solution of Assignment problem for square
matrices to rectangular matrices by padding zeros. Thus a rectangular 
matrix is converted to square matrix by padding necessary zeros.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor
make

%check
%{__make} test

%install
%makeinstall_std

%files
%doc Changes README META.yml
%{perl_vendor_privlib}/Algorithm

%changelog
