# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Alien/MSYS.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define upstream_name    Alien-Autotools
%define upstream_version 1.05

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %{upstream_version}
Release:    alt1_1

Summary:    Build and install the GNU build system
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Alien/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Alien/Build.pm)
BuildRequires: perl(Alien/autoconf.pm)
BuildRequires: perl(Alien/automake.pm)
BuildRequires: perl(Alien/libtool.pm)
BuildRequires: perl(Alien/m4.pm)
BuildRequires: perl(Capture/Tiny.pm)
BuildRequires: perl(ExtUtils/MakeMaker.pm)
BuildRequires: perl(File/Spec/Functions.pm)
BuildRequires: perl(File/Which.pm)
BuildRequires: perl(Path/Tiny.pm)
BuildRequires: perl(Test2/V0.pm)
BuildRequires: perl(Test/Alien.pm)
BuildRequires: perl(Test/Alien/Build.pm)
BuildArch:  noarch
Source44: import.info

%description
This the Alien manpage provides the minimum tools requires for building
'autoconf' based projects which do not come bundled with a working
'configure' script. It currently delegates most of its responsibilities to
the Alien::autoconf manpage, the Alien::automake manpage, the
Alien::libtool manpage, and the Alien::m4 manpage.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%makeinstall_std

%files
%doc Changes INSTALL LICENSE META.json META.yml  README
%perl_vendor_privlib/Alien/Autotools.pm

%changelog
