%define module_name Alien-Build-Plugin-Cleanse-BuildDir
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Alien/Build.pm) perl(Capture/Tiny.pm) perl(Cwd.pm) perl(Data/Dump.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Path.pm) perl(Path/Tiny.pm) perl(Test/Alien/Build.pm) perl(Test2/Mock.pm) perl(Test2/V0.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.05
Release: alt1
Summary: Alien::Build plugin to cleanse the build dir
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/S/SL/SLAFFAN/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This plugin deletes the build directory after the make phase.
This is useful if your alien has a large build size.  It was
developed because the the Alien::gdal manpage build footprint is enormous,
and was filling up disk space on cpan testers.

You should use it conditionally in your alienfile,
for example when you know the
build dir contents are not needed later.

Has no effect if you are running a non-share install,
or are using an out of source build
(although these are currently untested).

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE README.md author.yml Changes
%perl_vendor_privlib/A*

%changelog
