%define module_name Alien-Build-Plugin-Download-GitHub
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Alien/Build.pm) perl(Alien/Build/Plugin.pm) perl(Alien/Build/Plugin/Download/Negotiate.pm) perl(Alien/Build/Plugin/Extract/Negotiate.pm) perl(Capture/Tiny.pm) perl(Config.pm) perl(Data/Dumper.pm) perl(ExtUtils/MakeMaker.pm) perl(HTTP/Tiny.pm) perl(JSON/PP.pm) perl(Path/Tiny.pm) perl(Test/Alien/Build.pm) perl(Test2/V0.pm) perl(URI.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.07
Release: alt1
Summary: Alien::Build plugin to download from GitHub
Group: Development/Perl
License: perl
URL: https://metacpan.org/pod/Alien::Build::Plugin::Download::GitHub

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PL/PLICEASE/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This plugin will download releases from GitHub.  It is generally preferred over
the Alien::Build::Plugin::Download::Git manpage for packages that are released on GitHub,
as it has much fewer dependencies and is more reliable.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE Changes author.yml README
%perl_vendor_privlib/A*

%changelog
