%define module_name Alien-FFI
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Alien/Base.pm) perl(Alien/Build.pm) perl(Alien/Build/MM.pm) perl(Alien/Build/Plugin/Probe/Vcpkg.pm) perl(Capture/Tiny.pm) perl(Config.pm) perl(ExtUtils/MakeMaker.pm) perl(IPC/Cmd.pm) perl(Test/Alien.pm) perl(Test2/V0.pm) perl(base.pm) pkgconfig(libffi)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.25
Release: alt3
Summary: Build and make available libffi
Group: Development/Perl
License: perl
URL: https://metacpan.org/pod/Alien::FFI

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PL/PLICEASE/%{module_name}-%{version}.tar.gz

%description
This distribution installs libffi so that it can be used by other Perl distributions.  If already
installed for your operating system, and it can be found, this distribution will use the libffi
that comes with your operating system, otherwise it will download it from the Internet, build and
install it for you.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README LICENSE author.yml Changes
%perl_vendor_archlib/A*
%perl_vendor_autolib/*

%changelog
