%define module_name Alien-Gnuplot
# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/gnuplot perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(File/Temp.pm) perl(HTTP/Tiny.pm) perl(POSIX.pm) perl(Time/HiRes.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.033
Release: alt1
Summary: Find and verify functionality of the gnuplot executable.
Group: Development/Perl
License: perl
URL: http://github.com/drzowie/Alien-Gnuplot

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/Z/ZO/ZOWIE/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
%summary

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.pod Changes
%perl_vendor_privlib/A*

%changelog
