%define module_name Alien-LibYAML
# BEGIN SourceDeps(oneline):
BuildRequires: libyaml-devel perl(Alien/Base.pm) perl(Alien/Build.pm) perl(Alien/Build/MM.pm) perl(Alien/Build/Plugin/Decode/Mojo.pm) perl(Config.pm) perl(ExtUtils/MakeMaker.pm) perl(FFI/CheckLib.pm) perl(Test/Alien.pm) perl(Test2/V0.pm) perl(base.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 2.05
Release: alt3
Summary: Build and install libyaml, a C-based YAML parser and emitter
Group: Development/Perl
License: mit
URL: https://metacpan.org/pod/Alien::LibYAML

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PL/PLICEASE/%{module_name}-%{version}.tar.gz
#BuildArch: noarch

%description
From summary: %summary

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README LICENSE Changes author.yml
%perl_vendor_archlib/A*
%perl_vendor_autolib/*

%changelog
