%define module_name Alien-LibreSSL
# BEGIN SourceDeps(oneline):
BuildRequires: LibreSSL-devel perl(Alien/Base.pm) perl(Alien/Build.pm) perl(Alien/Build/MM.pm) perl(Config.pm) perl(ExtUtils/MakeMaker.pm) perl(Path/Tiny.pm) perl(Test/Alien.pm) perl(Test/Alien/Diag.pm) perl(Test2/V0.pm) perl(Text/Patch.pm) perl(base.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.05
Release: alt3
Summary: Alien wrapper for LibreSSL (alternative to OpenSSL)
Group: Development/Perl
License: perl
URL: https://metacpan.org/pod/Alien::LibreSSL

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PL/PLICEASE/%{module_name}-%{version}.tar.gz

%description
This module provides an implementation of SSL.  It will use the system
SSL, if it can be found.  If the system does not provide SSL, this alien
will download and build LibreSSL, a drop in replacement for OpenSSL

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE Changes author.yml README
%perl_vendor_archlib/A*
%perl_vendor_autolib/*

%changelog
