%define module_name Alien-Nettle
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Alien/Base.pm) perl(Alien/Build.pm) perl(Alien/Build/MM.pm) perl(Config.pm) perl(ExtUtils/MakeMaker.pm) perl(Test/More.pm) perl(base.pm) pkgconfig(nettle)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.05
Release: alt2
Summary: Find or build nettle low-level cryptographic library
Group: Development/Perl
License: perl
URL: https://metacpan.org/pod/Alien::Nettle

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PL/PLICEASE/%{module_name}-%{version}.tar.gz
#BuildArch: noarch

%description
This distribution provides Nettle so that it can be used by other 
Perl distributions that are on CPAN.  It does this by first trying to 
detect an existing install of Nettle on your system.  If found it 
will use that.  If it cannot be found, the source code will be downloaded
from the internet and it will be installed in a private share location
for the use of other modules.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes author.yml LICENSE README
%perl_vendor_archlib/A*
%perl_vendor_autolib/*

%changelog
