%define module_name Alien-ZMQ-latest
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Alien/Base.pm) perl(Alien/Build.pm) perl(Alien/Build/MM.pm) perl(Alien/Build/Plugin/Gather/Dino.pm) perl(Alien/Role/Dino.pm) perl(Class/Method/Modifiers.pm) perl(ExtUtils/MakeMaker.pm) perl(Role/Tiny/With.pm) perl(Test/Alien.pm) perl(Test2/V0.pm) perl(base.pm) perl(strict.pm) perl(warnings.pm) pkgconfig(libzmq)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.005
Release: alt2
Summary: Alien package for the ZeroMQ library
Group: Development/Perl
License: perl
URL: https://github.com/zmughal-CPAN/p5-Alien-ZMQ-latest

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/Z/ZM/ZMUGHAL/%{module_name}-%{version}.tar.gz

%description
Installs the latest release of ZeroMQ.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes LICENSE README
%perl_vendor_archlib/A*
%perl_vendor_autolib/*

%changelog
