# BEGIN SourceDeps(oneline):
BuildRequires: libspatialite-devel perl(Alien/Base.pm) perl(Alien/Build.pm) perl(Alien/Build/MM.pm) perl(Alien/Build/Plugin/Build/SearchDep.pm) perl(Alien/Build/Plugin/Cleanse/BuildDir.pm) perl(Alien/MSYS.pm) perl(Alien/freexl.pm) perl(Alien/geos/af.pm) perl(Alien/proj.pm) perl(Alien/sqlite.pm) perl(Archive/Tar.pm) perl(Env/ShellWords.pm) perl(ExtUtils/MakeMaker.pm) perl(FFI/CheckLib.pm) perl(File/Find/Rule.pm) perl(HTML/LinkExtor.pm) perl(HTTP/Tiny.pm) perl(IO/Zlib.pm) perl(PkgConfig.pm) perl(Sort/Versions.pm) perl(Test/Alien.pm) perl(URI.pm) perl(URI/Escape.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define module_name Alien-spatialite
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.04
Release: alt3
Summary: Alien package for the Spatialite library
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/S/SL/SLAFFAN/%{module_name}-%{version}.tar.gz

%description
This Alien package is probably most useful for compilation of other modules, e.g. the Geo::GDAL::FFI manpage.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README.md LICENSE
%perl_vendor_archlib/A*
%perl_vendor_autolib/*

%changelog
