# BEGIN SourceDeps(oneline):
BuildRequires: perl(Devel/Peek.pm) perl(DynaLoader.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(Fcntl.pm) perl(List/Util.pm) perl(String/Escape.pm) perl(String/Scanf.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define module_version 0.26
%define module_name Anarres-Mud-Driver
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.26
Release: alt6
Summary: A game driver for LP Muds.
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/S/SH/SHEVEK/%module_name-%module_version.tar.gz

%description
This is an EXPERIMENTAL LP Mud driver written in Perl. The principle
is to parse the LPC as would a traditional driver, build and typecheck
a parse tree, then generate Perl source code from the parse tree. More
traditional drivers would here generate and interpret bytecode.

Generated Perl code is in a package namespace generated from the LPC
filename of the object to be compiled.

This program contains some interesting curiosities, such as an
emulation for a full 'C' style switch statement in Perl.


%prep
%setup -n %module_name-%module_version

%build
%add_perl_vendor_optflags -fcommon
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes TODO README LICENSE
%perl_vendor_archlib/A*
%perl_vendor_autolib/*

%changelog
