%define module_name Anonymous-Object
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Data/Dumper.pm) perl(ExtUtils/MakeMaker.pm) perl(Module/Metadata.pm) perl(Scalar/Util.pm) perl(Test/More.pm) perl(Type/Tiny.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.05
Release: alt1
Summary: Generate Anonymous Objects
Group: Development/Perl
License: artistic_2
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/L/LN/LNATION/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Quick summary of what the module does.

_use Anonymous::Object;

_my $anon = Anonymous::Object->new({
__object_name => 'Custom::Object'
_})->hash_to_object({
__a => 1,
__b => 2,
__c => 3
_}, autotype => 1, set => 1);

_$anon->a; # 1
_$anon->b; # 2
_$anon->c; # 3

_....

_my $anon = Anonymous::Object->new({});

_$anon->add_method({
__name => 'test_accessor',
__clearer => 1,
__predicate => 1,
__get => 1,
__set => 1,
__ref => 1,
__reftype => 1,
__type => 'Str',
__default => 'xyz',
_});

_$anon->build;

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc ignore.txt README Changes
%perl_vendor_privlib/A*

%changelog
