Group: Development/Perl
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-AnyEvent-DBus
Version:        0.31
Release:        alt2_30
Summary:        Adapt Net::DBus to AnyEvent
License:        GPL+ or Artistic

URL:            https://metacpan.org/release/AnyEvent-DBus
Source0:        https://cpan.metacpan.org/authors/id/M/ML/MLEHMANN/AnyEvent-DBus-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  rpm-build-perl
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(AnyEvent.pm)
BuildRequires:  perl(Net/DBus.pm)
BuildRequires:  perl(Net/DBus/Binding/Watch.pm)
BuildRequires:  perl(common/sense.pm)


Source44: import.info

%description
Loading this module will install the necessary magic to seamlessly integrate
Net::DBus into AnyEvent.


%prep
%setup -q -n AnyEvent-DBus-%{version}


%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
%make_build


%install
make pure_install PERL_INSTALL_ROOT=%{buildroot}
# %{_fixperms} %{buildroot}/*


%check
make test


%files
%doc Changes META.json README
%doc --no-dereference COPYING
%{perl_vendor_privlib}/AnyEvent*


%changelog
