%define module_name AnyEvent-FTP
# BEGIN SourceDeps(oneline):
BuildRequires: perl(AnyEvent.pm) perl(Capture/Tiny.pm) perl(Config.pm) perl(Dist/Zilla/Role/TestRunner.pm) perl(EV.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(File/ShareDir/Dist.pm) perl(File/ShareDir/Install.pm) perl(File/Which.pm) perl(File/chdir.pm) perl(File/stat.pm) perl(FindBin.pm) perl(Moo.pm) perl(Moose.pm) perl(Path/Class.pm) perl(PerlIO/eol.pm) perl(Pod/Usage.pm) perl(Socket.pm) perl(Test2/API.pm) perl(Test2/V0.pm) perl(URI.pm) perl(YAML.pm) perl(autodie.pm) perl(base.pm) perl(namespace/autoclean.pm) perl(overload.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.17
Release: alt1
Summary: Simple asynchronous FTP client and server
Group: Development/Perl
License: perl
URL: https://metacpan.org/pod/AnyEvent::FTP

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PL/PLICEASE/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
From summary: %summary

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes LICENSE author.yml README example
%perl_vendor_privlib/A*
%perl_vendor_privlib/T*
%perl_vendor_privlib/auto/*

%files scripts
%_man1dir/*
%_bindir/*

%changelog
