Group: Development/Perl
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(AnyEvent/HTTPD.pm) perl(DDP.pm) perl(File/MimeInfo.pm) perl(HTTP/Parser/XS.pm) perl(Plack/Request.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global codate 20190523
%global commit0 b09c2c788f87dc5a7e6bdbb3a2915f9d6dd09eac
%global shortcommit0 %(c=%{commit0}; echo ${c:0:7})



Name:           perl-AnyEvent-HTTP-Server
Version:        1.99981
Release:        alt2_10.%{codate}git%{shortcommit0}
Summary:        AnyEvent HTTP/1.1 Server
License:        GPL+ or Artistic
URL:            https://github.com/Mons/AnyEvent-HTTP-Server-II
Source0:        https://github.com/Mons/AnyEvent-HTTP-Server-II/archive/%{commit0}.tar.gz#/%{name}-%{version}-%{shortcommit0}.tar.gz

BuildArch:      noarch

BuildRequires:  rpm-build-perl
BuildRequires:  perl-devel
BuildRequires:  perl
BuildRequires:  perl(AnyEvent.pm)
BuildRequires:  perl(AnyEvent/Handle.pm)
BuildRequires:  perl(AnyEvent/Socket.pm)
BuildRequires:  perl(AnyEvent/Util.pm)
BuildRequires:  perl(Config.pm)
BuildRequires:  perl(constant.pm)
BuildRequires:  perl(Data/Dumper.pm)
BuildRequires:  perl(Digest/SHA1.pm)
BuildRequires:  perl(Encode.pm)
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(feature.pm)
BuildRequires:  perl(JSON/XS.pm)
BuildRequires:  perl(MIME/Base64.pm)
BuildRequires:  perl(overload.pm)
BuildRequires:  perl(Scalar/Util.pm)
BuildRequires:  perl(Socket.pm)
BuildRequires:  perl(strict.pm)
BuildRequires:  perl(Test/More.pm)
BuildRequires:  perl(Time/HiRes.pm)
BuildRequires:  perl(utf8.pm)
BuildRequires:  perl(warnings.pm)
# tests
BuildRequires:  perl(EV.pm)
BuildRequires:  perl(Compress/Zlib.pm)
BuildRequires:  perl(Test/Pod.pm)

Requires:       perl(AnyEvent.pm) >= 5
Requires:       perl(Digest/SHA1.pm) >= 2
Requires:       perl(JSON/XS.pm) >= 3
Source44: import.info
%filter_from_requires /^perl(AnyEvent\|Digest.SHA1\|JSON.XS.pm)/d

%description
AnyEvent::HTTP::Server is a very fast asynchronous HTTP server written in
perl. It has been tested in high load production environments and may be
considered both fast and stable.

%prep
%setup -q -n AnyEvent-HTTP-Server-II-%{commit0}
perl -MConfig -pi -e 's,#!.*perl,$Config{startperl},' ex/*.pl

%build
unset AUTHOR
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}

%install
%{makeinstall_std}

# %{_fixperms} $RPM_BUILD_ROOT/*


%check
make test


%files
%doc Changes ex README.md
%doc --no-dereference LICENSE
%{perl_vendor_privlib}/*

%changelog
