%define module_name AnyEvent-MQTT
# BEGIN SourceDeps(oneline):
BuildRequires: perl(AnyEvent.pm) perl(AnyEvent/Handle.pm) perl(AnyEvent/MockTCPServer.pm) perl(AnyEvent/Socket.pm) perl(Carp.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Slurp.pm) perl(File/Temp.pm) perl(Getopt/Long.pm) perl(Gtk2.pm) perl(Gtk2/SimpleList.pm) perl(JSON.pm) perl(Net/MQTT/Constants.pm) perl(Net/MQTT/Message.pm) perl(Net/MQTT/TopicStore.pm) perl(POSIX.pm) perl(Pod/Coverage/TrustPod.pm) perl(Pod/Usage.pm) perl(Scalar/Util.pm) perl(Sub/Name.pm) perl(Test/EOL.pm) perl(Test/Kwalitee.pm) perl(Test/More.pm) perl(Test/NoTabs.pm) perl(Test/Perl/Critic.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(Test/SharedFork.pm) perl(Test/Synopsis.pm) perl(base.pm) perl(constant.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.202052
Release: alt1
Summary: AnyEvent module for an MQTT client
Group: Development/Perl
License: perl
URL: http://search.cpan.org/dist/AnyEvent-MQTT/

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/B/BE/BEANZ/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
%summary

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build INSTALLMAN1DIR=%_man1dir

%install
%perl_vendor_install

%files
%doc README Changes LICENSE
%perl_vendor_privlib/A*

%files scripts
%_man1dir/*
%_bindir/*

%changelog
