%define module_version 0.07
%define module_name AnyEvent-UserAgent
# BEGIN SourceDeps(oneline):
BuildRequires: perl(AnyEvent.pm) perl(AnyEvent/HTTP.pm) perl(ExtUtils/MakeMaker.pm) perl(HTTP/Cookies.pm) perl(HTTP/Message.pm) perl(HTTP/Request.pm) perl(HTTP/Request/Common.pm) perl(HTTP/Response.pm) perl(Moo.pm) perl(Test/Deep.pm) perl(Test/More.pm) perl(namespace/clean.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.07
Release: alt1
Summary: AnyEvent::HTTP OO-wrapper
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/D/DI/DIONYS/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
AnyEvent::UserAgent is a OO-wrapper around the AnyEvent::HTTP manpage with cookies
support by the HTTP::Cookies manpage. Also request callback receives response as
the HTTP::Response manpage object.


%prep
%setup -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/A*

%changelog
