Group: Development/Perl
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Apache2/Log.pm) perl(Apache2/RequestUtil.pm) perl(Apache2/ServerUtil.pm) perl(Ima/DBI.pm) perl(base.pm) perl(mod_perl2.pm) perl-podlators
# END SourceDeps(oneline)
%filter_from_requires /^perl(Apache.Log.pm)/d
BuildRequires: perl(DBD/DBM.pm)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-Apache-DBI-Cache
Version:        0.08
Release:        alt2_40
Summary:        Perl DBI connection cache
License:        GPL+ or Artistic

URL:            https://metacpan.org/release/Apache-DBI-Cache
Source0:        https://cpan.metacpan.org/authors/id/O/OP/OPI/Apache-DBI-Cache-%{version}.tar.gz
Patch0:         0001-DBI-dr-connect-can-clobber-the-arguments.patch

BuildArch:      noarch
BuildRequires:  rpm-build-perl
BuildRequires:  perl(DBI.pm)
BuildRequires:  perl(DBD/SQLite.pm)
BuildRequires:  perl(DBD/mysql.pm)
BuildRequires:  perl(BerkeleyDB.pm)
BuildRequires:  perl(Class/DBI.pm)
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(Test/More.pm)
BuildRequires:  perl(Test/Deep.pm)
Requires:       perl(DBI.pm) >= 1.370





Source44: import.info
%filter_from_requires /:__requires_exclude\|}^perl(DBI.st.pm)/d
%filter_from_requires /^perl(DBI.db.pm)/d

%description
This module is an alternative to Apache::DBI module. As a drop-in
Apache::DBI replacement it provides persistent DBI connections
while overcoming certain limitations. It is compatible with mod_perl,
though it does not require it.


%prep
%setup -q -n Apache-DBI-Cache-%{version}
%patch0 -p1


%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor
%make_build


%install
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

# %{_fixperms} $RPM_BUILD_ROOT/*


%check
make test


%files
%doc Changes
%{perl_vendor_privlib}/*


%changelog
