Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Apache/Test.pm) perl(Apache/TestMB.pm) perl(Apache/TestRequest.pm) perl(Apache/TestUtil.pm) perl(Apache2/Const.pm) perl(Apache2/RequestRec.pm) perl(Apache2/RequestUtil.pm) perl(CGI/Cookie.pm) perl(ExtUtils/MakeMaker.pm) perl(Scalar/Util.pm) perl(Test/More.pm) perl(base.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-Apache-Session-Wrapper
Version:        0.34
Release:        alt2_30
Summary:        A simple wrapper around Apache::Session
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Apache-Session-Wrapper
Source0:        https://cpan.metacpan.org/authors/id/Y/YV/YVES/Apache-Session-Wrapper-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:	rpm-build-perl
BuildRequires:	perl(Apache2/Cookie.pm), perl(Apache/Session.pm), perl(Class/Container.pm), perl(Exception/Class.pm)
BuildRequires:	perl(Params/Validate.pm), perl(Module/Build.pm), perl(Test/Pod.pm)
Requires:	perl(Class/Container.pm)
Source44: import.info

%description
%{summary}.

%prep
%setup -q -n Apache-Session-Wrapper-%{version}

%build
/usr/bin/perl Build.PL installdirs=vendor
./Build

%install
./Build install destdir=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*

%check
APACHE_TEST_HTTPD=/usr/sbin/httpd ./Build test

%files
%doc Changes LICENSE
%{perl_vendor_privlib}/Apache/Session/


%changelog
