# BEGIN SourceDeps(oneline):
BuildRequires: perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(Getopt/Long.pm) perl(open.pm) perl(strict.pm) perl(utf8.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define module_name App-Brl2Brl
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.01
Release: alt1
Summary: Convert between braille character sets.
Group: Development/Perl
License: artistic
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/L/LR/LRS/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
use App::Brl2Brl;

    my %%from_table = parse_dis( "$table_path/$from_table_file" );
    my %%to_table = parse_dis( "$table_path/$to_table_file" );
    while( <> ){
      my $s = Conv( \%%from_table, \%%to_table, $_);
      print "$s";
    }



sub new {
  my $class = shift;
  my $from_table_file = shift;
  my $to_table_file = shift;
  my $self = {};
  bless( $self, $class );
  %%{ $self->{frm} } = parse_dis( $from_table_file );
  %%{ $self->{to} } = parse_dis( $to_table_file );
  return $self;
}

sub switch_map {
  my $self = shift;
  my $inputstr = shift;
  my $outputstr = Conv( $self->{frm}, $self->{to}, $inputstr );
  return $outputstr;
}
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.pod LICENSE
%perl_vendor_privlib/A*
%_bindir/*
%_man1dir/*

%changelog
