%define module_name App-CGIThis
# BEGIN SourceDeps(oneline):
BuildRequires: perl(CGI/Compile.pm) perl(CGI/Emulate/PSGI.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Find/Rule.pm) perl(Getopt/Long.pm) perl(Net/Rendezvous/Publish.pm) perl(Plack/App/CGIBin.pm) perl(Plack/Builder.pm) perl(Plack/Runner.pm) perl(Pod/Usage.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.004
Release: alt1
Summary: Export the current directory like a cgi-bin
Group: Development/Perl
License: perl
URL: https://github.com/simbabque/App-CGIThis

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/S/SI/SIMBABQUE/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This is a fork of the App::HTTPThis manpage and the App::HTTPSThis manpage to turn a directory of
CGI scripts into a webserver that behaves like a `cgi-bin' folder.

This class implements all logic for the the cgi_this manpage command.

Actually, this is just a thin wrapper around the Plack::App::CGIBin manpage,
that is where the magic really is.
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes LICENSE README
%perl_vendor_privlib/A*
%_man1dir/*
%_bindir/*

%changelog
