%define module_name App-CSVUtils
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Complete/Util.pm) perl(Data/Sah/Compiler/perl/TH/any.pm) perl(Data/Sah/Compiler/perl/TH/array.pm) perl(Data/Sah/Compiler/perl/TH/bool.pm) perl(Data/Sah/Compiler/perl/TH/code.pm) perl(Data/Sah/Compiler/perl/TH/hash.pm) perl(Data/Sah/Compiler/perl/TH/int.pm) perl(Data/Sah/Compiler/perl/TH/re.pm) perl(Data/Sah/Compiler/perl/TH/str.pm) perl(Data/Sah/Filter/perl/Path/expand_tilde_when_on_unix.pm) perl(Data/Sah/Filter/perl/Path/strip_slashes_when_on_unix.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Slurper.pm) perl(File/Spec.pm) perl(File/Temp.pm) perl(Getopt/Long.pm) perl(Hash/Subset.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(Log/ger.pm) perl(Perinci/CmdLine/Any.pm) perl(Perinci/CmdLine/Lite.pm) perl(Perinci/Sub/XCompletion/sortsub_spec.pm) perl(Pod/Coverage/TrustPod.pm) perl(Sah/Schema/filename.pm)
BuildRequires: perl(Sah/Schema/uint.pm) perl(Scalar/Util.pm) perl(Sort/ByExample.pm) perl(Sort/Sub.pm) perl(Test/Exception.pm) perl(Test/More.pm) perl(Test/Needs.pm) perl(Test/Perl/Critic.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(Text/CSV_XS.pm) perl(Text/CSV_XS/TSV.pm) perl(Tie/IxHash.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.034
Release: alt1
Summary: CLI utilities related to CSV
Group: Development/Perl
License: perl
URL: https://metacpan.org/release/App-CSVUtils

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PE/PERLANCAR/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This distribution contains the following CLI utilities:

=over

=item * the csv-add-field manpage

=item * the csv-avg manpage

=item * the csv-concat manpage

=item * the csv-convert-to-hash manpage

=item * the csv-delete-field manpage

=item * the csv-list-field-names manpage

=item * the csv-munge-field manpage

=item * the csv-replace-newline manpage

=item * the csv-select-fields manpage

=item * the csv-select-row manpage

=item * the csv-sort-fields manpage

=item * the csv-sum manpage

=back
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes LICENSE README
%perl_vendor_privlib/A*
%_man1dir/*
%_bindir/*

%changelog
