%define module_name App-ChangeShebang
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Exporter.pm) perl(Module/Build/Tiny.pm) perl(Pod/Usage.pm) perl(Test/More.pm) perl(Test/Pod.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.07
Release: alt1
Summary: change shebang lines for relocatable perl
Group: Development/Perl
License: perl
URL: https://github.com/skaji/change-shebang

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/S/SK/SKAJI/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
From summary: %summary

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build --install_path bindoc=%_man1dir

%install
%perl_vendor_install

%files
%doc LICENSE README Changes
%perl_vendor_privlib/A*

%files scripts
%_man1dir/*
%_bindir/*

%changelog
