%define module_name App-ClusterSSH
BuildRequires: perl-podlators
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(Data/Dump.pm) perl(English.pm) perl(Exception/Class.pm) perl(Fcntl.pm) perl(File/Basename.pm) perl(File/Copy.pm) perl(File/Glob.pm) perl(File/Path.pm) perl(File/Temp.pm) perl(File/Which.pm) perl(FindBin.pm) perl(Getopt/Long.pm) perl(Getopt/Std.pm) perl(IPC/Open3.pm) perl(Locale/Maketext.pm) perl(Module/Build.pm) perl(Module/Load.pm) perl(Net/Domain.pm) perl(Net/hostent.pm) perl(POSIX.pm) perl(Pod/Coverage/TrustPod.pm) perl(Pod/Usage.pm) perl(Readonly.pm) perl(Socket.pm) perl(Symbol.pm) perl(Sys/Hostname.pm) perl(Test/Differences.pm) perl(Test/More.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(Test/Trap.pm) perl(Tk.pm) perl(Tk/Dialog.pm) perl(Tk/LabEntry.pm) perl(Tk/ROText.pm) perl(Tk/Xlib.pm) perl(Try/Tiny.pm) perl(X11/Keysyms.pm) perl(X11/Protocol.pm) perl(X11/Protocol/Constants.pm)
BuildRequires: perl(X11/Protocol/WM.pm) perl(XML/Simple.pm) perl(base.pm) perl(lib.pm) perl(overload.pm) perl(strict.pm) perl(vars.pm) perl(version.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 4.16
Release: alt1
Summary: Cluster administration tool
Group: Development/Perl
License: perl
URL: http://github.com/duncs/clusterssh/wiki

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/D/DU/DUNCS/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This is the core for App::ClusterSSH.  You should probably look at the cssh manpage 
instead.

%package scripts
Summary: %name scripts
Group: Development/Perl
Requires: %name = %EVR

%description scripts
scripts for %name


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc TODO AUTHORS THANKS README Changes LICENSE
%perl_vendor_privlib/A*

%files scripts
%_bindir/*
%_man1dir/*
%_man1dir/*


%changelog
