%define module_name App-DBBrowser
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Cwd.pm) perl(DBI.pm) perl(Encode.pm) perl(Encode/CN.pm) perl(Encode/JP.pm) perl(Encode/KR.pm) perl(Encode/Locale.pm) perl(Encode/TW.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Basename.pm) perl(File/Find.pm) perl(File/HomeDir.pm) perl(File/Spec/Functions.pm) perl(File/Which.pm) perl(FindBin.pm) perl(Getopt/Long.pm) perl(JSON.pm) perl(List/MoreUtils.pm) perl(Pod/Usage.pm) perl(SQL/Type/Guess.pm) perl(Scalar/Util.pm) perl(Spreadsheet/Read.pm) perl(String/Unescape.pm) perl(Term/Choose.pm) perl(Term/Choose/Util.pm) perl(Term/Form.pm) perl(Term/TablePrint.pm) perl(Test/More.pm) perl(Text/CSV.pm) perl(bytes.pm) perl(open.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 2.263
Release: alt1
Summary: Browse SQLite/MySQL/PostgreSQL databases and their tables interactively.
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/K/KU/KUERBIS/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
See the db-browser manpage for further information.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release

%description scripts
scripts for %module_name
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README LICENSE Changes
%perl_vendor_privlib/A*

%files scripts
%_man1dir/*
%_bindir/*

%changelog
