%define module_name App-Deps-Verify
# BEGIN SourceDeps(oneline):
BuildRequires: perl(App/Cmd/Setup.pm) perl(Data/Dumper.pm) perl(File/Spec.pm) perl(File/Which.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(Module/Build.pm) perl(Moo.pm) perl(Path/Tiny.pm) perl(Test/More.pm) perl(YAML/XS.pm) perl(autodie.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.12.0
Release: alt1
Summary: An appoand API to verify the presence of dependencies (Perl 5 modules, python3 modules, executables...
Group: Development/Perl
License: mit
URL: http://metacpan.org/release/App-Deps-Verify

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/S/SH/SHLOMIF/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Here are some examples for YAML input files:

=over 4

=item * https://github.com/shlomif/shlomi-fish-homepage/blob/master/bin/required-modules.yml

=item * https://github.com/shlomif/perl-begin/blob/master/bin/required-modules.yml

=item * https://github.com/shlomif/fc-solve/blob/master/fc-solve/site/wml/bin/required-modules.yml

=back

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README LICENSE Changes
%perl_vendor_privlib/A*
%_man1dir/*
%_bindir/*

%changelog
