%define module_name App-Device-Chip-sensor
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Device/Chip/Adapter.pm) perl(Future/AsyncAwait.pm) perl(Future/IO.pm) perl(Future/IO/Impl/IOAsync.pm) perl(Module/Build.pm) perl(Object/Pad.pm) perl(Test/Deep.pm) perl(Test/More.pm) perl(Text/CSV.pm) perl(XS/Parse/Keyword.pm) perl(XS/Parse/Sublike.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.02
Release: alt1
Summary: Base class to build C<Device::Chip::Sensor>-based applications on
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PE/PEVANS/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This module provides a base class to assist in writing applications that
process data periodically from one or more the Device::Chip manpage-based sensors, via
the the Device::Chip::Sensor manpage interface. A typical program using this module
would derive a subclass from it, provide the remaining methods as necessary,
and eventually call the the run entry elsewhere in this document method to start the application.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README LICENSE
%_man1dir/*
%perl_vendor_privlib/A*
%_bindir/*

%changelog
