%define module_name App-DiffDocText
# BEGIN SourceDeps(oneline):
BuildRequires: perl(App/OfficeUtils.pm) perl(CLI/MetaUtil/Getopt/Long.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(File/Temp.pm) perl(File/Which.pm) perl(Getopt/Long.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(IPC/System/Options.pm) perl(Log/ger.pm) perl(Pod/Coverage/TrustPod.pm) perl(Test/More.pm) perl(Test/Perl/Critic.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.002
Release: alt1
Summary: Diff the text of two Office word-processor documents (.doc, .docx, .odt, etc)
Group: Development/Perl
License: perl
URL: https://metacpan.org/release/App-DiffDocText

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PE/PERLANCAR/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
See the included script the diff-doc-text manpage.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README LICENSE Changes
%_man1dir/*
%perl_vendor_privlib/A*
%_bindir/*

%changelog
