%define module_name App-FfmpegUtils
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Data/Sah/Coerce/perl/To_duration/From_float/seconds.pm) perl(Data/Sah/Coerce/perl/To_duration/From_obj/datetime_duration.pm) perl(Data/Sah/Coerce/perl/To_duration/From_str/human.pm) perl(Data/Sah/Coerce/perl/To_duration/From_str/iso8601.pm) perl(Data/Sah/Coerce/perl/To_float/From_str/percent.pm) perl(Data/Sah/Compiler/perl/TH/array.pm) perl(Data/Sah/Compiler/perl/TH/duration.pm) perl(Data/Sah/Compiler/perl/TH/float.pm) perl(Data/Sah/Compiler/perl/TH/int.pm) perl(Data/Sah/Compiler/perl/TH/str.pm) perl(Data/Sah/Filter/perl/Path/expand_tilde_when_on_unix.pm) perl(Data/Sah/Filter/perl/Path/strip_slashes_when_on_unix.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(File/Which.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(IPC/System/Options.pm) perl(Log/ger.pm) perl(Math/Image/CalcResized.pm)
BuildRequires: perl(Media/Info.pm) perl(POSIX.pm) perl(Perinci/CmdLine/Any.pm) perl(Perinci/CmdLine/Lite.pm) perl(Perinci/Exporter.pm) perl(Perinci/Sub/DepChecker.pm) perl(Pod/Coverage/TrustPod.pm) perl(Sah/Schema/filename.pm) perl(Sah/Schema/ufloat.pm) perl(Sah/Schema/uint.pm) perl(Test/More.pm) perl(Test/Perl/Critic.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.009
Release: alt1
Summary: Utilities related to ffmpeg
Group: Development/Perl
License: perl
URL: https://metacpan.org/release/App-FfmpegUtils

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PE/PERLANCAR/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
From summary: %summary

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes LICENSE README
%_man1dir/*
%perl_vendor_privlib/A*
%_bindir/*

%changelog
