%define module_name App-Git-Workflow
Epoch: 1
# BEGIN SourceDeps(oneline):
BuildRequires: perl(CHI/Memoize.pm) perl(Capture/Tiny.pm) perl(DateTime/Format/HTTP.pm) perl(Error.pm) perl(File/chdir.pm) perl(Git.pm) perl(JIRA/REST.pm) perl(JSON.pm) perl(List/MoreUtils.pm) perl(Module/Build.pm) perl(Path/Tiny.pm) perl(Pod/Usage.pm) perl(Term/ANSIColor.pm) perl(Test/Kwalitee.pm) perl(Test/More.pm) perl(Test/Perl/Critic.pm) perl(Test/Spelling.pm) perl(Test/Warnings.pm) perl(Time/Piece.pm) perl(XML/Tiny.pm) perl(YAML.pm) perl(autodie.pm) perl(version.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.1.14
Release: alt1
Summary: Tools to help make git workflows easier
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/I/IV/IVANWILLS/%{module_name}-v%{version}.tar.gz
BuildArch: noarch

%description
This module contains helper functions for the command line scripts.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release

%description scripts
scripts for %module_name
%prep
%setup -q -n %{module_name}-v%{version}

%build
%perl_vendor_build --install_path bindoc=%_man1dir

%install
%perl_vendor_install

%files
%doc TODO.md Changes README.pod LICENSE
%perl_vendor_privlib/A*
%perl_vendor_privlib/T*
%perl_vendor_privlib/M*

%files scripts
%_man1dir/*
%_bindir/*

%changelog
