%define module_name App-Greple
Epoch: 4
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Encode.pm) perl(Encode/Guess.pm) perl(Getopt/EX.pm) perl(Hash/Util.pm) perl(List/BinarySearch.pm) perl(List/Util.pm) perl(Module/Build/Tiny.pm) perl(Pod/Usage.pm) perl(Term/ReadKey.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 8.4601
Release: alt1
Summary: extensible grep with lexical expression and region handling
Group: Development/Perl
License: perl
URL: https://github.com/kaz-utashiro/greple

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/U/UT/UTASHIRO/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
## MULTIPLE KEYWORDS

**greple** has almost the same function as Unix command [egrep(1)](http://man.he.net/man1/egrep) but
the search is done in a manner similar to Internet search engine.
For example, next command print lines those contain all of \`foo' and
bar' and \`baz'.

    greple 'foo bar baz' ...

Each word can be found in any order and/or any place in the string.
So this command find all of following texts.

    foo bar baz

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Example.md LICENSE README.md Changes
%_man1dir/*
%perl_vendor_privlib/A*
%_bindir/*

%changelog
