%define module_name App-Greple-msdoc
# BEGIN SourceDeps(oneline):
BuildRequires: perl(App/Greple.pm) perl(App/optex/textconv.pm) perl(Archive/Zip.pm) perl(Encode.pm) perl(Exporter.pm) perl(Module/Build/Tiny.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.04
Release: alt1
Summary: Greple module for access MS office docx/pptx/xlsx documents
Group: Development/Perl
License: perl
URL: https://github.com/kaz-utashiro/greple-msdoc

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/U/UT/UTASHIRO/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This module makes it possible to search string in Microsoft
docx/pptx/xlsx file.

Microsoft document consists of multiple files archived in zip format.
String information is stored in "word/document.xml",
"ppt/slides/*.xml" or "xl/sharedStrings.xml".  This module extracts
these data and replaces the search target.

By default, text part from XML data is extracted.  This process is
done by very simple method and may include redundant information.

Strings are simply connected into paragrap for *.docx* and *.pptx*
document.  For *.xlsx* document, single space is inserted between
them.  Use --separator option to change this behavior.

After every paragraph, single newline is inserted for *.pptx* and
*.xlsx* file, and double newlines for *.docx* file.  Use
--space option to change.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.md Changes LICENSE
%perl_vendor_privlib/A*

%changelog
