%define module_name App-ListNewCPANDists
# BEGIN SourceDeps(oneline):
BuildRequires: perl(DBD/SQLite.pm) perl(DBI.pm) perl(Data/Sah/Coerce/perl/To_date/From_float/epoch.pm) perl(Data/Sah/Coerce/perl/To_date/From_obj/datetime.pm) perl(Data/Sah/Coerce/perl/To_date/From_obj/time_moment.pm) perl(Data/Sah/Coerce/perl/To_date/From_str/iso8601.pm) perl(Data/Sah/Coerce/perl/To_date/From_str/natural.pm) perl(Data/Sah/Coerce/perl/To_str/From_str/normalize_perl_distname.pm) perl(Data/Sah/Coerce/perl/To_str/From_str/to_upper.pm) perl(Data/Sah/Compiler/perl/TH/array.pm) perl(Data/Sah/Compiler/perl/TH/date.pm) perl(Data/Sah/Compiler/perl/TH/int.pm) perl(Data/Sah/Compiler/perl/TH/re.pm) perl(Data/Sah/Compiler/perl/TH/str.pm) perl(Data/Sah/Filter/perl/Path/expand_tilde_when_on_unix.pm) perl(Data/Sah/Filter/perl/Path/strip_slashes_when_on_unix.pm) perl(DateTime.pm) perl(ExtUtils/MakeMaker.pm)
BuildRequires: perl(File/HomeDir.pm) perl(File/Spec.pm) perl(HTML/Entities.pm) perl(HTTP/Tiny.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(JSON.pm) perl(Log/ger.pm) perl(Perinci/CmdLine/Any.pm) perl(Perinci/CmdLine/Lite.pm) perl(Pod/Coverage/TrustPod.pm) perl(SQL/Schema/Versioned.pm) perl(Sah/Schema/cpan/pause_id.pm) perl(Sah/Schema/dirname.pm) perl(Sah/Schema/filename.pm) perl(Sah/Schema/perl/distname.pm) perl(Test/More.pm) perl(Test/Perl/Critic.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(Test/SQL/Schema/Versioned.pm) perl(Test/WithDB/SQLite.pm) perl(Time/Local.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.014
Release: alt1
Summary: List new CPAN distributions in a given time period
Group: Development/Perl
License: perl
URL: https://metacpan.org/release/App-ListNewCPANDists

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PE/PERLANCAR/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
From summary: %summary

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README LICENSE Changes
%perl_vendor_privlib/A*
%_man1dir/*
%_bindir/*

%changelog
