# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define upstream_name    App-Maisha
%define upstream_version 0.22

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %{upstream_version}
Release:    alt1_2
Summary:    Maisha interface to Identi.ca
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/App/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp.pm)
BuildRequires: perl(Class/Accessor/Fast.pm)
BuildRequires: perl(Config/Any.pm)
BuildRequires: perl(ExtUtils/MakeMaker.pm)
BuildRequires: perl(File/Basename.pm)
BuildRequires: perl(File/HomeDir.pm)
BuildRequires: perl(File/Path.pm)
BuildRequires: perl(FindBin.pm)
BuildRequires: perl(Getopt/Long.pm)
BuildRequires: perl(IO/File.pm)
BuildRequires: perl(Module/Pluggable.pm)
BuildRequires: perl(Net/Twitter.pm)
BuildRequires: perl(Pod/Usage.pm)
BuildRequires: perl(Storable.pm)
BuildRequires: perl(Term/Shell.pm)
BuildRequires: perl(Test/More.pm)
BuildRequires: perl(Text/Wrap.pm)
BuildArch:  noarch
Source44: import.info

%description
This distribution provides the ability to micro-blog via social networking
websites and services, such as Identica and Twitter.

For further information regarding the commands and configuration, please
see the 'maisha' script included with this distribution.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml  README examples
%{_bindir}/maisha
%{_mandir}/man1/*
%perl_vendor_privlib/*

%changelog
