%define module_name App-MetaCPANUtils
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Data/Sah/Coerce/perl/To_date/From_float/epoch.pm) perl(Data/Sah/Coerce/perl/To_date/From_obj/datetime.pm) perl(Data/Sah/Coerce/perl/To_date/From_obj/time_moment.pm) perl(Data/Sah/Coerce/perl/To_date/From_str/iso8601.pm) perl(Data/Sah/Coerce/perl/To_str/From_str/normalize_perl_distname.pm) perl(Data/Sah/Coerce/perl/To_str/From_str/to_upper.pm) perl(Data/Sah/Compiler/perl/TH/array.pm) perl(Data/Sah/Compiler/perl/TH/bool.pm) perl(Data/Sah/Compiler/perl/TH/date.pm) perl(Data/Sah/Compiler/perl/TH/int.pm) perl(Data/Sah/Compiler/perl/TH/str.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(Log/ger.pm) perl(MetaCPAN/Client.pm) perl(Perinci/CmdLine/Any.pm) perl(Perinci/CmdLine/Lite.pm) perl(Pod/Coverage/TrustPod.pm) perl(Sah/Schema/cpan/distname.pm) perl(Sah/Schema/cpan/pause_id.pm)
BuildRequires: perl(Sah/Schema/posint.pm) perl(Test/More.pm) perl(Test/Perl/Critic.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.004
Release: alt1
Summary: CLI utilities related to MetaCPAN
Group: Development/Perl
License: perl
URL: https://metacpan.org/release/App-MetaCPANUtils

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PE/PERLANCAR/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This distribution contains CLI utilities related to MetaCPAN:

=over

=item * the list-metacpan-releases manpage

=item * the list-recent-metacpan-releases manpage

=back

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE README Changes
%_man1dir/*
%perl_vendor_privlib/A*
%_bindir/*

%changelog
