%define module_name App-Module-Lister
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(File/Spec/Functions.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.154
Release: alt1
Summary: List the Perl modules in @INC
Group: Development/Perl
License: artistic_2
URL: https://github.com/briandfoy/app-module-lister

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/B/BD/BDFOY/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This is a program to list all of the Perl modules it finds in `@INC'
for a no-shell web hosting account. It has these explicit design goals:

=over 4

=item * Is a single file FTP upload such that it's ready to run (no archives)

=item * Runs as a CGI script

=item * Runs on a standard Perl 5.004 system with no non-core modules

=item * Does not use CPAN.pm (which can't easly be configured without the shell)

=back

If you have a shell account, you should just use `CPAN.pm''s autobundle
feature.

You do not need to install this module. You just need the `.pm' file.
The rest of the distribution is there to help me give it to other
people and test it.

You might have to modify the shebang line (the first line in the file)
to point to Perl. Your web hoster probably has instructions on what
that should be. As shipped, this program uses the `env' trick described
in the perlrun manpage. If that doesn't work for you, you'll probably see an
error like:

_ /usr/bin/env: bad interpreter: No such file or directory
_ 
That's similar to the error you'll see if you have the wrong path
to `perl'.

The program searches each entry in `@INC' individually and outputs
modules as it finds them.


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE Changes README.pod examples
%perl_vendor_privlib/A*

%changelog
