%define module_name App-ModuleBuildTiny
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Archive/Tar.pm) perl(CPAN/Meta.pm) perl(CPAN/Meta/Merge.pm) perl(CPAN/Meta/Prereqs/Filter.pm) perl(CPAN/Upload/Tiny.pm) perl(Data/Section/Simple.pm) perl(Encode.pm) perl(Encode/CN.pm) perl(Encode/JP.pm) perl(Encode/KR.pm) perl(Encode/TW.pm) perl(Exporter.pm) perl(ExtUtils/Manifest.pm) perl(File/Path.pm) perl(File/Slurper.pm) perl(File/Temp.pm) perl(Getopt/Long.pm) perl(JSON/PP.pm) perl(Module/Build/Tiny.pm) perl(Module/CPANfile.pm) perl(Module/Metadata.pm) perl(Module/Runtime.pm) perl(Parse/CPAN/Meta.pm) perl(Pod/Escapes.pm) perl(Pod/Simple/Text.pm) perl(Software/LicenseUtils.pm) perl(Test/More.pm) perl(Text/Template.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.029
Release: alt1
Summary: A standalone authoring tool for Module::Build::Tiny
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/L/LE/LEONT/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
App::ModuleBuild contains the implementation of the the mbtiny manpage tool.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release

%description scripts
scripts for %module_name


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README LICENSE
%perl_vendor_privlib/A*

%files scripts
%_man1dir/*
%_bindir/*

%changelog
