# BEGIN SourceDeps(oneline):
BuildRequires: perl(Data/Sah/Coerce/perl/To_str/From_str/normalize_perl_modname.pm) perl(Data/Sah/Compiler/perl/TH/bool.pm) perl(Data/Sah/Compiler/perl/TH/str.pm) perl(Data/Sah/Util/Type.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(Module/FeaturesUtil/Check.pm) perl(Module/FeaturesUtil/Get.pm) perl(Module/List/Tiny.pm) perl(Perinci/CmdLine/Any.pm) perl(Perinci/CmdLine/Lite.pm) perl(Perinci/Sub/Args/Common/CLI.pm) perl(Pod/Coverage/TrustPod.pm) perl(Sah/Schema/perl/modname.pm) perl(Sah/Schema/perl/modulefeatures/modname.pm) perl(Test/More.pm) perl(Test/Perl/Critic.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define module_name App-ModuleFeaturesUtils
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.003
Release: alt1
Summary: CLI Utilities related to Module::Features
Group: Development/Perl
License: perl
URL: https://metacpan.org/release/App-ModuleFeaturesUtils

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PE/PERLANCAR/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This distribution includes the following utilities:

=over

=item * the check-feature-set-spec manpage

=item * the check-features-decl manpage

=item * the check-module-features manpage

=item * the get-feature-set-spec manpage

=item * the get-features-decl manpage

=item * the list-feature-set-features manpage

=item * the list-feature-sets manpage

=back

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes LICENSE
%_bindir/*
%_man1dir/*
%perl_vendor_privlib/A*

%changelog
