%define module_name App-ModuleVersionDiffUtils
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Data/Sah/Coerce/perl/To_str/From_str/normalize_perl_modname.pm) perl(Data/Sah/Compiler/perl/TH/array.pm) perl(Data/Sah/Compiler/perl/TH/str.pm) perl(Data/Sah/Filter/perl/Path/expand_tilde_when_on_unix.pm) perl(Data/Sah/Filter/perl/Path/strip_slashes_when_on_unix.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(Log/ger.pm) perl(Module/Path/More.pm) perl(Perinci/CmdLine/Any.pm) perl(Perinci/CmdLine/Lite.pm) perl(Perinci/Sub/Property/cmdline.pm) perl(Pod/Coverage/TrustPod.pm) perl(Sah/Schema/dirname.pm) perl(Sah/Schema/perl/modname.pm) perl(Test/More.pm) perl(Test/Perl/Critic.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.002
Release: alt1
Summary: Utilities to diff stuffs from two different versions of a module
Group: Development/Perl
License: perl
URL: https://metacpan.org/release/App-ModuleVersionDiffUtils

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PE/PERLANCAR/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This distributions provides the following command-line utilities:

=over

=item * the diff-two-module-version-hash manpage

=back

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README LICENSE Changes
%perl_vendor_privlib/A*
%_man1dir/*
%_bindir/*

%changelog
