%define module_version 1.29
%define module_name App-MusicTools
BuildRequires: perl-podlators perl(IPC/Run3.pm) perl(Music/PitchNum.pm)
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(File/Temp.pm) perl(Getopt/Long.pm) perl(JSON.pm) perl(List/Util.pm) perl(Music/AtonalUtil.pm) perl(Music/Canon.pm) perl(Music/Chord/Positions.pm) perl(Music/LilyPondUtil.pm) perl(Music/Scala.pm) perl(Music/Scales.pm) perl(Music/Tempo.pm) perl(Music/Tension.pm) perl(Parse/Range.pm) perl(Pod/Coverage.pm) perl(Scalar/Util.pm) perl(Test/Cmd.pm) perl(Test/Exception.pm) perl(Test/More.pm) perl(Test/Most.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(Text/Roman.pm) perl(Text/Wrap.pm) perl(Try/Tiny.pm) perl(lib.pm) perl(strict.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.29
Release: alt1
Summary: command line utilities for music composition and analysis
Group: Development/Perl
License: artistic_2
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/J/JM/JMATES/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
This distribution contains various command line utilities related to
music composition and analysis, brief examples of which are shown in the
the section on "SYNOPSIS", above. Run `perldoc' on the command name for additional
documentation on how to use each tool, as several of the programs have
many, many more options than shown here.

The `zsh-compdef' directory of this distribution includes ZSH
completion scripts for the command line utilities. Install these files
to a ZSH `$fpath' directory, and follow the ZSH documentation on setting
up tab completion.

%package scripts
Summary: %name scripts
Group: Development/Perl
Requires: %{?epoch:%epoch:}%name = %version-%release

%description scripts
scripts for %name

%prep
%setup -q -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README LICENSE Changes
%perl_vendor_privlib/A*

%files scripts
%_bindir/*
%_man1dir/*
%_man1dir/*


%changelog
