%define module_name App-MysqlUtils
# BEGIN SourceDeps(oneline):
BuildRequires: perl(App/CSVUtils.pm) perl(Complete/Util.pm) perl(Config/IOD/Reader.pm) perl(DBI.pm) perl(DBIx/Diff/Schema.pm) perl(DBIx/Util/Schema.pm) perl(Data/Cmp.pm) perl(Data/Sah/Compiler/perl/TH/array.pm) perl(Data/Sah/Compiler/perl/TH/bool.pm) perl(Data/Sah/Compiler/perl/TH/int.pm) perl(Data/Sah/Compiler/perl/TH/re.pm) perl(Data/Sah/Compiler/perl/TH/str.pm) perl(Data/Sah/Filter/perl/Path/expand_tilde_when_on_unix.pm) perl(Data/Sah/Filter/perl/Path/strip_slashes_when_on_unix.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Path.pm) perl(File/Spec.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(IPC/System/Options.pm) perl(List/MoreUtils.pm) perl(Log/ger.pm) perl(Perinci/CmdLine/Any.pm) perl(Perinci/CmdLine/Lite.pm) perl(Perinci/Object.pm) perl(Perinci/Sub/DepChecker.pm) perl(Pod/Coverage/TrustPod.pm) perl(Sah/Schema/dirname.pm)
BuildRequires: perl(Sah/Schema/filename.pm) perl(Sah/Schema/posint.pm) perl(Sah/Schema/true.pm) perl(String/ShellQuote.pm) perl(Test/More.pm) perl(Test/Perl/Critic.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(Text/CSV/FromAOH.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.020
Release: alt1
Summary: CLI utilities related to MySQL
Group: Development/Perl
License: perl
URL: https://metacpan.org/release/App-MysqlUtils

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PE/PERLANCAR/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This distribution includes the following CLI utilities:

=over

=back
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE README Changes
%perl_vendor_privlib/A*
%_man1dir/*
%_bindir/*

%changelog
