%define module_name App-OrgUtils
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Browser/Open.pm) perl(Complete/Util.pm) perl(Cwd.pm) perl(Data/Sah/Compiler/perl/TH/any.pm) perl(Data/Sah/Compiler/perl/TH/array.pm) perl(Data/Sah/Compiler/perl/TH/bool.pm) perl(Data/Sah/Compiler/perl/TH/code.pm) perl(Data/Sah/Compiler/perl/TH/int.pm) perl(Data/Sah/Compiler/perl/TH/obj.pm) perl(Data/Sah/Compiler/perl/TH/re.pm) perl(Data/Sah/Compiler/perl/TH/str.pm) perl(Data/Sah/Filter/perl/Path/expand_tilde_when_on_unix.pm) perl(Data/Sah/Filter/perl/Path/strip_slashes_when_on_unix.pm) perl(Data/Sah/Filter/perl/Str/replace_dashes_with_underscores.pm) perl(DateTime.pm) perl(Digest/MD5.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Slurper.pm) perl(File/Slurper/Dash.pm) perl(File/Spec.pm) perl(File/Temp.pm) perl(Function/Fallback/CoreOrPP.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm)
BuildRequires: perl(IPC/System/Options.pm) perl(Lingua/EN/Numbers/Ordinate.pm) perl(List/MoreUtils.pm) perl(List/Util.pm) perl(Log/ger.pm) perl(Org/Document.pm) perl(Org/Dump.pm) perl(Org/Parser.pm) perl(Org/Parser/Tiny.pm) perl(Org/To/HTML.pm) perl(Org/To/HTML/WordPress.pm) perl(Path/Tiny.pm) perl(Perinci/CmdLine/Any.pm) perl(Perinci/CmdLine/Lite.pm) perl(Perinci/Sub/Util.pm) perl(Pod/Coverage/TrustPod.pm) perl(Sah/Schema/date/tz_name.pm) perl(Sah/Schema/filename.pm) perl(Sah/Schema/posint.pm) perl(Sah/Schema/sortsub/spec.pm) perl(Scalar/Util.pm) perl(Sort/Sub.pm) perl(Sort/SubList.pm) perl(Test/More.pm) perl(Test/Perl/Critic.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(URI/Escape.pm) perl(experimental.pm) perl(open.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.481
Release: alt1
Summary: Some utilities for Org documents
Group: Development/Perl
License: perl
URL: https://metacpan.org/release/App-OrgUtils

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PE/PERLANCAR/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
%summary

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %{?epoch:%epoch:}%name = %version-%release

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build INSTALLMAN1DIR=%_man1dir

%install
%perl_vendor_install

%files
%doc Changes README LICENSE
%perl_vendor_privlib/A*

%files scripts
%_man1dir/*
%_bindir/*

%changelog
