%define module_name App-PPI-Dumper
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(File/Spec/Functions.pm) perl(Getopt/Std.pm) perl(PPI.pm) perl(PPI/Dumper.pm) perl(Test/More.pm) perl(Test/Output.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.022
Release: alt1
Summary: Use the PPI to dump the structure of a Perl file
Group: Development/Perl
License: perl
URL: https://github.com/briandfoy/app-ppi-dumper

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/B/BD/BDFOY/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Parse a Perl document with PPI and dump the Perl Document Object Model (PDOM). .This script is a command-line interface to PPI::Dumper.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %{?epoch:%epoch:}%name = %version-%release

%description scripts
scripts for %module_name


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build INSTALLMAN1DIR=%_man1dir

%install
%perl_vendor_install

%files
%doc Changes README.pod LICENSE examples
%perl_vendor_privlib/A*

%files scripts
%_man1dir/*
%_bindir/*

%changelog
