%define module_name App-PTP
# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++ perl(Benchmark.pm) perl(Cwd.pm) perl(Data/Dumper.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Find.pm) perl(File/Spec/Functions.pm) perl(Getopt/Long.pm) perl(List/Util.pm) perl(Pod/Usage.pm) perl(Safe.pm) perl(Scalar/Util.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.10
Release: alt2
Summary: An expressive Pipelining Text Processor
Group: Development/Perl
License: mit
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/M/MA/MATHIAS/%{module_name}/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
From summary: %summary

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE
%_man1dir/*
%perl_vendor_privlib/A*
%_bindir/*

%changelog
