%define module_name App-PerlShell
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(Lexical/Persistence.pm) perl(Module/Refresh.pm) perl(Pod/Find.pm) perl(Pod/Usage.pm) perl(Term/ReadLine.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.08
Release: alt1
Summary: Perl Shell
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/V/VI/VINSWORLD/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
App::PerlShell creates an interactive Perl shell.  From it, 
Perl commands can be executed.  There are some additional commands 
helpful in any interactive shell.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_privlib/A*
%_man1dir/*
%_bindir/*

%changelog
