# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(Directory/Scratch.pm) perl(English.pm) perl(File/Find.pm) perl(File/Temp.pm) perl(File/pushd.pm) perl(Git/Wrapper.pm) perl(List/MoreUtils.pm) perl(Log/Dispatchouli.pm) perl(Module/Build.pm) perl(Moose.pm) perl(MooseX/FollowPBP.pm) perl(MooseX/Getopt.pm) perl(MooseX/Types/Path/Class.pm) perl(Path/Class/Dir.pm) perl(Term/ANSIColor.pm) perl(Test/CPAN/Changes.pm) perl(Test/Class.pm) perl(Test/EOL.pm) perl(Test/Exception.pm) perl(Test/More.pm) perl(Try/Tiny.pm) perl(namespace/autoclean.pm) perl(parent.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define module_version 0.001001
%define module_name App-Puppet-Environment-Updater
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.001001
Release: alt1
Summary: Update a Puppet environment in a Git branch
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/M/MS/MSTOCK/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
%summary

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release

%description scripts
scripts for %module_name

%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build --install_path bindoc=%_man1dir

%install
%perl_vendor_install

%files
%doc LICENSE Changes README
%perl_vendor_privlib/A*

%files scripts
%_bindir/*
%_man1dir/*

%changelog
