%define module_name App-Rakubrew
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Encode/Locale.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Copy/Recursive.pm) perl(File/HomeDir.pm) perl(File/Spec.pm) perl(File/Which.pm) perl(HTTP/Tinyish.pm) perl(IO/Uncompress/Unzip.pm) perl(IPC/Cmd.pm) perl(JSON.pm) perl(Path/Tiny.pm) perl(Pod/Usage.pm) perl(Test/Compile.pm) perl(Test/More.pm) perl(Try/Tiny.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 19
Release: alt1
Summary: Raku environment manager
Group: Development/Perl
License: mit
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PA/PATRICKB/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
A tool to manage multiple Rakudo installations.

See rakubrew.org.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE README Changes
%_man1dir/*
%perl_vendor_privlib/A*
%_bindir/*

%changelog
