%define module_name App-SerializeUtils
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Cpanel/JSON/XS.pm) perl(Data/Dmp.pm) perl(Data/Dump.pm) perl(Data/Dump/Color.pm) perl(Data/Dump/SExpression.pm) perl(Data/Dumper.pm) perl(Data/Dumper/Compact.pm) perl(Data/Undump.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(Getopt/Long.pm) perl(Getopt/Long/Complete.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(JSON/Color.pm) perl(JSON/MaybeXS.pm) perl(JSON/PP.pm) perl(PHP/Serialization.pm) perl(Pod/Coverage/TrustPod.pm) perl(SExpression/Decode/Marpa.pm) perl(Sereal/Decoder.pm) perl(Sereal/Encoder.pm) perl(Storable.pm) perl(Test/More.pm) perl(Test/Perl/Critic.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(YAML/Old.pm) perl(YAML/Syck.pm) perl(YAML/Tiny/Color.pm) perl(YAML/XS.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.164
Release: alt1
Summary: Utilities for serialization tasks
Group: Development/Perl
License: perl
URL: https://metacpan.org/release/App-SerializeUtils

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PE/PERLANCAR/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
%summary

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %{?epoch:%epoch:}%name = %version-%release

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build INSTALLMAN1DIR=%_man1dir --install_path bindoc=%_man1dir

%install
%perl_vendor_install

%files
%doc README Changes LICENSE
%perl_vendor_privlib/A*

%files scripts
%_man1dir/*
%_bindir/*

%changelog
