# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(Getopt/Std.pm) perl(HTML/Entities.pm) perl(HTML/Form.pm) perl(HTML/TreeBuilder/XPath.pm) perl(HTTP/Cookies.pm) perl(LWP/UserAgent.pm) perl(Log/Log4perl.pm) perl(Perl/Tidy/Sweetened.pm) perl(Pod/Tidy.pm) perl(Test/Code/TidyAll.pm) perl(Test/More.pm) perl(YAML/XS.pm)
# END SourceDeps(oneline)
%define module_name App-SpamcupNG
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.002
Release: alt1
Summary: module to export functions for spamcup program
Group: Development/Perl
License: gpl
URL: https://github.com/glasswalk3r/App-SpamcupNG

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/A/AR/ARFREITAS/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
App-SpamcupNG is a Perl web crawler for finishing Spamcop.net reports
automatically. This module implements the functions used by the spamcup
program.

See the README.md file on this project for more details.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README.md LICENSE
%_bindir/*
%_man1dir/*
%perl_vendor_privlib/A*

%changelog
