%define module_name App-VivaldiUtils
# BEGIN SourceDeps(oneline):
BuildRequires: perl(App/BrowserUtils.pm) perl(Data/Sah/Coerce/perl/To_array/From_str/comma_sep.pm) perl(Data/Sah/Compiler/perl/TH/any.pm) perl(Data/Sah/Compiler/perl/TH/array.pm) perl(Data/Sah/Compiler/perl/TH/bool.pm) perl(Data/Sah/Compiler/perl/TH/int.pm) perl(Data/Sah/Compiler/perl/TH/str.pm) perl(Data/Sah/Filter/perl/Unix/check_uid_exists.pm) perl(Data/Sah/Filter/perl/Unix/convert_unix_user_to_uid.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(Log/ger.pm) perl(Perinci/CmdLine/Any.pm) perl(Perinci/CmdLine/Lite.pm) perl(Pod/Coverage/TrustPod.pm) perl(Sah/Schema/true.pm) perl(Sah/Schema/unix/local_uid.pm) perl(Test/More.pm) perl(Test/Perl/Critic.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(Vivaldi/Util/Profile.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.008
Release: alt1
Summary: Utilities related to the Vivaldi browser
Group: Development/Perl
License: perl
URL: https://metacpan.org/release/App-VivaldiUtils

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PE/PERLANCAR/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This distribution includes several utilities related to the Vivaldi browser:

=over

=item * the kill-vivaldi manpage

=item * the pause-vivaldi manpage

=item * the ps-vivaldi manpage

=item * the terminate-vivaldi manpage

=item * the unpause-vivaldi manpage

=item * the vivaldi-is-paused manpage

=back

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README LICENSE
%_man1dir/*
%perl_vendor_privlib/A*
%_bindir/*

%changelog
