%define module_name App-WHMCSUtils
# BEGIN SourceDeps(oneline):
BuildRequires: perl(App/MysqlUtils.pm) perl(DBIx/Connect/MySQL.pm) perl(Data/Sah/Coerce/perl/To_array/From_str/comma_sep.pm) perl(Data/Sah/Coerce/perl/To_date/From_float/epoch.pm) perl(Data/Sah/Coerce/perl/To_date/From_obj/datetime.pm) perl(Data/Sah/Coerce/perl/To_date/From_obj/time_moment.pm) perl(Data/Sah/Coerce/perl/To_date/From_str/iso8601.pm) perl(Data/Sah/Coerce/perl/To_obj/From_str/url.pm) perl(Data/Sah/Compiler/perl/TH/any.pm) perl(Data/Sah/Compiler/perl/TH/array.pm) perl(Data/Sah/Compiler/perl/TH/bool.pm) perl(Data/Sah/Compiler/perl/TH/code.pm) perl(Data/Sah/Compiler/perl/TH/date.pm) perl(Data/Sah/Compiler/perl/TH/hash.pm) perl(Data/Sah/Compiler/perl/TH/int.pm) perl(Data/Sah/Compiler/perl/TH/obj.pm) perl(Data/Sah/Compiler/perl/TH/re.pm) perl(Data/Sah/Compiler/perl/TH/str.pm) perl(Digest/MD5.pm) perl(ExtUtils/MakeMaker.pm)
BuildRequires: perl(File/Spec.pm) perl(File/chdir.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(IPC/System/Options.pm) perl(LWP/UserAgent.pm) perl(LWP/UserAgent/Patch/Retry.pm) perl(Log/ger.pm) perl(Path/Tiny.pm) perl(Perinci/CmdLine/Any.pm) perl(Perinci/CmdLine/Lite.pm) perl(Perinci/Sub/DepChecker.pm) perl(Pod/Coverage/TrustPod.pm) perl(Sah/Schema/dirname.pm) perl(Sah/Schema/filename.pm) perl(Sah/Schema/net/port.pm) perl(Sah/Schema/posint.pm) perl(Sah/Schema/true.pm) perl(Sah/Schema/uint.pm) perl(Sah/Schema/url.pm) perl(String/Escape.pm) perl(Test/More.pm) perl(Test/Perl/Critic.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(Text/CSV_XS.pm) perl(WWW/Mechanize.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.011
Release: alt1
Summary: CLI utilities related to WHMCS
Group: Development/Perl
License: perl
URL: https://metacpan.org/release/App-WHMCSUtils

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PE/PERLANCAR/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
From summary: %summary

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes LICENSE README
%perl_vendor_privlib/A*
%_man1dir/*
%_bindir/*

%changelog
