%define module_name App-XScreenSaver-DBus
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(IPC/Run.pm) perl(Log/Any.pm) perl(Log/Any/Adapter.pm) perl(Moo.pm) perl(Net/DBus.pm) perl(Net/DBus/Exporter.pm) perl(Net/DBus/Object.pm) perl(Net/DBus/Reactor.pm) perl(Pod/Wordlist.pm) perl(Test/More.pm) perl(Test/Pod.pm) perl(Test/Spelling.pm) perl(Try/Tiny.pm) perl(curry.pm) perl(experimental.pm) perl(parent.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.0.3
Release: alt1
Summary: tie xscreensaver into dbus
Group: Development/Perl
License: open_source
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/D/DA/DAKKAR/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
use App::XScreenSaver::DBus;
    App::XScreenSaver::DBus->new->run;

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE Changes
%_man1dir/*
%perl_vendor_privlib/A*
%_bindir/*

%changelog
