%define module_name App-ansicolumn
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Encode.pm) perl(Getopt/EX.pm) perl(List/Util.pm) perl(Math/RPN.pm) perl(Module/Build/Tiny.pm) perl(Pod/Usage.pm) perl(Term/ReadKey.pm) perl(Test/More.pm) perl(Text/ANSI/Fold.pm) perl(Text/ANSI/Fold/Util.pm) perl(Text/ANSI/Printf.pm) perl(charnames.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.09
Release: alt1
Summary: ANSI sequence aware column command
Group: Development/Perl
License: perl
URL: https://github.com/kaz-utashiro/App-ansicolumn

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/U/UT/UTASHIRO/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Document is included in executable script.
Use `perldoc ansicolumn`.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README.md LICENSE
%_man1dir/*
%perl_vendor_privlib/A*
%_bindir/*

%changelog
