# BEGIN SourceDeps(oneline):
BuildRequires: perl(Command/Runner.pm) perl(Encode.pm) perl(Encode/CN.pm) perl(Encode/JP.pm) perl(Encode/KR.pm) perl(Encode/TW.pm) perl(Getopt/EX.pm) perl(Getopt/EX/Colormap.pm) perl(Getopt/EX/Long.pm) perl(List/Util.pm) perl(Module/Build/Tiny.pm) perl(Moo.pm) perl(Pod/Usage.pm) perl(Test/More.pm) perl(Text/ANSI/Printf.pm) perl(charnames.pm)
# END SourceDeps(oneline)
%define module_name App-ansiecho
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.02
Release: alt1
Summary: Command to produce ANSI terminal code
Group: Development/Perl
License: perl
URL: https://github.com/kaz-utashiro/App-ansiecho

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/U/UT/UTASHIRO/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
ansiecho is a small command interface to produce ANSI terminal
code using the Getopt::EX::Colormap manpage module.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes LICENSE README.md
%_bindir/*
%_man1dir/*
%perl_vendor_privlib/A*

%changelog
