%define module_name App-bookmarks
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Config/Any.pm) perl(Config/Tiny.pm) perl(DBD/SQLite.pm) perl(DBI.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Basename.pm) perl(File/Copy.pm) perl(File/Slurper.pm) perl(File/Temp.pm) perl(Getopt/Std.pm) perl(JSON.pm) perl(Test/More.pm) perl(URI/Find.pm) perl(URI/Find/Schemeless.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.31
Release: alt1
Summary: Export browser bookmarks as plain text.
Group: Development/Perl
License: artistic_2
URL: https://github.com/kal247/App-bookmarks

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/K/KA/KALDOR/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This is a stub module, see script/bookmarks.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.md LICENSE Changes
%_man1dir/*
%perl_vendor_privlib/A*
%_bindir/*

%changelog
