%define module_name App-cpm
# BEGIN SourceDeps(oneline):
BuildRequires: perl(CPAN/02Packages/Search.pm) perl(CPAN/DistnameInfo.pm) perl(CPAN/Meta.pm) perl(CPAN/Meta/Requirements.pm) perl(CPAN/Meta/YAML.pm) perl(Carton/Snapshot.pm) perl(Command/Runner.pm) perl(ExtUtils/Install.pm) perl(ExtUtils/InstallPaths.pm) perl(File/Copy/Recursive.pm) perl(File/HomeDir.pm) perl(File/Which.pm) perl(File/pushd.pm) perl(HTTP/Tinyish.pm) perl(IPC/Run3.pm) perl(JSON/PP.pm) perl(Menlo/Builder/Static.pm) perl(Menlo/CLI/Compat.pm) perl(Module/Build/Tiny.pm) perl(Module/CPANfile.pm) perl(Module/CoreList.pm) perl(Module/Metadata.pm) perl(Parallel/Pipes.pm) perl(Parse/PMFile.pm) perl(YAML/PP.pm) perl(local/lib.pm) perl(parent.pm) perl(version.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.997004
Release: alt1
Summary: a fast CPAN module installer
Group: Development/Perl
License: perl
URL: https://github.com/skaji/cpm

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/S/SK/SKAJI/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
=for html
<a href="https://raw.githubusercontent.com/skaji/cpm/master/xt/demo.gif"><img src="https://raw.githubusercontent.com/skaji/cpm/master/xt/demo.gif" alt="demo" style="max-width:100%%;"></a>

cpm is a fast CPAN module installer, which uses the Menlo manpage in parallel.

Moreover cpm keeps the each builds of distributions in your home directory,
and reuses them later.
That is, if prebuilts are available, cpm never builds distributions again, just copies the prebuilts into an appropriate directory.
This is (of course!) inspired by the Carmel manpage.

For tutorial, check out the App::cpm::Tutorial manpage.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE Changes README
%_man1dir/*
%perl_vendor_privlib/A*
%_bindir/*

%changelog
