%define module_name App-dateseq
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Complete/Module.pm) perl(Data/Sah/Coerce/perl/To_array/From_str/comma_sep.pm) perl(Data/Sah/Coerce/perl/To_date/From_float/epoch.pm) perl(Data/Sah/Coerce/perl/To_date/From_obj/datetime.pm) perl(Data/Sah/Coerce/perl/To_date/From_obj/time_moment.pm) perl(Data/Sah/Coerce/perl/To_date/From_str/iso8601.pm) perl(Data/Sah/Coerce/perl/To_date/From_str/natural.pm) perl(Data/Sah/Coerce/perl/To_duration/From_float/seconds.pm) perl(Data/Sah/Coerce/perl/To_duration/From_obj/datetime_duration.pm) perl(Data/Sah/Coerce/perl/To_duration/From_str/human.pm) perl(Data/Sah/Coerce/perl/To_duration/From_str/iso8601.pm) perl(Data/Sah/Coerce/perl/To_int/From_str/convert_en_dow_name_to_num.pm) perl(Data/Sah/Coerce/perl/To_int/From_str/convert_en_month_name_to_num.pm) perl(Data/Sah/Coerce/perl/To_str/From_str/normalize_perl_modname.pm)
BuildRequires: perl(Data/Sah/Compiler/perl/TH/array.pm) perl(Data/Sah/Compiler/perl/TH/bool.pm) perl(Data/Sah/Compiler/perl/TH/date.pm) perl(Data/Sah/Compiler/perl/TH/duration.pm) perl(Data/Sah/Compiler/perl/TH/hash.pm) perl(Data/Sah/Compiler/perl/TH/int.pm) perl(Data/Sah/Compiler/perl/TH/str.pm) perl(DateTime/Duration.pm) perl(DateTime/Format/Strftimeq.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(Perinci/CmdLine/Any.pm) perl(Perinci/CmdLine/Lite.pm) perl(Pod/Coverage/TrustPod.pm) perl(Sah/Schema/date/dow_num.pm) perl(Sah/Schema/date/dow_nums.pm) perl(Sah/Schema/date/month_num.pm) perl(Sah/Schema/date/month_nums.pm) perl(Sah/Schema/perl/modname.pm) perl(Sah/Schema/posint.pm) perl(Sah/Schema/true.pm) perl(Test/More.pm) perl(Test/Perl/Critic.pm) perl(Test/Pod.pm)
BuildRequires: perl(Test/Pod/Coverage.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.102
Release: alt1
Summary: Generate a sequence of dates
Group: Development/Perl
License: perl
URL: https://metacpan.org/release/App-dateseq

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PE/PERLANCAR/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
From summary: %summary

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes LICENSE README
%perl_vendor_privlib/A*

%files scripts
%_man1dir/*
%_bindir/*

%changelog
