%define module_name App-jupiter
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Class/Method/Modifiers.pm) perl(DateTime.pm) perl(DateTime/Format/ISO8601.pm) perl(DateTime/Format/Mail.pm) perl(Encode.pm) perl(Encode/Locale.pm) perl(ExtUtils/MakeMaker.pm) perl(File/ShareDir.pm) perl(File/ShareDir/Install.pm) perl(File/Slurper.pm) perl(Modern/Perl.pm) perl(Mojo/JSON.pm) perl(Mojo/UserAgent/Role/Queued.pm) perl(Mojolicious.pm) perl(Pod/Simple/Text.pm) perl(XML/LibXML.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.05
Release: alt1
Summary: an app that serves a river of news as a static page
Group: Development/Perl
License: open_source
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/S/SC/SCHROEDER/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This is a stub module, see script/jupiter for details of the app.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.md LICENSE Changes
%_man1dir/*
%perl_vendor_privlib/A*
%perl_vendor_privlib/auto/*
%_bindir/*

%changelog
