%define module_name App-lcpan-CmdBundle-core_or_pp
# BEGIN SourceDeps(oneline):
BuildRequires: perl(App/lcpan.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(Log/ger.pm) perl(Module/CoreList/More.pm) perl(Module/Path/More.pm) perl(Module/XSOrPP.pm) perl(Pod/Coverage/TrustPod.pm) perl(Test/More.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.04
Release: alt1
Summary: Check whether a module + its prereqs are core/PP
Group: Development/Perl
License: perl
URL: https://metacpan.org/release/App-lcpan-CmdBundle-core_or_pp

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PE/PERLANCAR/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Checking that a module with its (recursive) (runtime requires) prereqs are all
core/PP. Doing this check is useful when we want to fatpack said module along
with its prereqs.
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes LICENSE README
%perl_vendor_privlib/A*

%changelog
