%define module_name App-org2wp
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Data/Sah/Coerce/perl/To_date/From_float/epoch.pm) perl(Data/Sah/Coerce/perl/To_date/From_obj/datetime.pm) perl(Data/Sah/Coerce/perl/To_date/From_obj/time_moment.pm) perl(Data/Sah/Coerce/perl/To_date/From_str/iso8601.pm) perl(Data/Sah/Compiler/perl/TH/array.pm) perl(Data/Sah/Compiler/perl/TH/bool.pm) perl(Data/Sah/Compiler/perl/TH/date.pm) perl(Data/Sah/Compiler/perl/TH/hash.pm) perl(Data/Sah/Compiler/perl/TH/int.pm) perl(Data/Sah/Compiler/perl/TH/str.pm) perl(Data/Sah/Filter/perl/Path/expand_tilde_when_on_unix.pm) perl(Data/Sah/Filter/perl/Path/strip_slashes_when_on_unix.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Slurper.pm) perl(File/Spec.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(Log/ger.pm) perl(Org/Element/Drawer.pm) perl(Org/Element/Text.pm) perl(Org/Parser.pm) perl(Org/To/HTML/WordPress.pm)
BuildRequires: perl(POSIX.pm) perl(Perinci/CmdLine/Any.pm) perl(Perinci/CmdLine/Lite.pm) perl(Perinci/Object.pm) perl(Pod/Coverage/TrustPod.pm) perl(Sah/Schema/filename.pm) perl(Sah/Schema/posint.pm) perl(Test/More.pm) perl(Test/Perl/Critic.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(XMLRPC/Lite.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.010
Release: alt1
Summary: Publish Org document to WordPress as blog post
Group: Development/Perl
License: perl
URL: https://metacpan.org/release/App-org2wp

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PE/PERLANCAR/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
From summary: %summary

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes LICENSE
%perl_vendor_privlib/A*
%_man1dir/*
%_bindir/*

%changelog
