%define module_name App-orgdaemon
# BEGIN SourceDeps(oneline):
BuildRequires: perl(AnyEvent.pm) perl(AnyEvent/Filesys/Notify.pm) perl(Config.pm) perl(Data/Dumper.pm) perl(Digest/MD5.pm) perl(Encode.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(Fcntl.pm) perl(File/Basename.pm) perl(File/Compare.pm) perl(File/Spec.pm) perl(FindBin.pm) perl(Getopt/Long.pm) perl(IPC/Run.pm) perl(Linux/Inotify2.pm) perl(List/Util.pm) perl(Sys/Hostname.pm) perl(Time/Local.pm) perl(Time/y2038.pm) perl(Tk.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.11
Release: alt1
Summary: watch for appointments in org-mode files
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/S/SR/SREZIC/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
org-daemon is a Perl/Tk program which watches one or more emacs
org-mode files for appointments, that is, entries in the form of `<YYYY-MM-DD AAA HH:MM>' and fires alarms.
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_privlib/A*
%_man1dir/*
%_bindir/*

%changelog
