%define module_name App-p5find
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Exporter.pm) perl(File/Next.pm) perl(File/Spec/Functions.pm) perl(FindBin.pm) perl(Module/Build/Tiny.pm) perl(PPI.pm) perl(PPIx/QuoteLike.pm) perl(Test2/V0.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.04
Release: alt1
Summary: A collection of programs for locating certain constructs in Perl5 code.
Group: Development/Perl
License: mit
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/G/GU/GUGOD/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This distribution provides a collection of programs that search through Perl5
code structure for certain patterns. Such as: string literals with
interpolations, bareword tokens, vairable in method names.

While those code patterns may be discoverable with sufficient amount of
ack/grep-fu, this projects aims to reduce the amount of false recalls to the
point that it becomes usefull for tasks such as hunting for anti-patterns.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README LICENSE
%_man1dir/*
%perl_vendor_privlib/A*
%_bindir/*

%changelog
