%define module_name App-perlimports
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Capture/Tiny.pm) perl(Class/Inspector.pm) perl(Class/Unload.pm) perl(Code/TidyAll/Git/Precommit.pm) perl(Cpanel/JSON/XS.pm) perl(Data/Dumper.pm) perl(Encode.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Basename.pm) perl(File/Spec.pm) perl(File/chdir.pm) perl(Geo/IP.pm) perl(Getopt/Long.pm) perl(Getopt/Long/Descriptive.pm) perl(HTML/TableExtract.pm) perl(HTTP/Request/Common.pm) perl(HTTP/Status.pm) perl(HTTP/Tiny.pm) perl(IO/Uncompress/Gunzip.pm) perl(IP/Random.pm) perl(Import/Into.pm) perl(JSON/PP.pm) perl(LWP/UserAgent.pm) perl(Lingua/EN/Inflect.pm) perl(List/AllUtils.pm) perl(List/Util.pm) perl(Log/Dispatch.pm) perl(Log/Dispatch/Array.pm) perl(Memoize.pm) perl(Module/Runtime.pm) perl(Mojo/File.pm) perl(Mojo/Util.pm) perl(Moo.pm) perl(Moo/Role.pm) perl(MooX/StrictConstructor.pm) perl(Moose.pm)
BuildRequires: perl(MooseX/Types.pm) perl(MooseX/Types/Combine.pm) perl(MooseX/Types/Moose.pm) perl(MooseX/Types/Path/Class.pm) perl(Object/Tap.pm) perl(PPI.pm) perl(PPIx/Utils/Classification.pm) perl(Path/Class.pm) perl(Path/Tiny.pm) perl(Perl/Critic/Utils.pm) perl(Perl/Tidy.pm) perl(Pithub.pm) perl(Pod/Usage.pm) perl(Ref/Util.pm) perl(Sereal/Decoder.pm) perl(Sereal/Encoder.pm) perl(Sub/Exporter.pm) perl(Sub/HandlesVia.pm) perl(Symbol/Get.pm) perl(Test/Differences.pm) perl(Test/More.pm) perl(Test/Most.pm) perl(Test/Needs.pm) perl(Test/RequiresInternet.pm) perl(Test/Script.pm) perl(Test/TempDir/Tiny.pm) perl(Test/Warnings.pm) perl(Test2/V0.pm) perl(Text/SimpleTable/AutoWidth.pm) perl(Try/Tiny.pm) perl(Types/Standard.pm) perl(WWW/Mechanize.pm) perl(lib.pm) perl(parent.pm) perl(signatures.pm) perl(strict.pm)
BuildRequires: perl(utf8.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.000017
Release: alt1
Summary: Make implicit imports explicit
Group: Development/Perl
License: perl
URL: https://github.com/oalders/App-perlimports

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/O/OA/OALDERS/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This distribution provides the the perlimports manpage binary, which aims to automate
the cleanup and maintenance of Perl import statements.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.md CONTRIBUTING.md Changes CONTRIBUTORS LICENSE
%_man1dir/*
%perl_vendor_privlib/A*
%_bindir/*

%changelog
