%define module_name App-rimetadb
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Complete/Util.pm) perl(DBD/SQLite.pm) perl(DBI.pm) perl(Data/Clean/ForJSON.pm) perl(Data/Sah/Coerce/perl/To_str/From_str/normalize_perl_modname.pm) perl(Data/Sah/Coerce/perl/To_str/From_str/normalize_perl_modname_or_prefix.pm) perl(Data/Sah/Compiler/perl/TH/array.pm) perl(Data/Sah/Compiler/perl/TH/bool.pm) perl(Data/Sah/Compiler/perl/TH/hash.pm) perl(Data/Sah/Compiler/perl/TH/str.pm) perl(Data/Sah/Filter/perl/Path/expand_tilde_when_on_unix.pm) perl(Data/Sah/Filter/perl/Path/strip_slashes_when_on_unix.pm) perl(Data/Sah/Util/Type.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(JSON/MaybeXS.pm) perl(Log/ger.pm) perl(Module/List.pm) perl(Module/Load.pm) perl(Module/Path/More.pm) perl(Package/Util/Lite.pm) perl(Perinci/Access/Perl.pm) perl(Perinci/CmdLine/Any.pm)
BuildRequires: perl(Perinci/Sub/Normalize.pm) perl(Pod/Coverage/TrustPod.pm) perl(SQL/Schema/Versioned.pm) perl(Sah/Schema/dirname.pm) perl(Sah/Schema/perl/modname.pm) perl(Sah/Schema/perl/modname_or_prefix.pm) perl(Test/More.pm) perl(Test/Perl/Critic.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(Test/SQL/Schema/Versioned.pm) perl(Test/WithDB/SQLite.pm) perl(experimental.pm) perl(lib.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.225
Release: alt1
Summary: Manage a Rinci metadata database
Group: Development/Perl
License: perl
URL: https://metacpan.org/release/App-rimetadb

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PE/PERLANCAR/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
See the included CLI script the rimetadb manpage.
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README LICENSE
%perl_vendor_privlib/A*
%_man1dir/*
%_bindir/*

%changelog
