%define module_name App-rs
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(XSLoader.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 2.1.2
Release: alt3
Summary: package manager of RSLinux
Group: Development/Perl
License: gpl
URL: https://github.com/057a3dd61f99517a3afea0051a49cb27994f94d/rslinux

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/R/RS/RSLOVERS/%{module_name}-v%{version}.tar.gz

%description
RSLinux was born out of desire for freedom. Back in 2012, I was using
ArchLinux, as with many distributions at that time, it's switching to
systemd, and I would be forced to switch to it if I chose to update. It
frustrated me deeply, as I always seek freedom, from a very young age, and I
knew from my own experience that no matter how wonderful a thing is, it
will become a demon that haunts me once I'm being forced to do it. I made
up my mind to create something of my own so that I have complete freedom
to choose how it would be.

At first, I got my hand dirty with LFS, succeeded and got pretty satisfied
with it. Later in 2013, I made it again without following the LFS book, I
tried a different bootstrapping process with what I thought was right and
necessary, and it fits my mind much better. I typically rebuild my system
on an annual basis, after I did it in 2014 I gradually realized its problem,
without a package manager, thus an easy way to remove installed package,
I tended to dislike denpendency, and prefer a minimalist system, which
prevented me to explore since I knew I would have no easy way to clean up the mess
after I installed a lot of things, experimented with them a bit, and then
decided that I don't want them anymore.

I knew it was bad, and something to be dealt with. In the end of 2015, I
was working on something that's recursive, and it inspired me to
write a simple and elegant package manager rs, since directory and files,
which a package manager deals everyday, recursiveness is in their nature.

rs keeps a database of the metadata of every file that you didn't ask
it to ignore, you will typically ask it to ignore something like `/tmp',
`/proc', etc., if you're using it to manage system wide packages. With
rs you compile and install a package from source as usual, and when the
installation process is done, you run `rs diff oid', rs then starts
a scan of the root directory into which you just installed your package,
and during the scan process, it compares what's actually there with the
da...

%prep
%setup -q -n %{module_name}-v%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes COPYING README
%perl_vendor_archlib/A*
%perl_vendor_autolib/*
%_man1dir/*
%_bindir/*

%changelog
