%define module_name App-rshasum
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Digest.pm) perl(Digest/SHA.pm) perl(File/Find/Object.pm) perl(File/Spec.pm) perl(Getopt/Long.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(List/Util.pm) perl(Module/Build.pm) perl(Path/Tiny.pm) perl(Test/More.pm) perl(Test/Run/CmdLine/Iface.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.8.0
Release: alt1
Summary: recursive shasum.
Group: Development/Perl
License: mit
URL: http://metacpan.org/release/App-rshasum

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/S/SH/SHLOMIF/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
rshasum --digest=SHA-256

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE Changes README README.mkdn
%_man1dir/*
%perl_vendor_privlib/A*
%_bindir/*

%changelog
