%define module_name App-tracepm
# BEGIN SourceDeps(oneline):
BuildRequires: perl(App/FatPacker.pm) perl(CHI.pm) perl(Capture/Tiny.pm) perl(Data/Sah/Coerce/perl/To_str/From_str/normalize_perl_modname.pm) perl(Data/Sah/Compiler/perl/TH/array.pm) perl(Data/Sah/Compiler/perl/TH/bool.pm) perl(Data/Sah/Compiler/perl/TH/hash.pm) perl(Data/Sah/Compiler/perl/TH/str.pm) perl(Data/Sah/Filter/perl/Path/expand_tilde_when_on_unix.pm) perl(Data/Sah/Filter/perl/Path/strip_slashes_when_on_unix.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(File/Temp.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(Log/ger.pm) perl(Module/CoreList/More.pm) perl(Module/Path/More.pm) perl(Module/XSOrPP.pm) perl(Perinci/CmdLine/Any.pm) perl(Perinci/CmdLine/Lite.pm) perl(Perinci/Sub/Property/result/table.pm) perl(Perl/PrereqScanner.pm) perl(Perl/PrereqScanner/Lite.pm) perl(Pod/Coverage/TrustPod.pm)
BuildRequires: perl(Sah/Schema/filename.pm) perl(Sah/Schema/perl/modname.pm) perl(Test/More.pm) perl(Test/Perl/Critic.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(experimental.pm) perl(strict.pm) perl(version.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.230
Release: alt1
Summary: Trace dependencies of your Perl script
Group: Development/Perl
License: perl
URL: https://metacpan.org/release/App-tracepm

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PE/PERLANCAR/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
From summary: %summary

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes LICENSE README
%perl_vendor_privlib/A*

%files scripts
%_man1dir/*
%_bindir/*

%changelog
