%define module_name App-url
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Encode.pm) perl(Encode/CN.pm) perl(Encode/JP.pm) perl(Encode/KR.pm) perl(Encode/TW.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec/Functions.pm) perl(I18N/Langinfo.pm) perl(Mojolicious.pm) perl(Net/PublicSuffixList.pm) perl(String/Sprintf.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.007
Release: alt1
Summary: format a URL according to a sprintf-like template
Group: Development/Perl
License: artistic_2
URL: https://github.com/briandfoy/app-url

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/B/BD/BDFOY/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Decompose the URL and reformat it according to

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes LICENSE README.pod
%_man1dir/*
%perl_vendor_privlib/A*
%_bindir/*

%changelog
