%define module_name App-week
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Encode.pm) perl(Getopt/EX.pm) perl(Getopt/EX/i18n.pm) perl(Getopt/EX/termcolor.pm) perl(IO/File.pm) perl(List/Util.pm) perl(Module/Build/Tiny.pm) perl(Pod/Usage.pm) perl(Test/More.pm) perl(Text/ANSI/Fold.pm) perl(Text/ParseWords.pm) perl(Text/VisualWidth/PP.pm) perl(Time/localtime.pm) perl(Unicode/EastAsianWidth.pm) perl(open.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.13
Release: alt1
Summary: colorful calender command
Group: Development/Perl
License: perl
URL: https://github.com/kaz-utashiro/App-week

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/U/UT/UTASHIRO/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Yet another calendar command.  Read script manual for detail.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes LICENSE README.md
%_man1dir/*
%perl_vendor_privlib/A*
%_bindir/*

%changelog
