%define module_name Archive-Raw
# BEGIN SourceDeps(oneline):
BuildRequires: libarchive-devel libsowing-devel perl(Carp.pm) perl(Devel/CheckLib.pm) perl(Dist/Zilla/Plugin/MakeMaker/Awesome.pm) perl(ExtUtils/Constant.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Basename.pm) perl(File/Path.pm) perl(File/Spec.pm) perl(File/Spec/Functions.pm) perl(Getopt/Long.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(Moose.pm) perl(Pod/Coverage/TrustPod.pm) perl(Test/More.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(XSLoader.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.03
Release: alt3
Summary: Perl bindings to the libarchive library
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/J/JA/JACQUESG/%{module_name}-%{version}.tar.gz

%description
libarchive is a multi-format archive and compression
library.  This module provides Perl bindings to the libarchive API.

WARNING: The API of this module is unstable and may change without warning
(any change will be appropriately documented in the changelog).

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.pod LICENSE Changes README
%perl_vendor_archlib/A*
%perl_vendor_autolib/*

%changelog
