%define module_name Archive-Tar-Builder
# BEGIN SourceDeps(oneline):
BuildRequires: libsowing-devel perl(Errno.pm) perl(ExtUtils/MakeMaker.pm) perl(FindBin.pm) perl(IPC/Open3.pm) perl(Symbol.pm) perl(Test/Exception.pm) perl(Test/Simple.pm) perl(XSLoader.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 2.5005
Release: alt3
Summary: Provides a braindead tarball builder thingie
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/X/XA/XAN/%{module_name}-%{version}.tar.gz

%description
Archive::Tar::Builder is meant to quickly and easily generate tarball streams,
and write them to a given file handle.  Though its options are few, its flexible
interface provides for a number of possible uses in many scenarios.

Archive::Tar::Builder supports path inclusions and exclusions, arbitrary file
name length, and the ability to add items from the filesystem into the archive
under an arbitrary name.
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc COPYRIGHT Changes LICENSE README.md
%perl_vendor_archlib/A*
%perl_vendor_autolib/*

%changelog
