%define module_name Arrays-Same
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Exporter/Shiny.pm) perl(ExtUtils/MakeMaker.pm) perl(Test/More.pm) perl(XSLoader.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.002
Release: alt3
Summary: Test if two arrays are identical
Group: Development/Perl
License: perl
URL: https://metacpan.org/release/Arrays-Same

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/T/TO/TOBYINK/%{module_name}-%{version}.tar.gz

%description
This module exports two XS functions which test whether a pair of arrays are
identical. To be considered identical, the arrays must be of equal length, and
contain the same elements in the same order:

The `arrays_same_i' function compares the elements as integers.

The `arrays_same_s' function compares the elements as strings, and is
case-sensitive.

Both functions make the assumption that the arrays are simple lists of
non-reference scalars. They do not support overloading, etc, but dualvars
should work.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes CREDITS LICENSE COPYRIGHT
%perl_vendor_archlib/A*
%perl_vendor_autolib/*

%changelog
