%define module_name AsposeCellsCloud-CellsApi
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(Class/Accessor.pm) perl(Class/Data/Inheritable.pm) perl(Class/Inspector.pm) perl(Data/Dumper.pm) perl(Date/Parse.pm) perl(DateTime.pm) perl(Digest/HMAC_SHA1.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Slurp.pm) perl(HTTP/Headers.pm) perl(HTTP/Request/Common.pm) perl(HTTP/Response.pm) perl(HTTP/Status.pm) perl(JSON.pm) perl(LWP/UserAgent.pm) perl(List/MoreUtils.pm) perl(Log/Any.pm) perl(MIME/Base64.pm) perl(Module/Build.pm) perl(Module/Find.pm) perl(Module/Runtime.pm) perl(Moose/Role.pm) perl(Scalar/Util.pm) perl(Test/Exception.pm) perl(Test/More.pm) perl(URI/Escape.pm) perl(URI/Query.pm) perl(namespace/autoclean.pm) perl(strict.pm) perl(utf8.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 21.6
Release: alt1
Summary: Aspose.Cells Cloud SDK for Perl
Group: Development/Perl
License: mit
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/A/AS/ASPOSE/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
# Aspose.Cells Cloud SDK for Perl

This repository contains Aspose.Cells Cloud SDK for Perl source code. This SDK allows you to work with Aspose.Cells Cloud REST APIs in your Perl applications quickly and easily. 

## How to use the SDK?

The complete source code is available in this repository folder. For more details, please visit our [documentation website](http://www.aspose.com/docs/display/cellscloud/How+to+Setup+Aspose.Cells+Cloud+SDK+for+Perl).

## Quick SDK Tutorial
```javascript

use lib 'lib';
use strict;

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.md docs
%perl_vendor_privlib/A*

%changelog
