%define module_name Astro-FITS-Header
%add_findreq_skiplist %perl_vendor_privlib/Astro/FITS/Header/*.pm
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Astro/FITS/CFITSIO.pm) perl(Module/Build.pm) perl(Starlink/AST.pm) perl(Test/More.pm) perl(base.pm) perl(overload.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 3.08
Release: alt1
Summary: Object-oriented interface to FITS HDUs
Group: Development/Perl
License: gpl
URL: https://github.com/timj/perl-Astro-FITS-Header/

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/G/GS/GSB/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
From summary: %summary

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc TODO README GPL Changes
%perl_vendor_privlib/A*

%changelog
