# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++ perl(Astro/MapProjection.pm) perl(Astro/Nova.pm) perl(Astro/SkyPlot.pm) perl(ExtUtils/MakeMaker.pm) perl(PostScript/Simple.pm) perl(Test/More.pm) perl(XSLoader.pm)
# END SourceDeps(oneline)
%define module_version 0.09
%define module_name Astro-Hipparcos
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.09
Release: alt6
Summary: Perl extension for reading the Hipparcos star catalog
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/S/SM/SMUELLER/%module_name-%module_version.tar.gz
BuildRequires: perl(ExtUtils/XSpp/Cmd.pm)

%description
This is an extension for reading the Hipparcos star catalog.


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes examples
%perl_vendor_archlib/A*
%perl_vendor_autolib/*

%changelog
