%define module_name Attean
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Algorithm/Combinatorics.pm) perl(CPAN.pm) perl(Data/Perl/Role/Collection/Hash.pm) perl(DateTime/Format/W3CDTF.pm) perl(Digest/SHA.pm) perl(Encode.pm) perl(Exporter/Tiny.pm) perl(ExtUtils/CBuilder.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Slurp.pm) perl(HTTP/Message/PSGI.pm) perl(HTTP/Negotiate.pm) perl(HTTP/Request.pm) perl(HTTP/Response.pm) perl(I18N/LangTags.pm) perl(IRI.pm) perl(JSON.pm) perl(LWP/UserAgent.pm) perl(List/MoreUtils.pm) perl(Math/Cartesian/Product.pm) perl(Module/Build.pm) perl(Module/Load/Conditional.pm) perl(Module/Pluggable.pm) perl(Moo.pm) perl(MooX/Log/Any.pm) perl(Net/FTP.pm) perl(Parse/CPAN/Meta.pm) perl(PerlIO/Layers.pm) perl(Regexp/Common.pm) perl(Role/Tiny.pm) perl(Set/Scalar.pm) perl(Sub/Install.pm) perl(Sub/Util.pm) perl(Test/Exception.pm) perl(Test/LWP/UserAgent.pm)
BuildRequires: perl(Test/Modern.pm) perl(Test/Moose.pm) perl(Test/More.pm) perl(Test/Requires.pm) perl(Test/Roo.pm) perl(Text/CSV.pm) perl(Text/Table.pm) perl(Try/Tiny.pm) perl(Type/Tiny.pm) perl(Types/Path/Tiny.pm) perl(Types/URI.pm) perl(Types/UUID.pm) perl(URI/Escape.pm) perl(URI/NamespaceMap.pm) perl(UUID/Tiny.pm) perl(XML/SAX.pm) perl(XML/SAX/Base.pm) perl(XML/Simple.pm) perl(YAML/Tiny.pm) perl(autodie.pm) perl(namespace/clean.pm) perl(parent.pm)
# END SourceDeps(oneline)
%add_findreq_skiplist %perl_vendor_privlib/Attean*
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.030
Release: alt1
Summary: A Semantic Web Framework
Group: Development/Perl
License: perl
URL: https://metacpan.org/release/Attean

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/G/GW/GWILLIAMS/%{module_name}-%{version}.tar.gz
BuildArch: noarch

# fix perl.prov?
Provides: perl(Attean.pm) = %version
Provides: perl(Attean/API/AbbreviatingSerializer.pm)
Provides: perl(Attean/API/TripleSerializer.pm)

%description
Attean provides APIs for parsing, storing, querying, and serializing
Semantic Web (RDF and SPARQL) data.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %EVR

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc CONTRIBUTING README.md Changes
%perl_vendor_privlib/T*
%perl_vendor_privlib/A*

%files scripts
%_bindir/*

%changelog
