# BEGIN SourceDeps(oneline):
BuildRequires: perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(FindBin.pm) perl(List/Util.pm) perl(Moo.pm) perl(Scalar/Util.pm) perl(Test/More.pm) perl(Test/Pod.pm) perl(Try/Tiny.pm) perl(Types/Standard.pm) perl(XSLoader.pm) perl(autodie.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define module_name Audio-TinySoundFont
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.11
Release: alt2
Summary: Interface to TinySoundFont, a "SoundFont2 synthesizer library in a single C/C++ file"
Group: Development/Perl
License: artistic_2
URL: https://github.com/atrodo/Audio-TinySoundFont

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/A/AT/ATRODO/%{module_name}-%{version}.tar.gz

%description
Audio::TinySoundFont is a wrapper around TinySoundFont,
a "SoundFont2 synthesizer library in a single C/C++ file". This allows you to
load a SoundFont file and synthesize samples from it.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE README Changes
%perl_vendor_archlib/A*
%perl_vendor_autolib/*

%changelog
