# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(Test/More.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define upstream_name	 Auth-Yubikey_Decrypter
%define upstream_version 0.07

Name:       perl-%{upstream_name}
Version:    %{upstream_version}
Release:    alt2_10

Summary:	Decrypting the output from the yubikey token
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}/
Source0:	http://search.cpan.org/CPAN/authors/id/M/MA/MASSYN/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(Crypt/Rijndael.pm)

Buildarch:	noarch
Source44: import.info


%description
The Yubikey Decrypter can be used to decrypt the AES encrypted output generated
from the one time password USB generator from Yubico. You need to have the AES
key to perform the decryption. You can obtain it by contacting Yubico, or by
seeding your own AES key to the Yubikey.

%prep

%setup -q -n %{upstream_name}-%{upstream_version}

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%makeinstall_std

%files 
%doc Changes README META.yml
%{perl_vendor_privlib}/Auth/Yubikey_Decrypter.pm

%changelog
