Group: Development/Perl
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(CGI.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-Authen-Captcha
Version:        1.024
Release:        alt2_22
Summary:        Perl extension for creating captchas
License:        GPLv2

URL:            https://metacpan.org/release/Authen-Captcha
Source0:        https://cpan.metacpan.org/authors/id/L/LK/LKUNDRAK/Authen-Captcha-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  coreutils
BuildRequires:  findutils
BuildRequires:  perl-devel
BuildRequires:  rpm-build-perl
BuildRequires:  perl(Carp.pm)
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(File/Basename.pm)
BuildRequires:  perl(File/Spec.pm)
BuildRequires:  perl(GD.pm)
BuildRequires:  perl(strict.pm)
BuildRequires:  perl(String/Random.pm)
BuildRequires:  perl(Test.pm)
BuildRequires:  perl(vars.pm)
BuildRequires:  sed


Source44: import.info

%description
Authen::Captcha provides an object oriented interface to captcha file
creations. Captcha stands for Completely Automated Public Turning test to
tell Computers and Humans Apart.


%prep
%setup -q -n Authen-Captcha-%{version}


%build
sed -i 's/\r//' license.txt
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor
%make_build


%install
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

# %{_fixperms} $RPM_BUILD_ROOT/*


%check
make test


%files
%doc Changes license.txt README
%{perl_vendor_privlib}/*


%changelog
