%define module_name Azure-AD-Auth
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(HTTP/Tiny.pm) perl(IO/Socket/SSL.pm) perl(JSON/MaybeXS.pm) perl(Moo.pm) perl(Test/More.pm) perl(Throwable/Error.pm) perl(Types/Standard.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.03
Release: alt1
Summary: Libraries for authenticating through Azure AD
Group: Development/Perl
License: apache
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/J/JL/JLMARTIN/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This set of modules helps you authenticated with Azure Active Directory. Note that
"Azure Active Directory" is not "Active Directory". Azure Active Directory is an
online authentication service that speaks OAuth2, SAML and other protocols (and 
doesn't speak LDAP, like traditional Active Directory"

This distribution is split into specialized modules for each type of authentication
flow:

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.md LICENSE Changes examples
%perl_vendor_privlib/A*

%changelog
