Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-B-Generate
Version:        1.56
Release:        alt6_13
Summary:        Create your own op trees
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/B-Generate
Source0:        https://cpan.metacpan.org/authors/id/R/RU/RURBAN/B-Generate-%{version}.tar.gz
# Build
BuildRequires:  findutils
BuildRequires:  gcc
BuildRequires:  perl-devel
BuildRequires:  rpm-build-perl
BuildRequires:  perl-devel
BuildRequires:  perl(Config.pm)
BuildRequires:  perl(ExtUtils/CBuilder.pm)
BuildRequires:  perl(ExtUtils/Embed.pm)
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(strict.pm)
# Runtime
BuildRequires:  perl(B.pm)
BuildRequires:  perl(constant.pm)
BuildRequires:  perl(DynaLoader.pm)
BuildRequires:  perl(vars.pm)
BuildRequires:  perl(warnings.pm)
# Tests only
BuildRequires:  perl(B/Concise.pm)
BuildRequires:  perl(B/Terse.pm)
BuildRequires:  perl(Test/More.pm)


Source44: import.info

%description
The B module allows you to examine the Perl op tree at run-time, in Perl
space; it's the basis of the Perl compiler. But what it doesn't let you do
is manipulate that op tree: it won't let you create new ops, or modify old
ones. Now you can.

%prep
%setup -q -n B-Generate-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}" NO_PACKLIST=1 --skipdeps
%make_build

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name '*.bs' -size 0 -delete
# %{_fixperms} %{buildroot}/*

%check
make test

%files
%doc --no-dereference Artistic Copying
%doc Changes README
%{perl_vendor_archlib}/auto/*
%{perl_vendor_archlib}/B*

%changelog
