%define module_name Babble
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Filter/Util/Call.pm) perl(Module/Build/Tiny.pm) perl(Module/Runtime.pm) perl(Moo.pm) perl(Mu.pm) perl(PPR.pm) perl(experimental.pm) perl(re.pm) perl(strictures.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.090007
Release: alt1
Summary: RSS Feed Aggregator and Blog engine
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/M/MS/MSTROUT/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
`Babble' is a system to collect, process and display RSS feeds. Designed in
a straightforward and extensible manner, `Babble' provides near unlimited
flexibility. Even though it provides lots of functionality, the basic usage
is pretty simple, and only a few lines.

However, would one want to add new feed item processor functions, that is.
also trivial to accomplish.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %{?epoch:%epoch:}%name = %version-%release

%description scripts
scripts for %module_name


%prep
%setup -q -n %{module_name}-%{version}
rm -f t/0-signature.t

%build
%perl_vendor_build --install_path bindoc=%_man1dir

%install
%perl_vendor_install

%files
%doc LICENSE Changes README
%perl_vendor_privlib/B*
%perl_vendor_privlib/A*

%files scripts
%_man1dir/*
%_bindir/*

%changelog
