%define module_name Bencher-Scenario-Serializers
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Bencher/Backend.pm) perl(Cpanel/JSON/XS.pm) perl(Data/MessagePack.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(JSON/Create.pm) perl(JSON/Decode/Marpa.pm) perl(JSON/Decode/Regexp.pm) perl(JSON/MaybeXS.pm) perl(JSON/PP.pm) perl(JSON/Parse.pm) perl(JSON/Tiny.pm) perl(JSON/XS.pm) perl(MarpaX/ESLIF/ECMA404.pm) perl(Pegex/JSON.pm) perl(Pod/Coverage/TrustPod.pm) perl(Sereal.pm) perl(Storable.pm) perl(Test/More.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(YAML/Old.pm) perl(YAML/Syck.pm) perl(YAML/XS.pm) perl(strict.pm) perl(utf8.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.15
Release: alt1
Summary: Benchmark Perl data serialization modules
Group: Development/Perl
License: perl
URL: https://metacpan.org/release/Bencher-Scenario-Serializers

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PE/PERLANCAR/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
From summary: %summary

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes LICENSE
%perl_vendor_privlib/B*

%changelog
