# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Exporter.pm) perl(base.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define upstream_name    BerkeleyDB-Manager
%define upstream_version 0.12

Name:       perl-%{upstream_name}
Version:    %{upstream_version}
Release:    alt3_9

Summary:    General purpose L<BerkeleyDB> wrapper
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/BerkeleyDB/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(BerkeleyDB.pm)
BuildRequires: perl(Data/Stream/Bulk.pm)
BuildRequires: perl(Moose.pm)
BuildRequires: perl(Path/Class.pm)
BuildRequires: perl(Test/Exception.pm)
BuildRequires: perl(Test/TempDir.pm)
BuildRequires: perl(Test/use/ok.pm)
BuildRequires: perl(namespace/clean.pm)
BuildArch: noarch
Source44: import.info


%description
This object provides a convenience wrapper for the BerkeleyDB manpage

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
%makeinstall_std

%files
%doc Changes META.yml
%perl_vendor_privlib/*

%changelog
