# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Pod/Coverage/TrustPod.pm) perl(Test/Mojibake.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define upstream_name    Bio-Variation
%define upstream_version 1.7.5

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %{upstream_version}
Release:    alt1_2

Summary:    Module used by Bio-Cluster
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://github.com/bioperl/Bio-Variation
# from https://github.com/bioperl/Bio-Variation/archive/master.zip:
Source0:    %{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Bio/DBLinkContainerI.pm)
BuildRequires: perl(Bio/PrimarySeq.pm)
BuildRequires: perl(Bio/Root/IO.pm)
BuildRequires: perl(Bio/Root/Root.pm)
BuildRequires: perl(Bio/Root/Test.pm)
BuildRequires: perl(Bio/SeqFeature/Generic.pm)
BuildRequires: perl(Bio/SeqIO.pm)
BuildRequires: perl(Bio/Tools/CodonTable.pm)
BuildRequires: perl(ExtUtils/MakeMaker.pm)
BuildRequires: perl(File/Spec.pm)
BuildRequires: perl(Getopt/Long.pm)
BuildRequires: perl(IO/Handle.pm)
BuildRequires: perl(IO/String.pm)
BuildRequires: perl(IPC/Open3.pm)
BuildRequires: perl(Test/More.pm)
BuildRequires: perl(Text/Wrap.pm)
BuildRequires: perl(XML/Twig.pm)
BuildRequires: perl(XML/Writer.pm)
BuildRequires: perl(base.pm)
BuildRequires: perl(constant.pm)
BuildRequires: perl(lib.pm)
BuildRequires: perl(strict.pm)
BuildRequires: perl(utf8.pm)
BuildRequires: perl(vars.pm)
BuildRequires: perl(warnings.pm)
BuildArch:  noarch
Source44: import.info

%description
Module used by Bio-Cluster

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build

%install
mkdir -p %buildroot%perl_vendor_privlib
cp -a lib/Bio/ %buildroot%perl_vendor_privlib

%files
%doc Changes LICENSE META.json META.yml
%perl_vendor_privlib/Bio/Variation
%perl_vendor_privlib/Bio/Variation.pm

%changelog
