Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-Bisect-Perl-UsingGit
Version:        0.33
Release:        alt2_27
Summary:        Help you to bisect Perl
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Bisect-Perl-UsingGit
Source0:        https://cpan.metacpan.org/authors/id/L/LB/LBROCARD/Bisect-Perl-UsingGit-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  rpm-build-perl
BuildRequires:  perl(Capture/Tiny.pm)
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(Moose.pm)
BuildRequires:  perl(MooseX/Getopt.pm)
BuildRequires:  perl(MooseX/Types/Path/Class.pm)
# Tests only:
BuildRequires:  perl(Test/More.pm)
# Optional tests:
BuildRequires:  perl(Test/Pod.pm)
Requires:       git
Requires:       perl(MooseX/Getopt.pm)
Source44: import.info

%description
Bisect::Perl::UsingGit is a module which holds the code which helps you to
bisect Perl. See bisect_perl_using_git for practical examples.

%prep
%setup -q -n Bisect-Perl-UsingGit-%{version}

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;
# %{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc CHANGES
%{_bindir}/*
%{perl_vendor_privlib}/*
%{_mandir}/man1/*

%changelog
