%define module_name Boxer
# BEGIN SourceDeps(oneline):
BuildRequires: perl(App/Cmd.pm) perl(Class/XSAccessor.pm) perl(English.pm) perl(ExtUtils/MakeMaker.pm) perl(File/BaseDir.pm) perl(File/ShareDir.pm) perl(File/ShareDir/Install.pm) perl(File/Spec.pm) perl(File/Which.pm) perl(Hash/Merge.pm) perl(IPC/System/Simple.pm) perl(List/MoreUtils.pm) perl(Log/Any.pm) perl(Log/Any/Adapter.pm) perl(Log/Any/Adapter/Screen.pm) perl(Log/Any/Test.pm) perl(Module/Find.pm) perl(Module/Load/Conditional.pm) perl(Module/Runtime.pm) perl(Moo.pm) perl(MooX/Role/Logger.pm) perl(MooX/StrictConstructor.pm) perl(Path/Tiny.pm) perl(Role/Commons.pm) perl(Template/Tiny.pm) perl(Test/CleanNamespaces.pm) perl(Test/Compile.pm) perl(Test/Deep.pm) perl(Test/Fatal.pm) perl(Test/File/Contents.pm) perl(Test/Fixme.pm) perl(Test/MinimumVersion.pm) perl(Test/More.pm) perl(Test/Pod.pm) perl(Test/Synopsis.pm)
BuildRequires: perl(Try/Tiny.pm) perl(Types/Path/Tiny.pm) perl(Types/Standard.pm) perl(YAML/XS.pm) perl(autodie.pm) perl(match/simple.pm) perl(namespace/autoclean.pm) perl(strictures.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.4.2
Release: alt1
Summary: boxer command line utils
Group: Development/Perl
License: perl
URL: https://wiki.debian.org/Boxer

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/J/JO/JONASS/%{module_name}-v%{version}.tar.gz
BuildArch: noarch

%description
From summary: %summary

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-v%{version}

%build
%perl_vendor_build INSTALLMAN1DIR=%_man1dir

%install
%perl_vendor_install

%files
%doc README COPYRIGHT CREDITS TODO LICENSE Changes doc examples
%perl_vendor_privlib/B*
%perl_vendor_privlib/auto/*

%files scripts
%_man1dir/*
%_bindir/*

%changelog
