%define module_name Brick
%set_perl_req_method relaxed
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(File/MMagic.pm) perl(File/Spec/Functions.pm) perl(MIME/Types.pm) perl(Storable.pm) perl(Test/Data.pm) perl(Test/More.pm) perl(Test/Output.pm) perl(Time/Moment.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.901
Release: alt1
Summary: Complex business rule data validation
Group: Development/Perl
License: artistic_2
URL: https://github.com/briandfoy/brick

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/B/BD/BDFOY/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
From summary: %summary

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc CONTRIBUTING.md Changes README.pod LICENSE examples
%perl_vendor_privlib/B*

%changelog
