%define module_name Business-Fixflo
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(DateTime/Tiny.pm) perl(ExtUtils/MakeMaker.pm) perl(JSON.pm) perl(LWP/Protocol/https.pm) perl(LWP/UserAgent.pm) perl(MIME/Base64.pm) perl(Mojo/JSON.pm) perl(Mojolicious/Lite.pm) perl(Moo.pm) perl(Readonly.pm) perl(Test/Deep.pm) perl(Test/Exception.pm) perl(Test/MockObject.pm) perl(Test/Most.pm) perl(Throwable.pm) perl(Try/Tiny.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.43
Release: alt1
Summary: Perl library for interacting with the Fixflo API
Group: Development/Perl
License: perl
URL: https://metacpan.org/module/Business::Fixflo

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/L/LE/LEEJO/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
A role for a fixflo version information.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.md README.pod Changes
%perl_vendor_privlib/B*

%changelog
