%define module_name Business-ID-POM
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Business/ID/NPWP.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(Log/ger.pm) perl(Pod/Coverage/TrustPod.pm) perl(Test/More.pm) perl(Test/Perl/Critic.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.003
Release: alt1
Summary: Parse food/drug registration code published by the Indonesian National Agency of Drug and Food Cont...
Group: Development/Perl
License: perl
URL: https://metacpan.org/release/Business-ID-POM

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PE/PERLANCAR/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This module can be used to validate food/drug registration codes published by
the Indonesian National Agency of Drug and Food Control (BPOM, Badan Pengawas
Obat dan Makanan). These codes include:

 MD, ML - food
 SI, SD - health supplements
 NA, NB, NC, ND, NE - cosmetics
 TR, TI - traditional medicine
 D, G - pharmaceutical products
 FF - phytopharmaceutical products

Not yet included BPOM codes:

 CA, CD, CL - cosmetics?
 HT - standardized herbal (herbal terstandar)

Related codes:

SNI

P-IRT

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README LICENSE
%perl_vendor_privlib/B*

%changelog
