# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(HTTP/Tiny.pm) perl(JSON/PP.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define module_name Business-Stripe-WebCheckout
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.0
Release: alt1
Summary: Simple way to implement payments using Stripe hosted checkout
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/B/BO/BOD/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
A simple to use interface to the Stripe payment gateway utilising the Stripe hosted checkout.  The only dependencies are the core modules the HTTP::Tiny manpage and the JSON::PP manpage.

the Business::Stripe::WebCheckout manpage has a Trolley into which products are loaded.  Once the Trolley is full of the product(s) to be paid for, this is passed to the Stripe hosted checkout either using Javascript provided by Stripe (see https://stripe.com/docs/payments/accept-a-payment?integration=checkout), Javascript provided in this document or the checkout utility method that allows a server side script to send the user to Stripe invisibly. 

At present the Business::Stripe::WebCheckout manpage only handles simple, one-off payments.  Manipulation of customers, handling subscriptions and user hosted checkout is not supported.  However, this implementation makes payment for a single item or group of items simple to implement.


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE Changes README
%perl_vendor_privlib/B*

%changelog
