# BEGIN SourceDeps(oneline):
BuildRequires: perl(Exporter/Lite.pm) perl(ExtUtils/MakeMaker.pm) perl(Test/More.pm) perl(XSLoader.pm)
# END SourceDeps(oneline)
%define module_name Bytes-Random-XS
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.02
Release: alt4
Summary: Perl extension to generate random bytes.
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/X/XE/XENU/%{module_name}-%{version}.tar.gz

%description
This module provides the `random_bytes' function which allows you to
generate specified number of random bytes. It uses exactly the same
algorithm as the Bytes::Random manpage, but it's implemented in XS, so it's
much faster (see the BENCHMARKS entry elsewhere in this document section).
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes
%perl_vendor_archlib/B*
%perl_vendor_autolib/*

%changelog
