# BEGIN SourceDeps(oneline):
BuildRequires: perl(CAD/Format/STL.pm) perl(Carp.pm) perl(Class/Accessor/Classy.pm) perl(Config.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(Math/Vector/Real.pm) perl(Test/Exception.pm) perl(Test/More.pm) perl(constant.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define module_name CAD-Mesh3D
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.003
Release: alt1
Summary: Create and Manipulate 3D Vertexes and Meshes and output for 3D printing
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PE/PETERCJ/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
A framework to create and manipulate 3D vertexes and meshes, suitable for generating STL files
(or other similar formats) for 3D printing.

A Mesh is the container for the surface of the shape or object being generated.  The surface is broken down
into locally-flat pieces known as Facets.  Each Facet is a triangle made from three points, called
Vertexes (also spelled as vertices).  Each Vertex is made up of three x, y, and z coordinates, which
are just floating-point values to represent the position in 3D space.


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc CHANGES LICENSE README.md
%perl_vendor_privlib/C*

%changelog
