Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Mac/PropertyList.pm) perl(YAML/Syck.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-CDDB
Version:        1.222
Release:        alt2_17
Summary:        CDDB Perl module
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/CDDB
Source0:        https://cpan.metacpan.org/authors/id/R/RC/RCAPUTO/CDDB-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  coreutils
BuildRequires:  findutils
BuildRequires:  perl-devel
BuildRequires:  rpm-build-perl
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(strict.pm)
BuildRequires:  perl(warnings.pm)
%{?_with_network_tests:
# Run-time
BuildRequires:  perl(Carp.pm)
BuildRequires:  perl(Encode.pm)
BuildRequires:  perl(HTTP/Request.pm)
BuildRequires:  perl(IO/Socket.pm)
BuildRequires:  perl(LWP.pm)
BuildRequires:  perl(Mail/Header.pm)
BuildRequires:  perl(Mail/Internet.pm)
BuildRequires:  perl(MIME/QuotedPrint.pm)
BuildRequires:  perl(Sys/Hostname.pm)
BuildRequires:  perl(vars.pm)
# Tests
BuildRequires:  perl(Scalar/Util.pm)
BuildRequires:  perl(Test/More.pm)
}
Requires:       perl(Encode.pm)


Source44: import.info

%description
CDDB protocol (cddbp) servers provide compact disc information for
programs that need it. This allows such programs to display disc and track
titles automatically, and it provides extended information like liner
notes and lyrics.

%prep
%setup -q -n CDDB-%{version}

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

# %{_fixperms} $RPM_BUILD_ROOT/*

%check
%{?_with_network_tests: make test }

%files
%doc --no-dereference LICENSE
%doc CHANGES HISTORY README eg
%{perl_vendor_privlib}/*

%changelog
