%define module_name CGI-Alternatives
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Catalyst.pm) perl(Catalyst/Runtime.pm) perl(Catalyst/ScriptRunner.pm) perl(ExtUtils/MakeMaker.pm) perl(Moose.pm) perl(Test/More.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(namespace/autoclean.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.18
Release: alt1
Summary: Documentation for alternative solutions to CGI.pm
Group: Development/Perl
License: perl
URL: https://metacpan.org/module/CGI::Alternatives

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/L/LE/LEEJO/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This module doesn't do anything, it exists solely to document alternatives
to the the CGI manpage.pm module.
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.md Changes examples
%perl_vendor_privlib/C*

%changelog
