Group: Development/Perl
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Authen/Simple/Adapter.pm) perl(CGI/Application/Plugin/DevPopup.pm) perl(Encode.pm) perl(Params/Validate.pm) perl(Test/CheckManifest.pm) perl(Test/Prereq/Build.pm) perl(Test/Spelling.pm) perl-podlators
# END SourceDeps(oneline)
BuildRequires: perl-HTML-Template
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-CGI-Application-Plugin-Authentication
Version:        0.23
Release:        alt2_11
Summary:        Authentication framework for CGI::Application
License:        GPL+ or Artistic

URL:            https://metacpan.org/release/CGI-Application-Plugin-Authentication
Source0:        https://cpan.metacpan.org/authors/id/W/WE/WESM/CGI-Application-Plugin-Authentication-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  findutils
BuildRequires:  coreutils
BuildRequires:  perl-devel
BuildRequires:  rpm-build-perl
BuildRequires:  perl(Apache/Htpasswd.pm)
BuildRequires:  perl(Attribute/Handlers.pm)
# BuildRequires:  perl(Authen::Simple)
BuildRequires:  perl(base.pm)
BuildRequires:  perl(Carp.pm)
BuildRequires:  perl(CGI.pm)
BuildRequires:  perl(CGI/Application.pm)
BuildRequires:  perl(CGI/Application/Plugin/ActionDispatch.pm)
BuildRequires:  perl(CGI/Application/Plugin/AutoRunmode.pm)
BuildRequires:  perl(CGI/Application/Plugin/Session.pm)
BuildRequires:  perl(CGI/Cookie.pm)
BuildRequires:  perl(CGI/Util.pm)
BuildRequires:  perl(Class/ISA.pm)
BuildRequires:  perl(Color/Calc.pm)
BuildRequires:  perl(Crypt/PasswdMD5.pm)
BuildRequires:  perl(DBD/SQLite.pm)
BuildRequires:  perl(Digest/SHA.pm)
BuildRequires:  perl(English.pm)
BuildRequires:  perl(lib.pm)
BuildRequires:  perl(MIME/Base64.pm)
BuildRequires:  perl(Module/Build.pm)
BuildRequires:  perl(overload.pm)
BuildRequires:  perl(Readonly.pm)
BuildRequires:  perl(Scalar/Util.pm)
BuildRequires:  perl(strict.pm)
BuildRequires:  perl(Test/ConsistentVersion.pm)
BuildRequires:  perl(Test/Exception.pm)
BuildRequires:  perl(Test/MockObject.pm)
BuildRequires:  perl(Test/More.pm)
BuildRequires:  perl(Test/NoWarnings.pm)
BuildRequires:  perl(Test/Pod.pm)
BuildRequires:  perl(Test/Regression.pm)
BuildRequires:  perl(Test/Taint.pm)
BuildRequires:  perl(Test/Warn.pm)
BuildRequires:  perl(Test/Without/Module.pm)
BuildRequires:  perl(UNIVERSAL/require.pm)
BuildRequires:  perl(warnings.pm)
Requires:       perl(overload.pm)


Source44: import.info

%description
CGI::Application::Plugin::Authentication adds the ability to
authenticate users in your CGI::Application modules. It imports one
method called 'authen' into your CGI::Application module. Through the
'authen' method you can call all the methods of the
CGI::Application::Plugin::Authentication plugin.

%prep
%setup -q -n CGI-Application-Plugin-Authentication-%{version}

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
%make_build

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
# %{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc Changes README example
%{perl_vendor_privlib}/*

%changelog
