Group: Development/Perl
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(CGI.pm) perl(DBI/ProfileData.pm) perl(DBI/ProfileDumper.pm) perl(GD/Graph/bars.pm) perl(HTML/BarGraph.pm) perl(List/Util.pm) perl(MIME/Base64.pm) perl(SVG/TT/Graph/Bar.pm) perl(Symbol.pm) perl(base.pm) perl-podlators
# END SourceDeps(oneline)
BuildRequires: perl-HTML-Template
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-CGI-Application-Plugin-DBIProfile
Version:        0.07
Release:        alt2_32
Summary:        DBI profiling plugin
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/CGI-Application-Plugin-DBIProfile
Source0:        https://cpan.metacpan.org/authors/id/U/UN/UNRTST/CGI-Application-Plugin-DBIProfile-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  rpm-build-perl
BuildRequires:  perl(CGI/Application.pm)
BuildRequires:  perl(Data/JavaScript.pm)
BuildRequires:  perl(DBI.pm)
BuildRequires:  perl(HTML/Template.pm)
BuildRequires:  perl(IO/Scalar.pm)
BuildRequires:  perl(Module/Build.pm)
BuildRequires:  perl(Test/More.pm)
BuildRequires:  perl(Test/Pod.pm)


Source44: import.info

%description
CGI::Application::Plugin::DBIProfile provides popup (using CAP::DevPopup if
available) holding DBI Profile information (see DBI::Profile,
DBI::ProfileDumper). It will output both graphed output and a
DBI::ProfileDumper report.

%prep
%setup -q -n CGI-Application-Plugin-DBIProfile-%{version}

%build
/usr/bin/perl Build.PL installdirs=vendor
./Build

%install
./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

# %{_fixperms} $RPM_BUILD_ROOT/*

%check
./Build test

%files
%doc Changes README
%{perl_vendor_privlib}/*

%changelog
