Group: Development/Perl
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Exporter.pm) perl(Time/HiRes.pm) perl(base.pm) perl-podlators
# END SourceDeps(oneline)
BuildRequires: perl-HTML-Template
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-CGI-Application-Plugin-DevPopup
Version:        1.08
Release:        alt2_24
Summary:        Runtime cgiapp info in a popup window
License:        GPL+ or Artistic

URL:            https://metacpan.org/release/CGI-Application-Plugin-DevPopup
Source0:        https://cpan.metacpan.org/authors/id/R/RH/RHESA/CGI-Application-Plugin-DevPopup-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  rpm-build-perl
BuildRequires:  perl(CGI.pm)
BuildRequires:  perl(CGI/Application.pm)
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(HTML/Template.pm)
BuildRequires:  perl(IO/Scalar.pm)
BuildRequires:  perl(Log/Dispatch/Handle.pm)
BuildRequires:  perl(Test/More.pm)
BuildRequires:  perl(Test/NoWarnings.pm)
BuildRequires:  perl(Test/Pod.pm)


Source44: import.info

%description
This module provides a plugin framework for displaying runtime information
about your CGI::Application app in a popup window. A sample Timing plugin
is provided to show how it works.

%prep
%setup -q -n CGI-Application-Plugin-DevPopup-%{version}

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

# %{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc Changes README
%{perl_vendor_privlib}/*

%changelog
