Group: Development/Perl
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(CPAN.pm) perl(Cwd.pm) perl(Exporter.pm) perl(File/Spec.pm) perl(base.pm) perl-podlators
# END SourceDeps(oneline)
BuildRequires: perl-HTML-Template
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-CGI-Application-Plugin-ErrorPage
Version:        1.21
Release:        alt2_36
Summary:        Simple error page plugin for CGI::Application
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/CGI-Application-Plugin-ErrorPage
Source0:        https://cpan.metacpan.org/authors/id/M/MA/MARKSTOS/CGI-Application-Plugin-ErrorPage-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  rpm-build-perl
BuildRequires:  perl(CGI.pm)
BuildRequires:  perl(CGI/Application.pm)
BuildRequires:  perl(Module/Build.pm)
BuildRequires:  perl(Params/Validate.pm)
BuildRequires:  perl(Test/More.pm)
BuildRequires:  perl(Test/Pod.pm)


Source44: import.info

%description
This plugin provides a shortcut for the common need of returning a simple
error message to the user.

%prep
%setup -q -n CGI-Application-Plugin-ErrorPage-%{version}

%build
/usr/bin/perl Build.PL installdirs=vendor
./Build

%install
./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

# %{_fixperms} $RPM_BUILD_ROOT/*

%check
./Build test

%files
%doc Changes LICENSE README
%{perl_vendor_privlib}/*

%changelog
