Group: Development/Perl
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Digest/SHA1.pm) perl-podlators
# END SourceDeps(oneline)
BuildRequires: perl-HTML-Template
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-CGI-Application-Plugin-LinkIntegrity
Version:        0.06
Release:        alt2_31
Summary:        Make tamper-resistant links in CGI::Application
License:        GPL+ or Artistic

URL:            https://metacpan.org/release/CGI-Application-Plugin-LinkIntegrity
Source0:        https://cpan.metacpan.org/authors/id/M/MG/MGRAHAM/CGI-Application-Plugin-LinkIntegrity-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  rpm-build-perl
BuildRequires:  perl(CGI.pm)
BuildRequires:  perl(CGI/Application.pm)
BuildRequires:  perl(Digest/HMAC.pm)
BuildRequires:  perl(Digest/MD5.pm)
BuildRequires:  perl(Module/Build.pm)
BuildRequires:  perl(Test/More.pm)
BuildRequires:  perl(Test/Pod.pm)
BuildRequires:  perl(Test/Pod/Coverage.pm)
BuildRequires:  perl(URI.pm)
BuildRequires:  perl(URI/Escape.pm)
BuildRequires:  perl(URI/QueryParam.pm)


Source44: import.info

%description
CGI::Application::Plugin::LinkIntegrity lets you create tamper-resistant
links within your CGI::Application project. When you create an URL with
link, a check-sum is added to the URL. The check-sum is a (cryptographic) hash
of the URL, plus a secret string known only to the server.

%prep
%setup -q -n CGI-Application-Plugin-LinkIntegrity-%{version}

%build
/usr/bin/perl Build.PL installdirs=vendor
./Build

%install
./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

# %{_fixperms} $RPM_BUILD_ROOT/*

%check
./Build test

%files
%doc Changes README
%{perl_vendor_privlib}/*

%changelog
