Group: Development/Perl
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Exporter.pm) perl(FileHandle.pm) perl(base.pm) perl-podlators
# END SourceDeps(oneline)
BuildRequires: perl-HTML-Template
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-CGI-Application-Plugin-Stream
Version:        2.12
Release:        alt2_19
Summary:        CGI::Application Plugin for streaming files
License:        GPL+ or Artistic

URL:            https://metacpan.org/release/CGI-Application-Plugin-Stream
Source0:        https://cpan.metacpan.org/authors/id/P/PU/PURDY/CGI-Application-Plugin-Stream-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  rpm-build-perl
BuildRequires:  perl(CGI/Application.pm)
BuildRequires:  perl(File/MMagic.pm)
BuildRequires:  perl(Module/Build.pm)
BuildRequires:  perl(CGI.pm)
BuildRequires:  perl(Test/More.pm)
BuildRequires:  perl(Test/Pod.pm)


Source44: import.info

%description
This plugin provides a way to stream a file back to the user, which is
useful if you are creating a PDF or Spreadsheet document dynamically to
deliver to the user.

%prep
%setup -q -n CGI-Application-Plugin-Stream-%{version}

%build
/usr/bin/perl Build.PL installdirs=vendor
./Build

%install
./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

# %{_fixperms} $RPM_BUILD_ROOT/*

%check
./Build test

%files
%doc Changes README
%{perl_vendor_privlib}/*

%changelog
