Group: Development/Perl
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Exporter.pm) perl(UNIVERSAL.pm) perl-podlators
# END SourceDeps(oneline)
BuildRequires: perl-HTML-Template
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-CGI-Application-Plugin-SuperForm
Version:        0.5
Release:        alt2_32
Summary:        Create sticky forms with HTML::SuperForm
License:        GPL+ or Artistic

URL:            https://metacpan.org/release/CGI-Application-Plugin-SuperForm
Source0:        https://cpan.metacpan.org/authors/id/V/VA/VANAMBURG/CGI-Application-Plugin-SuperForm-%{version}.tar.gz
# Fix using of UNIVERSAL for Perl 5.22 (RT#97686)
Patch1:         CGI-Application-Plugin-SuperForm-0.5-RT-97686-Fix-using-of-UNIVERSAL.patch

BuildArch:      noarch
BuildRequires:  rpm-build-perl
BuildRequires:  perl(CGI/Application.pm)
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(HTML/SuperForm.pm)
BuildRequires:  perl(CGI.pm)
BuildRequires:  perl(Test/More.pm)
BuildRequires:  perl(Test/Pod.pm)


Source44: import.info

%description
Create sticky HTML forms in CGI::Application run modes using HTML::SuperForm.

%prep
%setup -q -n CGI-Application-Plugin-SuperForm-%{version}
%patch1 -p1

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

# %{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc Changes EXAMPLES README
%{perl_vendor_privlib}/*

%changelog
