Group: Development/Perl
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(CGI.pm) perl(Class/ISA.pm) perl(Data/Dumper.pm) perl(Exporter.pm) perl(File/Find.pm) perl(File/Spec/Functions.pm) perl(Scalar/Util.pm) perl(base.pm) perl-podlators
# END SourceDeps(oneline)
BuildRequires: perl-HTML-Template
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-CGI-Application-Plugin-TT
Version:        1.05
Release:        alt2_32
Summary:        Add Template Toolkit support to CGI::Application
License:        GPL+ or Artistic

URL:            https://metacpan.org/release/CGI-Application-Plugin-TT
Source0:        https://cpan.metacpan.org/authors/id/C/CE/CEESHEK/CGI-Application-Plugin-TT-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  rpm-build-perl
BuildRequires:  perl(CGI/Application.pm)
BuildRequires:  perl(Module/Build.pm)
BuildRequires:  perl(Template.pm)
BuildRequires:  perl(CGI/Application/Plugin/DevPopup.pm)
BuildRequires:  perl(Test/More.pm)
BuildRequires:  perl(Test/Pod.pm)


Source44: import.info

%description
CGI::Application::Plugin::TT adds support for the popular Template Toolkit
engine to your CGI::Application modules by providing several helper methods
that allow you to process template files from within your runmodes.

%prep
%setup -q -n CGI-Application-Plugin-TT-%{version}

%build
/usr/bin/perl Build.PL installdirs=vendor
./Build

%install
./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

# %{_fixperms} $RPM_BUILD_ROOT/*

%check
./Build test

%files
%doc Changes README
%{perl_vendor_privlib}/*

%changelog
