Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(AutoLoader.pm) perl(CGI/Application/Plugin/Forward.pm) perl(Exporter.pm) perl(base.pm) perl-podlators
# END SourceDeps(oneline)
BuildRequires: perl-HTML-Template
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-CGI-Application-Plugin-ValidateRM
Version:        2.5
Release:        alt2_24
Summary:        Help validate CGI::Application run modes using Data::FormValidator
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/CGI-Application-Plugin-ValidateRM
Source0:        https://cpan.metacpan.org/authors/id/F/FA/FANY/CGI-Application-Plugin-ValidateRM-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  rpm-build-perl
BuildRequires:  perl(CGI.pm)
BuildRequires:  perl(CGI/Application.pm)
BuildRequires:  perl(Data/FormValidator.pm)
BuildRequires:  perl(HTML/FillInForm.pm)
BuildRequires:  perl(HTML/Parser.pm)
BuildRequires:  perl(Module/Build.pm)
BuildRequires:  perl(Test/More.pm)
BuildRequires:  perl(Test/Pod.pm)


Source44: import.info

%description
CGI::Application::Plugin::ValidateRM helps to validate web forms when using
the CGI::Application framework and the Data::FormValidator module.

%prep
%setup -q -n CGI-Application-Plugin-ValidateRM-%{version}
chmod 644 Changes

%build
/usr/bin/perl Build.PL installdirs=vendor
./Build

%install
./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

# %{_fixperms} $RPM_BUILD_ROOT/*
chmod 0644 $RPM_BUILD_ROOT/%{perl_vendor_privlib}/CGI/Application/Plugin/ValidateRM.pm

%check
./Build test

%files
%doc Changes README
%{perl_vendor_privlib}/*

%changelog
