Group: Development/Perl
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-podlators
# END SourceDeps(oneline)
BuildRequires: perl-HTML-Template
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-CGI-Application-Server
Version:        0.063
Release:        alt2_24
Summary:        Simple HTTP server for developing with CGI::Application
License:        GPL+ or Artistic

URL:            https://metacpan.org/release/CGI-Application-Server
Source0:        https://cpan.metacpan.org/authors/id/R/RJ/RJBS/CGI-Application-Server-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  rpm-build-perl
BuildRequires:  perl-devel
BuildRequires:  perl(base.pm)
BuildRequires:  perl(Carp.pm)
BuildRequires:  perl(CGI.pm)
BuildRequires:  perl(CGI/Application.pm)
BuildRequires:  perl(CGI/Application/Dispatch.pm)
BuildRequires:  perl(CGI/Application/Plugin/Redirect.pm)
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(File/Find.pm)
BuildRequires:  perl(File/Temp.pm)
BuildRequires:  perl(HTTP/Response.pm)
BuildRequires:  perl(HTTP/Server/Simple.pm)
BuildRequires:  perl(HTTP/Server/Simple/CGI.pm)
BuildRequires:  perl(HTTP/Server/Simple/Static.pm)
BuildRequires:  perl(HTTP/Status.pm)
BuildRequires:  perl(lib.pm)
BuildRequires:  perl(Scalar/Util.pm)
BuildRequires:  perl(strict.pm)
BuildRequires:  perl(Test/Exception.pm)
BuildRequires:  perl(Test/HTTP/Server/Simple.pm)
BuildRequires:  perl(Test/More.pm)
BuildRequires:  perl(Test/Pod.pm)
BuildRequires:  perl(Test/WWW/Mechanize.pm)
BuildRequires:  perl(warnings.pm)


Source44: import.info

%description
This is a simple HTTP server for for use during development with
CGI::Application. At this moment, it serves our needs in a very basic way.
The plan is to release early and release often, and add features when we
need them. That said, we welcome any and all patches, tests and feature
requests (the ones with which are accompanied by failing tests will get
priority).

%prep
%setup -q -n CGI-Application-Server-%{version}

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
%make_build

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
# %{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc --no-dereference LICENSE
%doc Changes README
%{perl_vendor_privlib}/*

%changelog
