%define module_name CGI-Info
# BEGIN SourceDeps(oneline):
BuildRequires: perl(CGI/Untaint.pm) perl(CHI.pm) perl(Carp.pm) perl(Class/Autouse.pm) perl(Cwd.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Basename.pm) perl(File/Spec.pm) perl(HTTP/BrowserDetect.pm) perl(IPC/System/Simple.pm) perl(JSON.pm) perl(JSON/PP.pm) perl(LWP/UserAgent.pm) perl(List/MoreUtils.pm) perl(Log/Any.pm) perl(Socket.pm) perl(String/Clean/XSS.pm) perl(String/EscapeCage.pm) perl(Sub/Private.pm) perl(Sys/Hostname.pm) perl(Sys/Path.pm) perl(Test/Carp.pm) perl(Test/CleanNamespaces.pm) perl(Test/Distribution.pm) perl(Test/EOF.pm) perl(Test/EOL.pm) perl(Test/Exception.pm) perl(Test/Kwalitee.pm) perl(Test/MinimumVersion.pm) perl(Test/Most.pm) perl(Test/NoWarnings.pm) perl(Test/Perl/Metrics/Simple.pm) perl(Test/Requires.pm) perl(Test/Script.pm) perl(Test/Warn.pm) perl(Tie/Filehandle/Preempt/Stdin.pm) perl(URI/Heuristic.pm)
BuildRequires: perl(autodie.pm) perl(namespace/clean.pm) perl(warnings/unused.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.71
Release: alt1
Summary: Information about the CGI environment
Group: Development/Perl
License: open_source
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/N/NH/NHORNE/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
All too often Perl programs have information such as the script's name
hard-coded into their source.
Generally speaking, hard-coding is bad style since it can make programs
difficult to read and it reduces readability and portability.
CGI::Info attempts to remove that.

Furthermore, to aid script debugging, CGI::Info attempts to do sensible
things when you're not running the program in a CGI environment.

    use CGI::Info;
    my $info = CGI::Info->new();

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc ignore.txt README README.md Changes
%perl_vendor_privlib/C*

%changelog
