# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(base.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define upstream_name    CGI-Panel
%define upstream_version 0.97

Name:       perl-%{upstream_name}
Version:    %{upstream_version}
Release:    alt3_9

Summary:	CGI-Panel module for perl 
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	ftp://ftp.perl.org/pub/CPAN/modules/by-module/CGI/%{upstream_name}-%{upstream_version}.tar.bz2

BuildRequires:  perl(Apache/Session.pm)
BuildRequires:  perl(CGI.pm)
BuildArch:	noarch
Source44: import.info


%description
CGI::Panel allows applications to be built out of simple object-based
components. It'll handle the state of your data and objects so you can
write a web application just like a desktop app. You can forget about
the http requests and responses, whether we're getting or posting, and
all that stuff because that is all handled for you leaving to you
interact with a simple API.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
find . -type d -name CVS -exec rm -rf {} \; || :

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor
%make
make test

%install
%makeinstall_std

%files
%doc Changes demo LICENSE README TODO
%{perl_vendor_privlib}/CGI/Panel
%{perl_vendor_privlib}/CGI/Panel.pm

%changelog
