Epoch: 1
%define module_name CLI-Driver
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Capture/Tiny.pm) perl(Data/Printer.pm) perl(Devel/Confess.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Basename.pm) perl(File/ShareDir.pm) perl(File/ShareDir/Install.pm) perl(Kavorka.pm) perl(Method/Signatures.pm) perl(Modern/Perl.pm) perl(Module/Load.pm) perl(Moose.pm) perl(Sort/Naturally.pm) perl(Test/More.pm) perl(Time/localtime.pm) perl(YAML.pm) perl(YAML/Tiny.pm) perl(experimental.pm) perl(namespace/autoclean.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.7
Release: alt2
Summary: >new;
Group: Development/Perl
License: artistic_2
URL: https://github.com/gravattj/CLI-Driver-perl

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/G/GR/GRAVATTJ/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This is a module to drive your cli tool from a yaml config file.

    use CLI::Driver;
    
    my $cli = CLI::Driver->new;
    
    my $action = $cli->get_action( name => $ActionFromArgv );
    if ($action) {
        $action->do;
    }
    else {
        $Driver->fatal("failed to find action in config file");
    }

_### cli-driver.yml example
_
_do-something:
      class:
        name: My::App
        attr:
          required:
            hard:
              f: foo
            soft:
              h: home
          optional:
          flags:
            dry-run: dry_run_flag
      method:
        name: my_method
        args:
          required: 
            hard: 
            soft:
          optional:
          flags:

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %EVR

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README ignore.txt Changes
%perl_vendor_privlib/C*

%files scripts
%_man1dir/*
%_bindir/*

%changelog
