%define module_name CPAN-Audit
# BEGIN SourceDeps(oneline):
BuildRequires: perl(CPAN/DistnameInfo.pm) perl(Capture/Tiny.pm) perl(HTTP/Tiny.pm) perl(JSON.pm) perl(Module/Build/Tiny.pm) perl(Module/CPANfile.pm) perl(Module/CoreList.pm) perl(Pod/Usage.pm) perl(Test/More.pm) perl(YAML/Tiny.pm) perl(version.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.15
Release: alt1
Summary: Audit CPAN distributions for known vulnerabilities
Group: Development/Perl
License: perl
URL: https://github.com/vti/cpan-audit

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/V/VT/VTI/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
CPAN::Audit is a module and a database at the same time. It is used by the cpan-audit manpage command line application to query
for vulnerabilities.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %EVR

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.md Changes LICENSE
%perl_vendor_privlib/C*

%files scripts
%_man1dir/*
%_bindir/*

%changelog
