%define module_name CPAN-Mirror-Tiny
# BEGIN SourceDeps(oneline):
BuildRequires: perl(CPAN/Meta.pm) perl(Capture/Tiny.pm) perl(Digest/MD5.pm) perl(Exporter.pm) perl(File/Copy/Recursive.pm) perl(File/Spec/Unix.pm) perl(File/Which.pm) perl(File/pushd.pm) perl(File/stat.pm) perl(HTTP/Tinyish.pm) perl(JSON.pm) perl(Module/Build/Tiny.pm) perl(Parse/LocalDistribution.pm) perl(Parse/PMFile.pm) perl(Plack/App/Directory.pm) perl(Plack/Builder.pm) perl(Plack/Request.pm) perl(Plack/Runner.pm) perl(Pod/Usage.pm) perl(String/ShellQuote.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.20
Release: alt1
Summary: create partial CPAN mirror (a.k.a. DarkPAN)
Group: Development/Perl
License: perl
URL: https://github.com/skaji/CPAN-Mirror-Tiny

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/S/SK/SKAJI/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
CPAN::Mirror::Tiny helps you create partial CPAN mirror (also known as DarkPAN).

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release

%description scripts
scripts for %module_name
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes LICENSE
%perl_vendor_privlib/C*

%files scripts
%_man1dir/*
%_bindir/*

%changelog
