Group: Development/Perl
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(CSS.pm) perl(Exporter.pm) perl(Scalar/Util.pm) perl(overload.pm) perl(re.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-CSS-DOM
Version:        0.17
Release:        alt2_12
Summary:        Document Object Model for Cascading Style Sheets

License:        GPL+ or Artistic
URL:            https://metacpan.org/release/CSS-DOM
Source0:        https://cpan.metacpan.org/authors/id/S/SP/SPROUT/CSS-DOM-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  rpm-build-perl
BuildRequires:  perl(Clone.pm)
BuildRequires:  perl(Encode.pm)
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(Test/More.pm)
# Dependencies not detected automatically:
Requires:       perl(Clone.pm) >= 0.090
Requires:       perl(Encode.pm) >= 2.100


Source44: import.info

%description
This set of modules provides the CSS-specific interfaces described in
the W3C DOM recommendation.


%prep
%setup -q -n CSS-DOM-%{version}


%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
%make_build


%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
# %{_fixperms} $RPM_BUILD_ROOT/*


%check
make test


%files
%doc Changes README
%doc --no-dereference LICENSE
%{perl_vendor_privlib}/CSS/


%changelog
