%define module_name Carp-Patch-Config
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(Data/Dmp.pm) perl(Data/Dump.pm) perl(Data/Dump/ObjectAsString.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(Module/Patch.pm) perl(Pod/Coverage/TrustPod.pm) perl(Test/More.pm) perl(Test/Perl/Critic.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(base.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.006
Release: alt1
Summary: Set some Carp variables
Group: Development/Perl
License: perl
URL: https://metacpan.org/release/Carp-Patch-Config

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PE/PERLANCAR/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This is not so much a "patch" for the Carp manpage, but just a convenient way to set some
Carp package variables from the command-line. Currently can set these variables:
`MaxArgLen', `MaxArgNums'.
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE Changes README
%perl_vendor_privlib/C*

%changelog
