%define module_name Carton
# BEGIN SourceDeps(oneline):
BuildRequires: perl(App/FatPacker.pm) perl(CPAN/Meta.pm) perl(CPAN/Meta/Requirements.pm) perl(Class/Tiny.pm) perl(ExtUtils/MakeMaker.pm) perl(File/pushd.pm) perl(Getopt/Long.pm) perl(IO/Compress/Gzip.pm) perl(JSON/PP.pm) perl(Menlo/CLI/Compat.pm) perl(Module/CPANfile.pm) perl(Module/CoreList.pm) perl(Path/Tiny.pm) perl(Test/Pod.pm) perl(Try/Tiny.pm) perl(parent.pm) perl(version.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.0.34
Release: alt1
Summary: Perl module dependency manager (aka Bundler for Perl)
Group: Development/Perl
License: perl
URL: https://github.com/perl-carton/carton

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/M/MI/MIYAGAWA/%{module_name}-v%{version}.tar.gz
BuildArch: noarch

%description
From summary: %summary

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-v%{version}

%build
%perl_vendor_build --install_path bindoc=%_man1dir

%install
%perl_vendor_install

%files
%doc Changes README LICENSE
%perl_vendor_privlib/C*

%files scripts
%_man1dir/*
%_bindir/*

%changelog
