Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Data/Dumper.pm) perl(Digest/MD5.pm) perl(FindBin.pm) perl(HTTP/Headers.pm) perl(HTTP/Request.pm) perl(Module/Build.pm) perl(Module/Metadata.pm) perl(base.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-Catalyst-Authentication-Credential-HTTP
Version:        1.018
Release:        alt2_13
Summary:        HTTP Basic and Digest authentication for Catalyst
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Catalyst-Authentication-Credential-HTTP
Source0:        https://cpan.metacpan.org/authors/id/E/ET/ETHER/Catalyst-Authentication-Credential-HTTP-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl-devel
BuildRequires:  rpm-build-perl
BuildRequires:  perl(Cache/FileCache.pm)
BuildRequires:  perl(Catalyst/Plugin/Authentication.pm)
BuildRequires:  perl(Catalyst/Plugin/Cache.pm)
BuildRequires:  perl(Catalyst/Runtime.pm)
BuildRequires:  perl(Class/Accessor/Fast.pm)
BuildRequires:  perl(Data/UUID.pm)
BuildRequires:  perl(Module/Build/Tiny.pm)
BuildRequires:  perl(String/Escape.pm)
BuildRequires:  perl(Test/Exception.pm)
BuildRequires:  perl(Test/MockObject.pm)
BuildRequires:  perl(Test/More.pm)
BuildRequires:  perl(Test/Needs.pm)
BuildRequires:  perl(Test/Pod.pm)
BuildRequires:  perl(Test/Pod/Coverage.pm)
BuildRequires:  perl(Test/Spelling.pm)
BuildRequires:  perl(Test/WWW/Mechanize/Catalyst.pm)
BuildRequires:  perl(URI/Escape.pm)
BuildRequires:  sed
Requires:       perl(Catalyst/Plugin/Authentication.pm) >= 0.100.050
Requires:       perl(Class/Accessor/Fast.pm)
Requires:       perl(Data/UUID.pm) >= 0.110


Source44: import.info

%description
This module lets you use HTTP authentication with
Catalyst::Plugin::Authentication. Both basic and digest authentication are
currently supported.

%prep
%setup -q -n Catalyst-Authentication-Credential-HTTP-%{version}

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor --skipdeps
%make_build

%install
make pure_install DESTDIR=%{buildroot}

find %{buildroot} -type f -name .packlist -delete

# %{_fixperms} %{buildroot}/*

%check
make test

%files
%doc Changes README Todo
%{perl_vendor_privlib}/*

%changelog
