# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(CPAN.pm) perl(Config.pm) perl(Crypt/DH.pm) perl(Cwd.pm) perl(Fcntl.pm) perl(File/Basename.pm) perl(File/Find.pm) perl(File/Spec.pm) perl(File/Temp.pm) perl(FileHandle.pm) perl(FindBin.pm) perl(IO/Socket.pm) perl(IO/Socket/INET.pm) perl(JSON.pm) perl(Module/Build.pm) perl(Net/DNS.pm) perl(Net/FTP.pm) perl(Net/OpenID/Server.pm) perl(Parse/CPAN/Meta.pm) perl(Socket.pm) perl(Test/WWW/Mechanize.pm) perl(YAML/Tiny.pm) perl(base.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define upstream_name    Catalyst-Authentication-Credential-OpenID
%define upstream_version 0.19

Name:       perl-%{upstream_name}
Version:    %{upstream_version}
Release:    alt3_10

Summary:    OpenID credential for Catalyst::Plugin::Authentication framework
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Catalyst/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Cache/FastMmap.pm)
BuildRequires: perl(Catalyst.pm)
BuildRequires: perl(Catalyst/Authentication/User/Hash.pm)
BuildRequires: perl(Catalyst/Plugin/Authentication.pm)
BuildRequires: perl(Catalyst/Devel.pm)
BuildRequires: perl(Catalyst/Plugin/Session/State/Cookie.pm)
BuildRequires: perl(Catalyst/Plugin/Session/Store/FastMmap.pm)
BuildRequires: perl(Class/Accessor/Fast.pm)
BuildRequires: perl(ExtUtils/MakeMaker.pm)
BuildRequires: perl(HTML/Parser.pm)
BuildRequires: perl(LWP/UserAgent.pm)
BuildRequires: perl(Net/OpenID/Consumer.pm)
BuildRequires: perl(Test/More.pm)
BuildRequires: perl(parent.pm)
BuildArch: noarch
Source44: import.info


%description
D'er... testing. Has an OpenID provider to test the OpenID credential
against.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.yml README
%perl_vendor_privlib/*


%changelog
