Group: Development/Perl
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Class/Load.pm) perl(Module/Build.pm) perl(namespace/autoclean.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-Catalyst-Controller-ActionRole
Summary:        Apply roles to action instances
Version:        0.17
Release:        alt2_19
License:        GPL+ or Artistic

Source0:        https://cpan.metacpan.org/authors/id/E/ET/ETHER/Catalyst-Controller-ActionRole-%{version}.tar.gz
URL:            https://metacpan.org/release/Catalyst-Controller-ActionRole

BuildArch:      noarch

BuildRequires:  rpm-build-perl
BuildRequires:  perl(Catalyst.pm)
BuildRequires:  perl(Catalyst/Action.pm)
BuildRequires:  perl(Catalyst/Action/REST.pm)
BuildRequires:  perl(Catalyst/Controller.pm)
BuildRequires:  perl(Catalyst/Runtime.pm)
BuildRequires:  perl(Catalyst/Test.pm)
BuildRequires:  perl(Catalyst/Utils.pm)
BuildRequires:  perl(Class/MOP.pm)
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(FindBin.pm)
BuildRequires:  perl(List/Util.pm)
BuildRequires:  perl(Moose.pm)
BuildRequires:  perl(Moose/Meta/Class.pm)
BuildRequires:  perl(Moose/Role.pm)
BuildRequires:  perl(MooseX/Types/Moose.pm)
BuildRequires:  perl(namespace/clean.pm)
BuildRequires:  perl(parent.pm)
BuildRequires:  perl(String/RewritePrefix.pm)
BuildRequires:  perl(Test/More.pm)

Requires:       perl(Catalyst/Controller.pm)
Requires:       perl(Catalyst/Runtime.pm) >= 5.800.250
Requires:       perl(Class/MOP.pm) >= 0.800
Requires:       perl(Moose.pm) >= 0.900


%{?perl_default_subpackage_tests}
Source44: import.info

%description
This module allows to apply roles to the Catalyst::Actions for different
controller methods.

%prep
%setup -q -n Catalyst-Controller-ActionRole-%{version}

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
%make_build

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT

# %{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc Changes README
%doc --no-dereference LICENSE
%{perl_vendor_privlib}/Catalyst*

%changelog
