# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(CPAN.pm) perl(Carp.pm) perl(Config.pm) perl(Cwd.pm) perl(File/Basename.pm) perl(File/Find.pm) perl(File/Spec.pm) perl(FileHandle.pm) perl(LWP/Simple.pm) perl(NEXT.pm) perl(Net/FTP.pm) perl(Scalar/Util.pm) perl(Socket.pm) perl(YAML/Tiny.pm) perl(attributes.pm) perl(base.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define upstream_name    Catalyst-Controller-BindLex
%define upstream_version 0.05

Name:       perl-%{upstream_name}
Version:    %{upstream_version}
Release:    alt1_10

Summary:	Stash your lexical goodness
License:	Artistic/GPL
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}/
Source0:	ftp://ftp.perl.org/pub/CPAN/modules/by-module/Catalyst/%{upstream_name}-%{upstream_version}.tar.bz2


BuildRequires:	perl(Array/RefElem.pm)
BuildRequires:	perl(Catalyst.pm)
BuildRequires:	perl(Devel/Caller.pm)
BuildRequires:	perl(Devel/LexAlias.pm)
BuildRequires:	perl(Module/Build.pm)
BuildRequires:	perl(inc/Module/Install.pm)
BuildRequires:	perl(PadWalker.pm)
BuildRequires:	perl(Test/use/ok.pm)
BuildArch:	noarch
Source44: import.info


%description
This plugin lets you put your lexicals on the stash and elsewhere very
easily.

It uses some funky modules to get it's job done: PadWalker,
Array::RefElem, Devel::Caller, Devel::LexAlias and attributes. In some
people's opinion this hurts this plugin's reputation ;-).

If you use the same name for two variables with the same storage
binding attribute they will be aliased to each other, so you can use
this for reading as well as writing values across controller
subs. This is almost like sharing your lexical scope.


%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor
%make

%check
%__make test

%install
%makeinstall_std

%files
%doc Changes README
%{perl_vendor_privlib}/Catalyst


%changelog
