Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(APR/Table.pm) perl(Apache/Test.pm) perl(Apache/TestRunPerl.pm) perl(Apache2/Connection.pm) perl(Apache2/Const.pm) perl(Apache2/RequestIO.pm) perl(Apache2/RequestRec.pm) perl(Apache2/RequestUtil.pm) perl(Apache2/Response.pm) perl(Apache2/URI.pm) perl(Benchmark.pm) perl(CGI/Simple/Cookie.pm) perl(CatalystX/LeakChecker.pm) perl(Class/Data/Inheritable.pm) perl(Data/Dump.pm) perl(FindBin.pm) perl(HTML/Entities.pm) perl(HTTP/Headers.pm) perl(HTTP/Headers/Util.pm) perl(HTTP/Request/Common.pm) perl(MRO/Compat.pm) perl(Moose.pm) perl(Moose/Role.pm) perl(Moose/Util.pm) perl(MooseX/MethodAttributes.pm) perl(MooseX/Role/Parameterized.pm) perl(Pod/Coverage.pm) perl(Scalar/Util.pm) perl(Test/Exception.pm) perl(Test/NoTabs.pm) perl(URI.pm) perl(URI/Escape.pm) perl(URI/http.pm) perl(URI/https.pm) perl(YAML.pm)
BuildRequires: perl(base.pm) perl(namespace/autoclean.pm) perl(namespace/clean.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-Catalyst-Engine-Apache
Version:        1.16
Release:        alt2_29
Summary:        Catalyst Apache Engines
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Catalyst-Engine-Apache
Source0:        https://cpan.metacpan.org/authors/id/F/FL/FLORA/Catalyst-Engine-Apache-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  rpm-build-perl
BuildRequires:  perl(Catalyst/Runtime.pm)
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(Test/More.pm)
BuildRequires:  perl(Test/Pod.pm)
BuildRequires:  perl(Test/Pod/Coverage.pm)
Requires:       perl(Catalyst/Runtime.pm)
Source44: import.info

%description
These classes provide mod_perl support for Catalyst.

%prep
%setup -q -n Catalyst-Engine-Apache-%{version}

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install
make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

# remove MP13 and MP19 as they are not used in Fedora
find %{buildroot} -type f -name '*MP13.*' -exec rm -f {} \;
find %{buildroot} -type f -name '*MP19.*' -exec rm -f {} \;

# %{_fixperms} %{buildroot}/*

%check
make test

%files
%doc Changes LICENSE README
%{perl_vendor_privlib}/*

%changelog
