# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(App/pod2pdf.pm) perl(CPAN.pm) perl(Config.pm) perl(Cwd.pm) perl(Fcntl.pm) perl(File/Basename.pm) perl(File/Find.pm) perl(File/Spec.pm) perl(File/Temp.pm) perl(FileHandle.pm) perl(FindBin.pm) perl(JSON.pm) perl(LWP/Simple.pm) perl(Module/Build.pm) perl(Net/FTP.pm) perl(Parse/CPAN/Meta.pm) perl(Socket.pm) perl(YAML/Tiny.pm) perl(base.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define upstream_name    Catalyst-Log-Log4perl
%define upstream_version 1.06

Name:       perl-%{upstream_name}
Version:    %{upstream_version}
Release:    alt1_10

Summary:    Integrates Log::Log4perl with Catalyst
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Catalyst/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Catalyst.pm)
BuildRequires: perl(Data/Dump.pm)
BuildRequires: perl(ExtUtils/MakeMaker.pm)
BuildRequires: perl(Log/Log4perl.pm)
BuildRequires: perl(inc/Module/Install.pm)
BuildRequires: perl(MRO/Compat.pm)
BuildRequires: perl(Params/Validate.pm)
BuildRequires: perl(Test/More.pm)
BuildArch:  noarch
Source44: import.info

%description
This module provides a the Catalyst::Log manpage implementation that uses
the Log::Log4perl manpage as the underlying log mechanism. It provides all
the methods listed in the Catalyst::Log manpage, with the exception of:

    levels
    enable
    disable

These methods simply return 0 and do nothing, as similar functionality is
already provided by the Log::Log4perl manpage.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.yml  README
%perl_vendor_privlib/*


%changelog
