# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(CPAN.pm) perl(Config.pm) perl(Cwd.pm) perl(Fcntl.pm) perl(File/Basename.pm) perl(File/Find.pm) perl(FileHandle.pm) perl(FindBin.pm) perl(JSON.pm) perl(LWP/Simple.pm) perl(Module/Build.pm) perl(Net/FTP.pm) perl(Parse/CPAN/Meta.pm) perl(Pod/Usage.pm) perl(Socket.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(YAML/Tiny.pm) perl(base.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define upstream_name    Catalyst-Model-LDAP-FromAuthentication
%define upstream_version 0.02

Name:       perl-%{upstream_name}
Version:    %{upstream_version}
Release:    alt3_9

Summary:    Provides an LDAP model bound as the user who logged in
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
# Get 0.01, which is not on CPAN, at:
# http://github.com/bobtfish/catalyst-model-ldap-fromauthentication/tarball/0.01
Source0:    http://www.cpan.org/modules/by-module/Catalyst/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Catalyst/Authentication/Store/LDAP.pm)
BuildRequires: perl(Catalyst/Component/InstancePerContext.pm)
BuildRequires: perl(Catalyst/Model/LDAP.pm)
BuildRequires: perl(Catalyst/Runtime.pm)
BuildRequires: perl(ExtUtils/MakeMaker.pm)
BuildRequires: perl(Moose.pm)
BuildRequires: perl(MooseX/Types/Common/String.pm)
BuildRequires: perl(MooseX/Types/LoadableClass.pm)
BuildRequires: perl(Test/More.pm)
BuildRequires: perl(namespace/autoclean.pm)
BuildRequires: perl(Module/Install.pm)
BuildRequires: perl(Module/CoreList.pm)
BuildArch: noarch
Source44: import.info


%description
no description found

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
perl -pi -e 's/^(use Module::Install::Author)/#$1/g;s/^(author_)/#$1/g' Makefile.PL

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.yml README
%perl_vendor_privlib/*

%changelog
