# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(CPAN.pm) perl(Carp.pm) perl(Config.pm) perl(Cwd.pm) perl(File/Basename.pm) perl(File/Find.pm) perl(File/Spec.pm) perl(FileHandle.pm) perl(LWP/Simple.pm) perl(Module/Build.pm) perl(Net/FTP.pm) perl(Socket.pm) perl(YAML/Tiny.pm) perl(base.pm) perl(overload.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define upstream_name    Catalyst-Plugin-Authentication-Store-LDAP
%define abbrev_name      Catalyst-P-A-Store-LDAP
%define upstream_version 0.0602

Name:		perl-%{abbrev_name}
Version:	%{upstream_version}
Release:	alt1_11

Summary:	Catalyst - Authentication from an LDAP Directory
License:	Artistic/GPL
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{upstream_name}/
Source0:	ftp://ftp.perl.org/pub/CPAN/modules/by-module/Catalyst/%{upstream_name}-%{upstream_version}.tar.gz


BuildRequires:	perl(Catalyst/Model/LDAP.pm)
BuildRequires:	perl(Catalyst/Plugin/Authentication.pm)
BuildRequires:	perl(Class/Accessor/Fast.pm)
BuildRequires:	perl(inc/Module/Install.pm)
BuildRequires:	perl(Net/LDAP.pm)
BuildRequires:	perl(Test/More.pm)
BuildArch:	noarch
Provides:	perl-%upstream_name
Obsoletes:	perl-%upstream_name
Source44: import.info

%description
This plugin uses Net::LDAP to let your application authenticate against an LDAP
directory. It has a pretty high degree of flexibility, given the wide variation
of LDAP directories and schemas from one system to another.

It authenticates users in two steps:

1) A search of the directory is performed, looking for a user object that
matches the username you pass. This is done with the bind credentials supplied
in the "binddn" and "bindpw" configuration options.

2) If that object is found, we then re-bind to the directory as that object.
Assuming this is successful, the user is Authenticated.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
PERL_EXTUTILS_AUTOINSTALL=--skipdeps /usr/bin/perl Makefile.PL INSTALLDIRS=vendor
%make

%install
%makeinstall_std

%files
%doc TODO Changes META.yml
%{perl_vendor_privlib}/Catalyst



%changelog
