Group: Development/Perl
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Test/Pod.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global pkgname Catalyst-Plugin-Authorization-ACL

Name:           perl-Catalyst-Plugin-Authorization-ACL
Version:        0.16
Release:        alt2_17
Summary:        ACL Support for Catalyst Applications
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Catalyst-Plugin-Authorization-ACL
Source0:        https://cpan.metacpan.org/authors/id/R/RK/RKITOVER/Catalyst-Plugin-Authorization-ACL-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  coreutils
BuildRequires:  findutils
BuildRequires:  rpm-build-perl
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(strict.pm)
BuildRequires:  perl(warnings.pm)
# Run-time:
BuildRequires:  perl(Carp.pm)
BuildRequires:  perl(Catalyst/ClassData.pm)
BuildRequires:  perl(Class/Throwable.pm)
BuildRequires:  perl(Exporter.pm)
BuildRequires:  perl(List/Util.pm)
BuildRequires:  perl(Moose.pm)
BuildRequires:  perl(Moose/Object.pm)
BuildRequires:  perl(mro.pm)
BuildRequires:  perl(namespace/autoclean.pm)
BuildRequires:  perl(Scalar/Util.pm)
BuildRequires:  perl(Tree/Simple.pm)
BuildRequires:  perl(Tree/Simple/Visitor/FindByPath.pm)
BuildRequires:  perl(Tree/Simple/Visitor/GetAllDescendents.pm)
# Tests:
BuildRequires:  perl(base.pm)
BuildRequires:  perl(blib.pm)
BuildRequires:  perl(File/Spec.pm)
BuildRequires:  perl(IO/Handle.pm)
BuildRequires:  perl(IPC/Open3.pm)
BuildRequires:  perl(lib.pm)
BuildRequires:  perl(Test/More.pm)
# Test::Pod 1.41 not used
# Optional tests:
BuildRequires:  perl(Catalyst.pm)
BuildRequires:  perl(Catalyst/Controller.pm)
BuildRequires:  perl(Catalyst/Plugin/Authentication.pm)
BuildRequires:  perl(Catalyst/Plugin/Authorization/Roles.pm)
BuildRequires:  perl(Catalyst/Plugin/Session.pm)
BuildRequires:  perl(Catalyst/Plugin/Session/State/Cookie.pm)
BuildRequires:  perl(Test/WWW/Mechanize/Catalyst.pm)
Requires:       perl(Catalyst/ClassData.pm)
Requires:       perl(Exporter.pm)
Requires:       perl(Moose/Object.pm)


Source44: import.info

%description
This module provides Access Control List style path protection, with
arbitrary rules for Catalyst applications. It operates only on the
Catalyst private name space, at least at the moment.

%prep
%setup -qn %{pkgname}-%{version} 

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install
make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} \;
# %{_fixperms} %{buildroot}/*

%check
make test

%files
%doc --no-dereference LICENSE
%doc Changes README t/
%{perl_vendor_privlib}/*

%changelog
