# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(Test/More.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define upstream_name	Catalyst-Plugin-DateTime
%define upstream_version 0.03

Name:       perl-%{upstream_name}
Version:    %{upstream_version}
Release:    alt3_9

Summary:	DateTime plugin for Catalyst
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}/
Source0:	ftp://ftp.perl.org/pub/CPAN/modules/by-module/Catalyst/%{upstream_name}-%{upstream_version}.tar.bz2


BuildRequires:	perl(Catalyst.pm)
BuildRequires:	perl(DateTime.pm)

Buildarch:	noarch
Source44: import.info


%description
This module's intention is to make the wonders of DateTime easily
accesible within a Catalyst application via the Catalyst::Plugin
interface.

It adds the methods datetime and dt to the Catalyst namespace.


%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor <<EOF
EOF
%make

%install
%makeinstall_std

%files 
%doc Changes README
%{perl_vendor_privlib}/Catalyst

%changelog
