Group: Development/Perl
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-Catalyst-Plugin-Email
Version:        0.09
Release:        alt2_17
Summary:        Send emails with Catalyst
License:        GPL+ or Artistic

URL:            https://metacpan.org/release/Catalyst-Plugin-Email
Source0:        https://cpan.metacpan.org/authors/id/E/ET/ETHER/Catalyst-Plugin-Email-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  rpm-build-perl
BuildRequires:  perl(Catalyst.pm)
BuildRequires:  perl(Email/MIME.pm)
BuildRequires:  perl(Email/MIME/Creator.pm)
BuildRequires:  perl(Email/Send.pm)
BuildRequires:  perl(Email/Simple/Creator.pm)
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(Test/More.pm)


Source44: import.info

%description
Send emails with Catalyst and Email::Send and Email::MIME::Creator.

%prep
%setup -q -n Catalyst-Plugin-Email-%{version}

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
%make_build

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
# %{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc Changes README
%{perl_vendor_privlib}/Catalyst*

%changelog
