Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(CPAN.pm) perl(JSON.pm) perl(LWP/Simple.pm) perl(Module/Build.pm) perl(Net/FTP.pm) perl(Parse/CPAN/Meta.pm) perl(YAML/Tiny.pm) perl-podlators
# END SourceDeps(oneline)
BuildRequires: perl(Locale/Maketext.pm)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-Catalyst-Plugin-I18N
Version:        0.10
Release:        alt2_32
Summary:        I18N for Catalyst
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Catalyst-Plugin-I18N
Source0:        https://cpan.metacpan.org/authors/id/B/BO/BOBTFISH/Catalyst-Plugin-I18N-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  findutils
BuildRequires:  perl-devel
BuildRequires:  rpm-build-perl
BuildRequires:  perl(base.pm)
BuildRequires:  perl(Catalyst.pm)
BuildRequires:  perl(Catalyst/Controller.pm)
BuildRequires:  perl(Catalyst/Runtime.pm)
BuildRequires:  perl(Catalyst/Test.pm)
BuildRequires:  perl(FindBin.pm)
BuildRequires:  perl(HTTP/Request/AsCGI.pm)
BuildRequires:  perl(I18N/LangTags.pm)
BuildRequires:  perl(I18N/LangTags/Detect.pm)
BuildRequires:  perl(I18N/LangTags/List.pm)
BuildRequires:  perl(inc/Module/Install.pm)
BuildRequires:  perl(lib.pm)
BuildRequires:  perl(Locale/Maketext/Lexicon.pm)
BuildRequires:  perl(Locale/Maketext/Simple.pm)
BuildRequires:  perl(Module/Install/AutoInstall.pm)
BuildRequires:  perl(Module/Install/Metadata.pm)
BuildRequires:  perl(Module/Install/WriteAll.pm)
BuildRequires:  perl(MRO/Compat.pm)
BuildRequires:  perl(strict.pm)
BuildRequires:  perl(Test/More.pm)
BuildRequires:  perl(Test/Pod.pm)
BuildRequires:  perl(Test/Pod/Coverage.pm)
BuildRequires:  perl(warnings.pm)
BuildRequires:  sed
# not automatically detected
Requires:       perl(Locale/Maketext/Lexicon.pm)


Source44: import.info

%description
Supports mo/po files and Maketext classes under your applications I18N
namespace.

%prep
%setup -q -n Catalyst-Plugin-I18N-%{version}
# Remove bundled libraries
rm -r inc
sed -i -e '/^inc\// d' MANIFEST

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor --skipdeps
%make_build

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -delete

# %{_fixperms} $RPM_BUILD_ROOT/*

%check
TEST_POD=1 make test

%files
%doc Changes README
%{perl_vendor_privlib}/*

%changelog
