# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(CPAN.pm) perl(Catalyst/Model/DBIC/Schema.pm) perl(Class/DBI.pm) perl(DBD/SQLite.pm) perl(DBIx/Class.pm) perl(DBIx/Class/Schema.pm) perl(ExtUtils/MM_Unix.pm) perl(ExtUtils/MakeMaker.pm) perl(ExtUtils/Manifest.pm) perl(JSON.pm) perl(LWP/Simple.pm) perl(MRO/Compat.pm) perl(Module/Build.pm) perl(Net/FTP.pm) perl(Parse/CPAN/Meta.pm) perl(Test/More.pm) perl(Test/WWW/Mechanize/Catalyst.pm) perl(YAML/Tiny.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define	upstream_name	 Catalyst-Plugin-Session-Store-DBI
%define upstream_version 0.16

Name:       perl-%{upstream_name}
Version:    %{upstream_version}
Release:    alt1_11

Summary:	Store your sessions in a database
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://search.cpan.org/CPAN/authors/id/A/AG/AGRUNDMA//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(Catalyst.pm)
BuildRequires:	perl(Catalyst/Plugin/Session.pm)
BuildRequires:	perl(Class/Data/Inheritable.pm)
BuildRequires:	perl(DBI.pm)
BuildRequires:	perl(MIME/Base64.pm)
BuildRequires:	perl(inc/Module/Install.pm)

BuildArch:	noarch
Source44: import.info


%description
This storage module will store session data in a database using DBI.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
/usr/bin/perl Makefile.PL installdirs=vendor
%make

%check
%__make test

%install
%makeinstall_std

%files
%doc Changes META.yml
%{perl_vendor_privlib}/Catalyst


%changelog
