Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-Catalyst-Plugin-Session-Store-DBIC
Version:        0.14
Release:        alt2_21
Summary:        Store your sessions via DBIx::Class
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Catalyst-Plugin-Session-Store-DBIC
Source0:        https://cpan.metacpan.org/authors/id/B/BO/BOBTFISH/Catalyst-Plugin-Session-Store-DBIC-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  rpm-build-perl
BuildRequires:  perl(Carp.pm)
BuildRequires:  perl(Catalyst.pm)
BuildRequires:  perl(Catalyst/Exception.pm)
BuildRequires:  perl(Catalyst/Model/DBIC/Schema.pm)
BuildRequires:  perl(Catalyst/Plugin/Session/State/Cookie.pm)
BuildRequires:  perl(Catalyst/Plugin/Session/Store/Delegate.pm)
BuildRequires:  perl(Class/Accessor/Fast.pm)
BuildRequires:  perl(DBD/SQLite.pm)
BuildRequires:  perl(DBIx/Class.pm)
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(FindBin.pm)
BuildRequires:  perl(MIME/Base64.pm)
BuildRequires:  perl(MRO/Compat.pm)
BuildRequires:  perl(Scalar/Util.pm)
BuildRequires:  perl(Storable.pm)
BuildRequires:  perl(Test/More.pm)
BuildRequires:  perl(Test/Pod.pm)
BuildRequires:  perl(Test/Pod/Coverage.pm)
BuildRequires:  perl(Test/Warn.pm)
BuildRequires:  perl(Test/WWW/Mechanize/Catalyst.pm)
Requires:       perl(Catalyst.pm) >= 5.650.0
Requires:       perl(DBIx/Class.pm) >= 0.070.0


Source44: import.info

%description
This Catalyst::Plugin::Session storage module saves session data in your
database via DBIx::Class. It's actually just a wrapper around
Catalyst::Plugin::Session::Store::Delegate; if you need complete control
over how your sessions are stored, you probably want to use that instead.

%prep
%setup -q -n Catalyst-Plugin-Session-Store-DBIC-%{version}

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install
make pure_install DESTDIR=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;

# %{_fixperms} %{buildroot}/*

%check
TEST_POD=1 make test

%files
%doc Changes
%{perl_vendor_privlib}/*

%changelog
