Group: Development/Perl
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(CPAN.pm) perl(Cwd.pm) perl(File/Spec.pm) perl(base.pm) perl-podlators
# END SourceDeps(oneline)
%define fedora 34
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-Catalyst-View-HTML-Template
Version:        0.03
Release:        alt2_30
Summary:        HTML::Template View Class
License:        GPL+ or Artistic

URL:            https://metacpan.org/release/Catalyst-View-HTML-Template
Source0:        https://cpan.metacpan.org/authors/id/M/MR/MRAMBERG/Catalyst-View-HTML-Template-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  rpm-build-perl
BuildRequires:  perl(Catalyst.pm)
BuildRequires:  perl(HTML/Template.pm)
BuildRequires:  perl(Module/Build.pm)
BuildRequires:  perl(Test/More.pm)
BuildRequires:  perl(Test/Pod.pm)
BuildRequires:  perl(Test/Pod/Coverage.pm)

%if 0%{?fedora} < 15
Requires:       perl(Catalyst/View.pm)
%endif


Source44: import.info

%description
This is the HTML::Template view class. Your subclass should inherit from
this class.

%prep
%setup -q -n Catalyst-View-HTML-Template-%{version}

%build
/usr/bin/perl Build.PL installdirs=vendor
./Build

%install
./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
# %{_fixperms} $RPM_BUILD_ROOT/*

%check
TEST_POD=yep ./Build test

%files
%doc Changes README
%{perl_vendor_privlib}/Catalyst*

%changelog
