Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(File/Spec/Functions.pm) perl(base.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:       perl-Catalyst-View-PDF-Reuse 
Version:    0.05
Release:    alt2_17
# lib/Catalyst/Helper/View/PDF/Reuse.pm -> GPL+ or Artistic
# lib/Catalyst/View/PDF/Reuse.pm -> GPL+ or Artistic
# lib/Template/Plugin/Catalyst/View/PDF/Reuse.pm -> GPL+ or Artistic
License:    GPL+ or Artistic 
Summary:    Create PDF files from Catalyst using Template Toolkit templates 
Source:     https://cpan.metacpan.org/authors/id/J/JO/JONALLEN/Catalyst-View-PDF-Reuse-%{version}.tar.gz
Url:        https://metacpan.org/release/Catalyst-View-PDF-Reuse
BuildArch:  noarch

BuildRequires: rpm-build-perl
BuildRequires: perl(Catalyst/View/TT.pm)
BuildRequires: perl(ExtUtils/MakeMaker.pm)
BuildRequires: perl(File/chdir.pm)
BuildRequires: perl(parent.pm)
BuildRequires: perl(PDF/Reuse.pm)
BuildRequires: perl(Template/Plugin/Procedural.pm)
BuildRequires: perl(Test/More.pm)
BuildRequires: perl(Test/Pod.pm)

# not picked up due to use base/parent
Requires:      perl(Catalyst/View/TT.pm)
Requires:      perl(Template/Plugin/Procedural.pm)
Source44: import.info

%description
Catalyst::View::PDF::Reuse provides the facility to generate PDF files
from a Catalyst application by embedding PDF::Reuse commands within a
Template::Toolkit template.  Within your template you will have access
to a 'pdf' object which has methods corresponding to all of PDF::Reuse's
functions.


%prep
%setup -q -n Catalyst-View-PDF-Reuse-%{version}

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
%make_build

%install
make pure_install DESTDIR=%{buildroot}
# %{_fixperms} %{buildroot}/*

%check
make test

%files
%doc Changes README 
%{perl_vendor_privlib}/*

%changelog
