Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(CPAN.pm) perl(Catalyst/Authentication/Credential/OpenID.pm) perl(Class/Load.pm) perl(ExtUtils/CBuilder.pm) perl(JSON.pm) perl(LWP/Simple.pm) perl(LWP/UserAgent.pm) perl(Module/Build.pm) perl(Net/FTP.pm) perl(Parse/CPAN/Meta.pm) perl(Try/Tiny.pm) perl(YAML/Tiny.pm) perl-podlators
# END SourceDeps(oneline)
%add_findreq_skiplist %perl_vendor_privlib/CatalystX/SimpleLogin/Form/LoginOpenID.pm
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-CatalystX-SimpleLogin
Version:        0.21
Release:        alt2_3
Summary:        Provide a simple Login controller which can be reused
License:        GPL+ or Artistic

URL:            https://metacpan.org/release/CatalystX-SimpleLogin
Source0:        https://cpan.metacpan.org/authors/id/A/AB/ABRAXXA/CatalystX-SimpleLogin-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  rpm-build-perl
BuildRequires:  perl(Catalyst/Action/RenderView.pm)
BuildRequires:  perl(Catalyst/Action/REST.pm)
BuildRequires:  perl(Catalyst/ActionRole/ACL.pm)
# not available in fedora and upstream is currently broken
# see https://rt.cpan.org/Public/Bug/Display.html?id=70417
# BuildRequires:  perl(Catalyst::Authentication::Credential::OpenID)
BuildRequires:  perl(Catalyst/Authentication/Store/DBIx/Class.pm)
BuildRequires:  perl(Catalyst/Model/DBIC/Schema.pm)
BuildRequires:  perl(Catalyst/Plugin/Authentication.pm)
BuildRequires:  perl(Catalyst/Plugin/Session.pm)
BuildRequires:  perl(Catalyst/Plugin/Session/State/Cookie.pm)
BuildRequires:  perl(Catalyst/Plugin/Session/Store/File.pm)
BuildRequires:  perl(Catalyst/Runtime.pm)
BuildRequires:  perl(Catalyst/View/TT.pm)
BuildRequires:  perl(CatalystX/Component/Traits.pm)
BuildRequires:  perl(CatalystX/InjectComponent.pm)
BuildRequires:  perl(Crypt/DH.pm)
BuildRequires:  perl(DBD/SQLite.pm)
BuildRequires:  perl(DBIx/Class/Optional/Dependencies.pm)
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(File/Temp.pm)
BuildRequires:  perl(HTML/FormHandler.pm)
BuildRequires:  perl(HTTP/Request/Common.pm)
BuildRequires:  perl(JSON/Any.pm)
BuildRequires:  perl(Module/Install/AuthorTests.pm)
BuildRequires:  perl(Module/Install/AuthorRequires.pm)
BuildRequires:  perl(Moose.pm)
BuildRequires:  perl(MooseX/MethodAttributes.pm)
BuildRequires:  perl(MooseX/RelatedClassRoles.pm)
BuildRequires:  perl(MooseX/Types.pm)
BuildRequires:  perl(MooseX/Types/Common.pm)
BuildRequires:  perl(MooseX/Types/JSON.pm)
BuildRequires:  perl(MooseX/Types/Path/Class.pm)
BuildRequires:  perl(namespace/autoclean.pm)
BuildRequires:  perl(SQL/Translator.pm)
BuildRequires:  perl(Test/EOL.pm)
BuildRequires:  perl(Test/Exception.pm)
BuildRequires:  perl(Test/More.pm)
BuildRequires:  perl(Test/NoTabs.pm)
BuildRequires:  perl(Test/Pod.pm)
BuildRequires:  perl(Test/Pod/Coverage.pm)
BuildRequires:  perl(inc/Module/Install.pm)
Requires:       perl(Catalyst/Action/REST.pm) >= 0.740
Requires:       perl(Catalyst/Plugin/Authentication.pm)
Requires:       perl(Catalyst/Plugin/Session.pm) >= 0.270
Requires:       perl(Catalyst/Runtime.pm) >= 5.800.130
Requires:       perl(Catalyst/View/TT.pm)
Requires:       perl(CatalystX/Component/Traits.pm) >= 0.130
Requires:       perl(HTML/FormHandler.pm) >= 0.280.010
Requires:       perl(MooseX/MethodAttributes.pm) >= 0.180
Requires:       perl(MooseX/RelatedClassRoles.pm) >= 0.004
Requires:       perl(MooseX/Types.pm)
Requires:       perl(MooseX/Types/Common.pm)


Source44: import.info

%description
CatalystX::SimpleLogin is an application class which provides a simple login
and logout page with the addition of only one line of code and one template to
your application.

%prep
%setup -q -n CatalystX-SimpleLogin-%{version}
# Remove bundled libs
rm -rf inc/*

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}

%install
%{makeinstall_std}
# %{_fixperms} $RPM_BUILD_ROOT/*

%files
%doc Changes README
%{perl_vendor_privlib}/*

%changelog
