%define module_name Catmandu-DBI
Epoch: 2
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Catmandu.pm) perl(DBD/Pg.pm) perl(DBD/SQLite.pm) perl(DBD/mysql.pm) perl(DBI.pm) perl(Module/Build.pm) perl(Moo.pm) perl(MooX/Aliases.pm) perl(Parser/MGC.pm) perl(Test/Exception.pm) perl(Test/More.pm) perl(Test/Pod.pm) perl(Throwable/Error.pm) perl(bigint.pm) perl(namespace/clean.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.09
Release: alt1
Summary: Catmandu tools to communicate with DBI based interfaces
Group: Development/Perl
License: perl
URL: https://github.com/LibreCat/Catmandu-DBI

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/N/NI/NICS/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
NAME

    Catmandu::DBI - Catmandu tools to communicate with DBI based interfaces

MODULES

    Catmandu::Importer::DBI

    Catmandu::Store::DBI

AUTHORS

    Nicolas Franck <nicolas.franck at ugent.be>

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes LICENSE README
%perl_vendor_privlib/C*

%changelog
