# BEGIN SourceDeps(oneline):
BuildRequires: perl(Catmandu.pm) perl(Data/Validate/URI.pm) perl(Furl.pm) perl(MIME/Base64.pm) perl(Module/Build.pm) perl(Module/Build/Tiny.pm) perl(Moo.pm) perl(Parser/MGC.pm) perl(Scalar/Util.pm) perl(Test/Exception.pm) perl(Test/More.pm) perl(Test/Pod.pm) perl(Throwable/Error.pm) perl(URI/Escape.pm) perl(XML/LibXML.pm) perl(XML/LibXML/Simple.pm) perl(XML/LibXML/XPathContext.pm) perl(XML/Struct.pm)
# END SourceDeps(oneline)
%define module_name Catmandu-Pure
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.02
Release: alt1
Summary: A bundle of Catmandu modules for working with data from Pure
Group: Development/Perl
License: perl
URL: https://github.com/LibreCat/Catmandu-Pure

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/B/BR/BRIEM/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Catmandu::Importer::Pure is a Catmandu package that seamlessly imports data from Elsevier's Pure system using its REST service.
  Currently documentation describing the REST service can usually be viewed at /ws/doc/ on a host where
  Pure is installed, for instance, http://experts-us.demo.atira.dk/ws/doc/.
  ...

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE Changes README
%perl_vendor_privlib/C*

%changelog
