%define module_name Catmandu-Template
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Catmandu.pm) perl(Module/Build.pm) perl(Moo.pm) perl(Parser/MGC.pm) perl(Storable.pm) perl(Template.pm) perl(Test/Exception.pm) perl(Test/More.pm) perl(Test/Pod.pm) perl(Throwable/Error.pm) perl(namespace/clean.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.13
Release: alt1
Summary: Catmandu modules for working with templates
Group: Development/Perl
License: perl
URL: https://github.com/LibreCat/Catmandu-Template

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/V/VP/VPEIL/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
NAME

    Catmandu::Template - Catmandu modules for working with templates

MODULES

      * Catmandu::Exporter::Template

      * Catmandu::Fix::template

AUTHOR

    Nicolas Steenlant, <nicolas.steenlant at ugent.be>

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes LICENSE README
%perl_vendor_privlib/C*

%changelog
