%define module_name Char-Replace
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(File/Temp.pm) perl(Test/More.pm) perl(Test2/Bundle/Extended.pm) perl(Test2/Plugin/NoWarnings.pm) perl(Test2/Tools/Explain.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.004
Release: alt3
Summary: Perl naive XS character replacement as an alternate to substitute or transliterate
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/A/AT/ATOOMIC/%{module_name}-%{version}.tar.gz

%description
Char::Replace

XS helper to replace (transliterate) one or more ASCII characters

This right now pretty similar to a double split like this one

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc CONTRIBUTING.md README Changes LICENSE examples
%perl_vendor_archlib/C*
%perl_vendor_autolib/*

%changelog
