# BEGIN SourceDeps(oneline):
BuildRequires: perl(Devel/Peek.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define module_name Check-GlobalPhase
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.001
Release: alt3
Summary: Check::GlobalPhase fast XS checker for Perl GlobalPhase
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/A/AT/ATOOMIC/%{module_name}-%{version}.tar.gz

%description
Check::GlobalPhase provides some fast helpers to check the current Perl Phase.
This is avoiding the creation of useless `SvPV' to perform a string comparison
using `${^GLOBAL_PHASE}'

View `${^GLOBAL_PHASE}' from the perlvar manpage for more details.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes LICENSE README examples
%perl_vendor_archlib/C*
%perl_vendor_autolib/*

%changelog
