%define module_name Chemistry-File-MDLMol
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Chemistry/Mol.pm) perl(Chemistry/Ring.pm) perl(ExtUtils/MakeMaker.pm) perl(List/Util.pm) perl(Test/More.pm) perl(base.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.23
Release: alt1
Summary: MDL molfile reader/writer
Group: Development/Perl
License: perl
URL: https://search.cpan.org/dist/Chemistry-File-MDLMol

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/M/ME/MERKYS/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
MDL Molfile (V2000) reader/writer.

This module automatically registers the 'mdl' format with Chemistry::Mol.

The first three lines of the molfile are stored as $mol->name, 
$mol->attr("mdlmol/line2"), and $mol->attr("mdlmol/comment").

This version only reads and writes some of the information available in a
molfile: it reads coordinats, atom and bond types, charges, radicals, and atom
lists. It does not read other things such as stereochemistry, 3d properties,
isotopes, etc.

This module is part of the PerlMol project, http://www.perlmol.org.


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/C*

%changelog
