# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define upstream_name    Class-Contract
%define upstream_version 1.14

Name:       perl-%{upstream_name}
Version:    %{upstream_version}
Release:    alt2_10

Summary:	Class-Contract module for perl 
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.cpan.org/modules/by-module/Class/%{upstream_name}-%{upstream_version}.tar.bz2

BuildArch:	noarch
Source44: import.info


%description
The Class::Contract module implements strong encapsulation, static
inheritance, and design-by-contract condition checking for
object-oriented Perl. The module provides a declarative syntax for
attribute, method, constructor, and destructor definitions at both
the object and class level. Pre-conditions, post-conditions, and
class invariants are also fully supported.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
perl -pi -e "s,/usr/local/bin/perl,%{_bindir}/perl," demo.pl

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor
%make
make test

%install
%makeinstall_std

%files
%doc Changes README
%{perl_vendor_privlib}/Class/Contract
%{perl_vendor_privlib}/Class/Contract.pm
%{perl_vendor_privlib}/Class/demo.pl

%changelog
