Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-pod perl-podlators perldoc
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-Class-DBI-AsForm
Version:        2.42
Release:        alt2_45
Summary:        Produce HTML form elements for database columns
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Class-DBI-AsForm
Source0:        https://cpan.metacpan.org/authors/id/T/TM/TMTM/Class-DBI-AsForm-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:	findutils
BuildRequires:	perl-doc
BuildRequires:	rpm-build-perl
BuildRequires:	perl-devel
BuildRequires:	perl(base.pm)
BuildRequires:	perl(Class/DBI.pm)
BuildRequires:	perl(Class/DBI/Plugin/Type.pm)
BuildRequires:	perl(DBD/SQLite.pm)
BuildRequires:	perl(Exporter.pm)
BuildRequires:	perl(ExtUtils/MakeMaker.pm)
BuildRequires:	perl(HTML/Element.pm)
BuildRequires:	perl(Pod/Perldoc.pm)
BuildRequires:	perl(strict.pm)
BuildRequires:	perl(Test/More.pm)
BuildRequires:	perl(Test/Pod.pm)
BuildRequires:	perl(Test/Pod/Coverage.pm)
BuildRequires:	perl(warnings.pm)
Requires:       perl(Class/DBI.pm)
Patch0:		perl-Class-DBI-AsForm-fix01test.patch
Source44: import.info

%description
%{summary}.

%prep
%setup -q -n Class-DBI-AsForm-%{version}
%patch0 -p1
perldoc -t perlartistic > Artistic
perldoc -t perlgpl > COPYING
 
%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -delete
# %{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc Artistic COPYING Changes
%{perl_vendor_privlib}/Class/DBI

%changelog
