Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-Class-DBI-Loader-Relationship
Version:        1.3
Release:        alt2_43
Summary:        Easier relationship specification in CDBI::L
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Class-DBI-Loader-Relationship
Source0:        https://cpan.metacpan.org/authors/id/C/CH/CHUNZI/Class-DBI-Loader-Relationship-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:	rpm-build-perl
BuildRequires:	perl(Class/DBI/Loader.pm), perl(Lingua/EN/Inflect/Number.pm)
BuildRequires:	perl(Test/More.pm), perl(ExtUtils/MakeMaker.pm)
Requires:  perl(Class/DBI/Loader.pm), perl(Lingua/EN/Inflect/Number.pm)
Source44: import.info

%description
%{summary}.

%prep
%setup -q -n Class-DBI-Loader-Relationship-%{version}

# Filter false positive provides.
cat <<EOF > %{name}-prov
#!/bin/sh
%{__perl_provides} \
| grep -v 'perl(Class::DBI::Loader::Generic)'
EOF
%global __perl_provides %{_builddir}/Class-DBI-Loader-Relationship-%{version}/%{name}-prov
chmod +x %{__perl_provides}

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*

%check
make test

%files
%doc Changes
%{perl_vendor_privlib}/Class/DBI/Loader

%changelog
