Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-pod perl-podlators perldoc
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-Class-DBI-mysql
Version:        1.00
Release:        alt2_41
Summary:        Extensions to Class::DBI for MySQL
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Class-DBI-mysql
Source0:        https://cpan.metacpan.org/authors/id/T/TM/TMTM/Class-DBI-mysql-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:	findutils
BuildRequires:	perl-doc
BuildRequires:	rpm-build-perl
BuildRequires:	perl-devel
BuildRequires:	perl(base.pm)
BuildRequires:	perl(Class/DBI.pm)
BuildRequires:	perl(DBD/mysql.pm)
BuildRequires:	perl(ExtUtils/MakeMaker.pm)
BuildRequires:	perl(Pod/Perldoc.pm)
BuildRequires:	perl(strict.pm)
BuildRequires:	perl(Test/More.pm)
BuildRequires:	perl(Time/Piece/MySQL.pm)
Requires:  perl(Class/DBI.pm), perl(DBD/mysql.pm), perl(Time/Piece/MySQL.pm)
Source44: import.info

%description
%{summary}.

%prep
%setup -q -n Class-DBI-mysql-%{version}
perldoc -t perlartistic > Artistic
perldoc -t perlgpl > COPYING

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -delete
# %{_fixperms} $RPM_BUILD_ROOT/*

%files
%doc Artistic COPYING Changes
%{perl_vendor_privlib}/Class/DBI

%changelog
