Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-Class-Factory
Version:        1.06
Release:        alt2_35
Summary:        Base class for dynamic factory classes
# see lib/Class/Factory.pm
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Class-Factory
Source0:        https://cpan.metacpan.org/authors/id/P/PH/PHRED/Class-Factory-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  coreutils
BuildRequires:  findutils
BuildRequires:  perl-devel
BuildRequires:  rpm-build-perl
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
# Run-time:
BuildRequires:  perl(strict.pm)
# Tests:
BuildRequires:  perl(base.pm)
BuildRequires:  perl(lib.pm)
BuildRequires:  perl(Test/More.pm)
Source44: import.info
# Optional tests:
# Devel::Cover not used

%description
This is a simple module that factory classes can use to generate new types
of objects on the fly, providing a consistent interface to common groups
of objects.

%prep
%setup -q -n Class-Factory-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} \;
# %{_fixperms} %{buildroot}/*

%check
make test

%files
%doc Changes README
%{perl_vendor_privlib}/*

%changelog
