%define module_name Class-Mockable
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Capture/Tiny.pm) perl(Data/Compare.pm) perl(Data/Dumper/Concise.pm) perl(ExtUtils/MakeMaker.pm) perl(PadWalker.pm) perl(Scalar/Util.pm) perl(Test/Class.pm) perl(Test/Class/Load.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.3001
Release: alt1
Summary: in for making stuff mockable.
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/D/DC/DCANTRELL/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
A handy mix-in for making stuff mockable.

Use this so that when testing your code you can easily mock how your
code talks to other bits of code, thus making it possible to test
your code in isolation, and without relying on third-party services.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README CHANGELOG ARTISTIC.txt GPL2.txt
%perl_vendor_privlib/C*

%changelog
