%define module_name Class-Simple-Readonly-Cached
# BEGIN SourceDeps(oneline):
BuildRequires: perl(CHI.pm) perl(Carp.pm) perl(Class/Simple.pm) perl(ExtUtils/MakeMaker.pm) perl(Test/Carp.pm) perl(Test/MinimumVersion.pm) perl(Test/Most.pm) perl(Test/NoWarnings.pm) perl(Test/Requires.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.07
Release: alt1
Summary: cache messages to an object
Group: Development/Perl
License: open_source
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/N/NH/NHORNE/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
A sub-class of the Class::Simple manpage which caches calls to read
the status of an object that are otherwise expensive.

It is up to the caller to maintain the cache if the object comes out of sync with the cache,
for example by changing its state.

Note that it only works on objects which doesn't change its state based on input

    $val = $obj->val();
    $val = $obj->val(a => 'b');

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE Changes README.md
%perl_vendor_privlib/C*

%changelog
