%define module_name Color-Spectrum
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Color/Library.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.14
Release: alt1
Summary: Just another HTML color generator.
Group: Development/Perl
License: unknown
URL: https://github.com/jeffa/Color-Spectrum

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/J/JE/JEFFA/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
From the author, Mark Mills: "This is a rewrite of a script I wrote
[around 1999] to make spectrums of colors for web page table tags.
It uses a real simple geometric conversion that gets the job done.
It can shade from dark to light, from saturated to dull, and around
the spectrum all at the same time. It can go thru the spectrum in
either direction."
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc readme.md Changes
%perl_vendor_privlib/C*

%changelog
