%define module_name Config-AWS
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Exporter/Tiny.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Glob.pm) perl(File/Share.pm) perl(File/ShareDir/Install.pm) perl(Path/Tiny.pm) perl(Ref/Util.pm) perl(Test/Pod.pm) perl(Test2/Tools/Spec.pm) perl(Test2/V0.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.07
Release: alt1
Summary: Parse AWS config files
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/J/JJ/JJATRIA/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Config::AWS is a small distribution with generic methods to correctly parse the
contents of config files for the AWS CLI client as described in
the AWS documentation.

Although it is common to see these files parsed as standard INI files, this is
not appropriate since AWS config files have an idiosyncratic format for nested
values (as shown in the link above).

Standard INI parsers (like the Config::INI manpage) are not made to parse this sort of
structure (nor should they). So Config::AWS exists to provide a suitable
and lightweight ad-hoc parser that can be used in other applications.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.md Changes LICENSE
%perl_vendor_privlib/C*
%perl_vendor_privlib/auto/*

%changelog
