Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(File/stat.pm) perl(IO/File.pm) perl(XSLoader.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-Config-Augeas
Version:        1.000
Release:        alt10_21
Summary:        Edit configuration files through Augeas C library
License:        LGPLv2+
URL:            https://metacpan.org/release/Config-Augeas
Source0:        https://cpan.metacpan.org/modules/by-module/Config/Config-Augeas-%{version}.tar.gz

BuildRequires:  perl-devel
BuildRequires:  rpm-build-perl
BuildRequires:  perl(ExtUtils/CBuilder.pm)
BuildRequires:  perl(Module/Build.pm)
BuildRequires:  perl(Test/More.pm)
BuildRequires:  perl(Test/Pod.pm)
BuildRequires:  libaugeas-devel
Source44: import.info

%description
Augeas is a library and command line tool that focuses on the most basic
problem in handling Linux configurations programmatically: editing actual
configuration files in a controlled manner.

%prep
%setup -q -n Config-Augeas-%{version}

%build
/usr/bin/perl Build.PL installdirs=vendor optimize="$RPM_OPT_FLAGS"
./Build

%install

./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
find $RPM_BUILD_ROOT -type f -name '*.bs' -size 0 -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

# %{_fixperms} $RPM_BUILD_ROOT/*

%check
LANG=C ./Build test verbose=1

%files
%doc ChangeLog README
%{perl_vendor_archlib}/auto/*
%{perl_vendor_archlib}/Config*

%changelog
