Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(File/Basename.pm) perl(File/Spec/Functions.pm) perl(File/Temp.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-Config-Auto
Version:        0.44
Release:        alt2_21
Summary:        Magical config file parser
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Config-Auto
Source0:        https://cpan.metacpan.org/authors/id/B/BI/BINGOS/Config-Auto-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  rpm-build-perl
BuildRequires:  perl(Config/IniFiles.pm)
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(IO/String.pm)
BuildRequires:  perl(Test/More.pm)
BuildRequires:  perl(Test/Pod.pm)
BuildRequires:  perl(YAML.pm)


Source44: import.info

%description
This module was written after having to write Yet Another Config File
Parser for some variety of colon-separated config. It searches the filesystem
for the program's configuration file, basing itself on the program's name
and returns a data structure based on the file's contents.

%prep
%setup -q -n Config-Auto-%{version}

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

# %{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc Changes README
%{perl_vendor_privlib}/*

%changelog
