%define module_version 1.0
%define module_name Config-Generator
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Config/General.pm) perl(Config/Validator.pm) perl(Digest/MD5.pm) perl(ExtUtils/MakeMaker.pm) perl(FindBin.pm) perl(Getopt/Long.pm) perl(JSON.pm) perl(No/Worries.pm) perl(POSIX.pm) perl(Params/Validate.pm) perl(Pod/Usage.pm) perl(Test/More.pm) perl(XML/Parser.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.0
Release: alt1
Summary: general purpose configuration generator
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/L/LC/LCONS/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
From summary: %summary

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-%{module_version}

%build
%perl_vendor_build INSTALLMAN1DIR=%_man1dir

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_privlib/C*

%files scripts
%_man1dir/*
%_bindir/*

%changelog
