# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(File/Slurp.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define upstream_name Config-INI-Simple
%define upstream_version 1.00

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%{upstream_version}
Release:	alt1_5
License:	Artistic and GPL
Group:		Development/Perl
Summary:	Simple reading and writing from an INI file--with preserved comments
Source0:	ftp://ftp.perl.org/pub/CPAN/modules/by-module/Config/%{upstream_name}-%{upstream_version}.tar.gz
Url:		http://search.cpan.org/dist/%{upstream_name}
BuildRequires:	perl-devel

BuildArch: noarch
Source44: import.info

%description
Config::INI::Simple is for very simplistic reading and writing of INI files. 
A new object must be created for each INI file (an object keeps all the data 
read in from an INI which is used on the write method to write to the INI).

It also keeps all your comments and original order intact.

%prep
%setup -q -n %{upstream_name}-%{upstream_version} 

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%makeinstall_std

%files
%{perl_vendor_privlib}/Config/


%changelog
