%define module_name Config-IOD
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Config/IOD/Base.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(File/ShareDir/Tarball.pm) perl(File/Slurper.pm) perl(File/Spec.pm) perl(File/Temp.pm) perl(IO/Handle.pm) perl(IOD/Examples.pm) perl(IPC/Open3.pm) perl(Pod/Coverage/TrustPod.pm) perl(Test/Config/IOD/Common.pm) perl(Test/Differences.pm) perl(Test/Exception.pm) perl(Test/More.pm) perl(Test/Perl/Critic.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(constant.pm) perl(overload.pm) perl(parent.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.352
Release: alt1
Summary: Read and write IOD configuration files
Group: Development/Perl
License: perl
URL: https://metacpan.org/release/Config-IOD

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PE/PERLANCAR/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
From summary: %summary

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE Changes README
%perl_vendor_privlib/T*
%perl_vendor_privlib/C*

%changelog
