Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-Config-JFDI
Version:        0.065
Release:        alt2_29
Summary:        Just * Do it: A Catalyst::Plugin::ConfigLoader-style layer over Config::Any
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Config-JFDI
Source0:        https://cpan.metacpan.org/authors/id/R/RO/ROKR/Config-JFDI-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  rpm-build-perl
BuildRequires:  perl(Any/Moose.pm)
BuildRequires:  perl(Carp/Clan/Share.pm)
BuildRequires:  perl(Clone.pm)
BuildRequires:  perl(Config/Any.pm)
BuildRequires:  perl(Config/General.pm)
BuildRequires:  perl(Data/Visitor.pm)
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(Getopt/Usaginator.pm)
BuildRequires:  perl(Hash/Merge/Simple.pm)
BuildRequires:  perl(List/MoreUtils.pm)
BuildRequires:  perl(Path/Class.pm)
BuildRequires:  perl(Sub/Install.pm)
BuildRequires:  perl(Test/More.pm)
BuildRequires:  perl(Test/Most.pm)
Source44: import.info

%description
Config::JFDI is an implementation of Catalyst::Plugin::ConfigLoader that
exists outside of Catalyst.

%prep
%setup -q -n Config-JFDI-%{version}

%build
PERL5_CPANPLUS_IS_RUNNING=1 /usr/bin/perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

# %{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc Changes README
%{perl_vendor_privlib}/*

%changelog
