Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-Config-Model-CursesUI
Version:        1.107
Release:        alt2_3
Summary:        Curses interface to edit config data
License:        LGPLv2+
URL:            https://metacpan.org/release/Config-Model-CursesUI
Source0:        https://cpan.metacpan.org/authors/id/D/DD/DDUMONT/Config-Model-CursesUI-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  coreutils
BuildRequires:  findutils
BuildRequires:  perl-devel
BuildRequires:  rpm-build-perl
BuildRequires:  perl(Carp.pm)
BuildRequires:  perl(Config/Model.pm)
BuildRequires:  perl(Config/Model/Exception.pm)
BuildRequires:  perl(Config/Model/ObjTreeScanner.pm)
BuildRequires:  perl(Config/Model/Tester/Setup.pm)
BuildRequires:  perl(Curses/UI.pm)
BuildRequires:  perl(Data/Dumper.pm)
BuildRequires:  perl(Exporter.pm)
BuildRequires:  perl(ExtUtils/testlib.pm)
BuildRequires:  perl(Log/Log4perl.pm)
BuildRequires:  perl(Mouse.pm)
BuildRequires:  perl(Module/Build.pm)
BuildRequires:  perl(strict.pm)
BuildRequires:  perl(Test/More.pm)
BuildRequires:  perl(vars.pm)
BuildRequires:  perl(warnings.pm)
Source44: import.info

%description
This class provides a Curses::UI interface to configuration data managed by
Config::Model.

%prep
%setup -q -n Config-Model-CursesUI-%{version}

%build
/usr/bin/perl Build.PL installdirs=vendor
./Build

%install
./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
# %{_fixperms} $RPM_BUILD_ROOT/*

%check
./Build test

%files
%doc ChangeLog README
%{perl_vendor_privlib}/*

%changelog
