%define module_name Config-Model-OpenSsh
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(Config/Model.pm) perl(Config/Model/Backend/Any.pm) perl(Config/Model/BackendMgr.pm) perl(Config/Model/Itself.pm) perl(Config/Model/Tester.pm) perl(Config/Model/Tester/Setup.pm) perl(English.pm) perl(File/Copy.pm) perl(File/HomeDir.pm) perl(File/Path.pm) perl(IO/File.pm) perl(List/MoreUtils.pm) perl(Log/Log4perl.pm) perl(Module/Build.pm) perl(Mouse.pm) perl(Mouse/Role.pm) perl(Path/Tiny.pm) perl(Test/Differences.pm) perl(Test/More.pm) perl(Test/Perl/Critic.pm) perl(Test/Pod.pm) perl(Test/Warn.pm) perl(XML/Twig.pm) perl(YAML/XS.pm) perl(experimental.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 2.8.4.3
Release: alt1
Summary: OpenSSH config editor
Group: Development/Perl
License: lgpl
URL: https://github.com/dod38fr/config-model/wiki

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/D/DD/DDUMONT/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
From summary: %summary

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.pod Changes LICENSE README-build-from-git.md
%perl_vendor_privlib/C*

%changelog
