%define module_name Config-Model-Systemd
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Config/Model.pm) perl(Config/Model/Backend/Any.pm) perl(Config/Model/Backend/IniFile.pm) perl(Config/Model/Itself.pm) perl(Config/Model/Tester.pm) perl(Config/Model/Tester/Setup.pm) perl(English.pm) perl(Log/Log4perl.pm) perl(Module/Build.pm) perl(Mouse.pm) perl(Mouse/Role.pm) perl(Path/Tiny.pm) perl(Test/File/Contents.pm) perl(Test/More.pm) perl(Test/Pod.pm) perl(XML/Twig.pm) perl(experimental.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.247.1
Release: alt1
Summary: Editor and validator for systemd configuration files
Group: Development/Perl
License: lgpl
URL: https://github.com/dod38fr/config-model/wiki

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/D/DD/DDUMONT/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This module provides a configuration editor for the configuration file
of systemd, i.e. all files in `~/.config/systemd/user/' or all files
in `/etc/systemd/system/'

Ok. I simplified. Actually, this module provides the configuration
models of Systemd configuration file that the cme manpage, the Config::Model manpage and
the Config::Model::TkUI manpage use to provide a configuration editor and
checker.
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.md README-build-from-git.md Changes CONTRIBUTING.md LICENSE
%perl_vendor_privlib/C*

%changelog
