%define module_name Config-Model-Tester
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Config/Model.pm) perl(Config/Model/BackendMgr.pm) perl(Config/Model/Exception.pm) perl(Config/Model/Lister.pm) perl(Config/Model/Value.pm) perl(File/Copy/Recursive.pm) perl(Getopt/Long.pm) perl(Log/Log4perl.pm) perl(Module/Build.pm) perl(Path/Tiny.pm) perl(Test/Differences.pm) perl(Test/Exception.pm) perl(Test/File/Contents.pm) perl(Test/Log/Log4perl.pm) perl(Test/Memory/Cycle.pm) perl(Test/More.pm) perl(Test/Perl/Critic.pm) perl(Test/Warn.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 4.006
Release: alt1
Summary: Test framework for Config::Model
Group: Development/Perl
License: lgpl
URL: https://github.com/dod38fr/config-model/wiki

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/D/DD/DDUMONT/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
From summary: %summary

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README.pod LICENSE
%perl_vendor_privlib/C*

%changelog
