# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(XML/Simple.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define upstream_name    Config-Path
%define upstream_version 0.13

Name:       perl-%{upstream_name}
Version:    %{upstream_version}
Release:    alt2_8

Summary:    Path-like config API with multiple file support, directory
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Config/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Config/Any.pm)
BuildRequires: perl(ExtUtils/MakeMaker.pm)
BuildRequires: perl(Hash/Merge.pm)
BuildRequires: perl(Moose.pm)
BuildRequires: perl(Test/Exception.pm)
BuildRequires: perl(Test/More.pm)
BuildRequires: perl(YAML/XS.pm)
BuildArch: noarch
Source44: import.info

%description
Config::Path is a Yet Another Config module with a few twists that were
desired for an internal project:

* Multiple files merged into a single, flat hash

* Path-based configuration value retrieval

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.yml README
%perl_vendor_privlib/*




%changelog
