%define module_name Connector
%add_findreq_skiplist */Connector/Proxy/Authentication/KeyNanny.pm
%define _without_test 1
# BEGIN SourceDeps(oneline):
BuildRequires: perl(CPAN.pm) perl(Carp.pm) perl(Config.pm) perl(Config/Any/YAML.pm) perl(Config/Merge.pm) perl(Config/Std.pm) perl(Config/Versioned.pm) perl(Cwd.pm) perl(DBD/SQLite.pm) perl(DBI.pm) perl(DateTime.pm) perl(Digest/MD5.pm) perl(Digest/SHA.pm) perl(English.pm) perl(ExtUtils/CBuilder.pm) perl(ExtUtils/MakeMaker.pm) perl(Fcntl.pm) perl(File/Basename.pm) perl(File/Find.pm) perl(File/Spec.pm) perl(File/Temp.pm) perl(FileHandle.pm) perl(IO/Socket/SSL.pm) perl(JSON.pm) perl(LWP/Protocol/https.pm) perl(LWP/UserAgent.pm) perl(Log/Log4perl.pm) perl(MIME/Base64.pm) perl(Module/Build.pm) perl(Moose.pm) perl(Net/FTP.pm) perl(Net/LDAP.pm) perl(Net/SSL.pm) perl(Parse/CPAN/Meta.pm) perl(Path/Class.pm) perl(Proc/SafeExec.pm) perl(SOAP/Lite.pm) perl(Socket.pm) perl(Template.pm) perl(Test/More.pm) perl(Try/Tiny.pm)
BuildRequires: perl(YAML.pm) perl(YAML/Tiny.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.36
Release: alt1
Summary: a generic connection to a hierarchical-structured data set
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/M/MR/MRSCOTTY/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
The Connector is generic connection to a data set, typically configuration
data in a hierarchical structure. Each connector object accepts the get(KEY)
method, which, when given a key, returns the associated value from the
connector's data source.

Typically, a connector acts as a proxy to a simple data source like
YAML, Config::Std, Config::Versioned, or to a more complex data source
like an LDAP server or Proc::SafeExec. The standard calling convention
via get(KEY) makes the connectors interchangeable.

In addition, a set of meta-connectors may be used to combine multiple
connectors into more complex chains. The Connector::Multi, for example,
allows for redirection to delegate connectors via symbolic links. If
you have a list of connectors and want to use them in a load-balancing,
round-robin fashion or have the list iterated until a value is found,
use Connector::List and choose the algorithm to perform.


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.mkd
%perl_vendor_privlib/C*

%changelog
