# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(CPAN.pm) perl(JSON.pm) perl(LWP/Simple.pm) perl(Module/Build.pm) perl(Module/Signature.pm) perl(Net/FTP.pm) perl(Parse/CPAN/Meta.pm) perl(Pod/Parser.pm) perl(YAML/Tiny.pm) perl(parent.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define upstream_name    Convert-GeekCode
%define upstream_version 0.63

Name:       perl-%{upstream_name}
Version:    %{upstream_version}
Release:    alt1_11

Summary:    Convert and generate geek code sequences
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Convert/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils/MakeMaker.pm)
BuildRequires: perl(inc/Module/Install.pm)
BuildRequires: perl(inc/Module/Package.pm)
BuildRequires: perl(Text/Wrap.pm)
BuildRequires: perl(YAML.pm)
BuildArch:  noarch
Source44: import.info

%description
*Convert::GeekCode* converts and generates Geek Code sequences (cf. the
http://geekcode.com/ manpage). It supports different langugage codes and
user-customizable codesets.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.yml  README SIGNATURE
%perl_vendor_privlib/*
/usr/bin/geekdec
/usr/bin/geekgen
/usr/share/man/man1/geekdec.1*
/usr/share/man/man1/geekgen.1*


%changelog
