%define module_name Crayon
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Blessed/Merge.pm) perl(Colouring/In.pm) perl(ExtUtils/MakeMaker.pm) perl(Struct/Match.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.08
Release: alt1
Summary: CSS Toolkit
Group: Development/Perl
License: artistic_2
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/L/LN/LNATION/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
use Crayon;

_my $crayon = Crayon->new(
__pretty => 1
_);

_$crayon->parse(q|
__body .class {
___background: lighten(#000, 50%%);
___color: darken(#fff, 50%%);
__}
_|);

_$crayon->parse(q|
__body {
___.other {
____background: lighten(#000, 50%%);
____color: darken(#fff, 50%%);
___}
__}
_|);

_my $css = $crayon->compile();
_# body .class, body .other {
_#_background: #7f7f7f;
_#_color: #7f7f7f;
_# }

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes ignore.txt README
%perl_vendor_privlib/C*

%changelog
