%define module_name Crypt-JWT
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Compress/Raw/Zlib.pm) perl(CryptX.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(JSON.pm) perl(Scalar/Util.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.033
Release: alt1
Summary: JSON Web Token
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/M/MI/MIK/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Implements JSON Web Token (JWT) - https://tools.ietf.org/html/rfc7519.
The implementation covers not only JSON Web Signature (JWS) - https://tools.ietf.org/html/rfc7515,
but also JSON Web Encryption (JWE) - https://tools.ietf.org/html/rfc7516.

The module implements all (100%%) algorithms defined in https://tools.ietf.org/html/rfc7518 - JSON Web Algorithms (JWA).
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE Changes README.md
%perl_vendor_privlib/C*

%changelog
