%define module_version 1.0.1
%define module_name Crypt-Loki97
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(Test/More.pm) perl(XSLoader.pm) perl(diagnostics.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.0.1
Release: alt7
Summary: Crypt::CBC compliant block cipher
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/J/JC/JCDUQUE/%{module_name}-%{module_version}.tar.gz
# TODO: fix compilation on other arches
ExclusiveArch: %{ix86}

%description
Loki97 is 128-bit block cipher that accepts a variable-length key. It
was designed by Lawrie Brown, Josef Pieprzyk, and Jennifer Seberry.

The default key length in this implementation is 128 bits.

Loki97 was one of the 15 candidates for the AES.

This module supports the Crypt::CBC interface, with the following
functions.


%prep
%setup -q -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE Changes README examples
%perl_vendor_archlib/C*
%perl_vendor_autolib/*

%changelog
