%define module_version 0.04
%define module_name Crypt-OpenSSL-PBKDF2
# BEGIN SourceDeps(oneline):
BuildRequires: libssl-devel perl(AutoLoader.pm) perl(DynaLoader.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.04
Release: alt5
Summary: wrapper for PBKDF2 keys derivation function of the OpenSSL library
Group: Development/Perl
License: gplv2+ or artistic
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/S/SK/SKUPSY/OpenSSL/%{module_name}-%{module_version}.tar.gz

%description
Crypt::OpenSSL::PBKDF2 provides the ability to derive a key from a passphrase using OpenSSL library's PBKDF2 function


%prep
%setup -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE Changes README
%perl_vendor_archlib/C*
%perl_vendor_autolib/*

%changelog
