# BEGIN SourceDeps(oneline):
BuildRequires: libssl-devel perl(AutoLoader.pm) perl(Crypt/OpenSSL/Guess.pm) perl(DynaLoader.pm) perl(Exporter.pm) perl(XSLoader.pm)
# END SourceDeps(oneline)
%define module_name Crypt-OpenSSL-PKCS-Func
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.01
Release: alt3
Summary: PKCS Functions, using the OpenSSL libraries
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/A/AB/ABBYPAN/%{module_name}-%{version}.tgz

%description
Use OpenSSL libraries, for the function defined in:

RFC2898 : PBKDF2

RFC7292 : PKCS12_key_gen

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.pod Changes
%perl_vendor_archlib/C*
%perl_vendor_autolib/*

%changelog
