Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-Crypt-OpenSSL-PKCS10
Version:        0.16
Release:        alt8_16
Summary:        Perl interface to OpenSSL for PKCS10
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Crypt-OpenSSL-PKCS10
Source0:        https://cpan.metacpan.org/authors/id/J/JO/JONOZZZ/Crypt-OpenSSL-PKCS10-%{version}.tar.gz
Patch0:         perl-Crypt-OpenSSL-PKCS10-build-paths.patch
# Convert documentation to UTF-8
Patch1:         Crypt-OpenSSL-PKCS10-0.16-Convert-changlog-to-UTF-8.patch
BuildRequires:  gcc
BuildRequires:  coreutils
BuildRequires:  findutils
BuildRequires:  libssl-devel
BuildRequires:  perl-devel
BuildRequires:  perl-devel
BuildRequires:  rpm-build-perl
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
# Run-time:
BuildRequires:  perl(Exporter.pm)
BuildRequires:  perl(strict.pm)
BuildRequires:  perl(warnings.pm)
BuildRequires:  perl(XSLoader.pm)
# Tests:
BuildRequires:  perl(Crypt/OpenSSL/RSA.pm)
BuildRequires:  perl(Test/More.pm)
Source44: import.info

%description
Crypt::OpenSSL::PKCS10 Perl module provides the ability to create PKCS10
certificate requests using RSA key pairs.

%prep
%setup -q -n Crypt-OpenSSL-PKCS10-%{version}
%patch0 -p1
%patch1 -p1
chmod -c a-x Changes README
chmod -c a-x *.xs *.pm

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -type f -name '*.bs' -size 0 -exec rm -f {} \;
# %{_fixperms} %{buildroot}/*

%check
make test

%files
%doc Changes README
%{perl_vendor_archlib}/auto/*
%{perl_vendor_archlib}/Crypt/

%changelog
