%define module_name Crypt-PKCS11
# BEGIN SourceDeps(oneline):
BuildRequires: libsowing-devel perl(Config.pm) perl(DynaLoader.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(Scalar/Util.pm) perl(Test/LeakTrace.pm) perl(XSLoader.pm) perl(base.pm) perl(common/sense.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.03
Release: alt6
Summary: Full-fledged PKCS #11 v2.30 interface
Group: Development/Perl
License: see LICENSE
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/J/JE/JELU/%{module_name}-%{version}.tar.gz

%description
From summary: %%summary

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes README.testing.md COPYING LICENSE README.md
%perl_vendor_archlib/C*
%perl_vendor_autolib/*

%changelog
