%add_optflags %optflags_shared
# BEGIN SourceDeps(oneline):
BuildRequires: libssl-devel perl(Config.pm) perl(Devel/CheckLib.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(Test/More.pm) perl(Text/ParseWords.pm) perl(XSLoader.pm)
# END SourceDeps(oneline)
%define module_version 0.05
%define module_name Crypt-Scrypt
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.05
Release: alt6
Summary: Perl interface to the scrypt key derivation function
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/G/GR/GRAY/%module_name-%module_version.tar.gz
Patch33: Crypt-Scrypt-0.05-alt-pic.patch

%description
The `Crypt::Scrypt' module provides an interface to the scrypt key
derivation function. It is designed to be far more secure against hardware
brute-force attacks than alternative functions such as PBKDF2 or bcrypt.


%prep
%setup -n %module_name-%module_version
%patch33 -p1

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_archlib/C*
%perl_vendor_autolib/*

%changelog
