# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Curses.pm) perl(FindBin.pm) perl(Mail/Address.pm) perl(Mail/Header.pm) perl(Net/POP3.pm) perl(base.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define upstream_name       Curses-UI-POE
%define upstream_version 0.04

Name:       perl-%{upstream_name}
Version:    %{upstream_version}
Release:    alt3_10
Epoch:      1
Summary:    A subclass makes Curses::UI POE Friendly
License:    GPL
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:     http://www.cpan.org/modules/by-module/Curse/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Curses/UI.pm)
BuildRequires: perl(ExtUtils/MakeMaker.pm)
BuildRequires: perl(POE.pm)
BuildArch:  noarch
Source44: import.info

%description
This is a subclass for Curses::UI that enables it to work with POE. It is
designed to simply slide over Curses::UI. Keeping the API the same and simply
forcing Curses::UI to do all of its event handling via POE, instead of internal
to itself. This allows you to use POE behind the scenes for things like
networking clients, without Curses::UI breaking your programs' functionality.

%prep
%setup -q -n %{upstream_name}-%{upstream_version} 

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
%makeinstall_std

%files
%doc CHANGES META.yml  examples
%{perl_vendor_privlib}/Curses

%changelog
