%define module_name DBIx-Class-Smooth
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(DBIx/Class.pm) perl(DBIx/Class/Candy.pm) perl(DBIx/Class/Helpers.pm) perl(DateTime.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(List/SomeUtils.pm) perl(List/Util.pm) perl(Module/Load.pm) perl(Module/Loader.pm) perl(Moo.pm) perl(Safe/Isa.pm) perl(Scalar/Util.pm) perl(String/CamelCase.pm) perl(Sub/Exporter/Progressive.pm) perl(Syntax/Keyword/Try.pm) perl(Test/More.pm) perl(boolean.pm) perl(experimental.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.0102
Release: alt1
Summary: Sugar for DBIx::Class
Group: Development/Perl
License: perl
URL: https://metacpan.org/release/DBIx-Class-Smooth

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/C/CS/CSSON/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
DBIx::Class::Smooth is a sugar layer for the DBIx::Class manpage, partially built on top of the DBIx::Class::Candy manpage and the DBIx::Class::Helpers manpage.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes LICENSE
%perl_vendor_privlib/D*

%changelog
