%define module_name DBIx-Connector-Retry
# BEGIN SourceDeps(oneline):
BuildRequires: perl(DBD/SQLite.pm) perl(DBI.pm) perl(DBIx/Connector.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(Moo.pm) perl(Path/Class.pm) perl(Scalar/Util.pm) perl(Test/More.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(Test/Strict.pm) perl(Test/Version.pm) perl(Test2/Bundle/More.pm) perl(Test2/Tools/Compare.pm) perl(Test2/Tools/Exception.pm) perl(Test2/Tools/Explain.pm) perl(Types/Common/Numeric.pm) perl(Types/Standard.pm) perl(lib.pm) perl(namespace/clean.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.900.2
Release: alt1
Summary: DBIx::Connector with block retry support
Group: Development/Perl
License: artistic_2
URL: https://github.com/GrantStreetGroup/DBIx-Connector-Retry

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/G/GS/GSG/%{module_name}-v%{version}.tar.gz
BuildArch: noarch

%description
DBIx::Connector::Retry is a Moo-based subclass of the DBIx::Connector manpage that will retry on
failures.  Most of the interface was modeled after the DBIx::Class::Storage::BlockRunner manpage
and adapted for use in DBIx::Connector.

%prep
%setup -q -n %{module_name}-v%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc CONTRIBUTING.md README CHANGES LICENSE
%perl_vendor_privlib/D*

%changelog
