%define module_name DBIx-FixtureLoader
# BEGIN SourceDeps(oneline):
BuildRequires: perl(CPAN/Meta.pm) perl(CPAN/Meta/Prereqs.pm) perl(DBD/SQLite.pm) perl(DBI.pm) perl(DBIx/TransactionManager.pm) perl(JSON.pm) perl(Module/Build.pm) perl(Module/Build/Tiny.pm) perl(Moo.pm) perl(SQL/Maker.pm) perl(Test/More.pm) perl(Test/Requires.pm) perl(Text/CSV.pm) perl(YAML/Tiny.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.20
Release: alt1
Summary: Loading fixtures and inserting to your database
Group: Development/Perl
License: perl
URL: https://github.com/Songmu/p5-DBIx-FixtureLoader

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/S/SO/SONGMU/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
%summary

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.md Changes LICENSE
%perl_vendor_privlib/D*

%changelog
