%define module_name DBM-Deep

%add_findreq_skiplist %perl_vendor_privlib/DBM/Deep/Sector/DBI.pm
%add_findreq_skiplist %perl_vendor_privlib/DBM/Deep/Sector/DBI/*.pm
%add_findreq_skiplist %perl_vendor_privlib/DBM/Deep/Sector/File*.pm

# BEGIN SourceDeps(oneline):
BuildRequires: perl(Clone.pm) perl(DBD/SQLite.pm) perl(DBD/mysql.pm) perl(DBI.pm) perl(Digest/MD5.pm) perl(Fcntl.pm) perl(File/Path.pm) perl(File/Temp.pm) perl(FileHandle/Fmode.pm) perl(Module/Build.pm) perl(Pod/Usage.pm) perl(Scalar/Util.pm) perl(Test/Deep.pm) perl(Test/Exception.pm) perl(Test/More.pm) perl(Test/Warn.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 2.0016
Release: alt1
Summary: A pure perl multi-level hash/array DBM that supports transactions
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/S/SP/SPROUT/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
%summary

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_privlib/D*

%changelog
