%define module_name DOCSIS-ConfigFile
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Digest/HMAC_MD5.pm) perl(Digest/MD5.pm) perl(Digest/SHA.pm) perl(ExtUtils/MakeMaker.pm) perl(Math/BigInt.pm) perl(Socket.pm) perl(Test/More.pm) perl(autodie.pm) perl(bytes.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.76
Release: alt1
Summary: Decodes and encodes DOCSIS config files
Group: Development/Perl
License: artistic_2
URL: https://github.com/jhthorsen/docsis-configfile

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/J/JH/JHTHORSEN/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
the DOCSIS::ConfigFile manpage is a class which provides functionality to decode and
encode DOCSIS (Data over Cable Service Interface
Specifications) config files.

This module is used as a layer between any human readable data and
the binary structure.

The files are usually served using a TFTP server, after a
cable modem or MTA (Multimedia
Terminal Adapter) has recevied an IP address from a DHCP
server. These files are binary encode using a
variety of functions, but all the data in the file are constructed by TLVs
(type-length-value) blocks. These can be nested and concatenated.

See the CONFIGURATION TREE entry in the DOCSIS::ConfigFile::Syminfo manpage for full
set of possible parameters. Create an
issue if a parameter
is missing or invalid.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %EVR

%description scripts
scripts for %module_name
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes
%perl_vendor_privlib/D*

%files scripts
%_bindir/*

%changelog
