# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(FindBin.pm) perl(GD/Graph.pm) perl(GD/Graph/area.pm) perl(GD/Graph/bars.pm) perl(GD/Graph/lines.pm) perl(GD/Graph/pie.pm) perl(GD/Graph/points.pm) perl(Plack/Handler/FCGI.pm) perl(Plack/Runner.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define upstream_name    Dancer-Plugin-WindowSession
%define upstream_version 0.02

Name:       perl-%{upstream_name}
Version:    %{upstream_version}
Release:    alt3_10

Summary:    Manage Per-Browser-Window sessions
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dancer/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Clone.pm)
BuildRequires: perl(Dancer.pm)
BuildRequires: perl(ExtUtils/MakeMaker.pm)
BuildRequires: perl(Test/More.pm)
BuildArch: noarch
Source44: import.info

%description
This module makes it easy to manage per-window session variables (as
opposed to browser-wide session variables).

The common use case is when you expect users of your website to have
multiple web-browser windows open with your web-site, and for each open
window you want to maintain independant set of variables.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc META.yml Changes README META.json
%perl_vendor_privlib/*




%changelog
