%define module_version 0.25
%define module_name Dancer2-Plugin-Auth-Extensible-Provider-Usergroup
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Dancer2.pm) perl(Dancer2/Plugin/Auth/Extensible.pm) perl(Dancer2/Plugin/Auth/Extensible/Provider/Base.pm) perl(Dancer2/Plugin/DBIC.pm) perl(Dancer2/Plugin/Passphrase.pm) perl(ExtUtils/MakeMaker.pm) perl(Test/More.pm) perl(base.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.25
Release: alt1
Summary: authenticate as a member of a group
Group: Development/Perl
License: perl
URL: https://github.com/hvoers/Dancer2-Plugin-Auth-Extensible-Provider-Usergroup/

Source0: http://cpan.org.ua/authors/id/H/HV/HVOERS/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
This class is an authentication provider designed to authenticate users against
a DBIC schema, using the Dancer2::Plugin::DBIC manpage to access a database.

the Dancer2::Plugin::Passphrase manpage is used to handle hashed passwords securely; you wouldn't
want to store plain text passwords now, would you?  (If your answer to that is
yes, please reconsider; you really don't want to do that, when it's so easy to
do things right!)

See the Dancer2::Plugin::DBIC manpage for how to configure a database connection
appropriately; see the the CONFIGURATION entry elsewhere in this document section below for how to configure this
authentication provider with database details.

See the Dancer2::Plugin::Auth::Extensible manpage for details on how to use the
authentication framework, including how to use "require_login" and "require_role".
%prep
%setup -q -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes LICENSE README.md
%perl_vendor_privlib/D*

%changelog
