%define module_name Dancer2-Plugin-Auth-OAuth
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Dancer2.pm) perl(DateTime.pm) perl(Digest/MD5.pm) perl(HTTP/Message.pm) perl(JSON/MaybeXS.pm) perl(LWP/Protocol/https.pm) perl(LWP/UserAgent.pm) perl(Module/Build/Tiny.pm) perl(Module/Load.pm) perl(Net/OAuth.pm) perl(Path/Tiny.pm) perl(Plack/Test.pm) perl(Scalar/Util.pm) perl(Test/Mock/LWP/Dispatch.pm) perl(Test/More.pm) perl(Test/Pod.pm) perl(URI.pm) perl(URI/Query.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.17
Release: alt1
Summary: OAuth for your Dancer2 app
Group: Development/Perl
License: perl
URL: https://github.com/b10m/p5-Dancer2-Plugin-Auth-OAuth

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/B/BL/BLOM/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Dancer2::Plugin::Auth::OAuth is a Dancer2 plugin which tries to make OAuth
authentication easy.

The module is highly influenced by the Plack::Middleware::OAuth manpage and Dancer 1
OAuth modules, but unlike the Dancer 1 versions, this plugin only needs
configuration (look mom, no code needed!). It automatically sets up the
needed routes (defaults to `/auth/$provider' and `/auth/$provider/callback').
So if you define the Twitter provider in your config, you should automatically
get `/auth/twitter' and `/auth/twitter/callback'.

After a successful OAuth dance, the user info is stored in the session. What
you do with it afterwards is up to you.


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes LICENSE
%perl_vendor_privlib/D*

%changelog
