%define module_name Dancer2-Plugin-DBIx-Class
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(Class/C3/Componentised.pm) perl(DBD/SQLite.pm) perl(DBIx/Class/Core.pm) perl(DBIx/Class/Schema.pm) perl(DBIx/Class/Schema/ResultSetNames.pm) perl(Dancer2.pm) perl(Dancer2/Plugin.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(HTTP/Request/Common.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(JSON/MaybeXS.pm) perl(Plack/Test.pm) perl(Test/CPAN/Meta.pm) perl(Test/More.pm) perl(Test/NoTabs.pm) perl(Test/Perl/Critic.pm) perl(Test/Pod.pm) perl(Try/Tiny.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.03
Release: alt1
Summary: syntactic sugar for DBIx::Class in Dancer2, optionally with DBIx::Class::Schema::ResultSetNames
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/G/GE/GEEKRUTH/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Dancer2::Plugin::DBIx::Class adds convenience keywords to the DSL for the Dancer2 manpage, in order to make
database calls more semantically-friendly.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE README Changes
%perl_vendor_privlib/D*

%changelog
