%define module_name Dancer2-Plugin-Minion
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Dancer2.pm) perl(ExtUtils/MakeMaker.pm) perl(HTTP/Request/Common.pm) perl(Minion.pm) perl(Minion/Backend/SQLite.pm) perl(Mojolicious.pm) perl(Mojolicious/Plugin/Minion/Admin.pm) perl(Plack/Builder.pm) perl(Plack/Test.pm) perl(Test/More.pm) perl(Test/WWW/Mechanize/PSGI.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.3.3
Release: alt1
Summary: Use the Minion job queue in your Dancer2 apps.
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/C/CR/CROMEDOME/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
`Dancer2::Plugin::Minion' makes it easy to add a job queue to any of your
the Dancer2 manpage applications. The queue is powered by the Minion manpage and uses a 
backend of your choosing, such as PostgreSQL or SQLite.

The plugin lazily instantiates a Minion object, which is accessible via the
`minion' keyword. Any method, attribute, or event you need in Minion is 
available via this keyword. Additionally, `add_task' and `enqueue' keywords
are available to make it convenient to add and start new queued jobs.

See the the Minion manpage documentation for more complete documentation on the methods
and functionality available.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE Changes README.md
%perl_vendor_privlib/D*

%changelog
