%define module_name Dancer2-Plugin-Passphrase
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Dancer2.pm) perl(Data/Entropy.pm) perl(Digest.pm) perl(Digest/Bcrypt.pm) perl(Digest/SHA.pm) perl(Encode.pm) perl(ExtUtils/MakeMaker.pm) perl(MIME/Base64.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 3.3.4
Release: alt1
Summary: Passphrases and Passwords as objects for Dancer2
Group: Development/Perl
License: perl
URL: https://github.com/PerlDancer/Dancer2-Plugin-Passphrase/

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/S/SY/SYSPETE/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This plugin manages the hashing of passwords for Dancer2 apps, allowing 
developers to follow cryptography best practices without having to 
become a cryptography expert.

It uses the bcrypt algorithm as the default, while also supporting any
hashing function provided by the Digest manpage.
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc CHANGES LICENSE README.markdown
%perl_vendor_privlib/D*

%changelog
