%define module_name Dancer2-Session-DatabasePlugin
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(Dancer2/Core/Role/SessionFactory.pm) perl(Dancer2/Plugin/Database.pm) perl(Data/Dumper.pm) perl(ExtUtils/MakeMaker.pm) perl(HTTP/Request/Common.pm) perl(Modern/Perl.pm) perl(Moo.pm) perl(MooX/Types/MooseLike/Base.pm) perl(Plack/Test.pm) perl(Ref/Util.pm) perl(Scalar/Util.pm) perl(Storable.pm) perl(Test/More.pm) perl(namespace/clean.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.0012
Release: alt1
Summary: Dancer2 Session implementation for databases
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/A/AK/AKALINUX/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This class extends Dancer2::Core::Role::SessionFactory, and makes use of Dancer2::Plugin::Database for managing database connections.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/D*

%changelog
