%define module_name Data-Alias
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(Devel/CallParser.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(strict.pm) perl(threads.pm) perl(threads/shared.pm) perl(vars.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%def_without test
%define _unpackaged_files_terminate_build 1
%define module Data-Alias
Name: perl-%module
Version: 1.25
Release: alt2

Summary: Comprehensive set of aliasing operations
License: perl
Group: Development/Perl

URL: %CPAN %module
Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/X/XM/XMATH/%{module_name}-%{version}.tar.gz

# Automatically added by buildreq on Fri Oct 07 2011
BuildRequires: perl-Filter perl-Module-Install perl-Test-Pod

%description
Data::Alias is a module that allows you to apply "aliasing semantics" to
a section of code, causing aliases to be made whereever Perl would normally
make copies instead.  You can use this to improve efficiency and readability,
when compared to using references.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_archlib/Data
%perl_vendor_autolib/Data

%changelog
