%define module_name Data-CompactReadonly
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Data/IEEE754.pm) perl(Devel/StackTrace.pm) perl(Encode.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Temp.pm) perl(Scalar/Util.pm) perl(String/Binary/Interpolation.pm) perl(Test/Differences.pm) perl(Test/Exception.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.0.5
Release: alt1
Summary: writing the whole thing.
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/D/DC/DCANTRELL/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
A Compact Read Only Database that consumes very little memory. Once created a
database can not be practically updated except by re-writing the whole thing.
The aim is for random-access read performance to be on a par with the DBM::Deep manpage
and for files to be much smaller.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc CHANGELOG ARTISTIC.txt GPL2.txt
%perl_vendor_privlib/D*

%changelog
