# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define	upstream_name	 Data-DumpXML
%define	upstream_version 1.06

Name:       perl-%{upstream_name}
Version:    %{upstream_version}
Release:    alt2_9

Summary:	Dump arbitrary perl data structures as XML
License: 	GPL+ or Artistic
Group: 		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}/
Source0: 	http://www.cpan.org/authors/id/GAAS/%{upstream_name}-%{upstream_version}.tar.bz2

BuildRequires:	perl(Array/RefElem.pm)
BuildRequires:  perl(MIME/Base64.pm)
BuildRequires:  perl(XML/Parser.pm)
BuildArch:	noarch

Requires: 	perl-Array-RefElem
Source44: import.info

%description
Dump arbitrary perl data structures as XML.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor 
make

%check
make test

%install
%makeinstall_std

%files
%doc README Changes
%{perl_vendor_privlib}/Data

%changelog
