%define module_name Data-Dumper-Compact
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Class/Method/Modifiers.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(JSON/MaybeXS.pm) perl(List/Util.pm) perl(Mu/Tiny.pm) perl(Scalar/Util.pm) perl(Test/More.pm) perl(base.pm) perl(strictures.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.005002
Release: alt1
Summary: Vertically compact width-limited data formatter
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/M/MS/MSTROUT/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
the Data::Dumper::Compact manpage, henceforth referred to as DDC, was born because
I was annoyed at valuable wasted whitespace paging through both
the Data::Dumper manpage and the Data::Dump manpage based logs - the Data::Dump manpage attempts to
format horizontally first, but then if it fails, immediately switches to
formatting fully vertically, rather than trying to e.g. format a six element
arrayref three per line.

So here's a few of the specifics (noting that all examples unless otherwise
specified are dumped with default options):

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README LICENSE Changes
%perl_vendor_privlib/D*
%perl_vendor_privlib/J*

%changelog
