Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-Data-Flow
Version:        1.02
Release:        alt2_28
Summary:        Perl extension for simple-minded recipe-controlled build of data
# Author declared license there:
# <https://rt.cpan.org/Public/Bug/Display.html?id=18068#txn-175743>
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Data-Flow
Source0:        https://cpan.metacpan.org/authors/id/I/IL/ILYAZ/modules/Data-Flow-%{version}.tar.gz
Source1:        license_agreement-Radoslav_Nedyalkov.mbox
Source2:        license_agreement-Terrence_Brannon.mbox
BuildArch:      noarch
BuildRequires:  perl-devel
BuildRequires:  rpm-build-perl
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
# Run-time:
BuildRequires:  perl(AutoLoader.pm)
BuildRequires:  perl(Exporter.pm)
BuildRequires:  perl(strict.pm)
BuildRequires:  perl(vars.pm)
Source44: import.info

%description
%{summary}.

%prep
%setup -q -n Data-Flow-%{version}
install -m 0644 -t . %SOURCE1 %SOURCE2

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
# %{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc --no-dereference license_*
%doc Changes
%{perl_vendor_privlib}/*

%changelog
