# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define upstream_name    Data-Paginator
%define upstream_version 0.08

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %{upstream_version}
Release:    alt1_5

Summary:    Pagination with Moose
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Data/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils/MakeMaker.pm)
BuildRequires: perl(Moose.pm)
BuildRequires: perl(MooseX/Types.pm)
BuildRequires: perl(MooseX/Types/Moose.pm)
BuildRequires: perl(Test/More.pm)
BuildRequires: perl(strict.pm)
BuildArch:  noarch
Source44: import.info

%description
This is yet another pagination module. It only exists because none of the
other pager modules are written using Moose. Sometimes there is a Moose
feature a.. MooseX::Storage, in my case a.. that you need. It's a pain when
you can't use it with an existing module. This module aims to be completely
compatible with the venerable the Data::Page manpage. In fact, it's a
pretty blatant copy of Data::Page, lifting code from some of it's methods.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml README
%perl_vendor_privlib/*


%changelog
