%define module_name Data-Password-zxcvbn
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(Data/Visitor/Callback.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(Getopt/Long.pm) perl(JSON/MaybeXS.pm) perl(List/AllUtils.pm) perl(Module/Runtime.pm) perl(Moo.pm) perl(Moo/Role.pm) perl(Moose.pm) perl(Pod/Coverage/TrustPod.pm) perl(Pod/Wordlist.pm) perl(Scalar/Util.pm) perl(Test/Most.pm) perl(Test/NoTabs.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(Test/Spelling.pm) perl(lib.pm) perl(overload.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.0.4
Release: alt1
Summary: Dropbox's password estimation logic
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/D/DA/DAKKAR/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This is a Perl port of Dropbox's password strength estimation library,
`zxcvbn'.

The code layout has been reworked to be generally nicer (e.g. we use
classes instead of dispatch tables, all data structures are immutable)
and to pre-compute more (e.g. the dictionaries are completely
pre-built, instead of being partially computed at run time).

The code has been tested against the Python port's
password_expected_value.json test. When the dictionaries contain
exactly the same data (including some words that are loaded wrongly by
the Javascript and Python code, due to escaping issues), our results
are identical. With the dictionaries as provided in this distribution,
the results (estimated number of guesses) are still within 1%%.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %EVR

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes LICENSE README.md
%perl_vendor_privlib/D*

%files scripts
%_man1dir/*
%_bindir/*

%changelog
