# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(HTML/Entities.pm) perl(Text/CSV_XS.pm) perl(base.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:		perl-Data-Report
Version:	0.10
Release:	alt1_27
Summary:	A flexible plugin-driven reporting framework

Group:		Development/Other
License:	GPL+ or Artistic
URL:		https://metacpan.org/release/Data-Report
Source0:	https://cpan.metacpan.org/authors/id/JV/Data-Report-%{version}.tar.gz
Requires:	perl(Text/CSV.pm)

BuildArch:	noarch

BuildRequires:	rpm-build-perl
BuildRequires:	perl(Module/Build.pm)

# For test suite
BuildRequires:	perl(Test/More.pm)
BuildRequires:	perl(Text/CSV.pm)
Source44: import.info

%description
Data::Report is a framework for report generation.

You define the columns, add the data row by row, and get reports in
text, HTML, CSV and so on. Textual ornaments like extra empty lines,
dashed lines, and cell lines can be added in a way similar to HTML
style sheets.

%prep
%setup -q -n Data-Report-%{version}

%build
/usr/bin/perl Build.PL --installdirs=vendor
./Build

%check
./Build test verbose=1

%install
./Build install --installdirs=vendor --destdir %{buildroot}
/usr/bin/find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
/usr/bin/find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null ';'
chmod -R u+w %{buildroot}/*

%files
%doc
%{perl_vendor_privlib}/*

%changelog
