# BEGIN SourceDeps(oneline):
BuildRequires: perl(Data/Sah.pm) perl(Data/Sah/Normalize.pm) perl(Data/Sah/Resolve.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(Pod/Coverage/TrustPod.pm) perl(Test/More.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define module_version 0.004
%define module_name Data-Sah-Util-Subschema
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.004
Release: alt1
Summary: Extract subschemas from a schema
Group: Development/Perl
License: perl
URL: https://metacpan.org/release/Data-Sah-Util-Subschema

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PE/PERLANCAR/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
SYNOPSIS

     use Data::Sah::Util::Subschema qw(extract_subschemas)
    
     my $subschemas = extract_subschemas([array => of=>"int*"]);
     # => ("int*")
    
     $subschemas = extract_subschemas([any => of=>["int*", [array => of=>"int"]]]);
     # => ("int*", [array => of=>"int"], "int")

DESCRIPTION

FUNCTIONS

%prep
%setup -q -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE Changes README
%perl_vendor_privlib/D*

%changelog
