# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Carp.pm) perl(Config.pm) perl(DynaLoader.pm) perl(Exporter.pm) perl(base.pm) perl(overload.pm) perl(threads.pm) perl(threads/shared.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define upstream_name    Data-Swap
%define upstream_version 0.08

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%{upstream_version}
Release:	alt7_24

Summary:	Data-Swap module for perl 
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/Data/%{upstream_name}-%{upstream_version}.tar.bz2
Patch0:		Data-Swap-0.08-fix-format-security.patch
Patch1:		Data-Swap-0.08-fix-build.patch

BuildRequires:	perl-devel
Source44: import.info

%description
This module allows you to swap the contents of two referenced variables,
even if they have different types.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%patch0 -p0
%patch1 -p1


%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor
%make_build
make test

%install
%makeinstall_std

%files
%doc Changes README
%{perl_vendor_archlib}/Data/Swap.pm
%{perl_vendor_archlib}/auto/Data/Swap




%changelog
