Serial: 1
%define module_version 0.1
%define module_name Data-Validate-Struct
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Data/Validate.pm) perl(Data/Validate/IP.pm) perl(Encode.pm) perl(English.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec/Functions.pm) perl(File/stat.pm) perl(Regexp/Common.pm) perl(Regexp/Common/URI/RFC2396.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.1
Release: alt2
Summary: Validate recursive Hash Structures
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/T/TL/TLINDEN/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
This module validates a config hash reference against a given hash
structure in contrast to the Data::Validate manpage in which you have to
check each value separately using certain methods.

This hash could be the result of a config parser or just any
hash structure. Eg. the hash returned by the XML::Simple manpage could
be validated using this module. You may also use it to validate
CGI input, just fetch the input data from CGI, the map manpage it to a
hash and validate it.

Data::Validate::Struct uses some of the methods exported by the Data::Validate manpage,
so you need to install it too.



%prep
%setup -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changelog README
%perl_vendor_privlib/D*

%changelog
