# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(Module/Build/Tiny.pm) perl(Scalar/Util.pm) perl(Test/Deep.pm) perl(Test/More.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define module_name Data-WeakMap
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.0.3
Release: alt1
Summary: WeakMap that behaves like a hash, and doesn't leak memory
Group: Development/Perl
License: perl
URL: https://github.com/akarelas/Data-WeakMap-perl

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/K/KA/KARJALA/%{module_name}-v%{version}.tar.gz
BuildArch: noarch

%description
Data::WeakMap is a Perl implementation of WeakMaps that doesn't leak memory

(For more see here: https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/WeakMap)

%prep
%setup -q -n %{module_name}-v%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE README.md Changes
%perl_vendor_privlib/D*

%changelog
