%define module_name Date-Holidays
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(Date/Holidays/Abstract.pm) perl(Date/Holidays/ES.pm) perl(Date/Holidays/Super.pm) perl(DateTime.pm) perl(Env.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Slurp.pm) perl(File/Spec.pm) perl(FindBin.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(JSON.pm) perl(Locale/Country.pm) perl(Module/Load.pm) perl(Pod/Coverage/TrustPod.pm) perl(Scalar/Util.pm) perl(Test/CPAN/Changes.pm) perl(Test/CPAN/Meta/JSON.pm) perl(Test/Class.pm) perl(Test/Fatal.pm) perl(Test/Kwalitee.pm) perl(Test/MockModule.pm) perl(Test/More.pm) perl(Test/Perl/Critic.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(TryCatch.pm) perl(constant.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.29
Release: alt1
Summary: a Date::Holidays::* OOP Adapter aggregator
Group: Development/Perl
License: artistic_2
URL: https://jonasbn.github.io/perl-date-holidays/

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/J/JO/JONASBN/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
%summary

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build INSTALLMAN1DIR=%_man1dir

%install
%perl_vendor_install

%files
%doc LICENSE CONTRIBUTING.md Changes README
%perl_vendor_privlib/D*

%changelog
