%define module_name Date-Japanese-Era
%define _without_test 1
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Date/Calc.pm) perl(Encode.pm) perl(Encode/CN.pm) perl(Encode/JP.pm) perl(Encode/KR.pm) perl(Encode/TW.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(Lingua/JA/Numbers.pm) perl(Test/More.pm) perl(Test/Pod.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.07
Release: alt1
Summary: Conversion between Japanese Era / Gregorian calendar
Group: Development/Perl
License: perl
URL: https://github.com/miyagawa/Date-Japanese-Era

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/M/MI/MIYAGAWA/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Date::Japanese::Era handles conversion between Japanese Era and
Gregorian calendar.


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes LICENSE README
%perl_vendor_privlib/D*

%changelog
