# BEGIN SourceDeps(oneline):
BuildRequires: perl(Astro/Coord/ECI.pm) perl(Astro/Coord/ECI/Moon.pm) perl(Astro/Coord/ECI/Sun.pm) perl(Astro/Coord/ECI/Utils.pm) perl(Astro/Coord/ECI/VSOP87D/Venus.pm) perl(CPAN/Meta.pm) perl(Carp.pm) perl(Date/Manip.pm) perl(Date/Manip/Date.pm) perl(Devel/Symdump.pm) perl(Module/Build.pm) perl(Module/Load.pm) perl(Module/Metadata.pm) perl(Pod/Usage.pm) perl(Scalar/Util.pm) perl(Test2/Plugin/BailOnFail.pm) perl(Test2/Tools/LoadModule.pm) perl(Test2/V0.pm) perl(Text/ParseWords.pm) perl(constant.pm) perl(lib.pm) perl(parent.pm) perl(strict.pm) perl(utf8.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define module_name Date-ManipX-Almanac
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.001
Release: alt1
Summary: Add almanac date/time functionality (sunrise, etc.) to Date::Manip
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/W/WY/WYANT/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
The `Date-ManipX-Almanac' package adds almanac dates/times to
Date::Manip: things like `'sunrise'', `'full moon'',
and `'Venus sets''.

At the moment only dates are supported (via
Date::ManipX::Almanac::Date), and this
module is simply a place-holder for the top of the hierarchy.

However this module is a subclass of Date::Manip, so
that you can probe for `DM5' or `DM6' functionality with `isa()'. Of
course, if `Date::ManipX::Almanac->isa( 'Date::Manip::DM6' )'
returns a false value it is probably a bug.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/D*

%changelog
