Group: Development/Perl
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-Date-Tiny
Version:        1.07
Release:        alt2_15
Summary:        Date object with as little code as possible
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Date-Tiny
Source0:        https://cpan.metacpan.org/authors/id/D/DA/DAGOLDEN/Date-Tiny-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl-devel
BuildRequires:  rpm-build-perl
BuildRequires:  perl(Carp.pm)
BuildRequires:  perl(CPAN/Meta.pm)
BuildRequires:  perl(DateTime.pm)
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(File/Spec.pm)
BuildRequires:  perl(Test/More.pm)
BuildRequires:  perl(blib.pm)
BuildRequires:  perl(overload.pm)
BuildRequires:  perl(strict.pm)
BuildRequires:  perl(warnings.pm)


Source44: import.info

%description
Date::Tiny is a member of the DateTime::Tiny suite of time modules.

%prep
%setup -q -n Date-Tiny-%{version}

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT NO_PACKLIST=1
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
# %{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc Changes README
%doc --no-dereference LICENSE
%{perl_vendor_privlib}/Date*

%changelog
