Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(CPAN.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:		perl-DateTime-Calendar-Mayan 
Version:	0.0601 
Release:	alt2_36
License:	GPL+ or Artistic 
Summary:	Mayan Long Count Calendar 
URL:		https://metacpan.org/release/DateTime-Calendar-Mayan
Source0:	https://cpan.metacpan.org/modules/by-module/DateTime/DateTime-Calendar-Mayan-%{version}.tar.gz
BuildArch:	noarch
# Module Build
BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	rpm-build-perl
BuildRequires:	perl-devel
BuildRequires:	perl(ExtUtils/MakeMaker.pm)
BuildRequires:	perl(Module/Build/Compat.pm)
# Runtime
BuildRequires:	perl(constant.pm)
BuildRequires:	perl(DateTime.pm)
BuildRequires:	perl(Params/Validate.pm)
BuildRequires:	perl(strict.pm)
BuildRequires:	perl(vars.pm)
# Test Suite
BuildRequires:	perl(DateTime/Duration.pm)
BuildRequires:	perl(Test/More.pm)
BuildRequires:	perl(warnings.pm)
Source44: import.info
# Dependencies

%description
An implementation of the Mayan Long Count, Haab, and Tzolkin calendars
as defined in "Calendrical Calculations The Millennium Edition".
Supplemented by "Frequently Asked Questions about Calendars".

%prep
%setup -q -n DateTime-Calendar-Mayan-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
# %{_fixperms} -c %{buildroot}

%check
make test

%files
%doc --no-dereference LICENSE
%doc Changes README Todo
%{perl_vendor_privlib}/DateTime/

%changelog
