# BEGIN SourceDeps(oneline):
BuildRequires: perl(Data/Validate/Email.pm) perl(Data/Validate/URI.pm) perl(Encode.pm) perl(ExtUtils/MakeMaker.pm) perl(Scalar/Util.pm) perl(Test/More.pm) perl(Text/BibTeX.pm) perl(Text/BibTeX/Validate.pm) perl(YAML/XS.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define module_name Debian-DEP12
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.1.0
Release: alt1
Summary: interface to Debian DEP 12 format
Group: Development/Perl
License: bsd
URL: https://search.cpan.org/dist/Debian-DEP12

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/M/ME/MERKYS/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Debian::DEP12 is an object-oriented interface for Debian DEP 12 format,
also known as debian/upstream/metadata. Primary focus of the initial
development was validation and fixing of DEP 12 data.

Contributions welcome!

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE Changes README
%perl_vendor_privlib/D*

%changelog
