%define module_name Devel-Camelcadedb
# BEGIN SourceDeps(oneline):
BuildRequires: perl(B/Deparse.pm) perl(Cwd.pm) perl(Encode.pm) perl(Encode/CN.pm) perl(Encode/JP.pm) perl(Encode/KR.pm) perl(Encode/TW.pm) perl(ExtUtils/MakeMaker.pm) perl(Hash/StoredIterator.pm) perl(IO/Socket/INET.pm) perl(JSON/XS.pm) perl(PadWalker.pm) perl(Scalar/Util.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 2021.2
Release: alt1
Summary: perl side of the perl debugger for IntelliJ IDEA and other JetBrains IDE
Group: Development/Perl
License: mit
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/H/HU/HURRICUP/%{module_name}-v%{version}.tar.gz
BuildArch: noarch

%description
# Devel::Camelcadedb

This module is a perl side of [Camelcade](https://github.com/hurricup/Perl5-IDEA) debugger.

This project is currently in development and not yet working.

# INSTALLATION

To install this module, run the following commands:

_perl Makefile.PL
_make
_make test

%prep
%setup -q -n %{module_name}-v%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.md Changes LICENSE
%perl_vendor_privlib/D*

%changelog
