%define module_version 1.56
%define module_name Devel-Examine-Subs
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Benchmark.pm) perl(Carp.pm) perl(Cwd.pm) perl(Data/Compare.pm) perl(Data/Dumper.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Basename.pm) perl(File/Edit/Portable.pm) perl(PPI.pm) perl(Symbol.pm) perl(Test/Compile.pm) perl(Test/More.pm) perl(Test/Trap.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.56
Release: alt1
Summary: unknown
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/S/ST/STEVEB/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
Gather information about subroutines in Perl files (and in-memory modules),
with the ability to search/replace code, inject new code, get line counts,
get start and end line numbers, access the sub's code and a myriad of other
options.
%prep
%setup -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README examples
%perl_vendor_privlib/D*

%changelog
