Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:		perl-Devel-GlobalDestruction-XS
Version:	0.03
Release:	alt8_19
License:	GPL+ or Artistic
Summary:	Faster implementation of the Devel::GlobalDestruction API
URL:		https://metacpan.org/release/Devel-GlobalDestruction-XS
Source0:	https://cpan.metacpan.org/modules/by-module/Devel/Devel-GlobalDestruction-XS-%{version}.tar.gz
# Build
BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	gcc
BuildRequires:	perl-devel
BuildRequires:	rpm-build-perl
BuildRequires:	perl-devel
BuildRequires:	perl
BuildRequires:	perl(ExtUtils/MakeMaker.pm)
# Module
BuildRequires:	perl(strict.pm)
BuildRequires:	perl(warnings.pm)
BuildRequires:	perl(XSLoader.pm)
# Test suite
BuildRequires:	perl(B.pm)
BuildRequires:	perl(Config.pm)
BuildRequires:	perl(POSIX.pm)
# Optional tests
BuildRequires:	perl(threads.pm)
BuildRequires:	perl(threads/shared.pm)
# Runtime

# Don't "provide" private Perl libs

Source44: import.info

%description
This is an XS backend for Devel::GlobalDestruction and should be used through
that module.

%prep
%setup -q -n Devel-GlobalDestruction-XS-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
%make_build

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
find %{buildroot} -type f -name '*.bs' -empty -delete
# %{_fixperms} -c %{buildroot}

%check
make test

%files
%doc Changes README
%{perl_vendor_archlib}/auto/Devel/
%{perl_vendor_archlib}/Devel/

%changelog
