# BEGIN SourceDeps(oneline):
BuildRequires: perl(CPAN.pm) perl(Cwd.pm) perl(DynaLoader.pm) perl(ExtUtils/CBuilder.pm) perl(File/Spec.pm) perl(Module/Build.pm) perl(Test/More.pm) perl(base.pm) pkgconfig(glib-2.0)
# END SourceDeps(oneline)
%define module_name Devel-LeakTrace
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.06
Release: alt3
Summary: indicate where leaked variables are coming from.
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/R/RC/RCLAMP/%{module_name}-%{version}.tar.gz

%description
Based heavily on Devel::Leak, Devel::LeakTrace uses the pluggable
runops feature found in perl 5.6 and later in order to trace SV
allocations of a running program.

At END time Devel::LeakTrace identifies any remaining variables, and
reports on the lines in which the came into existence.

Note that by default state is first recorded during the INIT phase.
As such the module will not pay attention to any scalars created
during BEGIN time.  This is intentional as symbol table aliasing is
never released before the END times and this is most common in the
implicit BEGIN blocks of `use' statements.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes TODO
%perl_vendor_archlib/D*
%perl_vendor_autolib/*

%changelog
