%define module_name Device-AVR-UPDI
# BEGIN SourceDeps(oneline):
BuildRequires: perl(File/ShareDir.pm) perl(Future/AsyncAwait.pm) perl(Future/IO.pm) perl(IO/Handle.pm) perl(IO/Termios.pm) perl(List/Util.pm) perl(Module/Build.pm) perl(Object/Pad.pm) perl(Struct/Dumb.pm) perl(Test/ExpectAndCheck.pm) perl(Test/Future/IO.pm) perl(Test/More.pm) perl(XS/Parse/Keyword.pm) perl(XS/Parse/Sublike.pm) perl(YAML.pm) perl(base.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.09
Release: alt1
Summary: interact with an F<AVR> microcontroller over F<UPDI>
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PE/PEVANS/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This module provides a class for interacting with an AVR microcontroller in
one of the newer ATmega 0-series, or ATtiny 0-series or 1-series types,
which uses the UPDI programming and debug interface.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %EVR

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes LICENSE README
%perl_vendor_privlib/D*
%perl_vendor_privlib/auto/*

%files scripts
%_man1dir/*
%_bindir/*

%changelog
