%define module_name Device-Chip-AVR_HVSP
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Device/AVR/Info.pm) perl(Device/Chip.pm) perl(Future/AsyncAwait.pm) perl(IO/Handle.pm) perl(List/Util.pm) perl(List/UtilsBy.pm) perl(Module/Build.pm) perl(Object/Pad.pm) perl(Struct/Dumb.pm) perl(Test/Device/Chip/Adapter.pm) perl(Test/Future/Deferred.pm) perl(Test/More.pm) perl(Time/HiRes.pm) perl(XS/Parse/Sublike.pm) perl(base.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.05
Release: alt1
Summary: high-voltage serial programming for F<AVR> chips
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PE/PEVANS/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This the Device::Chip manpage subclass allows interaction with an AVR
microcontroller of the ATtiny family in high-voltage serial programming
(HVSP) mode. It is particularly useful for configuring fuses or working with a
chip with the `RSTDISBL' fuse programmed, because in such cases a regular ISP
programmer cannot be used.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release

%description scripts
scripts for %module_name
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README LICENSE examples
%perl_vendor_privlib/D*

%files scripts
%_man1dir/*
%_bindir/*

%changelog
