%define module_name Device-Chip-Adapter-UART
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Device/Chip/Adapter.pm) perl(Future.pm) perl(Future/Buffer.pm) perl(Future/IO.pm) perl(IO/Termios.pm) perl(Module/Build.pm) perl(Test/More.pm) perl(base.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.02
Release: alt1
Summary: a C<Device::Chip::Adapter> implementation for
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PE/PEVANS/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This class implements the the Device::Chip::Adapter manpage interface around a regular
serial port, such as a USB UART adapter, allowing an instance of a
the Device::Chip manpage driver to communicate with actual chip hardware using this
adapter.

At present, this adapter only provides the `GPIO' protocol as a wrapper
around the modem control and handshaking lines. A future version will also
provide access to the actual transmit and receive data, once a suitable
interface is designed.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE README Changes
%perl_vendor_privlib/D*

%changelog
