%define module_name Device-FTDI
# BEGIN SourceDeps(oneline):
BuildRequires: libsowing-devel perl(Device/Chip/Adapter.pm) perl(Device/Chip/ProtocolBase/SPI.pm) perl(Exporter.pm) perl(ExtUtils/PkgConfig.pm) perl(FindBin.pm) perl(Future.pm) perl(Test/HexString.pm) perl(Test/More.pm) perl(Time/HiRes.pm) perl(XS/Parse/Keyword.pm) perl(XS/Parse/Sublike.pm) perl(XSLoader.pm) perl(base.pm) perl(constant.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators
BuildRequires: libftdi1-devel

Name: perl-%module_name
Version: 0.14
Release: alt3
Summary: perl extension to talk to FTDI chips
Group: Development/Perl
License: perl
URL: https://github.com/leonerd/perl-Device-FTDI

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PE/PEVANS/%{module_name}-%{version}.tar.gz

%description
WARNING: this is an alpha version

This is Perl bindings to libftdi library. It allows you to communicate with
FTDI chips supported by this library.


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes examples
%perl_vendor_archlib/D*
%perl_vendor_autolib/*

%changelog
