# BEGIN SourceDeps(oneline):
BuildRequires: perl(Exporter.pm) perl(Module/Build/Tiny.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define module_name Die-To-Stdout
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.01
Release: alt1
Summary: Make die() print the error to both STDOUT and SDERR, then die.
Group: Development/Perl
License: perl
URL: https://gitlab.com/Herout/die-to-stdout

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/J/JA/JAHERO/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
## What?

This module when loaded will make die() print the error to both STDOUT and SDERR, then die.

## Why?

You migth want to use this module in case when both STDOUT and STDERR of your Perl script is redirected to the file.
If this is the case, and the script dies, the error message might be located at the TOP of your log file. 

Alternative solution could be to switch-off caching, like this:

    $| = 1;

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE Changes README.md
%perl_vendor_privlib/D*

%changelog
