%define module_name Digest-Bcrypt
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(Crypt/Eksblowfish/Bcrypt.pm) perl(Digest.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(Scalar/Util.pm) perl(Test/More.pm) perl(Try/Tiny.pm) perl(bytes.pm) perl(parent.pm) perl(strict.pm) perl(utf8.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.209
Release: alt1
Summary: Perl interface to the bcrypt digest algorithm
Group: Development/Perl
License: perl
URL: https://github.com/genio/digest-bcrypt

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/C/CA/CAPOEIRAB/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
%summary

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README CONTRIBUTING.md Changes LICENSE
%perl_vendor_privlib/D*

%changelog
