# BEGIN SourceDeps(oneline):
BuildRequires: perl(Digest.pm) perl(ExtUtils/MakeMaker.pm) perl(MIME/Base64.pm) perl(Test/More.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define module_version 0.04
%define module_name Digest-Fugue
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.04
Release: alt6
Summary: Perl interface to the Fugue digest algorithm
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/G/GR/GRAY/%module_name-%module_version.tar.gz

%description
The `Digest::Fugue' module provides an interface to the Fugue message
digest algorithm. Fugue is a candidate in the NIST SHA-3 competition.

This interface follows the conventions set forth by the `Digest' module.


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_archlib/D*
%perl_vendor_autolib/*

%changelog
