# BEGIN SourceDeps(oneline):
BuildRequires: perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(Test/Pod.pm) perl(XSLoader.pm) perl(base.pm)
# END SourceDeps(oneline)
%define module_version 0.001000
%define module_name Digest-MurmurHash2-Neutral
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.001000
Release: alt5
Summary: Perl XS interface to the endian neutral MurmurHash2 algorithm
Group: Development/Perl
License: perl
URL: https://github.com/frioux/Digest-MurmurHash2

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/F/FR/FREW/%{module_name}-%{module_version}.tar.gz

%description
This is an implementation of the endian neutral MurmurHash2 algorithm by Austin
Appleby.  This module was originally written for
ZipRecruiter using code from nginx.
I used the Digest::MurmurHash manpage as a template.
%prep
%setup -q -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE README Changes
%perl_vendor_archlib/D*
%perl_vendor_autolib/*

%changelog
