%define module_name Dist-Inkt
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Archive/Tar.pm) perl(CPAN/Changes.pm) perl(CPAN/Meta.pm) perl(CPAN/Meta/Requirements.pm) perl(Cwd.pm) perl(Data/Dump.pm) perl(ExtUtils/MakeMaker.pm) perl(File/chdir.pm) perl(List/MoreUtils.pm) perl(Module/CPANfile.pm) perl(Module/Metadata.pm) perl(Module/Runtime.pm) perl(Module/Signature.pm) perl(Moose.pm) perl(Path/FindDev.pm) perl(Path/Iterator/Rule.pm) perl(Path/Tiny.pm) perl(RDF/DOAP/Lite.pm) perl(Software/License.pm) perl(Test/More.pm) perl(Text/sprintfn.pm) perl(Types/Path/Tiny.pm) perl(Types/Standard.pm) perl(namespace/autoclean.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.025
Release: alt1
Summary: yet another distribution builder
Group: Development/Perl
License: perl
URL: https://metacpan.org/release/Dist-Inkt

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/T/TO/TOBYINK/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
From summary: %summary

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build INSTALLMAN1DIR=%_man1dir

%install
%perl_vendor_install

%files
%doc COPYRIGHT Changes LICENSE CREDITS README examples
%perl_vendor_privlib/D*

%files scripts
%_man1dir/*
%_bindir/*

%changelog
