%define module_name Dist-Mgr
# BEGIN SourceDeps(oneline):
BuildRequires: perl(CPAN/Uploader.pm) perl(Capture/Tiny.pm) perl(Digest/SHA.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Copy/Recursive.pm) perl(File/Find/Rule.pm) perl(File/Path.pm) perl(File/Touch.pm) perl(Hook/Output/Tiny.pm) perl(JSON.pm) perl(Mock/Sub.pm) perl(Module/Starter.pm) perl(PPI.pm) perl(Term/ReadKey.pm) perl(Test/More.pm) perl(Tie/File.pm) perl(version.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.09
Release: alt1
Summary: Automation for Perl distribution creation, integration, pre-release, release and post-release tasks...
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/S/ST/STEVEB/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
For end-users, please review the
documentation for
the distmgr
program that we've installed for you as part of this distribution.

This software performs a full suite of automated creation, addition, pre-release,
release and post release tasks for Perl distributions. It integrates with VCS,
automates the configuration of Continuous Integration, manages version numbers
and Changes files, amongst a slew of other tasks.

This distribution is essentially a bunch of tools that revolve around a base
distribution created with `module-starter'.

At this time, it relies on using the Module::Starter manpage for initial distribution
creation, Github for repository and bugtracker, and the the ExtUtils::MakeMaker manpage
build system, which utilizes `Makefile.PL' files.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %EVR

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README.md
%perl_vendor_privlib/D*

%files scripts
%_bindir/*

%changelog
