# BEGIN SourceDeps(oneline):
BuildRequires: perl(Dist/Zilla/Role/AfterBuild.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(Module/Load.pm) perl(Moose.pm) perl(Pod/Coverage/TrustPod.pm) perl(Test/More.pm) perl(Test/Perl/Critic.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(experimental.pm) perl(namespace/autoclean.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define module_name Dist-Zilla-Plugin-Acme-CPANModules-Blacklist
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.001
Release: alt1
Summary: Blacklist prereqs using an Acme::CPANModules module
Group: Development/Perl
License: perl
URL: https://metacpan.org/release/Dist-Zilla-Plugin-Acme-CPANModules-Blacklist

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PE/PERLANCAR/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
`Acme::CPANModules::*' modules contains lists of modules. With this plugin, you
can specify a blacklist to modules in those lists.

If you specify a module, e.g.:

 module=SomeName

then a module called `Acme::CPANModules::SomeName' will be loaded, and all
modules listed in the module's `$LIST' will be added to the blacklist.

To specify more Acme::CPANModules modules, add more `module=' lines.

Later in the build, when a prereq is specified against one of the blacklisted
modules, an error message will be thrown and the build process aborted.

To whitelist a module, list it in the Whitelist configuration in dist.ini:

 [Acme::CPANModules::Whitelist]
 module=Log::Any

To whitelist more modules, add more `module=' lines.

=for Pod::Coverage .+

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes LICENSE README
%perl_vendor_privlib/D*

%changelog
