%define module_name Dist-Zilla-Plugin-AlienBuild
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Alien/Base/Wrapper.pm) perl(Alien/Build.pm) perl(Capture/Tiny.pm) perl(Config.pm) perl(Data/Section.pm) perl(Dist/Zilla.pm) perl(ExtUtils/MakeMaker.pm) perl(JSON/MaybeXS.pm) perl(JSON/PP.pm) perl(List/Util.pm) perl(Moose.pm) perl(Path/Tiny.pm) perl(Sub/Exporter/ForMethods.pm) perl(Test2/Mock.pm) perl(Test2/V0.pm) perl(YAML.pm) perl(base.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.32
Release: alt1
Summary: Use Alien::Build with Dist::Zilla
Group: Development/Perl
License: perl
URL: https://metacpan.org/pod/Dist::Zilla::Plugin::AlienBuild

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PL/PLICEASE/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This the Dist::Zilla manpage plugin is designed to help create the Alien manpage modules using
the the alienfile manpage and the Alien::Build manpage recipe system with the Alien::Base manpage.  The
intent is that you will maintain your the alienfile manpage as you normally would,
and this plugin will ensure the right prereqs are specified in the `META.json'
and other things that are easy to get not quite right.

Specifically, this plugin:

=over 4

=item adds prereqs

Adds the `configure' requirements to your dist `configure' requires.  It
adds the `any' requirements from your the alienfile manpage to your dist `build'
requires.

=item adjusts Makefile.PL

Adjusts your `Makefile.PL' to use the Alien::Build::MM manpage.  If you are using
the ExtUtils::MakeMaker manpage.

=item sets the mb_class for Build.PL

sets mb_class to the Alien::Build::MB manpage on the the Dist::Zilla::Plugin::ModuleBuild manpage
plugin.  If you are using the Module::Build manpage.

=item turn on dynamic prereqs

Which are used by most the Alien::Build manpage based the Alien manpage distributions.

=item sets x_alienfile meta

Unless you turn this feature off using `alienfile_meta' below.

=back

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc author.yml Changes LICENSE README
%perl_vendor_privlib/D*

%changelog
