# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Path/Tiny.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define upstream_name    Dist-Zilla-Plugin-AutoVersion-Relative
%define upstream_version 1.001001

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %{upstream_version}
Release:    alt1_4

Summary:    Time-Relative versioning
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Const/Fast.pm)
BuildRequires: perl(DateTime.pm)
BuildRequires: perl(Dist/Zilla.pm)
BuildRequires: perl(Dist/Zilla/Plugin/GatherDir.pm)
BuildRequires: perl(Dist/Zilla/Role/TextTemplate.pm)
BuildRequires: perl(Dist/Zilla/Role/VersionProvider.pm)
BuildRequires: perl(Dist/Zilla/Tester.pm)
BuildRequires: perl(Dist/Zilla/Util/ConfigDumper.pm)
BuildRequires: perl(Dist/Zilla/Util/Test/KENTNL.pm)
BuildRequires: perl(Eval/Closure.pm)
BuildRequires: perl(File/Find.pm)
BuildRequires: perl(File/Temp.pm)
BuildRequires: perl(Moose.pm)
BuildRequires: perl(MooseX/StrictConstructor.pm)
BuildRequires: perl(MooseX/Types/DateTime.pm)
BuildRequires: perl(MooseX/Types/Moose.pm)
BuildRequires: perl(Package/DeprecationManager.pm)
BuildRequires: perl(Readonly.pm)
BuildRequires: perl(Test/More.pm)
BuildRequires: perl(namespace/autoclean.pm)
BuildRequires: perl(strict.pm)
BuildRequires: perl(warnings.pm)
BuildArch:  noarch
Source44: import.info

%description
no description found

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml  README
%{perl_vendor_privlib}/*


%changelog
