# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define upstream_name    Dist-Zilla-Plugin-BuildFile
%define upstream_version 0.04

Name:       perl-%{upstream_name}
Version:    %{upstream_version}
Release:    alt2_8

Summary:    Build files by running an external command
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Data/Dumper.pm)
BuildRequires: perl(Dist/Zilla/Role/AfterBuild.pm)
BuildRequires: perl(Dist/Zilla/Role/BeforeBuild.pm)
BuildRequires: perl(ExtUtils/MakeMaker.pm)
BuildRequires: perl(IPC/Run3.pm)
BuildRequires: perl(Moose.pm)
BuildRequires: perl(Moose/Autobox.pm)
BuildRequires: perl(MooseX/Types/Path/Class.pm)
BuildRequires: perl(Text/Template.pm)
BuildRequires: perl(namespace/autoclean.pm)
BuildArch:  noarch
Source44: import.info

%description
During the 'BeforeBuild' phase of execution, this plugin creates or updates
one or more files and tests that they now exist. Later, during the
'AfterBuild' phase of execution the created or updated files are deleted,
unless the 'precious' configuration option was used.

Note that this plugin only generates the files on demand. In order to put
them into the distribution, a FileGatherer such as GatherDir must also be
run.

The file(s) are built by running an external command specified with the
'command =' configuration parameter. By default that command runs 'make'
with the list of targets specified with the 'target = ' configuration
parameter. If not specified, the list of targets contains a single item
which is the name of the plugin.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc CHANGES INSTALL LICENSE META.yml  README
%perl_vendor_privlib/*

%changelog
