%define module_version 0.109
%define module_name Dist-Zilla-Plugin-ChangelogFromGit-CPAN-Changes
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Archive/Tar.pm) perl(CPAN/Changes.pm) perl(CPAN/Changes/Release.pm) perl(Class/Load.pm) perl(DateTime.pm) perl(Dist/Zilla/File/InMemory.pm) perl(Encode.pm) perl(ExtUtils/MakeMaker.pm) perl(File/chdir.pm) perl(Git/Wrapper.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(Module/Build/Tiny.pm) perl(Moose.pm) perl(Moose/Util/TypeConstraints.pm) perl(Test/CPAN/Changes.pm) perl(Test/CheckDeps.pm) perl(Test/DZil.pm) perl(Test/More.pm) perl(Test/Roo.pm) perl(Test/Roo/Role.pm) perl(blib.pm) perl(Dist/Zilla/Role/Git/Repo.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.109
Release: alt1
Summary: Generate valid CPAN::Changes Changelogs from git
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/I/IO/IOANR/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
[ChangelogFromGit::CPAN::Changes]
 ; All options from [ChangelogFromGit] plus
 group_by_author       = 1 ; default 0
 show_author_email     = 1 ; default 0
 show_author           = 0 ; default 1
 edit_changelog        = 1 ; default 0


%prep
%setup -q -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes LICENSE
%perl_vendor_privlib/D*

%changelog
