# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Git.pm) perl(Moose.pm) perl(Perl/Version.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define upstream_name    Dist-Zilla-Plugin-Git-Tag-ForRelease
%define upstream_version 0.05

Name:       perl-%{upstream_name}
Version:    %{upstream_version}
Release:    alt1_4
Epoch:      1

Summary:    Create a Release Tag Before Building the Distribution
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-v%{upstream_version}.tar.gz

BuildRequires: perl(English.pm)
BuildRequires: perl(Test/More.pm)
BuildArch: noarch
Source44: import.info

%description
This plugin attempts to tag the current repository with an appropriate new
version number.

%prep
%setup -q -n %{upstream_name}-v%{upstream_version}

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%__make test

%install
%makeinstall_std

%files
%doc CHANGES META.yml LICENSE README
%{perl_vendor_privlib}/*


%changelog
