%define module_name Dist-Zilla-Plugin-GitHub-RequireGreenBuild
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Dist/Zilla.pm) perl(Dist/Zilla/Plugin/GitHub.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(File/Temp.pm) perl(Git/Wrapper.pm) perl(HTTP/Tiny.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(Moose.pm) perl(Test/DiagINC.pm) perl(Test/More.pm) perl(namespace/clean.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.03
Release: alt1
Summary: Require a successful GitHub Actions workflow run
Group: Development/Perl
License: artistic_2
URL: http://metacpan.org/release/Dist-Zilla-Plugin-GitHub-RequireGreenBuild/

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/G/GT/GTERMARS/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This `Dist::Zilla' plugin checks your GitHub Actions for a successful run,
before allowing a release.

e.g. until we can determine that you have a green build for a GitHub Actions run
against `HEAD', you're not allowed to release.

To determine whether or not a successful run exists, we page through all of
your GitHub Actions runs, to find a successful run for the current `HEAD' SHA.

This comes with the implicit expectation that you have already pushed your
commits back up to GitHub.  If you haven't pushed, we find any runs matching the
current `HEAD', and you won't be able to release.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes LICENSE README
%perl_vendor_privlib/D*

%changelog
