# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define upstream_name    Dist-Zilla-Plugin-MatchManifest
%define upstream_version 6.000

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %{upstream_version}
Release:    alt1_3

Summary:    Ensure that MANIFEST is correct
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildConflicts: cpanminus

BuildRequires: perl(Dist/Zilla.pm)
BuildRequires: perl(Dist/Zilla/Role/InstallTool.pm)
BuildRequires: perl(ExtUtils/MakeMaker.pm)
BuildRequires: perl(Moose.pm)
BuildRequires: perl(Moose/Autobox.pm)
BuildRequires: perl(Test/DZil.pm)
BuildRequires: perl(Test/Fatal.pm)
BuildRequires: perl(Test/More.pm)
BuildRequires: perl(Text/Diff.pm)
BuildRequires: perl(autodie.pm)
BuildArch:  noarch
Source44: import.info

%description
If included, this plugin will ensure that the distribution contains a
_MANIFEST_ file and that its contents match the files collected by
Dist::Zilla. If not, it will display the differences and (if STDIN & STDOUT
are TTYs) offer to update the _MANIFEST_.

As I see it, there are 2 problems that a MANIFEST can protect against:

* 1.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml  README
%{perl_vendor_privlib}/*

%changelog
