%define module_name Dist-Zilla-Plugin-MinimumPerlFast
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(Dist/Zilla/Role/FileFinderUser.pm) perl(Dist/Zilla/Role/PrereqSource.pm) perl(List/Util.pm) perl(Module/Build/Tiny.pm) perl(Moose.pm) perl(MooseX/Types/Perl.pm) perl(Perl/MinimumVersion/Fast.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.004
Release: alt1
Summary: Fast minimum perl version finder
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/L/LE/LEONT/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This plugin uses the Perl::MinimumVersion::Fast manpage to automatically find the minimum version of Perl required for your dist and adds it to the prereqs..
# In your dist.ini:
[MinimumPerl]

This plugin will search for files matching `/\.(t|pl|pm)$/i' in the `lib/', `bin/', and `t/' directories.


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE README Changes
%perl_vendor_privlib/D*

%changelog
