# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define upstream_name    Dist-Zilla-Plugin-ReportPhase
%define upstream_version 0.03

Name:       perl-%{upstream_name}
Version:    %{upstream_version}
Release:    alt2_9

Summary:    Report whats going on
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Data/Dumper.pm)
BuildRequires: perl(Dist/Zilla/Role/AfterBuild.pm)
BuildRequires: perl(Dist/Zilla/Role/AfterMint.pm)
BuildRequires: perl(Dist/Zilla/Role/AfterRelease.pm)
BuildRequires: perl(Dist/Zilla/Role/BeforeArchive.pm)
BuildRequires: perl(Dist/Zilla/Role/BeforeBuild.pm)
BuildRequires: perl(Dist/Zilla/Role/BeforeMint.pm)
BuildRequires: perl(Dist/Zilla/Role/BeforeRelease.pm)
BuildRequires: perl(Dist/Zilla/Role/BuildRunner.pm)
BuildRequires: perl(Dist/Zilla/Role/ConfigDumper.pm)
BuildRequires: perl(Dist/Zilla/Role/FileFinder.pm)
BuildRequires: perl(Dist/Zilla/Role/FileGatherer.pm)
BuildRequires: perl(Dist/Zilla/Role/FileMunger.pm)
BuildRequires: perl(Dist/Zilla/Role/FilePruner.pm)
BuildRequires: perl(Dist/Zilla/Role/InstallTool.pm)
BuildRequires: perl(Dist/Zilla/Role/MetaProvider.pm)
BuildRequires: perl(Dist/Zilla/Role/MintingProfile.pm)
BuildRequires: perl(Dist/Zilla/Role/ModuleMaker.pm)
BuildRequires: perl(Dist/Zilla/Role/PrereqSource.pm)
BuildRequires: perl(Dist/Zilla/Role/Releaser.pm)
BuildRequires: perl(Dist/Zilla/Role/ShareDir.pm)
BuildRequires: perl(Dist/Zilla/Role/TestRunner.pm)
BuildRequires: perl(Dist/Zilla/Role/VersionProvider.pm)
BuildRequires: perl(ExtUtils/MakeMaker.pm)
BuildRequires: perl(Moose.pm)
BuildRequires: perl(Moose/Autobox.pm)
BuildArch:  noarch
Source44: import.info

%description
This plugin was written to give the author some idea of the order that
various roles are invoked under different conditions. So, *ReportPhase*
implements every major role, and reports when it is being invoked. For best
results it should be used as both the very first, and the very last plugin
listed in dist.ini, as it will then report entering and exiting every
phase.

Other than this phase reporting, this plugin has no use.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc CHANGES INSTALL LICENSE META.yml  README
%perl_vendor_privlib/*

%changelog
