# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define upstream_name    Dist-Zilla-Plugin-SpellingCommonMistakesTests
%define upstream_version 1.001000

Name:       perl-%{upstream_name}
Version:    %{upstream_version}
Release:    alt2_10

Summary:    Tests for common POD spelling mistakes
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist/Zilla/Plugin/Bootstrap/lib.pm)
BuildRequires: perl(Dist/Zilla/Plugin/InlineFiles.pm)
BuildRequires: perl(English.pm)
BuildRequires: perl(File/Find.pm)
BuildRequires: perl(File/Temp.pm)
BuildRequires: perl(Module/Build.pm)
BuildRequires: perl(Moose.pm)
BuildRequires: perl(Pod/Spell/CommonMistakes.pm)
BuildRequires: perl(Test/More.pm)
BuildRequires: perl(Test/Pod/Spelling/CommonMistakes.pm)
BuildRequires: perl(utf8.pm)
BuildArch:  noarch
Source44: import.info

%description
This is an extension of Dist::Zilla::Plugin::InlineFiles, providing the
following file:

    xt/release/common_spelling.t - a standard Pod::Spell::CommonMistakes test

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes INSTALL LICENSE META.json META.yml README SIGNATURE
%perl_vendor_privlib/*

%changelog
