# BEGIN SourceDeps(oneline):
BuildRequires: perl(Clone.pm) perl(Dist/Zilla.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(Module/CPANfile.pm) perl(Moose.pm) perl(Path/Tiny.pm) perl(Pod/Coverage/TrustPod.pm) perl(Test/More.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(namespace/autoclean.pm) perl(namespace/clean.pm)
# END SourceDeps(oneline)
%define module_name Dist-Zilla-Plugin-SyncCPANfile
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.02
Release: alt1
Summary: Sync a cpanfile with the prereqs listed in dist.ini
Group: Development/Perl
License: artistic_2
URL: http://github.com/perlservices/Dist-Zilla-Plugin-SyncCPANfile

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PE/PERLSRVDE/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
# in dist.ini
    [SyncCPANfile]

    # configure it yourself
    [SyncCPANfile]
    filename = my-cpanfile
    comment  = This is my cpanfile

Unlike the Dist::Zilla::Plugin::CPANFile manpage this plugin does not
add a *cpanfile* to the distribution but to the "disk".

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes CONTRIBUTORS CONTRIBUTING.md README LICENSE
%perl_vendor_privlib/D*

%changelog
