# BEGIN SourceDeps(oneline):
BuildRequires: perl(Data/Section.pm) perl(Dist/Zilla/File/InMemory.pm) perl(Dist/Zilla/Role/FileFinderUser.pm) perl(Dist/Zilla/Role/FileGatherer.pm) perl(Dist/Zilla/Role/FileMunger.pm) perl(Dist/Zilla/Role/PrereqSource.pm) perl(Dist/Zilla/Role/TextTemplate.pm) perl(ExtUtils/MakeMaker.pm) perl(Moose.pm) perl(Moose/Util/TypeConstraints.pm) perl(Path/Tiny.pm) perl(Pod/Coverage/TrustPod.pm) perl(Sub/Exporter/ForMethods.pm) perl(Test/NoTabs.pm) perl(Test/Perl/Critic.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(namespace/autoclean.pm)
# END SourceDeps(oneline)
%define module_name Dist-Zilla-Plugin-Test-NoBOM
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.002
Release: alt1
Summary: Make sure files do not start with BOM
Group: Development/Perl
License: perl
URL: https://gitlab.com/glauschwuffel/dist-zilla-plugin-test-nobom

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/G/GG/GGOLDBACH/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This is a plugin that runs at the gather files stage, providing the file
xt/author/no-bom.t. This test program use the Test::BOM manpage to
make sure that the files in your distribution don't start with a
byte-order-mark (BOM).

=for Pod::Coverage::TrustPod mvp_aliases
    register_prereqs
    gather_files
    munge_files

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE README Changes
%perl_vendor_privlib/D*

%changelog
