# BEGIN SourceDeps(oneline):
BuildRequires: perl(Dist/Zilla.pm) perl(Dist/Zilla/Plugin/Authority.pm) perl(Dist/Zilla/Plugin/AutoPrereqs.pm) perl(Dist/Zilla/Plugin/BlockRelease.pm) perl(Dist/Zilla/Plugin/CheckChangesHasContent.pm) perl(Dist/Zilla/Plugin/ConfirmRelease.pm) perl(Dist/Zilla/Plugin/CopyFilesFromBuild.pm) perl(Dist/Zilla/Plugin/Encoding.pm) perl(Dist/Zilla/Plugin/ExecDir.pm) perl(Dist/Zilla/Plugin/Git/Check.pm) perl(Dist/Zilla/Plugin/Git/Commit.pm) perl(Dist/Zilla/Plugin/Git/CommitBuild.pm) perl(Dist/Zilla/Plugin/Git/Contributors.pm) perl(Dist/Zilla/Plugin/Git/GatherDir.pm) perl(Dist/Zilla/Plugin/Git/NextVersion.pm) perl(Dist/Zilla/Plugin/Git/Push.pm) perl(Dist/Zilla/Plugin/Git/Tag.pm) perl(Dist/Zilla/Plugin/GithubMeta.pm) perl(Dist/Zilla/Plugin/Keywords.pm) perl(Dist/Zilla/Plugin/License.pm) perl(Dist/Zilla/Plugin/MakeMaker.pm)
BuildRequires: perl(Dist/Zilla/Plugin/Manifest.pm) perl(Dist/Zilla/Plugin/ManifestSkip.pm) perl(Dist/Zilla/Plugin/MetaJSON.pm) perl(Dist/Zilla/Plugin/MetaNoIndex.pm) perl(Dist/Zilla/Plugin/MetaProvides/Package.pm) perl(Dist/Zilla/Plugin/MetaTests.pm) perl(Dist/Zilla/Plugin/MetaYAML.pm) perl(Dist/Zilla/Plugin/NextRelease.pm) perl(Dist/Zilla/Plugin/OverridePkgVersion.pm) perl(Dist/Zilla/Plugin/PodCoverageTests.pm) perl(Dist/Zilla/Plugin/PodSyntaxTests.pm) perl(Dist/Zilla/Plugin/PodWeaver.pm) perl(Dist/Zilla/Plugin/Prereqs/AuthorDeps.pm) perl(Dist/Zilla/Plugin/PruneCruft.pm) perl(Dist/Zilla/Plugin/PruneFiles.pm) perl(Dist/Zilla/Plugin/ReadmeAnyFromPod.pm) perl(Dist/Zilla/Plugin/RunExtraTests.pm) perl(Dist/Zilla/Plugin/Test/CPAN/Changes.pm) perl(Dist/Zilla/Plugin/Test/CleanNamespaces.pm) perl(Dist/Zilla/Plugin/Test/Compile.pm)
BuildRequires: perl(Dist/Zilla/Plugin/Test/EOL.pm) perl(Dist/Zilla/Plugin/Test/MinimumVersion.pm) perl(Dist/Zilla/Plugin/Test/NoTabs.pm) perl(Dist/Zilla/Plugin/Test/Perl/Critic.pm) perl(Dist/Zilla/Plugin/Test/Pod/No404s.pm) perl(Dist/Zilla/Plugin/Test/Portability.pm) perl(Dist/Zilla/Plugin/Test/ReportPrereqs.pm) perl(Dist/Zilla/Plugin/TestRelease.pm) perl(Dist/Zilla/Plugin/UploadToCPAN.pm) perl(Dist/Zilla/Role/PluginBundle/Config/Slicer.pm) perl(Dist/Zilla/Role/PluginBundle/Easy.pm) perl(Dist/Zilla/Role/PluginBundle/PluginRemover.pm) perl(Dist/Zilla/Util.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(Moose.pm) perl(Perl/Version.pm) perl(Pod/Elemental/Transformer/List.pm) perl(Pod/Elemental/Transformer/Verbatim.pm) perl(Pod/Weaver/Config/Assembler.pm) perl(Pod/Weaver/Plugin/EnsurePod5.pm)
BuildRequires: perl(Pod/Weaver/Plugin/H1Nester.pm) perl(Pod/Weaver/Plugin/SingleEncoding.pm) perl(Pod/Weaver/Plugin/Transformer.pm) perl(Pod/Weaver/Section/Authors.pm) perl(Pod/Weaver/Section/Bugs.pm) perl(Pod/Weaver/Section/Collect.pm) perl(Pod/Weaver/Section/Contributors.pm) perl(Pod/Weaver/Section/Generic.pm) perl(Pod/Weaver/Section/Legal.pm) perl(Pod/Weaver/Section/Name.pm) perl(Pod/Weaver/Section/Region.pm) perl(Pod/Weaver/Section/Version.pm) perl(Test/CPAN/Meta.pm) perl(Test/More.pm) perl(namespace/autoclean.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define module_name Dist-Zilla-PluginBundle-Author-CCM
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.009
Release: alt1
Summary: A plugin bundle for distributions built by CCM
Group: Development/Perl
License: perl
URL: https://github.com/chazmcgarvey/Dist-Zilla-PluginBundle-Author-CCM

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/C/CC/CCM/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
You probably don't want to use this.

    ; VERSION
    [Git::NextVersion]

    ; GATHER
    [Git::GatherDir]
    exclude_filename    = LICENSE
    exclude_filename    = README.md
    [PruneCruft]
    [PruneFiles]
    filename            = dist.ini

    [CopyFilesFromBuild]
    copy                = LICENSE
    [ExecDir]

    ; PREREQS
    [AutoPrereqs]
    [Prereqs::FromCPANfile]     ; if a cpanfile exists in root
    [Prereqs::AuthorDeps]

    ; TESTS
    [MetaTests]
    [Test::CPAN::Changes]
    [PodCoverageTests]
    [PodSyntaxTests]
    [Test::Pod::No404s]
    [Test::Compile]
    [Test::MinimumVersion]
    max_target_perl     = 5.10.1
    [Test::EOL]
    [Test::NoTabs]
    [Test::Perl::Critic]
    [Test::Portability]
    [Test::CleanNamespaces]
    [Test::ReportPrereqs]

    ; METADATA
    [Authority]
    do_munging          = 0
    [MetaJSON]
    [MetaYAML]
    [MetaNoIndex]
    directory           = eg
    directory           = share
    directory           = shares
    directory           = t
    directory           = xt
    [MetaProvides::Package]
    [Keywords]
    [Git::Contributors]
    order_by            = commits
    [GithubMeta]
    issues              = 1

    ; MUNGE
    [PodWeaver]
    config_plugin       = @Author::CCM
    [OverridePkgVersion]

    ; GENERATE FILES
    [License]
    [ReadmeAnyFromPod]
    filename            = README.md
    locaton             = root
    type                = markdown
    phase               = release
    [ReadmeAnyFromPod]
    filename            = README
    location            = build
    type                = text
    [Manifest]
    [ManifestSkip]

    [MakeMaker]                 ; override with the "installer" attribute

    ; RELEASE
    [NextRelease]
    [CheckChangesHasContent]
    [Git::Check]
    [RunExtraTests]
    [TestRelease]
    [ConfirmRelease]
    [UploadToCPAN]              ; disable with the "no_upload" attribute
    [Git::Commit]
    commit_msg          = Release %%N %%v%%t%%n%%n%%c
    [Git::CommitBuild]
    branch              =
    rel...

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README LICENSE Changes
%perl_vendor_privlib/P*
%perl_vendor_privlib/D*

%changelog
