%define module_name Dist-Zilla-PluginBundle-Author-Plicease
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Config.pm) perl(Config/INI/Reader.pm) perl(Data/Section.pm) perl(Dist/Zilla.pm) perl(Dist/Zilla/Plugin/AutoMetaResources.pm) perl(Dist/Zilla/Plugin/CopyFilesFromBuild.pm) perl(Dist/Zilla/Plugin/Git.pm) perl(Dist/Zilla/Plugin/InsertExample.pm) perl(Dist/Zilla/Plugin/InstallGuide.pm) perl(Dist/Zilla/Plugin/MinimumPerl.pm) perl(Dist/Zilla/Plugin/OurPkgVersion.pm) perl(Dist/Zilla/Plugin/PkgVersion/Block.pm) perl(Dist/Zilla/Plugin/PodWeaver.pm) perl(Dist/Zilla/Plugin/ReadmeAnyFromPod.pm) perl(Dist/Zilla/Plugin/Run/BeforeBuild.pm) perl(Dist/Zilla/Role/PluginBundle/Easy.pm) perl(Dist/Zilla/Role/TextTemplate.pm) perl(Dist/Zilla/Util/AuthorDeps.pm) perl(Dist/Zilla/Util/CurrentCmd.pm) perl(Encode.pm) perl(ExtUtils/MakeMaker.pm) perl(File/ShareDir/Dist.pm) perl(File/ShareDir/Install.pm) perl(File/Which.pm)
BuildRequires: perl(File/chdir.pm) perl(IPC/System/Simple.pm) perl(JSON/PP.pm) perl(LWP/UserAgent.pm) perl(List/Util.pm) perl(Module/CoreList.pm) perl(Moose.pm) perl(Path/Tiny.pm) perl(Perl/Tidy.pm) perl(PerlX/Maybe.pm) perl(Pod/Markdown.pm) perl(Ref/Util.pm) perl(Sub/Exporter/ForMethods.pm) perl(Term/ANSIColor.pm) perl(Test/Fixme.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(Test/Script.pm) perl(Test/Version.pm) perl(Test2/V0.pm) perl(URI/Escape.pm) perl(YAML.pm) perl(autodie.pm) perl(experimental.pm) perl(namespace/autoclean.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 2.67
Release: alt1
Summary: Dist::Zilla plugin bundle used by Plicease
Group: Development/Perl
License: perl
URL: https://metacpan.org/pod/Dist::Zilla::PluginBundle::Author::Plicease

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PL/PLICEASE/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
From summary: %summary

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes LICENSE Changes.Dist-Zilla-Plugin-Author-Plicease author.yml README example
%perl_vendor_privlib/D*
%perl_vendor_privlib/auto/*

%changelog
