%define module_name Dist-Zilla-PluginBundle-Author-WATERKIP
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Data/Dumper.pm) perl(Dist/Zilla.pm) perl(Dist/Zilla/App/Command/xtest.pm) perl(Dist/Zilla/Plugin/CheckExtraTests.pm) perl(Dist/Zilla/Plugin/CheckPrereqsIndexed.pm) perl(Dist/Zilla/Plugin/ContributorsFile.pm) perl(Dist/Zilla/Plugin/CopyFilesFromBuild/Filtered.pm) perl(Dist/Zilla/Plugin/DynamicPrereqs.pm) perl(Dist/Zilla/Plugin/Git/CheckFor/MergeConflicts.pm) perl(Dist/Zilla/Plugin/Git/Contributors.pm) perl(Dist/Zilla/Plugin/Git/Remote/Check.pm) perl(Dist/Zilla/Plugin/MetaProvides.pm) perl(Dist/Zilla/Plugin/MetaProvides/Package.pm) perl(Dist/Zilla/Plugin/MinimumPerl.pm) perl(Dist/Zilla/Plugin/PodWeaver.pm) perl(Dist/Zilla/Plugin/Prereqs/AuthorDeps.pm) perl(Dist/Zilla/Plugin/PromptIfStale.pm) perl(Dist/Zilla/Plugin/ReadmeFromPod.pm) perl(Dist/Zilla/Plugin/Repository.pm) perl(Dist/Zilla/Plugin/lib.pm)
BuildRequires: perl(Dist/Zilla/PluginBundle/Filter.pm) perl(Dist/Zilla/PluginBundle/Git/VersionManager.pm) perl(Dist/Zilla/PluginBundle/TestingMania.pm) perl(Dist/Zilla/Role/MintingProfile/ShareDir.pm) perl(Dist/Zilla/Role/PluginBundle.pm) perl(Dist/Zilla/Role/PluginBundle/Airplane.pm) perl(Dist/Zilla/Role/PluginBundle/Config/Slicer.pm) perl(Dist/Zilla/Role/PluginBundle/Easy.pm) perl(Dist/Zilla/Role/PluginBundle/PluginRemover.pm) perl(Dist/Zilla/Util.pm) perl(ExtUtils/MakeMaker.pm) perl(File/ShareDir/Install.pm) perl(File/Spec.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(List/Util.pm) perl(Moose.pm) perl(Moose/Util/TypeConstraints.pm) perl(Pod/Markdown.pm) perl(Test/Compile.pm) perl(Test/Deep.pm) perl(Test/EOL.pm) perl(Test/Kwalitee.pm) perl(Test/More.pm) perl(Test/NoTabs.pm) perl(Test/Pod/Coverage.pm) perl(namespace/autoclean.pm)
BuildRequires: perl(namespace/clean.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 2.9
Release: alt1
Summary: An plugin bundle for all distributions by WATERKIP
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/W/WA/WATERKIP/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description


This archive contains the distribution Dist-Zilla-PluginBundle-Author-WATERKIP,
version 1.0:

  An plugin bundle for all distributions by WATERKIP

This software is copyright (c) 2017 by Wesley Schwengle.

This is free software; you can redistribute it and/or modify it under
the same terms as the Perl 5 programming language system itself.



%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE Changes CONTRIBUTORS README.md
%perl_vendor_privlib/D*
%perl_vendor_privlib/auto/*

%changelog
