# BEGIN SourceDeps(oneline):
BuildRequires: perl(App/scan_prereqs_cpanfile.pm) perl(Dist/Zilla/Plugin/AutoPrereqs.pm) perl(Dist/Zilla/Plugin/CheckChangeLog.pm) perl(Dist/Zilla/Plugin/Git.pm) perl(Dist/Zilla/Plugin/Git/CommitBuild.pm) perl(Dist/Zilla/Plugin/GithubMeta.pm) perl(Dist/Zilla/Plugin/MetaJSON.pm) perl(Dist/Zilla/Plugin/MinimumPerl.pm) perl(Dist/Zilla/Plugin/PkgVersion.pm) perl(Dist/Zilla/Plugin/PodCoverageTests.pm) perl(Dist/Zilla/Plugin/PodWeaver.pm) perl(Dist/Zilla/Plugin/ReadmeAnyFromPod.pm) perl(Dist/Zilla/Plugin/RunExtraTests.pm) perl(Dist/Zilla/Plugin/Test/Perl/Critic.pm) perl(Dist/Zilla/Plugin/Test/PodSpelling.pm) perl(Dist/Zilla/Role/PluginBundle/Config/Slicer.pm) perl(Dist/Zilla/Role/PluginBundle/Easy.pm) perl(Dist/Zilla/Role/PluginBundle/PluginRemover.pm) perl(ExtUtils/MakeMaker.pm) perl(Moose.pm) perl(Perl/Critic/Policy/CodeLayout/TabIndentSpaceAlign.pm)
BuildRequires: perl(Pod/Coverage.pm) perl(Pod/Coverage/TrustPod.pm) perl(Pod/Elemental/Transformer/List.pm) perl(Pod/Weaver/Config/Assembler.pm) perl(Pod/Weaver/Section/Consumes.pm) perl(Pod/Weaver/Section/Extends.pm) perl(Test/Perl/Critic.pm) perl(Test/Pod/Coverage.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define module_name Dist-Zilla-PluginBundle-Author-ZMUGHAL
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.004
Release: alt1
Summary: A plugin bundle for distributions built by ZMUGHAL
Group: Development/Perl
License: perl
URL: https://github.com/zmughal/p5-Dist-Zilla-PluginBundle-Author-ZMUGHAL

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/Z/ZM/ZMUGHAL/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description


This archive contains the distribution Dist-Zilla-PluginBundle-Author-ZMUGHAL,
version 0.004:

  A plugin bundle for distributions built by ZMUGHAL

This software is copyright (c) 2017 by Zakariyya Mughal.

This is free software; you can redistribute it and/or modify it under
the same terms as the Perl 5 programming language system itself.



%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes LICENSE README
%perl_vendor_privlib/P*
%perl_vendor_privlib/D*

%changelog
