%define module_name Dist-Zilla-PluginBundle-MSCHOUT
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Dist/Zilla.pm) perl(Dist/Zilla/Plugin/AuthorSignatureTest.pm) perl(Dist/Zilla/Plugin/AutoPrereqs.pm) perl(Dist/Zilla/Plugin/AutoVersion.pm) perl(Dist/Zilla/Plugin/CheckPrereqsIndexed.pm) perl(Dist/Zilla/Plugin/FakeRelease.pm) perl(Dist/Zilla/Plugin/Git/NextVersion.pm) perl(Dist/Zilla/Plugin/GithubMeta.pm) perl(Dist/Zilla/Plugin/InsertCopyright.pm) perl(Dist/Zilla/Plugin/MetaJSON.pm) perl(Dist/Zilla/Plugin/MetaProvides/Package.pm) perl(Dist/Zilla/Plugin/MinimumPerl.pm) perl(Dist/Zilla/Plugin/NextRelease.pm) perl(Dist/Zilla/Plugin/PodWeaver.pm) perl(Dist/Zilla/Plugin/Prereqs/AuthorDeps.pm) perl(Dist/Zilla/Plugin/RemovePrereqs.pm) perl(Dist/Zilla/Plugin/Signature.pm) perl(Dist/Zilla/Plugin/TaskWeaver.pm) perl(Dist/Zilla/Plugin/TravisYML.pm) perl(Dist/Zilla/Plugin/Twitter.pm) perl(Dist/Zilla/PluginBundle/Classic.pm) perl(MooseX/Meta/TypeConstraint/Mooish.pm)
BuildRequires: perl(Dist/Zilla/PluginBundle/Filter.pm) perl(Dist/Zilla/PluginBundle/Git.pm) perl(Dist/Zilla/Role/PluginBundle/Config/Slicer.pm) perl(Dist/Zilla/Role/PluginBundle/Easy.pm) perl(Dist/Zilla/Role/PluginBundle/PluginRemover.pm) perl(ExtUtils/MakeMaker.pm) perl(Moose.pm) perl(MooseX/AttributeShortcuts.pm) perl(Pod/Coverage/TrustPod.pm) perl(Pod/Elemental/Transformer/List.pm) perl(Pod/Weaver/Config/Assembler.pm) perl(Pod/Weaver/Plugin/SingleEncoding.pm) perl(Pod/Weaver/Section/AllowOverride.pm) perl(Pod/Weaver/Section/Bugs.pm) perl(Pod/Weaver/Section/SourceGitHub.pm) perl(Test/More.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(Test/Signature.pm) perl(namespace/autoclean.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.38
Release: alt1
Summary: Use L<Dist::Zilla> like MSCHOUT does
Group: Development/Perl
License: perl
URL: https://github.com/mschout/dist-zilla-pluginbundle-mschout

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/M/MS/MSCHOUT/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
%summary

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README LICENSE
%perl_vendor_privlib/D*
%perl_vendor_privlib/P*

%changelog
