%define _without_test 1
# BEGIN SourceDeps(oneline):
BuildRequires: perl(CPAN/DistnameInfo.pm) perl(CPAN/Meta.pm) perl(Config.pm) perl(ExtUtils/Packlist.pm) perl(File/Spec/Functions.pm) perl(File/pushd.pm) perl(JSON.pm) perl(Module/Build/Tiny.pm) perl(Module/Metadata.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define module_name Distribution-Metadata
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.06
Release: alt1
Summary: gather distribution metadata in local
Group: Development/Perl
License: perl
URL: https://github.com/skaji/Distribution-Metadata

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/S/SK/SKAJI/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
(CAUTION: This module is still in development phase. API will change without notice.)

Sometimes we want to know:
*Where this module comes from? Which distribution does this module belong to?*

Since the cpanm manpage 1.5000 (released 2011.10.13),
it installs not only modules but also their meta data.
So we can answer that questions!

Distribution::Metadata gathers distribution metadata in local.
That is, this module tries to gather

=over 4

=item * main module name, version, file

=item * `.packlist' file

=item * `.meta' directory

=item * `install.json' file

=item * `MYMETA.json' file

=back

Please note that as mentioned above, this module deeply depends on cpanm behavior.
If you install cpan modules by hands or some cpan clients other than cpanm,
this module won't work.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %EVR

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes LICENSE README
%perl_vendor_privlib/D*

%files scripts
%_bindir/*
%_man1dir/*

%changelog
