%define module_name Doodle
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Data/Object.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec/Functions.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.05
Release: alt1
Summary: Database DDL Statement Builder
Group: Development/Perl
License: perl
URL: https://metacpan.org/pod/Doodle

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/A/AW/AWNCORP/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Doodle is a database DDL statement builder and provides an object-oriented
abstraction for performing schema changes in various datastores. This class
consumes the the Doodle::Helpers manpage roles.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE README CHANGES README.mkdn
%perl_vendor_privlib/D*

%changelog
