%define module_name EMDIS-ECS
# BEGIN SourceDeps(oneline):
BuildRequires: perl(CGI/Carp.pm) perl(CGI/Pretty.pm) perl(CPAN/Version.pm) perl(Data/Dumper.pm) perl(ExtUtils/MakeMaker.pm) perl(Fcntl.pm) perl(File/Basename.pm) perl(File/Copy.pm) perl(File/Spec.pm) perl(File/Temp.pm) perl(Getopt/Long.pm) perl(IO/File.pm) perl(IO/Handle.pm) perl(IPC/Open2.pm) perl(MIME/QuotedPrint.pm) perl(Net/POP3.pm) perl(Net/SMTP.pm) perl(Pod/Usage.pm) perl(SDBM_File.pm) perl(Term/ReadLine.pm) perl(Text/ParseWords.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.43
Release: alt1
Summary: ECS - EMDIS Communication System
Group: Development/Perl
License: see LICENSE
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/K/KV/KVMUSER/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This module contains a bunch of miscellaneous ECS related subroutines.
However, most of the documentation found here pertains to the Perl ECS
implementation in general, not those specific subroutines.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release

%description scripts
scripts for %module_name
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes LICENSE
%perl_vendor_privlib/E*

%files scripts
%_man1dir/*
%_bindir/*

%changelog
