%define module_name EV-Hiredis
# BEGIN SourceDeps(oneline):
BuildRequires: libev-devel libevent-devel libsowing-devel perl(Devel/Refcount.pm) perl(EV.pm) perl(EV/MakeMaker.pm) perl(File/Which.pm) perl(Module/Build.pm) perl(Module/Build/XSUtil.pm) perl(Test/Deep.pm) perl(Test/More.pm) perl(Test/RedisServer.pm) perl(Test/TCP.pm) perl(XSLoader.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.04
Release: alt4
Summary: Asynchronous redis client using hiredis and EV
Group: Development/Perl
License: perl
URL: https://github.com/typester/EV-Hiredis

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/S/SH/SHOGO/%{module_name}-%{version}.tar.gz

%description
%summary

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README.md LICENSE
%perl_vendor_archlib/E*
%perl_vendor_autolib/*

%changelog
