# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Email/Simple/Creator.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(Moo.pm) perl(MooX/Types/MooseLike/Base.pm) perl(Pod/Coverage/TrustPod.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(Try/Tiny.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define upstream_name    Email-Sender-Transport-SMTP-TLS
%define upstream_version 0.16

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %{upstream_version}
Release:    alt1_3

Summary:    Email::Sender with L<Net::SMTP::TLS> (Eg. Gmail)
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Email/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Email/Sender.pm)
BuildRequires: perl(ExtUtils/MakeMaker.pm)
BuildRequires: perl(Net/SMTP/TLS/ButMaintained.pm)
BuildArch:  noarch
Source44: import.info

%description
the Email::Sender manpage replaces the old and sometimes problematic the
Email::Send manpage library, while this module replaces the the
Email::Send::SMTP::TLS manpage.

It is still alpha, but it works. use it at your own risk!

ATTRIBUTES
    The following attributes may be passed to the constructor:

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml  README
%{perl_vendor_privlib}/*

%changelog
