# BEGIN SourceDeps(oneline):
BuildRequires: perl(Class/Method/Modifiers.pm) perl(Email/Sender/Transport/Test.pm) perl(Email/Stuffer.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(Mojo/UserAgent.pm) perl(Mojolicious.pm) perl(Test/Builder/Tester.pm) perl(Test/CheckDeps.pm) perl(Test/More.pm) perl(Test/Most.pm)
# END SourceDeps(oneline)
%def_without test
%define module_name Email-Stuffer-TestLinks
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.02
Release: alt1
Summary: validates links in HTML emails sent by Email::Stuffer>send_or_die()
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/B/BI/BINARY/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
When this module is included in a test, it parses HTML links (<a href="xyz"...)
in every email sent through Email::Stuffer->send_or_die(). Each URI must get a
successful response code (200 range) and the returned pagetitle must not contain
'error' or 'not found'.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README README.md LICENSE
%perl_vendor_privlib/E*

%changelog
