# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/enc2xs perl(BerkeleyDB.pm) perl(CPAN/FirstTime.pm) perl(Carp.pm) perl(Config.pm) perl(Data/Dumper.pm) perl(Digest/SHA.pm) perl(Digest/SHA/PurePerl.pm) perl(Digest/SHA1.pm) perl(Encode.pm) perl(Encode/CN.pm) perl(Encode/JP.pm) perl(Encode/KR.pm) perl(Encode/TW.pm) perl(ExtUtils/MakeMaker.pm) perl(Fcntl.pm) perl(File/Spec.pm) perl(LWP/Simple.pm) perl(Module/Signature.pm) perl(Module/Versions/Report.pm) perl(Socket.pm) perl(Unicode/Normalize.pm) perl(XSLoader.pm) perl(base.pm) perl(overload.pm)
# END SourceDeps(oneline)
%define module_name Encode-MAB2
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.09
Release: alt3
Summary: Das `Maschinelle Austauschformat fuer Bibliotheken'
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/A/AN/ANDK/%{module_name}-%{version}.tar.gz
#BuildArch: noarch

%description
The Encode::MAB2 module works on the string level abstraction of MAB2
records. You can feed it a string in the encoding used by MAB2 and get
a Unicode string back. The module only works in one direction, it does
not provide a way to convert a Unicode string back into MAB2 encoding.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_archlib/E*
%perl_vendor_archlib/T*
%perl_vendor_archlib/M*
%perl_vendor_autolib/*

%changelog
