%define module_name Error-Pure-ANSIColor
# BEGIN SourceDeps(oneline):
BuildRequires: perl(App/pod2pdf.pm) perl(CPAN.pm) perl(Capture/Tiny.pm) perl(Error/Pure/Output/ANSIColor.pm) perl(Error/Pure/Utils.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(IO/All.pm) perl(JSON.pm) perl(LWP/Simple.pm) perl(List/MoreUtils.pm) perl(Module/Build.pm) perl(Net/FTP.pm) perl(Parse/CPAN/Meta.pm) perl(Pod/Markdown.pm) perl(Readonly.pm) perl(Term/ANSIColor.pm) perl(Test/More.pm) perl(Test/NoWarnings.pm) perl(YAML/Tiny.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.26
Release: alt1
Summary: Perl module for structured errors with Term::ANSIColor output.
Group: Development/Perl
License: bsd
URL: https://github.com/tupinek/Error-Pure-ANSIColor

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/S/SK/SKIM/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
List of modules:

=over 8

=item `Error::Pure::ANSIColor::AllError'

Print full backtrace with Term::ANSIColor support.

=item `Error::Pure::ANSIColor::Die'

Die with Term::ANSIColor support.

=item `Error::Pure::ANSIColor::Error'

Print error on one line with Term::ANSIColor support.

=item `Error::Pure::ANSIColor::ErrorList'

Print list of errors with ANSIColor support. Each error on one line.

=item `Error::Pure::ANSIColor::Print'

Print error as simple string with ANSIColor support

=item `Error::Pure::ANSIColor::PrintVar'

Print error with all variables as simple string with ANSIColor support

=back


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README LICENSE examples
%perl_vendor_privlib/E*

%changelog
