%define module_name Error-Pure-HTTP
# BEGIN SourceDeps(oneline):
BuildRequires: perl(App/pod2pdf.pm) perl(CPAN.pm) perl(Capture/Tiny.pm) perl(English.pm) perl(Error/Pure/Output/Text.pm) perl(Error/Pure/Utils.pm) perl(ExtUtils/CBuilder.pm) perl(ExtUtils/MakeMaker.pm) perl(IO/All.pm) perl(JSON.pm) perl(LWP/Simple.pm) perl(List/MoreUtils.pm) perl(Module/Build.pm) perl(Net/FTP.pm) perl(Parse/CPAN/Meta.pm) perl(Pod/Markdown.pm) perl(Readonly.pm) perl(Test/More.pm) perl(Test/NoWarnings.pm) perl(YAML/Tiny.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.15
Release: alt1
Summary: Perl module for plain HTTP output for structured errors.
Group: Development/Perl
License: bsd
URL: https://github.com/tupinek/Error-Pure-HTTP

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/S/SK/SKIM/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
List of modules:

=over 8

=item `Error::Pure::HTTP::AllError'

Print full backtrace over HTTP.

=item `Error::Pure::HTTP::Error'

Print error on one line over HTTP.

=item `Error::Pure::HTTP::ErrorList'

Print list of errors over HTTP. Each error on one line.

=item `Error::Pure::HTTP::Print'

Print error as simple string over HTTP.

=back


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes LICENSE README examples
%perl_vendor_privlib/E*

%changelog
