# BEGIN SourceDeps(oneline):
BuildRequires: perl(Encode.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(Future.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(JSON.pm) perl(JSON/MaybeXS.pm) perl(Math/BigFloat.pm) perl(Math/BigInt.pm) perl(Mojo/UserAgent.pm) perl(Moo.pm) perl(Path/Tiny.pm) perl(Test/CheckDeps.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%def_without test
%define module_name Ethereum-RPC-Client
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.03
Release: alt1
Summary: Ethereum JSON-RPC Client
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/B/BI/BINARY/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This module implements in PERL the JSON-RPC of Ethereum https://github.com/ethereum/wiki/wiki/JSON-RPC

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README README.md LICENSE
%perl_vendor_privlib/E*

%changelog
