# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Event.pm) perl(IO/File.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define upstream_name Event-File
%define upstream_version 0.1.1

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%{upstream_version}
Release:	alt2_12
License:	GPL or Artistic
Group:		Development/Perl
Summary:	Mimic the 'tail -f' behaviour using Event
URL:		http://search.cpan.org/dist/%{upstream_name}
Source0:	ftp://ftp.perl.org/pub/CPAN/modules/by-module/Event/%{upstream_name}-%{upstream_version}.tar.bz2
BuildRequires:	perl-devel

BuildArch:	noarch
Source44: import.info

%description
This module tries to mimic the 'tail -f' behaviour
using Event.

It detects file deletion, rename, rotation providing a simple way to keep 
track of files like log files.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
find -type f | xargs chmod 0644
find -type d | xargs chmod 0755

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor
%make

%install
%makeinstall_std

%files
%doc README Changes demo
%{perl_vendor_privlib}/Event


%changelog
