# BEGIN SourceDeps(oneline):
BuildRequires: perl(Evented/Object.pm) perl(JSON/XS.pm) perl(List/Util.pm) perl(Module/Build.pm) perl(Module/Loaded.pm) perl(Pod/Select.pm) perl(Scalar/Util.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define module_name Evented-API-Engine
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 4.11
Release: alt1
Summary: Evented API Engine for Perl applications
Group: Development/Perl
License: bsd
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/C/CO/COOPER/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Perl provides a simple way to load dependencies. But what about upgrading or
unloading? API Engine makes it easy to create an excessively versatile Perl
application capable of adapting dynamically with the user's ever-changing needs.
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.md LICENSE
%perl_vendor_privlib/E*

%changelog
