%def_without test
%define module_version 0.64
%define module_name ExtUtils-AutoInstall
# BEGIN SourceDeps(oneline):
BuildRequires: perl(CPAN.pm) perl(CPANPLUS/Backend.pm) perl(Carp.pm) perl(Cwd.pm) perl(ExtUtils/MakeMaker.pm) perl(ExtUtils/Manifest.pm) perl(LWP/Simple.pm) perl(Net/FTP.pm) perl(YAML.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.64
Release: alt1
Summary: Automatic install of dependencies via CPAN
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/I/IN/INGY/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
ExtUtils::AutoInstall lets module writers to specify a more
sophisticated form of dependency information than the `PREREQ_PM'
option offered by ExtUtils::MakeMaker.

This module works best with the Module::Install framework,
a drop-in replacement for MakeMaker.  However, this module also
supports Makefile.PL files based on MakeMaker; see the EXAMPLES entry elsewhere in this document
for instructions.


%prep
%setup -q -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes AUTHORS TODO
%perl_vendor_privlib/E*

%changelog
