# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Config.pm) perl(ExtUtils/MakeMaker.pm) perl(Filter/Util/Call.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define upstream_name	 ExtUtils-configPL
%define upstream_version 1.1

Name:       perl-%{upstream_name}
Version:    %{upstream_version}
Release:    alt2_9

Summary:	Perl extension to automagiclly configure perl scripts 
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://search.cpan.org/CPAN/authors/id/P/PE/PEASE/%{upstream_name}-%{upstream_version}.tar.bz2



BuildArch:	noarch
Source44: import.info


%description
This module is used to add configuration information to a perl script, and is
meant to be used with the ExtUtils::MakeMaker module.

ExtUtils::configPL is not a "normal" Perl extension. It does add or encapsulate
functionality to your script, but it filters the script, replacing tags with
items from the Config module, writing the resulting script to a new file.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor
# parallel build is broken!
%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes README
%{perl_vendor_privlib}/ExtUtils

%changelog
