%define module_name FFI-Platypus-Lang-Pascal
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Config.pm) perl(Env.pm) perl(ExtUtils/CBuilder.pm) perl(FFI/CheckLib.pm) perl(FFI/ExtractSymbols.pm) perl(FFI/Platypus.pm) perl(File/Spec.pm) perl(File/Which.pm) perl(FindBin.pm) perl(Module/Build.pm) perl(Module/Build/FFI.pm) perl(Module/Build/FFI/Pascal.pm) perl(Pod/Abstract.pm) perl(Pod/Simple/Text.pm) perl(autodie.pm) perl(base.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.06
Release: alt1
Summary: Documentation and tools for using Platypus with the Free Pascal programming language
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PL/PLICEASE/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This modules provides native types and demangling for the Free Pascal
Programming language when used with the FFI::Platypus manpage.

This module provides these types (case sensitive):

=over 4

=item Byte

=item ShortInt

=item SmallInt

=item Word

=item Integer

This is an alias for SmallInt (which is appropriate for Free Pascal's default mode)

=item Cardinal

=item LongInt

=item LongWord

=item Int64

=item QWord

=item Boolean

=item ByteBool

=item WordBool

=item LongBool

=item Single

=item Double

=back

The following types are not (yet) supported:

=over 4

=item Extended

=item Comp

=item Currency

=item ShortString

=back

This module also has some support for demangled functions and overloading, if
you are using a dynamic library constructed from units via `ppumove'.

You may also use the Module::Build::FFI::Pascal manpage to bundle Free Pascal code with
your distribution.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes LICENSE CONTRIBUTING README examples
%perl_vendor_privlib/F*

%changelog
