# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/CBuilder.pm) perl(Module/Build.pm) perl(Test/More.pm) perl(Time/HiRes.pm) perl(XSLoader.pm)
# END SourceDeps(oneline)
%define module_name Faster-Maths
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.02
Release: alt2
Summary: make mathematically-intense programs faster
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PE/PEVANS/%{module_name}-%{version}.tar.gz

%description
This module installs an optimizer into the perl compiler that looks for
sequences of maths operations that it can make faster.

When this module is lexically in scope, mathematical expressions composed of
the four basic operators (`+', `-', `*', `/') operating on lexical
variables and constants will be compiled into a form that is more efficient at
runtime.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE README Changes
%perl_vendor_archlib/F*
%perl_vendor_autolib/*

%changelog
