%define module_name Feed-Data
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(Class/Load.pm) perl(Compiled/Params/OO.pm) perl(Data/Perl/Role/Collection/Array.pm) perl(Encode.pm) perl(ExtUtils/MakeMaker.pm) perl(HTML/LinkExtor.pm) perl(HTML/Strip.pm) perl(HTML/TableContent.pm) perl(HTTP/Message.pm) perl(JSON.pm) perl(LWP/Protocol/https.pm) perl(LWP/UserAgent.pm) perl(Moo.pm) perl(MooX/HandlesVia.pm) perl(Ref/Util.pm) perl(Test/More.pm) perl(Text/CSV_XS.pm) perl(Type/Tiny.pm) perl(XML/Atom/Feed.pm) perl(XML/RSS/LibXML.pm) perl(YAML/XS.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.08
Release: alt1
Summary: dynamic data feeds
Group: Development/Perl
License: artistic_2
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/L/LN/LNATION/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Feed::Data is a frontend for building dynamic data feeds.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes ignore.txt
%perl_vendor_privlib/F*

%changelog
