Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(CPAN.pm) perl(JSON.pm) perl(LWP/Simple.pm) perl(Module/Build.pm) perl(Net/FTP.pm) perl(Parse/CPAN/Meta.pm) perl(YAML/Tiny.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-File-Find-Rule-PPI
Version:        1.06
Release:        alt2_24
Summary:        Add support for PPI queries to File::Find::Rule
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/File-Find-Rule-PPI
Source0:        https://cpan.metacpan.org/authors/id/A/AD/ADAMK/File-Find-Rule-PPI-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  coreutils
BuildRequires:  findutils
BuildRequires:  perl-devel
BuildRequires:  rpm-build-perl
BuildRequires:  perl(File/Find/Rule.pm)
BuildRequires:  perl(File/Spec.pm)
BuildRequires:  perl(File/Spec/Functions.pm)
BuildRequires:  perl(inc/Module/Install/DSL.pm)
BuildRequires:  perl(Module/Install/Metadata.pm)
BuildRequires:  perl(Params/Util.pm)
BuildRequires:  perl(PPI.pm)
BuildRequires:  perl(PPI/Find.pm)
BuildRequires:  perl(strict.pm)
BuildRequires:  perl(Test/Pod.pm)
BuildRequires:  perl(Test/More.pm)
BuildRequires:  perl(vars.pm)
BuildRequires:  sed
Source44: import.info

%description
File::Find::Rule::PPI allows you to integrate PPI content queries into
your File::Find::Rule searches.

%prep
%setup -q -n File-Find-Rule-PPI-%{version}
# Remove bundled libraries
rm -r inc
sed -i -e '/^inc\// d' MANIFEST

sed -i  's|\r||' Changes

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -delete
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*

%check
make test

%files
%doc Changes LICENSE README
%{perl_vendor_privlib}/File/

%changelog
