%define module_name File-FormatIdentification-Pronom
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Digest/CRC.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(Fcntl.pm) perl(File/Map.pm) perl(List/Util.pm) perl(Moose.pm) perl(Path/Tiny.pm) perl(Regexp/Assemble.pm) perl(Regexp/Optimizer.pm) perl(Scalar/Util.pm) perl(String/LCSS.pm) perl(Term/ProgressBar.pm) perl(Test/Exception.pm) perl(Test/File.pm) perl(XML/LibXML.pm) perl(YAML/XS.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.06
Release: alt1
Summary: Perl extension for parsing PRONOM-Signatures using DROID-Signature file
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/A/AR/ART/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
The module allows to handle Droid signatures. Droid is a utility which
uses the PRONOM database to identify file formats.

See https://www.nationalarchives.gov.uk/PRONOM/ for details.

With this module you could:

=over

=item convert Droid signatures to Perl regular expressions

=item analyze files and display which/where pattern of Droid signature matches  via tag-files for wxHexEditor

=item calc statistics about Droid signatures

=back

The module is in early alpha state and should not be used in production.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %EVR

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes LICENSE
%perl_vendor_privlib/F*

%files scripts
%_man1dir/*
%_bindir/*

%changelog
