%define module_name File-PCAP
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Module/Build.pm) perl(Pod/Usage.pm) perl(Test/More.pm) perl(Time/Local.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.1.0
Release: alt1
Summary: a pure Perl library to read and write PCAP files
Group: Development/Perl
License: artistic_2
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/M/MA/MAMAWE/%{module_name}-v%{version}.tar.gz
BuildArch: noarch

%description
The libraries in this module handle libpcap files in version 2.4.

This library itself does not much meaningful.

You're proably interested in one of
the File::PCAP::Reader manpage,
the File::PCAP::Writer manpage, or
the File::PCAP::ACAP2PCAP manpage.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release

%description scripts
scripts for %module_name
%prep
%setup -q -n %{module_name}-v%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/F*

%files scripts
%_man1dir/*
%_bindir/*

%changelog
