Group: Development/Perl
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-File-Read
Version:        0.0801
Release:        alt2_33
Summary:        Unique interface for reading one or more files
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/File-Read
Source0:        https://cpan.metacpan.org/authors/id/S/SA/SAPER/File-Read-%{version}.tar.gz
BuildArch:      noarch
# Build
BuildRequires:  perl-devel
BuildRequires:  rpm-build-perl
BuildRequires:  perl(Module/Build.pm)
BuildRequires:  perl(strict.pm)
# Runtime
BuildRequires:  perl(Carp.pm)
BuildRequires:  perl(Errno.pm)
BuildRequires:  perl(Exporter.pm)
BuildRequires:  perl(File/Slurp.pm)
# Tests only
BuildRequires:  perl(Cwd.pm)
BuildRequires:  perl(File/Spec.pm)
BuildRequires:  perl(Test/More.pm)
# Optional tests only
BuildRequires:  perl(Data/Dumper.pm)
BuildRequires:  perl(Test/Distribution.pm)
BuildRequires:  perl(Test/Pod.pm)
BuildRequires:  perl(Test/Pod/Coverage.pm)
BuildRequires:  perl(Test/Portability/Files.pm)
BuildRequires:  perl(Text/Unidecode.pm)
Source44: import.info

%description
This module mainly proposes functions for reading one or more files, with
different options.

%prep
%setup -q -n File-Read-%{version}

%build
perl Build.PL installdirs=vendor
./Build

%install
./Build install destdir=%{buildroot} create_packlist=0
# %{_fixperms} %{buildroot}/*

%check
./Build test

%files
%doc Changes README eg
%{perl_vendor_privlib}/*

%changelog
