# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Benchmark.pm) perl(Digest/MD5.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(Fcntl.pm) perl(File/Find/Rule.pm) perl(HTTP/Request.pm) perl(HTTP/Response.pm) perl(LWP/UserAgent.pm) perl(MIME/Base64.pm) perl(MIME/Explode.pm) perl(MIME/Parser.pm) perl(Net/SMTP.pm) perl(SelfLoader.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define	upstream_name	 File-Scan
%define	upstream_version 1.43

Name:       perl-%{upstream_name}
Version:    %{upstream_version}
Release:    alt2_9

Summary:	Perl extension for Scanning files for Viruses
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.cpan.org/modules/by-module/File/%{upstream_name}-%{upstream_version}.tar.bz2

Buildarch:	noarch
Source44: import.info


%description
The File::Scan module is designed to allow users to scan files for known
viruses. Its purpose is to provide a perl module to make platform
independent virus scanners.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor
make
make test

%install
%makeinstall_std

%files
%doc docs/write_sign_bin.txt META.yml
%doc examples/*
%doc FAQ README Changes TODO
%dir %{perl_vendor_privlib}/File
%{perl_vendor_privlib}/File/*

%changelog
