Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(CPAN.pm) perl(JSON.pm) perl(LWP/Simple.pm) perl(Module/Build.pm) perl(Net/FTP.pm) perl(Parse/CPAN/Meta.pm) perl(YAML/Tiny.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-File-ShareDir-PAR
Version:        0.06
Release:        alt2_33
Summary:        File::ShareDir with PAR support
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/File-ShareDir-PAR
Source0:        https://cpan.metacpan.org/authors/id/S/SM/SMUELLER/File-ShareDir-PAR-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  rpm-build-perl
BuildRequires:  perl(inc/Module/Install.pm)
# Run-time
BuildRequires:  perl(base.pm)
BuildRequires:  perl(Carp.pm)
BuildRequires:  perl(Class/Inspector.pm)
BuildRequires:  perl(Config.pm)
BuildRequires:  perl(constant.pm)
BuildRequires:  perl(Exporter.pm)
BuildRequires:  perl(File/Path.pm)
BuildRequires:  perl(File/ShareDir.pm)
BuildRequires:  perl(File/Spec.pm)
BuildRequires:  perl(PAR.pm)
BuildRequires:  perl(strict.pm)
BuildRequires:  perl(vars.pm)
BuildRequires:  perl(warnings.pm)
# Test
BuildRequires:  perl(Cwd.pm)
BuildRequires:  perl(PAR/Dist.pm)
BuildRequires:  perl(Test/More.pm)
Requires:       perl(File/ShareDir.pm) >= 1.020
Requires:       perl(PAR.pm) >= 0.989


Source44: import.info
%filter_from_requires /:__requires_exclude\|}perl(File.ShareDir.pm)/d

%description
File::ShareDir::PAR provides the same functionality as File::ShareDir but
tries hard to be compatible with PAR packaged applications.

%prep
%setup -q -n File-ShareDir-PAR-%{version}
rm -r inc
sed -i -e '/^inc\// d' MANIFEST
find -type f -exec chmod -x {} +

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
rm -rf $RPM_BUILD_ROOT/%{perl_vendor_privlib}/auto/share/dist/File-ShareDir-PAR
rm -rf $RPM_BUILD_ROOT/%{perl_vendor_privlib}/auto/share/module/File-ShareDir-PAR/test_file.txt
# %{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc --no-dereference LICENSE
%doc Changes
%{perl_vendor_privlib}/File/ShareDir
%{perl_vendor_privlib}/auto/share/*/File-ShareDir-PAR

%changelog
