# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Errno.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(Fcntl.pm) perl(IPC/Open3.pm) perl(Test/More.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define upstream_name Filesys-POSIX
%define upstream_version 0.10.0

Name:		perl-%{upstream_name}
Version:	%{upstream_version}
Release:	alt2_10

Summary:	Provide POSIX-like filesystem semantics in pure Perl
License:	Artistic
Group:		Development/Perl
URL:		http://search.cpan.org/~wrath/Filesys-POSIX-0.10.0/lib/Filesys/POSIX.pm
Source0:	http://search.cpan.org/CPAN/authors/id/W/WR/WRATH/%{upstream_name}-%{upstream_version}.tar.gz
BuildRequires:	perl(Test/Exception.pm)
BuildRequires:  perl(Test/NoWarnings.pm)
BuildArch: noarch

%{?perl_default_filter}
# remove unsatisfied self requires:
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\((Filesys::POSIX::(IO|Mount|Userland))\\)$
Source44: import.info


%description
This modules provide POSIX-like filesystem semantics in pure Perl.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor
%make_build

# Kharec: a bad .t file breaks the rebuild...
# %%check
# %%make_build test

%install
%makeinstall_std

%files
%doc COPYRIGHT LICENSE MANIFEST README META.yml
%perl_vendor_privlib/*



%changelog
