%define module_name Finance-Alpaca
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Module/Build/Tiny.pm) perl(Mojo/Promise.pm) perl(Mojo/UserAgent.pm) perl(Moo.pm) perl(Test/More.pm) perl(Time/Moment.pm) perl(Types/Standard.pm) perl(Types/UUID.pm) perl(strictures.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.9902
Release: alt1
Summary: Perl Wrapper for Alpaca's Commission-free Stock Trading API
Group: Development/Perl
License: artistic_2
URL: https://github.com/sanko/Finance-Alpaca

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/S/SA/SANKO/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Finance::Alpaca allows you to buy, sell, and short U.S. stocks with zero
commissions with Alpaca, an API first, algo-friendly brokerage.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README.md LICENSE
%perl_vendor_privlib/F*

%changelog
