# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define upstream_name	 Finance-Bank-LaPoste
%define upstream_version 9.04

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %{upstream_version}
Release:    alt1_1

Summary:    Check your "La Poste" accounts from Perl
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/P/PI/PIXEL/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Digest/MD5.pm)
BuildRequires: perl(ExtUtils/MakeMaker.pm)
BuildRequires: perl(Graphics/Magick.pm)
BuildRequires: perl(HTML/Form.pm)
BuildRequires: perl(HTML/Parser.pm)
BuildRequires: perl(HTTP/Cookies.pm)
BuildRequires: perl(LWP/UserAgent.pm)
BuildRequires: perl-libwww
BuildArch:  noarch

Requires:   perl(Crypt/SSLeay.pm)
Source44: import.info
%description
This module provides a read-only interface to the Videoposte online
banking system at <https://www.videoposte.com/>.

The interface of this module is similar to other Finance::Bank modules.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor
make

%check
make test

%install
%makeinstall_std

%files 
%doc Changes META.json META.yml  README
%{perl_vendor_privlib}/Finance/Bank/*

%changelog
