# BEGIN SourceDeps(oneline):
BuildRequires: perl(Data/Dumper.pm) perl(Digest/SHA.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Basename.pm) perl(File/Spec.pm) perl(File/Spec/Functions.pm) perl(Getopt/Long.pm) perl(HTTP/Request/Common.pm) perl(HTTP/Response.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(Import/Into.pm) perl(JSON.pm) perl(LWP/UserAgent.pm) perl(MIME/Base64.pm) perl(Moose.pm) perl(Moose/Role.pm) perl(MooseX/Types/URI.pm) perl(Params/ValidationCompiler.pm) perl(Pod/Usage.pm) perl(Sub/Override.pm) perl(Sub/Util.pm) perl(Test/Deep.pm) perl(Test/Exception.pm) perl(Test/More.pm) perl(Test/Most.pm) perl(Time/HiRes.pm) perl(Try/Tiny.pm) perl(Types/Standard.pm) perl(YAML/Tiny.pm) perl(namespace/autoclean.pm)
# END SourceDeps(oneline)
%define module_name Finance-Crypto-Exchange-Kraken
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.002
Release: alt1
Summary: A Perl implementation of the Kraken REST API
Group: Development/Perl
License: bsd
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/W/WA/WATERKIP/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Talk to the Kraken REST API within Perl

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %EVR

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes CONTRIBUTORS LICENSE README.md
%perl_vendor_privlib/F*

%files scripts
%_bindir/*
%_man1dir/*

%changelog
