# BEGIN SourceDeps(oneline):
BuildRequires: perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(IO/Handle.pm) perl(IO/Socket/SSL.pm) perl(IPC/Open3.pm) perl(List/Util.pm) perl(Log/ger.pm) perl(Mojo/DOM.pm) perl(Mojo/UserAgent.pm) perl(Parse/Number/ID.pm) perl(Perinci/Import.pm) perl(Perinci/Sub/Property/exit_on_error.pm) perl(Pod/Coverage/TrustPod.pm) perl(Test/More.pm) perl(Test/Perl/Critic.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(Time/Local.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define module_name Finance-Currency-Convert-Mandiri
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.001
Release: alt1
Summary: Convert currency using Bank Mandiri
Group: Development/Perl
License: perl
URL: https://metacpan.org/release/Finance-Currency-Convert-Mandiri

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PE/PERLANCAR/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This module can extract currency rates from the Bank Mandiri website:

 https://www.bankmandiri.co.id/kurs

Currently only conversions from a few currencies to Indonesian Rupiah (IDR) are
supported.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes LICENSE
%perl_vendor_privlib/F*

%changelog
