%define module_name Finance-Quote-Moex
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(Finance/Quote.pm) perl(HTTP/Request/Common.pm) perl(LWP/UserAgent.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.5
Release: alt1
Summary: Perl module. Obtain quotes from Moex exchange.
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PA/PARTIZAND/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This module fetches bond share quotes information from the Moex russian exchange http://www.moex.com and http://rbc.ru
 
It's not loaded as default Finance::Quote module, so you need create it
 by Finance::Quote->new("Moex"). If you want it to load by default,
 make changes to Finance::Quote default module loader, or use 
 FQ_LOAD_QUOTELET environment variable. Gnucash example:
_FQ_LOAD_QUOTELET="-defaults Moex" gnucash

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc readme.md
%perl_vendor_privlib/F*

%changelog
