Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Exporter.pm) perl(Text/ParseWords.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-Finance-YahooQuote
Version:        0.26
Release:        alt2_12
Summary:        Perl interface to get stock quotes from Yahoo! Finance

License:        GPLv2+
URL:            https://metacpan.org/release/Finance-YahooQuote
Source0:        https://cpan.metacpan.org/authors/id/E/ED/EDD/Finance-YahooQuote-%{version}.tar.gz

BuildArch:      noarch 
BuildRequires:  perl-devel
BuildRequires:  rpm-build-perl
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(HTML/Parser.pm)
BuildRequires:  perl(HTTP/Request.pm)
BuildRequires:  perl(LWP/UserAgent.pm)
Source44: import.info


%description
Perl interface to get stock quotes from Yahoo! Finance


%prep
%setup -q -n Finance-YahooQuote-%{version}
perl -pi -e 's/
//' examples/fixyahoo.pl


%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
%make_build


%install
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
chmod -R u+w $RPM_BUILD_ROOT/*

# Check is disabled because a package build must not use the network.
#%%check
#make test


%files
%doc CHANGES README.md examples
%doc --no-dereference GNU-LICENSE
%{_bindir}/yahooquote
%{perl_vendor_privlib}/Finance
%{_mandir}/man1/yahooquote.1*


%changelog
