# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(Cwd.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Basename.pm) perl(File/Spec.pm)
# END SourceDeps(oneline)
%define module_name FindBin
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.52
Release: alt1
Summary: Locate directory of original perl script
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/T/TO/TODDR/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Locates the full path to the script bin directory to allow the use
of paths relative to the bin directory.

This allows a user to setup a directory tree for some software with
directories `<root>/bin' and `<root>/lib', and then the above
example will allow the use of modules in the lib directory without knowing
where the software tree is installed.

If perl is invoked using the -e option or the perl script is read from
`STDIN' then FindBin sets both `$Bin' and `$RealBin' to the current
directory.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.md Changes
%perl_vendor_privlib/F*

%changelog
