%define module_name Future-HTTP
# BEGIN SourceDeps(oneline):
BuildRequires: perl(AnyEvent/Future.pm) perl(AnyEvent/HTTP.pm) perl(Data/Dumper.pm) perl(ExtUtils/MakeMaker.pm) perl(Filter/signatures.pm) perl(Future.pm) perl(Future/Mojo.pm) perl(HTTP/Headers.pm) perl(HTTP/Tiny.pm) perl(HTTP/Tiny/Paranoid.pm) perl(IO/Async/Future.pm) perl(IO/Async/Loop.pm) perl(IO/Uncompress/Bunzip2.pm) perl(IO/Uncompress/Gunzip.pm) perl(IO/Uncompress/Inflate.pm) perl(IO/Uncompress/RawInflate.pm) perl(Mojo/UserAgent.pm) perl(Mojolicious.pm) perl(Moo.pm) perl(Net/Async/HTTP.pm) perl(Pod/Markdown.pm) perl(Test/HTTP/LocalServer.pm) perl(Test/More.pm) perl(URI.pm) perl(CGI.pm) perl(HTTP/Request/AsCGI.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.12
Release: alt1
Summary: provide the most appropriate HTTP client with a Future API
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/C/CO/CORION/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
my $ua = Future::HTTP->new();
    $ua->http_get('http://www.nethype.de/')->then(sub {
        my( $body, $data ) = @_;
        ...
    })

This module is a wrapper combining the Future manpage with the API provided
by the AnyEvent::HTTP manpage. The backend used for the HTTP protocols
depends on whether one of the event loops is loaded.
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes README.mkdn
%perl_vendor_privlib/F*

%changelog
