Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-GD-SVG
Version:        0.33
Release:        alt2_33
Summary:        GD::SVG enables SVG output from scripts written using GD

License:        GPL+ or Artistic
URL:            https://metacpan.org/release/GD-SVG
Source0:        https://cpan.metacpan.org/authors/id/T/TW/TWH/GD-SVG-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  coreutils
BuildRequires:  findutils
BuildRequires:  rpm-build-perl
BuildRequires:  perl-devel
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
# Run-time
BuildRequires:  perl(Carp.pm)
BuildRequires:  perl(constant.pm)
BuildRequires:  perl(Exporter.pm)
BuildRequires:  perl(GD/Polygon.pm)
BuildRequires:  perl(SVG.pm)
BuildRequires:  perl(vars.pm)
# Tests
BuildRequires:  perl(Test/More.pm)
Source44: import.info

%description
GD::SVG seamlessly enables the scalable vector graphics (SVG) output
from scripts written using GD.  It accomplishes this by translating GD
functions into SVG functions.


%prep
%setup -q -n GD-SVG-%{version}

# avoid extra dependencies
chmod 644 examples/generate_test_image.pl

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
%make_build 

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name '*.bs' -empty -delete
# %{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc README Changes examples
%{perl_vendor_privlib}/*


%changelog
