# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(GD.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define upstream_name    GIFgraph
%define upstream_version 1.20

Name:       perl-%{upstream_name}
Version:    %{upstream_version}
Release:    alt1_10

Summary:	Graph Plotting Module (deprecated) 
License:	GPL+ or Artistic
Group:		Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:    http://search.cpan.org/CPAN/authors/id/M/MV/MVERB/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(GD/Graph.pm)
BuildRequires:	perl(Image/Magick.pm)
BuildArch:	noarch
Source44: import.info


%description
GIFgraph is a perl5 module to create and display GIF output for a graph.

GIFgraph is nothing more than a wrapper around GD::Graph, and its use is
deprecated. It only exists for backward compatibility. The documentation for
all the functionality can be found in GD::Graph

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
perl -I. Makefile.PL INSTALLDIRS=vendor </dev/null
%make

%install
%makeinstall_std

%check
make test

%files
%doc README
%{perl_vendor_privlib}/GIFgraph.pm
%{perl_vendor_privlib}/GIFgraph/


%changelog
