Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:		perl-GPS-OID
Version:	0.07
Release:	alt2_31
Summary:	Package for PRN - Object ID conversions
License:	GPL+ or Artistic
URL:		https://metacpan.org/release/GPS-OID
Source0:	https://cpan.metacpan.org/authors/id/M/MR/MRDVT/GPS-OID-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	rpm-build-perl
BuildRequires:	perl(ExtUtils/MakeMaker.pm), perl(Test/More.pm)
Provides:	perl-GPS-PRN = %{version}-%{release}
Provides:	perl(GPS/OID.pm) = %{version}
Obsoletes:	perl-GPS-PRN < 0.07
Source44: import.info

%description
%{summary}.

%prep
%setup -q -n GPS-OID-%{version}
chmod -c a-x scripts/GPS-OID-example.pl

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install
make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null ';'
chmod -R u+w %{buildroot}/*

%check
make test

%files
%doc Changes LICENSE README scripts/GPS-OID-example.pl
%{perl_vendor_privlib}/GPS/


%changelog
