%define module_name Games-ABC_Path-Solver
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(Exporter.pm) perl(File/Spec.pm) perl(Getopt/Long.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(Module/Build.pm) perl(Pod/Usage.pm) perl(Scalar/Util.pm) perl(Test/Differences.pm) perl(Test/More.pm) perl(Test/Run/CmdLine/Iface.pm) perl(integer.pm) perl(parent.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.6.2
Release: alt1
Summary: A Solver for ABC Path
Group: Development/Perl
License: mit
URL: http://www.shlomifish.org/open-source/projects/japanese-puzzle-games/abc-path/

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/S/SH/SHLOMIF/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
%summary

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %{?epoch:%epoch:}%name = %version-%release

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build --install_path bindoc=%_man1dir

%install
%perl_vendor_install

%files
%doc Changes ignore.txt README LICENSE
%perl_vendor_privlib/G*

%files scripts
%_man1dir/*
%_bindir/*

%changelog
