# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(fields.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define upstream_name    Games-AIBots
%define upstream_version 0.03

Name:       perl-%{upstream_name}
Version:    %{upstream_version}
Release:    alt2_9

Summary:    An improved clone of A.I.Wars in Perl
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Games/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils/MakeMaker.pm)
BuildRequires: perl(Term/ANSIScreen.pm)
BuildRequires: perl(Term/ReadKey.pm)
BuildRequires: perl(Tk.pm)
BuildArch: noarch
Source44: import.info

%description
This module exists exclusively for the purpose of the _aibots_ script
bundled in the distribution. Please see the aibots manpage for an
explanation of the game's mechanics, rules and tips.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc README ChangeLog TODO SIGNATURE
%perl_vendor_privlib/*
/usr/bin/aibots
/usr/share/man/man1/aibots.1*



%changelog
