# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Clone.pm) perl(Module/Build.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define upstream_name    Games-Sudoku-Solver
%define upstream_version 1.1.0

Name:       perl-%{upstream_name}
Version:    %{upstream_version}
Release:    alt2_10

Summary:    Solve 9x9-Sudokus recursivly
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Games/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils/MakeMaker.pm)
BuildRequires: perl(Test/Perl/Critic.pm)
BuildRequires: perl(Test/More.pm)
BuildRequires: perl(Test/Pod/Coverage.pm)
BuildRequires: perl(version.pm)
BuildArch: noarch
Source44: import.info

%description
This module solves 9x9-Sudoku puzzles by recursion. There is no restriction
to the difficulty and the number of solutions.

The puzzle can be stored in a single dimension array or in a file, where
unknown cells are presented by zeros or points.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.yml README
%perl_vendor_privlib/*



%changelog
