%define module_name Gazelle
# BEGIN SourceDeps(oneline):
BuildRequires: libsowing-devel perl(Devel/CheckCompiler.pm) perl(Digest/MD5.pm) perl(Exporter.pm) perl(File/ShareDir.pm) perl(Guard.pm) perl(HTTP/Request/Common.pm) perl(HTTP/Tiny.pm) perl(IO/Select.pm) perl(IO/Socket/INET.pm) perl(Module/Build.pm) perl(Parallel/Prefork.pm) perl(Plack.pm) perl(Plack/Test.pm) perl(Plack/Test/Suite.pm) perl(Server/Starter.pm) perl(Socket.pm) perl(Stream/Buffered.pm) perl(Test/More.pm) perl(Test/TCP.pm) perl(XSLoader.pm) perl(base.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.49
Release: alt3
Summary: Preforked Plack Handler for performance freaks
Group: Development/Perl
License: perl
URL: https://github.com/kazeburo/Gazelle

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/K/KA/KAZEBURO/%{module_name}-%{version}.tar.gz

%description
From summary: %summary

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.md LICENSE Changes
%perl_vendor_archlib/P*
%perl_vendor_archlib/G*
%perl_vendor_autolib/*

%changelog
