Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-podlators
# END SourceDeps(oneline)
BuildRequires: perl(String/CRC32.pm)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-Gearman-Client-Async
Version:        0.94
Release:        alt2_39
Summary:        Asynchronous Client for the Gearman distributed job system
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Gearman-Client-Async
Source0:        https://cpan.metacpan.org/authors/id/B/BR/BRADFITZ/Gearman-Client-Async-%{version}.tar.gz
# Adapt to Gearman-1.12.007, CPAN RT#115026
Patch0:         Gearman-Client-Async-0.94-Do-not-use-removed-Gearman-Objects.patch
BuildArch:      noarch
BuildRequires:  coreutils
BuildRequires:  findutils
BuildRequires:  perl-devel
BuildRequires:  rpm-build-perl
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
# Run-time:
BuildRequires:  perl(base.pm)
BuildRequires:  perl(Carp.pm)
BuildRequires:  perl(constant.pm)
BuildRequires:  perl(Danga/Socket.pm)
BuildRequires:  perl(fields.pm)
BuildRequires:  perl(Gearman/JobStatus.pm)
BuildRequires:  perl(Gearman/ResponseParser.pm)
BuildRequires:  perl(Gearman/Task.pm)
BuildRequires:  perl(Gearman/Util.pm)
BuildRequires:  perl(IO/Handle.pm)
BuildRequires:  perl(List/Util.pm)
BuildRequires:  perl(Scalar/Util.pm)
BuildRequires:  perl(Socket.pm)
BuildRequires:  perl(strict.pm)
BuildRequires:  perl(vars.pm)
BuildRequires:  perl(warnings.pm)
# Tests:
BuildRequires:  perl(FindBin.pm)
BuildRequires:  perl(Gearman/Server.pm)
BuildRequires:  perl(Gearman/Worker.pm)
BuildRequires:  perl(Getopt/Long.pm)
BuildRequires:  perl(IO/Socket/INET.pm)
BuildRequires:  perl(lib.pm)
BuildRequires:  perl(POSIX.pm)
BuildRequires:  perl(Test/More.pm)

# Filter double Requires:

Source44: import.info
%filter_from_requires /^perl(Danga.Socket.pm)/d

%description
Asynchronous Client for the Gearman distributed job system

%prep
%setup -q -n Gearman-Client-Async-%{version}
%patch0 -p1

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build
mv README.txt README

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
# %{_fixperms} %{buildroot}/*

%files
%doc CHANGES README TODO
%{perl_vendor_privlib}/*

%changelog
