%define module_name Geo-Coder-Postcodes
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Encode.pm) perl(Encode/CN.pm) perl(Encode/JP.pm) perl(Encode/KR.pm) perl(Encode/TW.pm) perl(English.pm) perl(ExtUtils/MakeMaker.pm) perl(HTTP/Request.pm) perl(IO/Socket/INET.pm) perl(JSON.pm) perl(LWP/Protocol/https.pm) perl(LWP/UserAgent.pm) perl(Test/Carp.pm) perl(Test/CleanNamespaces.pm) perl(Test/Distribution.pm) perl(Test/Kwalitee.pm) perl(Test/LWP/UserAgent.pm) perl(Test/Most.pm) perl(Test/NoWarnings.pm) perl(Test/Number/Delta.pm) perl(Test/Perl/Metrics/Simple.pm) perl(URI.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.06
Release: alt1
Summary: Provides a geocoding functionality using https://postcodes.io.
Group: Development/Perl
License: open_source
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/N/NH/NHORNE/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Geo::Coder::Postcodes provides an interface to postcodes.io,
a free geocode database covering the towns in the UK.
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc ignore.txt README.md LICENSE README Changes
%perl_vendor_privlib/G*

%changelog
