Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Exporter.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-Geo-Constants
Version:        0.06
Release:        alt2_35
Summary:        Standard Geo:: constants

License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Geo-Constants
Source0:        https://cpan.metacpan.org/authors/id/M/MR/MRDVT/Geo-Constants-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  rpm-build-perl
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
Source44: import.info

%description
%{summary}.


%prep
%setup -q -n Geo-Constants-%{version}


%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor
%make_build


%install
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*


%check
make test



%files
%doc CHANGES LICENSE README
%{perl_vendor_privlib}/Geo/


%changelog
