%define module_version 0.13
%define module_name Geo-Distance-XS
# BEGIN SourceDeps(oneline):
BuildRequires: libsowing-devel perl(Benchmark.pm) perl(ExtUtils/MakeMaker.pm) perl(GIS/Distance.pm) perl(GIS/Distance/Fast.pm) perl(Geo/Distance.pm) perl(List/Util.pm) perl(Test/More.pm) perl(XSLoader.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.13
Release: alt6
Summary: speed up Geo::Distance
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/G/GR/GRAY/%{module_name}-%{module_version}.tar.gz

%description
The `Geo::Distance::XS' module provides faster C implementations of the.distance calculations found in `Geo::Distance'.  See the documentation for
that module for usage.

NOTE: As of version 0.13, Geo::Distance automatically uses this module if
it is installed.


%prep
%setup -n %{module_name}-%{module_version}

[ %version = 0.13 ] && rm t/02_new_pp.t

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_archlib/G*
%perl_vendor_autolib/*

%changelog
