Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(base.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-Geo-Forward
Version:        0.14
Release:        alt2_19
Summary:        Calculate geographic location from lat, lon, distance, and heading

License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Geo-Forward
Source0:        https://cpan.metacpan.org/authors/id/M/MR/MRDVT/Geo-Forward-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  rpm-build-perl
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(Geo/Constants.pm)
BuildRequires:  perl(Geo/Functions.pm)
BuildRequires:  perl(Geo/Ellipsoids.pm)
BuildRequires:  perl(Package/New.pm), perl(Test/More.pm), perl(Test/Simple.pm)
Source44: import.info

%description
%{summary}.


%prep
%setup -q -n Geo-Forward-%{version}
/usr/bin/perl -i -pe 's/\r//;' doc/*


%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor
%make_build


%install
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*


%check
make test



%files
%doc Changes LICENSE README doc/
%{perl_vendor_privlib}/Geo/


%changelog
