# BEGIN SourceDeps(oneline):
BuildRequires: libgd2-devel perl(ExtUtils/MakeMaker.pm) perl(GD.pm) perl(GD/Image.pm) perl(Test/More.pm) perl(XSLoader.pm)
# END SourceDeps(oneline)
%define module_version 0.02
%define module_name Geo-GD-Image
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.02
Release: alt6
Summary: Perl extension to draw Well Known Binary (WKB) blobs directly into a GD::Image
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/J/JD/JDIEPEN/%module_name-%module_version.tar.gz

%description
use Geo::GD::Image;
  
  my $img = Geo::GD::Image->newTrueColor();  # same as GD::Image
  
  # set up colors etc
  
  $img->draw_wkb( $wkb_blob, $gd_color, $offsetx, $offsety, $ratiox, $ratioy);


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_archlib/G*
%perl_vendor_autolib/*

%changelog
