# BEGIN SourceDeps(oneline):
BuildRequires: perl(Benchmark.pm) perl(CPAN.pm) perl(Config.pm) perl(Cwd.pm) perl(Devel/PPPort.pm) perl(Exporter.pm) perl(ExtUtils/MM_Unix.pm) perl(ExtUtils/MakeMaker.pm) perl(ExtUtils/Manifest.pm) perl(Fcntl.pm) perl(File/Basename.pm) perl(File/Find.pm) perl(File/Spec.pm) perl(File/Temp.pm) perl(FileHandle.pm) perl(Geo/Hash.pm) perl(JSON.pm) perl(LWP/Simple.pm) perl(Module/Build.pm) perl(Net/FTP.pm) perl(Parse/CPAN/Meta.pm) perl(Socket.pm) perl(Test/More.pm) perl(XSLoader.pm) perl(YAML/Tiny.pm) perl(inc/Module/Install.pm)
# END SourceDeps(oneline)
%define module_version 0.00015
%define module_name Geo-Hash-XS
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.00015
Release: alt6
Summary: Geo::Hash in XS
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/D/DM/DMAKI/%module_name-%module_version.tar.gz

%description
Geo::Hash::XS encodes and decodes geohash strings, fast. 

Currently this module is alpha quality (especially the `adjacent()' and `negihbors()' methods, which I just kind of copied the logic from elsewhere). Please submit tests and patches!


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README.mkdn
%perl_vendor_archlib/G*
%perl_vendor_autolib/*

%changelog
