%define module_name Geo-IP2Location
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Exporter.pm) perl(Math/BigInt.pm) perl(bigint.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 8.51
Release: alt1
Summary: Fast lookup of country, region, city, latitude, longitude, ZIP code, time zone, ISP, domain name, c...
Group: Development/Perl
License: see LICENSE
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/L/LO/LOCATION/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This Perl module provides fast lookup of country, region, city, latitude, longitude, ZIP code, time zone, ISP, domain name, connection type, IDD code, area code, weather station code and station, MCC, MNC, mobile carrier brand, elevation and usage type from IP address using IP2Location database. This module uses a file based .BIN database available at http://www.ip2location.com upon subscription. This database contains IP blocks as keys and other information as values. It supports IP address in IPv4 or IPv6.

This module can be used in many types of project such as:

 1) select the geographically closest mirror
 2) analyze web server logs to determine the countries of visitors
 3) credit card fraud detection
 4) software export controls
 5) display native language and currency
 6) prevent password sharing and abuse of service
 7) geotargeting in advertisement
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README LICENSE Changes
%perl_vendor_privlib/G*

%changelog
