%define module_name Geo-OGC-Service-WFS
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Capture/Tiny.pm) perl(Carp.pm) perl(Clone.pm) perl(DBD/Pg.pm) perl(DBI.pm) perl(Data/Dumper.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Basename.pm) perl(File/MkTemp.pm) perl(Geo/GDAL.pm) perl(Geo/OGC/Service.pm) perl(HTTP/Date.pm) perl(HTTP/Request/Common.pm) perl(JSON.pm) perl(Modern/Perl.pm) perl(Plack/Test.pm) perl(Test/More.pm) perl(XML/LibXML.pm) perl(XML/LibXML/PrettyPrint.pm) perl(XML/SemanticDiff.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.11
Release: alt1
Summary: Perl extension for geospatial web feature services
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/A/AJ/AJOLMA/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This module aims to provide the operations defined by the Open
Geospatial Consortium's Web Feature Service standard. These are (in
the version 2.0 of the standard)

 GetCapabilities (discovery operation) (*)
 DescribeFeatureType (discovery operation) (*)
 GetPropertyValue (query operation)
 GetFeature (query operation) (*)
 GetFeatureWithLock (query & locking operation)
 LockFeature (locking operation)
 Transaction (transaction operation) (*)
 CreateStoredQuery (stored query operation)
 DropStoredQuery (stored query operation)
 ListStoredQueries (stored query operation)
 DescribeStoredQueries (stored query operation)

(*) are at least somehow implemented.

This module is a plugin for the Geo::OGC::Service framework.
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README.md LICENSE
%perl_vendor_privlib/G*

%changelog
