%define module_name Getopt-EX
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Graphics/ColorNames.pm) perl(Hash/Util.pm) perl(List/Util.pm) perl(Module/Build/Tiny.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.23.3
Release: alt1
Summary: Getopt Extender
Group: Development/Perl
License: perl
URL: https://github.com/kaz-utashiro/Getopt-EX

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/U/UT/UTASHIRO/%{module_name}-v%{version}.tar.gz
BuildArch: noarch

%description
the Getopt::EX manpage extends the basic function of the Getopt manpage family to
support user-definable option aliases, and dynamic module which works
together with the script through option interface.

%prep
%setup -q -n %{module_name}-v%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.md Changes LICENSE
%perl_vendor_privlib/G*

%changelog
