Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-Getopt-Simple
Version:        1.52
Release:        alt2_17
Summary:        Provide a simple wrapper around Getopt::Long
License:        Artistic 2.0
URL:            https://metacpan.org/release/Getopt-Simple
Source0:        https://cpan.metacpan.org/authors/id/R/RS/RSAVAGE/Getopt-Simple-%{version}.tgz
BuildArch:      noarch
BuildRequires:  coreutils
BuildRequires:  findutils
BuildRequires:  perl-devel
BuildRequires:  rpm-build-perl
BuildRequires:  perl(Exporter.pm)
BuildRequires:  perl(Getopt/Long.pm)
BuildRequires:  perl(lib.pm)
BuildRequires:  perl(Module/Build.pm)
BuildRequires:  perl(strict.pm)
BuildRequires:  perl(Test/More.pm)
BuildRequires:  perl(Test/Pod.pm)
BuildRequires:  perl(vars.pm)
BuildRequires:  perl(warnings.pm)
Source44: import.info

%description
Getopt::Simple is a pure Perl module used as wrapper around Getopt::Long.

%prep
%setup -q -n Getopt-Simple-%{version}

%build
/usr/bin/perl Build.PL installdirs=vendor
./Build

%install
tr -d '\r' < README > tmp
mv tmp README
./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

# %{_fixperms} $RPM_BUILD_ROOT/*

%check
./Build test

%files
%doc CHANGES README
%{perl_vendor_privlib}/*

%changelog
