Group: Development/Perl
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-Getopt-Usaginator
Version:        0.0012
Release:        alt2_30
Summary:        Conjure up a usage function for your applications
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Getopt-Usaginator
Source0:        https://cpan.metacpan.org/authors/id/R/RO/ROKR/Getopt-Usaginator-%{version}.tar.gz
BuildArch:      noarch
# Build
BuildRequires:  rpm-build-perl
BuildRequires:  perl-devel
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(strict.pm)
BuildRequires:  perl(warnings.pm)
# Runtime
BuildRequires:  perl(Package/Pkg.pm)
# Tests only
BuildRequires:  perl(File/Spec.pm)
BuildRequires:  perl(IPC/Open3.pm)
BuildRequires:  perl(Symbol.pm)
BuildRequires:  perl(Test/Most.pm)
Source44: import.info

%description
Getopt::Usaginator is a tool for creating a handy usage subroutine for
commandline applications. It does not do any option parsing, but is best paired
with Getopt::Long or any of the other myriad of option parsers.

%prep
%setup -q -n Getopt-Usaginator-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}

%install
%{makeinstall_std}
# %{_fixperms} %{buildroot}/*

%check
make test

%files
%doc Changes README
%{perl_vendor_privlib}/*

%changelog
