%define module_name Giblog
# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/git perl(Encode.pm) perl(ExtUtils/MakeMaker.pm) perl(List/Util.pm) perl(Mojolicious.pm) perl(Pod/Usage.pm) perl(Test/More.pm) perl(Time/HiRes.pm) perl(Time/Piece.pm) perl(base.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 2.0
Release: alt1
Summary: HTML Generator
Group: Development/Perl
License: artistic_2
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/K/KI/KIMOTO/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Giblog is HTML generator.

Giblog is in beta test before 1.0 release. Note that features is changed without warnings.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %EVR

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README_DEVEL.txt Changes README.md
%perl_vendor_privlib/G*

%files scripts
%_man1dir/*
%_bindir/*

%changelog
