%define module_name Git-Annex
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Capture/Tiny.pm) perl(Carp.pm) perl(Cwd.pm) perl(Data/Compare.pm) perl(Digest/MD5/File.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Basename.pm) perl(File/Copy.pm) perl(File/Find.pm) perl(File/Path.pm) perl(File/Slurp.pm) perl(File/Spec/Functions.pm) perl(File/Temp.pm) perl(File/chdir.pm) perl(File/chmod.pm) perl(Getopt/Long.pm) perl(Git/Repository.pm) perl(Git/Wrapper.pm) perl(IPC/Open2.pm) perl(IPC/System/Simple.pm) perl(List/Util.pm) perl(Pod/Coverage/TrustPod.pm) perl(Scalar/Util.pm) perl(Storable.pm) perl(Term/ANSIColor.pm) perl(Term/ReadKey.pm) perl(Test/More.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(Time/HiRes.pm) perl(Try/Tiny.pm) perl(autodie.pm) perl(lib.pm) perl(parent.pm) perl(strict.pm) perl(subs.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.007
Release: alt1
Summary: Perl interface to git-annex repositories
Group: Development/Perl
License: gpl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/S/SP/SPWHITTON/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
An instance of the Git::Annex class represents a git repository in
which `git annex init' has been run.  This module provides some
useful methods for working with such repositories from Perl.  See
https://git-annex.branchable.com/ for more information on
git-annex.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %EVR

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes COPYING CONTRIBUTING README
%perl_vendor_privlib/G*
%perl_vendor_privlib/A*

%files scripts
%_man1dir/*
%_bindir/*

%changelog
