%define module_name Git-Bunch
# BEGIN SourceDeps(oneline):
BuildRequires: perl(App/reposdb.pm) perl(App/rsync/new2old.pm) perl(Capture/Tiny.pm) perl(Cwd.pm) perl(DBD/SQLite.pm) perl(DBI.pm) perl(Data/Sah/Coerce/perl/To_date/From_float/epoch_always.pm) perl(Data/Sah/Coerce/perl/To_date/From_obj/datetime.pm) perl(Data/Sah/Coerce/perl/To_date/From_obj/time_moment.pm) perl(Data/Sah/Coerce/perl/To_date/From_str/iso8601.pm) perl(Data/Sah/Coerce/perl/To_date/From_str/natural.pm) perl(Data/Sah/Compiler/perl/TH/array.pm) perl(Data/Sah/Compiler/perl/TH/bool.pm) perl(Data/Sah/Compiler/perl/TH/date.pm) perl(Data/Sah/Compiler/perl/TH/hash.pm) perl(Data/Sah/Compiler/perl/TH/str.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Path.pm) perl(File/Slurper.pm) perl(File/Spec.pm) perl(File/Temp.pm) perl(File/Which.pm) perl(File/chdir.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm)
BuildRequires: perl(IPC/System/Options.pm) perl(List/Util.pm) perl(Log/ger.pm) perl(Log/ger/Format.pm) perl(POSIX.pm) perl(Perinci/CmdLine/Any.pm) perl(Perinci/Sub/DepChecker.pm) perl(Pod/Coverage/TrustPod.pm) perl(Probe/Perl.pm) perl(String/ShellQuote.pm) perl(Test/More.pm) perl(Test/Perl/Critic.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(UUID/Random.pm) perl(autodie.pm) perl(experimental.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.629
Release: alt1
Summary: Manage gitbunch directory (directory which contain git repos)
Group: Development/Perl
License: perl
URL: https://metacpan.org/release/Git-Bunch

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PE/PERLANCAR/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
%summary

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %{?epoch:%epoch:}%name = %version-%release

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build --install_path bindoc=%_man1dir

%install
%perl_vendor_install

%files
%doc LICENSE README Changes
%perl_vendor_privlib/G*

%files scripts
%_man1dir/*
%_bindir/*

%changelog
