%define module_name Git-Helpers
# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/git perl(Browser/Open.pm) perl(Capture/Tiny.pm) perl(Carp.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(File/Temp.pm) perl(File/Touch.pm) perl(File/pushd.pm) perl(Getopt/Long.pm) perl(Git/Sub.pm) perl(Git/Version.pm) perl(MetaCPAN/Client.pm) perl(Moo.pm) perl(MooX/Options.pm) perl(Path/Tiny.pm) perl(Pod/Usage.pm) perl(String/Trim.pm) perl(Sub/Exporter.pm) perl(Term/Choose.pm) perl(Test/Deep.pm) perl(Test/Fatal.pm) perl(Test/Git.pm) perl(Test/More.pm) perl(Test/Requires/Git.pm) perl(Test/RequiresInternet.pm) perl(Try/Tiny.pm) perl(Types/Standard.pm) perl(URI.pm) perl(URI/FromHash.pm) perl(URI/Heuristic.pm) perl(URI/git.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.000000
Release: alt1
Summary: Shortcuts for common Git commands
Group: Development/Perl
License: perl
URL: https://github.com/oalders/git-helpers

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/O/OA/OALDERS/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
From summary: %summary

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README.md LICENSE CONTRIBUTORS examples
%perl_vendor_privlib/G*

%files scripts
%_man1dir/*
%_bindir/*

%changelog
