%define module_name Git-Hooks
# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/git perl(Carp.pm) perl(Config.pm) perl(Email/Sender/Simple.pm) perl(Email/Sender/Transport/Mbox.pm) perl(Email/Simple.pm) perl(Email/Valid.pm) perl(Encode.pm) perl(Encode/CN.pm) perl(Encode/JP.pm) perl(Encode/KR.pm) perl(Encode/TW.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(Git/Repository.pm) perl(Git/Repository/Log.pm) perl(Git/Repository/Plugin.pm) perl(HTML/Entities.pm) perl(IO/Interactive.pm) perl(List/MoreUtils.pm) perl(Log/Any.pm) perl(Path/Tiny.pm) perl(Pod/Coverage/TrustPod.pm) perl(Test/Kwalitee.pm) perl(Test/MinimumVersion.pm) perl(Test/More.pm) perl(Test/NoTabs.pm) perl(Test/Perl/Critic.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(Test/Requires/Git.pm) perl(Text/Glob.pm) perl(Text/SpellChecker.pm) perl(URI/Escape.pm) perl(lib.pm) perl(parent.pm) perl(strict.pm)
BuildRequires: perl(utf8.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 3.1.0
Release: alt1
Summary: A framework for implementing Git hooks.
Group: Development/Perl
License: perl
URL: https://github.com/gnustavo/Git-Hooks/blob/next/README.pod

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/G/GN/GNUSTAVO/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
%summary

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %EVR

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE Changes README.md
%perl_vendor_privlib/G*

%files scripts
%_man1dir/*
%_bindir/*

%changelog
