%define module_name Git-Raw
# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++ libgit2-devel libgnustep-corebase-devel libkrb5-devel libmbedtls-devel libpcre-devel libpcre2-devel libsowing-devel libssh2-devel libssl-devel perl(Capture/Tiny.pm) perl(Carp.pm) perl(Cwd.pm) perl(Devel/CheckLib.pm) perl(Dist/Zilla/Plugin/MakeMaker/Awesome.pm) perl(ExtUtils/Constant.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Basename.pm) perl(File/Copy.pm) perl(File/Path.pm) perl(File/Slurp/Tiny.pm) perl(File/Spec.pm) perl(File/Spec/Functions.pm) perl(File/Spec/Unix.pm) perl(Getopt/Long.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(Moose.pm) perl(Pod/Coverage/TrustPod.pm) perl(Test/Deep.pm) perl(Test/More.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(Time/Local.pm) perl(XSLoader.pm) perl(overload.pm) perl(strict.pm) perl(warnings.pm) valgrind-devel zlib-devel
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.87
Release: alt3
Summary: Perl bindings to the Git linkable library (libgit2)
Group: Development/Perl
License: perl
URL: http://metacpan.org/release/Git-Raw/

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/J/JA/JACQUESG/%{module_name}-%{version}.tar.gz

%description
From summary: %summary

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc TODO LICENSE README Changes
%perl_vendor_archlib/G*
%perl_vendor_autolib/*

%changelog
