%define module_name Google-Ads-GoogleAds-Client
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Class/Load.pm) perl(Class/Std/Fast.pm) perl(Config/Properties.pm) perl(Const/Exporter.pm) perl(Crypt/OpenSSL/RSA.pm) perl(Cwd.pm) perl(Data/Compare.pm) perl(Data/Uniqid.pm) perl(Date/Format.pm) perl(Date/Parse.pm) perl(Digest/SHA.pm) perl(Encode.pm) perl(Exporter/Auto.pm) perl(File/Basename.pm) perl(File/HomeDir.pm) perl(File/Path.pm) perl(File/Spec.pm) perl(File/Temp.pm) perl(FindBin.pm) perl(Getopt/Long.pm) perl(Google/Ads/AdWords/Client.pm) perl(Google/Ads/AdWords/v201809/AdGroup.pm) perl(Google/Ads/AdWords/v201809/AdGroupAd.pm) perl(Google/Ads/AdWords/v201809/AdGroupAdOperation.pm) perl(Google/Ads/AdWords/v201809/AdGroupAdRotationMode.pm) perl(Google/Ads/AdWords/v201809/AdGroupCriterionOperation.pm) perl(Google/Ads/AdWords/v201809/AdGroupOperation.pm) perl(Google/Ads/AdWords/v201809/BiddableAdGroupCriterion.pm)
BuildRequires: perl(Google/Ads/AdWords/v201809/BiddingStrategyConfiguration.pm) perl(Google/Ads/AdWords/v201809/Budget.pm) perl(Google/Ads/AdWords/v201809/BudgetOperation.pm) perl(Google/Ads/AdWords/v201809/Campaign.pm) perl(Google/Ads/AdWords/v201809/CampaignOperation.pm) perl(Google/Ads/AdWords/v201809/CpcBid.pm) perl(Google/Ads/AdWords/v201809/ExpandedTextAd.pm) perl(Google/Ads/AdWords/v201809/Keyword.pm) perl(Google/Ads/AdWords/v201809/Money.pm) perl(Google/Ads/AdWords/v201809/NetworkSetting.pm) perl(Google/Ads/AdWords/v201809/UrlList.pm) perl(HTTP/Request.pm) perl(HTTP/Request/Common.pm) perl(HTTP/Server/Simple/CGI.pm) perl(HTTP/Status.pm) perl(IO/Socket/SSL.pm) perl(JSON/Parse.pm) perl(JSON/SL.pm) perl(JSON/WebToken.pm) perl(JSON/XS.pm) perl(LWP/Protocol/https.pm) perl(LWP/UserAgent.pm) perl(LWP/UserAgent/Determined.pm)
BuildRequires: perl(List/Util.pm) perl(Log/Log4perl.pm) perl(MIME/Base64.pm) perl(Module/Build.pm) perl(POSIX.pm) perl(Pod/Usage.pm) perl(Storable.pm) perl(Template.pm) perl(Test/Deep.pm) perl(Test/Exception.pm) perl(Test/MockObject.pm) perl(Test/MockObject/Extends.pm) perl(Test/More.pm) perl(Time/HiRes.pm) perl(URI/Escape.pm) perl(URI/Query.pm) perl(threads.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 8.0.1
Release: alt1
Summary: Google Ads API Client Library for Perl
Group: Development/Perl
License: apache
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/W/WF/WFANSH/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Google::Ads::GoogleAds::Client is the main interface to the Google Ads API. It
takes care of handling your API credentials, and exposes all of the underlying
services that make up the Google Ads API.

The `Google::Ads::GoogleAds::Client' module should be loaded before other
`Google::Ads::' modules. A warning will occur if modules are loaded in the
wrong order.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE README.md CONTRIBUTING.md Changes examples
%perl_vendor_privlib/G*

%changelog
