%define module_name Google-RestApi
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Cache/Memory/Simple.pm) perl(Carp.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(Furl.pm) perl(Hash/Merge.pm) perl(JSON.pm) perl(List/MoreUtils.pm) perl(List/Util.pm) perl(Log/Log4perl.pm) perl(Net/OAuth2/Client.pm) perl(Net/OAuth2/Profile/WebServer.pm) perl(Scalar/Util.pm) perl(Storable.pm) perl(Sub/Retry.pm) perl(Term/ANSIColor.pm) perl(Term/Prompt.pm) perl(Test/Class/Load.pm) perl(Test/MockObject/Extends.pm) perl(Test/Most.pm) perl(Test/Perl/Critic.pm) perl(Tie/Hash.pm) perl(Time/Out.pm) perl(ToolSet.pm) perl(Type/Params.pm) perl(Types/Standard.pm) perl(URI.pm) perl(URI/QueryParam.pm) perl(WWW/Google/Cloud/Auth/ServiceAccount.pm) perl(YAML/Any.pm) perl(aliased.pm) perl(autodie.pm) perl(autovivification.pm) perl(constant.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.7
Release: alt1
Summary: Connection to Google REST APIs (currently Drive and Sheets).
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/M/MV/MVSJES/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Google Rest API is the foundation class used by the included Drive
and Sheets APIs. It is used to establish an OAuth2 handshake, and
send API requests to the Google API endpoint on behalf of the
underlying API classes (Sheets and Drive).

Once you have established the OAuth2 handshake, you would not
use this class much, it would be used indirectly by the Drive/Sheets
API classes.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %EVR

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.install.txt README.md Changes README.dist.txt LICENSE
%perl_vendor_privlib/G*

%files scripts
%_bindir/*
%_man1dir/*

%changelog
