# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(Data/Dumper.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Slurp.pm) perl(File/Temp.pm) perl(FindBin.pm) perl(Graph.pm) perl(Graph/Convert.pm) perl(Graph/Easy/Parser.pm) perl(Graph/Reader.pm) perl(Graph/Writer.pm) perl(IO/String.pm) perl(IPC/Run.pm) perl(List/Util.pm) perl(Math/BigInt.pm) perl(Module/Load.pm) perl(Path/Class.pm) perl(Scalar/Util.pm) perl(Smart/Comments.pm) perl(Socket.pm) perl(Test.pm)
# END SourceDeps(oneline)
%define module_version 2
%define module_name Graph-Graph6
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 2
Release: alt1
Summary: Read and write graph6 and sparse6.
Group: Development/Perl
License: gpl
URL: http://user42.tuxfamily.org/graph-graph6/index.html

Source0: http://cpan.org.ua/authors/id/K/KR/KRYDE/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
This module reads and writes graph6 or sparse6 files.  These file formats
are per

=over 4

http://cs.anu.edu.au/~bdm/data/formats.txt

=back

Both represent an undirected graph with vertices numbered 0 to n-1 encoded
into printable ascii characters in the range `?' to `~'.

The maximum number of vertices is 2^36-1.  sparse6 lists edges as pairs of
vertices i,j and is good for large graphs with relatively few edges.  graph6
is an upper triangle adjacency matrix of bits.  The encoding is 6 bits per
character so N vertices is a file size roughly N^2/12 bytes.  sparse6 can
have multi-edges and self loops.  graph6 does not.
%prep
%setup -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes COPYING
%perl_vendor_privlib/G*

%changelog
