# BEGIN SourceDeps(oneline):
BuildRequires: libsowing-devel nauty-devel perl(Data/Dumper.pm) perl(ExtUtils/MakeMaker.pm) perl(Graph/Undirected.pm) perl(Scalar/Util.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define module_name Graph-Nauty
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.3.6
Release: alt1
Summary: Perl bindings for nauty
Group: Development/Perl
License: perl
URL: http://search.cpan.org/dist/

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/M/ME/MERKYS/%{module_name}-%{version}.tar.gz

%description
Graph::Nauty provides an interface to nauty, a set of procedures for
determining the automorphism group of a vertex-coloured graph, and for
testing graphs for isomorphism.

Currently Graph::Nauty only supports
Graph::Undirected, that is, it does not handle
directed graphs. Both colored vertices and edges are accounted for when
determining equivalence classes.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_archlib/G*
%perl_vendor_autolib/*

%changelog
