%define module_name GraphQL
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Attribute/Handlers.pm) perl(Benchmark.pm) perl(Carp.pm) perl(DateTime.pm) perl(DateTime/Format/ISO8601.pm) perl(Devel/StrictMode.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(Function/Parameters.pm) perl(Import/Into.pm) perl(JSON/MaybeXS.pm) perl(JSON/PP.pm) perl(Module/Runtime.pm) perl(Moo.pm) perl(MooX/Thunking.pm) perl(Pegex.pm) perl(Return/Type.pm) perl(Test/Deep.pm) perl(Test/Exception.pm) perl(Test/More.pm) perl(Type/Tiny.pm) perl(base.pm) perl(curry.pm) perl(overload.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.51
Release: alt1
Summary: A reference implementation of the GraphQL spec in Perl.
Group: Development/Perl
License: artistic_2
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/E/ET/ETJ/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Perhaps a little code snippet.

    use GraphQL;
    my $foo = GraphQL->new();

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README.md
%perl_vendor_privlib/G*

%changelog
