%define module_name GraphQL-Client
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(Encode.pm) perl(Encode/CN.pm) perl(Encode/JP.pm) perl(Encode/KR.pm) perl(Encode/TW.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(FindBin.pm) perl(Future.pm) perl(Getopt/Long.pm) perl(HTTP/AnyUA.pm) perl(HTTP/AnyUA/Backend.pm) perl(HTTP/AnyUA/Util.pm) perl(HTTP/Tiny.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(JSON/MaybeXS.pm) perl(Module/Load.pm) perl(Scalar/Util.pm) perl(Test/Deep.pm) perl(Test/Exception.pm) perl(Test/More.pm) perl(Text/ParseWords.pm) perl(lib.pm) perl(namespace/clean.pm) perl(overload.pm) perl(parent.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.604
Release: alt1
Summary: Command-line GraphQL client
Group: Development/Perl
License: perl
URL: https://github.com/chazmcgarvey/graphql-client

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/C/CC/CCM/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
`GraphQL::Client' provides a simple way to execute GraphQL queries and
mutations on a server.

This module is the programmatic interface. There is also a "CLI program".

GraphQL servers are usually served over HTTP. The provided transport, the GraphQL::Client::http manpage, lets
you plug in your own user agent, so this client works naturally with the HTTP::Tiny manpage,
the Mojo::UserAgent manpage, and more. You can also use the HTTP::AnyUA manpage middleware.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %EVR

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE README Changes
%perl_vendor_privlib/G*

%files scripts
%_man1dir/*
%_bindir/*

%changelog
