%define module_name GraphQL-Plugin-Convert-DBIC
# BEGIN SourceDeps(oneline):
BuildRequires: perl(DBD/SQLite.pm) perl(DBIx/Class/Schema.pm) perl(Encode.pm) perl(ExtUtils/MakeMaker.pm) perl(GraphQL.pm) perl(JSON/MaybeXS.pm) perl(Lingua/EN/Inflect/Number.pm) perl(SQL/Translator.pm) perl(Test/More.pm) perl(Test/Snapshot.pm) perl(base.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.17
Release: alt1
Summary: convert DBIx::Class schema to GraphQL schema
Group: Development/Perl
License: artistic_2
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/E/ET/ETJ/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This module implements the the GraphQL::Plugin::Convert manpage API to convert
a the DBIx::Class::Schema manpage to the GraphQL::Schema manpage etc.

Its `Query' type represents a guess at what fields are suitable, based
on providing a lookup for each type (a the DBIx::Class::ResultSource manpage)
by each of its columns.

The `Mutation' type is similar: one `create/update/delete(type)' per
"real" type.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.md Changes
%perl_vendor_privlib/G*
%perl_vendor_privlib/S*

%changelog
