%define module_name Group-Git
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Config/Any.pm) perl(File/chdir.pm) perl(Getopt/Alt.pm) perl(IO/Prompt.pm) perl(JSON.pm) perl(List/MoreUtils.pm) perl(Module/Build.pm) perl(Module/Pluggable.pm) perl(Moo.pm) perl(Moo/Role.pm) perl(Net/GitHub.pm) perl(Path/Tiny.pm) perl(Pod/Usage.pm) perl(Term/ANSIColor.pm) perl(Test/Kwalitee.pm) perl(Test/More.pm) perl(Test/Perl/Critic.pm) perl(Test/Spelling.pm) perl(Test/Warnings.pm) perl(Type/Utils.pm) perl(Types/Standard.pm) perl(WWW/Mechanize.pm) perl(WWW/Mechanize/Cached.pm) perl(YAML/Syck.pm) perl(namespace/autoclean.pm) perl(threads.pm) perl(version.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.7.5
Release: alt1
Summary: Base module for group of git repository operations.
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/I/IV/IVANWILLS/%{module_name}-v%{version}.tar.gz
BuildArch: noarch

%description
This is the base module it will try to use all roles in the `Group::Git::Cmd::*'
namespace. This allows the creation of new command by just putting a role in that
namespace. Classes may extend this class to implement their own methods for
finding repositories (eg the Group::Git::Github manpage, the Group::Git::Bitbucket manpage,
the Group::Git::Gitosis manpage and the Group::Git::Stash manpage)

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release

%description scripts
scripts for %module_name
%prep
%setup -q -n %{module_name}-v%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes LICENSE TODO.md README.md
%perl_vendor_privlib/G*

%files scripts
%_man1dir/*
%_bindir/*

%changelog
