Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-Gtk2-Ex-Dialogs
Version:        0.11
Release:        alt3_38
Summary:        Useful tools for GNOME2/GTK2 Perl GUI design
License:        LGPLv2+
URL:            https://metacpan.org/release/Gtk2-Ex-Dialogs
Source0:        https://cpan.metacpan.org/authors/id/K/KC/KCK/Gtk2-Ex-Dialogs-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  rpm-build-perl
BuildRequires:  perl-devel
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
# Run-time
BuildRequires:  perl(Carp.pm)
BuildRequires:  perl(constant.pm)
BuildRequires:  perl(Cwd.pm)
BuildRequires:  perl(File/Basename.pm)
BuildRequires:  perl(File/Type.pm)
BuildRequires:  perl(Glib.pm)
BuildRequires:  perl(Gtk2.pm)
BuildRequires:  perl(Gtk2/Ex/Constants.pm)
BuildRequires:  perl(Gtk2/Ex/Utils.pm)
# Tests
BuildRequires:  perl(Test/More.pm)
Requires:       perl(File/Type.pm) >= 0.220
Requires:       perl(Gtk2.pm) >= 1.040
Requires:       perl(Gtk2/Ex/Utils.pm) >= 0.080

# Remove under-specified dependencies

Source44: import.info
%filter_from_requires /^perl(File.Type\|Gtk2.Ex.Utils.pm)/d

%description
This module provides a clean, simple, quick API to generate and use common
Gtk2 dialogs, either from within a full-blown Gtk2 application or as a one-off
deal inside a non-Gtk2 perl application.

%prep
%setup -q -n Gtk2-Ex-Dialogs-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}

%install
%{makeinstall_std}
# %{_fixperms} %{buildroot}/*

%check
make test

%files
%doc Changes COPYRIGHT README TODO examples/
%{perl_vendor_privlib}/*

%changelog
