%define module_version 0.21
%define module_name Gtk2-Ex-Spinner
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators perl(Gtk2.pm)

Name: perl-%module_name
Version: 0.21
Release: alt1
Summary: - integer entry using SpinButtons
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/S/ST/STRZELEC/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
`Gtk2::Ex::Spinner' is based on a great the Gtk2::Ex::DateSpinner manpage, so
in most cases documentation is the same. License is (of course) the same too :-).

`Gtk2::Ex::Spinner' displays and changes a integer using one 
`Gtk2::SpinButton' fields. The value is shown as below:

        +------+   
        |   99 |^  
        +------+v  

There's lots ways to enter/display an integer. This style is good for clicking
to a nearby value, but also allows a value to be typed in if a long way away.


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_privlib/G*

%changelog
