# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(CPAN.pm) perl(Config.pm) perl(Cwd.pm) perl(DynaLoader.pm) perl(File/Basename.pm) perl(File/Find.pm) perl(File/Spec.pm) perl(FileHandle.pm) perl(Glib/MakeHelper.pm) perl(Gtk2/CodeGen.pm) perl(Gtk2/TestHelper.pm) perl(LWP/Simple.pm) perl(Module/Build.pm) perl(Net/FTP.pm) perl(Socket.pm) perl(YAML/Tiny.pm) perl(base.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define upstream_name	 Gtk2-Phat
%define upstream_version 0.08

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %{upstream_version}
Release:    alt6_20

Summary:	Perl interface to the Phat widget collection
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}/
Source0:	http://search.cpan.org/CPAN/authors/id/F/FL/FLORA/%{upstream_name}-%{upstream_version}.tar.bz2

BuildRequires:	perl-devel
BuildRequires:	perl(Gtk2.pm)
BuildRequires:	perl(Glib.pm)
BuildRequires:	perl(ExtUtils/Depends.pm)
BuildRequires:	perl(ExtUtils/PkgConfig.pm)
BuildRequires:	perl(inc/Module/Install.pm)
BuildRequires:	pkgconfig(phat)
BuildRequires:	gtk+2-devel
Source44: import.info

%description
This module allows a perl developer to access the widgets of the Phat widget 
collection which is geared toward pro-audio apps. The goal is to eliminate 
duplication of effort and provide some standardization.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
find -type d -name CVS | rm -rf 

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor
export PERL_USE_UNSAFE_INC=1
%make

%check
%{__make} test

%install
%makeinstall_std

%files
%doc Changes README
%{perl_vendor_archlib}/Gtk2
%{perl_vendor_archlib}/auto/Gtk2


%changelog
