%define module_name Gzip-Libdeflate
# BEGIN SourceDeps(oneline):
BuildRequires: libsowing-devel perl(ExtUtils/MakeMaker.pm) perl(File/Slurper.pm) perl(FindBin.pm) perl(XSLoader.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.03
Release: alt2
Summary: Libdeflate compression library
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/B/BK/BKB/%{module_name}-%{version}.tar.gz

%description
This module provides an interface to libdeflate. Libdeflate is a
newly-written compression library which offers the same `deflate'
form of compression as zlib, as used in gzip, libpng and many similar
utilities. This distribution includes libdeflate within itself, so it
is not necessary to have that on your system.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes examples
%perl_vendor_archlib/G*
%perl_vendor_autolib/*

%changelog
