%define module_name HTML-AutoTag
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(HTML/Entities.pm) perl(Test/More.pm) perl(Tie/Hash/Attribute.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.06
Release: alt1
Summary: Just another HTML tag generator.
Group: Development/Perl
License: artistic_2
URL: https://github.com/jeffa/HTML-AutoTag

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/J/JE/JEFFA/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Generate nested HTML (HTML4, XHTML and HTML5) tags with custom indentation,
custom encoding and automatic attribute value rotation.
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes readme.md
%perl_vendor_privlib/H*

%changelog
