Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Module/Build.pm) perl(base.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-HTML-Prototype
Version:        1.48
Release:        alt2_33
Summary:        Generate HTML and Javascript for the Prototype library

License:        GPL+ or Artistic
URL:            https://metacpan.org/release/HTML-Prototype
Source0:        https://cpan.metacpan.org/authors/id/E/ES/ESSKAR/HTML-Prototype-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  rpm-build-perl
BuildRequires:  perl(HTML/Tree.pm)
BuildRequires:  perl(Class/Accessor/Fast.pm)
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(Test/More.pm)
Source44: import.info

%description
This perl module contains some code generators for Prototype, the famous
JavaScript OO library and the script.aculous extensions. The Prototype library 
(http://prototype.conio.net/) is designed to make AJAX easy. 
Catalyst::Plugin::Prototype makes it easy to connect to the Prototype library.

%prep
%setup -q -n HTML-Prototype-%{version}
/usr/bin/perl -pi -e 's/\r\n/\n/' README
iconv -f iso-8859-1 -t utf-8 -o README{.utf8,}
mv README{.utf8,}

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*

%check
make test

%files
%doc Changes README
%{perl_vendor_privlib}/HTML/

%changelog
