%define module_name HTTP-Cookies-Chrome
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Crypt/Rijndael.pm) perl(DBD/SQLite.pm) perl(DBI.pm) perl(Digest/SHA.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec/Functions.pm) perl(HTTP/Cookies.pm) perl(PBKDF2/Tiny.pm) perl(POSIX.pm) perl(Test/More.pm) perl(bignum.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 2.002
Release: alt1
Summary: A subclass of HTTP::Cookies to handle Chrome
Group: Development/Perl
License: artistic_2
URL: https://github.com/briandfoy/http-cookies-chrome

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/B/BD/BDFOY/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
From summary: %summary

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE Changes README.pod examples
%perl_vendor_privlib/H*

%changelog
