# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++ libsowing-devel perl(AutoLoader.pm) perl(Exporter.pm) perl(ExtUtils/Constant.pm) perl(ExtUtils/MakeMaker.pm) perl(Test/More.pm) perl(XSLoader.pm)
# END SourceDeps(oneline)
%define module_version 0.20
%define module_name HTTP-HeaderParser-XS
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.20
Release: alt6
Summary: an XS extension for processing HTTP headers.
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/M/MA/MARKSMITH/%{module_name}-%{module_version}.tar.gz
# TODO: fix compilation on other arches
ExclusiveArch:x86_64

%description
This module parses HTTP headers using a C++ state machine.  (Hence this
being an XS module.)  The goal is to be fast, not necessarily to do everything
you could ever want.

Headers are not static, you can parse them, munge them, or even build them
using this module.  See the SYNOPSIS for more information on how to use this
module.


%prep
%setup -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_archlib/H*
%perl_vendor_autolib/*

%changelog
