%define module_name HTTP-MultiGet
# BEGIN SourceDeps(oneline):
BuildRequires: perl(AnyEvent.pm) perl(AnyEvent/HTTP.pm) perl(AnyEvent/HTTP/Request.pm) perl(AnyEvent/HTTP/Response.pm) perl(AnyEvent/Loop.pm) perl(B.pm) perl(Carp.pm) perl(Class/Method/Modifiers.pm) perl(Data/Dumper.pm) perl(Data/Queue.pm) perl(Data/Result.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(HTTP/Headers.pm) perl(HTTP/Request.pm) perl(HTTP/Response.pm) perl(IO/Scalar.pm) perl(JSON.pm) perl(Log/Dispatch/Handle.pm) perl(Log/Log4perl.pm) perl(Log/LogMethods.pm) perl(Modern/Perl.pm) perl(Moo.pm) perl(MooX/Types/MooseLike/Base.pm) perl(Ref/Util.pm) perl(Scalar/Util.pm) perl(Test/More.pm) perl(Time/HiRes.pm) perl(namespace/clean.pm) perl(overload.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.022
Release: alt1
Summary: Run many http requests at once!
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/A/AK/AKALINUX/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Created a wrapper for: the AnyEvent::HTTP manpage, but provides a more LWP like feel.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_privlib/A*
%perl_vendor_privlib/H*

%changelog
