Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}


Name:           perl-HTTP-Soup
Version:        0.01
Release:        alt6_24
Summary:        HTTP client/server library for GNOME
License:        LGPLv2 or Artistic 2.0
URL:            https://metacpan.org/release/HTTP-Soup
Source0:        https://cpan.metacpan.org/authors/id/P/PO/POTYL/HTTP-Soup-%{version}.tar.gz
BuildRequires:  gcc
BuildRequires:  libsoup-devel libsoup-gir-devel libsoup-gnome-devel libsoup-gnome-gir-devel
BuildRequires:  perl-devel
BuildRequires:  perl-devel
BuildRequires:  rpm-build-perl
BuildRequires:  perl(base.pm)
BuildRequires:  perl(Cwd.pm)
BuildRequires:  perl(DynaLoader.pm)
BuildRequires:  perl(Data/Dumper.pm)
BuildRequires:  perl(ExtUtils/Depends.pm)
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(ExtUtils/PkgConfig.pm)
BuildRequires:  perl(File/Spec.pm)
BuildRequires:  perl(Glib.pm)
BuildRequires:  perl(Glib/CodeGen.pm)
BuildRequires:  perl(Glib/MakeHelper.pm)
BuildRequires:  perl(Glib/Object/Introspection.pm)
BuildRequires:  perl(strict.pm)
BuildRequires:  perl(Test/More.pm)
BuildRequires:  perl(warnings.pm)
Requires:       perl(Glib.pm) >= 1.0
Source44: import.info
%filter_from_requires /:__requires_exclude\|}^perl(Glib.pm)/d

%description
This module provides the Perl bindings for the C library libsoup.

%prep
%setup -q -n HTTP-Soup-%{version}

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS" NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}

%install
%{makeinstall_std}
# %{_fixperms} $RPM_BUILD_ROOT/*

%check
%{make_build} test

%files
%doc Changes COPYING README
%{perl_vendor_archlib}/auto/*
%{perl_vendor_archlib}/HTTP*

%changelog
