%define module_name HTTP-Throwable
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(HTTP/Request/Common.pm) perl(List/Util.pm) perl(Module/Runtime.pm) perl(Moo.pm) perl(Moo/Role.pm) perl(MooX/StrictConstructor.pm) perl(Package/Variant.pm) perl(Plack.pm) perl(Plack/Builder.pm) perl(Plack/Test.pm) perl(Plack/Util.pm) perl(Scalar/Util.pm) perl(StackTrace/Auto.pm) perl(Sub/Exporter.pm) perl(Sub/Exporter/Util.pm) perl(Test/Deep.pm) perl(Test/Fatal.pm) perl(Test/More.pm) perl(Throwable.pm) perl(Type/Tiny.pm) perl(Type/Utils.pm) perl(Types/Standard.pm) perl(base.pm) perl(lib.pm) perl(namespace/clean.pm) perl(overload.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.027
Release: alt1
Summary: a set of strongly-typed, PSGI-friendly HTTP 1.1 exception libraries
Group: Development/Perl
License: perl
URL: https://github.com/rjbs/HTTP-Throwable

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/R/RJ/RJBS/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
%summary

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.md LICENSE Changes README
%perl_vendor_privlib/H*

%changelog
