# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Cookie/Baker.pm) perl(Cookie/Baker/XS.pm) perl(Dumbbench.pm) perl(Test/MemoryGrowth.pm) perl(parent.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define upstream_name    HTTP-XSCookies
%define upstream_version 0.000021

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %{upstream_version}
Release:    alt3_6

Summary:    Fast XS cookie mangling for Perl
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/HTTP/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Data/Dumper.pm)
BuildRequires: perl(Date/Parse.pm)
BuildRequires: perl(ExtUtils/MakeMaker.pm)
BuildRequires: perl(ExtUtils/MakeMaker.pm)
BuildRequires: perl(Test/More.pm)
BuildRequires: perl(XSLoader.pm)
BuildRequires: perl-devel
Source44: import.info

%description
This module implements cookie creation (baking) and parsing (crushing)
using XS, therefore improving the speed of a pure Perl implementation.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
rm -f t/80_memory_leak.t

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor
%make_build CFLAGS="%{optflags}"

%check
make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml
%perl_vendor_archlib/*


%changelog
