%define module_name HackaMol
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Capture/Tiny.pm) perl(Cwd.pm) perl(Devel/Size.pm) perl(ExtUtils/MakeMaker.pm) perl(HTTP/Tiny.pm) perl(IO/Uncompress/Gunzip.pm) perl(JSON/XS.pm) perl(List/MoreUtils.pm) perl(MCE.pm) perl(Math/MatrixReal.pm) perl(Math/Trig.pm) perl(Math/Vector/Real.pm) perl(Math/Vector/Real/Farthest.pm) perl(Math/Vector/Real/Neighbors.pm) perl(Math/Vector/Real/Random.pm) perl(Math/Vector/Real/XS.pm) perl(Math/Vector/Real/kdTree.pm) perl(Math/VectorReal.pm) perl(Modern/Perl.pm) perl(Moose.pm) perl(MooseX/StrictConstructor.pm) perl(MooseX/Types/Path/Tiny.pm) perl(Net/FTP.pm) perl(Path/Tiny.pm) perl(Statistics/Descriptive.pm) perl(Test/Dir.pm) perl(Test/Fatal.pm) perl(Test/Moose.pm) perl(Test/More.pm) perl(Test/Output.pm) perl(Test/Warn.pm) perl(Time/HiRes.pm) perl(UML/Class/Simple.pm) perl(WWW/Search.pm) perl(YAML/XS.pm)
BuildRequires: perl(namespace/autoclean.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.051
Release: alt1
Summary: HackaMol: Object-Oriented Library for Molecular Hacking
Group: Development/Perl
License: perl
URL: https://github.com/demianriccardi/p5-HackaMol

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/D/DE/DEMIAN/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
From summary: %summary

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README LICENSE.md Changes LICENSE TODO.md README.md examples
%perl_vendor_privlib/H*

%changelog
