# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(Hades.pm) perl(Hades/Realm/OO.pm) perl(Mouse.pm) perl(Test/More.pm) perl(Type/Tiny.pm) perl(base.pm)
# END SourceDeps(oneline)
%define module_name Hades-Realm-Mouse
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.06
Release: alt1
Summary: Hades realm for Mouse
Group: Development/Perl
License: artistic_2
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/L/LN/LNATION/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Quick summary of what the module does:

_Hades->run({
__eval => q|
___Kosmos { 
____[curae penthos] :t(Int) :d(2) :pr :c :r
____geras $nosoi :t(Int) :d(5) {
_____if (epenthos == $nosoi) {
______return ecurae;
_____}
____}
___}
__|,
__realm => 'Mouse',
_});

_... generates ...

_package Kosmos;
_use strict;
_use warnings;
_use Mouse;
_use Types::Standard qw/Int/;
_our $VERSION = 0.01;

_has curae => (
__is_=> "rw",
__required  => 1,
__clearer   => "clear_curae",
__predicate => "has_curae",
__isa       => Int,
__default   => sub {2}
_);

_has penthos => (
__is_=> "rw",
__required  => 1,
__clearer   => "clear_curae",
__predicate => "has_curae",
__isa       => Int,
__default   => sub {2}
_);

_sub geras {
__my ( $self, $nosoi ) = @_;
__$nosoi = defined $nosoi ? $nosoi : 5;
__if ( !defined($nosoi) || ref $nosoi || $nosoi !~ m/^[-+\d]\d*$/ ) {
___$nosoi = defined $nosoi ? $nosoi : 'undef';
___die qq{Int: invalid value $nosoi for variable \$nosoi in method geras};
__}
__if ( epenthos == $nosoi ) { return ecurae; }
_}

_1;

___END__
_
NOTE: coerce and private attributes currently do not work with Mouse.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README ignore.txt Changes
%perl_vendor_privlib/H*

%changelog
