Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:               perl-Ham-Reference-QRZ
Version:            0.04
Release:            alt2_15
Summary:            An object oriented front end for the QRZ.COM Amateur Radio call-sign database
License:            Artistic 2.0
URL:                https://metacpan.org/release/Ham-Reference-QRZ
Source0:            https://cpan.metacpan.org/modules/by-module/Ham/BRADMC/Ham-Reference-QRZ-%{version}.tar.gz
BuildArch:          noarch
BuildRequires:      findutils
BuildRequires:      perl-devel
BuildRequires:      rpm-build-perl
BuildRequires:      perl(ExtUtils/MakeMaker.pm)
BuildRequires:      perl(HTML/Entities.pm)
BuildRequires:      perl(LWP/UserAgent.pm)
BuildRequires:      perl(XML/Simple.pm)
# Tests
BuildRequires:      perl(Pod/Coverage.pm)
BuildRequires:      perl(Test/More.pm)
BuildRequires:      perl(Test/Pod/Coverage.pm)
BuildRequires:      perl(Test/Pod.pm)
Source44: import.info

%description
An object oriented front end for the QRZ.COM Amateur Radio call-sign database.

%prep
%setup -q -n Ham-Reference-QRZ-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
# %{_fixperms} %{buildroot}/*

%check
make test

%files
%doc --no-dereference LICENSE
%doc Changes README
%{perl_vendor_privlib}/*

%changelog
