# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(List/MoreUtils.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define upstream_name    Hash-AutoHash-Args
%define upstream_version 1.18

Name:       perl-%{upstream_name}
Version:    %{upstream_version}
Release:    alt2_8

Summary:    Object-oriented processing of argument lists (version 0)
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Hash/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp.pm)
BuildRequires: perl(Exporter.pm)
BuildRequires: perl(Hash/AutoHash.pm)
BuildRequires: perl(Module/Build.pm)
BuildRequires: perl(Scalar/Util.pm)
BuildRequires: perl(Test/Deep.pm)
BuildRequires: perl(Test/More.pm)
BuildRequires: perl(Test/Pod.pm)
BuildRequires: perl(Test/Pod/Content.pm)
BuildRequires: perl(Tie/Hash.pm)
BuildArch:  noarch
Source44: import.info

%description
This class simplifies the handling of keyword argument lists. It replaces
the Class::AutoClass::Args manpage. See the DIFFERENCES FROM
Class::AutoClass::Args manpage for a discussion of what's new. See the
Hash::AutoHash::Args::V0 manpage for a subclass which is more compatible

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.json META.yml  README
%{perl_vendor_privlib}/*


%changelog
