%define module_name Hash-Match
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(List/AllUtils.pm) perl(Module/Metadata.pm) perl(Ref/Util.pm) perl(Test/Exception.pm) perl(Test/More.pm) perl(if.pm) perl(namespace/autoclean.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.7.0
Release: alt1
Summary: match contents of a hash against rules
Group: Development/Perl
License: artistic_2
URL: http://rrwo.tumblr.com

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/R/RR/RRWO/%{module_name}-v%{version}.tar.gz
BuildArch: noarch

%description
This module allows you to specify complex matching rules for the
contents of a hash.


%prep
%setup -q -n %{module_name}-v%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.md Changes LICENSE
%perl_vendor_privlib/H*

%changelog
