%define module_name Hash-Ordered
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Array/AsHash.pm) perl(Array/OrdHash.pm) perl(Carp.pm) perl(Data/XHash.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(List/Util.pm) perl(Math/Random/MT/Auto.pm) perl(Test/Deep.pm) perl(Test/FailWarnings.pm) perl(Test/Fatal.pm) perl(Test/More.pm) perl(Tie/Hash/Indexed.pm) perl(Tie/IxHash.pm) perl(Tie/LLHash.pm) perl(constant.pm) perl(overload.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.014
Release: alt1
Summary: A compact, pure-Perl ordered hash class
Group: Development/Perl
License: apache
URL: https://github.com/dagolden/Hash-Ordered

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/D/DA/DAGOLDEN/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
From summary: %summary

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE Changes README
%perl_vendor_privlib/H*

%changelog
