%define module_name IO-Compress-Lzma
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(Compress/Raw/Lzma.pm) perl(Compress/Raw/Zlib.pm) perl(Config.pm) perl(Encode.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec/Functions.pm) perl(File/Temp.pm) perl(IO/Compress/Base.pm) perl(IO/File.pm) perl(IO/Handle.pm) perl(IO/String.pm) perl(IO/Uncompress/Base.pm) perl(List/Util.pm) perl(Test/NoWarnings.pm) perl(threads/shared.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 2.101
Release: alt1
Summary: Write lzma files/buffers
Group: Development/Perl
License: perl
URL: https://github.com/pmqs/IO-Compress-Lzma

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PM/PMQS/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
WARNING -- This is a Beta release. .
=over 5

=item * DO NOT use in production code.

=item * The documentation is incomplete in places.

=item * Parts of the interface defined here are tentative.

=item * Please report any problems you find.

=back

This module provides a Perl interface that allows writing lzma 
compressed data to files or buffer.

For reading lzma files/buffers, see the companion module 
IO::Uncompress::UnLzma.


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes examples
%perl_vendor_privlib/I*

%changelog
