%define module_name IO-Iron
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(Carp/Assert.pm) perl(Carp/Assert/More.pm) perl(Const/Fast.pm) perl(Data/Dumper.pm) perl(Data/UUID.pm) perl(English.pm) perl(Exception/Class.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Copy.pm) perl(File/HomeDir.pm) perl(File/Remove.pm) perl(File/Spec.pm) perl(Hash/Util.pm) perl(JSON/MaybeXS.pm) perl(Log/Any.pm) perl(Log/Any/Test.pm) perl(Params/Validate.pm) perl(Path/Tiny.pm) perl(REST/Client.pm) perl(Scalar/Util.pm) perl(Test/Exception.pm) perl(Test/More.pm) perl(Try/Tiny.pm) perl(URI/Escape.pm) perl(lib.pm) perl(parent.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.13
Release: alt1
Summary: perl module %module_name
Group: Development/Perl
License: perl
URL: https://metacpan.org/release/IO-Iron

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/M/MI/MIKKOI/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
From summary: %summary

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README README.md LICENSE TODO Changes
%perl_vendor_privlib/I*

%changelog
