%define module_name IP-World
# BEGIN SourceDeps(oneline):
BuildRequires: perl(CPAN/DistnameInfo.pm) perl(Carp.pm) perl(Config.pm) perl(ExtUtils/CBuilder.pm) perl(File/Copy.pm) perl(File/ShareDir.pm) perl(HTTP/Status.pm) perl(LWP/UserAgent.pm) perl(Module/Build.pm) perl(Probe/Perl.pm) perl(Test/More.pm) perl(Time/HiRes.pm) perl(URI.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.42
Release: alt2
Summary: Fast IP-address to country-code translation using multiple databases
Group: Development/Perl
License: open_source
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/D/DC/DCANTRELL/%{module_name}-%{version}.tar.gz

%description
%summary

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %{?epoch:%epoch:}%name = %version-%release
BuildArch: noarch

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build --install_path bindoc=%_man1dir

%install
%perl_vendor_install

%files
%doc Changes ARTISTIC.txt README
%perl_vendor_archlib/I*
%perl_vendor_autolib/*

%files scripts
%_bindir/*

%changelog
