# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(Class/Attrib.pm) perl(DynaLoader.pm) perl(ExtUtils/MakeMaker.pm) perl(Fcntl.pm) perl(IPC/SysV.pm) perl(Test/More.pm) perl(UNIVERSAL.pm)
# END SourceDeps(oneline)
%define module_version 1.10
%define module_name IPC-Shm-Simple
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.10
Release: alt6
Summary: Simple data in SysV shared memory segments.
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/K/KC/KCODY/%{module_name}-%{module_version}.tar.gz

%description
Provides the ability to create a shared segment with or without first
knowing what ipckey it will use. Caches shared memory reads in process
memory, and defeatably verifies writes by reading the value back
and comparing it stringwise.

Can only store string or numeric data.
%prep
%setup -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README README.sharelite
%perl_vendor_archlib/I*
%perl_vendor_autolib/*

%changelog
