%define module_name Image-CCV
# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++ libatlas-devel libavcodec-devel libavformat-devel libev-devel libfftw3-devel libgsl-devel libicu-devel libjpeg-devel libpng-devel libswscale-devel perl(Config.pm) perl(Devel/CheckLib.pm) perl(DynaLoader.pm) perl(Exporter.pm) perl(Pod/Markdown.pm) perl(Text/ParseWords.pm) tcl-devel tesseract-devel zlib-devel
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.11
Release: alt3
Summary: Crazy-cool Computer Vision bindings for Perl
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/C/CO/CORION/%{module_name}-%{version}.tar.gz

%description
use Image::CCV qw(detect_faces);

    my $scene = "image-with-faces.png";

    my @coords = detect_faces( $scene );
    print "@$_\n" for @coords;


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.mkdn README Changes examples
%perl_vendor_archlib/I*
%perl_vendor_autolib/*

%changelog
