Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-Image-SubImageFind
Version:        0.03
Release:        alt6_22
Summary:        Perl extension for locating a sub-image within an image
License:        GPLv2 and GPLv2+
# patch to address https://fedoraproject.org/wiki/Common_Rpmlint_issues#incorrect-fsf-address has been sent upstream at https://rt.cpan.org/Ticket/Display.html?id=93990
URL:            https://metacpan.org/release/Image-SubImageFind
Source0:        https://cpan.metacpan.org/modules/by-module/Image/Image-SubImageFind-%{version}.tar.gz
# https://rt.cpan.org/Ticket/Display.html?id=93989
Patch1:         image_subimagefind_makefile.patch
BuildRequires:  gcc-c++
BuildRequires:  libfftw3-devel
BuildRequires:  libstdc++9-devel
BuildRequires:  libImageMagick-devel
BuildRequires:  perl-devel
BuildRequires:  perl-devel
BuildRequires:  rpm-build-perl
BuildRequires:  perl(Cwd.pm)
BuildRequires:  perl(Exporter.pm)
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(File/Basename.pm)
BuildRequires:  perl(File/Spec.pm)
BuildRequires:  perl(strict.pm)
BuildRequires:  perl(Test/More.pm)
BuildRequires:  perl(warnings.pm)
BuildRequires:  perl(XSLoader.pm)
Source44: import.info

%description
Perl module to aide in locating a sub-image within an image.

%prep
%setup -q -n Image-SubImageFind-%{version}

%patch1

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS"
%make_build

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -type f -name '*.bs' -size 0 -exec rm -f {} \;

# %{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc Changes Copying README
%{perl_vendor_archlib}/auto/*
%{perl_vendor_archlib}/Image*

%changelog
