%define module_name Image-Synchronize
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Clone.pm) perl(ExtUtils/MakeMaker.pm) perl(IO/Interactive.pm) perl(Image/ExifTool.pm) perl(Modern/Perl.pm) perl(Path/Class.pm) perl(Path/Iterator/Rule.pm) perl(Pod/Usage.pm) perl(Term/ProgressBar.pm) perl(Time/Local.pm) perl(XML/Twig.pm) perl(YAML/Any.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 2.007
Release: alt1
Summary: a module for synchronizing filesystem modification timestamps of images, movies, and related files.
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/L/LS/LSTROUS/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This module is the backend of the imsync manpage and was not designed to be
used outside of that context.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %EVR

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_privlib/I*

%files scripts
%_man1dir/*
%_bindir/*

%changelog
