%define module_name JIP-DataPath
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(English.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.042
Release: alt1
Summary: provides a way to access data elements in a deep, complex and nested data structure.
Group: Development/Perl
License: artistic_2
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/V/VL/VLADIMIRZ/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
use JIP::DataPath qw(path);

    path({foo => 42})->get(['foo']); # 42

    path({foo => 42})->contains(['foo']); # True

    my $document = {foo => 42};
    if (path($document)->set(['foo'], 100500)) {
        path($document)->perform('get', ['foo']); # 100500
    }

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE README Changes
%perl_vendor_privlib/J*

%changelog
