# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(Test/More.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define module_name JSCalendar-Duration
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.002
Release: alt1
Summary: Convert seconds to JSCalendar durations and back
Group: Development/Perl
License: perl
URL: https://github.com/wolfsage/JSCalendar-Duration

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/W/WO/WOLFSAGE/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This module converts between a duration of time as specified by seconds and
a JSCalendar duration (https://tools.ietf.org/html/draft-ietf-calext-jscalendar-00#section-3.2.3).

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes LICENSE
%perl_vendor_privlib/J*

%changelog
