%define module_name JSON-Conditional
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(JSON.pm) perl(Module/Metadata.pm) perl(Struct/Conditional.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.00
Release: alt1
Summary: A conditional language within a JSON struct
Group: Development/Perl
License: artistic_2
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/L/LN/LNATION/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Quick summary of what the module does.

_use JSON::Conditional;

_my $c = JSON::Conditional->new();

_my $json = '{
__"for": {
___"key": "countries",
___"each": "countries",
___"if": {
____"m": "Thailand",
____"key": "country",
____"then": {
_____"rank": 1
____}
___},
___"elsif": {
____"m": "Indonesia",
____"key": "country",
____"then": {
_____"rank": 2
____}
___},
___"else": {
____"then": {
_____"rank": null
____}
___},
___"country": "{country}"
__}
_}';

_$json = $c->compile($json, {
__countries => [
___{ country => "Thailand" },
___{ country => "Indonesia" },
___{ country => "Japan" },
___{ country => "Cambodia" },
__]
_});

_...

_{
__"countries": [
___{
____"rank": 1,
____"country": "Thailand"
___},
___{
____"rank": 2,
____"country": "Indonesia"
___},
___{
____"rank": null,
____"country": "Japan"
___},
___{
____"rank": null,
____"country": "Cambodia"
___}
__]
_};

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README ignore.txt
%perl_vendor_privlib/J*

%changelog
