%define module_name JSON-Schema-Draft201909
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Data/Perl/Role/Collection/Array.pm) perl(ExtUtils/MakeMaker.pm) perl(Feature/Compat/Try.pm) perl(File/Spec.pm) perl(Import/Into.pm) perl(JSON/MaybeXS.pm) perl(JSON/PP.pm) perl(JSON/Schema/Modern.pm) perl(JSON/Schema/Modern/Annotation.pm) perl(JSON/Schema/Modern/Document.pm) perl(JSON/Schema/Modern/Error.pm) perl(JSON/Schema/Modern/Result.pm) perl(JSON/Schema/Modern/Utilities.pm) perl(JSON/Schema/Modern/Vocabulary.pm) perl(JSON/Schema/Modern/Vocabulary/Applicator.pm) perl(JSON/Schema/Modern/Vocabulary/Content.pm) perl(JSON/Schema/Modern/Vocabulary/Core.pm) perl(JSON/Schema/Modern/Vocabulary/Format.pm) perl(JSON/Schema/Modern/Vocabulary/MetaData.pm) perl(JSON/Schema/Modern/Vocabulary/Validation.pm) perl(List/Util.pm) perl(Module/Build.pm) perl(Module/Build/Tiny.pm) perl(Module/Metadata.pm)
BuildRequires: perl(Moo.pm) perl(Moo/Role.pm) perl(Path/Tiny.pm) perl(Safe/Isa.pm) perl(Test/Deep.pm) perl(Test/JSON/Schema/Acceptance.pm) perl(Test/Memory/Cycle.pm) perl(Test/More.pm) perl(Test/Warnings.pm) perl(constant.pm) perl(if.pm) perl(lib.pm) perl(namespace/clean.pm) perl(open.pm) perl(strict.pm) perl(strictures.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.128
Release: alt1
Summary: Validate data against a schema
Group: Development/Perl
License: perl
URL: https://github.com/karenetheridge/JSON-Schema-Draft201909

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/E/ET/ETHER/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This module aims to be a fully-compliant JSON Schema evaluator and
validator, targeting the currently-latest
Draft 2019-09
version of the specification.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc pull_request_template.md CONTRIBUTING README Changes
%perl_vendor_privlib/J*

%changelog
