# BEGIN SourceDeps(oneline):
BuildRequires: perl(B.pm) perl(Carp.pm) perl(Data/Perl/Role/Collection/Array.pm) perl(Data/Validate/Domain.pm) perl(Email/Address/XS.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(Feature/Compat/Try.pm) perl(File/ShareDir.pm) perl(File/ShareDir/Install.pm) perl(File/Spec.pm) perl(HTTP/Tiny.pm) perl(JSON/MaybeXS.pm) perl(JSON/PP.pm) perl(List/Util.pm) perl(Module/Build.pm) perl(Module/Build/Tiny.pm) perl(Module/Metadata.pm) perl(Module/Runtime.pm) perl(Mojo/JSON/Pointer.pm) perl(Mojo/URL.pm) perl(Mojolicious.pm) perl(Moo.pm) perl(Moo/Object.pm) perl(Moo/Role.pm) perl(MooX/HandlesVia.pm) perl(MooX/TypeTiny.pm) perl(Net/IDN/Encode.pm) perl(Path/Tiny.pm) perl(Ref/Util.pm) perl(Safe/Isa.pm) perl(Scalar/Util.pm) perl(Storable.pm) perl(Test/Deep.pm) perl(Test/Deep/UnorderedPairs.pm) perl(Test/Fatal.pm) perl(Test/File/ShareDir.pm)
BuildRequires: perl(Test/JSON/Schema/Acceptance.pm) perl(Test/Memory/Cycle.pm) perl(Test/More.pm) perl(Test/Warnings.pm) perl(Time/Moment.pm) perl(Types/Standard.pm) perl(constant.pm) perl(if.pm) perl(lib.pm) perl(namespace/clean.pm) perl(open.pm) perl(overload.pm) perl(strict.pm) perl(strictures.pm) perl(utf8.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define module_name JSON-Schema-Modern
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.513
Release: alt1
Summary: Validate data against a schema
Group: Development/Perl
License: perl
URL: https://github.com/karenetheridge/JSON-Schema-Modern

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/E/ET/ETHER/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This module aims to be a fully-compliant JSON Schema evaluator and
validator, targeting the currently-latest
Draft 2019-09
version of the specification.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc CONTRIBUTING Changes README
%perl_vendor_privlib/J*
%perl_vendor_privlib/auto/*

%changelog
