%define module_name JSON-Schema-Tiny
# BEGIN SourceDeps(oneline):
BuildRequires: perl(B.pm) perl(Carp.pm) perl(Data/Dumper.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(Feature/Compat/Try.pm) perl(File/Spec.pm) perl(JSON/MaybeXS.pm) perl(JSON/PP.pm) perl(List/Util.pm) perl(Module/Build.pm) perl(Module/Build/Tiny.pm) perl(Module/Metadata.pm) perl(Mojo/JSON/Pointer.pm) perl(Mojo/URL.pm) perl(Path/Tiny.pm) perl(Ref/Util.pm) perl(Scalar/Util.pm) perl(Storable.pm) perl(Test/Deep.pm) perl(Test/Fatal.pm) perl(Test/JSON/Schema/Acceptance.pm) perl(Test/More.pm) perl(Test/Warnings.pm) perl(constant.pm) perl(if.pm) perl(lib.pm) perl(namespace/clean.pm) perl(open.pm) perl(strict.pm) perl(utf8.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.006
Release: alt1
Summary: Validate data against a schema, minimally
Group: Development/Perl
License: perl
URL: https://github.com/karenetheridge/JSON-Schema-Tiny

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/E/ET/ETHER/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This module aims to be a slimmed-down JSON Schema evaluator and
validator, supporting the most popular keywords used in the draft 2019-09 version of the
specification. (See the UNSUPPORTED JSON-SCHEMA FEATURES entry elsewhere in this document below for exclusions.)

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README CONTRIBUTING
%perl_vendor_privlib/J*

%changelog
