Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-JSON-Util
Version:        0.06
Release:        alt2_17
Summary:        Easy and portable encode/decode of JSON
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/JSON-Util
Source0:        https://cpan.metacpan.org/authors/id/J/JK/JKUTEJ/JSON-Util-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  coreutils
BuildRequires:  findutils
BuildRequires:  perl-devel
BuildRequires:  rpm-build-perl
BuildRequires:  perl(Carp.pm)
BuildRequires:  perl(feature.pm)
BuildRequires:  perl(File/Temp.pm)
BuildRequires:  perl(FindBin.pm)
BuildRequires:  perl(IO/Any.pm)
BuildRequires:  perl(JSON/MaybeXS.pm)
BuildRequires:  perl(Module/Build.pm)
BuildRequires:  perl(Scalar/Util.pm)
BuildRequires:  perl(strict.pm)
BuildRequires:  perl(Test/Differences.pm)
BuildRequires:  perl(Test/Exception.pm)
BuildRequires:  perl(Test/More.pm)
BuildRequires:  perl(utf8.pm)
BuildRequires:  perl(warnings.pm)
Source44: import.info

%description
Provides methods to encode and decode JSON.

%prep
%setup -q -n JSON-Util-%{version}

%build
/usr/bin/perl Build.PL installdirs=vendor
./Build

%install

./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

# %{_fixperms} $RPM_BUILD_ROOT/*

%check
./Build test

%files
%doc Changes README
%{perl_vendor_privlib}/*

%changelog
