%define module_name JavaScript-Duktape-XS
# BEGIN SourceDeps(oneline):
BuildRequires: libsowing-devel perl(Data/Dumper.pm) perl(ExtUtils/MakeMaker.pm) perl(JSON/PP.pm) perl(Path/Tiny.pm) perl(Test/Exception.pm) perl(Test/More.pm) perl(Test/Output.pm) perl(Text/Trim.pm) perl(Time/HiRes.pm) perl(XSLoader.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.000075
Release: alt3
Summary: Perl XS binding for the Duktape Javascript embeddable engine
Group: Development/Perl
License: mit
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/G/GO/GONZUS/%{module_name}-%{version}.tar.gz

%description
This module provides an XS wrapper to call Duktape from Perl.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE Changes README.md
%perl_vendor_archlib/J*
%perl_vendor_autolib/*

%changelog
