%define module_name Kelp
Epoch: 1
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(Class/Inspector.pm) perl(Data/Dumper.pm) perl(Encode.pm) perl(Encode/CN.pm) perl(Encode/JP.pm) perl(Encode/KR.pm) perl(Encode/TW.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Temp.pm) perl(FindBin.pm) perl(Getopt/Long.pm) perl(HTTP/Cookies.pm) perl(HTTP/Request/Common.pm) perl(IO/File.pm) perl(JSON/MaybeXS.pm) perl(Log/Dispatch.pm) perl(Path/Tiny.pm) perl(Plack/Middleware/Session.pm) perl(Plack/Test.pm) perl(Plack/Util.pm) perl(Scalar/Util.pm) perl(Sys/Hostname.pm) perl(Template/Tiny.pm) perl(Test/Deep.pm) perl(Test/Exception.pm) perl(Test/Harness.pm) perl(Test/More.pm) perl(Test/Pod.pm) perl(Try/Tiny.pm) perl(feature.pm) perl(lib.pm) perl(namespace/autoclean.pm) perl(parent.pm) perl(strict.pm) perl(utf8.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.05
Release: alt1
Summary: A web framework light, yet rich in nutrients.
Group: Development/Perl
License: perl
URL: https://brtastic.xyz/project/kelp

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/B/BR/BRTASTIC/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
%summary

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %EVR

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build INSTALLMAN1DIR=%_man1dir

%install
%perl_vendor_install

%files
%doc README README.md Changes LICENSE
%perl_vendor_privlib/K*

%files scripts
%_bindir/*

%changelog
