%set_perl_req_method relaxed
BuildRequires: xvfb-run
# BEGIN SourceDeps(oneline):
BuildRequires: perl(CPAN.pm) perl(Config/General.pm) perl(Cwd.pm) perl(Encode.pm) perl(Encode/CN.pm) perl(Encode/Guess.pm) perl(Encode/JP.pm) perl(Encode/KR.pm) perl(Encode/TW.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Find.pm) perl(File/Spec/Functions.pm) perl(File/UserConfig.pm) perl(JSON.pm) perl(LWP/Simple.pm) perl(Log/Dispatch.pm) perl(Log/Dispatch/File.pm) perl(Module/Build.pm) perl(Net/FTP.pm) perl(PPI.pm) perl(PPI/Dumper.pm) perl(Parse/CPAN/Meta.pm) perl(Test/CheckManifest.pm) perl(Test/Exception.pm) perl(Test/More.pm) perl(Test/NoWarnings.pm) perl(Test/Pod.pm) perl(Test/Script.pm) perl(Wx.pm) perl(Wx/Perl/ProcessStream.pm) perl(YAML/Tiny.pm) xvfb-run
# END SourceDeps(oneline)
%ifndef _build_display
%def_without test
%endif
%define module_name Kephra
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.4.3.34
Release: alt1
Summary: crossplatform GUI-Texteditor along Perl alike Paradigms
Group: Development/Perl
License: gpl_2
URL: http://kephra.sourceforge.net

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/L/LI/LICHTKIND/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This module install's a complete editor application with all its configs
and documentation for your programming, web and text authoring. 

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %EVR

%description scripts
scripts for %module_name


%prep
%setup -q -n %{module_name}

%build
%perl_vendor_build
xvfb-run -a make test

%install
%perl_vendor_install

%{expand:%%global __find_requires xvfb-run -a %__find_requires}
rm -f %buildroot%perl_vendor_privlib/dev.pl

%files
%doc Changes LICENSE README ignore.txt doc
%perl_vendor_privlib/K*
%perl_vendor_privlib/auto/*

%files scripts
%_bindir/*
%_man1dir/*

%changelog
