%define module_version 0.40
%define module_name Kossy
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Class/Accessor/Lite.pm) perl(Cookie/Baker.pm) perl(Cookie/Baker/XS.pm) perl(Cwd.pm) perl(Data/Section/Simple.pm) perl(Encode.pm) perl(File/Basename.pm) perl(File/ShareDir.pm) perl(HTML/FillInForm/Lite.pm) perl(HTTP/Entity/Parser.pm) perl(HTTP/Headers/Fast.pm) perl(HTTP/Message.pm) perl(Hash/MultiValue.pm) perl(JSON.pm) perl(Kossy/Validator.pm) perl(Module/Build/Tiny.pm) perl(Number/Format.pm) perl(Plack.pm) perl(Plack/Middleware/ReverseProxy.pm) perl(Plack/Middleware/Static.pm) perl(Pod/Usage.pm) perl(Router/Boom.pm) perl(Scalar/Util.pm) perl(Test/More.pm) perl(Text/Xslate.pm) perl(Text/Xslate/Bridge/TT2Like.pm) perl(Try/Tiny.pm) perl(WWW/Form/UrlEncoded.pm) perl(WWW/Form/UrlEncoded/XS.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.40
Release: alt1
Summary: Sinatra-ish Simple and Clear web application framework
Group: Development/Perl
License: perl
URL: https://github.com/kazeburo/Kossy

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/K/KA/KAZEBURO/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
Kossy is Sinatra-ish Simple and Clear web application framework, which is based upon the Plack manpage, the Router::Simple manpage, the Text::Xslate manpage and build-in Form-Validator. That's suitable for small application and rapid development.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release

%description scripts
scripts for %module_name


%prep
%setup -q -n %{module_name}-%{module_version}

%build
%perl_vendor_build --install_path bindoc=%_man1dir

%install
%perl_vendor_install

%files
%doc LICENSE README.md Changes
%perl_vendor_privlib/K*
%perl_vendor_privlib/auto/*

%files scripts
%_man1dir/*
%_bindir/*

%changelog
