# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(CPAN.pm) perl(Config.pm) perl(Cwd.pm) perl(ExtUtils/MM_Unix.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Basename.pm) perl(FileHandle.pm) perl(LWP/Simple.pm) perl(Net/FTP.pm) perl(Socket.pm) perl(Spoon/Formatter.pm) perl(Test/More.pm) perl(YAML.pm) perl(base.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define upstream_name	 Kwiki-Image
%define upstream_version 0.01

Name:       perl-%{upstream_name}
Version:    %{upstream_version}
Release:    alt1_10

Summary:	Kwiki Image Plugin
License:	GPL
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}/
Source0:	ftp://ftp.perl.org/pub/CPAN/modules/by-module/Kwiki/%{upstream_name}-%{upstream_version}.tar.bz2

BuildRequires:	perl(Kwiki.pm)
BuildRequires:	perl(inc/Module/Install.pm)
BuildArch:	noarch
Source44: import.info


%description
This plugin provides more comprehensive support for images in Kwiki.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor
%make
%make test

%install
%makeinstall_std

%files
%doc Changes README
%{perl_vendor_privlib}/Kwiki


%changelog
