Group: Development/Perl
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(CPAN.pm) perl(LWP/Simple.pm) perl(Net/FTP.pm) perl(YAML.pm) perl-podlators
# END SourceDeps(oneline)
%filter_from_requires /^perl.mixin.pm./d
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-Kwiki-NewPage
Version:        0.12
Release:        alt2_47
Summary:        Kwiki New Page Plugin
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Kwiki-NewPage
Source0:        https://cpan.metacpan.org/authors/id/I/IN/INGY/Kwiki-NewPage-%{version}.tar.gz
Patch0:         Kwiki-NewPage-0.12-Fix-building-on-Perl-without-dot-in-INC.patch
BuildArch:      noarch
# Build
BuildRequires:  perl-devel
BuildRequires:  rpm-build-perl
BuildRequires:  perl(Config.pm)
BuildRequires:  perl(Cwd.pm)
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(ExtUtils/MM_Unix.pm)
BuildRequires:  perl(File/Find.pm)
BuildRequires:  perl(File/Path.pm)
BuildRequires:  perl(File/Spec.pm)
BuildRequires:  perl(strict.pm)
BuildRequires:  perl(vars.pm)
# Runtime
BuildRequires:  perl(Kwiki.pm)
BuildRequires:  perl(Kwiki/CGI.pm)
BuildRequires:  perl(Kwiki/Installer.pm)
BuildRequires:  perl(Kwiki/Plugin.pm)
BuildRequires:  perl(mixin.pm)
# Tests only
BuildRequires:  perl(lib.pm)
BuildRequires:  perl(Test/More.pm)
BuildRequires:  perl(warnings.pm)
Requires:       perl(Kwiki.pm) >= 0.340
Requires:       perl(Kwiki/Installer.pm)
Source44: import.info

%description
Kwiki New Page plugin.

%prep
%setup -q -n Kwiki-NewPage-%{version}
%patch0 -p1

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
%make_build

%install
make pure_install DESTDIR=%{buildroot}
# %{_fixperms} %{buildroot}/*

%check
make test

%files
%doc Changes README
%{perl_vendor_privlib}/*

%changelog
