Group: Development/Perl
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(CPAN.pm) perl(LWP/Simple.pm) perl(Net/FTP.pm) perl(YAML.pm) perl-podlators
# END SourceDeps(oneline)
%filter_from_requires /^perl.mixin.pm./d
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-Kwiki-Raw
Version:        0.02
Release:        alt2_46
Summary:        Provide an action to retrieve the raw wikitext of a page
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Kwiki-Raw
Source0:        https://cpan.metacpan.org/authors/id/C/CD/CDENT/Kwiki/Kwiki-Raw-%{version}.tar.gz
Patch0:         Kwiki-Raw-0.02-Fix-building-on-Perl-without-dot-in-INC.patch
BuildArch:      noarch
# Build
BuildRequires:  perl-devel
BuildRequires:  rpm-build-perl
BuildRequires:  perl(Config.pm)
BuildRequires:  perl(Cwd.pm)
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(ExtUtils/MM_Unix.pm)
BuildRequires:  perl(File/Find.pm)
BuildRequires:  perl(File/Path.pm)
BuildRequires:  perl(File/Spec.pm)
BuildRequires:  perl(strict.pm)
BuildRequires:  perl(vars.pm)
# Runtime
BuildRequires:  perl(Kwiki.pm)
BuildRequires:  perl(Kwiki/CGI.pm)
BuildRequires:  perl(Kwiki/Installer.pm)
BuildRequires:  perl(Kwiki/Plugin.pm)
BuildRequires:  perl(mixin.pm)
# Tests only
BuildRequires:  perl(Test/More.pm)
BuildRequires:  perl(warnings.pm)
Requires:       perl(Kwiki.pm) >= 0.370
Source44: import.info

%description
Kwiki module that provides an action to retrieve the raw wikitext of a page.

%prep
%setup -q -n Kwiki-Raw-%{version}
%patch0 -p1

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
%make_build

%install
make pure_install DESTDIR=%{buildroot}
# %{_fixperms} %{buildroot}/*

%check
make test

%files
%doc Changes README
%{perl_vendor_privlib}/*

%changelog
