%define module_name LCFG-Build-PkgSpec
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Data/Structure/Util.pm) perl(DateTime.pm) perl(Email/Address.pm) perl(Email/Valid.pm) perl(IO/File.pm) perl(Module/Build.pm) perl(Moose.pm) perl(Pod/Usage.pm) perl(Scalar/Util.pm) perl(Storable.pm) perl(Test/Differences.pm) perl(Test/Exception.pm) perl(Test/More.pm) perl(YAML/Syck.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.2.7
Release: alt1
Summary: Object-oriented interface to LCFG build metadata
Group: Development/Perl
License: gpl
URL: http://www.lcfg.org/doc/buildtools/

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/S/SJ/SJQUINNEY/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
%summary

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %{?epoch:%epoch:}%name = %version-%release

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build --install_path bindoc=%_man1dir

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_privlib/L*

%files scripts
%_man1dir/*
%_bindir/*

%changelog
