%define module_name LINE-Bot-API
# BEGIN SourceDeps(oneline):
BuildRequires: perl(App/Yath.pm) perl(Digest/SHA.pm) perl(ExtUtils/MakeMaker.pm) perl(Furl.pm) perl(IO/Socket/SSL.pm) perl(JSON/XS.pm) perl(MIME/Base64.pm) perl(Module/Load.pm) perl(Test/More.pm) perl(Test/Perl/Critic.pm) perl(Test/Pod.pm) perl(Test2/V0.pm) perl(Text/Xslate.pm) perl(Type/Tiny.pm) perl(URI.pm) perl(URI/QueryParam.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.20
Release: alt1
Summary: SDK of the LINE BOT API Trial for Perl
Group: Development/Perl
License: artistic_2
URL: https://github.com/line/line-bot-sdk-perl

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/B/BE/BEDOSHI/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
LINE::Bot::API is a client library to easily use the LINE BOT API.
You can create a bot which will run on the LINE App by registering your bot account.
Your BOT API Trial account can be created from LINE BUSINESS CENTER.

You can find the Channel ID, Channel Secret and MID on the Basic information page at LINE developers.

Please use this POD and LINE developers site's online documentation to enjoy your bot development work!
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE Changes CODE_OF_CONDUCT.md CONTRIBUTING.md README
%perl_vendor_privlib/L*

%changelog
