%define module_name LWP-ConsoleLogger
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Capture/Tiny.pm) perl(Class/Method/Modifiers.pm) perl(Data/Printer.pm) perl(DateTime.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(HTML/FormatText/WithLinks.pm) perl(HTML/Restrict.pm) perl(HTTP/Body.pm) perl(HTTP/CookieJar/LWP.pm) perl(HTTP/CookieMonster.pm) perl(HTTP/Request.pm) perl(HTTP/Response.pm) perl(JSON/MaybeXS.pm) perl(LWP/UserAgent.pm) perl(List/AllUtils.pm) perl(Log/Dispatch.pm) perl(Log/Dispatch/Array.pm) perl(Module/Load/Conditional.pm) perl(Module/Runtime.pm) perl(Moo.pm) perl(MooX/StrictConstructor.pm) perl(Parse/MIME.pm) perl(Path/Tiny.pm) perl(Plack/Handler/HTTP/Server/Simple.pm) perl(Plack/Test.pm) perl(Plack/Test/Agent.pm) perl(Ref/Util.pm) perl(String/Trim.pm) perl(Sub/Exporter.pm) perl(Term/Size/Any.pm) perl(Test/FailWarnings.pm) perl(Test/Fatal.pm) perl(Test/LWP/UserAgent.pm)
BuildRequires: perl(Test/More.pm) perl(Test/Most.pm) perl(Text/SimpleTable/AutoWidth.pm) perl(Try/Tiny.pm) perl(Types/Common/Numeric.pm) perl(Types/Standard.pm) perl(URI/Query.pm) perl(URI/QueryParam.pm) perl(URI/file.pm) perl(WWW/Mechanize.pm) perl(XML/Simple.pm) perl(strict.pm) perl(version.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.000043
Release: alt1
Summary: perl module %module_name
Group: Development/Perl
License: artistic_2
URL: https://github.com/oalders/lwp-consolelogger

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/O/OA/OALDERS/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
From summary: %summary

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE CONTRIBUTORS README.md Changes examples
%perl_vendor_privlib/L*

%changelog
