Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(IO/Select.pm) perl(IO/Socket.pm) perl(URI/Escape.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-LWP-Protocol-http10
Version:        6.03
Release:        alt3_28
Summary:        Legacy HTTP/1.0 support for LWP
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/LWP-Protocol-http10
Source0:        https://cpan.metacpan.org/authors/id/G/GA/GAAS/LWP-Protocol-http10-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  rpm-build-perl
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(HTTP/Response.pm)
BuildRequires:  perl(HTTP/Status.pm)
BuildRequires:  perl(LWP/Protocol.pm)

Requires:       perl(HTTP/Response.pm) >= 6

Requires:       perl(HTTP/Status.pm) >= 6

Requires:       perl(LWP/Protocol.pm) >= 6

# Make optional dependency mandatory
Requires:       perl(URI/Escape.pm)
Source44: import.info
%filter_from_requires /^perl(HTTP.Response.pm)/d
%filter_from_requires /^perl(HTTP.Status.pm)/d
%filter_from_requires /^perl(LWP.Protocol.pm)/d

%description
The LWP::Protocol::http10 module provides support for using HTTP/1.0
protocol with LWP. To use it you need to call LWP::Protocol::implementor()
to override the standard handler for http URLs.

%prep
%setup -q -n LWP-Protocol-http10-%{version}

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
%make_build

%install
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

# %{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc Changes README
%{perl_vendor_privlib}/*

%changelog
