# BEGIN SourceDeps(oneline):
BuildRequires: libsowing-devel perl(CPAN.pm) perl(Cwd.pm) perl(DynaLoader.pm) perl(Exporter.pm) perl(ExtUtils/CBuilder.pm) perl(ExtUtils/ParseXS.pm) perl(File/Spec.pm) perl(Module/Build.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define module_name Lingua-Stem-Snowball-Ca
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.01
Release: alt4
Summary: Perl interface to Snowball stemmer for the Catalan language.
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/L/LV/LVALIUKAS/%{module_name}-%{version}.tar.gz

%description
Stemming reduces related words to a common root form -- for instance, "horse",
"horses", and "horsing" all become "hors".  Most commonly, stemming is
deployed as part of a search application, allowing searches for a given term
to match documents which contain other forms of that term.

This module is very similar to the Lingua::Stem manpage -- however, Lingua::Stem is
pure Perl, while Lingua::Stem::Snowball::Ca is an XS module which provides a Perl
interface to the C version of the Catalan stemmer based on Snowball.
(http://snowball.tartarus.org).

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README.md
%perl_vendor_archlib/L*
%perl_vendor_autolib/*

%changelog
