%define module_name Linux-ACL
# BEGIN SourceDeps(oneline):
BuildRequires: libacl-devel perl(Exporter.pm) perl(XSLoader.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.05
Release: alt4
Summary: Perl extension for reading and setting Access Control Lists for files by libacl linux library.
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/N/NA/NAZAROV/%{module_name}-%{version}.tar.gz

%description
Quick summary of what the module does.

Perhaps a little code snippet.

  use Linux::ACL;
  ($acl, $default_acl) = getfacl("path/to/file");
  setfacl("path/to/file", $acl [, $default_acl]);


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes ignore.txt
%perl_vendor_archlib/L*
%perl_vendor_autolib/*

%changelog
