# BEGIN SourceDeps(oneline):
BuildRequires: libsowing-devel perl(ExtUtils/MakeMaker.pm) perl(Test/More.pm) perl(XSLoader.pm)
# END SourceDeps(oneline)
%define module_version 0.6
%define module_name Linux-Futex
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.6
Release: alt6
Summary: Perl extension for using Futexes
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/P/PH/PHRED/%{module_name}-%{module_version}.tar.gz
# TODO: fix compilation on other arches
ExclusiveArch:x86_64

%description
This perl module implements the high performance lightweight process
synchronization method using 'futexes' implemented in recent Linux Kernels.


%prep
%setup -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_archlib/L*
%perl_vendor_autolib/*

%changelog
