Epoch: 1
%define module_name Linux-Seccomp
# BEGIN SourceDeps(oneline):
BuildRequires: libseccomp-devel libsowing-devel perl(AutoLoader.pm) perl(Errno.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(XSLoader.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.003
Release: alt6
Summary: Interface to libseccomp Linux syscall filtering library
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/M/MG/MGV/%{module_name}-%{version}.tar.gz

%description
Secure Computing (seccomp) is Linux's system call filtering mechanism.
This system can operate in two modes: *strict*, where only a very
small number of system calls are allowed and the more modern *filter*
(or seccomp mode 2) which permits advanced filtering of system calls.
This module is only concerned with the latter.

Linux::Seccomp is a Perl interface to the
libseccomp library which
provides a simple way to use seccomp mode 2.

It should be mentioned that this module is not production-ready at the
moment -- work needs to be done to port the libseccomp testsuite and
the documentation needs to be improved.

Basic usage of this module is straightforward: Create a filter using
the new method, add rules to it using the rule_add method
several times, and finally load the filter into the kernel using the
load method. An example of this can be seen in the SYNOPSIS.
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_archlib/L*
%perl_vendor_autolib/*

%changelog
