# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Config.pm) perl(DynaLoader.pm) perl(Exporter.pm) perl(IO/File.pm) perl(IPC/Open3.pm) perl(Scalar/Util.pm) perl(Symbol.pm) perl(Test/Kwalitee.pm) perl(XSLoader.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define upstream_name Linux-Sysfs
%define upstream_version 0.03

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%{upstream_version}
Release:	alt11_21
Summary:	Perl interface to libsysfs
License:	LGPLv2+
Group:		Development/Perl
URL:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/Linux/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl-devel
BuildRequires:	libsysfs-devel
Source44: import.info
Patch33: Linux-Sysfs-0.03-alt-mismatched-handshake.patch


%description
This module implements an interface to the kernel's sysfs
filesystem.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%patch33 -p1

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install
%makeinstall_std

%files
%doc README Changes META.yml
%{_bindir}/systool.pl
%{perl_vendor_archlib}/Linux
%{perl_vendor_archlib}/auto/Linux


%changelog
