%define module_name List-MapList
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Capture/Tiny.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(Test/More.pm) perl(blib.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.123
Release: alt2
Summary: map lists through a list of subs, not just one
Group: Development/Perl
License: perl
URL: https://github.com/rjbs/List-MapList

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/R/RJ/RJBS/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
List::MapList provides methods to map a list through a list of transformations,
instead of just one.  The transformations are not chained together on each
element; only one is used, alternating sequentially.

Here's a contrived example: given the transformations `{ $_ = 0 }' and `{ $_
= 1 }', the list `(1, 2, 3, "Good morning", undef)' would become `(0, 1, 0, 1,
0)' or, without cycling, `(0, 1)'.;

(I use this code to process a part number in which each digit maps to a set of
product attributes.)

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes LICENSE
%perl_vendor_privlib/L*

%changelog
