%define module_name List-Regexp
BuildRequires: perl-podlators
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(Module/Metadata.pm) perl(Pod/Usage.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.04
Release: alt1
Summary: Construct a regexp to match any string from the string list
Group: Development/Perl
License: gpl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/S/SG/SGRAY/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Returns a regular expression that will match any string from the input
list @strings.  First argument can be a reference to a hash, which
controls how the regexp is built.

Valid keys are:

=over 4

=item type => pcre|posix|emacs

Controls the flavor of the generated expression: Perl-compatible (the
default), POSIX extended, or Emacs.

=item match => default|exact|word
    
If default, the expression will match any word from @strings appearing
as a part of another word.

If exact, the expression will match a word from @strings appearing
on a line alone.    
    
If word, the expression will match single words only.    
    
=item debug => 0|1

If 1, enable debugging output.    

=item group => 0|1

If 1, enclose entire regexp in a group.
    
=back

%package scripts
Summary: %name scripts
Group: Development/Perl
Requires: %{?epoch:%epoch:}%name = %version-%release

%description scripts
scripts for %name

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README LICENSE
%perl_vendor_privlib/L*

%files scripts
%_bindir/*
%_man1dir/*
%_man1dir/*


%changelog
