# BEGIN SourceDeps(oneline):
BuildRequires: libsowing-devel perl(Exporter.pm) perl(Module/Build/Tiny.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define module_name List-ToHash
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.02
Release: alt4
Summary: List to hash which have unique keys
Group: Development/Perl
License: perl
URL: https://github.com/akiym/List-ToHash

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/A/AK/AKIYM/%{module_name}-%{version}.tar.gz

%description
List::ToHash provides fast conversion list to hash by using lightweight callback API.

`map' is so simple and good for readability. I usually use this in this situation.

  my $x = +{map { ($_->{id} => $_) } @users};

`List::Util::reduce' is a little tricky however it works faster than `map'.

  my $x = List::Util::reduce { $a->{$b->{id}} = $b; $a } ({}, @ARRAY);

`for' is lame... Look, it spends two lines.

  my $x = {};
  $x->{$_->{id}} = $_ for @users;

`List::ToHash::to_hash' is a quite simple way, more faster.

  my $x = List::ToHash::to_hash { $_->{id} } @users;


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes LICENSE README.md
%perl_vendor_archlib/L*
%perl_vendor_autolib/*

%changelog
