%define module_name List-Uniqnum
# BEGIN SourceDeps(oneline):
BuildRequires: perl(B.pm) perl(Config.pm) perl(DynaLoader.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(Scalar/Util.pm) perl(overload.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.11
Release: alt3
Summary: a rendition of List::Util::uniqnum minus the bugs.
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/S/SI/SISYPHUS/%{module_name}-%{version}.tar.gz

%description
Heavily plagiarize the uniqnum() function from List::Util, but make
  some changes to (hopefully) remove the bugs and make it portable.

   use List::Uniqnum qw(uniqnum);
   my @numbers = (1, 1.0, sqrt 2, 1.5, 2, 3);

   # Populate @unique with all unique values in @numbers
   # ie set @unique to (1, sqrt 2, 1.5, 2, 3)
   my @unique = uniqnum(@numbers); # list context

   # Set $count to the number of unique valuesin @numbers
   # ie set $count to 5.
   my $count  = uniqnum(@numbers); # scalar context


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README CHANGES
%perl_vendor_archlib/L*
%perl_vendor_autolib/*

%changelog
