%define module_name Locale-CLDR
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Class/Load.pm) perl(DateTime.pm) perl(DateTime/Locale.pm) perl(List/MoreUtils.pm) perl(Module/Build.pm) perl(Moo.pm) perl(MooX/ClassAttribute.pm) perl(Test/Exception.pm) perl(Test/More.pm) perl(Type/Tiny.pm) perl(Unicode/Normalize.pm) perl(Unicode/Regex/Set.pm) perl(Unicode/UCD.pm) perl(bignum.pm) perl(namespace/autoclean.pm) perl(ok.pm) perl(version.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.34.0
Release: alt1
Summary: A Module to create locale objects with localisation data from the CLDR
Group: Development/Perl
License: perl
URL: https://github.com/ThePilgrim/perlcldr

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/J/JG/JGNI/%{module_name}-v%{version}.tar.gz
BuildArch: noarch

%description
This module provides a locale object you can use to localise your output.
The localisation data comes from the Unicode Common Locale Data Repository.
Most of this code can be used with Perl version 5.10 or above. There are a
few parts of the code that require version 5.18 or above.

%prep
%setup -q -n %{module_name}-v%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README CHANGES
%perl_vendor_privlib/L*

%changelog
