%define module_name Log-Mini
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Capture/Tiny.pm) perl(Carp.pm) perl(List/Util.pm) perl(Module/Build/Tiny.pm) perl(Test/Fatal.pm) perl(Test/More.pm) perl(Time/Moment.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.2.1
Release: alt1
Summary: It's a very simple logger which can log your messages to a file or STDERR.
Group: Development/Perl
License: perl
URL: https://github.com/alpha6/Log-Mini

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/D/DF/DFE/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Log::Mini is a very simple logger which can log your messages to a file or STDERR.
You can have a number of loggers for various log files.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE README.md Changes
%perl_vendor_privlib/L*

%changelog
