%define module_name Log-ger-Layout-Pattern
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Devel/Caller/Util.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(Log/ger.pm) perl(Log/ger/Layout.pm) perl(Log/ger/Output.pm) perl(Pod/Coverage/TrustPod.pm) perl(Sys/Hostname.pm) perl(Test/More.pm) perl(Test/Perl/Critic.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(Time/HiRes.pm) perl(strict.pm) perl(vars.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.007
Release: alt1
Summary: Pattern layout
Group: Development/Perl
License: perl
URL: https://metacpan.org/release/Log-ger-Layout-Pattern

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PE/PERLANCAR/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Known placeholder in format string:

 %%c Category of the logging event
 %%C Fully qualified package (or class) name of the caller
 %%d Current date in ISO8601 format (YYYY-MM-D1hh:mm:ss) (localtime)
 %%D Current date in ISO8601 format (YYYY-MM-D1hh:mm:ss) (GMT)
 %%F File where the logging event occurred
 %%H Hostname (if Sys::Hostname is available)
 %%l Fully qualified name of the calling method followed by the
    callers source the file name and line number between
    parentheses.
 %%L Line number within the file where the log statement was issued
 %%m The message to be logged
 %%M Method or function where the logging request was issued
 %%n Newline (OS-independent)
 %%p Level ("priority")of the logging event
 %%P pid of the current process
 %%r Number of seconds elapsed from program start to logging event
 %%R Number of seconds elapsed from last logging event to current
    logging event
           %%T A stack trace of functions called
 %%%% A literal percent (%%) sign

=for Pod::Coverage ^(.+)$
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE README Changes
%perl_vendor_privlib/L*

%changelog
