%define module_name Log-ger-Manual
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(Pod/Coverage/TrustPod.pm) perl(Test/More.pm) perl(Test/Perl/Critic.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.033.000
Release: alt1
Summary: Manual for Log::ger
Group: Development/Perl
License: perl
URL: https://metacpan.org/release/Log-ger-Manual

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PE/PERLANCAR/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This distribution contains the following documentation pages:

=over

=item * the Log::ger::Manual::FAQ manpage

=item * the Log::ger::Manual::ForLog4perl manpage

=item * the Log::ger::Manual::ForLogAny manpage

=item * the Log::ger::Manual::ForLogContextual manpage

=item * the Log::ger::Manual::ForLogDispatch manpage

=item * the Log::ger::Manual::ForLogDispatchouli manpage

=item * the Log::ger::Manual::Internals manpage

=item * the Log::ger::Manual::Tutorial manpage

=item * the Log::ger::Manual::Tutorial::01 manpage

=item * the Log::ger::Manual::Tutorial::02 manpage

=item * the Log::ger::Manual::Tutorial::03 manpage

=item * the Log::ger::Manual::Tutorial::04 manpage

=item * the Log::ger::Manual::Tutorial::05 manpage

=back

Start with the Log::ger::Manual::Tutorial manpage.
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README LICENSE
%perl_vendor_privlib/L*

%changelog
