# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Compress/Zlib.pm) perl(Config.pm) perl(ExtUtils/MakeMaker.pm) perl(Fcntl.pm) perl(IO/File.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define upstream_name       Logfile-Rotate
%define upstream_version    1.04

Name:       perl-%{upstream_name}
Version:    %{upstream_version}
Release:    alt2_9
Summary:	Perl module to rotate logfiles
License:	GPL
Group:		Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source:     http://www.cpan.org/modules/by-module/Logfile/%{upstream_name}-%{upstream_version}.tar.gz
Buildarch:	noarch
Source44: import.info

%description
Perl module to rotate logfiles.

%prep
%setup -q -n %{upstream_name}-%{upstream_version} 

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor
make

%check
make test

%install
%makeinstall_std

%files 
%doc MANIFEST 
%{perl_vendor_privlib}/Logfile/Rotate.pm





%changelog
