# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(Importer.pm) perl(Test2/Suite.pm)
# END SourceDeps(oneline)
%define module_name Long-Jump
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.000001
Release: alt1
Summary: Mechanism for returning to a specific point from a deeply nested stack.
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/E/EX/EXODIST/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This module essentially provides a multi-level return. You can mark a spot with
`setjump()' and then unwind the stack back to that point from any nested stack
frame by name using `longjump()'. You can also provide a list of return
values.

This is not quite a match for C's long jump, but it is "close enough". It is
safer than C's jump in that it only lets you escape frames by going up the
stack, you cannot jump in other ways.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README LICENSE Changes README.md
%perl_vendor_privlib/L*

%changelog
