%define module_name MIME-Base32-XS
# BEGIN SourceDeps(oneline):
BuildRequires: libsowing-devel perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(XSLoader.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.01
Release: alt2
Summary: MIME::Base32::XS - Encoding and decoding Base32
Group: Development/Perl
License: perl
URL: https://github.com/lucas1/MIME-Base32-XS

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/L/LT/LTM/%{module_name}-%{version}.tar.gz

%description
This module provides functions to encode and decode strings into and from the
Base32 encoding specified in RFC 3548.

%prep
%setup -q -n %{module_name}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README.md
%perl_vendor_archlib/M*
%perl_vendor_autolib/*

%changelog
