%define module_name MToken
# BEGIN SourceDeps(oneline):
BuildRequires: perl(APR/Const.pm) perl(APR/Table.pm) perl(Apache2/Connection.pm) perl(Apache2/Const.pm) perl(Apache2/Log.pm) perl(Apache2/RequestIO.pm) perl(Apache2/RequestRec.pm) perl(Apache2/RequestUtil.pm) perl(Apache2/ServerRec.pm) perl(Apache2/ServerUtil.pm) perl(Apache2/Util.pm) perl(Archive/Extract.pm) perl(CGI.pm) perl(CTK.pm) perl(Config/General.pm) perl(Digest/MD5.pm) perl(Digest/SHA1.pm) perl(Encode.pm) perl(Encode/Locale.pm) perl(ExtUtils/MakeMaker.pm) perl(File/HomeDir.pm) perl(File/Spec.pm) perl(HTTP/Message.pm) perl(LWP.pm) perl(LWP/Protocol/https.pm) perl(Pod/Usage.pm) perl(Term/ANSIColor.pm) perl(Test/More.pm) perl(Try/Tiny.pm) perl(URI.pm) perl(mod_perl2.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.03
Release: alt1
Summary: Tokens processing system (Security)
Group: Development/Perl
License: perl
URL: https://www.serzik.com

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/A/AB/ABALAMA/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This module provides main functionality for mtoken tool.

For internal use only

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release

%description scripts
scripts for %module_name
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc TODO LICENSE README Changes
%perl_vendor_privlib/M*

%files scripts
%_man1dir/*
%_bindir/*

%changelog
