%def_without test
%define module_name Mail-DMARC
# BEGIN SourceDeps(oneline):
BuildRequires: perl(CGI.pm) perl(CPAN.pm) perl(Carp.pm) perl(Config/Tiny.pm) perl(DBD/SQLite.pm) perl(DBIx/Simple.pm) perl(Data/Dumper.pm) perl(Email/MIME.pm) perl(Email/Sender.pm) perl(Email/Sender/Simple.pm) perl(Email/Simple.pm) perl(Encode.pm) perl(Encode/CN.pm) perl(Encode/JP.pm) perl(Encode/KR.pm) perl(Encode/TW.pm) perl(English.pm) perl(File/ShareDir.pm) perl(File/ShareDir/Install.pm) perl(Getopt/Long.pm) perl(HTTP/Request.pm) perl(HTTP/Tiny.pm) perl(IO/Compress/Gzip.pm) perl(IO/Compress/Zip.pm) perl(IO/File.pm) perl(IO/Socket/SSL.pm) perl(IO/Uncompress/Gunzip.pm) perl(IO/Uncompress/Unzip.pm) perl(JSON.pm) perl(LWP/UserAgent.pm) perl(Module/Build.pm) perl(Module/Load.pm) perl(Net/DNS/Resolver.pm) perl(Net/IDN/Encode.pm) perl(Net/IP.pm) perl(Net/SSLeay.pm) perl(Net/Server/HTTP.pm) perl(POSIX.pm) perl(Pod/Usage.pm)
BuildRequires: perl(Regexp/Common.pm) perl(Socket.pm) perl(Socket6.pm) perl(Sys/Hostname.pm) perl(Sys/Syslog.pm) perl(Test/Exception.pm) perl(Test/File/ShareDir.pm) perl(Test/More.pm) perl(Test/Output.pm) perl(URI.pm) perl(XML/LibXML.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.20210427
Release: alt1
Summary: Perl implementation of DMARC
Group: Development/Perl
License: perl
URL: https://github.com/msimerson/mail-dmarc/wiki

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/M/MB/MBRADSHAW/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
%summary

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %{?epoch:%epoch:}%name = %version-%release

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build --install_path bindoc=%_man1dir

%install
%perl_vendor_install

%files
%doc LICENSE FAQ.md INSTALL.md README.md TODO.md DEVELOP.md Changes.md example
%perl_vendor_privlib/M*
%perl_vendor_privlib/auto/*
%files scripts
%_man1dir/*
%_bindir/*

%changelog
