Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-Mail-Procmail
Version:        1.08
Release:        alt2_26
Summary:        Procmail-like facility for creating easy mail filters
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Mail-Procmail
Source0:        https://cpan.metacpan.org/authors/id/J/JV/JV/Mail-Procmail-%{version}.tar.gz
# pm_report display,summing fixes [rt.cpan.org #83152]
Patch0:         pm_report.patch
BuildArch:      noarch
BuildRequires:  rpm-build-perl
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(LockFile/Simple.pm)
BuildRequires:  perl(Mail/Internet.pm)
BuildRequires:  perl(Test/More.pm)
BuildRequires:  perl(Carp.pm)
BuildRequires:  perl(constant.pm)
BuildRequires:  perl(Exporter.pm)


Source44: import.info

%description
procmail is a great mail filter program, but it has weird recipe
format. It's pattern matching capabilities are basic and often
insufficient. This module provides flexibility to filter your
mail using the power of Perl.

%prep
%setup -q -n Mail-Procmail-%{version}
%patch0 -p1 -b .pm_report

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install

make pure_install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

# %{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc CHANGES README
%{perl_vendor_privlib}/*

%changelog
