Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-Mail-RFC822-Address
Version:        0.3
Release:        alt2_35
Summary:        Perl extension for validating email addresses according to RFC822
License:        MIT
URL:            https://metacpan.org/release/Mail-RFC822-Address
Source0:        https://cpan.metacpan.org/modules/by-module/Mail/Mail-RFC822-Address-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  rpm-build-perl
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
# Run-time:
BuildRequires:  perl(Exporter.pm)
# Tests:
BuildRequires:  perl(Data/Dumper.pm)
Source44: import.info

%description
Mail::RFC822::Address validates email addresses against the grammar 
described in RFC 822 using regular expressions. The only sure way to see 
if a supplied email address is genuine is to send an email to it and see 
if the user recieves it. This package only checks that the email address 
is syntactically valid.

%prep
%setup -q -n Mail-RFC822-Address-%{version}

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

# %{_fixperms} %{buildroot}/*

%check
make test

%files
%doc Changes
%{perl_vendor_privlib}/*

%changelog
