%define module_name Mail-STS
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(LWP/UserAgent.pm) perl(Moose.pm) perl(Net/DNS/Resolver.pm) perl(Test/Deep.pm) perl(Test/Exception.pm) perl(Test/More.pm) perl(Test/Perl/Critic.pm) perl(Test/Pod.pm) perl(Time/Piece.pm) perl(Time/Seconds.pm) perl(namespace/autoclean.pm) perl(strict.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.04
Release: alt1
Summary: library for looking up MTA-STS policies
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/B/BE/BENNING/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This class provides an interface for looking up RFC8461
MTA-STS policies.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE README CHANGES
%perl_vendor_privlib/M*

%changelog
