%define module_name Map-Tube
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(File/Basename.pm) perl(File/ShareDir.pm) perl(File/ShareDir/Install.pm) perl(JSON.pm) perl(Map/Tube/Exception.pm) perl(Map/Tube/Plugin/Formatter.pm) perl(Module/Pluggable.pm) perl(Moo.pm) perl(Moo/Role.pm) perl(MooX/Options.pm) perl(Role/Tiny.pm) perl(Taint/Util.pm) perl(Test/Exception.pm) perl(Test/More.pm) perl(Throwable.pm) perl(Type/Tiny.pm) perl(XML/Parser.pm) perl(XML/Twig.pm) perl(namespace/autoclean.pm) perl(overload.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 3.64
Release: alt1
Summary: Core library as Role (Moo) to process map data.
Group: Development/Perl
License: artistic_2
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/M/MA/MANWAR/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
The core module defined as Role (Moo) to process  the map data.  It provides the
the interface to find the shortest route in terms of stoppage between two nodes.
Also you can get all possible routes between two given nodes.

This role has been taken by the following modules (and many more):

=over 2

=item * the Map::Tube::London manpage

=item * the Map::Tube::Tokyo manpage

=item * the Map::Tube::NYC manpage

=item * the Map::Tube::Delhi manpage

=item * the Map::Tube::Barcelona manpage

=item * the Map::Tube::Prague manpage

=item * the Map::Tube::Warsaw manpage

=item * the Map::Tube::Sofia manpage

=item * the Map::Tube::Berlin manpage

=back

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release

%description scripts
scripts for %module_name
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE README Changes
%perl_vendor_privlib/M*
%perl_vendor_privlib/auto/*

%files scripts
%_bindir/*

%changelog
