%define module_name Map-Tube-KualaLumpur
# BEGIN SourceDeps(oneline):
BuildRequires: perl(App/pod2pdf.pm) perl(CPAN.pm) perl(Capture/Tiny.pm) perl(English.pm) perl(ExtUtils/CBuilder.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Share.pm) perl(IO/All.pm) perl(JSON.pm) perl(LWP/Simple.pm) perl(Map/Tube.pm) perl(Module/Build.pm) perl(Moo.pm) perl(Net/FTP.pm) perl(Parse/CPAN/Meta.pm) perl(Pod/Markdown.pm) perl(Test/Map/Tube.pm) perl(Test/More.pm) perl(Test/NoWarnings.pm) perl(Throwable.pm) perl(YAML/Tiny.pm) perl(namespace/clean.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.06
Release: alt1
Summary: Interface to the Kuala Lumpur urban monorail system map.
Group: Development/Perl
License: artistic_2
URL: https://github.com/michal-josef-spacek/Map-Tube-KualaLumpur

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/S/SK/SKIM/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
It currently provides functionality to find the shortest route between the two
given nodes.

For more information about KualaLumpur Map, click here and here.


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README LICENSE.bsd Changes LICENSE.artistic_2 examples
%perl_vendor_privlib/M*
%perl_vendor_privlib/auto/*

%changelog
