# BEGIN SourceDeps(oneline):
BuildRequires: perl(App/pod2pdf.pm) perl(CPAN.pm) perl(Class/Utils.pm) perl(Config.pm) perl(Cwd.pm) perl(Encode.pm) perl(English.pm) perl(Error/Pure.pm) perl(ExtUtils/MM_Unix.pm) perl(ExtUtils/MakeMaker.pm) perl(ExtUtils/Manifest.pm) perl(Fcntl.pm) perl(File/Basename.pm) perl(File/Find.pm) perl(File/Object.pm) perl(File/Spec.pm) perl(File/Temp.pm) perl(FileHandle.pm) perl(JSON.pm) perl(LWP/Simple.pm) perl(List/Util.pm) perl(Module/Build.pm) perl(Net/FTP.pm) perl(Parse/CPAN/Meta.pm) perl(Pod/Html.pm) perl(Pod/Man.pm) perl(Pod/Text.pm) perl(Readonly.pm) perl(Scalar/Util.pm) perl(Socket.pm) perl(Test/More.pm) perl(Test/NoWarnings.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(YAML/Tiny.pm) perl(base.pm) perl(inc/Module/Install.pm)
# END SourceDeps(oneline)
%define module_version 0.01
%define module_name Map-Tube-Text-Shortest
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.01
Release: alt1
Summary: Shortest route information via Map::Tube object.
Group: Development/Perl
License: artistic_2
URL: https://github.com/tupinek/Map-Tube-Text-Shortest

Source0: http://cpan.org.ua/authors/id/S/SK/SKIM/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
use Map::Tube::Test::Shortest;
 my $obj = Map::Tube::Text::Shortest->new;
 print $obj->print($from, $to);


%prep
%setup -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README LICENSE.bsd Changes LICENSE.artistic_2 examples
%perl_vendor_privlib/M*

%changelog
