%define module_name Math-Big
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(ExtUtils/MakeMaker.pm) perl(Math/BigInt.pm) perl(Module/Signature.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.15
Release: alt1
Summary: routines (cos,sin,primes,hailstone,euler,fibbonaci etc) with big numbers
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PJ/PJACKLAM/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This module contains some routines that may come in handy when you want to
do some math with really, really big (or small) numbers. These are primarily
examples.


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc BUGS README.md TODO CHANGES LICENSE README CREDITS examples
%perl_vendor_privlib/M*

%changelog
