%define module_name Math-BigInt-BitVect
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Bit/Vector.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(Math/BigInt.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.17
Release: alt1
Summary: a math backend library based on Bit::Vector
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PJ/PJACKLAM/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Provides support for big integer calculations via Bit::Vector, a fast C library
by Steffen Beier.
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE TODO CHANGES README.md CREDITS README
%perl_vendor_privlib/M*

%changelog
