%define module_name Math-BigInt-Constant
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(Math/BigInt.pm) perl(Module/Signature.pm) perl(Socket.pm) perl(Test/More.pm) perl(overload.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.12
Release: alt1
Summary: Arbitrary sized constant integers
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PJ/PJACKLAM/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
With this module you can define constant BigInts on a per-object basis. The
usual `use Math::BigInt ':constant'' will catch all integer constants
in the script at compile time, but will not let you create constant values
on the fly, nor work for strings and/or floating point constants like `1e5'.

`Math::BigInt::Constant' is a true subclass of the Math::BigInt manpage and can do all
the same things - except modifying any of the objects.


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc BUGS TODO CHANGES README.md LICENSE README
%perl_vendor_privlib/M*

%changelog
