%define module_name Math-BigInt-Named
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(ExtUtils/MakeMaker.pm) perl(Math/BigInt.pm) perl(Module/Signature.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.07
Release: alt1
Summary: Math::BigInts that know their name in some languages
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PJ/PJACKLAM/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This is a subclass of Math::BigInt and adds support for named numbers. 


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE README TODO CREDITS README.md CHANGES examples
%perl_vendor_privlib/M*

%changelog
