%define module_version 0.5305
%define module_name Math-Cephes
# BEGIN SourceDeps(oneline):
BuildRequires: libsowing-devel perl(Config.pm) perl(DynaLoader.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Find/Object.pm) perl(File/Spec/Functions.pm) perl(IO/All.pm) perl(Math/Complex.pm) perl(Math/Fraction.pm) perl(POSIX.pm) perl(Term/ReadLine.pm) swig
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.5305
Release: alt5
Summary: Perl interface to the math cephes library
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/S/SH/SHLOMIF/%{module_name}-%{module_version}.tar.gz

%description
%summary

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release
BuildArch: noarch

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-%{module_version}

%build
%perl_vendor_build INSTALLMAN1DIR=%_man1dir

%install
%perl_vendor_install

%files
%doc README LICENSE Changes
%perl_vendor_archlib/M*
%perl_vendor_autolib/*

%files scripts
%_man1dir/*
%_bindir/*

%changelog
