# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(Math/BigFloat.pm) perl(Math/BigInt.pm) perl(Moo.pm) perl(Pod/Coverage/TrustPod.pm) perl(Pod/Wordlist.pm) perl(Test/More.pm) perl(Test/NoTabs.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(Test/Spelling.pm) perl(Test/Synopsis.pm) perl(overload.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define module_name Math-FractionManip
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.5503
Release: alt1
Summary: Manipulate fractions
Group: Development/Perl
License: perl
URL: https://github.com/ology/Math-FractionManip

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/G/GE/GENE/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This module is the resurrection of `Math::Fraction' which disappeared
from CPAN and wouldn't install anyway. Now that is fixed.

The decimal to fraction functionality of this module is too handy to
not have imho. The module the Number::Fraction manpage does a proper job of
overloaded arithmetic. But it does not handle decimals in the
constructor. So the main reason for this module re-appearing is its
decimal to fraction functionality.

The source code is extremely ugly and throws warnings all over. But it
seems to work! Beware looking under the hood, though.

Fwiw, parts of the following original documentation are confusing.
YMMV

=over 4

=item *

Add, subtract, multiply, and divide, etc. fractions just like you
would normal numbers.

=item *

Convert a decimal, including repeating ones, into a fraction.

=item *

Control how the fraction is displayed.

=item *

Use arbitrary size numbers in the numerator and the denominator.

=back

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.md Changes LICENSE README
%perl_vendor_privlib/M*

%changelog
