%define module_name Math-MPFI
# BEGIN SourceDeps(oneline):
BuildRequires: libgmp-devel libmpfr-devel mpfi-devel perl(Config.pm) perl(DynaLoader.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(Math/BigInt.pm) perl(Math/GMP.pm) perl(Math/GMPf.pm) perl(Math/GMPq.pm) perl(Math/GMPz.pm) perl(Math/MPFR.pm) perl(overload.pm) perl(subs.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.09
Release: alt4
Summary: perl interface to the MPFI (interval arithmetic) library.
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/S/SI/SISYPHUS/%{module_name}-%{version}.tar.gz

%description
An arbitrary precision interval arithmetic module utilising the MPFI
   library. Basically, this module simply wraps the 'mpfi' interval
   arithmetic functions provided by that library.
   Operator overloading is also available.
   The following documentation heavily plagiarises the mpfi documentation.


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README CHANGES
%perl_vendor_archlib/M*
%perl_vendor_autolib/*

%changelog
