%define module_name Math-MatrixDecomposition
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(Math/BLAS.pm) perl(Math/Complex.pm) perl(Scalar/Util.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.04
Release: alt1
Summary: matrix decompositions and its applications
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/R/RA/RALPH/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
The design goals of this package are listed in the following table.

=over

=item *

Pure Perl code, that means no external dependencies except core modules
and other pure Perl modules.

=item *

Native data types for operands, that means no dedicated classes for
vectors and matrices.

=back

The import list of the `use' statement is a wrapper for loading
selected modules and procedures into your program.  Capitalized tag
names are interpreted as module names, that means the statement

    use Math::MatrixDecomposition qw(:LU :Eigen);

is equivalent to

    use Math::MatrixDecomposition::LU;
    use Math::MatrixDecomposition::Eigen;

Bare words are interpreted as subroutines, that means the statement

    use Math::MatrixDecomposition qw(lu eig);

is equivalent to

    use Math::MatrixDecomposition::LU qw(lu);
    use Math::MatrixDecomposition::Eigen qw(eig);
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc NEWS README
%perl_vendor_privlib/M*

%changelog
