# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(File/Which.pm) perl(IO/Dir.pm) perl(IO/File.pm) perl(IO/Pipe.pm) perl(Math/Polynomial.pm) perl(Module/Signature.pm) perl(Socket.pm) perl(Sort/Versions.pm) perl(Test/Kwalitee.pm) perl(Test/More.pm) perl(Test/Perl/Critic.pm) perl(Test/Synopsis.pm) perl(Test/Vars.pm) perl(Test/Version.pm) perl(Test/Whitespaces.pm)
# END SourceDeps(oneline)
%define module_name Math-Polynomial-Chebyshev
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.01
Release: alt1
Summary: Chebyshev polynomials of the first kind
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PJ/PJACKLAM/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This package extends Math::Polynomial, so each instance polynomial created by
this modules is a subclass of Math::Polynomial.

The Chebyshev polynomials of the first kind are orthogonal with respect to the
weight function 1/sqrt(1-x^2).

The first Chebyshev polynomials of the first kind are

    T.'e(x) = 1
    T.''(x) = x
    T.''(x) = 2 x^2 - 1
    T.''(x) = 4 x^3 - 3 x
    T.''(x) = 8 x^4 - 8 x^2 + 1
    T.''(x) = 16 x^5 - 20 x^3 + 5 x
    T.''(x) = 32 x^6 - 48 x^4 + 18 x^2 - 1
    T.''(x) = 64 x^7 - 112 x^5 + 56 x^3 - 7 x
    T.''(x) = 128 x^8 - 256 x^6 + 160 x^4 - 32 x^2 + 1
    T.''(x) = 256 x^9 - 576 x^7 + 432 x^5 - 120 x^3 + 9 x

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE Changes README
%perl_vendor_privlib/M*

%changelog
