# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++ perl(English.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(Inline.pm) perl(Inline/C.pm) perl(Inline/CPP.pm) perl(Inline/MakeMaker.pm) perl(Test/Kwalitee.pm) perl(Test/More.pm) perl(Parse/RecDescent.pm)
# END SourceDeps(oneline)
%define module_version 0.19
%define module_name Math-Prime-FastSieve
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.19
Release: alt6
Summary: Generate a list of all primes less than or equal
Group: Development/Perl
License: artistic
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/D/DA/DAVIDO/%module_name-%module_version.tar.gz

%description
This module provides an optimized implementation of the Sieve of
Eratosthenes, and uses it to return a reference to an array all primes up to
any integer specified, within the limitations of addressable memory.

Additionally the module provides access to other Prime-related functions
that are facilitated as a by-product of having a really fast Prime
Sieve.

At the time of writing, the `primes' function will return all primes
up to and including `$n' faster than any other module I can find on CPAN
(including Math::Prime::XS).  While a segmented sieve (which this isn't) would
extend the range of primes accessible, the fact that this module uses
a bit-sieve means that primes over a billion are easily within reach
of most modern systems.



%prep
%setup -n %module_name-%module_version
ln -s lib/Math .

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes examples
%perl_vendor_archlib/M*
%perl_vendor_autolib/*

%changelog
