%define module_version 0.06
%define module_name Math-Random-BlumBlumShub
# BEGIN SourceDeps(oneline):
BuildRequires: libgmp-devel perl(DynaLoader.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(Math/GMP.pm) perl(Math/GMPz.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.06
Release: alt5
Summary: the Blum-Blum-Shub pseudorandom bit generator.
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/S/SI/SISYPHUS/%{module_name}-%{module_version}.tar.gz

%description
An implementation of the Blum-Blum-Shub pseudorandom bit generator.


%prep
%setup -q -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README CHANGES
%perl_vendor_archlib/M*
%perl_vendor_autolib/*

%changelog
