%define module_version 1.17
%define module_name Math-Random-MT
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Benchmark.pm) perl(DynaLoader.pm) perl(ExtUtils/MakeMaker.pm) perl(Test/More.pm) perl(Test/Number/Delta.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.17
Release: alt5
Summary: The Mersenne Twister PRNG
Group: Development/Perl
License: bsd
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/F/FA/FANGLY/%{module_name}-%{module_version}.tar.gz

%description
The Mersenne Twister is a pseudorandom number generator developed by
Makoto Matsumoto and Takuji Nishimura. It is described in their paper at
<URL:http://www.math.keio.ac.jp/~nisimura/random/doc/mt.ps>. This algorithm
has a very uniform distribution and is good for modelling purposes but do not
use it for cryptography.

This module implements two interfaces:


%prep
%setup -q -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE Changes README
%perl_vendor_archlib/M*
%perl_vendor_autolib/*

%changelog
