%define module_name Math-Random-MTwist
# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++ libsowing-devel perl(ExtUtils/MakeMaker.pm) perl(Test/More.pm) perl(Time/HiRes.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.23
Release: alt4
Summary: A fast stateful Mersenne Twister pseudo-random number generator.
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/C/CG/CGPAN/%{module_name}-%{version}.tar.gz

%description
Math::Random::MTwist is a Perl interface to Geoff Kuenning's mtwist C
library. It provides several seeding methods, an independent state per OO
instance and various random number distributions.

All functions are available through a function-oriented interface and an
object-oriented interface. The function-oriented interface maintains a single
global state while with the OO interface each instance has its individual
state.

The function-oriented interface provides drop-in replacements for Perl's
built-in `rand()' and `srand()' functions.

If you `use' the module with an import list, `fastseed()' is called once
automatically. In this case, if you need the `MT_' constants, you must import
them explicitly through the `:DEFAULT' tag.


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_archlib/M*
%perl_vendor_autolib/*

%changelog
