%define module_version 0.10
%define module_name Math-Vector-Real-XS
# BEGIN SourceDeps(oneline):
BuildRequires: libsowing-devel perl(ExtUtils/MakeMaker.pm) perl(Math/Vector/Real.pm) perl(Math/Vector/Real/Test.pm) perl(Test/More.pm) perl(XSLoader.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.10
Release: alt5
Summary: Real vector arithmetic in fast XS
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/S/SA/SALVA/%{module_name}-%{module_version}.tar.gz

%description
This module reimplements most of the functions in
the Math::Vector::Real manpage in XS for a great performance boost.

Once this module is installed, the Math::Vector::Real manpage will load and use
it automatically.


%prep
%setup -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_archlib/M*
%perl_vendor_autolib/*

%changelog
