%define module_name MathML-itex2MML
# BEGIN SourceDeps(oneline):
BuildRequires: libsowing-devel perl(DynaLoader.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(Test/Simple.pm) perl(base.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.6.0
Release: alt3
Summary: Convert itex equations to MathML
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/D/DI/DISTLER/%{module_name}-%{version}.tar.gz

%description
`MathML::itex2MML' converts itex (a dialect of LaTeX) equations into
MathML. Inline equations are demarcated by `$..$' or `\(...\)'. Display
equations are demarcated by `$$...$$' or `\[...\]'. The syntax supported
is described here.

It is strongly suggested that you run the output through `MathML::Entities',
to convert named entities into either numeric character references or UTF-8 characters,
if you intend putting the result on the Web.

`MathML::itex2MML' is based on the commandline converter, itex2MML.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE README Changes Todo
%perl_vendor_archlib/M*
%perl_vendor_autolib/*

%changelog
