# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(IO/File.pm) perl(base.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define upstream_name    MealMaster
%define upstream_version 0.28

Name:       perl-%{upstream_name}
Version:    %{upstream_version}
Release:    alt3_9

Summary:    Represent a MealMaster ingredient
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class/Accessor/Chained/Fast.pm)
BuildRequires: perl(ExtUtils/MakeMaker.pm)
BuildRequires: perl(Test/Exception.pm)
BuildRequires: perl(Test/More.pm)
BuildRequires: perl(Module/Build/Compat.pm)
BuildArch: noarch
Source44: import.info

%description
People like to share food recipes on the internet. MealMaster is a popular
program for collating recipes. The the MealMaster manpage module parses the
MealMaster recipe export format, providing you with recipe objects. You can
recognize these MealMaster format files as they generally start with
"Recipe via Meal-Master".

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc CHANGES META.yml README
%perl_vendor_privlib/*




%changelog
