# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(CPAN.pm) perl(Config.pm) perl(Cwd.pm) perl(ExtUtils/MM_Unix.pm) perl(ExtUtils/MakeMaker.pm) perl(ExtUtils/Manifest.pm) perl(File/Basename.pm) perl(File/Spec/Functions.pm) perl(FileHandle.pm) perl(FindBin.pm) perl(LWP/Simple.pm) perl(Module/Build.pm) perl(Net/FTP.pm) perl(Socket.pm) perl(YAML.pm) perl(base.pm) perl(inc/Module/Install.pm) perl-devel perl-podlators
# END SourceDeps(oneline)
%define module   Method-Alias

Name:       perl-%{module}
Version:    1.03
Release:    alt2_7
License:    GPL or Artistic
Group:      Development/Perl
Summary:    Create method aliases (and do it safely)
Source:     http://www.cpan.org/modules/by-module/Method/%{module}-%{version}.tar.gz
Url:        http://search.cpan.org/dist/%{module}
BuildRequires: perl(File/Spec.pm)
BuildRequires: perl(Test/More.pm)
BuildArch: noarch
Source44: import.info


%description
For a very long time, whenever I wanted to have a method alias (provide an
alternate name for a method) I would simple do a GLOB alias. That is,

  # My method
  sub foo {
      ...
  }
  
  # Alias the method
  *bar = *foo;

While this works fine for functions, it does *not* work for methods.

%prep
%setup -q -n %{module}-%{version} 

%build
%{__perl} Makefile.PL INSTALLMAN1DIR=%_man1dir INSTALLDIRS=vendor
%make

%check
make test

%install
%makeinstall_std

%files
%doc Changes LICENSE README
%{perl_vendor_privlib}/Method





%changelog
