%define module_name Minion-Backend-MongoDB
# BEGIN SourceDeps(oneline):
BuildRequires: perl(BSON/OID.pm) perl(BSON/Types.pm) perl(DateTime.pm) perl(DateTime/Set.pm) perl(DateTime/Span.pm) perl(ExtUtils/MakeMaker.pm) perl(Minion.pm) perl(Mojolicious.pm) perl(MongoDB.pm) perl(Sys/Hostname.pm) perl(Test/More.pm) perl(Test/UseAllModules.pm) perl(Tie/IxHash.pm) perl(Time/HiRes.pm) perl(boolean.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.06
Release: alt1
Summary: MongoDB backend for Minion
Group: Development/Perl
License: gpl
URL: https://github.com/avkhozov/Minion-Backend-MongoDB

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/E/EB/EBRUNI/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
the Minion::Backend::MongoDB manpage is a the MongoDB manpage backend for the Minion manpage.


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README LICENSE Changes
%perl_vendor_privlib/M*

%changelog
