Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Inline/MakeMaker.pm) perl(Module/Build.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-Module-Depends
Version:        0.16
Release:        alt2_11
Summary:        Identify the dependencies of a distribution
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Module-Depends
Source0:        https://cpan.metacpan.org/authors/id/R/RC/RCLAMP/Module-Depends-%{version}.tar.gz
# Restore compatibility with Perl 5.26.0, CPAN RT#119324, CPAN RT#115053
Patch0:         Module-Depends-0.15-Fix-escaping-literal-curly-brackates-in-a-regexp.patch
BuildArch:      noarch
BuildRequires:  perl-devel
BuildRequires:  rpm-build-perl
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
# Run-time:
BuildRequires:  perl(base.pm)
BuildRequires:  perl(Class/Accessor/Chained.pm)
BuildRequires:  perl(Cwd.pm)
BuildRequires:  perl(Parse/CPAN/Meta.pm)
BuildRequires:  perl(strict.pm)
BuildRequires:  perl(warnings.pm)
# Tests:
BuildRequires:  perl(FindBin.pm)
BuildRequires:  perl(inc/Module/Install.pm)
# Inline::MakeMaker not used
# Module::Build not used
BuildRequires:  perl(Test/More.pm)
Requires:       perl(warnings.pm)
Source44: import.info

%description
Module::Depends extracts module dependencies from an unpacked
distribution tree.

%prep
%setup -q -n Module-Depends-%{version}
%patch0 -p1

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
%make_build

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
# %{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc Changes README
%{perl_vendor_privlib}/*

%changelog
