%define module_name Module-FeaturesUtil-Get
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(FindBin.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(Pod/Coverage/TrustPod.pm) perl(Test/More.pm) perl(Test/Perl/Critic.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(lib.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.002
Release: alt1
Summary: Get a feature
Group: Development/Perl
License: perl
URL: https://metacpan.org/release/Module-FeaturesUtil-Get

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PE/PERLANCAR/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
FUNCTIONS
  get_features_decl
    Usage:

     my $features_decl = get_features_decl($module_name);

    Features declaration is first looked up from proxy module's %%FEATURES
    package variable, then from the module's %%FEATURES. Proxy module is
    $module_name*::_ModuleFeatures*. You have to load the modules yourself;
    this routine will not load the modules for you.

    This module will also NOT check the validity of features declaration.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README LICENSE
%perl_vendor_privlib/M*

%changelog
