%define module_name Module-Generate
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Cwd.pm) perl(Data/Dumper.pm) perl(ExtUtils/MakeMaker.pm) perl(Foo.pm) perl(Foo/Bar.pm) perl(Module/Starter.pm) perl(Moo.pm) perl(Perl/Tidy.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.26
Release: alt1
Summary: Assisting with module generation.
Group: Development/Perl
License: artistic_2
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/L/LN/LNATION/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
use Module::Generate;

_Module::Generate->dist('Planes')
__->author('LNATION')
__->email('email@lnation.org')
__->version('0.01')
__->class('Planes')
___->abstract('Over my head.')
___->our('$type')
___->begin(sub {
____$type = 'boeing';
___})
___->new
____->pod('Instantiate a new plane.')
____->example('my $plane = Planes->new')
___->accessor('airline')
___->sub('type')
____->code(sub { $type })
____->pod('Returns the type of plane.')
____->example('$plane->type')
___->sub('altitude')
____->code(sub {
_____$_[1] / $_[2];
_____...
____})
____->pod('Discover the altitude of the plane.')
____->example('$plane->altitude(100, 100)')
__->generate;

_...

_Module::Generate->dist('Holiday')
__->author('LNATION')
__->email('email@lnation.org')
__->version('0.01')
__->class('Feed::Data')
___->use('Data::LnArray')
___->our('$holiday')
___->begin(sub {
____$holiday = Data::LnArray->new;
___})
___->sub('parse')
___->sub('write')
___->sub('render')
___->sub('generate')
___->sub('_raw')
___->sub('_text')
___->sub('_json')
__->generate;

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes ignore.txt
%perl_vendor_privlib/M*

%changelog
