%define module_name Module-Generate-Hash
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(Foo.pm) perl(Foo/Bar.pm) perl(Import/Export.pm) perl(Module/Generate.pm) perl(Test/More.pm) perl(base.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.06
Release: alt1
Summary: Assisting with module generation.
Group: Development/Perl
License: artistic_2
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/L/LN/LNATION/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
use Module::Generate::Hash qw/all/;

_generate(
__dist => 'Planes',
__author => 'LNATION',
__email => 'email@lnation.org',
__version => '0.01',
__classes => {
___Planes => {
____abstract => 'Over my head.',
____our => '$type',
____begin => sub {
_____$type = 'boeing';
____},
____accessors => [qw/
_____airline
____/],
____subs => [_
_____type => {
______code => sub { $type },
______pod => 'Returns the type of plane.',
______example => '$plane->type'
_____},
_____altitude => {
______code => sub {
_______$_[1] / $_[2];
_______...
______},
______pod => 'Discover the altitude of the plane.',
______example => '$plane->altitude(100, 100)'
_____}
____]
___}
__}
_);

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes ignore.txt README
%perl_vendor_privlib/M*

%changelog
