Group: Development/Perl
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-Module-Pluggable-Ordered
Version:        1.5
Release:        alt3_35
Summary:        Call module plugins in a specified order
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Module-Pluggable-Ordered
Source0:        https://cpan.metacpan.org/authors/id/A/AP/APEIRON/Module-Pluggable-Ordered-%{version}.tar.gz
BuildArch:      noarch
# Build
BuildRequires:  rpm-build-perl
BuildRequires:  perl-devel
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
# Runtime
BuildRequires:  perl(Module/Pluggable.pm)
BuildRequires:  perl(strict.pm)
BuildRequires:  perl(UNIVERSAL/require.pm)
BuildRequires:  perl(vars.pm)
BuildRequires:  perl(warnings.pm)
# Tests only
BuildRequires:  perl(lib.pm)
BuildRequires:  perl(Test/More.pm)
BuildRequires:  perl(UNIVERSAL/require.pm)
Requires:       perl(Module/Pluggable.pm) >= 1.900
Requires:       perl(warnings.pm)


Source44: import.info
%filter_from_requires /^perl(Module.Pluggable.pm)/d

%description
This module behaves exactly the same as Module::Pluggable, supporting
all of its options, but also mixes in the call_plugins and
plugins_ordered methods to your class. call_plugins acts a little like
Class::Trigger; it takes the name of a method, and some parameters.
Let's say we call it like so:

%prep
%setup -q -n Module-Pluggable-Ordered-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}

%install
%{makeinstall_std}
# %{_fixperms} %{buildroot}/*

%check
make test

%files
%doc Changes README
%{perl_vendor_privlib}/*

%changelog
