Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Compress/Zlib.pm) perl(DBI.pm) perl(LWP/Simple.pm) perl(LWP/UserAgent.pm) perl(MogileFS/Admin.pm) perl(MogileFS/Client.pm) perl(Pod/Usage.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global cpan_name MogileFS-Utils

Name:           perl-%{cpan_name}
Version:        2.30
Release:        alt2_12
Summary:        Utilities for MogileFS
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/D/DO/DORMANDO/%{cpan_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  rpm-build-perl
BuildRequires:  perl-devel
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(strict.pm)
# These listed in META.yml are needed at run-time only, but no test loads them:
# perl(MogileFS::Client) >= 1.16
# perl(Compress::Zlib)
# perl(LWP::Simple)
Requires:       perl(MogileFS/Client.pm) >= 1.160

# Remove under-specified dependencies

Source44: import.info
%filter_from_requires /^perl(MogileFS.Client.pm)/d

%description
Utilities for the MogileFS distributed storage system.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
%make_build

%install
make %{?_smp_mflags} pure_install DESTDIR=%{buildroot}
# %{_fixperms} %{buildroot}/*

%check
make %{?_smp_mflags} test

%files
%doc Changes
%{perl_vendor_privlib}/MogileFS
%{_bindir}/*
%{_mandir}/man1/*

%changelog
