%define module_name Mojo-IOLoop-Stream-Role-LineBuffer
# BEGIN SourceDeps(oneline):
BuildRequires: perl(File/Spec.pm) perl(IO/Pipely.pm) perl(Module/Build.pm) perl(Module/Build/Tiny.pm) perl(Module/Metadata.pm) perl(Mojolicious.pm) perl(Role/Tiny.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.006
Release: alt1
Summary: Read and write streams by lines
Group: Development/Perl
License: artistic_2
URL: https://github.com/Grinnz/Mojo-IOLoop-Stream-Role-LineBuffer

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/D/DB/DBOOK/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
the Mojo::IOLoop::Stream::Role::LineBuffer manpage composes the method
the section on "watch_lines" which causes a the Mojo::IOLoop::Stream manpage object to emit the
the section on "read_line" event for each line received. The the section on "write_line" method is
also provided to add a line separator to the passed data before writing.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README CONTRIBUTING.md LICENSE
%perl_vendor_privlib/M*

%changelog
