%define module_name Mojo-UserAgent-SecureServer
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(IO/Socket/SSL.pm) perl(Mojolicious.pm) perl(Net/SSLeay.pm) perl(Scalar/Util.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.03
Release: alt1
Summary: Secure application server for Mojo::UserAgent
Group: Development/Perl
License: artistic_2
URL: https://github.com/jhthorsen/mojo-useragent-secureserver

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/J/JH/JHTHORSEN/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
the Mojo::UserAgent::SecureServer manpage allows you to test your the Mojolicious manpage web
application with custom SSL/TLS key/cert/ca.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes
%perl_vendor_privlib/M*

%changelog
