%define module_name Mojo-WebSocketProxy
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Class/Method/Modifiers.pm) perl(DataDog/DogStatsd/Helper.pm) perl(Encode.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(Future.pm) perl(Future/Mojo.pm) perl(IO/Async/Loop/Mojo.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(JSON/MaybeUTF8.pm) perl(JSON/MaybeXS.pm) perl(Job/Async.pm) perl(Log/Any.pm) perl(MojoX/JSON/RPC.pm) perl(Mojolicious.pm) perl(Path/Tiny.pm) perl(Scalar/Util.pm) perl(Test/CheckDeps.pm) perl(Test/Fatal.pm) perl(Test/MockModule.pm) perl(Test/MockObject.pm) perl(Test/Mojo.pm) perl(Test/More.pm) perl(Test/Simple.pm) perl(Test/TCP.pm) perl(Unicode/Normalize.pm) perl(curry.pm) perl(indirect.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.13
Release: alt1
Summary: Perl implementation of websocket JSON-RPC 2.0 proxy
Group: Development/Perl
License: perl
URL: https://github.com/binary-com/perl-Mojo-WebSocketProxy

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/B/BI/BINARY/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Using this module you can forward WebSocket-JSON requests to RPC server.

For every message it creates separate hash ref storage, which is available from hooks as $req_storage.
Request storage have RPC call parameters in $req_storage->{call_params}.
It copies message args to $req_storage->{call_params}->{args}.
You can use Mojolicious stash to store data between messages in one connection.
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE Changes README README.md
%perl_vendor_privlib/M*

%changelog
