%define module_version 0.06
%define module_name MojoX-Twitter
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Digest/SHA.pm) perl(FindBin.pm) perl(MIME/Base64.pm) perl(Module/Build/Tiny.pm) perl(Mojolicious.pm) perl(Test/More.pm) perl(Test/Pod.pm) perl(URI/Escape.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.06
Release: alt1
Summary: Simple Twitter Client
Group: Development/Perl
License: perl
URL: https://github.com/fayland/perl-MojoX-Twitter

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/F/FA/FAYLAND/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
MojoX::Twitter is a simple Twitter client:

=over 4

=item * without OAuth authentication

=item * auto sleep when X-Rate-Limit-Remaining is 0

=back


%prep
%setup -q -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE README Changes examples
%perl_vendor_privlib/M*

%changelog
