%define module_version 0.05
%define module_name Mojolicious-Plugin-Ical
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(Mojo/Base.pm) perl(Mojolicious.pm) perl(Mojolicious/Lite.pm) perl(Sys/Hostname.pm) perl(Test/Mojo.pm) perl(Test/More.pm) perl(Text/vFile/asData.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.05
Release: alt1
Summary: Generate .ical documents
Group: Development/Perl
License: artistic_2
URL: https://github.com/jhthorsen/mojolicious-plugin-ical

Source0: http://cpan.org.ua/authors/id/J/JH/JHTHORSEN/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
the Mojolicious::Plugin::Ical manpage is a the Mojolicious manpage plugin for generating
iCalendar documents.

This plugin will...

=over 4

=item *

Add the helper the reply.ical entry elsewhere in this document.

=item *

Add ".ical" type to the types entry in the Mojolicious manpage.

=item *

Add a handler "ical" to the renderer entry in the Mojolicious manpage.

=back
%prep
%setup -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_privlib/M*

%changelog
