%define module_name Mojolicious-Plugin-Model-DB
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Class/Method/Modifiers.pm) perl(ExtUtils/MakeMaker.pm) perl(Mojo/Base.pm) perl(Mojo/Loader.pm) perl(Mojo/SQLite.pm) perl(Mojo/Util.pm) perl(Mojolicious/Lite.pm) perl(Mojolicious/Plugin/Model.pm) perl(Storable.pm) perl(Test/Mojo.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.04
Release: alt1
Summary: It is an extension of the module Mojolicious::Plugin::Model
Group: Development/Perl
License: perl
URL: https://github.com/lucas1/Mojolicious-Plugin-Model-DB

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/L/LT/LTM/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Mojolicious::Plugin::Model::DB It is an extension of the module Mojolicious::Plugin::Model, the intention is to separate models of database from other models. See more in the Mojolicious::Plugin::Model manpage

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.md Changes
%perl_vendor_privlib/M*

%changelog
