%define module_name Mojolicious-Plugin-OpenAPI
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(JSON/Validator.pm) perl(Mojolicious.pm) perl(Scalar/Util.pm) perl(Test/More.pm) perl(YAML/PP.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 4.05
Release: alt1
Summary: OpenAPI / Swagger plugin for Mojolicious
Group: Development/Perl
License: artistic_2
URL: https://github.com/jhthorsen/mojolicious-plugin-openapi

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/J/JH/JHTHORSEN/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
the Mojolicious::Plugin::OpenAPI manpage is the Mojolicious::Plugin manpage that add routes and
input/output validation to your the Mojolicious manpage application based on a OpenAPI
(Swagger) specification.

Have a look at the the SEE ALSO entry elsewhere in this document for references to more documentation, or jump
right to the tutorial.

Currently v2 is very well supported, while v3 should be considered higly
EXPERIMENTAL. Note that testing out v3 requires the YAML::XS manpage to be installed.

Please report in issues
or open pull requests to enhance the 3.0 support.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.md Changes
%perl_vendor_privlib/M*

%changelog
