# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Test/More.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define upstream_name    Mojolicious-Plugin-PPI
%define upstream_version 0.07

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %{upstream_version}
Release:    alt1_5

Summary:    Mojolicious Plugin for Rendering Perl Code Using PPI
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Mojolicious/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(File/ShareDir.pm)
BuildRequires: perl(Mojolicious.pm)
BuildRequires: perl(PPI/HTML.pm)
BuildRequires: perl(Time/HiRes.pm)
BuildRequires: perl(Module/Build.pm)
BuildArch: noarch
Source44: import.info

%description
the Mojolicious::Plugin::PPI manpage is a the Mojolicious manpage plugin.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
/usr/bin/perl Build.PL installdirs=vendor

./Build

%check
./Build test

%install
./Build install destdir=%{buildroot}

%files
%doc META.json META.yml
%perl_vendor_privlib/*




%changelog
