%define module_name Mojolicious-Plugin-Qooxdoo
# BEGIN SourceDeps(oneline):
BuildRequires: perl(CPAN/Uploader.pm) perl(Encode.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec/Functions.pm) perl(FindBin.pm) perl(Mojolicious.pm) perl(Storable.pm) perl(overload.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.0.13
Release: alt1
Summary: Qooxdoo JSON-RPC support for the Mojolicious Perl framework
Group: Development/Perl
License: artistic_2
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/O/OE/OETIKER/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
To deal with incoming JSON-RPC requests, write a controller decending from the Mojolicious::Plugin::Qooxdoo::JsonRpc manpage
instead of the normal the Mojolicious::Controller manpage class. 

See the documentation on the Mojolicious::Plugin::Qooxdoo::Jsonrpc manpage
for details on how to write your service. 

The plugin understands the following parameters.

=over

=item prefix 

By default the plugin will add its routes starting at the root / by setting a prefix
you can move them down the tree.

=item controller

The name of your RpcService controller class. See the Mojolicious::Plugin::Qooxdoo::JsonRpc manpage for details on how
to write a service. If no controller argument is specified, the plugin will only install the routes
necessary to server the qooxdoo javascript files and assets.

=item namespace

If your controller class is NOT under the application namespace.

=item path (default: jsonrpc)

If your application expects the JSON-RPC service to appear under a different url.

=back


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README CHANGES example
%perl_vendor_privlib/M*

%changelog
