Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-Mon
Version:        0.11
Release:        alt2_35
Summary:        Mon Perl module
License:        GPLv2+
URL:            https://metacpan.org/release/Mon
Source0:        https://cpan.metacpan.org/authors/id/T/TR/TROCKIJ/Mon-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  rpm-build-perl
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
# Run-time:
BuildRequires:  perl(Convert/BER.pm)
BuildRequires:  perl(Exporter.pm)
BuildRequires:  perl(IO/File.pm)
BuildRequires:  perl(Socket.pm)
BuildRequires:  perl(Text/ParseWords.pm)
# Tests:
BuildRequires:  perl(Data/Dumper.pm)
Source44: import.info

%description
This is the Perl5 module for interfacing with the Mon system monitoring
package. Currently only the client interface is implemented, but more
things like special logging routines and persistent monitors are being
considered.


%prep
%setup -q -n Mon-%{version}


%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor
%make_build


%install
make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

# %{_fixperms} %{buildroot}/*


%check
make test


%files
%doc CHANGES COPYING COPYRIGHT monperl.prj README VERSION
%{perl_vendor_privlib}/*


%changelog
