# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(Class/Method/Modifiers.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(Moo.pm) perl(Moo/Object.pm) perl(MooX/ProtectedAttributes.pm) perl(PDL/Lite.pm) perl(PDLx/DetachedObject.pm) perl(Safe/Isa.pm) perl(Scalar/Util.pm) perl(Test/API.pm) perl(Test/More.pm) perl(Test2/Bundle/Extended.pm) perl(Test2/Bundle/More.pm) perl(blib.pm) perl(namespace/clean.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define module_name MooX-PDL2
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.01
Release: alt1
Summary: A Moo based PDL 2.X object
Group: Development/Perl
License: gpl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/D/DJ/DJERIUS/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This class provides the thinnest possible layer required to create a
the Moo manpage object which is recognized by the PDL manpage.

the PDL manpage will treat a non-the PDL manpage blessed hash as a the PDL manpage object if it
has a hash element with a key of `PDL'.  That element may be a
`PDL' piddle or a *subroutine* which returns a piddle.

This class provides a `PDL' method (which must not be overridden!) which
returns the contents of the `_PDL' attribute.  That attribute is yours
to manipulate.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE Changes README examples
%perl_vendor_privlib/M*

%changelog
