%define module_name MooX-Private-Attribute
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(Moo.pm) perl(MooX/ReturnModifiers.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.00
Release: alt1
Summary: private attributes
Group: Development/Perl
License: artistic_2
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/L/LN/LNATION/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
package Lays;

_use Moo;
_use MooX::Private::Attribute;

_has size => (
__is => 'ro',
__private => 1
_);

_has flavour => (
__is => 'ro',
__private => 1
_);

_sub bag {
__return {
___size => $_[0]->size,
___flavour => $_[0]->flavour
__}
_}

_....

_my $salt = Lays->new( 
__size => q|.Y.v.a.Y.u.d.A.o.v.N|,
__flavour => q|.'.'.'.U & .a.'.o.'.'.'.E.v| 
_);

_$salt->bag # works
_$salt->size # errors
_$salt->flavour # errors

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README ignore.txt Changes
%perl_vendor_privlib/M*

%changelog
