%define module_name MooX-Purple
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Data/LnArray.pm) perl(ExtUtils/MakeMaker.pm) perl(JSON.pm) perl(Keyword/Declare.pm) perl(Moo.pm) perl(MooX/LazierAttributes.pm) perl(MooX/ValidateSubs.pm) perl(PPR.pm) perl(Perl/Tidy.pm) perl(Scalar/Util.pm) perl(Test/More.pm) perl(Types/Standard.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.16
Release: alt1
Summary: purple
Group: Development/Perl
License: artistic_2
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/L/LN/LNATION/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
use MooX::Purple;

_role Before {
__public seven { return '7' }
_};

_role World allow qw/Hello/ with qw/Before/ {
__private six { 'six' }
_};

_class Hello with qw/World/ allow qw/main/ {
__use Types::Standard qw/Str HashRef ArrayRef Object/;

__attributes
___one => [{ okay => 'one'}],
___[qw/two three/] => [rw, Str, { default => 'the world is flat' }];

__validate_subs
___four => {
____params => {
_____message => [Str, sub {'four'}]
____}
___};

__public four { return $_[1]->{message} }
__private five { return $_[0]->six }
_};

_class Night is qw/Hello/ {
__public nine { return 'nine' }
_};

_Night->new()->five();

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_privlib/M*

%changelog
