%define module_name MooX-TaggedAttributes
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Class/Method/Modifiers.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(MRO/Compat.pm) perl(Module/Build/Tiny.pm) perl(Moo.pm) perl(Scalar/Util.pm) perl(Sub/Name.pm) perl(Test/CleanNamespaces.pm) perl(Test/Lib.pm) perl(Test/More.pm) perl(Test2/V0.pm) perl(autovivification.pm) perl(namespace/clean.pm) perl(overloading.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.11
Release: alt1
Summary: Add a tag with an arbitrary value to a an attribute
Group: Development/Perl
License: gpl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/D/DJ/DJERIUS/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This module attaches a tag-value pair to an attribute in a Moo
class or role, and provides a interface to query which attributes have
which tags, and what the values are.


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc CONTRIBUTING.md Changes LICENSE README examples
%perl_vendor_privlib/M*

%changelog
