# BEGIN SourceDeps(oneline):
BuildRequires: perl(Attribute/Handlers.pm) perl(Carp.pm) perl(Exporter/Tiny.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(Graph/Directed.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(List/AllUtils.pm) perl(Module/Runtime.pm) perl(Moose.pm) perl(Moose/Role.pm) perl(Moose/Util.pm) perl(MooseX/MungeHas.pm) perl(Scalar/Util.pm) perl(Test/More.pm) perl(Test/Warn.pm) perl(experimental.pm) perl(overload.pm) perl(parent.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define module_name MoobX
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.1.0
Release: alt1
Summary: Reactive programming framework heavily inspired by JavaScript's MobX
Group: Development/Perl
License: perl
URL: https://github.com/yanick/MoobX

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/Y/YA/YANICK/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
As I was learning how to use https://github.com/mobxjs/mobx, I thought
it'd be fun to try to implement something similar in Perl. So I did. 

To set Moose object attributes to be observers or observables, take
a gander at the MoobX::Trait::Observable manpage and the MoobX::Trait::Observer manpage.

To have an idea of the mechanics of MoobX, see the two blog entries in the SEE ALSO
section.

This is also the early stages of life for this module. Consider everythign as alpha quality,
and the API still subject to huge changes.
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc AUTHOR_PLEDGE CONTRIBUTORS LICENSE README Changes
%perl_vendor_privlib/M*

%changelog
