%define module_name Moonshine-Element
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Autoload/AUTOCAN.pm) perl(Data/GUID.pm) perl(ExtUtils/MakeMaker.pm) perl(Module/Metadata.pm) perl(Moonshine/Test.pm) perl(Ref/Util.pm) perl(Test/More.pm) perl(UNIVERSAL/Object.pm) perl(feature.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.11
Release: alt1
Summary: Build some more html.
Group: Development/Perl
License: artistic_2
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/L/LN/LNATION/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Moonshine-Element

The README is used to introduce the module and provide instructions on
how to install the module, any machine dependencies it may have (for
example C compilers and installed libraries) and any other information
that should be provided before the module is installed.

A README file is required for CPAN modules since CPAN extracts the README
file from a module distribution so that people browsing the archive
can use it to get an idea of the module's uses. It is usually a good idea
to provide version information here so that people can decide whether
fixes for the module are worth downloading.


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes LICENSE ignore.txt README
%perl_vendor_privlib/M*

%changelog
