Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-MooseX-Has-Options
Version:        0.003
Release:        alt2_23
Summary:        Succinct options for Moose
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/MooseX-Has-Options
Source0:        https://cpan.metacpan.org/authors/id/P/PS/PSHANGOV/MooseX-Has-Options-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  rpm-build-perl
BuildRequires:  perl(Class/Load.pm)
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(File/Find.pm)
BuildRequires:  perl(File/Temp.pm)
BuildRequires:  perl(List/MoreUtils.pm)
BuildRequires:  perl(Moose.pm)
BuildRequires:  perl(namespace/autoclean.pm)
BuildRequires:  perl(Package/Stash.pm)
BuildRequires:  perl(String/RewritePrefix.pm)
BuildRequires:  perl(strict.pm)
BuildRequires:  perl(Test/More.pm)
BuildRequires:  perl(Test/Most.pm)
BuildRequires:  perl(Test/Script.pm)
BuildRequires:  perl(warnings.pm)
Requires:       perl(Package/Stash.pm) >= 0.180


Source44: import.info

%description
This module provides a succinct syntax for declaring options for Moose
attributes. It hijacks the 'has' function imported by Moose and replaces it
with one that understands the options syntax.

%prep
%setup -q -n MooseX-Has-Options-%{version}

# silence rpmlint
sed -i 's/\r//' Changes

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install
make pure_install DESTDIR=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

# %{_fixperms} %{buildroot}/*

%check
make test

%files
%doc Changes LICENSE README
%{perl_vendor_privlib}/*

%changelog
