Group: Development/Perl
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-MooseX-MultiMethods
Version:        0.10
Release:        alt2_33
Summary:        Multi Method Dispatch based on Moose type constraints
License:        GPL+ or Artistic

URL:            https://metacpan.org/release/MooseX-MultiMethods
Source0:        https://cpan.metacpan.org/authors/id/F/FL/FLORA/MooseX-MultiMethods-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  rpm-build-perl
BuildRequires:  perl-devel
BuildRequires:  perl(aliased.pm)
BuildRequires:  perl(Carp.pm)
BuildRequires:  perl(Devel/Declare.pm)
BuildRequires:  perl(Devel/Declare/Context/Simple.pm)
BuildRequires:  perl(Devel/PartialDump.pm)
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(FindBin.pm)
BuildRequires:  perl(lib.pm)
BuildRequires:  perl(Moose.pm)
BuildRequires:  perl(Moose/Meta/Method.pm)
BuildRequires:  perl(Moose/Object.pm)
BuildRequires:  perl(Moose/Role.pm)
BuildRequires:  perl(MooseX/Method/Signatures.pm)
BuildRequires:  perl(MooseX/Types/Moose.pm)
BuildRequires:  perl(MooseX/Types/VariantTable.pm)
BuildRequires:  perl(namespace/autoclean.pm)
BuildRequires:  perl(strict.pm)
BuildRequires:  perl(Sub/Install.pm)
BuildRequires:  perl(warnings.pm)
# tests
BuildRequires:  perl(MooseX/Declare.pm)
BuildRequires:  perl(Test/Exception.pm)
BuildRequires:  perl(Test/More.pm)
BuildRequires:  perl(Test/NoWarnings.pm)

Requires:       perl(MooseX/Types/VariantTable.pm) >= 0.030


Source44: import.info

%description
This module provides multi method dispatch based on Moose type constraints.
It does so by providing a multi keyword that extends the method keyword
provided by MooseX::Method::Signatures.

%prep
%setup -q -n MooseX-MultiMethods-%{version}

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
%make_build

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
# %{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc Changes README
%doc --no-dereference LICENSE
%{perl_vendor_privlib}/Moose*

%changelog
