Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Coro.pm) perl(Coro/Semaphore.pm) perl(Coro/Util.pm) perl(Device/SerialPort.pm) perl(IO/File.pm) perl(IPC/Open3.pm) perl(JSON/Any.pm) perl(MooseX/Workers.pm) perl(Scalar/Util.pm) perl(Storable.pm) perl(Symbol.pm) perl(Sys/Mmap.pm) perl(overload.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-MooseX-POE
Version:        0.215
Release:        alt3_26
Summary:        Illicit Love Child of Moose and POE
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/MooseX-POE
Source0:        https://cpan.metacpan.org/authors/id/G/GE/GETTY/MooseX-POE-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  rpm-build-perl
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(Moose.pm)
BuildRequires:  perl(MooseX/Daemonize.pm)
BuildRequires:  perl(MooseX/Declare.pm)
BuildRequires:  perl(POE.pm)
BuildRequires:  perl(Test/More.pm)
BuildRequires:  perl(Test/Fatal.pm)
BuildRequires:  perl(Test/Moose.pm)
Source44: import.info

%description
MooseX::POE::Object is a Moose wrapper around a POE::Session.

%prep
%setup -q -n MooseX-POE-%{version}
find . -type f -exec chmod -c -x {} \;

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;

# %{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc Changes ex/ bench/
%{perl_vendor_privlib}/*

%changelog
