Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Module/Build.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-MooseX-Singleton
Version:        0.30
Release:        alt2_15
Summary:        Turn your Moose class into a singleton
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/MooseX-Singleton
Source0:        https://cpan.metacpan.org/authors/id/E/ET/ETHER/MooseX-Singleton-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  rpm-build-perl
BuildRequires:  perl(Module/Build/Tiny.pm)
BuildRequires:  perl(Module/Metadata.pm)
BuildRequires:  perl(Moose.pm)
BuildRequires:  perl(MooseX/StrictConstructor.pm)
BuildRequires:  perl(Scalar/Util.pm)
BuildRequires:  perl(Test/Fatal.pm)
BuildRequires:  perl(Test/More.pm)
BuildRequires:  perl(Test/Requires.pm)
BuildRequires:  perl(Test/Warnings.pm)
BuildRequires:  perl(Test/Exception.pm)


Source44: import.info

%description
A singleton is a class that has only one instance in an application.
MooseX::Singleton lets you easily upgrade (or downgrade, as it were) your
Moose class to a singleton.

%prep
%setup -q -n MooseX-Singleton-%{version}

%build
perl Build.PL --installdirs=vendor
./Build

%install
./Build install --destdir=%{buildroot} --create_packlist=0
# %{_fixperms} %{buildroot}/*

%check
./Build test

%files
%doc Changes README
%doc --no-dereference LICENSE
%{perl_vendor_privlib}/MooseX*

%changelog
