# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(Moose.pm) perl(Moose/Role.pm) perl(Moose/Util/TypeConstraints.pm) perl(Scalar/Util.pm) perl(Test/More.pm) perl(Tk.pm) perl(Tk/LabEntry.pm)
# END SourceDeps(oneline)
%define module_version 0.02
%define module_name MooseX-Traits-SetScalarByRef
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.02
Release: alt1.1
Summary: Wrap a ScalarRef attribute's accessors to re-use a reference
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/A/AS/ASB/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
This module wraps a ScalarRef attribute's accessors to ensure that when the setter is called with a new ScalarRef
(or something that can be coerced into a ScalarRef),
rather that the usual set action happening,
you copy the string stored in the new scalar into the old scalar.
%prep
%setup -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README example
%perl_vendor_privlib/M*

%changelog
