Group: Development/Perl
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Devel/PartialDump.pm) perl(Hash/Util/FieldHash/Compat.pm) perl(MooseX/Types/Moose.pm) perl(Scalar/Util.pm) perl(Sub/Name.pm) perl(namespace/clean.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-MooseX-Types-VariantTable
Version:        0.04
Release:        alt3_31
Summary:        Type constraint based variant table
License:        GPL+ or Artistic

URL:            https://metacpan.org/release/MooseX-Types-VariantTable
Source0:        https://cpan.metacpan.org/authors/id/F/FL/FLORA/MooseX-Types-VariantTable-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  rpm-build-perl
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(Moose.pm)
BuildRequires:  perl(MooseX/Clone.pm)
BuildRequires:  perl(MooseX/Types/Structured.pm)
BuildRequires:  perl(Sub/Exporter.pm)
BuildRequires:  perl(Test/Exception.pm)
BuildRequires:  perl(Test/use/ok.pm)
Requires:       perl(MooseX/Clone.pm) >= 0.030


Source44: import.info

%description
This object implements a simple dispatch table based on Moose type
constraints.

%prep
%setup -q -n MooseX-Types-VariantTable-%{version}

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
%make_build

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
# %{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc Changes
%{perl_vendor_privlib}/Moose*

%changelog
