# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Benchmark.pm) perl(CPAN.pm) perl(Config.pm) perl(Data/Dumper.pm) perl(Digest/MD5.pm) perl(Fcntl.pm) perl(File/Find.pm) perl(JSON.pm) perl(List/Util.pm) perl(Module/Build.pm) perl(Moose.pm) perl(Parse/CPAN/Meta.pm) perl(YAML/Tiny.pm) perl(base.pm) perl(overload.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define upstream_name    MouseX-NativeTraits
%define upstream_version 1.09

Name:       perl-%{upstream_name}
Version:    %{upstream_version}
Release:    alt1_12

Summary:    Provides methods for ArrayRef
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Mouse/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Any/Moose.pm)
BuildRequires: perl(ExtUtils/MakeMaker.pm)
BuildRequires: perl(inc/Module/Install.pm)
BuildRequires: perl(Mouse.pm)
BuildRequires: perl(Test/Fatal.pm)
BuildRequires: perl(Test/More.pm)
BuildArch:  noarch
Source44: import.info

%description
While the Mouse manpage attributes provide a way to name your accessors,
readers, writers, clearers and predicates, MouseX::NativeTraits provides
commonly used attribute helper methods for more specific types of data.

As seen in the the /SYNOPSIS manpage, you specify the data structure via
the 'traits' parameter. These traits will be loaded automatically, so you
need not load MouseX::NativeTraits explicitly.

This extention is compatible with Moose native traits, although it is not a
part of Mouse core.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.yml  README example
%perl_vendor_privlib/*


%changelog
