# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define upstream_name    MultiThread
%define upstream_version 0.9

Name:       perl-%{upstream_name}
Version:    %{upstream_version}
Release:    alt2_10

Summary:    A Pipeline multithreading model
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils/MakeMaker.pm)
BuildRequires: perl(Storable.pm)
BuildRequires: perl(Sys/CPU.pm)
BuildRequires: perl(Test/More.pm)
BuildRequires: perl(threads.pm)
BuildArch: noarch
Source44: import.info

%description
This module implements a Pipeline multithreading model. 

%prep
%setup -q -n %{upstream_name}

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc README Changes
%perl_vendor_privlib/*





%changelog
