%define module_version 1.15
%define module_name Music-AtonalUtil
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Algorithm/Combinatorics.pm) perl(Algorithm/Permute.pm) perl(Carp.pm) perl(ExtUtils/MakeMaker.pm) perl(List/Util.pm) perl(Pod/Coverage.pm) perl(Scalar/Util.pm) perl(Test/Most.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(lib.pm) perl(strict.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.15
Release: alt1
Summary: atonal music analysis and composition
Group: Development/Perl
License: artistic_2
URL: http://github.com/thrig/Music-AtonalUtil

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/J/JM/JMATES/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
This module contains a variety of routines suitable for atonal music
composition and analysis (plus a bunch of other routines I could find
no better home for). See the methods below, the test suite, and the
`atonal-util' command line interface (in the App::MusicTools manpage) for ideas
on how to use these routines.

There may be errors due to misunderstanding of atonal theory by the
autodidactic author. If in doubt, compare the results of this code with
other software or documentation available. However, the the section on "SEE ALSO"
references have been consulted to varying degrees though the development
of this module, and there are unit tests for a few things, so hopefully
there are not too many bugs.


%prep
%setup -q -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE Changes README
%perl_vendor_privlib/M*

%changelog
