%define module_name Music-ToRoman
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(List/MoreUtils.pm) perl(Moo.pm) perl(Music/Note.pm) perl(Music/Scales.pm) perl(Pod/Coverage/TrustPod.pm) perl(Pod/Wordlist.pm) perl(Test/EOL.pm) perl(Test/Exception.pm) perl(Test/More.pm) perl(Test/NoTabs.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(Test/Spelling.pm) perl(Test/Synopsis.pm) perl(namespace/clean.pm) perl(strict.pm) perl(strictures.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.1900
Release: alt1
Summary: Convert notes and chords to Roman numeral notation
Group: Development/Perl
License: perl
URL: https://github.com/ology/Music-ToRoman

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/G/GE/GENE/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
`Music::ToRoman' converts chords to Roman numeral notation.  Also individual
"chordless" notes may be converted given a diatonic mode scale_name.

For example usage, check out the files eg/roman and eg/basslines in
the Music::BachChoralHarmony manpage.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes LICENSE README README.md
%perl_vendor_privlib/M*

%changelog
