# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(Config/Simple.pm) perl(ExtUtils/MakeMaker.pm) perl(File/HomeDir.pm) perl(Getopt/Long.pm) perl(Moose.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define module_name MySQL-Hi
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.03
Release: alt1
Summary: Credentials for MySQL/MariaDB from config files
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/A/AN/ANDREIP/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
The module to read config with credentials for MySQL/MariaDB conection.

It does NOT do any MySQL/MariaDB connections, it is ONLY needed to
read a config file and return credentials, comannd line options for
MySQL/MariaDB client, or DSN for the DBD::mysql manpage driver.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %EVR

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE README.md
%perl_vendor_privlib/M*

%files scripts
%_bindir/*
%_man1dir/*

%changelog
