%def_without test
%define module_name NOLookup
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Data/Validate/IP.pm) perl(Encode.pm) perl(IO/Socket/INET6.pm) perl(IO/Socket/SSL.pm) perl(JSON.pm) perl(List/MoreUtils.pm) perl(Moo.pm) perl(Net/IP.pm) perl(Net/RDAP.pm) perl(Net/RDAP/EPPStatusMap.pm) perl(Net/RDAP/Error.pm) perl(Pod/Usage.pm) perl(Sys/HostIP.pm) perl(Term/ANSIColor.pm) perl(Text/Wrap.pm) perl(URI.pm) perl(URI/Encode.pm) perl(WWW/Mechanize.pm) perl(base.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.22
Release: alt1
Summary: a set of lookup modules for various Norwegian data services.
Group: Development/Perl
License: see LICENSE
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/T/TR/TROHAU/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Search and lookup information about Noriwegian domains, organizations and trademarks.

See POD for each lookup module for further details.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %EVR

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE README Changes
%perl_vendor_privlib/N*

%files scripts
%_man1dir/*
%_bindir/*

%changelog
