%def_without test
%define module_version 0.2.8
%define module_name Net--RabbitMQ
%def_without test
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Config.pm) perl(DynaLoader.pm) perl(ExtUtils/MakeMaker.pm) perl(Scalar/Util.pm) perl(Test/More.pm) perl(Time/HiRes.pm) perl(Variable/Magic.pm) perl(overload.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.2.8
Release: alt5
Summary: interface with RabbitMQ over AMQP
Group: Development/Perl
License: MPL
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/J/JE/JESUS/%{module_name}-%{module_version}.tgz

%description
`Net::RabbitMQ' provides a simple wrapper around the librabbitmq library
that allows connecting, declaring exchanges and queues, binding and unbinding
queues, publishing, consuming and receiving events.

Error handling in this module is primarily achieve by Perl_croak (die). You
should be making good use of eval around these methods to ensure that you
appropriately catch the errors.


%prep
%setup -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE-MPL-RabbitMQ Changes README LICENSE
%perl_vendor_archlib/N*
%perl_vendor_autolib/*

%changelog
