%def_without test
%define module_name Net-AMQP-RabbitMQ
# BEGIN SourceDeps(oneline):
BuildRequires: librabbitmq-c-devel libsowing-devel libssl-devel perl(Devel/CheckLib.pm) perl(ExtUtils/MakeMaker.pm) perl(Hash/FieldHash.pm) perl(LWP/Protocol/https.pm) perl(LWP/UserAgent.pm) perl(Math/Int64.pm) perl(Scalar/Util.pm) perl(Sys/Hostname.pm) perl(Test/More.pm) perl(Time/HiRes.pm) perl(XSLoader.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 2.40008
Release: alt2
Summary: interact with RabbitMQ over AMQP using librabbitmq
Group: Development/Perl
License: mozilla
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/M/MS/MSTEMLE/%{module_name}-%{version}.tar.gz

%description
`Net::AMQP::RabbitMQ' provides a simple wrapper around the librabbitmq library
that allows connecting, declaring exchanges and queues, binding and unbinding
queues, publishing, consuming and receiving events.

Error handling in this module is primarily achieve by Perl_croak (die). You
should be making good use of eval around these methods to ensure that you
appropriately catch the errors.


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.md LICENSE-MIT LICENSE Changes CONTRIBUTING.md
%perl_vendor_archlib/N*
%perl_vendor_autolib/*

%changelog
