%define module_name Net-AMQP-RabbitMQ-PP
# BEGIN SourceDeps(oneline):
BuildRequires: perl(English.pm) perl(ExtUtils/MakeMaker.pm) perl(File/ShareDir.pm) perl(File/ShareDir/Install.pm) perl(FindBin.pm) perl(IO/Select.pm) perl(IO/Socket/INET.pm) perl(IO/Socket/SSL.pm) perl(List/MoreUtils.pm) perl(Net/AMQP.pm) perl(Socket.pm) perl(Socket/Linux.pm) perl(Sys/Hostname.pm) perl(Test/Exception.pm) perl(Test/File/ShareDir.pm) perl(Test/Kwalitee.pm) perl(Test/Most.pm) perl(Time/HiRes.pm) perl(Try/Tiny.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.10
Release: alt1
Summary: Pure perl AMQP client for RabbitMQ
Group: Development/Perl
License: gpl
URL: https://metacpan.org/module/Net::AMQP::RabbitMQ::PP

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/L/LE/LEEJO/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
From summary: %%summary

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.md LICENSE Changes
%perl_vendor_privlib/N*
%perl_vendor_privlib/auto/*

%changelog
