%define module_name Net-API-REST
# BEGIN SourceDeps(oneline):
BuildRequires: perl(APR/Base64.pm) perl(APR/Pool.pm) perl(APR/Request/Apache2.pm) perl(APR/Request/Cookie.pm) perl(APR/Socket.pm) perl(APR/UUID.pm) perl(Apache2/Connection.pm) perl(Apache2/Const.pm) perl(Apache2/Log.pm) perl(Apache2/Reload.pm) perl(Apache2/Request.pm) perl(Apache2/RequestIO.pm) perl(Apache2/RequestRec.pm) perl(Apache2/RequestUtil.pm) perl(Apache2/Response.pm) perl(Apache2/ServerUtil.pm) perl(Apache2/SubRequest.pm) perl(Compress/Raw/Zlib.pm) perl(Cookie/Baker.pm) perl(Crypt/AuthEnc/GCM.pm) perl(Crypt/KeyWrap.pm) perl(Crypt/Mac/HMAC.pm) perl(Crypt/Misc.pm) perl(Crypt/PK/ECC.pm) perl(Crypt/PK/RSA.pm) perl(Crypt/PRNG.pm) perl(DateTime.pm) perl(Devel/Confess.pm) perl(Encode.pm) perl(Encode/CN.pm) perl(Encode/JP.pm) perl(Encode/KR.pm) perl(Encode/TW.pm) perl(ExtUtils/MakeMaker.pm) perl(HTTP/AcceptLanguage.pm)
BuildRequires: perl(IO/File.pm) perl(JSON.pm) perl(JSON/PP.pm) perl(MIME/Base64.pm) perl(Module/Generic.pm) perl(Nice/Try.pm) perl(Regexp/Common.pm) perl(Scalar/Util.pm) perl(Test/Kwalitee.pm) perl(Test/Mock/Apache2.pm) perl(Test/MockObject.pm) perl(Test/More.pm) perl(Test/Pod.pm) perl(URI.pm) perl(URI/Escape.pm) perl(URI/Query.pm) perl(common/sense.pm) perl(curry.pm) perl(lib.pm) perl(parent.pm) perl(strict.pm) perl(utf8.pm) perl(version.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.6.2
Release: alt1
Summary: Implementation of RESTful API
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/J/JD/JDEGUEST/%{module_name}-v%{version}.tar.gz
BuildArch: noarch

%description
The purpose of this module is to provide a powerful, yet simple framework to implement a RESTful API under Apache2 mod_perl.

%prep
%setup -q -n %{module_name}-v%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes LICENSE
%perl_vendor_privlib/N*

%changelog
