%define module_name Net-Async-Github
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Adapter/Async/OrderedList/Array.pm) perl(Cache/LRU.pm) perl(Dir/Self.pm) perl(ExtUtils/MakeMaker.pm) perl(File/ShareDir.pm) perl(File/ShareDir/Install.pm) perl(File/Spec.pm) perl(Future.pm) perl(IO/Async/Notifier.pm) perl(IO/Async/SSL.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(JSON/MaybeXS.pm) perl(Log/Any.pm) perl(Net/Async/HTTP.pm) perl(Net/Async/WebSocket.pm) perl(Path/Tiny.pm) perl(Ryu.pm) perl(Ryu/Async.pm) perl(Syntax/Keyword/Try.pm) perl(Template.pm) perl(Test/CheckDeps.pm) perl(Test/More.pm) perl(Time/Moment.pm) perl(URI.pm) perl(URI/Template.pm) perl(Variable/Disposition.pm) perl(indirect.pm) perl(namespace/clean.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.010
Release: alt1
Summary: support for L<https://github.com>'s REST API with L<IO::Async>
Group: Development/Perl
License: perl
URL: https://github.com/team-at-cpan/Net-Async-Github

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/T/TE/TEAM/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This is a basic wrapper for Github's API.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README LICENSE examples
%perl_vendor_privlib/N*
%perl_vendor_privlib/auto/*

%changelog
