%define module_name Net-Async-Redis
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Class/Method/Modifiers.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(Future.pm) perl(HTML/TreeBuilder.pm) perl(IO/Async.pm) perl(IO/Async/Loop/Epoll.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(List/Util.pm) perl(List/UtilsBy.pm) perl(Log/Any.pm) perl(Math/Random/Secure.pm) perl(Mixin/Event/Dispatch/Bus.pm) perl(Net/Async/HTTP.pm) perl(Path/Tiny.pm) perl(Ryu/Async.pm) perl(Syntax/Keyword/Try.pm) perl(Template.pm) perl(Test/CheckDeps.pm) perl(Test/Deep.pm) perl(Test/Fatal.pm) perl(Test/HexString.pm) perl(Test/More.pm) perl(URI.pm) perl(URI/redis.pm) perl(Variable/Disposition.pm) perl(curry.pm) perl(namespace/clean.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.014
Release: alt1
Summary: redis support for IO::Async
Group: Development/Perl
License: perl
URL: http://search.cpan.org/perldoc?Net-Async-Redis

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/T/TE/TEAM/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
From summary: %summary

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes LICENSE examples
%perl_vendor_privlib/N*

%changelog
