%define module_name Net-Azure-EventHubs
%define _without_test 1
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(Class/Accessor/Lite.pm) perl(HTTP/Message.pm) perl(HTTP/Request.pm) perl(JSON.pm) perl(LWP/Protocol/https.pm) perl(LWP/UserAgent.pm) perl(Module/Build/Tiny.pm) perl(Net/Azure/Authorization/SAS.pm) perl(Test/Exception.pm) perl(Test/More.pm) perl(Test/Time.pm) perl(Try/Tiny.pm) perl(URI.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.09
Release: alt1
Summary: A Client Class for Azure Event Hubs
Group: Development/Perl
License: perl
URL: https://github.com/ytnobody/p5-Net-Azure-EventHubs

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/Y/YT/YTURTLE/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Net::Azure::EventHubs is a cliant class for Azure Event Hubs.

If you want to know more information about Azure Event Hubs, please see https://msdn.microsoft.com/en-us/library/azure/mt652157.aspx. 

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE Changes README.md
%perl_vendor_privlib/N*

%changelog
