# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(CGI.pm) perl(ExtUtils/MakeMaker.pm) perl(Socket.pm) perl(Test/More.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define upstream_name    Net-Bonjour
%define upstream_version 0.96

Name:       perl-%{upstream_name}
Version:    %{upstream_version}
Release:    alt2_10

Summary:    Module for DNS service discovery ( Zeroconf )
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    http://search.cpan.org/CPAN/authors/id/C/CH/CHLIGE//%{upstream_name}-%{upstream_version}.tar.bz2
Patch1:     0.96-fix-failing-tests.patch

BuildRequires:  perl(Net/DNS.pm)
BuildArch:  noarch


Obsoletes: perl-Net-Rendezvous < 0.90
Provides:  perl-Net-Rendezvous = %{version}
Source44: import.info

%description
Net::Bonjour is a set of modules that allow one to discover local services
via multicast DNS (mDNS) or enterprise services via traditional DNS. This
method of service discovery has been branded as Rendezvous ( now Bonjour ) by
Apple Computer.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%patch1 -p1


%build
yes y | /usr/bin/perl Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%makeinstall_std
rm -rf $RPM_BUILD_ROOT/%{perl_vendor_archlib}

%files
%doc ChangeLog README
%{perl_vendor_privlib}/*


%changelog
