%define module_name Net-CLI-Interact
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Class/Load.pm) perl(Class/Mix.pm) perl(Config/Any.pm) perl(ExtUtils/CBuilder.pm) perl(File/Basename.pm) perl(File/ShareDir.pm) perl(FileHandle.pm) perl(IO/Pty.pm) perl(IPC/Run.pm) perl(List/Util.pm) perl(Log/Dispatch/Config.pm) perl(Log/Dispatch/Configurator/Any.pm) perl(Module/Build.pm) perl(Moo.pm) perl(Moo/Role.pm) perl(MooX/Types/MooseLike/Base.pm) perl(Net/Telnet.pm) perl(POSIX.pm) perl(Path/Class.pm) perl(Sub/Quote.pm) perl(Test/More.pm) perl(Time/HiRes.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 2.300003
Release: alt1
Summary: Toolkit for CLI Automation
Group: Development/Perl
License: perl
URL: https://github.com/ollyg/Net-CLI-Interact/wiki

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/O/OL/OLIVER/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
%summary

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README.md
%perl_vendor_privlib/N*
%perl_vendor_privlib/auto/*

%changelog
