%define module_name Net-Fritz-Phonebook
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(Data/Dumper.pm) perl(Encode.pm) perl(Encode/CN.pm) perl(Encode/JP.pm) perl(Encode/KR.pm) perl(Encode/TW.pm) perl(ExtUtils/MakeMaker.pm) perl(Filter/signatures.pm) perl(Moo.pm) perl(Net/CardDAVTalk.pm) perl(Net/CardDAVTalk/VCard.pm) perl(Net/Fritz.pm) perl(Net/Fritz/Box.pm) perl(PerlX/Maybe.pm) perl(Pod/Markdown.pm) perl(Pod/Usage.pm) perl(Test/More.pm) perl(URI/URL.pm) perl(XML/Simple.pm) perl(charnames.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.05
Release: alt1
Summary: manage the Fritz!Box phonebook from Perl
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/C/CO/CORION/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
my $fb = Net::Fritz::Box->new(
      username => $username,
      password => $password,
      upnp_url => $host,
  );
  my $device = $fb->discover;
  if( my $error = $device->error ) {
      die $error
  };

  my @phonebooks = Net::Fritz::Phonebook->list(device => $device);

This module uses the API exposed by the Fritz!Box via TR064 to read, create and
update contacts in a phone book. This uses the `X_AVM-DE_OnTel' service, which
is specific to the AVM Fritz!Box line of products.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE Changes README README.mkdn
%perl_vendor_privlib/N*

%changelog
