# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(FindBin.pm) perl(HTTP/Message.pm) perl(HTTP/Request.pm) perl(HTTP/Request/Common.pm) perl(List/Util.pm) perl(Net/Netrc.pm) perl(Pod/Usage.pm) perl(Test/Builder.pm) perl(Test/MockObject.pm) perl(Test/More.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define upstream_name    Net-Google-PicasaWeb
%define upstream_version 0.12

Name:       perl-%{upstream_name}
Version:    %{upstream_version}
Release:    alt2_9

Summary:    Use Google Picasa Web services from Perl
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(IO/Prompt.pm)
BuildRequires: perl(LWP/UserAgent.pm)
BuildRequires: perl(Moose.pm)
BuildRequires: perl(MooseX/Role/Matcher.pm)
BuildRequires: perl(Net/Google/AuthSub.pm)
BuildRequires: perl(Test/Able.pm)
BuildRequires: perl(Test/Able/Runner.pm)
BuildRequires: perl(Test/Mock/LWP.pm)
BuildRequires: perl(URI.pm)
BuildRequires: perl(XML/Twig.pm)
BuildArch: noarch
Source44: import.info

%description
This defines some common tools available to many of the classes included
with the Net::Google::PicasaWeb manpage.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc README AUTHORS Changes LICENSE META.yml
%perl_vendor_privlib/*
/usr/bin/picasa
/usr/bin/picasa-get
/usr/bin/picasa-list
/usr/share/man/man1/picasa-get.1*
/usr/share/man/man1/picasa-list.1*
/usr/share/man/man1/picasa.1*



%changelog
