%define module_name Net-IMP
# BEGIN SourceDeps(oneline):
BuildRequires: perl(AnyEvent.pm) perl(AnyEvent/Socket.pm) perl(Digest/MD5.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(Hash/Util.pm) perl(Net/Inspect/Debug.pm) perl(Net/Inspect/L2/Pcap.pm) perl(Net/Inspect/L3/IP.pm) perl(Net/Inspect/L4/TCP.pm) perl(Net/Inspect/L4/UDP.pm) perl(Net/Pcap.pm) perl(Net/PcapWriter.pm) perl(Net/SSLeay.pm) perl(Scalar/Util.pm) perl(Socket.pm) perl(Storable.pm) perl(Time/HiRes.pm) perl(base.pm) perl(fields.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.635
Release: alt1
Summary: Inspection and Modification Protocol to interface with proxies, IDS...
Group: Development/Perl
License: perl
URL: https://github.com/noxxi/p5-net-imp

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/S/SU/SULLR/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
IMP is a protocol for inspection, modification and rejection of data between
two sides (client and server) using an analyzer implementing this interface.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build INSTALLMAN1DIR=%_man1dir

%install
%perl_vendor_install

%files
%doc README Changes COPYRIGHT
%perl_vendor_privlib/N*

%changelog
