%define module_name Net-IPAM-Tree
# BEGIN SourceDeps(oneline):
BuildRequires: perl(List/MoreUtils.pm) perl(Module/Build.pm) perl(Net/IPAM/Block.pm) perl(Net/IPAM/IP.pm) perl(Scalar/Util.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 3.00
Release: alt1
Summary: A CIDR/Block tree library for fast IP lookup with longest-prefix-match.
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/G/GA/GAISSMAI/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
A module for fast IP-routing-table lookups and IP-ACLs (Access Control Lists).

It is NOT a standard patricia-trie implementation.
This isn't possible for general blocks not represented by bitmasks, every tree item is a Net::IPAM::Block.

The complexity for tree operations is in worst case O(h * log n) with h <= 128 (IPv6) or h <=32 (IPv4).

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes LICENSE
%perl_vendor_privlib/N*

%changelog
