%define _unpackaged_files_terminate_build 1
%define module Net-Interface

Name: perl-%module
Version: 1.016
Release: alt5
Packager: Sergey Y. Afonin <asy@altlinux.ru>

Summary: Perl extension to access network interfaces
License: perl
Group: Development/Perl

Url: %CPAN %module
Source: http://www.cpan.org/authors/id/M/MI/MIKER/Net-Interface-%{version}.tar.gz

Patch100: Net-Interface-1.012-overflow.patch

# Automatically added by buildreq on Tue Oct 11 2011
BuildRequires: perl-devel

%description
Net::Interface is a module that allows access to the host
network interfaces in a manner similar to ifconfig(8).

%prep
%setup -q -n %module-%version

%patch100 -p0

if [ %version = 1.016 ]; then
	# need a patch to fix buffer overflow
	rm -rf t
fi

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README* Changes
%perl_vendor_archlib/Net*
%perl_vendor_autolib/Net*

%changelog
