# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Exporter.pm) perl(Socket.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define	module	Net-Kismet

Summary:	Net::Kismet perl module
Name:		perl-%{module}
Version:	0.04
Release:	alt2_16
License:	GPL
Group:		Development/Perl
Requires:	perl
BuildRequires:	perl-devel

URL:		http://www.kismetwireless.net/
Source:		%{module}-%{version}.tar.bz2
BuildArch:	noarch
Source44: import.info

%description
A perl module to make writing Kismet clients in perl much simpler.

%prep
%setup -q -n %{module}-%{version}

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std

%files
%doc README MANIFEST Changes
%{perl_vendor_privlib}/Net/*

%changelog
