%define module_version 0.14
%define module_name Net-LibNIDS
# BEGIN SourceDeps(oneline):
BuildRequires: glib2-devel libnet2-devel libnids-devel libpcap-devel perl(Config.pm) perl(Exporter.pm) perl(ExtUtils/Constant.pm) perl(ExtUtils/MakeMaker.pm) perl(Socket.pm) perl(Test/More.pm) perl(Text/ParseWords.pm) perl(XSLoader.pm) perl(Devel/CheckLib.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.14
Release: alt6
Summary: Perl extension for reassembly of TCP/IP streams using the libnids package
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/E/ED/EDECA/%module_name-%module_version.tar.gz

%description
The workflow of using libnids is to set all parameters, then call init, set up a callback then run.


%prep
%setup -n %module_name-%module_version
rm inc/Devel/CheckLib.pm
rm t/3.t

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_archlib/N*
%perl_vendor_autolib/*

%changelog
