# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/protoc gcc-c++ perl(AutoLoader.pm) perl(DynaLoader.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) pkgconfig(protobuf)
# END SourceDeps(oneline)
%define module_name Net-NATS-Streaming-PB
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.06
Release: alt6
Summary: Perl interface to NATS Streaming Google's Protocol Buffers
Group: Development/Perl
License: apache
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/S/SK/SKOLYCHEV/%{module_name}-%{version}.tar.gz
Patch: Net-NATS-Streaming-PB-0.06-fix-cflags.patch

%description
Net::NATS::Streaming::PB::Ack defines the following classes:

=over 5

=item `Net::NATS::Streaming::PB::Ack'

A wrapper around the Net.NATS.Streaming.PB.Ack message


=back

%prep
%setup -q -n %{module_name}-%{version}
%patch -p1

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_archlib/N*
%perl_vendor_autolib/*

%changelog
