%define module_name Net-OAuth2Server-OIDC
# BEGIN SourceDeps(oneline):
BuildRequires: perl(CPAN/Meta.pm) perl(Carp.pm) perl(Class/Method/Modifiers.pm) perl(Digest/SHA.pm) perl(JSON/WebToken.pm) perl(MIME/Base64.pm) perl(Pod/Readme/Brief.pm) perl(Role/Tiny.pm) perl(Software/LicenseUtils.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.005
Release: alt1
Summary: An OpenID Connect server on top of Net::OAuth2Server
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/A/AR/ARISTOTLE/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
A usable but tiny implementation of OpenID Connect.

This is also a demonstration of the the Net::OAuth2Server manpage design.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README LICENSE
%perl_vendor_privlib/N*

%changelog
