%define module_name Net-OAuth2Server-PKCE
# BEGIN SourceDeps(oneline):
BuildRequires: perl(CPAN/Meta.pm) perl(Carp.pm) perl(Class/Method/Modifiers.pm) perl(Data/Dumper.pm) perl(Digest/SHA.pm) perl(Net/OAuth2Server/Request/Authorization.pm) perl(Net/OAuth2Server/Request/Token/AuthorizationCode.pm) perl(Pod/Readme/Brief.pm) perl(Role/Tiny.pm) perl(Software/LicenseUtils.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.003
Release: alt1
Summary: A PKCE extension for Net::OAuth2Server
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/A/AR/ARISTOTLE/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
A simple implementation of PKCE.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE README Changes
%perl_vendor_privlib/N*

%changelog
