%define module_name Net-OBS-Client
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Config/INI/Reader.pm) perl(Config/Tiny.pm) perl(ExtUtils/MakeMaker.pm) perl(FindBin.pm) perl(HTTP/Cookies.pm) perl(HTTP/Request.pm) perl(LWP/ConsoleLogger/Easy.pm) perl(LWP/UserAgent.pm) perl(Moose.pm) perl(Moose/Role.pm) perl(Path/Class.pm) perl(Test/HTTP/MockServer.pm) perl(Test/More.pm) perl(URI/URL.pm) perl(XML/Parser.pm) perl(XML/Structured.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.0.8
Release: alt1
Summary: simple OBS API calls
Group: Development/Perl
License: artistic_2
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/F/FS/FSM/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Net::OBS::Client aims to simplify usage of OBS (https://openbuildservice.org) API calls in perl.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/N*

%changelog
