%define module_version 0.04
%define module_name Net-OnlineCode
# BEGIN SourceDeps(oneline):
BuildRequires: libsowing-devel perl(Config.pm) perl(Digest/SHA.pm) perl(Exporter.pm) perl(ExtUtils/CBuilder.pm) perl(ExtUtils/MakeMaker.pm) perl(Fcntl.pm) perl(Module/Build.pm) perl(Test/More.pm) perl(XSLoader.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.04
Release: alt5
Summary: A rateless forward error correction scheme
Group: Development/Perl
License: open_source
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/D/DM/DMALONE/%{module_name}-004/Net-OnlineCode-%{module_version}.tar.gz

%description
This module implements the common functions required for the.the Net::OnlineCode::Encoder manpage and the Net::OnlineCode::Decoder manpage modules.
Apart from the two xor library routines shown above, there are no
other user-callable methods or functions.

The remainder of this document will give a brief overview of the
Online Code algorithms. For a programmer's view of how to use this
collection of modules, refer to the man pages for the
Encoder and
Decoder modules.


%prep
%setup -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc RELEASES TODO README LICENSE
%perl_vendor_archlib/N*
%perl_vendor_autolib/*

%changelog
