# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(Data/Dumper.pm) perl(Digest/SHA.pm) perl(ExtUtils/MakeMaker.pm) perl(Filter/signatures.pm) perl(Getopt/Long.pm) perl(Moo.pm) perl(POSIX.pm) perl(Pod/Markdown.pm) perl(Pod/Usage.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define module_name Net-Protocol-OBSRemote
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.01
Release: alt1
Summary: event-loop agnostic protocol to control OBS via the WebSocket plugin
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/C/CO/CORION/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
my $protocol = Net::Protocol::OBSRemote->new();
    my $message = $protocol->GetVersion();

    my $result = $obs_connection->send_message( $message );

See the Mojo::OBS::Client manpage for a Mojolicious implementation. This module merely
abstracts constructing the messages.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README LICENSE Changes README.mkdn
%perl_vendor_privlib/N*

%changelog
