%define module_name Net-PublicSuffixList
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Basename.pm) perl(File/Path.pm) perl(File/Spec/Functions.pm) perl(Mojolicious.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.501
Release: alt1
Summary: The Mozilla Public Suffix List
Group: Development/Perl
License: artistic_2
URL: https://github.com/briandfoy/net-publicsuffixlist

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/B/BD/BDFOY/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
I mostly wrote this because I was working on the App::url manpage and needed a
way to figure out which part of a URL was the registered part and with
was the top-level domain.

The Public Suffix List is essentially a self-reported collection of the
top-level, generic, country code, or whatever domains.

=over 4

=item new

Create the new object and specify how you'd like to get the data. The
network file is about 220Kb, so you might want to fetch it once, store
it, and then use `local_path' to use it.

The constructor first tries to use a local file. If you've disabled
that with `no_local' or the file doesn't exist, it moves on to trying
the network. If you've disabled the network with `no_net', then it
complains but still returns the object. You can still construct your
own list with `add_suffix'.

Possible keys:

_list_url    # the URL for the suffix list
_local_path  # the path to a local file that has the suffix list
_no_net      # do not use the network
_no_local    # do not use a local file
_cache_dir   # location to save the fetched file

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.pod LICENSE Changes examples
%perl_vendor_privlib/N*

%changelog
