Group: Development/Perl
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-Net-SCP
Version:        0.08
Release:        alt2_37
Summary:        Perl extension for secure copy protocol
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Net-SCP
Source0:        https://cpan.metacpan.org/authors/id/I/IV/IVAN/Net-SCP-%{version}.tar.gz
BuildArch:      noarch
# Build
BuildRequires:  coreutils
BuildRequires:  perl-devel
BuildRequires:  rpm-build-perl
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
# Runtime
BuildRequires:  perl(Carp.pm)
BuildRequires:  perl(Exporter.pm)
BuildRequires:  perl(File/Basename.pm)
BuildRequires:  perl(IO/Handle.pm)
BuildRequires:  perl(IPC/Open3.pm)
BuildRequires:  perl(Net/SSH.pm)
BuildRequires:  perl(strict.pm)
BuildRequires:  perl(String/ShellQuote.pm)
BuildRequires:  perl(vars.pm)
# Tests only
# -
Requires:       openssh-clients
Source44: import.info

%description
This module implements a Perl interface to scp.

%prep
%setup -q -n Net-SCP-%{version}
chmod 644 -c Changes README SCP.pm

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
%make_build

%install
make pure_install DESTDIR=%{buildroot}
# %{_fixperms} %{buildroot}/*

%check
make test

%files
%doc Changes README
%{perl_vendor_privlib}/*

%changelog
