%define module_name Net-SSL-ExpireDate
# BEGIN SourceDeps(oneline):
BuildRequires: perl(CPAN.pm) perl(Class/Accessor.pm) perl(Crypt/OpenSSL/X509.pm) perl(Date/Parse.pm) perl(DateTime.pm) perl(DateTime/Duration.pm) perl(ExtUtils/CBuilder.pm) perl(ExtUtils/MakeMaker.pm) perl(Filter/Util/Call.pm) perl(IO/Socket.pm) perl(JSON.pm) perl(LWP/Simple.pm) perl(Module/Build.pm) perl(Net/FTP.pm) perl(Parse/CPAN/Meta.pm) perl(Pod/Usage.pm) perl(Regexp/Common.pm) perl(Test/Deep.pm) perl(Text/Diff.pm) perl(Time/Duration/Parse.pm) perl(UNIVERSAL/require.pm) perl(URI/Escape.pm) perl(YAML.pm) perl(YAML/Tiny.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.21
Release: alt1
Summary: obtain expiration date of certificate
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/H/HI/HIROSE/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Net::SSL::ExpireDate get certificate from network (SSL) or local
file and obtain its expiration date.


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.md Changes
%perl_vendor_privlib/N*

%changelog
