%define module_name Net-SecurityCenter
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(HTTP/Cookies.pm) perl(HTTP/Daemon.pm) perl(HTTP/Request/Common.pm) perl(IO/Socket/SSL.pm) perl(IO/Uncompress/Unzip.pm) perl(JSON.pm) perl(LWP/UserAgent.pm) perl(Params/Check.pm) perl(Pod/Usage.pm) perl(Term/ReadKey.pm) perl(Test/More.pm) perl(Time/Piece.pm) perl(parent.pm) perl(version.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.310
Release: alt1
Summary: Perl interface to Tenable SecurityCenter REST API
Group: Development/Perl
License: artistic_2
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/G/GD/GDT/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This module provides Perl scripts easy way to interface the REST API of Tenable
SecurityCenter.

For more information about the SecurityCenter REST API follow the online documentation:

https://docs.tenable.com/sccv/api/index.html

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %EVR

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE README.md Changes INSTALL.md
%perl_vendor_privlib/N*
%perl_vendor_privlib/A*

%files scripts
%_man1dir/*
%_bindir/*

%changelog
