# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp/Clan.pm) perl(Data/Perl/Code.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(HTTP/CookieJar.pm) perl(HTTP/Thin.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(JSON.pm) perl(List/Util.pm) perl(Moo.pm) perl(Pod/Coverage/TrustPod.pm) perl(Role/REST/Client.pm) perl(Test/CPAN/Changes.pm) perl(Test/CPAN/Meta.pm) perl(Test/CPAN/Meta/JSON.pm) perl(Test/EOL.pm) perl(Test/Kwalitee.pm) perl(Test/MinimumVersion.pm) perl(Test/Mojibake.pm) perl(Test/More.pm) perl(Test/NoTabs.pm) perl(Test/Perl/Critic.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(Test/Synopsis.pm) perl(Test/Version.pm) perl(Test2/V0.pm) perl(Type/Tiny.pm)
# END SourceDeps(oneline)
%define module_name Net-Silverpeak-Orchestrator
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.001002
Release: alt1
Summary: Silverpeak Orchestrator REST API client library
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/A/AB/ABRAXXA/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This module is a client library for the Silverpeak Orchestrator REST API.
Currently it is developed and tested against version 9.0.2.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README LICENSE
%perl_vendor_privlib/N*

%changelog
