%define module_name Net-Songkick
# BEGIN SourceDeps(oneline):
BuildRequires: perl(DateTime.pm) perl(DateTime/Format/Strptime.pm) perl(HTTP/Response.pm) perl(JSON.pm) perl(LWP/UserAgent.pm) perl(Module/Build.pm) perl(Moose.pm) perl(Test/LWP/UserAgent.pm) perl(URI.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.0.7
Release: alt1
Summary: Perl wrapper for the Songkick API
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/D/DA/DAVECROSS/%{module_name}-v%{version}.tar.gz
BuildArch: noarch

%description
%summary

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %{?epoch:%epoch:}%name = %version-%release

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-v%{version}

%build
%perl_vendor_build --install_path bindoc=%_man1dir

%install
%perl_vendor_install

%files
%doc README ChangeLog
%perl_vendor_privlib/N*

%files scripts
%_bindir/*

%changelog
