Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-Net-Telnet-Cisco
Version:        1.11
Release:        alt2_12
Summary:        Interact with a Cisco router
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Net-Telnet-Cisco
Source0:        https://cpan.metacpan.org/modules/by-module/Net/Net-Telnet-Cisco-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  rpm-build-perl
BuildRequires:  perl-devel
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
# Run-time
BuildRequires:  perl(AutoLoader.pm)
BuildRequires:  perl(Carp.pm)
BuildRequires:  perl(Net/Telnet.pm)
BuildRequires:  perl(strict.pm)
BuildRequires:  perl(vars.pm)
BuildRequires:  perl(warnings.pm)
# Tests
BuildRequires:  perl(Test.pm)
BuildRequires:  perl(Test/Simple.pm)
Source44: import.info

%description
This module provides additional functionality to Net::Telnet for dealing with
Cisco routers.

%prep
%setup -q -n Net-Telnet-Cisco-%{version}

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
%make_build

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
# %{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc Changes README TODO
%{perl_vendor_privlib}/*

%changelog
