%define module_name Net-WebSocket
Epoch: 1
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Call/Context.pm) perl(Compress/Raw/Zlib.pm) perl(Digest/SHA1.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Slurp.pm) perl(File/Temp.pm) perl(FindBin.pm) perl(HTTP/Headers/Util.pm) perl(IO/Events.pm) perl(IO/Framed.pm) perl(IO/Pty.pm) perl(IO/Select.pm) perl(IO/SigGuard.pm) perl(IO/Socket/SSL.pm) perl(MIME/Base64.pm) perl(Module/Runtime.pm) perl(Test/Deep.pm) perl(Test/Exception.pm) perl(Test/FailWarnings.pm) perl(Test/Fatal.pm) perl(Test/More.pm) perl(Text/Control.pm) perl(Time/HiRes.pm) perl(Try/Tiny.pm) perl(URI/Split.pm) perl(X/Tiny.pm) perl(autodie.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.23
Release: alt1
Summary: WebSocket in Perl
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/F/FE/FELIPE/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This distribution provides a set of fundamental tools for communicating via
https://tools.ietf.org/html/rfc6455.
It is only concerned with the protocol itself;
the underlying transport mechanism is up to you: it could be a file,
a UNIX socket, ordinary TCP/IP, or whatever.

As a result of this .e'bare-bones.e' approach, Net::WebSocket can probably
fit your needs; however, it won.e't absolve you of the need to know the
WebSocket protocol itself. It also doesn.e't do I/O for you, but there are some
examples
of using the IO::Select manpage for this in the distribution.e's `demo/' directory.

Net::WebSocket is not a .e'quick-and-cheap.e' WebSocket solution; rather,
it attempts to support the protocol.eiand only that protocol.eias
completely, usefully, and flexibly as possible.
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README.md LICENSE
%perl_vendor_privlib/N*

%changelog
