%define dist Net-Z3950-ZOOM
Name: perl-%dist
Version: 1.30
Release: alt5

Summary: Perl extension implementing the ZOOM API for Information Retrieval
License: GPL or Artistic
Group: Development/Perl

URL: %CPAN %dist
# Source-url: http://search.cpan.org/CPAN/authors/id/M/MI/MIRK/Net-Z3950-ZOOM-%version.tar.gz
Source: %dist-%version.tar.gz

# Automatically added by buildreq on Sun Oct 09 2011 (-bi)
BuildRequires: libssl-devel libyaz-devel perl-MARC-Record perl-XML-LibXML perl-devel

BuildRequires: libyaz-devel >= 4.0.0

%description
This distribution contains three Perl modules for the price of one.
They all provide facilities for building information retrieval clients
using the standard Z39.50 and SRW/U protocols, but do so using
different APIs.

%prep
%setup -n %dist-%version

%ifdef __BTE
# disable network-dependent tests
grep -lZ connect t/*.t |xargs -r0 rm -v
%endif

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%_bindir/zselect
%_bindir/zoomdump
%_bindir/zoom-delete-records
%perl_vendor_archlib/Net
%perl_vendor_autolib/Net
%perl_vendor_archlib/ZOOM*

%changelog
