%filter_from_requires /^perl(attrs.pm)/d
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(AutoLoader.pm) perl(Benchmark.pm) perl(Carp.pm) perl(Config.pm) perl(Devel/CoreStack.pm) perl(DynaLoader.pm) perl(Exporter.pm) perl(FileHandle.pm) perl(IO/Handle.pm) perl(SelectSaver.pm) perl(Socket.pm) perl(Symbol.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define upstream_name       Net-ext
%define upstream_version    1.011

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%{upstream_version}
Release:	alt6_17
Summary:	Net-ext module for perl
License:	GPL or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source:		http://www.cpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz
# http://rt.cpan.org/Public/Bug/Display.html?id=43071
Patch:		Net-ext-fix-segfault.patch

BuildRequires:	perl-CPAN perl-Digest-SHA perl-Encode perl-Encode-devel perl-JSON-PP perl-Module-CoreList perl-Pod-Checker perl-Pod-Parser perl-Pod-Usage perl-devel
Source44: import.info
#BuildArch:	noarch


%description
Net-ext module for perl

%prep
%setup -q -n %{upstream_name}-%{upstream_version} 
%patch -p 1

%build
/usr/bin/perl Makefile.PL INSTALLMAN1DIR=%_man1dir INSTALLDIRS=vendor
%make

%check
make test

%install
%makeinstall_std

%files
%doc ChangeLog README
%{perl_vendor_archlib}/auto/Net
%{perl_vendor_archlib}/Net


%changelog
