%define module_name NetAddr-MAC
Epoch: 1
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(List/Util.pm) perl(Module/Build.pm) perl(Pod/Coverage/TrustPod.pm) perl(Pod/Wordlist.pm) perl(Test/CPAN/Meta.pm) perl(Test/EOL.pm) perl(Test/More.pm) perl(Test/NoBreakpoints.pm) perl(Test/NoTabs.pm) perl(Test/PAUSE/Permissions.pm) perl(Test/Perl/Critic.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(Test/Spelling.pm) perl(Test/Trap.pm) perl(base.pm) perl(constant.pm) perl(strict.pm) perl(vars.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.97
Release: alt1
Summary: Handles hardware MAC Addresses (EUI-48 and EUI-64)
Group: Development/Perl
License: perl
URL: https://github.com/djzort/NetAddr-MAC

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/D/DJ/DJZORT/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
%summary

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.md CONTRIBUTING LICENSE README Changes TODO CONTRIBUTORS examples
%perl_vendor_privlib/N*

%changelog
