%filter_from_requires /^perl.Number.Phone.UK.Data.pm./d
%define module_name Number-Phone
Epoch: 1
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Cwd.pm) perl(DBM/Deep.pm) perl(Data/Dumper/Concise.pm) perl(Devel/CheckOS.pm) perl(Digest/MD5.pm) perl(ExtUtils/Install.pm) perl(ExtUtils/MakeMaker.pm) perl(ExtUtils/Manifest.pm) perl(File/Basename.pm) perl(File/Find/Rule.pm) perl(File/ShareDir.pm) perl(File/ShareDir/Install.pm) perl(File/Spec.pm) perl(I18N/LangTags.pm) perl(I18N/LangTags/Detect.pm) perl(Parallel/ForkManager.pm) perl(Scalar/Util.pm) perl(Test/Differences.pm) perl(Test/More.pm) perl(Test/Warnings.pm) perl(Test/utf8.pm) perl(charnames.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 3.7003
Release: alt1
Summary: unknown
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/D/DC/DCANTRELL/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
In a sub-class ...

    package Number::Phone::UK;
    use base 'Number::Phone';

and to magically use the right subclass ...

    use Number::Phone;

    $daves_phone = Number::Phone->new('+442087712924');
    $daves_other_phone = Number::Phone->new('+44 7979 866 975');
    # alternatively      Number::Phone->new('+44', '7979 866 975');
    # or                 Number::Phone->new('UK', '07979 866 975');

    if($daves_phone->is_mobile()) {
        send_rude_SMS();
    }

in the example, the +44 is recognised as the country code for the UK,
so the appropriate country-specific module is loaded if available.

If you pass in a bogus country code not recognised by
Number::Phone::Country, the constructor will return undef.
%prep
%setup -q -n %{module_name}-%{version}
sed -i /Scalar::Util/s,1.48,0.0, Makefile.PL

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc TODO GPL2.txt Apache-2.0.txt CHANGELOG README.md ARTISTIC.txt
%perl_vendor_privlib/N*
%perl_vendor_privlib/auto/share/dist/N*

%changelog
