# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(Pod/Coverage/TrustPod.pm) perl(Test/More.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm)
# END SourceDeps(oneline)
%define module_name OPM-Validate
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.00
Release: alt1
Summary: Validate .opm files
Group: Development/Perl
License: perl
URL: https://github.com/perlservices/OPM-Validate

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PE/PERLSRVDE/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
*.opm* files are used as addons for the Znuny, OTOBO and
((OTRS)) Community Edition ticketing systems. They are XML files with specific XML tags.

This module checks if all needed XML tags are there.

Currently the error messages might be misleading, this is something we are working on.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README CONTRIBUTORS CONTRIBUTING.md Changes LICENSE
%perl_vendor_privlib/O*

%changelog
