Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Class/Accessor/Fast.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-Object-Tiny
Version:        1.09
Release:        alt2_9
Summary:        Class building as simple as it gets
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Object-Tiny
Source0:        https://cpan.metacpan.org/authors/id/E/ET/ETHER/Object-Tiny-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  rpm-build-perl
BuildRequires:  perl-devel
BuildRequires:  perl
BuildRequires:  perl(strict.pm)
BuildRequires:  perl(vars.pm)
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
# Tests:
BuildRequires:  perl(File/Spec.pm)
BuildRequires:  perl(Test/More.pm)


Source44: import.info

%description
To use Object::Tiny, just call it with a list of accessors to be created.
This will create a basic "new" constructor and a bunch of simple accessors,
and set the inheritance to be the child of Object::Tiny.

%prep
%setup -q -n Object-Tiny-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
%make_build

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
# %{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc --no-dereference LICENSE
%doc Changes CONTRIBUTING examples README
%{perl_vendor_privlib}/*

%changelog
