Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(CPAN.pm) perl(JSON.pm) perl(LWP/Simple.pm) perl(Module/Build.pm) perl(Net/FTP.pm) perl(Parse/CPAN/Meta.pm) perl(YAML/Tiny.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-Olson-Abbreviations
Version:        0.04
Release:        alt2_24
Summary:        Globally unique timezones abbreviation handling
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Olson-Abbreviations
Source0:        https://cpan.metacpan.org/authors/id/E/EC/ECARROLL/Olson-Abbreviations-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  findutils
BuildRequires:  perl-devel
BuildRequires:  rpm-build-perl
BuildRequires:  perl(inc/Module/Install.pm)
BuildRequires:  perl(Module/Install/AutoInstall.pm)
BuildRequires:  perl(Module/Install/Metadata.pm)
BuildRequires:  perl(Module/Install/WriteAll.pm)
BuildRequires:  perl(Moose.pm)
BuildRequires:  perl(MooseX/ClassAttribute.pm)
BuildRequires:  perl(namespace/autoclean.pm)
BuildRequires:  perl(strict.pm)
BuildRequires:  perl(Test/More.pm)
BuildRequires:  perl(warnings.pm)
BuildRequires:  sed
Requires:       perl(MooseX/ClassAttribute.pm) >= 0.250


Source44: import.info

%description
This module should help you with converting commonly used and often
ambigious olson abbreviations into TZ offset notation.

%prep
%setup -q -n Olson-Abbreviations-%{version}
# Remove bundled libraries
rm -r inc
sed -i -e '/^inc\// d' MANIFEST

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete

%check
make test

%files
%doc Changes README
%{perl_vendor_privlib}/*

%changelog
