# BEGIN SourceDeps(oneline):
BuildRequires: libGL-devel libsowing-devel perl(Devel/CheckOS.pm) perl(DynaLoader.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(OpenGL/Modern.pm) perl(Test/More.pm) perl(Time/HiRes.pm)
# END SourceDeps(oneline)
%define module_name OpenGL-Array
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.71
Release: alt4
Summary: Perl Array handling and conversion between Perl arrays and C array pointers.
Group: Development/Perl
License: perl
URL: http://sourceforge.net/projects/pogl/

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/C/CH/CHM/%{module_name}-%{version}.tar.gz

%description
OpenGL-Array version 0.71
============================

This is a stand-alone distribution of OpenGL::Array
(which includes OpenGL::Matrix).  All of these were
implicitly loaded whenever the Perl OpenGL module was use-d.

This module should be compatible with OpenGL::Array
and OpenGL::Matrix from Perl OpenGL version 0.70 and can
be used as a replacement for that functionality.

The separate release is to enable backwards and forwards
compatibility between the legacy OpenGL module functionality

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_archlib/O*
%perl_vendor_autolib/*

%changelog
