# BEGIN SourceDeps(oneline):
BuildRequires: libGL-devel libGLU-devel perl(Config.pm) perl(DynaLoader.pm) perl(Exporter.pm) perl(ExtUtils/Constant.pm) perl(ExtUtils/MakeMaker.pm) perl(Imager.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define module_version 0.03
%define module_name OpenGL-Simple
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.03
Release: alt6
Summary: Another interface to OpenGL
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/J/JC/JCHIN/%module_name-%module_version.tar.gz

%description
This module provides an interface to the OpenGL 3d graphics library; it 
binds the OpenGL functions and constants to Perl subroutines with a 
polymorphic interface. 

For instance, the twenty-four `glVertex*' functions are provided by a single
`glVertex' routine which dispatches to the correct routine based on the number
of arguments.


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_archlib/O*
%perl_vendor_autolib/*

%changelog
