%define module_name OpenMP-Environment
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(FindBin.pm) perl(Test/Exception.pm) perl(Test/More.pm) perl(Validate/Tiny.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.0.5
Release: alt2
Summary: Perl extension managing OpenMP variables in C<% ENV> within a script.
Group: Development/Perl
License: perl
URL: https://github.com/oodler577/p5-OpenMP-Environment

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/O/OO/OODLER/%{module_name}-%{version}.tar.gz

%description
Provides accessors for affecting the OpenMP/GOMP environmental
variables described at at the time of this writing, as:

There are setters, getters, and unsetters for all published OpenMP
(and GOMP) environmental variables, in additional to some utility
methods.

`The environment variables which beginning with OMP_ are defined
by section 4 of the OpenMP specification in version 4.5, while
those beginning with GOMP_ are GNU extensions.'

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README LICENSE Changes examples
%perl_vendor_privlib/O*

%changelog
