%define module_name OpenTracing
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(Math/Random/Secure.pm) perl(Scalar/Util.pm) perl(Test/CheckDeps.pm) perl(Test/Deep.pm) perl(Test/Fatal.pm) perl(Test/Files.pm) perl(Test/More.pm) perl(Test/Refcount.pm) perl(Test/Warnings.pm) perl(Time/HiRes.pm) perl(indirect.pm) perl(parent.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.004
Release: alt1
Summary: supporting for application process monitoring as defined by opentracing.io
Group: Development/Perl
License: perl
URL: https://github.com/team-at-cpan/OpenTracing

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/T/TE/TEAM/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This is an early implementation, so the API may be subject to change.

In general, you'll want to create an the OpenTracing::Batch manpage, then add one
or more the OpenTracing::Span manpage instances to it. Those instances can have zero
or more the OpenTracing::Log manpage entries.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes LICENSE
%perl_vendor_privlib/O*

%changelog
