%define module_name OpenTracing-Implementation-DataDog
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(Data/Perl/Role/Collection/Hash.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(ExtUtils/MakeMaker/CPANfile.pm) perl(HTTP/Request.pm) perl(HTTP/Response/Maker.pm) perl(Hash/Merge.pm) perl(JSON/MaybeXS.pm) perl(LWP/UserAgent.pm) perl(Moo.pm) perl(Moo/Role.pm) perl(MooX/Attribute/ENV.pm) perl(MooX/Enumeration.pm) perl(MooX/HandlesVia.pm) perl(MooX/Should.pm) perl(OpenTracing/GlobalTracer.pm) perl(OpenTracing/Implementation.pm) perl(OpenTracing/Role.pm) perl(PerlX/Maybe.pm) perl(Ref/Util.pm) perl(Role/Tiny/With.pm) perl(Sub/Trigger/Lock.pm) perl(Syntax/Feature/Maybe.pm) perl(Test/JSON.pm) perl(Test/MockModule.pm) perl(Test/Most.pm) perl(Test/OpenTracing/Interface.pm) perl(Test/URI.pm) perl(Try/Tiny.pm) perl(Type/Tiny/XS.pm) perl(Types/Common/String.pm) perl(Types/Interface.pm)
BuildRequires: perl(Types/Standard.pm) perl(aliased.pm) perl(syntax.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.43.1
Release: alt1
Summary: Sending traces to DataDog using Agent
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/V/VA/VANHOESEL/%{module_name}-v%{version}.tar.gz
BuildArch: noarch

%description
This `DataDog` implementation for 'OpenTracing' is fully compliant with the open
source definition of the OpenTracing::Interface manpage. 

This implementation connects to the `localhost' installed agent by default,
that listens to port `8126'. It recieves traces at the `/v0.3/traces'
endpoint.

%prep
%setup -q -n %{module_name}-v%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE.md CHANGES README.md examples
%perl_vendor_privlib/O*

%changelog
