%define module_name OpenTracing-Role
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(Data/GUID.pm) perl(Data/Perl/Role/Collection/Hash.pm) perl(Devel/StrictMode.pm) perl(ExtUtils/MakeMaker.pm) perl(ExtUtils/MakeMaker/CPANfile.pm) perl(Moo/Role.pm) perl(MooX/Enumeration.pm) perl(MooX/HandlesVia.pm) perl(MooX/ProtectedAttributes.pm) perl(MooX/Should.pm) perl(OpenTracing/Interface.pm) perl(OpenTracing/Types.pm) perl(Ref/Util.pm) perl(Role/Declare/Should.pm) perl(Role/Tiny/With.pm) perl(Sub/Trigger/Lock.pm) perl(Syntax/Feature/Maybe.pm) perl(Test/Deep.pm) perl(Test/Interface.pm) perl(Test/MockObject/Extends.pm) perl(Test/Most.pm) perl(Test/OpenTracing/Interface.pm) perl(Test/Time/HiRes.pm) perl(Test/Warn.pm) perl(Time/HiRes.pm) perl(Try/Tiny.pm) perl(Types/Common/Numeric.pm) perl(Types/Standard.pm) perl(Types/TypeTiny.pm) perl(syntax.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.85.0
Release: alt1
Summary: common attributes and methods for OpenTracing
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/V/VA/VANHOESEL/%{module_name}-v%{version}.tar.gz
BuildArch: noarch

%description
This package and related roles provide a set off attributes methods that will be
required by a OpenTracing compliant implementation. If these are missing, then
it may cause issues being compatible with other modules and or frameworks that
need the deeper voodoo magic inside Opentracing.

%prep
%setup -q -n %{module_name}-v%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE.md CHANGES README.md
%perl_vendor_privlib/O*

%changelog
