%define module_name Ouroboros
# BEGIN SourceDeps(oneline):
BuildRequires: perl(AutoLoader.pm) perl(Config.pm) perl(DynaLoader.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(FFI/Platypus.pm) perl(FFI/Raw.pm) perl(File/ShareDir.pm) perl(File/Slurp.pm) perl(File/Spec/Functions.pm) perl(FindBin.pm) perl(XSLoader.pm) perl(autodie.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.14
Release: alt3
Summary: Perl XS macros re-exported as C functions
Group: Development/Perl
License: open_source
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/V/VY/VYF/%{module_name}-%{version}.tar.gz

%description
libouroboros is a library of C functions wrapping XS macros. This package
provides pointers to these functions, so Perl programs can have access to
internal Perl methods (e.g. SvIV) at run-time. In combination with a JIT-
compiler it allows Perl programs to build XS-like subroutines completely at
run-time, without the need for a C compiler or a build environment.
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc COPYRIGHT Changes README.md libouroboros.txt
%perl_vendor_archlib/O*
%perl_vendor_autolib/*

%changelog
