Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(CGI.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-PDF-Create
Version:        1.46
Release:        alt2_6
Summary:        Create PDF files
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/PDF-Create
Source0:        https://cpan.metacpan.org/authors/id/M/MA/MANWAR/PDF-Create-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  coreutils
BuildRequires:  findutils
BuildRequires:  rpm-build-perl
BuildRequires:  perl-devel
BuildRequires:  perl(Carp.pm)
BuildRequires:  perl(Config.pm)
BuildRequires:  perl(Data/Dumper.pm)
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(File/Basename.pm)
BuildRequires:  perl(File/Share.pm)
BuildRequires:  perl(File/ShareDir/Install.pm)
BuildRequires:  perl(File/Spec.pm)
BuildRequires:  perl(File/Temp.pm)
BuildRequires:  perl(FileHandle.pm)
BuildRequires:  perl(integer.pm)
BuildRequires:  perl(JSON.pm)
BuildRequires:  perl(POSIX.pm)
BuildRequires:  perl(Scalar/Util.pm)
BuildRequires:  perl(strict.pm)
BuildRequires:  perl(Test/LeakTrace.pm)
BuildRequires:  perl(Test/More.pm)
BuildRequires:  perl(utf8.pm)
BuildRequires:  perl(warnings.pm)
Source44: import.info

%description
This module allows you to create PDF documents using a large number of
primitives, and emit the result as a PDF file or stream. PDF stands for
Portable Document Format.

Documents can have several pages, a table of content, an information section
and many other PDF elements. More functionalities will be added as needs arise.

Documents are constructed on the fly so the memory footprint is not tied to the
size of the pages but only to their number.

%prep
%setup -q -n PDF-Create-%{version}
chmod 644 eg/sample*

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
%make_build

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
# %{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc Changes pdf-logo.svg README eg/sample* eg/pdf-logo*
%{_bindir}/verify-char-width
%{perl_vendor_privlib}/*

%changelog
