# BEGIN SourceDeps(oneline):
BuildRequires: perl(CPAN/Uploader.pm) perl(ExtUtils/MakeMaker.pm) perl(FindBin.pm) perl(PDF/API2.pm) perl(PDF/Builder.pm) perl(Pod/Markdown/Github.pm) perl(Sub/Util.pm) perl(Text/QRCode.pm)
# END SourceDeps(oneline)
%define module_name PDF-QRCode
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.1.0
Release: alt1
Summary: Add QRCode method to PDF::API2
Group: Development/Perl
License: artistic_2
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/O/OE/OETIKER/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
The the PDF::QRCode manpage module monkey patches the 'qrcode' method into the
the PDF::API2::Content manpage or the PDF::Builder::Content manpage class, so that you can use it directly from there. See the example above
 

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE README.md CHANGES
%perl_vendor_privlib/P*

%changelog
