%define module_name PDL-Algorithm-Center
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(DDP.pm) perl(Data/Dump.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(Hash/Wrap.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(PDL.pm) perl(PDL/Core.pm) perl(PDL/GSL/RNG.pm) perl(PDL/Image2D.pm) perl(PDL/Lite.pm) perl(PDL/Transform.pm) perl(PDL/Ufunc.pm) perl(Package/Stash.pm) perl(Ref/Util.pm) perl(Safe/Isa.pm) perl(Scalar/Util.pm) perl(Test/More.pm) perl(Test2/API.pm) perl(Test2/Tools/Compare.pm) perl(Test2/V0.pm) perl(Try/Tiny.pm) perl(Type/Library.pm) perl(Type/Params.pm) perl(Type/Tiny.pm) perl(Type/Utils.pm) perl(Types/Common/Numeric.pm) perl(Types/PDL.pm) perl(Types/Standard.pm) perl(constant.pm) perl(custom/failures.pm) perl(custom/failures/x/alias.pm) perl(feature.pm) perl(latest.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.11
Release: alt1
Summary: Various methods of finding the center of a sample
Group: Development/Perl
License: gpl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/D/DJ/DJERIUS/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
`PDL::Algorithm::Center' is a collection of algorithms which
specialize in centering datasets.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README LICENSE Changes TODO README.mkdn CONTRIBUTING.md
%perl_vendor_privlib/P*

%changelog
