%define module_name PDL-FFTW3
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Config.pm) perl(DynaLoader.pm) perl(IPC/Run.pm) perl(List/Util.pm) perl(PDL.pm) perl(PDL/Core/Dev.pm) perl(PDL/PP.pm) pkgconfig(fftw3) pkgconfig(fftw3f)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.15
Release: alt2
Summary: PDL interface to the Fastest Fourier Transform in the West
Group: Development/Perl
License: gpl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/E/ET/ETJ/%{module_name}-%{version}.tar.gz

%description
This is a PDL binding to version 3 of the FFTW library. Supported are complex
<-> complex and real <-> complex FFTs.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE TODO Changes README.pod
%perl_vendor_archlib/P*
%perl_vendor_autolib/*

%changelog
