# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(PDL.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define module_name PDL-Graphics-ColorSpace
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.1.0
Release: alt3
Summary: PDL-Graphics-ColorSpace
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/M/MA/MAGGIEXYZ/%{module_name}-%{version}.tar.gz

%description
Does color space conversions such as RGB to XYZ and Lab to LCH. Derived from Graphics::ColorObject but since it's implemented in C and PDL, it runs *much* faster.


DEPENDENCIES

PDL

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install
rm -rf %{buildroot}none*

%files
%doc README Changes
%perl_vendor_archlib/auto/*
%perl_vendor_archlib/P*
%changelog
