%define module_name PGObject-Util-DBAdmin
Epoch: 1
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Capture/Tiny.pm) perl(DBD/Pg.pm) perl(DBI.pm) perl(ExtUtils/MakeMaker.pm) perl(Log/Any.pm) perl(Moo.pm) perl(Perl/Critic.pm) perl(Perl/Critic/Policy/Modules/RequireExplicitInclusion.pm) perl(Scope/Guard.pm) perl(Test/Exception.pm) perl(Test/More.pm) perl(namespace/clean.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.4.0
Release: alt1
Summary: PostgreSQL Database Management Facilities for 
Group: Development/Perl
License: bsd
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/E/EH/EHUELS/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This module provides an interface to the basic Postgres db manipulation 
utilities.

 my $db = PGObject::Util::DBAdmin->new(
    username => 'postgres', 
    password => 'mypassword',
    host     => 'localhost',
    port     => '5432',
    dbname   => 'mydb'
 );

 my @dbnames = $db->list_dbs(); # like psql -l

 $db->create(); # createdb
 $db->run_file(file => 'sql/initial_schema.sql'); # psql -f

 my $filename = $db->backup(format => 'c'); # pg_dump -Fc

 my $db2 = PGObject::Util::DBAdmin->new($db->export, (dbname => 'otherdb'));
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes ignore.txt
%perl_vendor_privlib/P*

%changelog
