%define module_name PLS
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Digest/SHA.pm) perl(Encode.pm) perl(ExtUtils/MakeMaker.pm) perl(Fcntl.pm) perl(File/stat.pm) perl(FindBin.pm) perl(Future.pm) perl(Future/Queue.pm) perl(Future/Utils.pm) perl(IO/Async.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(JSON/PP.pm) perl(List/Util.pm) perl(Module/CoreList.pm) perl(Module/Metadata.pm) perl(PPI.pm) perl(PPR.pm) perl(Path/Tiny.pm) perl(Perl/Critic.pm) perl(Perl/Tidy.pm) perl(Pod/Functions.pm) perl(Pod/Markdown.pm) perl(Pod/Simple/Search.pm) perl(Scalar/Util.pm) perl(Storable.pm) perl(Symbol.pm) perl(Time/Piece.pm) perl(Time/Seconds.pm) perl(URI.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.88
Release: alt1
Summary: Perl Language Server
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/M/MR/MREISNER/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
The Perl Language Server implements a subset of the Language Server Protocol
for the Perl language. Features currently implemented are:

=over

=item * Go to definition (for packages, subroutines, and variables)

=item * Listing all symbols in a document

=item * Hovering to show documentation

=item * Signature help (showing parameters for a function as you type)

=item * Formatting

=item * Range Formatting

=item * Auto-completion

=item * Syntax checking

=item * Linting (using perlcritic)

=item * Sorting imports

=back

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %EVR

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes LICENSE README.pod
%perl_vendor_privlib/P*

%files scripts
%_bindir/*

%changelog
