Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-POE-Component-Child
Version:        1.39
Release:        alt2_39
Summary:        Child management component for POE
License:        GPLv2+
URL:            https://metacpan.org/release/POE-Component-Child
Source0: https://cpan.metacpan.org/authors/id/E/EC/ECALDER/POE-Component-Child-%{version}.tar.gz
Patch0:         POE-Component-Child-rt70701.patch
BuildArch:      noarch
BuildRequires:  rpm-build-perl
BuildRequires:  perl(Carp.pm)
BuildRequires:  perl(Cwd.pm)
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(File/Temp.pm)
BuildRequires:  perl(POE.pm)
BuildRequires:  perl(POE/Driver/SysRW.pm)
BuildRequires:  perl(POE/Filter/Line.pm)
BuildRequires:  perl(POE/Filter/Stream.pm)
BuildRequires:  perl(POE/Wheel/Run.pm)
BuildRequires:  perl(strict.pm)
BuildRequires:  perl(Test/Simple.pm)
BuildRequires:  perl(vars.pm)
BuildRequires:  perl(warnings.pm)
Source44: import.info

%description
This POE component serves as a wrapper for POE::Wheel::Run, obviating
the need to create a session to receive the events it dishes out.

%prep
%setup -q -n POE-Component-Child-%{version}
%patch0 -p1

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -type f -name '*.bs' -a -size 0 -exec rm -f {} ';'
chmod -R u+w %{buildroot}/*

%check
make test

%files
%doc LICENSE Changes README
%{perl_vendor_privlib}/*

%changelog
