Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(LWP/Simple.pm) perl(Net/FTP.pm) perl(YAML.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-POE-Component-Client-LDAP
Version:        0.04        
Release:        alt3_39
Summary:        Async LDAP access for POE
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/POE-Component-Client-LDAP
Source0: https://cpan.metacpan.org/authors/id/H/HA/HACHI/POE-Component-Client-LDAP-%{version}.tar.gz
Patch0:         POE-Component-Client-LDAP-0.04-Fix-building-on-Perl-without-dot-in-INC.patch
BuildArch:      noarch
BuildRequires:  findutils
BuildRequires:  perl-devel
BuildRequires:  rpm-build-perl
BuildRequires:  perl(base.pm)
BuildRequires:  perl(Carp.pm)
BuildRequires:  perl(Config.pm)
BuildRequires:  perl(Convert/ASN1.pm)
BuildRequires:  perl(CPAN.pm)
BuildRequires:  perl(Cwd.pm)
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(ExtUtils/Manifest.pm)
BuildRequires:  perl(ExtUtils/MM_Unix.pm)
BuildRequires:  perl(File/Find.pm)
BuildRequires:  perl(File/Path.pm)
BuildRequires:  perl(File/Spec.pm)
BuildRequires:  perl(FindBin.pm)
BuildRequires:  perl(Module/Build.pm)
BuildRequires:  perl(Net/LDAP.pm)
BuildRequires:  perl(Net/LDAP/ASN.pm)
BuildRequires:  perl(Net/LDAP/Constant.pm)
BuildRequires:  perl(POE.pm)
BuildRequires:  perl(POE/Driver/SysRW.pm)
BuildRequires:  perl(POE/Filter/Stream.pm)
BuildRequires:  perl(POE/Wheel/Null.pm)
BuildRequires:  perl(POE/Wheel/ReadWrite.pm)
BuildRequires:  perl(POE/Wheel/SocketFactory.pm)
BuildRequires:  perl(strict.pm)
BuildRequires:  perl(Test/More.pm)
BuildRequires:  perl(vars.pm)
BuildRequires:  perl(warnings.pm)
BuildRequires:  dos2unix
Source44: import.info

%description
POE::Component::Client::LDAP->new() starts up a new POE::Session and
POE::Wheel to manage socket communications for an underlying Net::LDAP 
object, allowing it to be used in async mode properly within a POE program.

%prep
%setup -q -n POE-Component-Client-LDAP-%{version}
%patch0 -p1
# fix line endings...
dos2unix scripts/search.pl

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
chmod -R u+w %{buildroot}/*

%check
make test

%files
%doc Changes LICENSE README Todo scripts
%{perl_vendor_privlib}/*

%changelog
