Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-POE-Component-Resolver
Version:        0.921
Release:        alt2_21
Summary:        Non-blocking getaddrinfo() resolver
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/POE-Component-Resolver
Source0:        https://cpan.metacpan.org/authors/id/R/RC/RCAPUTO/POE-Component-Resolver-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl-devel
BuildRequires:  rpm-build-perl
BuildRequires:  perl(base.pm)
BuildRequires:  perl(bytes.pm)
BuildRequires:  perl(Carp.pm)
BuildRequires:  perl(Config.pm)
BuildRequires:  perl(Exporter.pm)
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(POE.pm)
BuildRequires:  perl(POE/Filter/Reference.pm)
BuildRequires:  perl(POE/Wheel/Run.pm)
BuildRequires:  perl(Scalar/Util.pm)
BuildRequires:  perl(Socket.pm)
BuildRequires:  perl(Storable.pm)
BuildRequires:  perl(strict.pm)
BuildRequires:  perl(Test/More.pm)
BuildRequires:  perl(Time/HiRes.pm)
BuildRequires:  perl(utf8.pm)
BuildRequires:  perl(warnings.pm)
Requires:       perl(POE.pm) >= 1.311
Requires:       perl(POE/Filter/Reference.pm)
Requires:       perl(POE/Wheel/Run.pm)
Requires:       perl(Socket.pm) >= 2.001
Requires:       perl(Storable.pm) >= 2.180
Requires:       perl(Time/HiRes.pm) >= 1.971.100






Source44: import.info
%filter_from_requires /:__requires_exclude\|}^perl(POE.pm)/d
%filter_from_requires /^perl(Socket.pm)/d
%filter_from_requires /^perl(Storable.pm)/d
%filter_from_requires /^perl(Time.HiRes.pm)/d

%description
POE::Component::Resolver performs Socket::GetAddrInfo::getaddrinfo() calls
in subprocesses where they're permitted to block as long as necessary.

%prep
%setup -q -n POE-Component-Resolver-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} +
# %{_fixperms} %{buildroot}/*

%check
# Remove resolver test which doesn't work in koji
rm -f t/01-basic.t
make test

%files
%doc CHANGES LICENSE README
%{perl_vendor_privlib}/*

%changelog
