Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Module/Build.pm) perl(Test/NoWarnings.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-POE-Component-Server-SOAP
Version:        1.14
Release:        alt2_34
Summary:        Publish POE event handlers via SOAP over HTTP
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/POE-Component-Server-SOAP
Source0:        https://cpan.metacpan.org/authors/id/A/AP/APOCAL/POE-Component-Server-SOAP-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl-devel
BuildRequires:  rpm-build-perl
BuildRequires:  perl(base.pm)
BuildRequires:  perl(Carp.pm)
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(POE.pm)
BuildRequires:  perl(POE/Component/Server/SimpleHTTP.pm)
BuildRequires:  perl(POE/Component/Server/SimpleHTTP/Response.pm)
BuildRequires:  perl(POE/Session.pm)
BuildRequires:  perl(SOAP/Constants.pm)
BuildRequires:  perl(SOAP/Lite.pm)
BuildRequires:  perl(strict.pm)
BuildRequires:  perl(Test/More.pm)
BuildRequires:  perl(vars.pm)
BuildRequires:  perl(warnings.pm)


Source44: import.info

%description
This module makes serving SOAP/1.1 requests a breeze in POE.

%prep
%setup -q -n POE-Component-Server-SOAP-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build
# fix a non-UTF-8 issue....
cd blib/man3

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} \;
# %{_fixperms} %{buildroot}/*

%check
make test

%files
%doc README Changes examples/ t/
%{perl_vendor_privlib}/*

%changelog
