%define module_name POSIX-RT-MQ
# BEGIN SourceDeps(oneline):
BuildRequires: perl(DynaLoader.pm) perl(ExtUtils/MakeMaker.pm) perl(Fcntl.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.05
Release: alt3
Summary: Perl interface for POSIX Message Queues
Group: Development/Perl
License: perl
URL: https://github.com/a6502/POSIX-RT-MQ

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/W/WI/WIEGEROP/%{module_name}-%{version}.tar.gz

%description
`POSIX::RT::MQ' provides an OO-style interface to the POSIX
message queues (`mq_open()' and friends), which are part of the
POSIX Realtime Extension. 

This documentation is not a POSIX message queues tutorial.
It describes mainly the syntax of Perl interface, please consult 
your operating system's manpages for general information on 
underlying calls. More references are listed in the SEE ALSO entry elsewhere in this document.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_archlib/P*
%perl_vendor_autolib/*

%changelog
