# BEGIN SourceDeps(oneline):
BuildRequires: perl(CPAN.pm) perl(Config.pm) perl(Devel/PPPort.pm) perl(Errno.pm) perl(Exporter.pm) perl(ExtUtils/MM_Unix.pm) perl(ExtUtils/MakeMaker.pm) perl(ExtUtils/Manifest.pm) perl(Fcntl.pm) perl(File/Basename.pm) perl(File/Find.pm) perl(File/Spec.pm) perl(File/Temp.pm) perl(JSON.pm) perl(Module/Build.pm) perl(Parse/CPAN/Meta.pm) perl(Test/More.pm) perl(Test/Requires.pm) perl(Time/HiRes.pm) perl(XSLoader.pm) perl(YAML/Tiny.pm) perl(base.pm) perl(if.pm) perl(inc/Module/Install.pm)
# END SourceDeps(oneline)
%define module_version 0.03
%define module_name POSIX-pselect
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.03
Release: alt6
Summary: Perl interface to pselect(2)
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/G/GF/GFUJI/%module_name-%module_version.tar.gz

%description
This is an interface to `pselect(2)'.

Note that we've made sure `pselect(2)' works atomically only in Linux.
Other operating systems like MacOSX don't support atomic `pselect(2)',
providing `pselect(3)' as a non-atomic implementation instead.


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_archlib/P*
%perl_vendor_autolib/*

%changelog
