Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(CPAN.pm) perl(LWP/Simple.pm) perl(Module/Build.pm) perl(Net/FTP.pm) perl(YAML/Tiny.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-PPI-PowerToys
Version:        0.14
Release:        alt2_33
Summary:        Handy collection of small PPI-based utilities
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/PPI-PowerToys
Source0:        https://cpan.metacpan.org/authors/id/A/AD/ADAMK/PPI-PowerToys-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  coreutils
BuildRequires:  rpm-build-perl
BuildRequires:  perl-devel
BuildRequires:  perl(inc/Module/Install/DSL.pm)
BuildRequires:  perl(Module/Install/Metadata.pm)
BuildRequires:  perl(Module/Install/Scripts.pm)
BuildRequires:  sed
# Run-time:
BuildRequires:  perl(File/Find/Rule.pm)
BuildRequires:  perl(File/Find/Rule/Perl.pm)
BuildRequires:  perl(File/Spec.pm)
BuildRequires:  perl(Getopt/Long.pm)
BuildRequires:  perl(PPI/Document.pm)
BuildRequires:  perl(strict.pm)
BuildRequires:  perl(vars.pm)
BuildRequires:  perl(version.pm)
BuildRequires:  perl(warnings.pm)
# Tests only:
BuildRequires:  perl(blib.pm)
BuildRequires:  perl(File/Spec/Functions.pm)
BuildRequires:  perl(IPC/Run3.pm)
BuildRequires:  perl(PPI.pm)
BuildRequires:  perl(Probe/Perl.pm)
BuildRequires:  perl(Test/More.pm)
BuildRequires:  perl(Test/Script.pm)

# Remove underspecified dependecies






Source44: import.info
%filter_from_requires /perl(File.Find.Rule.pm)/d
%filter_from_requires /perl(File.Find.Rule.Perl.pm)/d
%filter_from_requires /perl(File.Spec.pm)/d
%filter_from_requires /perl(Getopt.Long.pm)/d
%filter_from_requires /perl(PPI.Document.pm)/d
%filter_from_requires /perl(version.pm)/d

%description
The PPI PowerToys are a small collection of utilities for working with Perl
files, modules and distributions.

%prep
%setup -q -n PPI-PowerToys-%{version}
# Remove bundled libraries
rm -r inc
sed -i -e '/^inc\// d' MANIFEST

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
%make_build

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
# %{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc --no-dereference LICENSE
%doc Changes README
%{_bindir}/*
%{perl_vendor_privlib}/*

%changelog
