# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++ perl(Exporter.pm) perl(ExtUtils/Constant.pm) perl(ExtUtils/MakeMaker.pm) perl(Params/Util.pm) perl(XSLoader.pm)
# END SourceDeps(oneline)
%define module_version 0.03
%define module_name PPI-XS-Tokenizer
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.03
Release: alt6
Summary: C++ replaction for the PPI Tokenizer
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/S/SE/SEMUELF/%module_name-%module_version.tar.gz
BuildRequires: perl(ExtUtils/XSpp/Cmd.pm)

%description
This is a C++ port for the PPI Tokenizer, aimed to make it faster.
It build to be identical replacement, and as the are no user serviciable
parts in the original tokenizer, there are none here either.

This package is compatible with PPI version 1.213

The effort was seeded be the Padre - the Perl IDE project, mentored by
Adam Kennedy, the Perl-C++ binding was done by Steffen Mueller, and the
tokenizer itself was written by Shmuel Fomberg.


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc TODO Changes README
%perl_vendor_archlib/P*
%perl_vendor_autolib/*

%changelog
