Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(CPAN.pm) perl(Config.pm) perl(Cwd.pm) perl(Fcntl.pm) perl(File/Basename.pm) perl(File/Find.pm) perl(File/Spec.pm) perl(File/Temp.pm) perl(FileHandle.pm) perl(JSON.pm) perl(LWP/Simple.pm) perl(Module/Build.pm) perl(Net/FTP.pm) perl(Parse/CPAN/Meta.pm) perl(Socket.pm) perl(YAML/Tiny.pm) perl(base.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:       perl-PSGI 
Version:    1.102
Release:    alt2_23
# PSGI.pod
License:    CC-BY-SA
Summary:    Perl Web Server Gateway Interface Specification 
Source0:    https://cpan.metacpan.org/authors/id/M/MI/MIYAGAWA/PSGI-%{version}.tar.gz
URL:        https://metacpan.org/release/PSGI
BuildArch:  noarch

BuildRequires: coreutils
BuildRequires: perl-devel
BuildRequires: rpm-build-perl
BuildRequires: perl(inc/Module/Install.pm)
BuildRequires: perl(Module/Install/Metadata.pm)
BuildRequires: perl(Module/Install/Repository.pm)
BuildRequires: perl(Module/Install/WriteAll.pm)
BuildRequires: sed


Source44: import.info

%description
This document specifies a standard interface between web servers and Perl web
applications or frameworks, to promote web application portability and reduce
the duplicated efforts by web application framework developers.

%prep
%setup -q -n PSGI-%{version}
# Remove bundled modules
rm -r ./inc/*
sed -i -e '/^inc\//d' MANIFEST

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
%make_build

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
# %{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc Changes 
%{perl_vendor_privlib}/*

%changelog
