%define module_version 0.04
%define module_name PYX-GraphViz
# BEGIN SourceDeps(oneline):
BuildRequires: perl(App/pod2pdf.pm) perl(CPAN.pm) perl(Class/Utils.pm) perl(Config.pm) perl(Cwd.pm) perl(English.pm) perl(Error/Pure.pm) perl(Error/Pure/Utils.pm) perl(ExtUtils/MM_Unix.pm) perl(ExtUtils/MakeMaker.pm) perl(ExtUtils/Manifest.pm) perl(Fcntl.pm) perl(File/Basename.pm) perl(File/Find.pm) perl(File/Spec.pm) perl(File/Temp.pm) perl(FileHandle.pm) perl(GraphViz.pm) perl(JSON.pm) perl(LWP/Simple.pm) perl(Module/Build.pm) perl(Net/FTP.pm) perl(PYX/Parser.pm) perl(Parse/CPAN/Meta.pm) perl(Pod/Html.pm) perl(Pod/Man.pm) perl(Pod/Text.pm) perl(Socket.pm) perl(Test/More.pm) perl(Test/NoWarnings.pm) perl(YAML/Tiny.pm) perl(base.pm) perl(inc/Module/Install.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.04
Release: alt1
Summary: GraphViz output for PYX handling.
Group: Development/Perl
License: bsd
URL: https://github.com/tupinek/PYX-GraphViz

Source0: http://cpan.org.ua/authors/id/S/SK/SKIM/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
use PYX::GraphViz;
 my $obj = PYX::GraphViz->new(%%parameters);
 $obj->parse($pyx, $out);
 $obj->parse_file($input_file, $out);
 $obj->parse_handle($input_file_handler, $out);

%prep
%setup -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README LICENSE Changes examples
%perl_vendor_privlib/P*

%changelog
