%define module_name PYX-Hist
# BEGIN SourceDeps(oneline):
BuildRequires: perl(App/pod2pdf.pm) perl(CPAN.pm) perl(Capture/Tiny.pm) perl(Class/Utils.pm) perl(English.pm) perl(Error/Pure.pm) perl(Error/Pure/Utils.pm) perl(ExtUtils/CBuilder.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Object.pm) perl(IO/All.pm) perl(IO/CaptureOutput.pm) perl(JSON.pm) perl(LWP/Simple.pm) perl(List/Util.pm) perl(Module/Build.pm) perl(Net/FTP.pm) perl(PYX/Parser.pm) perl(Parse/CPAN/Meta.pm) perl(Pod/Markdown.pm) perl(Test/More.pm) perl(Test/NoWarnings.pm) perl(YAML/Tiny.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.05
Release: alt1
Summary: Processing PYX data or file and print histogram.
Group: Development/Perl
License: bsd
URL: https://github.com/michal-josef-spacek/PYX-Hist

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/S/SK/SKIM/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
use PYX::Hist;
 my $obj = PYX::Hist->new(%%parameters);
 $obj->parse($pyx, $out);
 $obj->parse_file($input_file, $out);
 $obj->parse_handle($input_file_handler, $out);


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README LICENSE Changes examples
%perl_vendor_privlib/P*

%changelog
