Group: Development/Perl
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:		perl-Package-Anon
Version:	0.05
Release:	alt11_29
Summary:	Anonymous packages
License:	GPL+ or Artistic
URL:		https://metacpan.org/release/Package-Anon
Source0:	https://cpan.metacpan.org/authors/id/A/AU/AUGGY/Package-Anon-%{version}.tar.gz
# Build
BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	gcc
BuildRequires:	perl-devel
BuildRequires:	perl-devel
BuildRequires:	rpm-build-perl
BuildRequires:	perl(ExtUtils/MakeMaker.pm)
# Module
BuildRequires:	perl-devel >= 5.14
BuildRequires:	perl(Scalar/Util.pm)
BuildRequires:	perl(strict.pm)
BuildRequires:	perl(warnings.pm)
BuildRequires:	perl(XSLoader.pm)
# Test suite
BuildRequires:	perl(FindBin.pm)
BuildRequires:	perl(lib.pm)
BuildRequires:	perl(overload.pm)
BuildRequires:	perl(Sub/Exporter.pm)
BuildRequires:	perl(Test/More.pm)
# Release tests
BuildRequires:	perl(Pod/Coverage/TrustPod.pm)
BuildRequires:	perl(Test/EOL.pm)
BuildRequires:	perl(Test/NoTabs.pm)
BuildRequires:	perl(Test/Pod/Coverage.pm)
BuildRequires:	perl(Test/Pod.pm)

# Avoid private object provides

Source44: import.info

%description
This module allows for anonymous packages that are independent of the main
namespace and only available through an object instance, not by name.

%prep
%setup -q -n Package-Anon-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
%make_build

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
find %{buildroot} -type f -name '*.bs' -empty -delete
# %{_fixperms} %{buildroot}

%check
make test RELEASE_TESTING=1

%files
%doc --no-dereference LICENSE
%doc Changes README
%{perl_vendor_archlib}/auto/Package/
%{perl_vendor_archlib}/Package/

%changelog
