%define module_name Parallel-Pipes
# BEGIN SourceDeps(oneline):
BuildRequires: perl(IO/Handle.pm) perl(IO/Select.pm) perl(Module/Build/Tiny.pm) perl(Storable.pm) perl(Test/More.pm) perl(Test/Pod.pm) perl(Time/HiRes.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.005
Release: alt1
Summary: parallel processing using pipe(2) for communication and synchronization
Group: Development/Perl
License: perl
URL: https://github.com/skaji/Parallel-Pipes

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/S/SK/SKAJI/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
THIS IS EXPERIMENTAL.

Parallel processing is essential, but it is also difficult:

=over 4

=item How can we synchronize our workers?

More precisely, how to detect our workers are ready or finished.

=item How can we communicate with our workers?

More precisely, how to collect results of tasks.

=back

Parallel::Pipes tries to solve these problems with `pipe(2)' and `select(2)'.

the App::cpm manpage, a fast CPAN module installer, uses Parallel::Pipes.
Please look at App::cpm
or eg directory for real world usages.

=for html
<a href="https://raw.githubusercontent.com/skaji/Parallel-Pipes/master/author/image.png"><img src="https://raw.githubusercontent.com/skaji/Parallel-Pipes/master/author/image.png" alt="image" style="max-width:100%%;"></a>
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README LICENSE
%perl_vendor_privlib/P*

%changelog
