Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Test/InDistDir.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-Parse-CPAN-Packages
Version:        2.40
Release:        alt2_19
Summary:        Parse 02packages.details.txt.gz
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Parse-CPAN-Packages
Source0:        https://cpan.metacpan.org/authors/id/M/MI/MITHALDU/Parse-CPAN-Packages-%{version}.tar.gz
Patch0:         Parse-CPAN-Packages-2.40-Test::InDistDir.patch
BuildArch:      noarch
# Module Build
BuildRequires:  rpm-build-perl
BuildRequires:  perl-devel
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(strict.pm)
BuildRequires:  perl(warnings.pm)
# Module Runtime
BuildRequires:  perl(Archive/Peek.pm)
BuildRequires:  perl(Compress/Zlib.pm)
BuildRequires:  perl(CPAN/DistnameInfo.pm)
BuildRequires:  perl(File/Slurp.pm)
BuildRequires:  perl(Moo.pm)
BuildRequires:  perl(Path/Class.pm)
BuildRequires:  perl(PPI.pm)
BuildRequires:  perl(Types/Standard.pm)
BuildRequires:  perl(version.pm)
# Test Suite
# perl(Test::InDistDir) dependency patched out
BuildRequires:  perl(Test/More.pm)
Source44: import.info
# Runtime

%description
The Comprehensive Perl Archive Network (CPAN) is a very useful collection
of Perl code. It has several indices of the files that it hosts, including
a file named "02packages.details.txt.gz" in the "modules" directory. This
file contains lots of useful information and this module provides a simple
interface to the data contained within.

%prep
%setup -q -n Parse-CPAN-Packages-%{version}
# Remove the need for (so-far unpackaged) Test::InDistDir
%patch0 -p1
# Strip spurious exec permissions
find . -type f -exec chmod -c -x {} \;

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}

%install
%{makeinstall_std}
# %{_fixperms} %{buildroot}

%check
make test

%files
%doc CHANGES README
%{perl_vendor_privlib}/Parse/

%changelog
