%define module_version 0.19
%define module_name Parse-LocalDistribution
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(ExtUtils/MakeMaker/CPANfile.pm) perl(File/Find.pm) perl(File/Path.pm) perl(File/Spec.pm) perl(File/Temp.pm) perl(List/Util.pm) perl(Parse/CPAN/Meta.pm) perl(Parse/PMFile.pm) perl(Test/More.pm) perl(Test/UseAllModules.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.19
Release: alt1
Summary: parses local .pm files as PAUSE does
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/I/IS/ISHIGAKI/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
This is a sister module of the Parse::PMFile manpage. This module parses local .pm files (and a META file if any) in a specific (current if not specified) directory, and returns a hash reference that represents "provides" information (with some extra meta data). This is almost the same as the Module::Metadata manpage does (which has been in Perl core since Perl 5.13.9). The main difference is the most of the code of this module is directly taken from the PAUSE code as of June 2013. If you need better compatibility to PAUSE, try this. If you need better performance, safety, or portability in general, the Module::Metadata manpage may be a better and handier option (the Parse::PMFile manpage (and thus the Parse::LocalDistribution manpage) forks internally and actually evaluates code in the $VERSION line (in a Safe compartment), both of which may be problematic in some cases).

This module doesn't provide a feature to extract a distribution. If you are too lazy to implement it, the CPAN::ParseDistribution manpage may be another good option.


%prep
%setup -q -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_privlib/P*

%changelog
