%define module_name Parse-Syslog-Line
%define _without_test 1
# BEGIN SourceDeps(oneline):
BuildRequires: perl(CLI/Helpers.pm) perl(Const/Fast.pm) perl(Data/Printer.pm) perl(DateTime.pm) perl(DateTime/TimeZone.pm) perl(Digest/MD5.pm) perl(English.pm) perl(Exporter.pm) perl(FindBin.pm) perl(Getopt/Long/Descriptive.pm) perl(HTTP/Date.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(JSON.pm) perl(Module/Load.pm) perl(Module/Loaded.pm) perl(Path/Tiny.pm) perl(Pod/Usage.pm) perl(Ref/Util.pm) perl(Storable.pm) perl(Test/Deep.pm) perl(Test/MockTime.pm) perl(Time/HiRes.pm) perl(Time/Moment.pm) perl(YAML.pm) perl(bignum.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 4.7
Release: alt1
Summary: Simple syslog line parser
Group: Development/Perl
License: see LICENSE
URL: https://github.com/reyjrar/Parse-Syslog-Line

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/B/BL/BLHOTSKY/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
From summary: %summary

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE README.mkdn Changes
%perl_vendor_privlib/P*

%files scripts
%_man1dir/*
%_bindir/*

%changelog
