# BEGIN SourceDeps(oneline):
BuildRequires: perl(DateTime/Format/ISO8601.pm) perl(ExtUtils/MakeMaker.pm) perl(Moose.pm) perl(Paws.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define module_name Paws-Credential-AssumeRoleWebIdentity
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.0.3
Release: alt1
Summary: The AssumeRoleWebIdentity provider is used to obtain temporary credentials with an OIDC web identit...
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PR/PRAJITH/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
The AssumeRoleWebIdentity provider is used to obtain temporary credentials with an OIDC web identity token file. 

You can use this credential provider to obtain credentials when using AWS EKS and eks.amazonaws.com/role-arn annotation.

Credentials are refreshed with a re-call to STS when they before gets expired

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE README.md
%perl_vendor_privlib/P*

%changelog
