%define module_name Perinci-Access-Perl
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Class/Inspector.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Slurper.pm) perl(File/Spec.pm) perl(File/Temp.pm) perl(FindBin.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(List/Util.pm) perl(Log/ger.pm) perl(Module/List.pm) perl(Module/Path/More.pm) perl(Monkey/Patch/Action.pm) perl(Package/Util/Lite.pm) perl(Perinci/Access/Base.pm) perl(Perinci/Examples.pm) perl(Perinci/Object.pm) perl(Perinci/Sub/Complete.pm) perl(Perinci/Sub/GetArgs/Argv.pm) perl(Perinci/Sub/Normalize.pm) perl(Perinci/Sub/Util.pm) perl(Perinci/Sub/Wrapper.pm) perl(Pod/Coverage/TrustPod.pm) perl(Progress/Any.pm) perl(Scalar/Util.pm) perl(Test/Exception.pm) perl(Test/More.pm) perl(Test/Perl/Critic.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(Tie/Cache.pm) perl(URI/Split.pm) perl(UUID/Random.pm) perl(experimental.pm)
BuildRequires: perl(lib.pm) perl(parent.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.894
Release: alt1
Summary: Access Perl module, functions, variables through Riap
Group: Development/Perl
License: perl
URL: https://metacpan.org/release/Perinci-Access-Perl

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PE/PERLANCAR/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
From summary: %summary

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes LICENSE
%perl_vendor_privlib/P*

%changelog
