%define module_name Perinci-Access-Simple-Server
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Capture/Tiny.pm) perl(Class/XSAccessor.pm) perl(Cwd.pm) perl(Data/Clean/FromJSON.pm) perl(Data/Clean/JSON.pm) perl(ExtUtils/MakeMaker.pm) perl(File/HomeDir.pm) perl(File/Spec.pm) perl(IO/Handle.pm) perl(IO/Handle/Record.pm) perl(IO/Select.pm) perl(IO/Socket.pm) perl(IO/Socket/INET.pm) perl(IO/Socket/UNIX.pm) perl(IPC/Open3.pm) perl(JSON/MaybeXS.pm) perl(Log/ger.pm) perl(Log/ger/Level/FromEnv.pm) perl(Log/ger/Output.pm) perl(Log/ger/Output/Screen.pm) perl(Module/List.pm) perl(Module/Load.pm) perl(Moo.pm) perl(Perinci/Access.pm) perl(Perinci/Access/Perl.pm) perl(Perinci/Access/Schemeless.pm) perl(Perinci/Access/Simple/Client.pm) perl(Perinci/AccessUtil.pm) perl(Perinci/CmdLine/Any.pm) perl(Perinci/Examples.pm) perl(Perinci/Gen/ForModule.pm) perl(Perinci/Sub/Property/timeout.pm) perl(Pod/Coverage/TrustPod.pm)
BuildRequires: perl(Proc/Daemon/Prefork.pm) perl(Test/More.pm) perl(Test/Perl/Critic.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(Time/HiRes.pm) perl(URI/Escape.pm) perl(lib.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.28
Release: alt1
Summary: Riap::Simple server implementations
Group: Development/Perl
License: perl
URL: https://metacpan.org/release/Perinci-Access-Simple-Server

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PE/PERLANCAR/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
From summary: %summary

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README LICENSE Changes
%perl_vendor_privlib/P*

%files scripts
%_man1dir/*
%_bindir/*

%changelog
