%define module_name Perinci-Manual
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(Pod/Coverage/TrustPod.pm) perl(Test/More.pm) perl(Test/Perl/Critic.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.003
Release: alt1
Summary: Extra documentation for Perinci
Group: Development/Perl
License: perl
URL: https://metacpan.org/release/Perinci-Manual

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PE/PERLANCAR/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
The `Perinci' namespace contains several separate frameworks (for example:
the Perinci::Sub::Wrapper manpage, the Perinci::CmdLine manpage), all themed around the the Rinci manpage
and the Riap manpage specification, and each framework having its own documentation.

This distribution contains additional, mostly cross-framework, and heavily
task-oriented documentation.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE Changes README
%perl_vendor_privlib/P*

%changelog
