%define module_name Perl-Build
# BEGIN SourceDeps(oneline):
BuildRequires: perl(App/FatPacker/Simple.pm) perl(App/cpm/CLI.pm) perl(CPAN/Meta/Requirements.pm) perl(CPAN/Perl/Releases.pm) perl(CPAN/Perl/Releases/MetaCPAN.pm) perl(Carton/Snapshot.pm) perl(Devel/PatchPerl.pm) perl(File/Temp.pm) perl(File/pushd.pm) perl(Getopt/Long.pm) perl(HTTP/Tinyish.pm) perl(JSON/PP.pm) perl(Module/Build.pm) perl(Pod/Usage.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.32
Release: alt1
Summary: perl builder
Group: Development/Perl
License: perl
URL: https://github.com/tokuhirom/Perl-Build

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/S/SK/SKAJI/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
From summary: %summary

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE Changes README.md
%perl_vendor_privlib/P*

%files scripts
%_man1dir/*
%_bindir/*

%changelog
