Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(List/MoreUtils.pm) perl(PPI/Node.pm) perl(Regexp/Parser.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-Perl-Critic-Deprecated
Version:        1.119
Release:        alt2_21
Summary:        Perl::Critic policies which have been superseded by others
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Perl-Critic-Deprecated
Source0:        https://cpan.metacpan.org/authors/id/T/TH/THALJEF/Perl-Critic-Deprecated-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl-devel
BuildRequires:  rpm-build-perl
BuildRequires:  perl(English.pm)
BuildRequires:  perl(Module/Build.pm)
BuildRequires:  perl(strict.pm)
BuildRequires:  perl(warnings.pm)
# Run-time:
BuildRequires:  perl(base.pm)
# Carp not used by tests
# Exporter not used by tests
# List::MoreUtils not used by tests
BuildRequires:  perl(Perl/Critic/Policy.pm)
BuildRequires:  perl(Perl/Critic/Utils.pm)
# PPI::Node not used by tests
BuildRequires:  perl(Readonly.pm)
# Optional run-time:
# Regexp::Parser not used by tests
# Tests:
BuildRequires:  perl(Carp.pm)
BuildRequires:  perl(Perl/Critic/TestUtils.pm)
BuildRequires:  perl(Test/More.pm)
Requires:       perl(Perl/Critic/Policy.pm) >= 1.094
Requires:       perl(Perl/Critic/Utils.pm) >= 1.094
# Perl::Critic::Policy::Miscellanea::RequireRcsKeywords moved from
# perl-Perl-Critic-More here. Bugs #839815, 1023708.
Conflicts:      perl-Perl-Critic-More <= 1.000-11

# Filter underspecified dependecies

Source44: import.info
%filter_from_requires /^perl(\(Perl.Critic.Policy\|Perl.Critic.Utils\).pm)/d

%description
The included policies are:
  - Write "$my_variable = 42" instead of "$MyVariable = 42".
  - Write "sub my_function{}" instead of "sub MyFunction{}".
  - Put source-control keywords in every file.

%prep
%setup -q -n Perl-Critic-Deprecated-%{version}

%build
perl Build.PL installdirs=vendor
./Build

%install
./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
# %{_fixperms} $RPM_BUILD_ROOT/*

%check
./Build test

%files
%doc Changes README
%{perl_vendor_privlib}/*

%changelog
