Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-Perl-Critic-Moose
Version:        1.05
Release:        alt2_15
Summary:        Policies for Perl::Critic concerned with using Moose
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Perl-Critic-Moose
Source0:        https://cpan.metacpan.org/authors/id/D/DR/DROLSKY/Perl-Critic-Moose-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  findutils
BuildRequires:  perl-devel
BuildRequires:  rpm-build-perl
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(strict.pm)
BuildRequires:  perl(warnings.pm)
# Run-time
BuildRequires:  perl(base.pm)
BuildRequires:  perl(namespace/autoclean.pm)
BuildRequires:  perl(Perl/Critic/Policy.pm)
BuildRequires:  perl(Perl/Critic/Utils.pm)
BuildRequires:  perl(Perl/Critic/Utils/PPI.pm)
BuildRequires:  perl(Readonly.pm)
# Tests only
BuildRequires:  perl(File/Spec.pm)
BuildRequires:  perl(Test/More.pm)
BuildRequires:  perl(Test/Perl/Critic/Policy.pm)
Source44: import.info

%description
Some Perl::Critic policies that will help you keep your code in good shape
with regards to Moose.

%prep
%setup -q -n Perl-Critic-Moose-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
# %{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc --no-dereference LICENSE
%doc Changes CONTRIBUTING.md README.md
%{perl_vendor_privlib}/*

%changelog
