%define module_name Perl-Critic-Plicease
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Config.pm) perl(ExtUtils/MakeMaker.pm) perl(PPIx/Regexp.pm) perl(Perl/Critic/Policy.pm) perl(Perl/Critic/Utils.pm) perl(Test/Perl/Critic/Policy.pm) perl(Test2/V0.pm) perl(base.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.03
Release: alt1
Summary: Some Perl::Critic policies used by Plicease
Group: Development/Perl
License: perl
URL: https://metacpan.org/pod/Perl::Critic::Plicease

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PL/PLICEASE/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
The the Perl::Critic::Policy::Plicease manpage policies are a collection of the Perl::Critic manpage
policies.  They aren't grouped into a theme because some are application specific
and you should review and include them only on a case by case basis.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes LICENSE README author.yml
%perl_vendor_privlib/P*

%changelog
