%define module_name Perl-Metrics-Halstead
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Capture/Tiny.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(Getopt/Long.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(Moo.pm) perl(PPI/Document.pm) perl(PPI/Dumper.pm) perl(Pod/Coverage/TrustPod.pm) perl(Pod/Usage.pm) perl(Pod/Wordlist.pm) perl(Test/EOL.pm) perl(Test/Exception.pm) perl(Test/More.pm) perl(Test/NoTabs.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(Test/Spelling.pm) perl(Test/Synopsis.pm) perl(namespace/clean.pm) perl(strict.pm) perl(strictures.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.0613
Release: alt1
Summary: Compute Halstead complexity metrics
Group: Development/Perl
License: perl
URL: https://github.com/ology/Perl-Metrics-Halstead

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/G/GE/GENE/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
`Perl::Metrics::Halstead' computes Halstead complexity metrics.

Please see the explanatory links in the the section on "SEE ALSO" section for descriptions
of what these attributes mean and how they are computed.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %EVR

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.md Changes README LICENSE
%perl_vendor_privlib/P*

%files scripts
%_man1dir/*
%_bindir/*

%changelog
