Group: Development/Perl
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Pod/Coverage/TrustPod.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-Perl-Stripper
Version:        0.10
Release:        alt2_12
Summary:        Yet another PPI-based Perl source code stripper
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Perl-Stripper
Source0:        https://cpan.metacpan.org/authors/id/P/PE/PERLANCAR/Perl-Stripper-%{version}.tar.gz
BuildArch:      noarch
# Build
BuildRequires:  rpm-build-perl
BuildRequires:  perl-devel
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(strict.pm)
BuildRequires:  perl(warnings.pm)
# Runtime
BuildRequires:  perl(experimental.pm)
BuildRequires:  perl(Log/ger.pm)
BuildRequires:  perl(Moo.pm)
BuildRequires:  perl(PPI.pm)
# Tests only
BuildRequires:  perl(blib.pm)
BuildRequires:  perl(File/Slurper.pm)
BuildRequires:  perl(File/Spec.pm)
BuildRequires:  perl(IO/Handle.pm)
BuildRequires:  perl(IPC/Open3.pm)
BuildRequires:  perl(Log/Any.pm)
BuildRequires:  perl(Test/Differences.pm)
BuildRequires:  perl(Test/More.pm)
BuildRequires:  perl(vars.pm)
Source44: import.info

%description
This module is yet another PPI-based Perl source code stripper. Its focus
is on customization and stripping significant information from source code.

%prep
%setup -q -n Perl-Stripper-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
%make_build

%install
make pure_install DESTDIR=%{buildroot}
# %{_fixperms} %{buildroot}/*

%check
make test

%files
%doc --no-dereference LICENSE
%doc Changes README
%{perl_vendor_privlib}/*

%changelog
