# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Carp.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define upstream_name    Perl6-Classes
%define upstream_version 0.22

Name:       perl-%{upstream_name}
Version:    %{upstream_version}
Release:    alt3_9

Summary:    Perl 6 class syntax for Perl 5
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Perl6/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils/MakeMaker.pm)
BuildRequires: perl(Filter/Simple.pm)
BuildRequires: perl(Test/Simple.pm)
BuildRequires: perl(Text/Balanced.pm)
BuildArch: noarch
Source44: import.info

%description
'Perl6::Classes' allows the creation of (somewhat) Perl 6-style classes in
Perl 5. The following features are currently supported:

* * 'sub's, 'method's, and 'submethod's

  And their respective scoping rules.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc README
%perl_vendor_privlib/*




%changelog
