Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-Perl6-Export-Attrs
Summary:        Perl 6 'is export(...)' trait as a Perl 5 attribute
Version:        0.000006
Release:        alt2_11
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Perl6-Export-Attrs
Source0:        https://cpan.metacpan.org/authors/id/D/DC/DCONWAY/Perl6-Export-Attrs-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  rpm-build-perl
BuildRequires:  perl(Attribute/Handlers.pm)
BuildRequires:  perl(Carp.pm)
BuildRequires:  perl(Module/Build.pm)
BuildRequires:  perl(PadWalker.pm)
BuildRequires:  perl(Test/More.pm)
BuildRequires:  perl(Test/Pod.pm)
BuildRequires:  perl(Test/Pod/Coverage.pm)



Source44: import.info

%description
Implements a Perl 5 native version of what the Perl 6 symbol export
mechanism will look like.


%prep
%setup -q -n Perl6-Export-Attrs-%{version}


%build
/usr/bin/perl Build.PL installdirs=vendor
./Build


%install
./Build install destdir=%{buildroot} create_packlist=0

# %{_fixperms} %{buildroot}/*


%check
./Build test


%files
%doc Changes README
%{perl_vendor_privlib}/Perl6


%changelog
