# BEGIN SourceDeps(oneline):
BuildRequires: perl(CPAN.pm) perl(Encode.pm) perl(ExtUtils/MM_Unix.pm) perl(ExtUtils/MakeMaker.pm) perl(ExtUtils/Manifest.pm) perl(File/Find.pm) perl(FindBin.pm) perl(Module/Build.pm) perl(Test/More.pm) perl(XSLoader.pm) perl(YAML/Tiny.pm) perl(inc/Module/Install.pm)
# END SourceDeps(oneline)
%define module_version 0.02
%define module_name PerlIO-fse
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.02
Release: alt6
Summary: Deals with Filesystem Encoding
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/G/GF/GFUJI/%module_name-%module_version.tar.gz

%description
`PerlIO::fse' mediates encodings between Perl and Filesystem. It converts
filenames into native forms if the filenames are utf8-flagged. Otherwise,
`PerlIO::fse' does nothing, looking on it as native forms.

`PerlIO::fse' attempts to get the filesystem encoding(`fse')
from `$ENV{PERLIO_FSE}', and if defined, it will be used. Or you can
`use PerlIO::fse $encoding' directive to set `fse'.

If you use Windows (including Cygwin), you need not to set `$ENV{PERLIO_FSE}'
because the current codepage is detected automatically.
However, if `$ENV{PERLIO_FSE}' is set, `PerlIO::fse' will give it
priority.

When there is no encoding available, `UTF-8' will be used.

This layer uses `Encode' internally to convert encodings.


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_archlib/P*
%perl_vendor_autolib/*

%changelog
