# BEGIN SourceDeps(oneline):
BuildRequires: libsowing-devel perl(Encode.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(Test/More.pm) perl(Unicode/Normalize.pm) perl(_charnames.pm)
# END SourceDeps(oneline)
%define module_name PerlIO-normalize
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.002
Release: alt3
Summary: PerlIO layer to normalize unicode strings on input and output
Group: Development/Perl
License: mit
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/C/CO/COFFEE/%{module_name}-%{version}.tar.gz

%description
This the PerlIO manpage layer uses the Unicode::Normalize manpage to normalize the text read from
or written to a file-handle according to Unicode rules. It supports the
following normalization forms: `NFC', `NFD', `NFKC', `NFKD', `FCC', and
`FCD'. It expects to recieve already-decoded unicode characters, so you should
make sure to put the correct encoding layer ahead of it if reading, and behind
it if writing, as per the SYNOPSIS.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README LICENSE
%perl_vendor_archlib/P*
%perl_vendor_autolib/*

%changelog
