Epoch: 1
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(CPAN.pm) perl(Cwd.pm) perl(File/Spec.pm) perl(File/Temp.pm) perl(PerlIO.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define upstream_name    PerlIO-via-gzip
%define upstream_version 0.03

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %{upstream_version}
Release:    alt1_4

Summary:    PerlIO layer for gzip (de)compression
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/PerlIO/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(IO/Compress/Gzip.pm)
BuildRequires: perl(IO/Uncompress/Gunzip.pm)
BuildRequires: perl(Module/Build.pm)
BuildRequires: perl(PerlIO/Util.pm)
BuildRequires: perl(Test/More.pm)
BuildRequires: perl(Module/Build/Compat.pm)
BuildArch: noarch
Source44: import.info


%description
This module provides a PerlIO layer for transparent gzip de/compression,
using the IO::Compress::Gzip manpage and the IO::Uncompress::Gunzip
manpage.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.yml README
%{perl_vendor_privlib}/*

%changelog
