%define module_name PerlIO-via-xz
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(ExtUtils/MakeMaker.pm) perl(IO/Compress/Xz.pm) perl(IO/Uncompress/UnXz.pm) perl(PerlIO.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.03
Release: alt1
Summary: PerlIO layer for XZ (de)compression
Group: Development/Perl
License: perl
URL: https://metacpan.org/pod/PerlIO::via::xz

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/H/HM/HMBRAND/%{module_name}-%{version}.tgz
BuildArch: noarch

%description
This module implements a PerlIO layer which will let you handle
xz compressed files transparently.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README ChangeLog CONTRIBUTING.md
%perl_vendor_privlib/P*

%changelog
