%define module_name PerlX-Let
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Const/Fast.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(Keyword/Simple.pm) perl(Module/Metadata.pm) perl(Pod/Coverage/TrustPod.pm) perl(Test/CleanNamespaces.pm) perl(Test/EOL.pm) perl(Test/Fixme.pm) perl(Test/Kwalitee.pm) perl(Test/MinimumVersion.pm) perl(Test/More.pm) perl(Test/Most.pm) perl(Test/NoTabs.pm) perl(Test/Perl/Critic.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(Text/Balanced.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.2.8
Release: alt1
Summary: Syntactic sugar for lexical constants
Group: Development/Perl
License: artistic_2
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/R/RR/RRWO/%{module_name}-v%{version}.tar.gz
BuildArch: noarch

%description
The code

  let $var = "thing" { ... }

is shorthand for

  {
     use Const::Fast;
     const my $var => "thing";

     ...
  }

%prep
%setup -q -n %{module_name}-v%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README.md LICENSE
%perl_vendor_privlib/P*

%changelog
