%define module_name Pg-Explain
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Clone.pm) perl(Digest/SHA.pm) perl(Encode.pm) perl(English.pm) perl(FindBin.pm) perl(HOP/Lexer.pm) perl(JSON.pm) perl(Module/Build.pm) perl(Test/Deep.pm) perl(Test/Exception.pm) perl(Test/More.pm) perl(Test/Perl/Critic.pm) perl(Test/PerlTidy.pm) perl(Unicode/Collate.pm) perl(Unicode/Normalize.pm) perl(XML/Simple.pm) perl(YAML.pm) perl(autodie.pm) perl(base.pm) perl(open.pm) perl(overload.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.11
Release: alt1
Summary: Object approach at reading explain analyze output
Group: Development/Perl
License: perl
URL: https://gitlab.com/depesz/Pg--Explain

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/D/DE/DEPESZ/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Quick summary of what the module does.

Perhaps a little code snippet.

    use Pg::Explain;

    my $explain = Pg::Explain->new('source_file' => 'some_file.out');
    ...

    my $explain = Pg::Explain->new(
        'source' => 'Seq Scan on tenk1  (cost=0.00..333.00 rows=10000 width=148)'
    );
    ...
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/P*

%changelog
