%define module_name Plack-App-DirectoryIndex
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(File/Spec/Functions.pm) perl(HTTP/Request/Common.pm) perl(HTTP/Response.pm) perl(Plack.pm) perl(Test/More.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.0.3
Release: alt1
Summary: Serve static files from document root with an index file.
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/D/DA/DAVECROSS/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This is a static file server PSGI application with directory index like
Apache's mod_autoindex. Unlike the Plack::App::Directory manpage, it will also
look for a default index file (e.g. index.html) and serve that instead
of a directory listing.
 

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.md Changes.md
%perl_vendor_privlib/P*

%changelog
