%define module_version 1.000000
%define module_name Plack-App-MCCS
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Cwd.pm) perl(Data/Dumper.pm) perl(ExtUtils/MakeMaker.pm) perl(Fcntl.pm) perl(File/Spec/Unix.pm) perl(Getopt/Long.pm) perl(HTTP/Date.pm) perl(HTTP/Request.pm) perl(HTTP/Request/Common.pm) perl(HTTP/Response.pm) perl(Module/Load/Conditional.pm) perl(Plack/Builder.pm) perl(Plack/Component.pm) perl(Plack/MIME.pm) perl(Plack/Middleware.pm) perl(Plack/Runner.pm) perl(Plack/Test.pm) perl(Plack/Util.pm) perl(Plack/Util/Accessor.pm) perl(Test/More.pm) perl(autodie.pm) perl(parent.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.000000
Release: alt1
Summary: Minify, Compress, Cache-control and Serve static files from Plack applications
Group: Development/Perl
License: perl
URL: http://search.cpan.org/dist/Plack-App-MCCS

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/I/ID/IDOPEREL/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
%summary

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README.md LICENSE
%perl_vendor_privlib/P*

%files scripts
%_man1dir/*
%_bindir/*

%changelog
