%define module_name Plack-Middleware-Auth-JWT
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Crypt/JWT.pm) perl(FindBin.pm) perl(HTTP/Request/Common.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(Module/Build.pm) perl(Plack/Builder.pm) perl(Plack/Middleware.pm) perl(Plack/Request.pm) perl(Plack/Test.pm) perl(Plack/Util.pm) perl(Plack/Util/Accessor.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.905
Release: alt1
Summary: Token-based Auth (aka Bearer Token) using JSON Web Tokens (JWT)
Group: Development/Perl
License: see LICENSE
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/D/DO/DOMM/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
`Plack::Middleware::Auth::JWT' helps you to use JSON Web Tokens (or JWT) for
authentificating HTTP requests. Tokens can be provided in the
`Authorization' HTTP Header, or as a query parameter (though passing
the JWT via the header is the prefered method).
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE README.md Changes
%perl_vendor_privlib/P*

%changelog
