%define module_name Plack-Middleware-Camelcadedb
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Devel/Camelcadedb.pm) perl(Enbugger.pm) perl(HTTP/Tiny.pm) perl(IO/Socket/INET.pm) perl(IPC/Open3.pm) perl(JSON/XS.pm) perl(Module/Build.pm) perl(Plack.pm) perl(Storable.pm) perl(Symbol.pm) perl(feature.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.03
Release: alt1
Summary: interactive debugging for Plack applications
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/M/MB/MBARBON/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
# should be the first/one of the first modules to be loaded
    use Plack::Middleware::Camelcadedb (
        remote_host => "localhost:9000",
    );
    use Plack::Builder;

    builder {
        enable "Camelcadedb";
        $app;
    };

=back

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes
%perl_vendor_privlib/P*

%changelog
