# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define upstream_name    Plack-Middleware-Debug-TraceENV
%define upstream_version 0.043

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %{upstream_version}
Release:    alt1_3

Summary:    Debug panel for tracing %%ENV
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Plack/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(HTTP/Request/Common.pm)
BuildRequires: perl(Module/Build.pm)
BuildRequires: perl(Plack/Builder.pm)
BuildRequires: perl(Plack/Middleware/Debug.pm)
BuildRequires: perl(Plack/Test.pm)
BuildRequires: perl(Plack/Util/Accessor.pm)
BuildRequires: perl(Test/More.pm)
BuildRequires: perl(parent.pm)
BuildArch:  noarch
Source44: import.info

%description
Plack::Middleware::Debug::TraceENV is debug panel for watching %%ENV.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.json META.yml 
%{perl_vendor_privlib}/*

%changelog
