# BEGIN SourceDeps(oneline):
BuildRequires: perl(Cwd.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(File/Temp.pm) perl(HTTP/Date.pm) perl(HTTP/Request/Common.pm) perl(HTTP/Status.pm) perl(JSON/MaybeXS.pm) perl(Module/Metadata.pm) perl(Plack/Builder.pm) perl(Plack/Middleware.pm) perl(Plack/Middleware/ContentLength.pm) perl(Plack/Test.pm) perl(Pod/Coverage/TrustPod.pm) perl(Test/Differences.pm) perl(Test/EOL.pm) perl(Test/Fixme.pm) perl(Test/Kwalitee.pm) perl(Test/MinimumVersion.pm) perl(Test/More.pm) perl(Test/Most.pm) perl(Test/NoTabs.pm) perl(Test/Perl/Critic.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(parent.pm) perl(strict.pm) perl(utf8.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define module_name Plack-Middleware-TrafficAdvice
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.2.1
Release: alt1
Summary: handle requests for /.well-known/traffic-advice
Group: Development/Perl
License: artistic_2
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/R/RR/RRWO/%{module_name}-v%{version}.tar.gz
BuildArch: noarch

%description
This middle provides a handler for requests for `/.well-known/traffic-advice'.

You must specify either a the file entry elsewhere in this document or the data entry elsewhere in this document containing the traffic
advice information. (There is no default value.)

%prep
%setup -q -n %{module_name}-v%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.md LICENSE Changes
%perl_vendor_privlib/P*

%changelog
