Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Module/Build.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-Pod-Coverage-Moose
Version:        0.07
Release:        alt2_18
Summary:        Pod::Coverage extension for Moose
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Pod-Coverage-Moose
Source0:        https://cpan.metacpan.org/modules/by-module/Pod/Pod-Coverage-Moose-%{version}.tar.gz
BuildArch:      noarch
# Build:
BuildRequires:  coreutils
BuildRequires:  findutils
BuildRequires:  rpm-build-perl
BuildRequires:  perl-devel
BuildRequires:  perl(Module/Build/Tiny.pm)
BuildRequires:  perl(strict.pm)
BuildRequires:  perl(warnings.pm)
# Run-time:
BuildRequires:  perl(Carp.pm)
BuildRequires:  perl(Class/Load.pm)
BuildRequires:  perl(Moose.pm)
BuildRequires:  perl(namespace/autoclean.pm)
BuildRequires:  perl(Pod/Coverage.pm)
# Tests:
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(File/Spec.pm)
BuildRequires:  perl(if.pm)
BuildRequires:  perl(lib.pm)
BuildRequires:  perl(Moose/Role.pm)
BuildRequires:  perl(overload.pm)
BuildRequires:  perl(Test/More.pm)
BuildRequires:  perl(Test/Requires.pm)
# Optional Tests
BuildRequires:  perl(MooseX/AttributeHelpers.pm)
BuildRequires:  perl(MooseX/Role/WithOverloading.pm)
Source44: import.info
# Dependencies

%description
When using Pod::Coverage in combination with Moose, it will report any
method imported from a Role. This is especially bad when used in
combination with Test::Pod::Coverage, since it takes away its ease of use.

%prep
%setup -q -n Pod-Coverage-Moose-%{version}

%build
perl Build.PL --installdirs=vendor
./Build

%install
./Build install --destdir=%{buildroot} --create_packlist=0
# %{_fixperms} -c %{buildroot}

%check
./Build test

%files
%doc --no-dereference LICENSE
%doc Changes CONTRIBUTING README
%{perl_vendor_privlib}/Pod/

%changelog
