Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-Pod-Spell-CommonMistakes
Version:        1.002
Release:        alt2_20
Summary:        Catches common typos in POD
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Pod-Spell-CommonMistakes
Source0:        https://cpan.metacpan.org/authors/id/A/AP/APOCAL/Pod-Spell-CommonMistakes-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl-devel
BuildRequires:  rpm-build-perl
BuildRequires:  perl(Module/Build/Tiny.pm)
BuildRequires:  perl(strict.pm)
BuildRequires:  perl(warnings.pm)
# Run-Time:
BuildRequires:  perl(Exporter.pm)
BuildRequires:  perl(IO/Scalar.pm)
BuildRequires:  perl(parent.pm)
BuildRequires:  perl(Pod/Spell.pm)
# Tests:
BuildRequires:  perl(blib.pm)
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(File/Spec.pm)
BuildRequires:  perl(File/Temp.pm)
BuildRequires:  perl(IO/Handle.pm)
BuildRequires:  perl(IPC/Open3.pm)
BuildRequires:  perl(Test/More.pm)
Source44: import.info

%description
This module looks for any typos in your POD. It differs from Pod::Spell or
Test::Spelling because it uses a custom word list and doesn't use the system
spellchecker. The idea for this came from the
<http://wiki.debian.org/Teams/Lintian> code in Debian, thanks!

%prep
%setup -q -n Pod-Spell-CommonMistakes-%{version}

%build
perl Build.PL --installdirs=vendor
./Build

%install
./Build install "--destdir=$RPM_BUILD_ROOT" --create_packlist=0
# %{_fixperms} $RPM_BUILD_ROOT/*

%check
./Build test

%files
%doc Changes CommitLog examples LICENSE README
%{perl_vendor_privlib}/*

%changelog
