%define module_name Pod-Weaver-Plugin-Acme-CPANModules
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(Moose.pm) perl(Pod/Coverage/TrustPod.pm) perl(Pod/From/Acme/CPANModules.pm) perl(Pod/Weaver/Role/AddTextToSection.pm) perl(Pod/Weaver/Role/Section.pm) perl(Test/More.pm) perl(Test/Perl/Critic.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(strict.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.009
Release: alt1
Summary: Plugin to use when building Acme::CPANModules::* distribution
Group: Development/Perl
License: perl
URL: https://metacpan.org/release/Pod-Weaver-Plugin-Acme-CPANModules

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PE/PERLANCAR/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This plugin is used when building Acme::CPANModules::* distributions. It
currently does the following:

=over

=item * Create "INCLUDED MODULES" POD section from the list

=item * Mention some modules in See Also section

e.g. the Acme::CPANModules manpage (the convention/standard), the cpanmodules manpage (the CLI
tool), etc.

=back

=for Pod::Coverage weave_section

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes LICENSE
%perl_vendor_privlib/P*

%changelog
