%define module_name PomBase-Chobo
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Capture/Tiny.pm) perl(Carp.pm) perl(Clone.pm) perl(DBD/Pg.pm) perl(DBI.pm) perl(Data/Compare.pm) perl(Data/Dumper.pm) perl(ExtUtils/MakeMaker.pm) perl(FileHandle.pm) perl(Getopt/Long.pm) perl(List/Compare.pm) perl(List/Util.pm) perl(Mouse.pm) perl(Mouse/Role.pm) perl(Test/Deep.pm) perl(Test/More.pm) perl(Text/CSV.pm) perl(Text/CSV/Encoded.pm) perl(Try/Tiny.pm) perl(lib.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.033
Release: alt1
Summary: Fast OBO to Chado loading using PostgreSQL COPY
Group: Development/Perl
License: perl
URL: https://github.com/pombase/chobo

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/K/KI/KIM/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
From summary: %summary

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE Changes README.pod
%perl_vendor_privlib/P*

%files scripts
%_bindir/*

%changelog
