Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-podlators
# END SourceDeps(oneline)
%add_findreq_skiplist %perl_vendor_privlib/PostScript/Elements.pm
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-PostScript
Version:        0.06
Release:        alt2_36
Summary:        PostScript Perl module
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/PostScript
Source0:        https://cpan.metacpan.org/modules/by-module/PostScript/PostScript-%{version}.tar.gz
Patch0:         perl-PostScript-0.06-example.patch
BuildArch:      noarch
BuildRequires:  rpm-build-perl
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
Source44: import.info

%description
Perl package that generates PostScript files.

%prep
%setup -q -n PostScript-%{version}
%patch0 -p0

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

rm -f $RPM_BUILD_ROOT/%{perl_vendor_privlib}/PostScript/example.pl

# %{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc example.pl example.txt psoutput.ps README
%{perl_vendor_privlib}/*

%changelog
