%define module_name PostScript-PPD
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Compress/Zlib.pm) perl(Data/Dump.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(FindBin.pm) perl(IO/File.pm) perl(Scalar/Util.pm) perl(Storable.pm) perl(overload.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.0300
Release: alt1
Summary: Read PostScript Printer Definition files
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/G/GW/GWYN/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
PostScript::PPD reads and parses PostScript Printer Definition files, called
PPDs.  

PPDs contain key/value tuples that describe the printer, its capabilities
and the printing options available.  The printing options are classified as
User Interface (UI) options, which are grouped into groups.

I huge database of PPDs is available from
http://www.linuxfoundation.org/en/OpenPrinting/Database/Foomatic.


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/P*

%changelog
