%define module_name Power-Outlet
# BEGIN SourceDeps(oneline):
BuildRequires: perl(CGI.pm) perl(CGI/Carp.pm) perl(Config/IniFiles.pm) perl(DateTime.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(HTTP/Tiny.pm) perl(JSON.pm) perl(List/MoreUtils.pm) perl(Net/MQTT/Simple.pm) perl(Net/SNMP.pm) perl(Net/UPnP.pm) perl(Package/New.pm) perl(Package/Role/ini.pm) perl(Parallel/ForkManager.pm) perl(Path/Class.pm) perl(Test/Simple.pm) perl(Time/HiRes.pm) perl(URI.pm) perl(XML/LibXML/LazyBuilder.pm) perl(YAML/XS.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.42
Release: alt1
Summary: Control and query network attached power switches
Group: Development/Perl
License: Perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/M/MR/MRDVT/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Power::Outlet is a package for controlling and querying network attached power outlets.  Individual hardware drivers in this name space must provide a common object interface for the controlling and querying of an outlet.  Common methods that every network attached power outlet must know are on, off, query, switch and cycle.  Optional methods might be implemented in some drivers like amps and volts.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release

%description scripts
scripts for %module_name


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build INSTALLMAN1DIR=%_man1dir

%install
%perl_vendor_install

%files
%doc README LICENSE Changes Todo
%perl_vendor_privlib/P*

%files scripts
%_man1dir/*
%_bindir/*

%changelog
