%define module_name Prima-Cairo
# BEGIN SourceDeps(oneline):
BuildRequires: libXcomposite-devel libXcursor-devel libXft-devel libXpm libXrandr-devel libgif libgtk+2 libjpeg perl(Cairo.pm) perl(Config.pm) perl(DynaLoader.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(ExtUtils/PkgConfig.pm) perl(Prima.pm) pkgconfig(cairo)
# END SourceDeps(oneline)
%add_findreq_skiplist %perl_vendor_archlib/Prima*
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.07
Release: alt3
Summary: Prima extension for Cairo drawing
Group: Development/Perl
License: bsd
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/K/KA/KARASIK/%{module_name}-%{version}.tar.gz

%description
The module allows for programming Cairo library together with Prima widgets.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.md Changes examples
%perl_vendor_archlib/P*
%perl_vendor_autolib/*

%changelog
