%define module_name Promise-ES6
# BEGIN SourceDeps(oneline):
BuildRequires: perl(AnyEvent.pm) perl(Devel/GlobalDestruction.pm) perl(ExtUtils/MakeMaker.pm) perl(FindBin.pm) perl(Future.pm) perl(Future/AsyncAwait.pm) perl(IO/Async/Loop.pm) perl(Mojo/IOLoop.pm) perl(Test/Class.pm) perl(Test/Deep.pm) perl(Test/FailWarnings.pm) perl(Test/Fatal.pm) perl(Test/More.pm) perl(autodie.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.24
Release: alt1
Summary: ES6-style promises in Perl
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/F/FE/FELIPE/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This is a rewrite of the Promise::Tiny manpage that implements fixes for
certain bugs that proved hard to fix in the original code. This module
also removes superfluous dependencies on the AnyEvent manpage and the Scalar::Util manpage.

The interface is the same, except:

=over

=item * Promise resolutions and rejections accept exactly one argument,
not a list. (This accords with the standard.)

=item * A `finally()' method is defined.

=back

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE Changes README.md
%perl_vendor_privlib/P*

%changelog
