%define module_name Promise-XS
# BEGIN SourceDeps(oneline):
BuildRequires: libsowing-devel perl(AnyEvent.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Temp.pm) perl(Future/AsyncAwait.pm) perl(IO/Async/Loop.pm) perl(IO/Async/Timer.pm) perl(Mojo/IOLoop.pm) perl(Mojolicious.pm) perl(Test/Deep.pm) perl(Test/FailWarnings.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.14
Release: alt2
Summary: Fast promises in Perl
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/F/FE/FELIPE/%{module_name}-%{version}.tar.gz

%description
This module exposes a Promise interface with its major parts
implemented in XS for speed. It is a fork and refactor of
the AnyEvent::XSPromises manpage. That module.e's interface, a .e'bare-bones.e'
subset of that from the Promises manpage, is retained.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE Changes README.md
%perl_vendor_archlib/P*
%perl_vendor_autolib/*

%changelog
