%define module_name Protocol-Database-PostgreSQL
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Adapter/Async.pm) perl(Check/UnitCheck.pm) perl(Digest/MD5.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(Future.pm) perl(HTML/TreeBuilder.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(List/Util.pm) perl(Log/Any.pm) perl(POSIX.pm) perl(Ryu.pm) perl(Ryu/Exception.pm) perl(Sub/Identify.pm) perl(Test/CheckDeps.pm) perl(Test/Fatal.pm) perl(Test/HexString.pm) perl(Test/More.pm) perl(Test/Refcount.pm) perl(Time/HiRes.pm) perl(Unicode/UTF8.pm) perl(constant.pm) perl(indirect.pm) perl(parent.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.005
Release: alt1
Summary: PostgreSQL wire protocol implementation
Group: Development/Perl
License: perl
URL: https://github.com/team-at-cpan/Protocol-Database-PostgreSQL

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/T/TE/TEAM/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Provides protocol-level support for PostgreSQL 7.4+, as defined in http://www.postgresql.org/docs/current/static/protocol.html.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README LICENSE Changes doc examples
%perl_vendor_privlib/P*

%changelog
