Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Data/Validate/Type.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-Queue-DBI
Version:        2.7.0
Release:        alt2_14
Summary:        A queueing module with an emphasis on safety, using DBI as a storage system
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Queue-DBI
Source0:        https://cpan.metacpan.org/authors/id/A/AU/AUBERTG/Queue-DBI-v%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  rpm-build-perl
BuildRequires:  perl(Carp.pm)
BuildRequires:  perl(DBD/SQLite.pm)
BuildRequires:  perl(DBI.pm)
BuildRequires:  perl(Module/Build.pm)
BuildRequires:  perl(Test/Dist/VersionSync.pm)
BuildRequires:  perl(Test/Exception.pm)
BuildRequires:  perl(Test/FailWarnings.pm)
BuildRequires:  perl(Test/More.pm)
BuildRequires:  perl(Test/Type.pm)
BuildRequires:  perl(Try/Tiny.pm)


Source44: import.info

%description
Queue-DBI allows you to safely use a queueing system by preventing
backtracking, infinite loops and data loss. An emphasis of this distribution
is to provide an extremely reliable dequeueing mechanism without having to
use transactions.

%prep
%setup -q -n Queue-DBI-v%{version}

%build
/usr/bin/perl Build.PL installdirs=vendor
./Build

%install
./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
# %{_fixperms} $RPM_BUILD_ROOT/*

%check
./Build test

%files
%doc Changes README.md
%doc --no-dereference LICENSE
%{perl_vendor_privlib}/Queue*

%changelog
