%define module_name RDF-NS
# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++ perl(Data/Perl/Role/Collection/Hash.pm) perl(File/ShareDir.pm) perl(Module/Build/Tiny.pm) perl(RDF/Trine.pm) perl(RDF/Trine/Node/Blank.pm) perl(RDF/Trine/Node/Resource.pm) perl(Scalar/Util.pm) perl(Test/Pod.pm) perl(URI.pm) perl(base.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 20190227
Release: alt1
Summary: Just use popular RDF namespace prefixes from prefix.cc
Group: Development/Perl
License: perl
URL: https://github.com/nichtich/RDF-NS

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/V/VO/VOJ/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
%summary

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build INSTALLMAN1DIR=%_man1dir

%install
%perl_vendor_install

%files
%doc LICENSE Changes README
%perl_vendor_privlib/A*
%perl_vendor_privlib/R*
%perl_vendor_privlib/auto/*

%files scripts
%_man1dir/*
%_bindir/*

%changelog
