Group: Development/Perl
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-RPM-VersionCompare
Version:        0.1.1
Release:        alt6_38
Summary:        Compare RPM version strings
License:        GPLv3+
URL:            http://ppisar.fedorapeople.org/RPM-VersionCompare/
Source0:        http://ppisar.fedorapeople.org/RPM-VersionCompare/RPM-VersionCompare-v%{version}.tar.gz
BuildRequires:  findutils
BuildRequires:  gcc
BuildRequires:  perl-devel
BuildRequires:  rpm-build-perl
BuildRequires:  perl-devel
BuildRequires:  perl(AutoLoader.pm)
BuildRequires:  perl(Exporter.pm)
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(XSLoader.pm)
BuildRequires:  perl(version.pm)
BuildRequires:  librpm-devel
# Tests only:
BuildRequires:  perl(Test/Simple.pm)


Source44: import.info


%description
This module provides functions to compare RPM version strings. No function
is exported by default. If possible, calls are passed to native librpm
library. Otherwise Python extension provided with RPM sources is re-
-implemented.

%prep
%setup -q -n RPM-VersionCompare-v%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1 OPTIMIZE="$RPM_OPT_FLAGS"
%{make_build}

%install
%{makeinstall_std}
find $RPM_BUILD_ROOT -type f -name '*.bs' -size 0 -delete
# %{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc --no-dereference COPYING
%doc Changes
%{perl_vendor_archlib}/auto/*
%{perl_vendor_archlib}/RPM*

%changelog
