# BEGIN SourceDeps(oneline):
BuildRequires: perl(DateTime.pm) perl(ExtUtils/MakeMaker.pm) perl(Test/More.pm) perl(XSLoader.pm)
# END SourceDeps(oneline)
%define module_name RPi-RTC-DS3231
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.01
Release: alt3
Summary: Interface to the DS3231 Real-Time Clock IC over I2C
Group: Development/Perl
License: artistic_2
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/S/ST/STEVEB/%{module_name}-%{version}.tar.gz

%description
XS-based interface to the DS3231 Real-Time Clock Integrated Circuit over I2C.
Although packaged under the `RPi::' umbrella, the distribution will work on
any Linux system with I2C installed and operable.

This distribution *should* work with the DS1307 modules as well, but I do not
have one to test with.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes TODO
%perl_vendor_archlib/R*
%perl_vendor_autolib/*

%changelog
