# BEGIN SourceDeps(oneline):
BuildRequires: perl(App/pod2pdf.pm) perl(CPAN.pm) perl(Config.pm) perl(Cwd.pm) perl(ExtUtils/MakeMaker.pm) perl(Fcntl.pm) perl(File/Basename.pm) perl(File/Find.pm) perl(File/Spec.pm) perl(File/Temp.pm) perl(FileHandle.pm) perl(FindBin.pm) perl(JSON.pm) perl(LWP/Simple.pm) perl(Module/Build.pm) perl(Net/FTP.pm) perl(Parse/CPAN/Meta.pm) perl(RT.pm) perl(RT/System.pm) perl(Socket.pm) perl(YAML/Tiny.pm) perl(base.pm)
# END SourceDeps(oneline)
%define module_version 0.02
%define module_name RT-Extension-MessageSizeLimit
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.02
Release: alt1
Summary: Force web message size limit on ticket create/update
Group: Development/Perl
License: gplv2
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/E/EL/ELACOUR/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
This RT extension enforces a certain message size limit when a user create a
ticket or make a comment/correspondance on it.

It uses a guess of outgoing mail size based on subject/content/attachments. It
may miss a few bytes from mail headers, templates contents.

You would typically set the limit a little bit lower than your outgoing MTA
limit.

See the configuration example under the INSTALLATION entry elsewhere in this document.


%prep
%setup -q -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_privlib/R*

%changelog
