# BEGIN SourceDeps(oneline):
BuildRequires: perl(DynaLoader.pm) perl(Encode.pm) perl(Encode/CN.pm) perl(Encode/KR.pm) perl(Encode/Symbol.pm) perl(Error.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(File/Temp.pm) perl(Image/Info.pm) perl(Pod/Usage.pm) perl(Test/More.pm) perl(XML/DOM.pm) perl(XML/GDOME.pm)
# END SourceDeps(oneline)
%define module_version 0.05
%define module_name RTF-HTMLConverter
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.05
Release: alt6
Summary: Converter from RTF format to HTML.
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/U/US/USTIANSKY/%module_name-%module_version.tar.gz

%description
RTF::HTMLConverter is a high-level RTF to HTML format converter. It is
based on the low-level RTF parser module RTF::Lexer. Additionally, it
requires the W3C's DOM implementation and it is known to work with either
XML::DOM or XML::GDOME.


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README CHANGES examples
%perl_vendor_archlib/R*
%perl_vendor_autolib/*

%changelog
