%define module_name Random-Any
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Data/Entropy/Algorithms.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(Pod/Coverage/TrustPod.pm) perl(Test/More.pm) perl(Test/Perl/Critic.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.004
Release: alt1
Summary: Try to use Math::Random::Secure::rand(), fallback on builtin rand()
Group: Development/Perl
License: perl
URL: https://metacpan.org/release/Random-Any

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PE/PERLANCAR/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This module provides a single export `rand()' that tries to use
the Math::Random::Secure manpage's `rand()' first and, if that module is not available,
falls back on the builtin rand().

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes LICENSE
%perl_vendor_privlib/R*

%changelog
