%define module_name RapidApp
%set_perl_req_method relaxed
%define _without_test 1
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Alien/Web/ExtJS/V3.pm) perl(Attribute/Handlers.pm) perl(B/Deparse.pm) perl(CHI.pm) perl(Carp.pm) perl(Carp/Clan.pm) perl(Catalyst.pm) perl(Catalyst/Action/RenderView.pm) perl(Catalyst/Authentication/Store/DBIx/Class.pm) perl(Catalyst/Component/ApplicationAttribute.pm) perl(Catalyst/Controller.pm) perl(Catalyst/Controller/AutoAssets.pm) perl(Catalyst/Controller/SimpleCAS.pm) perl(Catalyst/Devel.pm) perl(Catalyst/Helper.pm) perl(Catalyst/Helper/Model/DBIC/Schema.pm) perl(Catalyst/Model.pm) perl(Catalyst/Model/DBIC/Schema.pm) perl(Catalyst/Plugin/Authorization/Roles.pm) perl(Catalyst/Plugin/AutoAssets.pm) perl(Catalyst/Plugin/Session/State/Cookie.pm) perl(Catalyst/Plugin/Session/Store/DBIC.pm) perl(Catalyst/Plugin/SimpleCAS.pm) perl(Catalyst/Runtime.pm) perl(Catalyst/ScriptRunner.pm) perl(Catalyst/Test.pm)
BuildRequires: perl(Catalyst/Utils.pm) perl(Catalyst/View.pm) perl(Catalyst/View/TT.pm) perl(CatalystX/AppBuilder.pm) perl(CatalystX/InjectComponent.pm) perl(Class/Load.pm) perl(Class/MOP/Class.pm) perl(Clone.pm) perl(Clone/PP.pm) perl(DBD/SQLite.pm) perl(DBI.pm) perl(DBI/Const/GetInfoType.pm) perl(DBIx/Class.pm) perl(DBIx/Class/Core.pm) perl(DBIx/Class/Helper/ResultSet/Util.pm) perl(DBIx/Class/Helpers.pm) perl(DBIx/Class/InflateColumn/Authen/Passphrase.pm) perl(DBIx/Class/Optional/Dependencies.pm) perl(DBIx/Class/ResultSet.pm) perl(DBIx/Class/Schema.pm) perl(DBIx/Class/Schema/Diff.pm) perl(DBIx/Class/Schema/Loader.pm) perl(DBIx/Class/Schema/Loader/DBI.pm) perl(DBIx/Class/Schema/Loader/Table.pm) perl(Data/Dumper.pm) perl(Data/Dumper/Concise.pm) perl(Data/Printer.pm) perl(DateTime.pm) perl(DateTime/Format/SQLite.pm)
BuildRequires: perl(Digest/MD5.pm) perl(Digest/SHA1.pm) perl(Excel/Writer/XLSX.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Copy/Recursive.pm) perl(File/ShareDir.pm) perl(File/ShareDir/Install.pm) perl(File/Spec.pm) perl(File/Temp.pm) perl(FindBin.pm) perl(Getopt/Long.pm) perl(HTML/Entities.pm) perl(HTML/Parser.pm) perl(HTML/TokeParser/Simple.pm) perl(HTTP/Headers/Util.pm) perl(HTTP/Request/Common.pm) perl(IPC/Cmd.pm) perl(Import/Into.pm) perl(JSON.pm) perl(JSON/PP.pm) perl(LWP/UserAgent.pm) perl(List/MoreUtils.pm) perl(List/Util.pm) perl(MIME/Base64.pm) perl(Module/Install/Catalyst.pm) perl(Module/Locate.pm) perl(Module/Runtime.pm) perl(Moo.pm) perl(Moo/Role.pm) perl(Moose.pm) perl(Moose/Role.pm) perl(Moose/Util/TypeConstraints.pm) perl(MooseX/MarkAsMethods.pm) perl(MooseX/NonMoose.pm) perl(MooseX/Traits.pm)
BuildRequires: perl(PPI.pm) perl(Path/Class.pm) perl(Perl/Tidy.pm) perl(Plack.pm) perl(Plack/Builder.pm) perl(Plack/Component.pm) perl(Plack/Middleware.pm) perl(Plack/Runner.pm) perl(Pod/Find.pm) perl(Pod/Parser.pm) perl(Pod/Usage.pm) perl(SQL/Abstract.pm) perl(SQL/Translator.pm) perl(Scalar/Util.pm) perl(Spreadsheet/ParseExcel.pm) perl(Spreadsheet/ParseExcel/Utility.pm) perl(Storable.pm) perl(String/CamelCase.pm) perl(String/Random.pm) perl(Sub/Name.pm) perl(Template.pm) perl(Template/Context.pm) perl(Template/Provider.pm) perl(Term/ANSIColor.pm) perl(Test/HTML/Content.pm) perl(Test/Kwalitee.pm) perl(Test/More.pm) perl(Text/CSV.pm) perl(Text/Glob.pm) perl(Text/Markdown.pm) perl(Text/SimpleTable/AutoWidth.pm) perl(Text/TabularDisplay.pm) perl(Text/WagnerFischer.pm) perl(Tie/IxHash.pm) perl(Time/HiRes.pm) perl(Try/Tiny.pm)
BuildRequires: perl(Type/Tiny.pm) perl(Types/Standard.pm) perl(URI.pm) perl(URI/Escape.pm) perl(autodie.pm) perl(base.pm) perl(bytes.pm) perl(curry.pm) perl(inc/Module/Install.pm) perl(integer.pm) perl(lib.pm) perl(mro.pm) perl(namespace/autoclean.pm) perl(namespace/clean.pm) perl(overload.pm) perl(parent.pm) perl(strict.pm) perl(utf8.pm) perl(vars.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.3401
Release: alt1
Summary: Turnkey ajaxy webapps
Group: Development/Perl
License: perl
URL: http://www.rapidapp.info

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/V/VA/VANSTYN/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
RapidApp is an extension to the Catalyst manpage - the Perl MVC framework. It provides a feature-rich
extended development stack, as well as easy access to common out-of-the-box application paradigms, 
such as powerful CRUD-based front-ends for the DBIx::Class manpage models, user access and authorization, 
RESTful URL navigation schemes, pure Ajax interfaces with no browser page loads, templating engine 
with front-side CMS features, declarative configuration layers, and more...

RapidApp is useful not only for new application development, but also for adding admin interfaces 
and snap-in components to existing applications, as well as for rapid prototyping.

Although RapidApp is based on Catalyst, fully encapsulated the Plack manpage interfaces are also provided, 
such as the Plack::App::RapidApp::rDbic manpage and the Rapi::Fs manpage, which enables RapidApp to be integrated into 
any application/framework which utilizes PSGI/Plack. 

RapidApp started as an internal project in 2009 and has been under continuous development
ever since. It has been used very successfully for multiple medium to large-scale client 
applications (backends with hundreds of tables and tens of millions of rows) as well as 
many quick and easy apps and interfaces for smaller jobs.

We started open-sourcing RapidApp in 2013, and this work is ongoing...

RapidApp is built on top of a number of powerful open-source tools and technologies including:

=over

=item *

Perl

=item *

the Catalyst manpage

=item *

the DBIx::Class manpage

=item *

ExtJS

=item *

the Template::Toolkit manpage

=back

Documentation is still a work-in-progress. Much of it has been done, but much of it still
remains to be done: the RapidApp::Manual manpage. 

Also, be sure to check out the RapidApp website for more information, including several 
comprehensive video demos and tutorials:

=over

=item *

www.rapidapp.info

=back

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release

%description scripts
scripts for %module_name
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.pod Changes README LICENSE
%perl_vendor_privlib/C*
%perl_vendor_privlib/P*
%perl_vendor_privlib/R*
%perl_vendor_privlib/auto/*

%files scripts
%_man1dir/*
%_bindir/*

%changelog
