%define module_name Redis-Fast
# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++ libev-devel libevent-devel libgnustep-corebase-devel libivykis-devel libssl-devel libuv-devel perl(Digest/SHA.pm) perl(Encode.pm) perl(File/Temp.pm) perl(File/Which.pm) perl(IPC/Cmd.pm) perl(Module/Build.pm) perl(Module/Build/XSUtil.pm) perl(Parallel/ForkManager.pm) perl(Redis.pm) perl(Test/Deep.pm) perl(Test/Fatal.pm) perl(Test/LeakTrace.pm) perl(Test/More.pm) perl(Test/SharedFork.pm) perl(Test/TCP.pm) perl(Test/UNIXSock.pm) perl(Time/HiRes.pm) perl(Try/Tiny.pm) pkgconfig(glib-2.0)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.31
Release: alt1
Summary: Perl binding for Redis database
Group: Development/Perl
License: perl
URL: https://github.com/shogo82148/Redis-Fast

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/S/SH/SHOGO/%{module_name}-%{version}.tar.gz

%description
%summary

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build --install_path bindoc=%_man1dir

%install
%perl_vendor_install

%files
%doc README.md LICENSE Changes
%perl_vendor_archlib/R*
%perl_vendor_autolib/*

%changelog
