# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(Scalar/Util.pm) perl(Term/Clui.pm) perl(Text/Wrap.pm) perl(base.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define module	RefDB-perlmod

Name:		perl-%{module}
Version:	1.2
Release:	alt1_13
Summary:	%{module} module for perl
License:	GPLv2+
Group:		Development/Perl
Source:		http://prdownloads.sourceforge.net/refdb/%{module}-%{version}.tar.gz
URL:		http://refdb.sourceforge.net
BuildRequires:  perl(Text/Iconv.pm)
Provides:	perl(RefDB.pm)
BuildArch:	noarch
Source44: import.info


%description
Perl component for the MARC and Pubmed import filters.

%prep
%setup -q -n %{module}-%{version}

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor
make

%check
%{__make} test

%install
%makeinstall_std

%files
%doc Changes META.yml
%{perl_vendor_privlib}/RefDB

%changelog
