%define module_name Retry-Backoff
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Algorithm/Backoff/Constant.pm) perl(Algorithm/Backoff/Exponential.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(Log/ger.pm) perl(Pod/Coverage/TrustPod.pm) perl(Test/More.pm) perl(Test/Perl/Critic.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(Time/HiRes.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.002
Release: alt1
Summary: Retry a piece of code, with backoff strategies
Group: Development/Perl
License: perl
URL: https://metacpan.org/release/Retry-Backoff

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PE/PERLANCAR/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This module provides the retry entry elsewhere in this document to retry a piece of code if it dies. Several
backoff (delay between retries) strategies are available from
`Algorithm::Backoff':: modules.

=for Pod::Coverage ^(new|run)$

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE Changes README
%perl_vendor_privlib/R*

%changelog
