%define module_name ReturnValue
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(File/Spec/Functions.pm) perl(Hash/AsObject.pm) perl(Test/More.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.901
Release: alt1
Summary: A structured return value for failure or success
Group: Development/Perl
License: artistic_2
URL: https://github.com/perlreview/returnvalue

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/B/BD/BDFOY/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
The `ReturnValue' class provides a very simple wrapper around a value
so you can tell if it's a success or failure without taking pains to
examine the particular value. Instead of using exceptions, you inspect
the class of the object you get back. Errors and successes flow through
the same path.

This isn't particularly interesting for success values, but can be
helpful with multiple ways to describe an error.

=over 4

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README.pod LICENSE examples
%perl_vendor_privlib/R*

%changelog
