%define module_name Rex-Hook-File-Diff
# BEGIN SourceDeps(oneline):
BuildRequires: perl(English.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Basename.pm) perl(File/Temp.pm) perl(File/Touch.pm) perl(Rex.pm) perl(Rex/Commands/File.pm) perl(Rex/Helper/Run.pm) perl(Rex/Hook.pm) perl(Test/File.pm) perl(Test/Output.pm) perl(Test2/V0.pm) perl(Text/Diff.pm) perl(re.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.3.0
Release: alt1
Summary: show diff of changes for files managed by Rex
Group: Development/Perl
License: perl
URL: http://metacpan.org/release/Rex-Hook-File-Diff/

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/F/FE/FERKI/%{module_name}-v%{version}.tar.gz
BuildArch: noarch

%description
This module allows the Rex manpage to show a diff of changes for the files managed via its built-in file manipulation commands which rely on the file command as a backend:

=over 4

=item file

=item delete_lines_matching

=item delete_lines_according_to

=item append_if_no_such_line

=item append_or_amend_line

=item sed

It uses the `diff' utility if available.

=back

%prep
%setup -q -n %{module_name}-v%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc CONTRIBUTORS README LICENSE Changes
%perl_vendor_privlib/R*

%changelog
