%define module_name Riji
# BEGIN SourceDeps(oneline):
BuildRequires: perl(App/Wallflower.pm) perl(Capture/Tiny.pm) perl(Class/Unload.pm) perl(Encode.pm) perl(Errno.pm) perl(Exporter.pm) perl(File/Copy/Recursive.pm) perl(File/pushd.pm) perl(FindBin.pm) perl(Git/Repository.pm) perl(Git/Repository/FileHistory.pm) perl(HTTP/Date.pm) perl(IPC/Cmd.pm) perl(List/UtilsBy.pm) perl(MIME/Base32.pm) perl(Module/Build/Tiny.pm) perl(Module/Functions.pm) perl(Module/Load.pm) perl(Mouse.pm) perl(Object/Container.pm) perl(Path/Tiny.pm) perl(Plack.pm) perl(Puncheur.pm) perl(Router/Boom.pm) perl(Scope/Guard.pm) perl(String/CamelCase.pm) perl(Test/Mock/Guard.pm) perl(Test/More.pm) perl(Test/Output.pm) perl(Text/Markdown/Discount.pm) perl(Text/Markup/Any.pm) perl(Text/Xslate.pm) perl(Time/Piece.pm) perl(URI.pm) perl(URI/tag.pm) perl(XML/FeedPP.pm) perl(YAML/Tiny.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators /usr/bin/git

Name: perl-%module_name
Version: 0.9.10
Release: alt1
Summary: Simple, git based blog tool
Group: Development/Perl
License: perl
URL: https://github.com/Songmu/p5-Riji

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/S/SO/SONGMU/%{module_name}-v%{version}.tar.gz
BuildArch: noarch

%description
From summary: %summary

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-v%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE Changes README.md
%perl_vendor_privlib/R*
%perl_vendor_privlib/auto/*

%files scripts
%_bindir/*

%changelog
