%define module_name Robots-Validate
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(List/Util.pm) perl(Module/Metadata.pm) perl(Moo.pm) perl(MooX/Const.pm) perl(Net/DNS/Resolver.pm) perl(Net/DNS/Resolver/Mock.pm) perl(Pod/Coverage/TrustPod.pm) perl(Ref/Util.pm) perl(Test/CleanNamespaces.pm) perl(Test/EOL.pm) perl(Test/Fixme.pm) perl(Test/Kwalitee.pm) perl(Test/MinimumVersion.pm) perl(Test/More.pm) perl(Test/Most.pm) perl(Test/NoTabs.pm) perl(Test/Perl/Critic.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(Types/Standard.pm) perl(namespace/autoclean.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.2.4
Release: alt1
Summary: Validate that IP addresses are associated with known robots
Group: Development/Perl
License: artistic_2
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/R/RR/RRWO/%{module_name}-v%{version}.tar.gz
BuildArch: noarch

%description
# ATTRIBUTES

## `resolver`

This is the [Net::DNS::Resolver](https://metacpan.org/pod/Net::DNS::Resolver) used for DNS lookups.

## `robots`

This is an array reference of rules with information about
robots. Each item is a hash reference with the following keys:

- `name`

%prep
%setup -q -n %{module_name}-v%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes LICENSE README.md
%perl_vendor_privlib/R*

%changelog
