%def_without test
%define module_name RocksDB
# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/git bzlib-devel gcc-c++ java-devel-default libcxxabi-devel libgflags-devel libgtest-devel liblz4-devel libnuma-devel librados-devel librocksdb-devel libsnappy-devel libsowing-devel libv8-3.14-devel libzstd-devel lua-devel perl(Cwd.pm) perl(ExtUtils/ParseXS.pm) perl(ExtUtils/Typemaps/Default.pm) perl(Fcntl.pm) perl(File/Temp.pm) perl(FileHandle.pm) perl(IO/Poll.pm) perl(IPC/Open3.pm) perl(Module/Build.pm) perl(Symbol.pm) perl(Test/More.pm) perl(Test/Warn.pm) perl(XSLoader.pm) perl(parent.pm) rpm-build-java zlib-devel
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators
# no librados-devel :(
ExclusiveArch: x86_64 aarch64 ppc64le

Name: perl-%module_name
Version: 0.05
Release: alt3
Summary: Perl extension for RocksDB
Group: Development/Perl
License: bsd
URL: https://github.com/spiritloose/RocksDB

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/J/JI/JIRO/%{module_name}-%{version}.tar.gz

%description
From summary: %summary

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-%{version}

%build
sed -i -e s,-Werror,, vendor/rocksdb/Makefile
%perl_vendor_build


%install
%perl_vendor_install

%files
%doc LICENSE Changes README.md
%perl_vendor_archlib/R*
%perl_vendor_autolib/*

%files scripts
%_man1dir/*
%_bindir/*

%changelog
