%define module_name RxPerl-AnyEvent
# BEGIN SourceDeps(oneline):
BuildRequires: perl(AnyEvent.pm) perl(Module/Build/Tiny.pm) perl(RxPerl.pm) perl(Sub/Util.pm) perl(Test2/V0.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 6.6.0
Release: alt1
Summary: AnyEvent adapter for RxPerl
Group: Development/Perl
License: perl
URL: https://gitlab.com/karjala/rxperl-anyevent-for-perl

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/K/KA/KARJALA/%{module_name}-v%{version}.tar.gz
BuildArch: noarch

%description
RxPerl::AnyEvent is a module that lets you use the the RxPerl manpage Reactive Extensions in your AnyEvent app.

%prep
%setup -q -n %{module_name}-v%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE README.md Changes
%perl_vendor_privlib/R*

%changelog
