%define module_name Ryu-Async
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(Future.pm) perl(IO/Async.pm) perl(IO/Handle.pm) perl(IO/Socket/IP.pm) perl(IPC/Open3.pm) perl(Log/Any.pm) perl(Ryu.pm) perl(Syntax/Keyword/Try.pm) perl(Test/CheckDeps.pm) perl(Test/Deep.pm) perl(Test/Fatal.pm) perl(Test/More.pm) perl(Test/Refcount.pm) perl(URI/tcp.pm) perl(URI/udp.pm) perl(Variable/Disposition.pm) perl(curry.pm) perl(indirect.pm) perl(namespace/clean.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.019
Release: alt1
Summary: IO::Async support for Ryu stream management
Group: Development/Perl
License: perl
URL: https://github.com/team-at-cpan/Ryu-Async

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/T/TE/TEAM/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This is an the IO::Async::Notifier manpage subclass for interacting with the Ryu manpage.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README LICENSE examples
%perl_vendor_privlib/R*

%changelog
