# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(bigint.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define upstream_name    SNMP-Map
%define upstream_version 1.01

Name:       perl-%{upstream_name}
Version:    %{upstream_version}
Release:    alt3_9

Summary:    Tool for drawing network map
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/SNMP/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils/MakeMaker.pm)
BuildRequires: perl(GraphViz.pm)
BuildRequires: perl(Net/SNMP.pm)
BuildArch: noarch
Source44: import.info

%description
The SNMP::Map module is used for drawing network map of hosts which support
SNMP. Spanning Tree root switch can be distinguished by its position and
color. Module provides switches and ports on the picture linked by each
other.You can get various information about switch and its link. Image map
file is also available. So, it can be used to create javascript for
popuping additional info.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes README
%perl_vendor_privlib/*




%changelog
