# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Config.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(SOAP/Lite.pm) perl(SOAP/Transport/HTTP.pm) perl(base.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define upstream_name    SOAP-Lite-SmartProxy
%define upstream_version 0.11

Name:       perl-%{upstream_name}
Version:    %{upstream_version}
Release:    alt3_9

Summary:	SOAP::Transport::HTTPX Server/Client side HTTP Smart Proxy for SOAP::Lite
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://search.cpan.org/CPAN/authors/id/D/DY/DYACOB/%{upstream_name}-%{upstream_version}.tar.bz2

BuildArch:	noarch
Source44: import.info


%description
The SmartProxy package is intended for use in a multi-server
setting where one or more servers may not be directly accessible
to client side scripts. The SmartProxy package makes request
redirection and forwarding on a per class basis easy.  Client
scripts need not know which server is appropriate for a specific
request and may make all requests from a single master server
which can be relied upon to redirect clients to the server
currently fulfilling a given request.  The relieves a maintenance
burden on the client side.  The server may also redirect clients
to a new class name or fully qualified action URI (methods and
arguments are assumed to remain constant however).

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor
%make
make test

%install
%makeinstall_std

%files
%doc Changes README
%{perl_vendor_privlib}/Apache/SmartProxy.pm
%{perl_vendor_privlib}/SOAP/Transport/HTTPX.pm

%changelog
