Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-SQL-Library
Version:        0.0.5
Release:        alt2_27
Summary:        Manage libraries of SQL easily 
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/SQL-Library
Source0:        https://cpan.metacpan.org/authors/id/C/CH/CHRISV/SQL-Library-%{version}.tar.gz
BuildArch:      noarch
# Build
BuildRequires:  rpm-build-perl
BuildRequires:  perl-devel
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
# Runtime
BuildRequires:  perl(strict.pm)
BuildRequires:  perl(warnings.pm)
# Tests
BuildRequires:  perl(Test/More.pm)
Source44: import.info

%description
This is a perl module for managing simple SQL libraries stored in
INI-like files.  It allows developers to maintain the SQL they require 
OUTSIDE of their perl code.

%prep
%setup -q -n SQL-Library-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}

%install
%{makeinstall_std}
# %{_fixperms} %{buildroot}/*
# the better to doc it later...
cp t/sqltest.lib example.lib

%check
make test

%files
%doc --no-dereference LICENSE
%doc Changes README example.lib
%{perl_vendor_privlib}/*

%changelog
