# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(DBD/SQLite.pm) perl(SQL/Abstract.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define upstream_name    SQL-Maker
%define upstream_version 1.21

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %{upstream_version}
Release:    alt1_5

Summary:    Insert multiple rows at once on MySQL
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/SQL/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class/Accessor/Lite.pm)
BuildRequires: perl(DBI.pm)
BuildRequires: perl(Module/Build/Tiny.pm)
BuildRequires: perl(Module/Load.pm)
BuildRequires: perl(SQL/QueryMaker.pm)
BuildRequires: perl(Scalar/Util.pm)
BuildRequires: perl(Test/More.pm)
BuildRequires: perl(Test/Requires.pm)
BuildRequires: perl(Tie/IxHash.pm)
BuildRequires: perl(parent.pm)
BuildArch:  noarch
Source44: import.info

%description
SQL::Maker is yet another SQL builder class. It is based on the
DBIx::Skinny manpage's SQL generator.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
/usr/bin/perl Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml 
%perl_vendor_privlib/*

%changelog
