# BEGIN SourceDeps(oneline):
BuildRequires: perl(CPAN/Meta.pm) perl(Fcntl.pm) perl(File/Spec.pm) perl(Pod/Readme/Brief.pm) perl(Software/LicenseUtils.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define module_name SQL-PatchDAG
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.100
Release: alt1
Summary: A minimal DB schema patch manager
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/A/AR/ARISTOTLE/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This module manages a directory containing SQL files that must be run in
a particular order.
This order is specified implicitly by the contents of the files: each of them
must contain a dependency declaration, which the module provides code to help
maintain.
This provides a merge-friendly way to introduce schema patches in a code base
across multiple branches.

Patch application itself is up the caller.
The module does not talk to a database.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README LICENSE
%perl_vendor_privlib/S*

%changelog
