Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Encode.pm) perl(File/ShareDir.pm) perl(Moose.pm) perl(Moose/Role.pm) perl(Term/ANSIColor.pm) perl(Try/Tiny.pm) perl(YAML/XS.pm) perl-podlators
# END SourceDeps(oneline)
# prints
%add_findreq_skiplist %_bindir/v*
%filter_from_requires /^perl.STD_P6.pm./d
%add_findreq_skiplist %perl_vendor_privlib/CursorBase.pm
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-STD
Version:        20101111
Release:        alt2_23
Summary:        The Standard Perl 6 Grammar
License:        Artistic 2.0
URL:            https://metacpan.org/release/STD
Source0:        https://cpan.metacpan.org/authors/id/S/SO/SOREAR/STD-%{version}.tar.gz
# Remove /usr/bin/env from shebang
Patch0:         STD-20101111-Remove-usr-bin-env-from-shebang.patch
# Enable loading objects from YAML documents, bug #1799856, CPAN RT#132275
Patch1:         STD-20101111-Enable-loading-objects-from-YAML-documents.patch
BuildArch:      noarch
BuildRequires:  rpm-build-perl
BuildRequires:  perl-devel
BuildRequires:  perl
BuildRequires:  perl(base.pm)
BuildRequires:  perl(lib.pm)
BuildRequires:  perl(Module/Build.pm)
BuildRequires:  perl(strict.pm)
BuildRequires:  perl(warnings.pm)
# No tests run
Requires:       perl(File/ShareDir.pm) >= 1.020
Provides:       perl(STD.pm) = %{version}

# Remove under-specified dependencies

# Remove private packages 

Source44: import.info
%filter_from_requires /^perl(File.ShareDir.pm)/d
%filter_from_requires /perl(mangle.pl\|STD_P5\|STD_P6\|RE_ast\|STD.Cursor.pm)/d

%description
%{summary}.

%prep
%setup -q -n STD-%{version}
%patch0 -p1
%patch1 -p1

%build
perl Build.PL installdirs=core
./Build

%install
./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
# %{_fixperms} $RPM_BUILD_ROOT/*

%check
./Build test

%files
%doc LICENSE
%{perl_vendor_privlib}/*
%{_bindir}/*
%{_mandir}/man1/*


%changelog
