%define module_version 1.34
%define module_name SVN-Hooks
# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/svn /usr/bin/svnadmin perl(Carp.pm) perl(Config.pm) perl(Cwd.pm) perl(Data/Util.pm) perl(Encode.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Basename.pm) perl(File/Compare.pm) perl(File/Copy.pm) perl(File/Path.pm) perl(File/Spec/Functions.pm) perl(File/Temp.pm) perl(JIRA/REST.pm) perl(Perl/Critic.pm) perl(Pod/Coverage/TrustPod.pm) perl(SVN/Look.pm) perl(SVN/Notify.pm) perl(Test/Kwalitee.pm) perl(Test/More.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(URI/file.pm) perl(autodie.pm) perl(lib.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.34
Release: alt1
Summary: Framework for implementing Subversion hooks
Group: Development/Perl
License: perl
URL: http://search.cpan.org/dist/SVN-Hooks/

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/G/GN/GNUSTAVO/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
From summary: %summary

%prep
%setup -q -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README.pod examples/README.txt TODO LICENSE examples
%perl_vendor_privlib/S*

%changelog
