%define module_name SVN-Pusher
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Module/Build.pm) perl(SVN/Core.pm) perl(Test/Run/CmdLine/Iface.pm) perl(URI/Escape.pm) perl(base.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.10
Release: alt1
Summary: Propagate changesets between two different svn repositories.
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/S/SH/SHLOMIF/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
See perldoc bin/svn-pusher for more documentation.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release

%description scripts
scripts for %module_name


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build --install_path bindoc=%_man1dir

%install
%perl_vendor_install

%files
%doc Changes.SVN-Push.txt TODO LICENSE Changes README examples
%perl_vendor_privlib/S*

%files scripts
%_man1dir/*
%_bindir/*

%changelog
