# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(CPAN.pm) perl(Cwd.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(Test/More.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define upstream_name    SVN-SVNLook
%define upstream_version 0.04

Name:       perl-%{upstream_name}
Version:    %{upstream_version}
Release:    alt2_9

Summary:    Perl wrapper to the svnlook command
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/SVN/%{upstream_name}-%{upstream_version}.tar.bz2

BuildRequires:  perl(Module/Build.pm)
BuildArch:      noarch
Source44: import.info


%description
SVN::SVNLook runs the command line client. This module was created to make
adding hooks script easier to manipulate.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
for file in `find lib -type f` Changes README; do
    chmod 644 $file
    perl -pi -e 'tr/\r//d' $file
done

%build
/usr/bin/perl Build.PL installdirs=vendor
./Build

%check
./Build test

%install
./Build install destdir=%{buildroot}

%files
%doc Changes README
%{perl_vendor_privlib}/SVN




%changelog
