Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(File/Spec/Unix.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-SVN-Simple
Version:        0.28
Release:        alt2_27
Summary:        A simple interface for writing a delta editor
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/SVN-Simple
Source0:        https://cpan.metacpan.org/modules/by-module/SVN/SVN-Simple-%{version}.tar.gz
# Retrieved from upstream bugtracker:
# http://rt.cpan.org/Ticket/Attachment/716566/369865/deep.diff
# http://rt.cpan.org/Public/Bug/Display.html?id=51087
Patch0:         perl-SVN-Simple-test.patch
BuildArch:      noarch
BuildRequires:  rpm-build-perl
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(Test/More.pm)
BuildRequires:  perl(SVN/Core.pm)
Source44: import.info

%description 
SVN::Simple::Edit wraps the subversion delta editor with
a perl friendly interface and then you could easily drive it for
describing changes to a tree. A common usage is to wrap the commit
editor, so you could make commits to a subversion repository easily.

%prep
%setup -q -n SVN-Simple-%{version}

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w $RPM_BUILD_ROOT/*

%check
make test

%files
%doc CHANGES README
%{perl_vendor_privlib}/*

%changelog
