%define module_name Sah-Schemas-Float
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(Pod/Coverage/TrustPod.pm) perl(Test/More.pm) perl(Test/Perl/Critic.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.011
Release: alt1
Summary: Sah schemas for various floating types
Group: Development/Perl
License: perl
URL: https://metacpan.org/release/Sah-Schemas-Float

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PE/PERLANCAR/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
NAME
    Sah::Schemas::Float - Sah schemas for various floating types

VERSION
    This document describes version 0.001 of Sah::Schemas::Float (from Perl
    distribution Sah-Schemas-Float), released on 2017-08-10.

SAH SCHEMAS
    *   percent

        A float.

        This type is basically "float", with "str_as_percent" coerce rule.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE README Changes
%perl_vendor_privlib/D*
%perl_vendor_privlib/S*

%changelog
