Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-Scriptalicious
Version:        1.17
Release:        alt2_21
Summary:        Make scripts more delicious to system administrators
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Scriptalicious
Source0:        https://cpan.metacpan.org/authors/id/S/SA/SAMV/Scriptalicious-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl-devel
BuildRequires:  rpm-build-perl
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
# Run-time:
BuildRequires:  perl(base.pm)
BuildRequires:  perl(Carp.pm)
BuildRequires:  perl(Exporter.pm)
BuildRequires:  perl(Getopt/Long.pm)
BuildRequires:  perl(POSIX.pm)
BuildRequires:  perl(strict.pm)
BuildRequires:  perl(warnings.pm)
# Optional run-time:
BuildRequires:  perl(Template.pm)
BuildRequires:  perl(Time/HiRes.pm)
BuildRequires:  perl(YAML.pm)
# Term::ReadKey not used at tests
# Tests:
BuildRequires:  perl(lib.pm)
BuildRequires:  perl(Test/More.pm)
BuildRequires:  perl(vars.pm)
Requires:       perl(Exporter.pm)
# Optional run-time:
Requires:       perl(Term/ReadKey.pm)
Source44: import.info

%description
This module helps you write scripts that conform to best common practices,
quickly.

%prep
%setup -q -n Scriptalicious-%{version}
mv Changes{.pod,}
sed -i -e '/^Changes.pod$/d' MANIFEST

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
# %{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc Changes README
%{perl_vendor_privlib}/*

%changelog
