# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define upstream_name    Search-Dict
%define upstream_version 1.07

Name:       perl-%{upstream_name}
Version:    %{upstream_version}
Release:    alt1_13

Summary:    Search a dictionary ordered text file
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Search/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Exporter.pm)
BuildRequires: perl(ExtUtils/MakeMaker.pm)
BuildRequires: perl(Test/More.pm)
BuildRequires: perl(Tie/Handle.pm)
BuildArch: noarch
Source44: import.info

%description
Sets file position in FILEHANDLE to be first line greater than or equal
(stringwise) to _$key_. Returns the new file position, or -1 if an error
occurs.

The flags specify dictionary order and case folding:

If _$dict_ is true, search by dictionary order (ignore anything but word
characters and whitespace). The default is honour all characters.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc META.json META.yml Changes
%perl_vendor_privlib/*




%changelog
