%define module_name Search-Elasticsearch-Cxn-NetCurl
Epoch: 1
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Cpanel/JSON/XS.pm) perl(HTTP/Parser/XS.pm) perl(JSON/PP.pm) perl(JSON/XS.pm) perl(Log/Any/Adapter.pm) perl(Log/Any/Adapter/Callback.pm) perl(MIME/Base64.pm) perl(Moo.pm) perl(Net/Curl/Easy.pm) perl(Search/Elasticsearch.pm) perl(Search/Elasticsearch/Error.pm) perl(Search/Elasticsearch/Role/Cxn.pm) perl(Search/Elasticsearch/Role/Is_Sync.pm) perl(Search/Elasticsearch/TestServer.pm) perl(Sub/Exporter.pm) perl(Test/Deep.pm) perl(Test/EOL.pm) perl(Test/Exception.pm) perl(Test/NoTabs.pm) perl(Test/Pod.pm) perl(Test/SharedFork.pm) perl(Try/Tiny.pm) perl(namespace/clean.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 7.713
Release: alt1
Summary: A Cxn implementation which uses libcurl via Net::Curl
Group: Development/Perl
License: see LICENSE
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/E/EZ/EZIMUEL/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Provides an HTTP Cxn class based on the Net::Curl manpage.
The `NetCurl' Cxn class is very fast and uses persistent connections but
requires XS and `libcurl'.

This class does the Search::Elasticsearch::Role::Cxn manpage, whose documentation
provides more information.
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README LICENSE
%perl_vendor_privlib/S*

%changelog
