# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Module/Build.pm) perl(namespace/autoclean.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define upstream_name    Search-GIN
%define upstream_version 0.11

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %{upstream_version}
Release:    alt1_6

Summary:    Generalized Inverted Indexing for Perl
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Search/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp.pm)
BuildRequires: perl(Data/Stream/Bulk/Util.pm)
BuildRequires: perl(ExtUtils/MakeMaker.pm)
BuildRequires: perl(File/Find.pm)
BuildRequires: perl(File/Temp.pm)
BuildRequires: perl(MRO/Compat.pm)
BuildRequires: perl(Moose.pm)
BuildRequires: perl(Moose/Role.pm)
BuildRequires: perl(MooseX/Types/Set/Object.pm)
BuildRequires: perl(Scalar/Util.pm)
BuildRequires: perl(Scope/Guard.pm)
BuildRequires: perl(Set/Object.pm)
BuildRequires: perl(Test/Deep/NoTest.pm)
BuildRequires: perl(Test/More.pm)
BuildRequires: perl(Test/TempDir.pm)
BuildRequires: perl(Test/TempDir/Tiny.pm)
BuildRequires: perl(constant.pm)
BuildRequires: perl(namespace/clean.pm)
BuildRequires: perl(ok.pm)
BuildRequires: perl(overload.pm)
BuildArch:  noarch
Source44: import.info

%description
This is used by the KiokuDB manpage for custom indexing.

More documentation will be released shortly.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor
%{make}

%check
%{make} test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.yml README
%perl_vendor_privlib/*


%changelog
