# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(CPAN.pm) perl(HTTP/Date.pm) perl(HTTP/Response.pm) perl(JSON.pm) perl(Module/Build.pm) perl(Net/FTP.pm) perl(Parse/CPAN/Meta.pm) perl(URI.pm) perl(YAML/Tiny.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define upstream_name    Search-Sitemap
%define upstream_version 2.13

Name:       perl-%{upstream_name}
Version:    %{upstream_version}
Release:    alt1_11

Summary:    Perl extension for managing Search Engine Sitemaps 
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Wx/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp.pm)
BuildRequires: perl(Class/Trigger.pm)
BuildRequires: perl(DateTime.pm)
BuildRequires: perl(ExtUtils/MakeMaker.pm)
BuildRequires: perl(HTML/Entities.pm)
BuildRequires: perl(inc/Module/Install.pm)
BuildRequires: perl(IO/File.pm)
BuildRequires: perl(IO/Zlib.pm)
BuildRequires: perl(LWP/UserAgent.pm)
BuildRequires: perl(Module/Find.pm)
BuildRequires: perl(Moose.pm)
BuildRequires: perl(Moose/Util/TypeConstraints.pm)
BuildRequires: perl(MooseX/ClassAttribute.pm)
BuildRequires: perl(MooseX/Types.pm)
BuildRequires: perl(MooseX/Types/Moose.pm)
BuildRequires: perl(MooseX/Types/URI.pm)
BuildRequires: perl(POSIX.pm)
BuildRequires: perl(Test/Mock/LWP/UserAgent.pm)
BuildRequires: perl(Test/Most.pm)
BuildRequires: perl(XML/Parser.pm)
BuildRequires: perl(XML/Twig.pm)
BuildRequires: perl(namespace/clean.pm)
BuildRequires: perl(ok.pm)
BuildRequires: perl(Test/use/ok.pm)
BuildRequires: perl(MooseX/Types/URI.pm)
BuildRequires: perl(Test/Mock/LWP.pm)
BuildArch:  noarch
Source44: import.info

%description
Perl extension for managing Search Engine Sitemaps 

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%makeinstall_std

%files
%doc Changes META.yml README
%perl_vendor_privlib/*


%changelog
