%define module_name Selenium-Client
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Capture/Tiny.pm) perl(Carp.pm) perl(DateTime/Format/HTTP.pm) perl(Encode.pm) perl(Encode/CN.pm) perl(Encode/JP.pm) perl(Encode/KR.pm) perl(Encode/TW.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Basename.pm) perl(File/HomeDir.pm) perl(File/Path.pm) perl(File/Slurper.pm) perl(File/Spec.pm) perl(File/Which.pm) perl(Getopt/Long.pm) perl(HTML/Parser.pm) perl(HTTP/Tiny.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(JSON/MaybeXS.pm) perl(List/Util.pm) perl(Moo.pm) perl(Net/EmptyPort.pm) perl(Pod/Coverage/TrustPod.pm) perl(Pod/Usage.pm) perl(Sub/Install.pm) perl(Test/CPAN/Changes.pm) perl(Test/CPAN/Meta.pm) perl(Test/CPAN/Meta/JSON.pm) perl(Test/EOL.pm) perl(Test/Kwalitee.pm) perl(Test/MinimumVersion.pm) perl(Test/Mojibake.pm) perl(Test/More.pm) perl(Test/NoTabs.pm) perl(Test/Perl/Critic.pm) perl(Test/Pod.pm)
BuildRequires: perl(Test/Pod/Coverage.pm) perl(Test/Synopsis.pm) perl(Test/Version.pm) perl(Unicode/Normalize.pm) perl(XML/LibXML.pm) perl(feature.pm) perl(parent.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.05
Release: alt1
Summary: Module for communicating with WC3 standard selenium servers
Group: Development/Perl
License: mit
URL: https://github.com/troglodyne-internet-widgets/selenium-client-perl

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/T/TE/TEODESIAN/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This archive contains the distribution Selenium-Client,

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %EVR

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE README.md README Changes
%perl_vendor_privlib/S*

%files scripts
%_man1dir/*
%_bindir/*

%changelog
