%define module_name Sentry-SDK
# BEGIN SourceDeps(oneline):
BuildRequires: perl(CGI/Application.pm) perl(Clone.pm) perl(DBD/SQLite.pm) perl(DBI.pm) perl(HTTP/Status.pm) perl(LWP/Simple.pm) perl(List/Util.pm) perl(Module/Build/Tiny.pm) perl(Mojolicious.pm) perl(Perl/Critic.pm) perl(Readonly.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(Test/Spec.pm) perl(Time/HiRes.pm) perl(Try/Tiny.pm) perl(UUID/Tiny.pm) perl(experimental.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.0.10
Release: alt1
Summary: sentry.io integration
Group: Development/Perl
License: perl
URL: https://github.com/heiseonline/perl-sentry-sdk

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PM/PMB/%{module_name}-v%{version}.tar.gz
BuildArch: noarch

%description
From summary: %summary

%prep
%setup -q -n %{module_name}-v%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes LICENSE README docs examples
%perl_vendor_privlib/S*
%perl_vendor_privlib/M*
%perl_vendor_privlib/C*

%changelog
