%define module_name Set-IntervalTree
# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++ libsowing-devel perl(AutoLoader.pm) perl(Carp.pm) perl(Exporter.pm) perl(ExtUtils/CppGuess.pm) perl(ExtUtils/MakeMaker.pm) perl(Test/More.pm) perl(Test/Pod.pm) perl(XSLoader.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.12
Release: alt3
Summary: Perform range-based lookups on sets of ranges.
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/S/SL/SLOYD/%{module_name}-%{version}.tar.gz

%description
Set::IntervalTree uses Interval Trees to store and efficiently 
look up ranges using a range-based lookup.

All intervals are half-open, i.e. [1,3), [2,6), etc.


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE README Changes
%perl_vendor_archlib/S*
%perl_vendor_autolib/*

%changelog
