# BEGIN SourceDeps(oneline):
BuildRequires: perl(AutoLoader.pm) perl(DynaLoader.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm)
# END SourceDeps(oneline)
%define module_version 1.0
%define module_name SetDualVar
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.0
Release: alt6
Summary: perl module %module_name
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/K/KJ/KJALB/%{module_name}-%{module_version}.tar.gz

%description
From summary: %summary

%prep
%setup -n %{module_name}-%{module_version}
# perl xs deprecated code: [Tt]ypemap, *.xs
perl -pi -e 'for my $c (qw(yes no undef)) { s/\bsv_$c\b/PL_sv_$c/}' `egrep -rl '(sv_yes|sv_no|sv_undef)' .`
perl -pi -e 's!,\s*na\s*\)!, PL_na)!' *.xs *ypemap


%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README
%perl_vendor_archlib/S*
%perl_vendor_autolib/*

%changelog
