%define module_name SkewHeap
# BEGIN SourceDeps(oneline):
BuildRequires: libsowing-devel perl(Carp.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(Test/LeakTrace.pm) perl(Test2/V0.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.05
Release: alt3
Summary: A fast heap structure for Perl
Group: Development/Perl
License: perl
URL: https://github.com/sysread/SkewHeap

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/J/JE/JEFFOBER/%{module_name}-%{version}.tar.gz

%description
A skew heap is a memory efficient, self-adjusting heap (or priority queue) with
an amortized performance of O(log n) (or better). `SkewHeap' is implemented in
C (using the Inline::C manpage).

The key feature of a skew heap is the ability to quickly and efficiently merge
two heaps together.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install
rm -f %buildroot%perl_vendor_privlib/scratch.pl
rm -f %buildroot%perl_vendor_archlib/README.pod

%files
%doc Changes README.pod
%perl_vendor_archlib/S*
%perl_vendor_autolib/S*

%changelog
