# BEGIN SourceDeps(oneline):
BuildRequires: perl(AutoLoader.pm) perl(DynaLoader.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(Socket.pm)
# END SourceDeps(oneline)
%define module_version 0.03
%define module_name Socket-PassAccessRights
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.03
Release: alt6
Summary: Perl extension for BSD style file descriptor
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/S/SA/SAMPO/%module_name-%module_version.tar.gz

%description
Implements passing access rights (i.e. file descritors) over Unix
domain sockets. Only one fd can be passed at one time and no other
data can be sent in the same operation (operation itself involves
sending exactly one byte of data to solve EOF detection anomaly).

See test.pl and examples directory for usage examples.


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README.txt examples
%perl_vendor_archlib/S*
%perl_vendor_autolib/*

%changelog
