# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(Data/Dumper.pm) perl(Date/Calc.pm) perl(Date/Parse.pm) perl(Encode.pm) perl(Encode/CN.pm) perl(Encode/JP.pm) perl(Encode/KR.pm) perl(Encode/TW.pm) perl(File/Basename.pm) perl(File/Find.pm) perl(File/Path.pm) perl(File/Touch.pm) perl(Getopt/Long.pm) perl(HTML/TreeBuilder.pm) perl(JSON.pm) perl(LWP/Protocol/https.pm) perl(LWP/Simple.pm) perl(List/MoreUtils.pm) perl(Module/Build.pm) perl(Module/Pluggable.pm) perl(POSIX.pm) perl(Storable.pm) perl(Test/More.pm) perl(Text/Unidecode.pm) perl(Tie/IxHash.pm) perl(Time/HiRes.pm) perl(Try/Tiny.pm) perl(boolean.pm) perl(experimental.pm) perl(parent.pm)
# END SourceDeps(oneline)
%def_without test
%define module_name Sport-Analytics-NHL
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.40
Release: alt1
Summary: Interface to the National Hockey League data
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/R/RO/ROMM/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Crawl data from NHL.com and put it into a database.

Crawls the NHL.com website, processes the game reports and stores them into a Mongo database or into the filesystem.

    use Sport::Analytics::NHL;

    my $nhl = Sport::Analytics::NHL->new();
    $nhl->scrape_games();
    ...

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %EVR

%description scripts
scripts for %module_name
    # more functionality to be added in later releases.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/S*

%files scripts
%_bindir/*
%_man1dir/*

%changelog
