Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-Spreadsheet-ParseExcel-Simple
Version:        1.04
Release:        alt2_37
Summary:        Simple interface to Excel data
License:        GPLv2+
URL:            https://metacpan.org/release/Spreadsheet-ParseExcel-Simple
Source0:        https://cpan.metacpan.org/authors/id/T/TM/TMTM/Spreadsheet-ParseExcel-Simple-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  rpm-build-perl
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(Spreadsheet/ParseExcel.pm)
BuildRequires:  perl(Test/More.pm)
# optional tests
BuildRequires:  perl(File/Temp.pm)
BuildRequires:  perl(Spreadsheet/WriteExcel/Simple.pm)
BuildRequires:  perl(Test/Pod.pm)
BuildRequires:  perl(Test/Pod/Coverage.pm)
Source44: import.info

%description
This library provides a simple abstraction of the Spreadsheet::ParseExcel 
module, for a kinder, gentler interface.

%prep
%setup -q -n Spreadsheet-ParseExcel-Simple-%{version}

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install
make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;
# %{_fixperms} %{buildroot}/*

%check
make test

%files
%doc Changes README test.xls t/
%{perl_vendor_privlib}/*

%changelog
