Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(File/Temp.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-Spreadsheet-WriteExcel-Simple
Version:        1.04
Release:        alt3_37
Summary:        Simple single-sheet Excel document creator
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Spreadsheet-WriteExcel-Simple
Source0:        https://cpan.metacpan.org/authors/id/T/TM/TMTM/Spreadsheet-WriteExcel-Simple-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  rpm-build-perl
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(IO/Scalar.pm)
BuildRequires:  perl(Spreadsheet/WriteExcel.pm)
BuildRequires:  perl(Test/More.pm)
# optional tests
BuildRequires:  perl(Spreadsheet/ParseExcel.pm)
BuildRequires:  perl(Test/Pod.pm)
BuildRequires:  perl(Test/Pod/Coverage.pm)
Source44: import.info

%description
This library provides a simple abstraction of the Spreadsheet::WriteExcel
module, for a kinder, gentler method of creating simple single-sheet Excel
documents.

%prep
%setup -q -n Spreadsheet-WriteExcel-Simple-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install
make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} + 
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;
# %{_fixperms} %{buildroot}/*

%check
make test

%files
%doc Changes README t/
%{perl_vendor_privlib}/*

%changelog
