# BEGIN SourceDeps(oneline):
BuildRequires: perl(CPAN.pm) perl(Config.pm) perl(Cwd.pm) perl(ExtUtils/MM_Unix.pm) perl(ExtUtils/MakeMaker.pm) perl(ExtUtils/Manifest.pm) perl(File/Basename.pm) perl(File/Find.pm) perl(FileHandle.pm) perl(Module/Build.pm) perl(Test/More.pm) perl(XSLoader.pm) perl(YAML/Tiny.pm)
# END SourceDeps(oneline)
%define module_version 0.01
%define module_name StackTrace-HiPerf
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.01
Release: alt6
Summary: High performance stacktraces
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/J/JD/JDV/%module_name-%module_version.tar.gz

%description
This module's purpose is to provide the most efficient way to generate a
stacktrace.  The traces it generates are delimited strings.  Each entry
contains the line number and the file name of the sub or eval invocation.

An example trace could look like this "79|Foo.pm||34|Bar.pm||56|Baz.pm||".

As its implemented now this module isn't very flexible or general purpose.
If generalizing it proves useful then that may happen in the future.


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README
%perl_vendor_archlib/S*
%perl_vendor_autolib/*

%changelog
