%define module_name Starlight
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Config.pm) perl(Digest/MD5.pm) perl(English.pm) perl(Errno.pm) perl(Fcntl.pm) perl(File/ShareDir.pm) perl(FindBin.pm) perl(HTTP/Date.pm) perl(HTTP/Request.pm) perl(HTTP/Request/Common.pm) perl(HTTP/Status.pm) perl(HTTP/Tiny.pm) perl(IO/Socket/INET.pm) perl(IO/Socket/IP.pm) perl(IO/Socket/SSL.pm) perl(IO/Socket/UNIX.pm) perl(List/Util.pm) perl(Module/Build.pm) perl(Net/SSLeay.pm) perl(Plack.pm) perl(Socket.pm) perl(Test/More.pm) perl(Test/TCP.pm) perl(Time/HiRes.pm) perl(Try/Tiny.pm) perl(base.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.0400
Release: alt1
Summary: a light and pure-Perl PSGI/Plack HTTP server with pre-forks
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/D/DE/DEXTER/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Starlight is a standalone HTTP/1.1 server with keep-alive support. It uses
pre-forking. It is pure-Perl implementation which doesn't require any XS
package.

Starlight was started as a fork of the Thrall manpage server which is a fork of
the Starlet manpage server. It has almost the same code as the Thrall manpage and the Starlet manpage and
it was adapted to doesn't use any other modules than the Plack manpage.

Starlight is created for Unix-like systems but it should also work on Windows
with some limitations.

=for readme stop

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release

%description scripts
scripts for %module_name


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build --install_path bindoc=%_man1dir

%install
%perl_vendor_install

%files
%doc README.md Changes LICENSE README examples
%perl_vendor_privlib/S*
%perl_vendor_privlib/P*

%files scripts
%_man1dir/*
%_bindir/*

%changelog
