%define module_name Starlink-ATL
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Astro/Coords.pm) perl(Astro/FITS/CFITSIO.pm) perl(Astro/PAL.pm) perl(Exporter.pm) perl(IO/File.pm) perl(Module/Build.pm) perl(Pod/Usage.pm) perl(Starlink/AST.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.05
Release: alt1
Summary: Perl tools for Starlink's AST library
Group: Development/Perl
License: gpl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/G/GS/GSB/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
From summary: %summary

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %EVR

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/S*

%files scripts
%_bindir/*
%_man1dir/*

%changelog
