Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(LWP/Simple.pm) perl(Module/Build/Tiny.pm) perl(Path/Class.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-String-Diff
Version:        0.07
Release:        alt2_18
Summary:        Simple diff to String
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/String-Diff
Source0:        https://cpan.metacpan.org/authors/id/Y/YA/YAPPO/String-Diff-%{version}.tar.gz
# ghpr#3
Patch0:         String-Diff-0.07-podspell.patch
Patch1:         String-Diff-0.07-Fix-the-test-suite-for-YAML-1.21-compatibility.patch
BuildArch:      noarch
# Build
BuildRequires:  perl-devel
BuildRequires:  rpm-build-perl
BuildRequires:  perl(inc/Module/Install.pm)
BuildRequires:  perl(Module/Install/GithubMeta.pm)
BuildRequires:  perl(Module/Install/ReadmeFromPod.pm)
BuildRequires:  perl(Module/Install/ReadmeMarkdownFromPod.pm)
BuildRequires:  perl(Module/Install/Repository.pm)
BuildRequires:  perl(YAML.pm)
# Runtime
BuildRequires:  perl(Algorithm/Diff.pm)
# Preferred but currently unavailable:
# BuildRequires:  perl(Algorithm::Diff::XS)
BuildRequires:  perl(base.pm)
BuildRequires:  perl(Exporter.pm)
BuildRequires:  perl(strict.pm)
BuildRequires:  perl(warnings.pm)
# Tests only
BuildRequires:  perl(Test/Base.pm)
BuildRequires:  perl(Test/More.pm)
BuildRequires:  perl(utf8.pm)
# Optional tests only
BuildRequires:  perl(Test/Perl/Critic.pm)
BuildRequires:  perl(Test/Pod.pm)
BuildRequires:  perl(Test/Spelling.pm)
Requires:       perl(Algorithm/Diff.pm)
# The XS variant is preferred by default, with PP as a fallback:
Requires:     perl(Algorithm/Diff/XS.pm)
Source44: import.info

%description
String::Diff is the difference of a consecutive string is made. after
general diff is done, the difference in the line is searchable.

%prep
%setup -q -n String-Diff-%{version}
%patch0 -p1
%patch1 -p1

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
%make_build

%install
make pure_install DESTDIR=%{buildroot}
# %{_fixperms} %{buildroot}/*

%files
%doc --no-dereference LICENSE
%doc Changes README
%{perl_vendor_privlib}/*

%changelog
