%define module_version 0.08
%define module_name String-Slice
%define _without_test 1
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Benchmark.pm) perl(Config.pm) perl(Data/Dumper.pm) perl(Digest/MD5.pm) perl(DynaLoader.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(Fcntl.pm) perl(File/Path.pm) perl(File/Share.pm) perl(File/Spec/Unix.pm) perl(FindBin.pm) perl(Inline/C/Parser/RecDescent.pm) perl(Inline/MakeMaker.pm) perl(Scalar/Util.pm) perl(Socket.pm) perl(Test/More.pm) perl(Test/Pod.pm) perl(base.pm) perl(if.pm) perl(open.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.08
Release: alt5
Summary: Shared Memory Slices of Bigger Strings
Group: Development/Perl
License: perl
URL: https://github.com/ingydotnet/string-slice-pm

Source0: http://cpan.org.ua/authors/id/I/IN/INGY/%{module_name}-%{module_version}.tar.gz

%description
Processing large strings in Perl is inefficient because to access any smaller
portion of a buffer you need to make a copy of that portion.

This module lets you make a string scalar point to a portion of the content of
another string scalar.

The primary goal of this module is to make the parsing large data much faster
in Perl.


%prep
%setup -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README LICENSE Changes
%perl_vendor_archlib/S*
%perl_vendor_autolib/*

%changelog
