# BEGIN SourceDeps(oneline):
BuildRequires: perl(Data/Printer.pm) perl(ExtUtils/MakeMaker.pm) perl(String/Validator/Common.pm) perl(String/Validator/Password.pm) perl(Test/More.pm) perl(Test/Pod.pm)
# END SourceDeps(oneline)
%define module_name String-Validator-Language
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 2.00
Release: alt1
Summary: Languages for String::Validator
Group: Development/Perl
License: gpl
URL: https://github.com/brainbuz/String-Validator

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/B/BR/BRAINBUZ/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
my $TranslatedValidator =
     String::Validator::SomeValidator->new(
         language=> String::Validator::Language::CHACKOBSA->new );

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE Changes README
%perl_vendor_privlib/S*

%changelog
