%define module_name Sub-MultiMethod
# BEGIN SourceDeps(oneline):
BuildRequires: perl(B.pm) perl(Carp.pm) perl(Class/Tiny.pm) perl(Exporter/Shiny.pm) perl(ExtUtils/MakeMaker.pm) perl(Role/Hooks.pm) perl(Role/Tiny.pm) perl(Sub/Name.pm) perl(Sub/Util.pm) perl(Test/Fatal.pm) perl(Test/More.pm) perl(Test/Requires.pm) perl(Type/Params.pm) perl(Types/Standard.pm) perl(mro.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.902
Release: alt1
Summary: yet another implementation of multimethods
Group: Development/Perl
License: perl
URL: https://metacpan.org/release/Sub-MultiMethod

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/T/TO/TOBYINK/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Sub::Multimethod focusses on implementing the dispatching of multimethods
well and is less concerned with providing a nice syntax for setting them
up. That said, the syntax provided is inspired by Moose's `has' keyword
and hopefully not entirely horrible.

Sub::MultiMethod has much smarter dispatching than the Kavorka manpage, but the
tradeoff is that this is a little slower. Overall, for the JSON example
in the SYNOPSIS, Kavorka is about twice as fast. (But with Kavorka, it
would quote the numbers in the output because numbers are a type of string,
and that was declared first!)

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc COPYRIGHT Changes CREDITS README LICENSE examples
%perl_vendor_privlib/S*

%changelog
