# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(Exporter/Shiny.pm) perl(ExtUtils/MakeMaker.pm) perl(Role/Hooks.pm) perl(Role/Tiny.pm) perl(Scalar/Util.pm) perl(Sub/Name.pm) perl(Sub/Util.pm) perl(Test/More.pm) perl(Type/Params.pm) perl(Types/Standard.pm) perl(parent.pm) perl(sort.pm)
# END SourceDeps(oneline)
%define module_name Sub-SymMethod
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.005
Release: alt1
Summary: symbiotic method; methods that act a little like BUILD and DEMOLISH
Group: Development/Perl
License: perl
URL: https://metacpan.org/release/Sub-SymMethod

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/T/TO/TOBYINK/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Sub::SymMethod creates hierarchies of methods so that when you call one,
all the methods in the inheritance chain (including ones defined in roles)
are invoked.

They are invoked from the most basal class to the most derived class.
Methods defined in roles are invoked before methods defined in the class
they were composed into.

This is similar to how the `BUILD' and `DEMOLISH' methods are invoked
in the Moo manpage, the Moose manpage, and the Mouse manpage. (You should *not* use this module to
define `BUILD' and `DEMOLISH' methods though, as Moo/Moose/Mouse already
includes all the plumbing to ensure that they are called correctly. This
module is instead intended to allow you to define your own methods which
behave similarly.)

You can think of "symmethod" as being short for "symbiotic method",
"syncretic method", or "synarchy of methods".

If you are familiar with multi methods, you can think
of a symmethod as a multi method where instead of picking one "winning"
candidate to dispatch to, the dispatcher dispatches to as many candidates
as it can find!

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes CREDITS LICENSE README COPYRIGHT
%perl_vendor_privlib/S*

%changelog
