BuildRequires: xvfb-run
# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++ libsowing-devel perl(Data/Dumper.pm) perl(ExtUtils/MakeMaker.pm) perl(Module/Load/Conditional.pm) perl(Template.pm) perl(Term/ANSIColor.pm) perl(Test/More.pm) perl(Time/HiRes.pm) perl(Wx.pm) perl(Wx/DND.pm) perl(Wx/Event.pm) perl(XML/TokeParser.pm)
# END SourceDeps(oneline)
%def_without test
%define module_name Syntax-Kamelon
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.19
Release: alt3
Summary: A versatile and fully programmable textual content parser that is extremely well suited for syntax ...
Group: Development/Perl
License: gpl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/H/HA/HANJE/%{module_name}-%{version}.tar.gz

%description
Kamelon is based on the syntax highlighting and code folding algorithms used in the Kate texteditor
of the KDE desktop. It replaces and supercedes Syntax::Highlight::Engine::Kate.

This is a rewrite and not backwards compatible with Syntax::Highlight::Engine::Kate.

Instead of using plugin modules it loads Kate's syntax
highlight definition xml files directly. That makes development and testing a lot easier. It
also opens up a new field of applications like creating your own highlight definitions to 
neatly format your reports. Tons of bugs have been removed. Testing has been redesigned. 
It runs about four times faster than version 0.10 and is up to spec with the latest Kate 
highlight definitions.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%{expand:%%global __find_requires xvfb-run -a %__find_requires}

%files
%doc LICENSE Changes README.md
%perl_vendor_archlib/S*
%perl_vendor_autolib/*

%changelog
