Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-Sys-Path
Version:        0.16
Release:        alt2_12
Summary:        Supply autoconf style installation directories
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Sys-Path
Source0:        https://cpan.metacpan.org/modules/by-module/Sys/Sys-Path-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  coreutils
BuildRequires:  findutils
BuildRequires:  rpm-build-perl
BuildRequires:  perl-devel
BuildRequires:  perl(base.pm)
BuildRequires:  perl(Capture/Tiny.pm)
BuildRequires:  perl(Carp.pm)
BuildRequires:  perl(Config.pm)
BuildRequires:  perl(Cwd.pm)
BuildRequires:  perl(Digest/MD5.pm)
BuildRequires:  perl(ExtUtils/Install.pm)
BuildRequires:  perl(File/Path.pm)
BuildRequires:  perl(File/Spec.pm)
BuildRequires:  perl(File/Temp.pm)
BuildRequires:  perl(FindBin.pm)
BuildRequires:  perl(JSON/Util.pm)
BuildRequires:  perl(lib.pm)
BuildRequires:  perl(List/MoreUtils.pm)
BuildRequires:  perl(Module/Build.pm)
BuildRequires:  perl(strict.pm)
BuildRequires:  perl(Test/Differences.pm)
BuildRequires:  perl(Test/Exception.pm)
BuildRequires:  perl(Test/More.pm)
BuildRequires:  perl(Text/Diff.pm)
BuildRequires:  perl(warnings.pm)
Source44: import.info

%description
The goal is that Sys::Path provides autoconf style system paths.

%prep
%setup -q -n Sys-Path-%{version}

%build
PERL_MM_USE_DEFAULT=1 /usr/bin/perl Build.PL installdirs=vendor 
./Build

%install
./Build install destdir=$RPM_BUILD_ROOT create_packlist=0

# %{_fixperms} $RPM_BUILD_ROOT/*

%check
./Build test

%files
%doc Changes README
%{perl_vendor_privlib}/*

%changelog
