Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-TAP-Harness-Multiple
Version:        0.07
Release:        alt2_26
Summary:        TAP::Harness::Multiple Perl module
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/TAP-Harness-Multiple
Source0:        https://cpan.metacpan.org/modules/by-module/TAP/TAP-Harness-Multiple-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  rpm-build-perl
BuildRequires:  perl-devel
BuildRequires:  perl(base.pm)
BuildRequires:  perl(Carp.pm)
BuildRequires:  perl(Cwd.pm)
BuildRequires:  perl(Data/Dumper.pm)
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(File/Basename.pm)
BuildRequires:  perl(File/Copy.pm)
BuildRequires:  perl(File/Path.pm)
BuildRequires:  perl(File/Spec.pm)
BuildRequires:  perl(File/Temp.pm)
BuildRequires:  perl(IO/CaptureOutput.pm)
BuildRequires:  perl(lib.pm)
BuildRequires:  perl(strict.pm)
BuildRequires:  perl(TAP/Harness.pm)
BuildRequires:  perl(TAP/Harness/Archive.pm)
BuildRequires:  perl(TAP/Parser/Aggregator.pm)
BuildRequires:  perl(Test/Harness.pm)
BuildRequires:  perl(Test/More.pm)
BuildRequires:  perl(Test/Simple.pm)
BuildRequires:  perl(warnings.pm)



Source44: import.info

%description
This module includes packages for extending the functionality of the
TAP::Harness and TAP::Harness::Archive modules from CPAN.

%prep
%setup -q -n TAP-Harness-Multiple-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
%make_build

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
# %{_fixperms} $RPM_BUILD_ROOT

%check
make test

%files
%doc --no-dereference LICENSE
%doc Changes README Todo
%{perl_vendor_privlib}/TAP/Harness/*


%changelog
