%define module_name TOML-XS
# BEGIN SourceDeps(oneline):
BuildRequires: libsowing-devel perl(Devel/PPPort.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Temp.pm) perl(Test/Deep.pm) perl(Test/FailWarnings.pm) perl(Test/More.pm) perl(Types/Serialiser.pm) perl(XSLoader.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.04
Release: alt2
Summary: Turbo-charged L<TOML|https://toml.io> parsing!
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/F/FE/FELIPE/%{module_name}-%{version}.tar.gz

%description
This module facilitates parsing of TOML documents in Perl via XS,
which can yield dramatic performance gains relative to pure-Perl TOML
libraries.

It is currently implemented as a wrapper around the
tomlc99 C library.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.md Changes LICENSE examples
%perl_vendor_archlib/T*
%perl_vendor_autolib/*

%changelog
