%define module_name Tags
# BEGIN SourceDeps(oneline):
BuildRequires: perl(App/pod2pdf.pm) perl(CPAN.pm) perl(Capture/Tiny.pm) perl(Class/Utils.pm) perl(Encode.pm) perl(English.pm) perl(Error/Pure.pm) perl(Error/Pure/Utils.pm) perl(Exporter.pm) perl(ExtUtils/CBuilder.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Object.pm) perl(HTML/Entities.pm) perl(IO/All.pm) perl(IO/Scalar.pm) perl(JSON.pm) perl(LWP/Simple.pm) perl(List/MoreUtils.pm) perl(Module/Build.pm) perl(Net/FTP.pm) perl(Parse/CPAN/Meta.pm) perl(Pod/Markdown.pm) perl(Readonly.pm) perl(Test/More.pm) perl(Test/NoWarnings.pm) perl(Test/Warn.pm) perl(YAML/Tiny.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.11
Release: alt1
Summary: Structure oriented SGML/XML/HTML/etc. elements manipulation.
Group: Development/Perl
License: bsd
URL: https://github.com/michal-josef-spacek/Tags

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/S/SK/SKIM/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
NAME
     Tags - Structure oriented SGML/XML/HTML/etc. elements manipulation.

STRUCTURE
     Perl structure:

     Reference to array.
     [type, data]

     Types:
     a  - Tag attribute.
     b  - Begin of tag.
     c  - Comment section.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes LICENSE examples
%perl_vendor_privlib/T*

%changelog
