%define module_name Tangence
# BEGIN SourceDeps(oneline):
BuildRequires: /proc perl(Encode.pm) perl(Encode/CN.pm) perl(Encode/JP.pm) perl(Encode/KR.pm) perl(Encode/TW.pm) perl(Exporter.pm) perl(Future.pm) perl(List/Util.pm) perl(Module/Build.pm) perl(Parser/MGC.pm) perl(Struct/Dumb.pm) perl(Sub/Util.pm) perl(Test/Fatal.pm) perl(Test/HexString.pm) perl(Test/Identity.pm) perl(Test/Memory/Cycle.pm) perl(Test/MemoryGrowth.pm) perl(Test/More.pm) perl(Test/Refcount.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.25
Release: alt1
Summary: attribute-oriented server/client object remoting framework
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PE/PEVANS/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
%summary

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build --install_path bindoc=%_man1dir

%install
%perl_vendor_install

%files
%doc LICENSE Changes README doc
%perl_vendor_privlib/T*

%files scripts
%_bindir/*

%changelog
