%define module_name Template-Caribou
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(Class/Load.pm) perl(Exporter/Tiny.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(List/AllUtils.pm) perl(Method/Signatures.pm) perl(Module/Runtime.pm) perl(Moose.pm) perl(Moose/Exporter.pm) perl(Moose/Role.pm) perl(Moose/Util.pm) perl(MooseX/Role/Parameterized.pm) perl(MooseX/Types/Path/Class.pm) perl(Path/Tiny.pm) perl(Ref/Util.pm) perl(Test/Exception.pm) perl(Test/More.pm) perl(Text/MultiMarkdown.pm) perl(Tie/Handle.pm) perl(Try/Tiny.pm) perl(XML/Writer.pm) perl(experimental.pm) perl(lib.pm) perl(overload.pm) perl(parent.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.2.1
Release: alt1
Summary: class-based HTML-centric templating system
Group: Development/Perl
License: perl
URL: https://github.com/yanick/Template-Caribou

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/Y/YA/YANICK/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
%summary

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc AUTHOR_PLEDGE README.mkdn LICENSE CONTRIBUTORS Changes examples
%perl_vendor_privlib/T*

%changelog
