# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(Template/Plugin/Filter.pm) perl(Test/More.pm) perl(WWW/PlantUML.pm) perl(base.pm)
# END SourceDeps(oneline)
%define module_name Template-Plugin-Filter-PlantUML
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.01
Release: alt1
Summary: A template toolkit plugin filter for encoding and processing PlantUML Diagrams using a PlantUML Ser...
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/R/RW/RWI/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This is a trivial Template::Toolkit plugin filter to allow any template writer to embed PlantUML Diagram Syntax in Templates and have them encoded and processed via any PlantUML Server in any supported formats.

It uses `WWW:PlantUML' remote client under the hood.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc ignore.txt Changes README.pod
%perl_vendor_privlib/T*

%changelog
