%define module_name Template-Plugin-Gettext
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Cwd.pm) perl(Encode.pm) perl(Encode/CN.pm) perl(Encode/JP.pm) perl(Encode/KR.pm) perl(Encode/TW.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(Getopt/Long.pm) perl(Locale/Messages.pm) perl(Locale/TextDomain.pm) perl(Locale/Util.pm) perl(Locale/XGettext.pm) perl(Locale/XGettext/Util/Keyword.pm) perl(Module/Build.pm) perl(Pod/Coverage/TrustPod.pm) perl(Template.pm) perl(Template/Parser.pm) perl(Template/Plugin.pm) perl(Test/CPAN/Changes.pm) perl(Test/More.pm) perl(Test/Perl/Critic.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(base.pm) perl(strict.pm) perl(vars.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.7
Release: alt1
Summary: Gettext Support For the Template Toolkit Version 2
Group: Development/Perl
License: lgpl
URL: http://www.guido-flohr.net/en/projects#template-plugin-xgettext

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/G/GU/GUIDO/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This Perl library offers a complete translation solution for the Template Toolkit 2.
It consists of a plugin that offers translation functions inside templates
and a string extractor `xgettext-tt2' that extracts translatable strings
from templates and writes them to PO files (or rather a `.pot' file in PO
format).

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release

%description scripts
scripts for %module_name


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.pod LICENSE Changes README.md NEWS FAQ.md
%perl_vendor_privlib/T*
%perl_vendor_privlib/L*

%files scripts
%_man1dir/*
%_bindir/*

%changelog
