Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:       perl-Template-Plugin-JavaScript
Version:    0.02
Release:    alt3_28
# see lib/Template/Plugin/JavaScript.pm
License:    GPL+ or Artistic
Summary:    Encodes text to be safe in JavaScript
Source:     https://cpan.metacpan.org/authors/id/M/MI/MIYAGAWA/Template-Plugin-JavaScript-%{version}.tar.gz
Url:        https://metacpan.org/release/Template-Plugin-JavaScript
BuildArch:  noarch
# Build
BuildRequires: rpm-build-perl
BuildRequires: perl-devel
BuildRequires: perl(ExtUtils/MakeMaker.pm)
# Runtime
BuildRequires: perl(base.pm)
BuildRequires: perl(strict.pm)
BuildRequires: perl(Template/Plugin.pm)
BuildRequires: perl(vars.pm)
# Tests
BuildRequires: perl(lib.pm)
BuildRequires: perl(Template/Test.pm)
BuildRequires: perl(Test/More.pm)


Source44: import.info

%description
Template::Plugin::JavaScript is a TT filter that filters text so it can
be safely used in JavaScript quotes. e.g:

  [% USE JavaScript %]
  document.write("[% FILTER js %] Here's some text going on. [% END %]");

will become:

  document.write("\nHere\'s some text going on.\n");

%prep
%setup -q -n Template-Plugin-JavaScript-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}

%install
%{makeinstall_std}
# %{_fixperms} %{buildroot}/*

%check
make test

%files
%doc Changes
%{perl_vendor_privlib}/*

%changelog
