# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(Test/More.pm) perl(base.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define upstream_name	 Template-Plugin-YAML
%define upstream_version 1.23

Name:       perl-%{upstream_name}
Version:    %{upstream_version}
Release:    alt3_9

Summary:	Plugin interface to YAML
License:	GPL+ or Artistic
Group:		Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Template/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(YAML.pm)
BuildRequires:	perl(Template.pm)
BuildArch:	noarch
Source44: import.info


%description
This is a simple Template Toolkit Plugin Interface to the YAML module.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test 

%install
%makeinstall_std

%files
%doc Changes META.yml
%{perl_vendor_privlib}/Template

%changelog
