# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(DateTime.pm) perl(Template/Stash/AutoEscape.pm) perl(Template/Stash/AutoEscape/Escaped/HTML.pm) perl(Test/Run/CmdLine/Iface.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define upstream_name    Template-Stash-AutoEscaping
%define upstream_version 0.0303

Name:       perl-%{upstream_name}
Version:    %{upstream_version}
Release:    alt2_7

Summary:    Escape automatically in Template-Toolkit
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Template/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class/Data/Inheritable.pm)
BuildRequires: perl(Data/Dumper.pm)
BuildRequires: perl(Module/Build.pm)
BuildRequires: perl(Template.pm)
BuildRequires: perl(Template/Config.pm)
BuildRequires: perl(Template/Exception.pm)
BuildRequires: perl(Test/Base.pm)
BuildRequires: perl(Test/More.pm)
BuildRequires: perl(UNIVERSAL/require.pm)
BuildRequires: perl(URI.pm)
BuildRequires: perl(base.pm)
BuildRequires: perl(overload.pm)
BuildRequires: perl(parent.pm)
BuildRequires: perl(strict.pm)
BuildRequires: perl(warnings.pm)
BuildArch:  noarch
Source44: import.info

%description
Template::Stash::AutoEscaping is a sub class of the Template::Stash
manpage, automatically escape all HTML strings and avoid XSS vulnerability.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
/usr/bin/perl Build.PL installdirs=vendor

./Build

%check
./Build test

%install
./Build install destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml  README samples
%perl_vendor_privlib/*

%changelog
