%define module_name Term-CLI
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Temp.pm) perl(File/Which.pm) perl(FindBin.pm) perl(Getopt/Long.pm) perl(List/Util.pm) perl(Locale/Maketext.pm) perl(Locale/Maketext/Lexicon/Gettext.pm) perl(Moo.pm) perl(Moo/Role.pm) perl(Pod/Coverage/TrustPod.pm) perl(Pod/Text/Termcap.pm) perl(Scalar/Util.pm) perl(Term/ReadLine.pm) perl(Term/ReadLine/Gnu.pm) perl(Test/Class.pm) perl(Test/Compile.pm) perl(Test/Exception.pm) perl(Test/More.pm) perl(Test/Output.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(Text/ParseWords.pm) perl(Types/Standard.pm) perl(namespace/clean.pm) perl(parent.pm) perl(strict.pm) perl(subs.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.052003
Release: alt1
Summary: CLI interpreter based on Term::ReadLine
Group: Development/Perl
License: perl
URL: https://github.com/sbakker/perl-Term-CLI

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/S/SB/SBAKKER/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Implement an easy-to-use command line interpreter based on
the Term::ReadLine manpage(3p) and the Term::ReadLine::Gnu manpage(3p).

First-time users may want to read the Term::CLI::Tutorial manpage
and the Term::CLI::Intro manpage first, and peruse the example scripts
in the source distribution's examples and tutorial
directories.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README LICENSE Changes examples
%perl_vendor_privlib/T*

%changelog
