%define module_name Term-Choose
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Encode.pm) perl(Encode/Locale.pm) perl(File/Spec/Functions.pm) perl(FindBin.pm) perl(Term/Form.pm) perl(constant.pm) perl(lib.pm) perl-devel
# END SourceDeps(oneline)
%define upstream_name    Term-Choose
%define upstream_version 1.116

%{?perl_default_filter:%perl_default_filter}

Name:       perl-%{upstream_name}
Version:    1.735
Release:    alt1

Summary:    Works as L<Term::Choose>
License:    perl
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://mirror.yandex.ru/mirrors/cpan/authors/id/K/KU/KUERBIS/%{module_name}-%{version}.tar.gz

BuildRequires: perl(Carp.pm)
BuildRequires: perl(Exporter.pm)
BuildRequires: perl(ExtUtils/MakeMaker.pm)
BuildRequires: perl(Term/ReadKey.pm)
BuildRequires: perl(Test/Fatal.pm)
BuildRequires: perl(Test/More.pm)
BuildRequires: perl(Text/LineFold.pm)
BuildRequires: perl(Unicode/GCString.pm)
BuildRequires: perl(strict.pm)
BuildRequires: perl(warnings.pm)
BuildArch:  noarch

%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}perl\\(Term::Choose::Constants\\)
Source44: import.info

%description
Choose from a list of elements.

Based on the _choose_ function from the the Term::Clui manpage module - for
more details see the /MOTIVATION manpage.

%prep
%setup -q -n %{module_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLMAN1DIR=%_man1dir INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc LICENSE Changes README
%perl_vendor_privlib/*


%changelog
