# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define upstream_name    Term-Twiddle-Quiet
%define upstream_version 1.100110

Name:       perl-%{upstream_name}
Version:    %{upstream_version}
Release:    alt3_10

Summary:    Twiddles a thingy while-u-wait if run interactively
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Term/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(English.pm)
BuildRequires: perl(File/Find.pm)
BuildRequires: perl(IO/Interactive.pm)
BuildRequires: perl(Module/Build.pm)
BuildRequires: perl(Term/Twiddle.pm)
BuildRequires: perl(Test/MockObject.pm)
BuildRequires: perl(Test/More.pm)
BuildRequires: perl(Module/Build.pm)
BuildArch: noarch
Source44: import.info


%description
the Term::Twiddle manpage is a nice module for showing spinning thingies on
the terminal while waiting for an action to complete.

the Term::Twiddle::Quiet manpage acts very much like that module when it is
run interactively. However, when it isn't run interactively (for example,
as a cron job) then it does not show the twiddle.

Other than this difference, it really act as a the Term::Twiddle manpage
with all its options, methods and restrictions (of course, it supports the
same API) - cf its documentation for more information.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
/usr/bin/perl Build.PL installdirs=vendor

./Build

%check
./Build test

%install
./Build install destdir=%{buildroot}

%files
%doc Changes LICENSE README META.yml
%perl_vendor_privlib/*

%changelog
