%define module_name Test-Auto
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(Moo.pm) perl(Try/Tiny.pm) perl(Type/Tiny.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.12
Release: alt1
Summary: Test Automation, Docs Generation
Group: Development/Perl
License: apache
URL: http://metacpan.org/release/Test-Auto/

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/A/AW/AWNCORP/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This package aims to provide, a standard for documenting Perl 5 software
projects, a framework writing tests, test automation, and documentation
generation.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %EVR

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc CHANGES LICENSE README.md README
%perl_vendor_privlib/T*

%files scripts
%_bindir/*
%_man1dir/*

%changelog
