%define module_name Test-Consul
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(Data/Random.pm) perl(Defined/KV.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Temp.pm) perl(File/Which.pm) perl(Getopt/Long/Descriptive.pm) perl(HTTP/Tiny.pm) perl(JSON/MaybeXS.pm) perl(Moo.pm) perl(Net/EmptyPort.pm) perl(POSIX.pm) perl(Path/Tiny.pm) perl(Scalar/Util.pm) perl(Test/Exception.pm) perl(Test/More.pm) perl(Types/Common/Numeric.pm) perl(Types/Common/String.pm) perl(Types/Standard.pm) perl(namespace/autoclean.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.016
Release: alt1
Summary: Run a consul server for testing
Group: Development/Perl
License: perl
URL: https://github.com/robn/Test-Consul

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/R/RO/ROBN/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
From summary: %summary

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %EVR

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes LICENSE
%perl_vendor_privlib/T*

%files scripts
%_bindir/*
%_man1dir/*

%changelog
