%define module_name Test-Deep-URI
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Exporter/Tiny.pm) perl(Module/Build/Tiny.pm) perl(Test/Deep.pm) perl(Test/More.pm) perl(Test/Pod.pm) perl(Test/Tester.pm) perl(Test/Warnings.pm) perl(URI.pm) perl(URI/tel.pm) perl(base.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.03
Release: alt1
Summary: Easier testing of URIs for Test::Deep
Group: Development/Perl
License: perl
URL: https://github.com/nfg/Test-Deep-URI

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/N/NF/NFG/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Test::Deep::URI provides the function `uri($expected)' for the Test::Deep manpage.
Use it in combination with `cmp_deeply' to test against partial URIs.

In particular I wrote this because I was tired of stumbling across unit
tests that failed because `http://site.com/?foo=1&bar=2' didn't match
`http://site.com/?bar=2&foo=1'. This helper is smart enough to compare
query_form parameters separately, while still enforcing the order of values
for duplicate parameters.


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.md LICENSE README Changes
%perl_vendor_privlib/T*

%changelog
