Group: Development/Perl
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-podlators
# END SourceDeps(oneline)
BuildRequires: perl(Encode/TW.pm)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-Test-File-Contents
Version:        0.23
Release:        alt2_16
Summary:        Test routines for examining the contents of files
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Test-File-Contents
Source0:        https://cpan.metacpan.org/authors/id/D/DW/DWHEELER/Test-File-Contents-%{version}.tar.gz
BuildArch:      noarch
# Build
BuildRequires:  perl-devel
BuildRequires:  rpm-build-perl
BuildRequires:  perl(Module/Build.pm)
BuildRequires:  perl(strict.pm)
BuildRequires:  perl(warnings.pm)
# Runtime
BuildRequires:  perl(Digest/MD5.pm)
BuildRequires:  perl(Exporter.pm)
BuildRequires:  perl(File/Spec.pm)
BuildRequires:  perl(Test/Builder.pm)
BuildRequires:  perl(Text/Diff.pm)
# Tests only
BuildRequires:  perl(Test/Builder/Tester.pm)
BuildRequires:  perl(Test/Builder/Tester/Color.pm)
BuildRequires:  perl(Test/More.pm)
BuildRequires:  perl(utf8.pm)
Requires:       perl(Test/Builder.pm) >= 0.700
Requires:       perl(Text/Diff.pm) >= 0.350



Source44: import.info
%filter_from_requires /^perl(Test.Builder.pm)/d
%filter_from_requires /^perl(Text.Diff.pm)/d

%description
Test routines for examining the contents of files.

%prep
%setup -q -n Test-File-Contents-%{version}

%build
perl Build.PL installdirs=vendor
./Build

%install
./Build install destdir=%{buildroot} create_packlist=0
# %{_fixperms} %{buildroot}

%check
./Build test

%files
%doc Changes README
%{perl_vendor_privlib}/Test/

%changelog
