Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(CPAN.pm) perl(Carp.pm) perl(Config.pm) perl(Cwd.pm) perl(File/Basename.pm) perl(File/Find.pm) perl(File/Spec.pm) perl(FileHandle.pm) perl(JSON.pm) perl(LWP/Simple.pm) perl(Log/Dispatch.pm) perl(Module/Build.pm) perl(Net/FTP.pm) perl(Parse/CPAN/Meta.pm) perl(Socket.pm) perl(YAML/Tiny.pm) perl(base.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-Test-Log-Dispatch
Version:        0.03
Release:        alt2_31
Summary:        Test what you are logging
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Test-Log-Dispatch
Source0:        https://cpan.metacpan.org/authors/id/J/JS/JSWARTZ/Test-Log-Dispatch-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  rpm-build-perl
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(List/MoreUtils.pm)
BuildRequires:  perl(Log/Dispatch/Array.pm)
BuildRequires:  perl(Test/More.pm)
BuildRequires:  perl(Test/Tester.pm)

BuildRequires:  perl(inc/Module/Install.pm)
Source44: import.info


%description
Test::Log::Dispatch is a Log::Dispatch object that keeps track of
everything logged to it in memory, and provides convenient tests against
what has been logged.

%prep
%setup -q -n Test-Log-Dispatch-%{version}
rm -r inc

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor --skipdeps NO_PACKLIST=1
%make_build

%install
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

# %{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc Changes README
%{perl_vendor_privlib}/*

%changelog
