%define module_name Test-MockTime-HiRes
# BEGIN SourceDeps(oneline):
BuildRequires: perl(AnyEvent.pm) perl(AnyEvent/Impl/Perl.pm) perl(Module/Build/Tiny.pm) perl(Test/Class.pm) perl(Test/MockTime.pm) perl(Test/More.pm) perl(Test/Requires.pm) perl(Time/HiRes.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.08
Release: alt1
Summary: Replaces actual time with simulated high resolution time
Group: Development/Perl
License: perl
URL: https://github.com/tarao/perl5-Test-MockTime-HiRes

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/T/TA/TARAO/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
`Test::MockTime::HiRes' is a the Time::HiRes manpage compatible version of
the Test::MockTime manpage.  You can wait milliseconds in simulated time.

It also provides `mock_time' to restrict the effect of the simulation
in a code block.


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE README.md Changes
%perl_vendor_privlib/T*

%changelog
