%define module_name Test-Module-Runnable
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(List/MoreUtils.pm) perl(Moose.pm) perl(Readonly.pm) perl(Test/Deep.pm) perl(Test/Exception.pm) perl(Test/MockModule.pm) perl(Test/More.pm) perl(Test/Output.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.4.2
Release: alt1
Summary: Base class for runnable unit tests using Moose introspection
Group: Development/Perl
License: see COPYING
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/D/DD/DDRP/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
A test framework based on Moose introspection to automagically
call all methods matching a user-defined pattern.  Supports per-test
setup and tear-down routines and easy early `BAIL_OUT' using
`Test::More'.
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc AUTHORS CHANGES NEWS TODO ChangeLog BUGS COPYING contributors.txt
%perl_vendor_privlib/T*

%changelog
