%define module_name Test-Perinci-CmdLine
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Capture/Tiny.pm) perl(Devel/Confess.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Path.pm) perl(File/Slurper.pm) perl(File/Spec.pm) perl(File/Temp.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(IPC/System/Options.pm) perl(Perinci/CmdLine/Gen.pm) perl(Perinci/Examples.pm) perl(Perinci/Examples/Tiny.pm) perl(Pod/Coverage/TrustPod.pm) perl(Test/More.pm) perl(Test/Perl/Critic.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(experimental.pm) perl(lib/filter.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.481
Release: alt1
Summary: Common test suite for Perinci::CmdLine::{Lite,Classic,Inline}
Group: Development/Perl
License: perl
URL: https://metacpan.org/release/Test-Perinci-CmdLine

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PE/PERLANCAR/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
    Supported Perinci::CmdLine backends: Perinci::CmdLine::Inline,
    Perinci::CmdLine::Lite, Perinci::CmdLine::Classic.

ENVIRONMENT

 DEBUG => bool

    If set to 1, then temporary files (e.g. generated scripts for testing)
    will not be cleaned up, so you can inspect them.

 TEST_PERICMD_EXCLUDE_TAGS => str

    To set default for pericmd_ok()'s exclude_tags argument.

 TEST_PERICMD_INCLUDE_TAGS => str

    To set default for pericmd_ok()'s include_tags argument.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README LICENSE
%perl_vendor_privlib/T*

%changelog
