%define module_name Test-Regexp-Pattern
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(Getopt/Long.pm) perl(Hash/DefHash.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(Pod/Coverage/TrustPod.pm) perl(Regexp/Pattern.pm) perl(Test/Builder.pm) perl(Test/More.pm) perl(Test/Perl/Critic.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.008
Release: alt1
Summary: Test Regexp::Pattern patterns
Group: Development/Perl
License: perl
URL: https://metacpan.org/release/Test-Regexp-Pattern

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PE/PERLANCAR/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This module performs various checks on a module's the Regexp::Pattern manpage patterns.
It is recommended that you include something like `release-regexp-pattern.t' in
your distribution if you add regexp patterns to your code. If you use
the Dist::Zilla manpage to build your distribution, there is
[Test::Regexp::Pattern] to make it
easy to do so.

=for Pod::Coverage ^(all_modules)$

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %EVR

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README LICENSE Changes
%perl_vendor_privlib/T*

%files scripts
%_man1dir/*
%_bindir/*

%changelog
