# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl rpm-macros-mageia-compat
BuildRequires: perl(Config.pm) perl(File/Find/Object.pm) perl(Module/Build.pm) perl(Path/Tiny.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define upstream_name    Test-Run-Plugin-BreakOnFailure
%define upstream_version v0.0.6

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    0.0.6
Release:    alt1_1

Summary:    Break on the first test failure
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils/MakeMaker.pm)
BuildRequires: perl(MRO/Compat.pm)
BuildRequires: perl(Moose.pm)
BuildRequires: perl(Test/More.pm)
BuildRequires: perl(Test/Run/CmdLine.pm)
BuildRequires: perl(Test/Run/CmdLine/Trap/ProveApp.pm)
BuildRequires: perl(Test/Run/Core.pm)
BuildRequires: perl(Test/Trap.pm)
BuildRequires: perl(YAML/XS.pm)
BuildArch:  noarch
Source44: import.info

%description
This is a the Test::Run::CmdLine manpage plugin that terminates the test
suite after the first failing test script. This way, you can know more
quickly in case something went wrong.

To enable, add 'BreakOnFailure' to the 'HARNESS_PLUGINS' environment
variable and set the 'HARNESS_BREAK' environment variable to a true value.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml  README
%perl_vendor_privlib/*

%changelog
