%define module_name Test-Sah-Schema
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Data/Dump.pm) perl(Data/Sah.pm) perl(Data/Sah/Normalize.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(Getopt/Long.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(Log/ger.pm) perl(Log/ger/App.pm) perl(Log/ger/Layout/Pattern.pm) perl(Log/ger/Output/Composite.pm) perl(Log/ger/Output/File.pm) perl(Log/ger/Output/Screen.pm) perl(Perinci/Sub/Wrapper.pm) perl(Pod/Coverage/TrustPod.pm) perl(Test/Builder.pm) perl(Test/More.pm) perl(Test/Perl/Critic.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(Text/Diff.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.009
Release: alt1
Summary: Test Sah::Schema::* modules in distribution
Group: Development/Perl
License: perl
URL: https://metacpan.org/release/Test-Sah-Schema

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PE/PERLANCAR/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This module performs various checks on Sah::Schema::* modules. It is recommended
that you include something like `release-sah-schema.t' in your distribution if
you add metadata to your code. If you use the Dist::Zilla manpage to build your
distribution, there is the Dist::Zilla::Plugin::Sah::Schemas manpage to make it easy to
do so.

=for Pod::Coverage ^(all_modules)$

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %EVR

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes LICENSE
%perl_vendor_privlib/T*

%files scripts
%_man1dir/*
%_bindir/*

%changelog
