Group: Development/Perl
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Data/Dumper.pm) perl(Module/Build.pm) perl(Module/Metadata.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-Test-TempDir
Version:        0.11
Release:        alt2_3
Summary:        Temporary files support for testing
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Test-TempDir
Source0:        https://cpan.metacpan.org/authors/id/E/ET/ETHER/Test-TempDir-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  rpm-build-perl
BuildRequires:  perl(Directory/Scratch.pm)
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(File/NFSLock.pm)
BuildRequires:  perl(Module/Build/Tiny.pm)
BuildRequires:  perl(Moose.pm)
BuildRequires:  perl(MooseX/Types/Path/Class.pm)
BuildRequires:  perl(namespace/autoclean.pm)
BuildRequires:  perl(namespace/clean.pm)
BuildRequires:  perl(Path/Class.pm)
BuildRequires:  perl(Sub/Exporter.pm)
BuildRequires:  perl(Test/CheckDeps.pm)
BuildRequires:  perl(Test/Requires.pm)
BuildRequires:  perl(Test/use/ok.pm)
Requires:       perl(File/NFSLock.pm)


Source44: import.info

%description
Test::TempDir provides temporary directory creation with testing in mind.

%prep
%setup -q -n Test-TempDir-%{version}

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}

%install
%{makeinstall_std}
# %{_fixperms} $RPM_BUILD_ROOT/*

%check
%{make_build} test

%files
%doc Changes README
%{perl_vendor_privlib}/Test

%changelog
