%define module_name Test-Text
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Encode.pm) perl(Encode/CN.pm) perl(Encode/JP.pm) perl(Encode/KR.pm) perl(Encode/TW.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Slurp/Tiny.pm) perl(Test/More.pm) perl(Test/Simple.pm) perl(Text/Hunspell.pm) perl(parent.pm) perl(version.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.6.4
Release: alt1
Summary: A module for testing 
Group: Development/Perl
License: open_source
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/J/JM/JMERELO/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This started as a spell and quality check for my novel, "Manuel the
Magnificent Mechanical Man". Eventually, it can be used for checking
any kind of markdown-formatted text, be it fiction or non-fiction. The first version included
as documentation, the novel itself (check it out at the Text::Hoborg::Manuel manpage and also in the test
directory the markdown source. 

This module is a more general text-tester (that's a `tesxter') which can be used on any external set of texts.  
This all came from the idea that writing is like software development, which I'm using throughout. 


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.md Changes
%perl_vendor_privlib/T*

%changelog
