Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-Test-Unit-Runner-Xml
Version:        0.1
Release:        alt2_34
Summary:        Generate XML reports from unit test results
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Test-Unit-Runner-Xml
Source0:        https://cpan.metacpan.org/modules/by-module/Test/Test-Unit-Runner-Xml-%{version}.tar.gz
# Fix perl 5.16 compatibility, CPAN RT #77898
Patch0:         Test-Unit-Runner-Xml-0.1-Load-File-Spec.patch
BuildArch:      noarch
BuildRequires:  rpm-build-perl
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
# Run-time
BuildRequires:  perl(base.pm)
BuildRequires:  perl(File/Spec.pm)
BuildRequires:  perl(Test/Unit/Runner.pm)
BuildRequires:  perl(Time/HiRes.pm)
BuildRequires:  perl(XML/Generator.pm)
# Tests
BuildRequires:  perl(Error.pm)
BuildRequires:  perl(Test.pm)
BuildRequires:  perl(Test/Unit.pm)
BuildRequires:  perl(Test/Unit/TestCase.pm)
BuildRequires:  perl(Test/Unit/TestSuite.pm)
BuildRequires:  perl(XML/XPath.pm)
Source44: import.info

%description
Test::Unit::Runner::XML generates XML reports from unit test results. The
reports are in the same format as those produced by Ant's JUnit task, allowing
them to be used with Java continuous integration and reporting tools.

%prep
%setup -q -n Test-Unit-Runner-Xml-%{version}
%patch0 -p1

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

# %{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc README
%{perl_vendor_privlib}/*

%changelog
