%define module_name Test2-Aggregate
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(File/Slurp.pm) perl(List/Util.pm) perl(Sub/Override.pm) perl(Symbol.pm) perl(Test/Output.pm) perl(Test2/V0.pm) perl(Time/HiRes.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.15
Release: alt1
Summary: Aggregate tests
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/D/DK/DKECHAG/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Aggregates all tests specified in `dirs' (which can even be individual tests), 
to avoid forking, reloading etc that can help with performance or profiling.
Test files are expected to end in .t and are run as subtests of a single
aggregate test.

A bit similar but simpler in concept and execution than `Test::Aggregate',
which makes it more likely to work with your test suite and also with more
modern Test2 bundles. It does not try to package each test which may be good or
bad (e.g. redefines), depending on your requirements.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_privlib/T*

%changelog
