%def_without test
%define module_name Test2-Harness
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(Config.pm) perl(Cwd.pm) perl(Data/Dumper.pm) perl(Data/UUID.pm) perl(Email/Stuffer.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(Fcntl.pm) perl(File/Copy.pm) perl(File/Find.pm) perl(File/Path.pm) perl(File/Spec.pm) perl(File/Temp.pm) perl(Filter/Util/Call.pm) perl(HTTP/Tiny.pm) perl(HTTP/Tiny/Multipart.pm) perl(IO/Compress/Bzip2.pm) perl(IO/Compress/Gzip.pm) perl(IO/Handle.pm) perl(IO/Pager.pm) perl(IO/Uncompress/Bunzip2.pm) perl(IO/Uncompress/Gunzip.pm) perl(IPC/Cmd.pm) perl(Importer.pm) perl(JSON/MaybeXS.pm) perl(JSON/PP.pm) perl(Linux/Inotify2.pm) perl(List/Util.pm) perl(Long/Jump.pm) perl(POSIX.pm) perl(Scalar/Util.pm) perl(Scope/Guard.pm) perl(Symbol.pm) perl(Sys/Hostname.pm) perl(Term/ANSIColor.pm) perl(Term/Table.pm) perl(Test/Builder.pm) perl(Test/Builder/Formatter.pm)
BuildRequires: perl(Test/More.pm) perl(Test2.pm) perl(Test2/API.pm) perl(Test2/Bundle/Extended.pm) perl(Test2/Event.pm) perl(Test2/Event/V2.pm) perl(Test2/Formatter.pm) perl(Test2/Plugin/Cover.pm) perl(Test2/Plugin/DBIProfile.pm) perl(Test2/Plugin/IOEvents.pm) perl(Test2/Plugin/MemUsage.pm) perl(Test2/Plugin/UUID.pm) perl(Test2/Tools/AsyncSubtest.pm) perl(Test2/Tools/Subtest.pm) perl(Test2/Util.pm) perl(Test2/Util/Term.pm) perl(Test2/V0.pm) perl(Time/HiRes.pm) perl(base.pm) perl(constant.pm) perl(goto/file.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.000063
Release: alt1
Summary: Test2 based test harness.
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/E/EX/EXODIST/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This is an alternative to the Test::Harness manpage. See the the App::Yath manpage module for
more details.

Try running the `yath' command inside a perl repository.

    $ yath

For help:

    $ yath --help

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release

%description scripts
scripts for %module_name
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.md TODO Changes README LICENSE
%perl_vendor_privlib/A*
%perl_vendor_privlib/T*

%files scripts
%_man1dir/*
%_bindir/*

%changelog
