%define module_name Test2-Harness-UI
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(Crypt/Eksblowfish/Bcrypt.pm) perl(DBD/Pg.pm) perl(DBI.pm) perl(DBIx/Class/InflateColumn/DateTime.pm) perl(DBIx/Class/InflateColumn/Serializer.pm) perl(DBIx/Class/InflateColumn/Serializer/JSON.pm) perl(DBIx/Class/Schema/Loader.pm) perl(DBIx/Class/Tree/AdjacencyList.pm) perl(DBIx/Class/UUIDColumns.pm) perl(DBIx/QuickDB.pm) perl(Data/GUID.pm) perl(DateTime.pm) perl(DateTime/Format/Pg.pm) perl(Email/Sender/Simple.pm) perl(Email/Simple.pm) perl(Email/Simple/Creator.pm) perl(ExtUtils/MakeMaker.pm) perl(File/ShareDir.pm) perl(File/ShareDir/Install.pm) perl(File/Temp.pm) perl(HTTP/Tiny.pm) perl(IO/Compress/Bzip2.pm) perl(IO/Uncompress/Bunzip2.pm) perl(IO/Uncompress/Gunzip.pm) perl(Importer.pm) perl(JSON/MaybeXS.pm) perl(List/Util.pm) perl(Plack/App/Directory.pm) perl(Plack/App/File.pm)
BuildRequires: perl(Plack/Builder.pm) perl(Plack/Handler/Starman.pm) perl(Plack/Runner.pm) perl(Router/Simple.pm) perl(Scalar/Util.pm) perl(Test/More.pm) perl(Test2.pm) perl(Test2/API.pm) perl(Test2/Formatter/Test2/Composer.pm) perl(Test2/Harness.pm) perl(Test2/Harness/Util/HashBase.pm) perl(Test2/Harness/Util/JSON.pm) perl(Test2/Harness/Util/UUID.pm) perl(Test2/Tools/QuickDB.pm) perl(Test2/Tools/Subtest.pm) perl(Test2/Util.pm) perl(Test2/Util/Facets2Legacy.pm) perl(Test2/V0.pm) perl(Text/Xslate.pm) perl(Time/HiRes.pm) perl(base.pm) perl(constant.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.000028
Release: alt1
Summary: Web interface for viewing and inspecting yath test logs
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/E/EX/EXODIST/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This package provides a web UI for yath logs.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %EVR

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.md json-view.README.md LICENSE Changes README
%perl_vendor_privlib/A*
%perl_vendor_privlib/T*
%perl_vendor_privlib/auto/*

%files scripts
%_bindir/*

%changelog
