%define module_name Test2-MojoX
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(Mojolicious.pm) perl(Test2/Suite.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.06
Release: alt1
Summary: Testing Mojo
Group: Development/Perl
License: artistic_2
URL: https://mojolicious.org

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/E/EL/ELCAMLOST/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
the Test2::MojoX manpage is a test user agent based on the Mojo::UserAgent manpage, it is usually
used together with the Test2::Suite manpage to test the Mojolicious manpage applications. Just run
your tests with the prove manpage or the yath manpage.

  $ yath -l -v
  $ yath -l -v t/foo.t

This package is fork of the Test::Mojo manpage. It was intended as a drop-in replacement for the Test::Mojo manpage
which can be used with the Test2::Suite manpage instead of the Test::More manpage and the Test::Builder manpage.

If it is not already defined, the `MOJO_LOG_LEVEL' environment variable will
be set to `debug' or `fatal', depending on the value of the
`HARNESS_IS_VERBOSE' environment variable. And to make it easier to test
HTTPS/WSS web services the section on "insecure" in the Mojo::UserAgent manpage will be activated by
default for the section on "ua".

See the Mojolicious::Guides::Testing manpage for more.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE README.md Changes
%perl_vendor_privlib/T*

%changelog
