%define module_name Test2-Tools-HTTP
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Config.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(HTTP/Message.pm) perl(HTTP/Message/PSGI.pm) perl(HTTP/Request.pm) perl(HTTP/Request/Common.pm) perl(HTTP/Response.pm) perl(IO/Socket/INET.pm) perl(LWP/Protocol.pm) perl(LWP/UserAgent.pm) perl(Plack.pm) perl(Test2/API.pm) perl(Test2/Compare.pm) perl(Test2/Compare/Custom.pm) perl(Test2/Compare/Object.pm) perl(Test2/Compare/Wildcard.pm) perl(Test2/Mock.pm) perl(Test2/Require.pm) perl(Test2/Require/Module.pm) perl(Test2/Tools/JSON/Pointer.pm) perl(Test2/Tools/URL.pm) perl(Test2/V0.pm) perl(URI.pm) perl(overload.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.09
Release: alt1
Summary: Test HTTP / PSGI
Group: Development/Perl
License: perl
URL: https://metacpan.org/pod/Test2::Tools::HTTP

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PL/PLICEASE/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This module provides an interface for testing websites and PSGI based apps with a the Test2 manpage style comparisons interface.
You can specify a PSGI app with a URL and responses from that URL will automatically be routed to that app, without
having to actually need a separate server process.  Requests to URLs that haven't been registered will be made
against the actual networks servers as appropriate.  You can also use the user agent returned from `http_ua' to
make requests against PSGI apps.  the LWP::UserAgent manpage is the user agent used by default, but it is possible to use
others assuming an appropriate user agent wrapper class is available (the Test2::Tools::HTTP::UA manpage).

By default it uses long function names with either a `http_' or `psgi_app_' prefix.  The intent is to make the module
usable when you are importing lots of symbols from lots of different testing tools while reducing the chance of name 
collisions.  You can instead import `:short' which will give you the most commonly used tools with short names. 
The short names are indicated below in square brackets, and were chosen to not conflict with the Test2::V0 manpage.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README author.yml Changes LICENSE
%perl_vendor_privlib/T*

%changelog
