%define module_name Text-ANSITable
# BEGIN SourceDeps(oneline):
BuildRequires: perl(BorderStyles/Standard.pm) perl(Carp.pm) perl(Color/RGB/Util.pm) perl(ColorThemeBase/Static/FromStructColors.pm) perl(ColorThemeUtil/ANSI.pm) perl(ColorThemes/Standard.pm) perl(Data/Unixish/Apply.pm) perl(Data/Unixish/uc.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(Function/Fallback/CoreOrPP.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(JSON/MaybeXS.pm) perl(Log/ger.pm) perl(Module/List.pm) perl(Module/Load.pm) perl(Module/Load/Util.pm) perl(Moo.pm) perl(Package/MoreUtil.pm) perl(Parse/VarName.pm) perl(PerlIO.pm) perl(Pod/Coverage/TrustPod.pm) perl(Scalar/Util.pm) perl(Syntax/Feature/EachOnArray.pm) perl(Term/App/Role/Attrs.pm) perl(Test/Exception.pm) perl(Test/More.pm) perl(Test/Needs.pm) perl(Test/Perl/Critic.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(Text/ANSI/Util.pm)
BuildRequires: perl(Text/ANSI/WideUtil.pm) perl(experimental.pm) perl(namespace/clean.pm) perl(parent.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.602
Release: alt1
Summary: Create nice formatted tables using extended ASCII and ANSI colors
Group: Development/Perl
License: perl
URL: https://metacpan.org/release/Text-ANSITable

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PE/PERLANCAR/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
From summary: %summary

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README LICENSE
%perl_vendor_privlib/T*
%perl_vendor_privlib/C*

%files scripts
%_man1dir/*
%_bindir/*

%changelog
