%define module_name Text-Amuse-Compile
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Archive/Zip.pm) perl(EBook/EPUB/Lite.pm) perl(Encode.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Temp.pm) perl(IO/Pipe.pm) perl(JSON/MaybeXS.pm) perl(Moo.pm) perl(PDF/API2.pm) perl(PDF/Imposition.pm) perl(Path/Tiny.pm) perl(Pod/Usage.pm) perl(Template/Tiny.pm) perl(Test/LeakTrace.pm) perl(Test/More.pm) perl(Text/Amuse.pm) perl(Type/Tiny.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.64
Release: alt1
Summary: Compiler for Text::Amuse
Group: Development/Perl
License: perl
URL: http://amusewiki.org

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/M/ME/MELMOTHX/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
use Text::Amuse::Compile;
    my $compiler = Text::Amuse::Compile->new;
    $compiler->compile($file1, $file2, $file3)

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release

%description scripts
scripts for %module_name
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_privlib/T*

%files scripts
%_man1dir/*
%_bindir/*

%changelog
