%define module_name Text-Diff-Unified-XS
# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++ libgtest-devel libsowing-devel perl(Benchmark.pm) perl(Exporter.pm) perl(File/Slurp.pm) perl(Module/Build.pm) perl(Module/Build/XSUtil.pm) perl(Test/More.pm) perl(Text/Diff.pm) perl(Time/Strptime.pm) perl(XSLoader.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.09
Release: alt3
Summary: The fast Text::Diff module
Group: Development/Perl
License: mit
URL: https://github.com/pine/p5-Text-Diff-Unified-XS

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PI/PINE/%{module_name}-%{version}.tar.gz

%description
Text::Diff::Unified::XS is the fast the Text::Diff manpage module implemented by XS.


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes LICENSE README.md
%perl_vendor_archlib/T*
%perl_vendor_autolib/*

%changelog
