Group: Development/Perl
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-Text-Emoticon
Version:        0.04
Release:        alt3_34
Summary:        Factory class for Yahoo! and MSN emoticons
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Text-Emoticon
Source0:        https://cpan.metacpan.org/authors/id/M/MI/MIYAGAWA/Text-Emoticon-%{version}.tar.gz
BuildArch:      noarch
# Build
BuildRequires:  perl-devel
BuildRequires:  rpm-build-perl
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
# Runtime
BuildRequires:  perl(strict.pm)
BuildRequires:  perl(UNIVERSAL/require.pm)
# Tests only
BuildRequires:  perl(Test/More.pm)
Source44: import.info

%description
Text::Emoticon is a factory class to dispatch MSN/YIM emoticon set.
It's made to become handy to be used in other applications like
Kwiki/MT plugins.

%prep
%setup -q -n Text-Emoticon-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
%make_build

%install
make pure_install DESTDIR=%{buildroot}
# %{_fixperms} %{buildroot}/*

%check
make test

%files
%doc Changes
%{perl_vendor_privlib}/*

%changelog
