%define module_name Text-Guess-Script
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Module/Build/Tiny.pm) perl(Test/Deep.pm) perl(Test/More.pm) perl(Test/Pod.pm) perl(Unicode/Normalize.pm) perl(Unicode/UCD.pm) perl(charnames.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.05
Release: alt1
Summary: Guess script from text using ISO-15924 codes
Group: Development/Perl
License: perl
URL: https://github.com/wollmers/Text-Guess-Script

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/W/WO/WOLLMERS/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Text::Guess::Script matches the characters in the text against the script property
and returns the code of script with most characters.


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README LICENSE
%perl_vendor_privlib/T*

%changelog
