%define module_name Text-Levenshtein-BV
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Module/Build/Tiny.pm) perl(Test/More.pm) perl(Test/Pod.pm) perl(Text/Levenshtein.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.05
Release: alt1
Summary: Bit Vector (BV) implementation of the Levenshtein Algorithm
Group: Development/Perl
License: perl
URL: https://github.com/wollmers/Text-Levenshtein-BV

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/W/WO/WOLLMERS/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
 CONSTRUCTOR

    new()

      Creates a new object which maintains internal storage areas for the
      SES computation. Use one of these per concurrent SES() call.

 METHODS

    SES(\@a,\@b)

      Finds a Shortest Edit Script (SES), taking two arrayrefs as method
      arguments. It returns an array reference of corresponding indices,

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README LICENSE
%perl_vendor_privlib/T*

%changelog
