%define module_name Text-Markdown-Discount
# BEGIN SourceDeps(oneline):
BuildRequires: libdiscount-devel libsowing-devel perl(Benchmark.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(Text/Diff.pm) perl(XSLoader.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.12
Release: alt3
Summary: fast function for converting markdown to HTML (requires C compiler)
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/S/SE/SEKIMURA/%{module_name}-%{version}.tar.gz

%description
Text::Markdown::Discount is a perl interface to the `Discount' library,
a C implementation of John Gruber's `markdown'.

It is the fastest of the
Perl modules available for converting markdown: see the list in the section on "SEE ALSO".
It passes Gruber's Markdown testsuite.

Given that the performance of Discount, Text::Markdown::Discount processes
markdown formatted text quickly and passes the Markdown test suite at

The interface of the `markdown()' function in this module
is not compatible with the `markdown()' function in the Text::Markdown manpage.
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_archlib/T*
%perl_vendor_autolib/*

%changelog
