# BEGIN SourceDeps(oneline):
BuildRequires: perl(Benchmark.pm) perl(Devel/Peek.pm) perl(Digest/SHA1.pm) perl(Dir/Self.pm) perl(DynaLoader.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(List/MoreUtils.pm) perl(Log/Fu.pm) perl(MIME/Base64.pm) perl(Test/Deep.pm) perl(Test/More.pm) perl(Text/Match/FastAlternatives.pm) perl(Time/HiRes.pm) perl(XSLoader.pm) perl(base.pm) perl(blib.pm) perl(re/engine/RE2.pm)
# END SourceDeps(oneline)
%define module_version 0.15
%define module_name Text-Prefix-XS
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.15
Release: alt6
Summary: Fast prefix searching
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/M/MN/MNUNBERG/%module_name-%module_version.tar.gz

%description
This module implements a variety of algorithms to ensure fast prefix matching.

It is particularly high performant with pessimistic matching (when a match is
unlikely), but is still faster than other methods with optimistic matching (when
a match is likely).

A common application I had was to pre-filter lots and lots of text for a small
amount of preset prefixes.

Interestingly enough, the quickest solution until I wrote this module was to use
a large regular expression (as in the synopsis)


%prep
%setup -n %module_name-%module_version
rm trie.pl

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_archlib/T*
%perl_vendor_autolib/*

%changelog
