%define module_name Text-SpeedyFx
# BEGIN SourceDeps(oneline):
BuildRequires: libsowing-devel perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(Pod/Coverage/TrustPod.pm) perl(Pod/Usage.pm) perl(Scalar/Util.pm) perl(Test/CPAN/Changes.pm) perl(Test/CPAN/Meta.pm) perl(Test/EOL.pm) perl(Test/Kwalitee.pm) perl(Test/MinimumVersion.pm) perl(Test/Mojibake.pm) perl(Test/NoTabs.pm) perl(Test/Perl/Critic.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(Test/Synopsis.pm) perl(Test/Version.pm) perl(XSLoader.pm) perl(autodie.pm) perl(base.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.013
Release: alt1
Summary: tokenize/hash large amount of strings efficiently
Group: Development/Perl
License: perl
URL: https://github.com/creaktive/Text-SpeedyFx

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/S/SY/SYP/%{module_name}-%{version}.tar.gz

%description
%summary

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %{?epoch:%epoch:}%name = %version-%release
BuildArch: noarch

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build INSTALLMAN1DIR=%_man1dir

%install
%perl_vendor_install

%files
%doc Changes LICENSE README
%perl_vendor_archlib/T*
%perl_vendor_autolib/*

%files scripts
%_man1dir/*
%_bindir/*

%changelog
