%define module_name Text-Table-Any
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(Pod/Coverage/TrustPod.pm) perl(Term/TablePrint.pm) perl(Test/More.pm) perl(Test/Perl/Critic.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(Text/ANSITable.pm) perl(Text/ASCIITable.pm) perl(Text/FormatTable.pm) perl(Text/MarkdownTable.pm) perl(Text/Table.pm) perl(Text/Table/ASV.pm) perl(Text/Table/CSV.pm) perl(Text/Table/HTML.pm) perl(Text/Table/HTML/DataTables.pm) perl(Text/Table/LTSV.pm) perl(Text/Table/Manifold.pm) perl(Text/Table/More.pm) perl(Text/Table/Org.pm) perl(Text/Table/Paragraph.pm) perl(Text/Table/Sprintf.pm) perl(Text/Table/TSV.pm) perl(Text/Table/Tiny.pm) perl(Text/Table/TinyBorderStyle.pm) perl(Text/Table/TinyColor.pm) perl(Text/Table/TinyColorWide.pm) perl(Text/Table/TinyWide.pm)
BuildRequires: perl(Text/Table/XLSX.pm) perl(Text/TabularDisplay.pm) perl(Text/UnicodeBox/Table.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.104
Release: alt1
Summary: Generate text table using one of several backends
Group: Development/Perl
License: perl
URL: https://metacpan.org/release/Text-Table-Any

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PE/PERLANCAR/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This module provides a single function, `table', which formats a
two-dimensional array of data as text table, using one of several available
backends. The interface is modelled after the Text::Table::Tiny manpage (0.3);
Text::Table::Tiny also happens to be the default backend.

The example shown in the SYNOPSIS generates the following table:

 +-------+----------+----------+
 | Name  | Rank     | Serial   |
 | alice | pvt      | 123456   |
 | bob   | cpl      | 98765321 |
 | carol | brig gen | 8745     |
 +-------+----------+----------+

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE README Changes
%perl_vendor_privlib/T*

%changelog
