%define module_name Text-Table-More
# BEGIN SourceDeps(oneline):
BuildRequires: perl(BorderStyle/ASCII/SingleLineDoubleAfterHeader.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(File/ShareDir/Install.pm) perl(File/Spec.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(List/AllUtils.pm) perl(Module/Load/Util.pm) perl(Pod/Coverage/TrustPod.pm) perl(String/Pad.pm) perl(Test/More.pm) perl(Test/Perl/Critic.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(Text/ANSI/Util.pm) perl(Text/ANSI/WideUtil.pm) perl(Text/NonWideChar/Util.pm) perl(Text/WideChar/Util.pm) perl(strict.pm) perl(utf8.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.014
Release: alt1
Summary: Generate text table with simple interface and many options
Group: Development/Perl
License: perl
URL: https://metacpan.org/release/Text-Table-More

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PE/PERLANCAR/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This module uses the simple interface of the Text::Table::Tiny manpage (0.04) with
support for more formatting options like column/row spans, border style,
per-row/column/cell align/valign.

Keywords: rowspan, colspan.

=for Pod::Coverage ^(.+)$

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes LICENSE
%perl_vendor_privlib/T*
%perl_vendor_privlib/auto/*

%changelog
