# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++ perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(Test/More.pm) perl(XSLoader.pm)
# END SourceDeps(oneline)
%define module_version 0.94
%define module_name Text-Tidx
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.94
Release: alt6
Summary: Index a delimited text file containing start-stop positions
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/E/EA/EARONESTY/%module_name-%module_version.tar.gz

%description
Text:Tidx allows you to index any text file using a key field
and range coordinates, and, later, use that index for O(log(n))
range-lookups into the file.

This was written because it was, for me significantly faster, for very large
files (>100k rows) and many searches ( > 10k), then entering
all of the information into a database and doing range querys,
even faster than SQLITE's rtree extension, or the "tabix" program
both of which are do similar things and do them rather well.

Although it was designed for chromosome, stop, start indexing,
it is not genome specific, and can index any delimited text file.

Indexes are loaded into RAM.  If you only have a few lookups
to do perl instance, this is expensive, and a database will be faster.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %{?epoch:%epoch:}%name = %version-%release

%description scripts
scripts for %module_name


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build INSTALLMAN1DIR=%_man1dir

%install
%perl_vendor_install

# different on arches
rm -rf %buildroot%_man1dir

%files
%doc README Changes
%perl_vendor_archlib/T*
%perl_vendor_autolib/*

%files scripts
%_bindir/*
#%_man1dir/*

%changelog
