%define module_version 0.11
%define module_name Text-Ux
# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++ libsowing-devel perl(Devel/PPPort.pm) perl(Encode.pm) perl(Exporter.pm) perl(ExtUtils/ParseXS.pm) perl(Module/Build.pm) perl(Pod/Usage.pm) perl(Term/ReadLine.pm) perl(Test/Exception.pm) perl(Test/More.pm) perl(Test/Warn.pm) perl(Time/HiRes.pm) perl(XSLoader.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.11
Release: alt5
Summary: More Succinct Trie Data structure (binding for ux-trie)
Group: Development/Perl
License: bsd
URL: https://github.com/spiritloose/Text-Ux

Source0: http://cpan.org.ua/authors/id/J/JI/JIRO/%{module_name}-%{module_version}.tar.gz

%description
%summary

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release
BuildArch: noarch

%description scripts
scripts for %module_name

%prep
%setup -n %{module_name}-%{module_version}

%build
%perl_vendor_build --install_path bindoc=%_man1dir

%install
%perl_vendor_install

%files
%doc Changes README.md LICENSE
%perl_vendor_archlib/T*
%perl_vendor_autolib/*

%files scripts
%_man1dir/*
%_bindir/*

%changelog
