%define module_name Tickit-Widget-Layout-Desktop
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(List/Util.pm) perl(Test/CheckDeps.pm) perl(Test/More.pm) perl(Tickit.pm) perl(Tickit/Widget.pm) perl(Tickit/Widget/Menu.pm) perl(Tickit/WidgetRole/Movable.pm) perl(Variable/Disposition.pm) perl(curry/weak.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.011
Release: alt1
Summary: desktop-like float management implementation for Tickit
Group: Development/Perl
License: perl
URL: http://search.cpan.org/dist/Tickit-Widget-Layout-Desktop/

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/T/TE/TEAM/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Experimental release for a container that provides move/resize/minimize/maximize "window" behaviour.

=begin HTML

<p><img src="http://tickit.perlsite.co.uk/cpan-screenshot/tickit-widget-layout-desktop1.gif" alt="Desktop widget in action" width="539" height="315"></p>

=end HTML

Constructed of:

=over 4

=item * the Tickit::Widget::Layout::Desktop::Window manpage - the window implementation

=item * this class - background desktop on which the
floats are displayed

=back

and maybe later:

=over 4

=item * ::Desktop::Taskbar - a subclass of statusbar which provides
window lists and launchers

=back
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE Changes README examples
%perl_vendor_privlib/T*

%changelog
