# BEGIN SourceDeps(oneline):
BuildRequires: perl(IO/Async/Timer/Periodic.pm) perl(List/Util.pm) perl(Module/Build.pm) perl(String/Tagged.pm) perl(Test/More.pm) perl(Tickit/RenderBuffer.pm) perl(Tickit/Test.pm) perl(Tickit/Widget.pm) perl(Tickit/Widget/Scroller.pm) perl(Tickit/Widget/Scroller/Item/RichText.pm) perl(Tickit/Window.pm) perl(base.pm)
# END SourceDeps(oneline)
%define module_version 0.09
%define module_name Tickit-Widget-Menu
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.09
Release: alt1
Summary: display a menu of choices
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PE/PEVANS/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
This widget class acts as a display container for a list of items representing
individual choices. It can be displayed as a floating window using the
`popup' method, or attached to a the Tickit::Widget::MenuBar manpage or as a child
menu within another `Tickit::Widget::Menu'.

This widget is intended to be displayed transiently, either as a pop-up menu
over some other widget, or as a child menu of another menu or an instance of
a menu bar. Specifically, such objects should not be directly added to
container widgets.
%prep
%setup -q -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes LICENSE README examples
%perl_vendor_privlib/T*

%changelog
