# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(FindBin.pm) perl(Test/MinimumVersion.pm) perl(Test/More.pm) perl(Test/Perl/Critic.pm) perl(Test/Pod.pm) perl(warnings/register.pm)
# END SourceDeps(oneline)
%define module_name Tie-Subset
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.01
Release: alt1
Summary: Tie an array or hash to a subset of another array or hash, respectively
Group: Development/Perl
License: perl
URL: https://github.com/haukex/Tie-Subset

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/H/HA/HAUKEX/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This class simply delegates to
Tie::Subset::Hash or
Tie::Subset::Array as appropriate.
Please see the documentation of those modules.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE.txt README.md Changes
%perl_vendor_privlib/T*

%changelog
