# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(Fcntl.pm) perl(Module/Build.pm) perl(Symbol.pm) perl(Test.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define upstream_name       Tie-TextDir
%define upstream_version    0.06

Name:       perl-%{upstream_name}
Version:    %{upstream_version}
Release:    alt2_9
License:    GPL or Artistic
Summary:	Interface to directory of file
Group:		Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source:     http://www.cpan.org/modules/by-module/Tie/%{upstream_name}-%{upstream_version}.tar.gz
BuildArch:	noarch
Source44: import.info


%description
The Tie::TextDir module is a TIEHASH interface which lets you tie a Perl hash
to a directory on the filesystem. Each entry in the hash represents a file in
the directory.

%prep
%setup -q -n %{upstream_name}-%{upstream_version} 

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor
make

%install
%makeinstall_std

%files
%doc Changes MANIFEST README META.yml
%{perl_vendor_privlib}/Tie


%changelog
