Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:		perl-Time-Clock
Version:	1.03
Release:	alt2_21
Summary:	Twenty-four hour clock object with nanosecond precision
License:	GPL+ or Artistic
URL:		https://metacpan.org/release/Time-Clock
Source0:	https://cpan.metacpan.org/authors/id/J/JS/JSIRACUSA/Time-Clock-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	rpm-build-perl
BuildRequires:	perl(Carp.pm)
BuildRequires:	perl(constant.pm)
BuildRequires:	perl(ExtUtils/MakeMaker.pm)
BuildRequires:	perl(Test/More.pm)
BuildRequires:	perl(Test/Pod.pm)
BuildRequires:	perl(Time/HiRes.pm)
Requires:	perl(Time/HiRes.pm)
Source44: import.info

%description
A Time::Clock object is a twenty-four hour clock with nanosecond precision
and wrap-around. It is a clock only; it has absolutely no concept of dates.
Vagaries of date/time such as leap seconds and daylight savings time are
unsupported.

%prep
%setup -q -n Time-Clock-%{version}

%build
find . -type f -executable -exec chmod -x {} \;
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

# %{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc Changes
%{perl_vendor_privlib}/Time/

%changelog
