%define module_name Time-Duration-Concise-Localize
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(Encode.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(Module/Pluggable.pm) perl(POSIX.pm) perl(Test/CheckDeps.pm) perl(Test/Exception.pm) perl(Test/FailWarnings.pm) perl(Test/More.pm) perl(Test/NoWarnings.pm) perl(Tie/Hash/LRU.pm) perl(Time/Seconds.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 2.61
Release: alt1
Summary: An interesting approach to localize concise time duration string representation.
Group: Development/Perl
License: perl
URL: https://github.com/binary-com/perl-Time-Duration-Concise-Localize

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/B/BI/BINARY/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Time::Duration::Concise is an approach to localize concise time duration string representation.
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes LICENSE README.md example
%perl_vendor_privlib/T*

%changelog
