%define module_name Time-HiRes-Sleep-Until
# BEGIN SourceDeps(oneline):
BuildRequires: perl(DateTime.pm) perl(DateTime/Format/Strptime.pm) perl(ExtUtils/MakeMaker.pm) perl(Math/Round.pm) perl(POSIX.pm) perl(Package/New.pm) perl(Test/Number/Delta.pm) perl(Test/Simple.pm) perl(Time/HiRes.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.08
Release: alt1
Summary: Provides common ways to sleep until...
Group: Development/Perl
License: see LICENSE
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/M/MR/MRDVT/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Sleep Until provides sleep wrappers for common sleep functions that I typically need.  These methods are simply wrappers around the Time::HiRes manpage and the Math::Round manpage.

We use this package to make measurements at the same time within the minute for integration with RRDtool.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build INSTALLMAN1DIR=%_man1dir

%install
%perl_vendor_install

%files
%doc Changes LICENSE Todo README
%perl_vendor_privlib/T*

%changelog
