Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-Time-Period
Version:        1.25
Release:        alt2_17
Summary:        A Perl module to deal with time periods

License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Time-Period
Source0:        https://cpan.metacpan.org/authors/id/P/PB/PBOYD/Time-Period-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  coreutils
BuildRequires:  findutils
BuildRequires:  perl-devel
BuildRequires:  rpm-build-perl
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(strict.pm)
BuildRequires:  perl(warnings.pm)
# Run-time:
BuildRequires:  perl(Exporter.pm)
# Tests:
BuildRequires:  perl(POSIX.pm)
BuildRequires:  perl(Test/More.pm)
Source44: import.info

%description
Period.pm is a Perl module that contains code to deal with time periods.

%prep
%setup -q -n Time-Period-%{version}


%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor
%make_build


%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*


%check
make test



%files
%doc LICENSE README
# For noarch packages: vendorlib
%{perl_vendor_privlib}/*


%changelog
