Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-Time-Piece-MySQL
Version:        0.06
Release:        alt2_17
Summary:        MySQL-specific methods for Time::Piece
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Time-Piece-MySQL
Source0:        https://cpan.metacpan.org/modules/by-module/Time/Time-Piece-MySQL-%{version}.tar.gz
BuildArch:      noarch
# Build:
BuildRequires:  coreutils
BuildRequires:  findutils
BuildRequires:  rpm-build-perl
BuildRequires:  perl-devel
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
# Run-time:
BuildRequires:  perl(Time/Piece.pm)
BuildRequires:  perl(Time/Seconds.pm)
BuildRequires:  perl(strict.pm)
BuildRequires:  perl(vars.pm)
# Tests:
BuildRequires:  perl(Test/More.pm)
BuildRequires:  perl(warnings.pm)
# Dependencies:
Requires:       perl(Time/Piece.pm) >= 1.030



Source44: import.info
%filter_from_provides /^perl(Time.Piece.pm)/d
%filter_from_requires /^perl(Time.Piece\\)\s*$/d

%description
The Time::Piece::MySQL module can be used instead of, or in addition to,
Time::Piece to add MySQL-specific date-time methods to Time::Piece objects.

%prep
%setup -q -n Time-Piece-MySQL-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
# %{_fixperms} -c %{buildroot}

%check
make test

%files
%doc Changes README
%{perl_vendor_privlib}/Time/

%changelog
