%define module_name Time-Zone-Olson
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(Config.pm) perl(Digest/SHA.pm) perl(DirHandle.pm) perl(Encode.pm) perl(Encode/CN.pm) perl(Encode/JP.pm) perl(Encode/KR.pm) perl(Encode/TW.pm) perl(English.pm) perl(ExtUtils/MakeMaker.pm) perl(Fcntl.pm) perl(File/Find.pm) perl(File/Spec.pm) perl(File/Temp.pm) perl(FileHandle.pm) perl(HTTP/Request.pm) perl(LWP/Protocol/https.pm) perl(LWP/UserAgent.pm) perl(Math/Int64.pm) perl(POSIX.pm) perl(Taint/Util.pm) perl(Test/More.pm) perl(Time/Local.pm) perl(XML/LibXML.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.36
Release: alt1
Summary: Provides an interface to the Olson timezone database
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/D/DD/DDICK/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Time::Zone::Olson is intended to provide a simple interface to the Olson database that is available on most UNIX systems.  It provides an interface to list common time zones, such as Australia/Melbourne that are stored in the zone.tab file, and localtime/Time::Local::timelocal replacements to translate times to and from the users timezone, without changing the timezone used by Perl.  This allows logging/etc to be conducted in the system's local time.

Time::Zone::Olson was designed to produce the same result as a 64bit copy of the date(1) command.
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE ignore.txt Changes README
%perl_vendor_privlib/T*

%changelog
