Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(Test/More.pm) perl(base.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-Titanium
Version:        1.04
Release:        alt2_42
Summary:        Strong, lightweight web application framework
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Titanium
Source0:        https://cpan.metacpan.org/authors/id/M/MA/MARKSTOS/Titanium-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  rpm-build-perl
BuildRequires:  perl(CGI/Application.pm)
BuildRequires:  perl(CGI/Application/Dispatch.pm)
BuildRequires:  perl(CGI/Application/Plugin/ConfigAuto.pm)
BuildRequires:  perl(CGI/Application/Plugin/DBH.pm)
BuildRequires:  perl(CGI/Application/Plugin/DebugScreen.pm)
BuildRequires:  perl(CGI/Application/Plugin/DevPopup.pm)
BuildRequires:  perl(CGI/Application/Plugin/ErrorPage.pm)
BuildRequires:  perl(CGI/Application/Plugin/FillInForm.pm)
BuildRequires:  perl(CGI/Application/Plugin/Forward.pm)
BuildRequires:  perl(CGI/Application/Plugin/LogDispatch.pm)
BuildRequires:  perl(CGI/Application/Plugin/Redirect.pm)
BuildRequires:  perl(CGI/Application/Plugin/Session.pm)
BuildRequires:  perl(CGI/Application/Plugin/Stream.pm)
BuildRequires:  perl(CGI/Application/Plugin/ValidateRM.pm)
BuildRequires:  perl(CGI/Application/Server.pm)
BuildRequires:  perl(CGI/Application/Standard/Config.pm)
BuildRequires:  perl(Module/Build.pm)
# Module::Starter::Plugin::CGIApp requires Titanium itself
%if 0%{!?perl_bootstrap:1}
BuildRequires:  perl(Module/Starter/Plugin/CGIApp.pm)
%endif
BuildRequires:  perl(Test/Pod.pm)
BuildRequires:  perl(Test/WWW/Mechanize/CGIApp.pm)


Source44: import.info

%description
Titanium is a more user-friendly packaging of the mature CGI::Application
framework and some useful plugins, with the intention of creating a strong
but lightweight web application framework. It runs well in a plain CGI
environment and provides excellent performance in a persistent environment
such as FastCGI or mod_perl.

%prep
%setup -q -n Titanium-%{version}

%build
/usr/bin/perl Build.PL installdirs=vendor
./Build

%install
./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

# %{_fixperms} $RPM_BUILD_ROOT/*

%check
./Build test

%files
%doc Changes README
%{perl_vendor_privlib}/*

%changelog
