%def_without test
%define module_name Tk-HMListbox
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(File/stat.pm) perl(Test/More.pm) perl(Tk.pm) perl(Tk/HListbox.pm) perl(base.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 3.12
Release: alt1
Summary: Sortable Multicolumn HListbox (allowing icons, along with text) with arrows in headers indicating s...
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/T/TU/TURNERJW/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Tk::HMListbox is a derivitive of my the Tk::SMListbox manpage (and thus the Tk::MListbox manpage 
that uses the Tk::HListbox manpage (instead of the Tk::Listbox manpage, as used by the latter 
two) which was done to allow for image icons to be included in columns 
along with the traditional text strings.  I created both of these 
Tk::H*Listbox widgets in order to include a column of tiny file-type icons, 
in addition to the other file attribute columns in my JFM4 Perl/Tk-based 
file-manager application.  Tk::HMListbox is designed to work as a drop-in 
replacement for either Tk::SMListbox or Tk::MListbox, maintaining 
backward-compatability with both.

Sorting is done by clicking on one of the column headings in the 
widget. The first click will sort the data with the selected column as 
key, a new click will reverse the sort order.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_privlib/T*

%changelog
