Group: Development/Perl
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Benchmark.pm) perl(FileHandle.pm) perl(Math/BigInt.pm) perl(Scalar/Util.pm) perl(base.pm) perl(fields.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-Tk-ObjScanner
Version:        2.017
Release:        alt2_14
Summary:        Tk data scanner
License:        GPL+ or Artistic

URL:            https://metacpan.org/release/Tk-ObjScanner
Source0:        https://cpan.metacpan.org/authors/id/D/DD/DDUMONT/Tk-ObjScanner-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  rpm-build-perl
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(Tk.pm)
BuildRequires:  perl(Tk/Adjuster.pm)
BuildRequires:  perl(Tk/HList.pm)
BuildRequires:  perl(Tk/ROText.pm)
BuildRequires:  perl(Test/More.pm)


Source44: import.info

%description
This perl module provides a GUI to scan the attributes of an object. It can
also be used to scan the elements of a hash or an array.

%prep
%setup -q -n Tk-ObjScanner-%{version}

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

# %{_fixperms} $RPM_BUILD_ROOT/*

%files
%doc Changes README.md
%{perl_vendor_privlib}/*

%changelog
