Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(base.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-Tk-Stderr
Version:        1.2
Release:        alt3_39
Summary:        Capture standard error output, display in separate window for Perl::Tk

License:        GPLv2+
URL:            https://metacpan.org/release/Tk-Stderr
Source0:        http://cpan.org/modules/by-module/Tk/Tk-Stderr-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  rpm-build-perl
BuildRequires:  perl(Tk.pm)
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  xorg-xvfb xvfb-run, fonts-bitmap-misc
Source44: import.info

%description
This module captures that standard error of a program and redirects it
to a read only text widget, which doesn't appear until necessary. When
it does appear, the user can close it; it'll appear again when there is
more output.

%prep
%setup -q -n Tk-Stderr-%{version}

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install
make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -type f -name '*.bs' -a -size 0 -exec rm -f {} ';'
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null ';'
chmod -R u+w %{buildroot}/*

%check
# disabled by default because it needs an x screen
%{?_with_tests:make test}


%files
%doc README
%{perl_vendor_privlib}/Tk


%changelog
