%define module_name Travel-Routing-DE-VRR
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Class/Accessor.pm) perl(Encode.pm) perl(Exception/Class.pm) perl(File/Slurp.pm) perl(Getopt/Long.pm) perl(LWP/UserAgent.pm) perl(List/Util.pm) perl(Module/Build.pm) perl(Test/Compile.pm) perl(Test/Fatal.pm) perl(Test/More.pm) perl(Test/Pod.pm) perl(XML/LibXML.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 2.19
Release: alt1
Summary: unofficial interface to the efa.vrr.de German itinerary service
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/D/DE/DERF/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
%summary

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %{?epoch:%epoch:}%name = %version-%release

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build --install_path bindoc=%_man1dir

%install
%perl_vendor_install

%files
%doc Changelog README
%perl_vendor_privlib/T*

%files scripts
%_man1dir/*
%_bindir/*

%changelog
