%define module_name Travel-Status-DE-DBWagenreihung
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(Class/Accessor.pm) perl(Getopt/Long.pm) perl(JSON.pm) perl(LWP/UserAgent.pm) perl(List/Util.pm) perl(Module/Build.pm) perl(Test/Compile.pm) perl(Test/More.pm) perl(Test/Pod.pm) perl(Travel/Status/DE/IRIS.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.06
Release: alt1
Summary: Interface to Deutsche Bahn Wagon Order API.
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/D/DE/DERF/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Travel:Status:DE::DBWagenreihung is an unofficial interface to the Deutsche
Bahn Wagon Order API at https://www.apps-bahn.de/wr/wagenreihung/1.0.  It
returns station-specific wagon orders for long-distance trains operated by
Deutsche Bahn. Data includes wagon positions on the platform, the ICE series,
wagon-specific attributes such as first/second class or family coaches, and the
internal type and number of each wagon.

Positions on the platform are given both in meters and per cent (relative to
platform length).

At the time of this writing, only ICE trains are officially supported by the
backend, and even then glitches may occur. IC/EC trains are not officially
supported; reported wagon orders may be correct, may lack unscheduled changes,
or may be completely bogus.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %EVR

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changelog
%perl_vendor_privlib/T*

%files scripts
%_man1dir/*
%_bindir/*

%changelog
