%define module_name Tree-FSMethods
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Code/Includable/Tree/NodeMethods.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(Org/Parser/Tiny.pm) perl(Path/Naive.pm) perl(Pod/Coverage/TrustPod.pm) perl(Scalar/Util.pm) perl(Storable.pm) perl(String/Wildcard/Bash.pm) perl(Test/More.pm) perl(Test/Perl/Critic.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(Tree/Object/Hash.pm) perl(Tree/To/TextLines.pm) perl(parent.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.003
Release: alt1
Summary: Perform filesystem-like operations on object tree(s)
Group: Development/Perl
License: perl
URL: https://metacpan.org/release/Tree-FSMethods

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PE/PERLANCAR/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
METHODS
  new
    Usage:

     my $fs = Tree::FSMethods->new(%%args);

    Arguments:

    *   tree

        Optional. Object. The tree node object. A tree node object is any
        regular Perl object satisfying the following criteria: 1) it
        supports a "parent" method which should return a single parent node

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE README Changes
%perl_vendor_privlib/T*

%changelog
