# BEGIN SourceDeps(oneline):
BuildRequires: perl(Class/Accessor/Array.pm) perl(Class/Accessor/Array/Glob.pm) perl(Class/InsideOut.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(FindBin.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(Pod/Coverage/TrustPod.pm) perl(Role/Tiny/With.pm) perl(Role/TinyCommons/Tree/NodeMethods.pm) perl(Test/More.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(Test/Role/TinyCommons/Tree.pm) perl(lib.pm) perl(parent.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define module_version 0.07
%define module_name Tree-Object
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.07
Release: alt1
Summary: Generic tree objects
Group: Development/Perl
License: perl
URL: https://metacpan.org/release/Tree-Object

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PE/PERLANCAR/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
This distribution provides several implementations of tree classes (and class
generators) which you can use directly or as a base class. All of them consume
the roles from the Role::TinyCommons::Tree manpage distribution.

Provided classes:

=over

=item * the Tree::Object::Array manpage

=item * the Tree::Object::Array::Glob manpage

=item * the Tree::Object::Hash manpage

=item * the Tree::Object::Hash::ChildrenAsList manpage

=item * the Tree::Object::InsideOut manpage

=back
%prep
%setup -q -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README LICENSE Changes
%perl_vendor_privlib/T*

%changelog
