Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-podlators
# END SourceDeps(oneline)
%add_findreq_skiplist %perl_vendor_privlib/Tree/XPathEngine.pm
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-Tree-XPathEngine
Version:        0.05
Release:        alt2_27
Summary:        Re-usable XPath engine
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Tree-XPathEngine
Source0:        https://cpan.metacpan.org/authors/id/M/MI/MIROD/Tree-XPathEngine-%{version}.tar.gz
# Fix POD syntax, CPAN RT#78638
Patch0:         Tree-XPathEngine-0.05-Fix-POD-syntax.patch
BuildArch:      noarch
BuildRequires:  rpm-build-perl
BuildRequires:  perl-devel
BuildRequires:  perl(base.pm)
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(strict.pm)
BuildRequires:  perl(warnings.pm)
# Runtime
BuildRequires:  perl(overload.pm)
BuildRequires:  perl(POSIX.pm)
BuildRequires:  perl(vars.pm)
# Tests
BuildRequires:  perl(base.pm)
BuildRequires:  perl(Test/More.pm)
# Optional tests
BuildRequires:  perl(Test/Pod.pm)
BuildRequires:  perl(Test/Pod/Coverage.pm)
Source44: import.info

%description
This module provides an XPath engine, that can be re-used by other
modules/classes that implement trees.

%prep
%setup -q -n Tree-XPathEngine-%{version}
%patch0 -p1

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}

%install
%{makeinstall_std}
# %{_fixperms} %{buildroot}/*

%check
make test

%files
%doc Changes README
%{perl_vendor_privlib}/*

%changelog
