# BEGIN SourceDeps(oneline):
BuildRequires: perl(Compress/Zlib.pm) perl(Encode.pm) perl(Encode/CN.pm) perl(Encode/JP.pm) perl(Encode/KR.pm) perl(Encode/TW.pm) perl(ExtUtils/MakeMaker.pm) perl(MIME/Base64.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define module_name UML-PlantUML-Encoder
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.02
Release: alt1
Summary: Provides PlantUML Language's Encoding in Perl
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/R/RW/RWI/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
use UML::PlantUML::Encoder qw(encode_p);

    my $encoded = encode_p(qq{
       Alice -> Bob: Authentication Request
       Bob --> Alice: Authentication Response
    });

    print "http://www.plantuml.com/plantuml/uml/$encoded";
    print "http://www.plantuml.com/plantuml/png/$encoded";
    print "http://www.plantuml.com/plantuml/svg/$encoded";
    print "http://www.plantuml.com/plantuml/txt/$encoded";

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.pod LICENSE Changes
%perl_vendor_privlib/U*

%changelog
