%define module_name URI-Fast
# BEGIN SourceDeps(oneline):
BuildRequires: libsowing-devel perl(Carp.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(ExtUtils/testlib.pm) perl(Test/LeakTrace.pm) perl(Test2.pm) perl(Test2/Suite.pm) perl(Test2/V0.pm) perl(URI/Encode/XS.pm) perl(URI/Split.pm) perl(Unicode/GCString.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.49
Release: alt3
Summary: A fast(er) URI parser
Group: Development/Perl
License: perl
URL: https://github.com/sysread/URI-Fast

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/J/JE/JEFFOBER/%{module_name}-%{version}.tar.gz

%description
`URI::Fast' is a faster alternative to the URI manpage. It is written in C and provides
basic parsing and modification of a URI.

the URI manpage is an excellent module; it is battle-tested, robust, and handles many
edge cases. As a result, it is rather slower than it would otherwise be for
more trivial cases, such as inspecting the path or updating a single query
parameter.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README.pod
%perl_vendor_archlib/U*
%perl_vendor_autolib/U*

%changelog
