%define module_name URI-NamespaceMap
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Attean.pm) perl(Carp.pm) perl(Data/Perl/Role/Collection/Hash.pm) perl(ExtUtils/MakeMaker.pm) perl(IRI.pm) perl(Module/Load/Conditional.pm) perl(Moo.pm) perl(RDF/NS.pm) perl(RDF/Trine.pm) perl(RDF/Trine/NamespaceMap.pm) perl(Sub/Quote.pm) perl(Test/Deep.pm) perl(Test/Exception.pm) perl(Test/More.pm) perl(Test/Requires.pm) perl(Try/Tiny.pm) perl(Type/Library.pm) perl(Types/Attean.pm) perl(Types/URI.pm) perl(URI.pm) perl(XML/CommonNS.pm) perl(namespace/autoclean.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.10
Release: alt1
Summary: Namespace manipulation and prefix mapping for XML, RDF, etc.
Group: Development/Perl
License: perl
URL: https://metacpan.org/module/URI::NamespaceMap

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/K/KJ/KJETILK/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This module provides an object to manage multiple namespaces for creating the URI::Namespace manpage objects and for serializing.


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE CREDITS README COPYRIGHT README.md Changes
%perl_vendor_privlib/U*
%perl_vendor_privlib/T*

%changelog
