# BEGIN SourceDeps(oneline):
BuildRequires: perl(CPAN/Meta.pm) perl(Carp.pm) perl(Digest/SHA.pm) perl(Pod/Readme/Brief.pm) perl(Scalar/Util.pm) perl(Software/LicenseUtils.pm) perl(Test/More.pm) perl(URI.pm) perl(URI/WithBase.pm)
# END SourceDeps(oneline)
%define module_name URI-Signature-Tiny
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.001
Release: alt1
Summary: Mint and verify server-signed URIs
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/A/AR/ARISTOTLE/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This is a minimal helper to generate URLs that you can later verify to not have
been modified, so that you can trust security-relevant values such as user IDs.
This is useful e.g. for a passwort reset link that the user should not be able
to edit to log in as someone else.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README LICENSE Changes
%perl_vendor_privlib/U*

%changelog
