%define module_name URI-XSEscape
# BEGIN SourceDeps(oneline):
BuildRequires: libsowing-devel perl(Data/Dumper.pm) perl(ExtUtils/MakeMaker.pm) perl(Test/More.pm) perl(URI/Escape.pm) perl(URI/Escape/XS.pm) perl(XSLoader.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.002000
Release: alt2
Summary: Fast XS URI-escaping library, replacing URI::Escape.
Group: Development/Perl
License: mit
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/G/GO/GONZUS/%{module_name}-%{version}.tar.gz

%description
By loading the URI::XSEscape manpage anywhere, you replace any usage of
the URI::Escape manpage with a fast C implementation.

You can continue to use the URI::Escape manpage and any other module that
depends on it just like you did before. It's just faster now.
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE Changes README.md
%perl_vendor_archlib/U*
%perl_vendor_autolib/*

%changelog
