%define module_name UV
# BEGIN SourceDeps(oneline):
BuildRequires: libsowing-devel libuv-devel perl(Alien/libuv.pm) perl(Carp.pm) perl(Config.pm) perl(Errno.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(FindBin.pm) perl(IO/Handle.pm) perl(IO/Socket/INET.pm) perl(Math/Int64.pm) perl(POSIX.pm) perl(Scalar/Util.pm) perl(Socket.pm) perl(Test/More.pm) perl(Try/Tiny.pm) perl(XS/Object/Magic.pm) perl(XSLoader.pm) perl(parent.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.000009
Release: alt3
Summary: perl interface to libuv
Group: Development/Perl
License: perl
URL: https://github.com/genio/p5-UV

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/C/CA/CAPOEIRAB/%{module_name}-%{version}.tar.gz

%description
UV provides low-level interface to libuv, https://github.com/joyent/libuv, platform layer for node.js.

Low-level means this module's functions maps to libuv functions directry.
`uv_listen' maps to `UV::listen', `uv_tcp_connect' to `UV::tcp_connect', and so on.

This is because I'm using this module to make some prototypes for native C application which uses libuv.
Perl codes using this module can be easily converted to C programs.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install
rm -f %buildroot%perl_vendor_archlib/*.h
rm -f %buildroot%perl_vendor_archlib/*.c
rm -f %buildroot%perl_vendor_archlib/typemap 

%files
%doc LICENSE CONTRIBUTING.md README Changes
%perl_vendor_archlib/U*
%perl_vendor_autolib/*

%changelog
