%define module_name Udev-FFI
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Errno.pm) perl(Exporter.pm) perl(FFI/CheckLib.pm) perl(FFI/Platypus.pm) perl(File/Which.pm) perl(IO/Select.pm) perl(Module/Build.pm) perl(Test/More.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators udev

Name: perl-%module_name
Version: 0.104002
Release: alt1
Summary: Perl bindings for libudev using ffi.
Group: Development/Perl
License: lgpl
URL: https://github.com/Ilya33/udev-ffi

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/I/IL/ILUX/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Udev::FFI exposes OO interface to libudev.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE Changes README.md examples
%perl_vendor_privlib/U*

%changelog
