# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(Fcntl.pm) perl(IO/File.pm) perl(Text/ParseWords.pm) perl(Text/Tabs.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define upstream_name    Unix-ConfigFile
%define upstream_version 0.06

Name:       perl-%{upstream_name}
Version:    %{upstream_version}
Release:    alt2_9

Summary:	Unix::ConfigFile module for Perl
License:	GPL
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}/
Source0:	http://www.cpan.org/modules/by-module/Unix/%{upstream_name}-%{upstream_version}.tar.bz2
Patch0:		fix-build.diff

BuildArch:	noarch
Source44: import.info


%description
Easy access to data in many formats

%prep
%setup -q -n  %{upstream_name}-%{upstream_version}
%patch0 -p1


%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor
%make OPTIMIZE="$RPM_OPT_FLAGS" PREFIX=%{_prefix}

%check
%make test

%install
%makeinstall_std

%files
%doc README Changes
%dir %{perl_vendor_privlib}/Unix
%{perl_vendor_privlib}/Unix/*.pm


%changelog
