%define _without_test 1
%define module_name Unix-Sudo
# BEGIN SourceDeps(oneline):
BuildRequires: perl(B/Deparse.pm) perl(Capture/Tiny.pm) perl(Data/Compare.pm) perl(Data/Dumper.pm) perl(Devel/CheckOS.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Find/Rule.pm) perl(PadWalker.pm) perl(Probe/Perl.pm) perl(Test/More.pm) perl(tainting.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 4
Release: alt1
Summary: run a block as root
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/D/DC/DCANTRELL/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
As a normal user who can `sudo' ...

    use Unix::Sudo qw(sudo);

    print `whoami`;          # shows your normal username
    sudo {
        eval "no tainting";
        print `whoami`;      # root
    };
    print `whoami`;          # back to normal

%prep
%setup -q -n %{module_name}-%{version}
sed -i 's,die(,warn(,' Makefile.PL

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc GPL2.txt README ARTISTIC.txt CHANGELOG
%perl_vendor_privlib/U*

%changelog
