%define module_name Util-H2O
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(Hash/Util.pm) perl(Scalar/Util.pm) perl(Symbol.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.12
Release: alt1
Summary: Hash to Object: turns hashrefs into objects with accessors for keys
Group: Development/Perl
License: perl
URL: https://github.com/haukex/Util-H2O

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/H/HA/HAUKEX/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This module allows you to turn hashrefs into objects, so that instead
of `$hash->{key}' you can write `$hash->key', plus you get
protection from typos. In addition, options are provided that allow
you to whip up really simple classes.

You can still use the hash like a normal hashref as well, as in
`$hash->{key}', `keys %%$hash', and so on, but note that by
default this function also locks the hash's keyset to prevent typos
there too.

This module exports a single function by default.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.md Changes LICENSE.txt
%perl_vendor_privlib/U*

%changelog
