# BEGIN SourceDeps(oneline):
BuildRequires: perl(Crypt/JWT.pm) perl(CryptX.pm) perl(ExtUtils/MakeMaker.pm) perl(Import/Export.pm) perl(MIME/Base64.pm) perl(Module/Metadata.pm) perl(Test/More.pm) perl(URI.pm)
# END SourceDeps(oneline)
%define module_name VAPID
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.01
Release: alt1
Summary: Voluntary Application Server Identification
Group: Development/Perl
License: artistic_2
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/L/LN/LNATION/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
VAPID, which stands for Voluntary Application Server Identity, is a new way to send and receive website push notifications. Your VAPID keys allow you to send web push campaigns without having to send them through a service like Firebase Cloud Messaging (or FCM). Instead, the application server can voluntarily identify itself to your web push provider.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc ignore.txt README Changes
%perl_vendor_privlib/V*

%changelog
