%define module_name VMware-vCloudDirector2
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Const/Fast.pm) perl(Cpanel/JSON/XS.pm) perl(Data/Dump.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(FindBin.pm) perl(LWP/UserAgent/Determined.pm) perl(MIME/Base64.pm) perl(Method/Signatures.pm) perl(Moose.pm) perl(MooseX/Types/Path/Tiny.pm) perl(MooseX/Types/URI.pm) perl(Mozilla/CA.pm) perl(Path/Tiny.pm) perl(Ref/Util.pm) perl(Scalar/Util.pm) perl(Syntax/Keyword/Try.pm) perl(Test/Exception.pm) perl(Test/LWP/UserAgent.pm) perl(Test/More.pm) perl(Throwable/Error.pm) perl(XML/Fast.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.107
Release: alt1
Summary: Interface to VMWare vCloud Directory REST API
Group: Development/Perl
License: perl
URL: https://github.com/Perl-VMware/VMware-vCloudDirector2

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/N/NI/NIGELM/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Thinish wrapper of the VMware vCloud Director REST API.

This differs from the VMware::vCloudDirector manpage in that it uses the JSON flavoured
version of the API, which has subtly different naming conventions (which is why
I didn't try to make the code handle both flavours), but is much easier to work
with when doing write operations.

It also can do write operations - as well as the other issues in
the VMware::vCloudDirector manpage it looks like the write operations - `PUT', `POST'
and `DELETE' have never worked!

THIS IS AT AN EARLY STAGE OF DEVELOPMENT - PROTOTYPING REALLY - AND MAY CHANGE
DRAMATICALLY OR EAT YOUR DATA.

The lack of documentation reflects the stage in development...

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README LICENSE
%perl_vendor_privlib/V*

%changelog
