# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Exporter.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define module	Video-Frequencies

Name:		perl-%{module}
Summary:	Perl interface to the Video4linux tuner frequencies
Group:		Development/Perl
Version:	0.03
Release:       	alt2_19
License:	GPL or Artistic
URL:		http://ivtvdriver.org/
Source0:	http://dl.ivtvdriver.org/supporting-tools/%{module}-%{version}.tar.bz2

BuildArch:	noarch
#Requires: perl, perl-base
BuildRequires:	perl-devel
Source44: import.info

%description
This package provides a table of hashes that represent all the current
frequency mappings that are used by Video4Linux programs.

Do perldoc Video::Frequencies to get complete instructions, etc.

%prep
%setup -q -n %{module}-%{version}

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor
make
make test

%install
%makeinstall_std

%files
%doc README COPYING Changes
%{perl_vendor_privlib}/Video/Frequencies.pm

%changelog
