# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(DynaLoader.pm) perl(Exporter.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define module	Video-ivtv

%{?perl_default_filter}

Name:		perl-%{module}
Summary:	Perl modules for ivtv support
Group:		Development/Perl
Version:	0.13
Release:       	alt4_30
License:	GPL or Artistic
URL:		http://ivtvdriver.org/
Source0:	http://dl.ivtvdriver.org/supporting-tools/%{module}-%{version}.tar.bz2

BuildRequires:	perl-devel
Source44: import.info

%description
Video::ivtv is designed to be a quick hack at making the record_ivtv.pl
script not have to depend on the test_ioctl program included with the ivtv
utils.  By moving to have the things that have proven difficult to do purely
in perl to C where they currently are being done, I can concentrate on
improving the code rather than hitting my head against the wall trying to
do code cleanups.  ;)

%prep
%setup -q -n %{module}-%{version}

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor
make
#make test

%install
%makeinstall_std

%files
%doc README MANIFEST Changes
%{perl_vendor_archlib}/Video/ivtv.pm
%dir %{perl_vendor_archlib}/Video/
%{perl_vendor_archlib}/auto/Video/ivtv/ivtv.so
%dir %{perl_vendor_archlib}/auto/Video/ivtv/
%dir %{perl_vendor_archlib}/auto/Video/


%changelog
