Group: Development/Perl
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(AutoLoader.pm) perl(Encode.pm) perl(Exporter.pm) perl(IO/Socket.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-WWW-Babelfish
Version:        0.16
Release:        alt2_37
Summary:        Perl extension for translation via Babelfish or Google
License:        GPL+ or Artistic

URL:            https://metacpan.org/release/WWW-Babelfish
Source0:        https://cpan.metacpan.org/authors/id/D/DU/DURIST/WWW-Babelfish-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  perl-devel
BuildRequires:  rpm-build-perl
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(HTML/TokeParser.pm)
BuildRequires:  perl(HTTP/Request.pm)
BuildRequires:  perl(IO/String.pm)
BuildRequires:  perl(LWP/UserAgent.pm)


Source44: import.info

%description
Perl interface to the WWW babelfish translation server.

%prep
%setup -q -n WWW-Babelfish-%{version}

%build
# nix internet-based tests
echo n | /usr/bin/perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
%make_build

%install
make pure_install DESTDIR=%{buildroot}
# %{_fixperms} %{buildroot}/*

%check
make test

%files
%doc Changes README
%{perl_vendor_privlib}/*

%changelog
