%define module_name WWW-Correios-SIGEP
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(File/Copy.pm) perl(File/Path.pm) perl(File/ShareDir.pm) perl(File/ShareDir/Install.pm) perl(File/Temp.pm) perl(LWP/UserAgent.pm) perl(Test/More.pm) perl(XML/Compile/SOAP.pm) perl(XML/Compile/WSDL11.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.04
Release: alt1
Summary: API para o Gerenciador de Postagem dos Correios (SIGEP WEB)
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/G/GA/GARU/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This module provides a way to query the Brazilian Postal Office (Correios)
SIGEP WEB Interface, an API to manage postal packages. Since the main target
for this module is Brazilian developers, the documentation is provided in
portuguese only. If you need help with this module please contact the author.
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.md
%perl_vendor_privlib/W*
%perl_vendor_privlib/auto/*

%changelog
