Group: Development/Perl
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Pod/Usage.pm) perl(Term/ReadLine.pm) perl(Test/More.pm) perl(Text/ParseWords.pm) perl(URI.pm) perl(base.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-WWW-GoodData
Version:        1.11
Release:        alt1_21
Summary:        Client library for GoodData REST-ful API
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/WWW-GoodData
Source0:        https://cpan.metacpan.org/authors/id/L/LK/LKUNDRAK/WWW-GoodData-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  rpm-build-perl
BuildRequires:  perl(IO/Socket/SSL.pm)
BuildRequires:  perl(JSON.pm)
BuildRequires:  perl(LWP/UserAgent.pm)
BuildRequires:  perl(Module/Build.pm)
BuildRequires:  perl(Test/Pod.pm)
Requires:       perl(IO/Socket/SSL.pm)
Source44: import.info

%description
WWW::GoodData is the client for GoodData JSON-based API built atop
WWW::GoodData::Agent client agent, with focus on usefulness and
correctness of implementation.


%prep
%setup -q -n WWW-GoodData-%{version}


%build
/usr/bin/perl Build.PL installdirs=vendor
./Build


%install
./Build install destdir=%{buildroot} create_packlist=0
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

# %{_fixperms} %{buildroot}/*


%check
./Build test


%files
%doc ISSUES
%{perl_vendor_privlib}/*
%{_bindir}/gdc
%{_mandir}/man1/*


%changelog
