# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(HTTP/Request.pm) perl(HTTP/Response.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define upstream_name    WWW-Mechanize-CGI
%define upstream_version 0.3

Name:       perl-%{upstream_name}
Version:    %{upstream_version}
Release:    alt3_9

Summary:    Use WWW::Mechanize with CGI applications
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/WWW/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp.pm)
BuildRequires: perl(Class/Accessor/Fast.pm)
BuildRequires: perl(File/Spec.pm)
BuildRequires: perl(HTTP/Request/AsCGI.pm)
BuildRequires: perl(IO/Pipe.pm)
BuildRequires: perl(Test/More.pm)
BuildRequires: perl(WWW/Mechanize.pm)

BuildArch:  noarch


Requires: perl(Class/Accessor/Fast.pm)
Source44: import.info

%description
Provides a convenient way of using CGI applications with the WWW::Mechanize, 
without setting a webrowser.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes README META.yml
%perl_vendor_privlib/WWW

%changelog
