%define module_name WWW-Mechanize-PhantomJS
# BEGIN SourceDeps(oneline):
BuildRequires: perl(CGI.pm) perl(Carp.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Basename.pm) perl(File/Copy.pm) perl(File/Find.pm) perl(File/Path.pm) perl(File/Temp.pm) perl(Filter/signatures.pm) perl(HTML/Selector/XPath.pm) perl(HTTP/Daemon.pm) perl(HTTP/Request/AsCGI.pm) perl(HTTP/Response.pm) perl(IO/Socket/INET.pm) perl(LWP/Simple.pm) perl(Object/Import.pm) perl(Pod/Markdown.pm) perl(Scalar/Util.pm) perl(Selenium/Remote/Driver.pm) perl(Test/HTTP/LocalServer.pm) perl(Test/More.pm) perl(Time/HiRes.pm) perl(URI.pm) perl(URI/file.pm) perl(WWW/Mechanize/Link.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.24
Release: alt1
Summary: automate the PhantomJS browser
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/C/CO/CORION/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
use WWW::Mechanize::PhantomJS;
  my $mech = WWW::Mechanize::PhantomJS->new();
  $mech->get('http://google.com');

  $mech->eval_in_page('alert("Hello PhantomJS")');
  my $png= $mech->content_as_png();

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README README.mkdn LICENSE examples
%perl_vendor_privlib/W*

%changelog
