Group: Development/Perl
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(CPAN.pm) perl(JSON.pm) perl(LWP/Simple.pm) perl(Module/Build.pm) perl(Net/FTP.pm) perl(Parse/CPAN/Meta.pm) perl(YAML/Tiny.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-WWW-Mechanize-TreeBuilder
Version:        1.20000
Release:        alt2_21
Summary:        WWW::Mechanize::TreeBuilder Perl module
License:        GPL+ or Artistic

URL:            https://metacpan.org/release/WWW-Mechanize-TreeBuilder
Source0:        https://cpan.metacpan.org/authors/id/A/AS/ASH/WWW-Mechanize-TreeBuilder-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  coreutils
BuildRequires:  perl-devel
BuildRequires:  rpm-build-perl
BuildRequires:  perl
BuildRequires:  perl(inc/Module/Install.pm)
BuildRequires:  perl(Module/Install/Metadata.pm)
BuildRequires:  perl(Module/Install/WriteAll.pm)
BuildRequires:  sed
# Run-time:
BuildRequires:  perl(Class/Load.pm)
BuildRequires:  perl(HTML/TreeBuilder.pm)
BuildRequires:  perl(Moose/Util/TypeConstraints.pm)
BuildRequires:  perl(MooseX/Role/Parameterized.pm)
# Tests:
BuildRequires:  perl(base.pm)
BuildRequires:  perl(FindBin.pm)
BuildRequires:  perl(HTML/Element.pm)
BuildRequires:  perl(lib.pm)
BuildRequires:  perl(Moose.pm)
BuildRequires:  perl(strict.pm)
BuildRequires:  perl(Test/More.pm)
BuildRequires:  perl(Test/WWW/Mechanize.pm)
BuildRequires:  perl(warnings.pm)
BuildRequires:  perl(WWW/Mechanize.pm)
# Optional tests:
BuildRequires:  perl(HTML/TreeBuilder/XPath.pm)
# not automatically detected
Requires:       perl(HTML/TreeBuilder.pm)
# not strictly required, but recommended
Requires:       perl(HTML/TreeBuilder/XPath.pm)


Source44: import.info

%description
This module combines WWW::Mechanize and HTML::TreeBuilder.

%prep
%setup -q -n WWW-Mechanize-TreeBuilder-%{version}
# Remove bundled modules
rm -r ./inc/*
sed -i -e '/^inc\//d' MANIFEST

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
%make_build

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
# %{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc Changes
%{perl_vendor_privlib}/WWW*

%changelog
