# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Module/Build.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define upstream_name    WWW-Pastebin-PastebinCa-Create
%define upstream_version 0.004

Name:       perl-%{upstream_name}
Version:    %{upstream_version}
Release:    alt2_7

License:    GPL or Artistic
Group:      Development/Perl
Summary:    create new pastes on http://pastebin.ca/ from Perl
Source0:     http://www.cpan.org/modules/by-module/WWW/%{upstream_name}-%{upstream_version}.tar.gz
Url:        http://search.cpan.org/dist/%{upstream_name}

BuildRequires: perl(Carp.pm)
BuildRequires: perl(ExtUtils/MakeMaker.pm)
BuildRequires: perl(Test/More.pm)
BuildRequires: perl(URI.pm)
BuildRequires: perl(WWW/Mechanize.pm)
BuildRequires: perl(overload.pm)
BuildRequires: perl-devel
# reported missing by pterjan:
Requires:   perl(Class/Data/Accessor.pm)
BuildArch:  noarch
Source44: import.info

%description

The module provides means of pasting large texts into the
http://pastebin.ca/ manpage pastebin site.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor
%make

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml  README examples
%perl_vendor_privlib/*

%changelog
