%define module_name WWW-RoboCop
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(DDP.pm) perl(Data/Perl/Code.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(Moo.pm) perl(MooX/HandlesVia.pm) perl(MooX/StrictConstructor.pm) perl(Mozilla/CA.pm) perl(Plack/Handler/HTTP/Server/Simple.pm) perl(Plack/Test/Agent.pm) perl(Test/Fatal.pm) perl(Test/More.pm) perl(Test/Most.pm) perl(Type/Params.pm) perl(Types/Standard.pm) perl(Types/URI.pm) perl(URI.pm) perl(WWW/Mechanize.pm) perl(feature.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.000100
Release: alt1
Summary: Police your URLs!
Group: Development/Perl
License: artistic_2
URL: https://github.com/oalders/www-robocop

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/O/OA/OALDERS/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
From summary: %summary

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes LICENSE README.md README CONTRIBUTORS examples
%perl_vendor_privlib/W*

%changelog
