# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(CPAN.pm) perl(Config.pm) perl(Cwd.pm) perl(Fcntl.pm) perl(File/Basename.pm) perl(File/Find.pm) perl(File/Spec.pm) perl(File/Temp.pm) perl(FileHandle.pm) perl(JSON.pm) perl(LWP/Simple.pm) perl(Module/Build.pm) perl(Net/FTP.pm) perl(Parse/CPAN/Meta.pm) perl(Socket.pm) perl(URI/Escape.pm) perl(YAML/Tiny.pm) perl(base.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define upstream_name WWW-Search-Lycos
%define upstream_version 2.225

%{?perl_default_filter}


Name:       perl-%{upstream_name}
Version:    %{upstream_version}
Summary:    Class for searching www.lycos.com
Release:    alt1_6
License:    GPL or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    ftp://ftp.perl.org/pub/CPAN/modules/by-module/WWW/%{upstream_name}-%{upstream_version}.tar.gz
BuildRequires: perl(ExtUtils/MakeMaker.pm)
BuildRequires: perl(HTML/TreeBuilder.pm)
BuildRequires: perl(Test/More.pm)
BuildRequires: perl(WWW/Search/Test.pm)
BuildRequires: perl-devel
BuildArch:  noarch
Source44: import.info

%description
This class is a Lycos specialization of WWW::Search.  It handles
making and interpreting Lycos-site searches http://www.lycos.com.

This class exports no public interface; all interaction should
be done through WWW::Search objects.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
/usr/bin/perl -I. Makefile.PL INSTALLDIRS=vendor
%make_build CFLAGS="%{optflags}"

# make test don't work...
#make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.yml  README
%{perl_vendor_privlib}/WWW/Search/Lycos.pm


%changelog
