# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(CPAN.pm) perl(Config.pm) perl(Cwd.pm) perl(Date/Manip.pm) perl(ExtUtils/MM_Unix.pm) perl(ExtUtils/MakeMaker.pm) perl(ExtUtils/Manifest.pm) perl(ExtUtils/testlib.pm) perl(File/Basename.pm) perl(File/Find.pm) perl(FileHandle.pm) perl(HTML/TreeBuilder.pm) perl(LWP/Simple.pm) perl(Module/Build.pm) perl(Net/FTP.pm) perl(Socket.pm) perl(Test/More.pm) perl(URI.pm) perl(URI/Escape.pm) perl(WWW/Search.pm) perl(WWW/Search/Result.pm) perl(WWW/Search/Test.pm) perl(WWW/SearchResult.pm) perl(YAML/Tiny.pm) perl(base.pm) perl(blib.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define upstream_name WWW-Search-Yahoo
%define upstream_version 2.415

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%{upstream_version}
Release:	alt1_11
License:	GPL or Artistic
Summary:	Backend for searching www.yahoo.com
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{upstream_name}
Source0:	ftp://ftp.perl.org/pub/CPAN/modules/by-module/WWW/%{upstream_name}-%{upstream_version}.tar.bz2
BuildRequires:	perl(I18N/Charset.pm)
BuildArch:	noarch
Source44: import.info

%description
This class is a Yahoo specialization of WWW::Search. It handles
making and interpreting Yahoo searches http://www.yahoo.com.

This class exports no public interface; all interaction should
be done through WWW::Search objects.

%prep
%setup -q -n %{upstream_name}-%{upstream_version} 

%build
/usr/bin/perl -I. Makefile.PL INSTALLDIRS=vendor
%make_build CFLAGS="%{optflags}"

%install
%makeinstall_std

%files
%doc Changes README
%{perl_vendor_privlib}/WWW


%changelog
