Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-WWW-Shorten
Version:        3.093
Release:        alt2_17
Summary:        Interface to URL shortening sites
License:        Artistic 2.0
URL:            https://metacpan.org/release/WWW-Shorten
Source0:        https://cpan.metacpan.org/authors/id/C/CA/CAPOEIRAB/WWW-Shorten-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  rpm-build-perl
BuildRequires:  perl(base.pm)
BuildRequires:  perl(Carp.pm)
BuildRequires:  perl(Config/Auto.pm)
BuildRequires:  perl(LWP.pm)
BuildRequires:  perl(LWP/UserAgent.pm)
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(Test/More.pm)
BuildRequires:  perl(Test/Pod.pm)
BuildRequires:  perl(Try/Tiny.pm)
BuildRequires:  perl(URI.pm)
Source44: import.info

%description
A unified interface to various URL shortening services on the web, such as
TinyURL or makeashorterlink.com.

%prep
%setup -q -n WWW-Shorten-%{version}

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

# %{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc --no-dereference LICENSE
%doc Changes MANIFEST README.md
%{perl_vendor_privlib}/*
%{_bindir}/shorten
%{_mandir}/man1/*

%changelog
