%define _without_test 1
%define module_name Weather-YR
# BEGIN SourceDeps(oneline):
BuildRequires: perl(DateTime.pm) perl(DateTime/Format/ISO8601.pm) perl(DateTime/TimeZone.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Slurp.pm) perl(FindBin.pm) perl(LWP/UserAgent.pm) perl(Mojo/URL.pm) perl(Moose.pm) perl(Test/More.pm) perl(XML/LibXML.pm) perl(XML/Simple.pm) perl(namespace/autoclean.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.38
Release: alt1
Summary: Perl extension for talking to yr.no
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/T/TO/TOREAU/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This Perl package contains parsers and web service clients for using web.services from yr.no.


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE README Changes README.md
%perl_vendor_privlib/W*
%changelog
