%define module_name Web-API
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(Data/Printer.pm) perl(Data/Random.pm) perl(ExtUtils/MakeMaker.pm) perl(HTTP/Cookies.pm) perl(JSON.pm) perl(LWP/UserAgent.pm) perl(Mouse/Role.pm) perl(Net/OAuth.pm) perl(Pod/Coverage/TrustPod.pm) perl(Test/EOL.pm) perl(Test/Perl/Critic.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(Time/HiRes.pm) perl(URI.pm) perl(URI/Escape/XS.pm) perl(URI/QueryParam.pm) perl(XML/Simple.pm) perl(experimental.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 2.7
Release: alt1
Summary: Web::API - A Simple base module to implement almost every RESTful API with just a few lines of conf...
Group: Development/Perl
License: bsd
URL: https://github.com/nupfel/Web-API/wiki

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/L/LE/LEV/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
From summary: %summary

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc CONTRIBUTORS.txt README LICENSE Changes
%perl_vendor_privlib/W*

%changelog
