%define module_name WebService-Postex
# BEGIN SourceDeps(oneline):
BuildRequires: perl(CPAN/Meta/Requirements.pm) perl(Carp.pm) perl(DateTime.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(HTTP/Request/Common.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(Import/Into.pm) perl(JSON/XS.pm) perl(LWP/UserAgent.pm) perl(Module/Metadata.pm) perl(Moose.pm) perl(MooseX/Types/URI.pm) perl(Sub/Override.pm) perl(Test/Deep.pm) perl(Test/More.pm) perl(Test/Most.pm) perl(namespace/autoclean.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.002
Release: alt1
Summary: A Postex WebService implemenation in Perl
Group: Development/Perl
License: bsd
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/W/WA/WATERKIP/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
A Perl API for connecting with the Postex REST API

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.md Changes CONTRIBUTORS LICENSE
%perl_vendor_privlib/W*

%changelog
