Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Encode.pm) perl(Image/Magick.pm) perl(Net/Netrc.pm) perl(Pod/Coverage/TrustPod.pm) perl(Pod/Usage.pm) perl(Test/Pod/Coverage.pm) perl(WWW/Mechanize.pm) perl(XML/FeedPP.pm) perl(XML/Simple.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global cpan_version 1.202830

Name:           perl-WebService-Rajce
# Normalize version to dotted format
Version:        %(echo '%{cpan_version}' | sed 's/\(\....\)\(.\)/\1.\2/')
Release:        alt2_3
Summary:        Perl interface for www.rajce.idnes.cz
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/WebService-Rajce
Source0:        https://cpan.metacpan.org/authors/id/P/PE/PEK/WebService-Rajce-%{cpan_version}.tar.gz
BuildArch:      noarch
BuildRequires:  rpm-build-perl
BuildRequires:  perl-devel
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(strict.pm)
BuildRequires:  perl(warnings.pm)
BuildRequires:  sed
# Run-time (No tests exhibiting the code are performed)
# AutoLoader not used at tests
# Carp not used at tests
# Digest::MD5 not used at tests
# Encode not used at tests
# Exporter not used at tests
# File::Basename not used at tests
# File::Path not used at tests
# Getopt::Long not used at tests
# Image::Magick not used at tests
# https URLs are passed to the LWP
# LWP::Protocol::https not used at tests
# Net::Netrc not used at tests
# Pod::Usage not used at tests
# POSIX not used at tests
# vars not used at tests
# WWW::Mechanize not used at tests
# XML::FeedPP not used at tests
# XML::Simple not used at tests
# Tests:
# Pod::Coverage::TrustPod not used
BuildRequires:  perl(Test/More.pm)
# Test::Pod::Coverage 1.08 not used
Requires:       perl(AutoLoader.pm)
# https URLs are passed to the LWP
Requires:       perl(LWP/Protocol/https.pm)
Source44: import.info

%description
This is a Perl library implementing an API of a photo gallery service running
on www.rajce.idnes.cz server.

%package tools
Group: Networking/WWW
Summary:        Utilities for accessing www.rajce.idnes.cz
License:        GPL+ or Artistic
BuildArch:      noarch

%description tools
Command line tools for uploading and downloading images from a photo gallery
service running on www.rajce.idnes.cz server.


%prep
%setup -q -n WebService-Rajce-%{cpan_version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}

%install
%{makeinstall_std}
# %{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc --no-dereference LICENSE
%doc Changes README
%{perl_vendor_privlib}/*

%files tools
%{_bindir}/*
%{_mandir}/man1/*

%changelog
