Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Test/Warn.pm) perl(XML/XPath.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-WebService-Validator-HTML-W3C
Version:        0.28
Release:        alt2_27
Summary:        Access the W3Cs online HTML validator
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/WebService-Validator-HTML-W3C
Source0:        https://cpan.metacpan.org/authors/id/S/ST/STRUAN/WebService-Validator-HTML-W3C-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  rpm-build-perl
BuildRequires:  perl-devel
BuildRequires:  perl(base.pm)
BuildRequires:  perl(Class/Accessor.pm)
BuildRequires:  perl(HTTP/Request/Common.pm)
BuildRequires:  perl(HTTP/Response.pm)
BuildRequires:  perl(LWP/UserAgent.pm)
BuildRequires:  perl(Module/Build.pm)
BuildRequires:  perl(strict.pm)
BuildRequires:  perl(Test/More.pm)
BuildRequires:  perl(Test/Without/Module.pm)
BuildRequires:  perl(URI/Escape.pm)
BuildRequires:  perl(vars.pm)
BuildRequires:  perl(warnings.pm)
Requires:     perl(XML/XPath.pm)


Source44: import.info

%description
WebService::Validator::HTML::W3C provides access to the W3C's online Markup
validator. As well as reporting on whether a page is valid it also provides
access to a detailed list of the errors and where in the validated document
they occur.

%prep
%setup -q -n WebService-Validator-HTML-W3C-%{version}

%build
perl Build.PL installdirs=vendor
./Build

%install
./Build install destdir=%{buildroot} create_packlist=0
# %{_fixperms} %{buildroot}/*

%check
./Build test

%files
%doc Changes README examples
%{perl_vendor_privlib}/*

%changelog
