%define module_name Whim
# BEGIN SourceDeps(oneline):
BuildRequires: perl(DBD/SQLite.pm) perl(DBI.pm) perl(Daemon/Control.pm) perl(Data/Perl/Role/Collection/Hash.pm) perl(DateTime/Format/ISO8601.pm) perl(Digest/SHA.pm) perl(ExtUtils/MakeMaker.pm) perl(FindBin.pm) perl(LWP/Protocol/https.pm) perl(LWP/UserAgent.pm) perl(Mojolicious.pm) perl(Moo.pm) perl(MooX/ClassAttribute.pm) perl(Path/Tiny.pm) perl(Readonly.pm) perl(Scalar/Util.pm) perl(Test/Exception.pm) perl(Test/More.pm) perl(Try/Tiny.pm) perl(Web/Mention.pm) perl(Web/Microformats2/Parser.pm) perl(feature.pm) perl(lib.pm) perl(strict.pm) perl(utf8/all.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.2021.06.17.0
Release: alt1
Summary: A webmention multitool
Group: Development/Perl
License: mit
URL: https://github.com/jmacdotorg/whim

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/J/JM/JMAC/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This is a code library used by the `whim' executable. It doesn't have a
public interface!

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %EVR

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README.pod LICENSE README.md
%perl_vendor_privlib/W*

%files scripts
%_man1dir/*
%_bindir/*

%changelog
