# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(Pod/Coverage/TrustPod.pm) perl(Tables/Quotes/JamesFT.pm) perl(Test/More.pm) perl(Test/Perl/Critic.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(WordList.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define module_name WordList-Phrase-EN-Quote-JamesFT
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.001
Release: alt1
Summary: Famous quotes from JamesFT github repository
Group: Development/Perl
License: perl
URL: https://metacpan.org/release/WordList-Phrase-EN-Quote-JamesFT

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PE/PERLANCAR/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This wordlist contains list of quotes, which is retrieved from
the Tables::Quotes::JamesFT manpage, which in turn is retrieved from
https://github.com/JamesFT/Database-Quotes-JSON.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes LICENSE README
%perl_vendor_privlib/W*

%changelog
