%add_findreq_skiplist %perl_vendor_archlib/X11/Lib.pm
# BEGIN SourceDeps(oneline):
BuildRequires: libX11-devel libXbae-devel libXt-devel libopenmotif-devel perl(Config.pm) perl(DynaLoader.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Listing.pm) perl(IO/Handle.pm) perl(Math/Units.pm) perl(Net/Domain.pm) perl(Net/FTP.pm) perl(Sys/Hostname.pm) perl(blib.pm) xorg-xproto-devel libXext-devel libXmu-devel libXpm-devel
# END SourceDeps(oneline)
%define module_version 1.1b3
%define module_name X11-Motif
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.1b3
Release: alt6
Summary: perl module %module_name
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/K/KE/KENFOX/%{module_name}-%{module_version}.tar.gz
Patch: X11-Motif-1.1b3-alt-perl526.patch

%description
From summary: %summary

%prep
%setup -n %{module_name}-%{module_version}
%patch -p1
sed -i -e 's,(defined @defines),(@defines),' */Makefile.PL
perl -pi -e 'for my $c (qw(yes no undef)) { s/\bsv_$c\b/PL_sv_$c/}' */*.xs
sed -i -e 's!, na)!, PL_na)!' Toolkit/Toolkit.xs Motif/Motif.xs Xpm/Xpm.xs typemap

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README doc examples
%perl_vendor_archlib/X*
%perl_vendor_autolib/*

%changelog
