# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(Test.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define upstream_name       X500-DN
%define upstream_version    0.29

Name:		perl-%{upstream_name}
Version:	%{upstream_version}
Release:	alt3_9
Summary:	Parser and formatter for RFC 2253 style DN strings
License: 	Artistic
Group: 		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source:		http://www.cpan.org/modules/by-module/Config/%{upstream_name}-%{upstream_version}.tar.gz
Patch:		X500-DN-0.29-fix-parse-recdescent-version-check.patch
BuildRequires:	perl(Parse/RecDescent.pm)
BuildArch:	noarch
Source44: import.info


%description
This module provides a pure perl parser and formatter for RFC 2253
style DN strings.

%prep
%setup -q -n %{upstream_name}-%{upstream_version} 
%patch -p 1

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%makeinstall_std

# cleanup
rm -f %{buildroot}%{perl_vendor_privlib}/X500/*.pod

%files
%doc Changes README META.yml
%{perl_vendor_privlib}/X500


%changelog
