# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(DBD/ODBC.pm) perl(Time/Local.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define module  XML-DBMS

Name:           perl-%{module}
Version:        1.03
Release:        alt3_28
Summary:        XML-DBMS perl module
License:        Public Domain
Group:          Development/Perl
URL:            http://www.rpbourret.com/xmldbms/index.htm
Source0:        ftp://ftp.rpbourret.com/perl-xml-dbms-%{version}.tar.bz2
Requires:       perl-libxml-perl
Requires:       perl-XML-LibXML
Requires:       perl-TimeDate
BuildRequires:  perl-devel
BuildRequires:  perl-libxml-perl
BuildRequires:  perl(XML/LibXML.pm)
BuildRequires:  perl(XML/LibXML/Common.pm)
BuildRequires:  perl-TimeDate
BuildRequires:  perl(DBI.pm)
BuildArch:      noarch
Source44: import.info


%description
XML-DBMS is middleware for transferring data between XML documents and
relational databases. It maps the XML document to the database according
to an object-relational mapping in which element types are generally
viewed as classes and attributes and PCDATA as properties of those
classes. An XML-based mapping language allows the user to specify
customize this mapping.

%prep
%setup -q -n %{module}

%build
/usr/bin/perl -I. Makefile.PL INSTALLDIRS=vendor
%make_build CFLAGS="%{optflags}"

%install
%makeinstall_std
rm -rf samples/CVS

%files
%doc README samples xmldbms.dtd
%{perl_vendor_privlib}/XML


%changelog
