Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:		perl-XML-DTDParser
Version:	2.01
Release:	alt2_29
Summary:	Quick and dirty DTD parser
License:	GPL+ or Artistic
URL:		https://metacpan.org/release/XML-DTDParser
Source0:	https://cpan.metacpan.org/authors/id/J/JE/JENDA/XML-DTDParser-%{version}.tar.gz
BuildArch:	noarch

# build requirements
BuildRequires:	rpm-build-perl
BuildRequires:	perl(ExtUtils/MakeMaker.pm)

# module requirements
BuildRequires:	perl(Cwd.pm)
BuildRequires:	perl(Exporter.pm)
BuildRequires:	perl(File/Spec.pm)
BuildRequires:	perl(FileHandle.pm)

# test requirements
# Data::Compare is optional and would need to be dropped for epel
BuildRequires:	perl(Data/Compare.pm)
BuildRequires:	perl(Test.pm)
Source44: import.info


%description
This module parses a DTD file and creates a data structure containing info
about all tags, their allowed parameters, children, parents, optionality,
and others.

%prep
%setup -q -n XML-DTDParser-%{version}

sed -i 's/\r//' README

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor
%make_build



%install

make pure_install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

# %{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc Changes README
%{perl_vendor_privlib}/XML/

%changelog
