Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(LWP/UserAgent.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-XML-Filter-XInclude
Version:        1.0
Release:        alt2_37
Summary:        XInclude as a SAX Filter
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/XML-Filter-XInclude
Source0:        https://cpan.metacpan.org/modules/by-module/XML/XML-Filter-XInclude-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  coreutils
BuildRequires:  findutils
BuildRequires:  perl-devel
BuildRequires:  rpm-build-perl
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
# Run-time:
BuildRequires:  perl(constant.pm)
BuildRequires:  perl(Cwd.pm)
# LWP::UserAgent not used at tests
BuildRequires:  perl(strict.pm)
BuildRequires:  perl(URI.pm)
BuildRequires:  perl(vars.pm)
BuildRequires:  perl(XML/SAX/Base.pm)
# Tests:
BuildRequires:  perl(Test.pm)
BuildRequires:  perl(XML/SAX.pm)
BuildRequires:  perl(XML/SAX/Writer.pm)
Requires:       perl(LWP/UserAgent.pm)
Source44: import.info

%description
This module implements a simple SAX filter that provides XInclude support.
It does NOT support XPointer.

%prep
%setup -q -n XML-Filter-XInclude-%{version}

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

# %{_fixperms} %{buildroot}/*

%files
%doc Changes README examples
%{perl_vendor_privlib}/*

%changelog
