%define module_name XML-GrammarBase
# BEGIN SourceDeps(oneline):
BuildRequires: perl(File/Find/Object.pm) perl(File/ShareDir.pm) perl(File/Spec.pm) perl(File/Temp.pm) perl(IO/All.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(Module/Build.pm) perl(MooX.pm) perl(MooX/Role.pm) perl(MooX/late.pm) perl(Package/Variant.pm) perl(Path/Tiny.pm) perl(Test/More.pm) perl(Test/XML/Ordered.pm) perl(XML/LibXML.pm) perl(XML/LibXSLT.pm) perl(autodie.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.2.8
Release: alt1
Summary: Provide roles and base classes for processors of
Group: Development/Perl
License: mit
URL: http://www.shlomifish.org/open-source/projects/XML-Grammar/Base/

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/S/SH/SHLOMIF/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
XML::GrammarBase aims to be a convenient framework for easily providing.processors for XML grammars (such as those under the XML::Grammar namespace
- http://www.shlomifish.org/open-source/projects/XML-Grammar/ ).

It provides roles and base classes for facilitating writing those.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build --install_path bindoc=%_man1dir

%install
%perl_vendor_install

%files
%doc TODO.pod LICENSE README Changes
%perl_vendor_privlib/X*

%changelog
