Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-XML-Handler-YAWriter
Version:        0.23
Release:        alt2_40

Summary:        Yet another Perl SAX XML Writer

License:        GPL+
URL:            https://metacpan.org/release/XML-Handler-YAWriter
Source0:        https://cpan.metacpan.org/authors/id/K/KR/KRAEHE/XML-Handler-YAWriter-%{version}.tar.gz
Patch0:         perl-XML-Handler-YAWriter-0.23-fix-POD-encoding.patch

BuildArch:      noarch
BuildRequires:  rpm-build-perl
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(IO/File.pm)
BuildRequires:  perl(XML/Parser/PerlSAX.pm)
Requires:       perl(IO/File.pm) >= 1.060
Requires:       perl(XML/Parser/PerlSAX.pm) >= 0.060
Source44: import.info


%description
YAWriter implements Yet Another XML::Handler::Writer.


%prep
%setup -q -n XML-Handler-YAWriter-%{version}
for i in YAWriter.pm README; do {
  iconv -f iso8859-1 -t utf-8 $i > $i.conv && mv -f $i.conv $i;
};
done;

%patch0 -p1


%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor
%make_build


%install
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*


%check
make test



%files
%doc Changes README
%{_bindir}/xmlpretty
%{perl_vendor_privlib}/*
%{_mandir}/man1/xmlpretty.1*


%changelog
