%define module_name XML-Hash-XS
# BEGIN SourceDeps(oneline):
BuildRequires: libicu-devel libsowing-devel perl(Config.pm) perl(Data/Dumper.pm) perl(Devel/CheckLib.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(LWP/Simple.pm) perl(Test/More.pm) perl(XML/Bare.pm) perl(XML/Hash.pm) perl(XML/Hash/LX.pm) perl(XML/LibXML.pm) perl(XML/Simple.pm) perl(XSLoader.pm) perl(base.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.56
Release: alt2
Summary: Simple and fast hash to XML conversion
Group: Development/Perl
License: perl
URL: https://github.com/yoreek/XML-Hash-XS

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/Y/YO/YOREEK/%{module_name}-%{version}.tar.gz

%description
This module implements simple hash to XML converter written in C using libxml2 library.


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes LICENSE
%perl_vendor_archlib/X*
%perl_vendor_autolib/*

%changelog
