# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define upstream_name 	 XML-Node
%define upstream_version 0.11

Name: 		perl-%{upstream_name}
Version: 	%{upstream_version}
Release: 	alt2_10

Summary:    Node-based XML parsing: an simplified interface to XML::Parser
License: 	Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	ftp://ftp.perl.org/pub/CPAN/modules/by-module/XML/%{upstream_name}-%{upstream_version}.tar.bz2

BuildRequires:	perl(XML/Parser.pm)
BuildArch: noarch
Source44: import.info


%description
Using XML::Node, you can easily ignore the parts of XML files that you
are not interested in, thus helping in simplify Perl scripts
significantly.

%prep
%setup -q  -n %{upstream_name}-%{upstream_version}

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor PREFIX=%{_prefix} 
make

%install
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

%files
%doc README MANIFEST Changes
%{perl_vendor_privlib}/XML/*


%changelog
