# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define upstream_name 	 XML-Parser-EasyTree
%define upstream_version 0.01

Name: 		perl-%{upstream_name}
Version: 	%{upstream_version}
Release: 	alt2_10

Summary:	%{upstream_name} perl module
License: 	GPL+ or Artistic
Group:		Development/Perl
URL:		https://metacpan.org/release/%{upstream_name}
Source0:	ftp://ftp.perl.org/pub/CPAN/modules/by-module/XML/%{upstream_name}-%{upstream_version}.tar.bz2

BuildRequires:	perl-devel
BuildRequires:	perl(XML/Parser.pm)
BuildArch: noarch
Source44: import.info


%description
XML-Parser-EasyTree - adds a new "built-in" style called "EasyTree" to 
XML::Parser.  Like XML::Parser's "Tree" style, setting this style causes 
the parser to build a lightweight tree structure representing the XML document.

%prep
%setup -q  -n %{upstream_name}-%{upstream_version}

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor PREFIX=%{_prefix} 
make

%install
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

%files
%doc README MANIFEST Changes
%{perl_vendor_privlib}/XML/*/*




%changelog
