%def_without test
%define module_name XML-Sig
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(Class/Accessor.pm) perl(Crypt/Digest/RIPEMD160.pm) perl(Crypt/Mac/HMAC.pm) perl(Crypt/OpenSSL/Bignum.pm) perl(Crypt/OpenSSL/DSA.pm) perl(Crypt/OpenSSL/RSA.pm) perl(Crypt/OpenSSL/X509.pm) perl(CryptX.pm) perl(Digest/SHA.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Which.pm) perl(MIME/Base64.pm) perl(Pod/Coverage/TrustPod.pm) perl(Test/EOL.pm) perl(Test/Exception.pm) perl(Test/More.pm) perl(Test/NoTabs.pm) perl(Test/Perl/Critic.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(URI.pm) perl(XML/LibXML.pm) perl(base.pm) perl(constant.pm) perl(strict.pm) perl(vars.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.51
Release: alt1
Summary: An XML Digital Signature Toolkit
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/T/TI/TIMLEGGE/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This perl module provides two primary capabilities: given an XML string, create
and insert a digital signature, or if one is already present in the string verify 
it -- all in accordance with the W3C standard governing XML signatures.


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE History.md README Changes
%perl_vendor_privlib/X*

%changelog
