# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(Crypt/OpenSSL/Bignum.pm) perl(Crypt/OpenSSL/DSA.pm) perl(Crypt/OpenSSL/RSA.pm) perl(Crypt/OpenSSL/VerifyX509.pm) perl(Crypt/OpenSSL/X509.pm) perl(Data/Result.pm) perl(Digest/SHA.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(Getopt/Long.pm) perl(MIME/Base64.pm) perl(Modern/Perl.pm) perl(Moo.pm) perl(MooX/Types/MooseLike/Base.pm) perl(Pod/Usage.pm) perl(Ref/Util.pm) perl(Scalar/Util.pm) perl(Test/More.pm) perl(XML/LibXML.pm) perl(XML/LibXML/XPathContext.pm) perl(namespace/clean.pm)
# END SourceDeps(oneline)
%define module_name XML-Sig-OO
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.005
Release: alt1
Summary: Modern XML Signatured validation
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/A/AK/AKALINUX/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
the XML::Sig::OO manpage is a project to create a stand alone perl module that does a good job creating and validating xml signatures.  At its core  This module is written around libxml2 better known as the XML::LibXML manpage.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %EVR

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.pod Changes CONTRIBUTING.md
%perl_vendor_privlib/X*

%files scripts
%_bindir/*
%_man1dir/*

%changelog
