# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define upstream_name 	 XML-Writer-Simple
%define upstream_version 0.12

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %{upstream_version}
Release:    alt1_5

Summary:    module for writing XML documents
License:    GPL+ or Artistic
Url:        http://search.cpan.org/dist/%{upstream_name}
Group:      Development/Perl
Source0:    http://www.cpan.org/modules/by-module/XML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils/MakeMaker.pm)
BuildRequires: perl(Test/More.pm)
BuildRequires: perl(XML/DT.pm)
BuildRequires: perl(XML/DTDParser.pm)
BuildRequires: perl
BuildRequires: perl(XML/Parser.pm)
BuildRequires: perl(XML/DTDParser.pm)
BuildRequires: perl(XML/DT.pm)
BuildArch:  noarch
Source44: import.info

%description
XML-Writer-Simple is a simple Perl module to write XML. It takes some
ideas from CGI and applies them for the XML World.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor
make

%check
make test

%install
%makeinstall_std

%files
%doc Changes META.json META.yml  README
%{perl_vendor_privlib}/XML/Writer*


%changelog
