# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(AutoLoader.pm) perl(CGI.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define upstream_name 	 XML-miniXQL
%define upstream_version 0.04

Name: 		perl-%{upstream_name}
Version: 	%{upstream_version}
Release: 	alt2_9

Summary:	%{upstream_name} perl module
License: 	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.cpan.org/modules/by-module/XML/%{upstream_name}-%{upstream_version}.tar.bz2

BuildRequires:  perl(XML/Parser.pm)
Buildarch: noarch

Requires:	perl , perl-XML-Parser
Source44: import.info

%description
This module provides a simplistic XQL like search engine for XML files.

%prep

%setup -q  -n %{upstream_name}-%{upstream_version}

%build

CFLAGS="$RPM_OPT_FLAGS" /usr/bin/perl Makefile.PL INSTALLDIRS=vendor
make
make test

%install

make PREFIX=$RPM_BUILD_ROOT%{_prefix} DESTDIR=$RPM_BUILD_ROOT install

%files 
%doc README MANIFEST Changes 
%{perl_vendor_privlib}/XML/*
%{perl_vendor_privlib}/auto/XML/*

%changelog
