Group: Development/Perl
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-YAPE-Regex
Version:        4.00
Release:        alt2_30
Summary:        Yet Another Parser/Extractor for Regular Expressions
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/YAPE-Regex
Source0:        https://cpan.metacpan.org/authors/id/G/GS/GSULLIVAN/YAPE-Regex-%{version}.tar.gz
BuildArch:      noarch
# Build
BuildRequires:  rpm-build-perl
BuildRequires:  perl-devel
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
# Runtime
BuildRequires:  perl(Carp.pm)
BuildRequires:  perl(strict.pm)
BuildRequires:  perl(Text/Balanced.pm)
BuildRequires:  perl(vars.pm)
Source44: import.info
# Tests only
# -

%description
This module is yet another parser and tree-builder for Perl regular
expressions. It builds a tree out of a regex, but at the moment, the extent
of the extraction tool for the tree is quite limited. However, the tree can be
useful to extension modules.

%prep
%setup -q -n YAPE-Regex-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}

%install
%{makeinstall_std}
# %{_fixperms} %{buildroot}/*

%check
make test

%files
%doc Changes README
%{perl_vendor_privlib}/*

%changelog
