Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(DBD/SQLite.pm) perl(DBIx/Class/Schema/Loader.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global enable_net_tests 0
Name:           perl-YUM-RepoQuery
Version:        0.002
Release:        alt2_26
Summary:        Query a YUM repository for package information
License:        LGPLv2+
URL:            https://metacpan.org/release/YUM-RepoQuery
Source0:        http://backpan.perl.org/authors/id/R/RS/RSRCHBOY/YUM-RepoQuery-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  rpm-build-perl
BuildRequires:  perl(base.pm)
BuildRequires:  perl(DBIx/Class.pm)
BuildRequires:  perl(DBIx/Class/Schema.pm)
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(File/Find/Rule.pm)
BuildRequires:  perl(File/Slurp.pm)
BuildRequires:  perl(File/stat.pm)
BuildRequires:  perl(File/Temp.pm)
BuildRequires:  perl(IO/Uncompress/Bunzip2.pm)
BuildRequires:  perl(Moose.pm)
BuildRequires:  perl(MooseX/MarkAsMethods.pm)
BuildRequires:  perl(MooseX/Role/Parameterized.pm)
BuildRequires:  perl(MooseX/Types/Path/Class.pm)
BuildRequires:  perl(MooseX/Types/URI.pm)
BuildRequires:  perl(namespace/clean.pm)
BuildRequires:  perl(Path/Class.pm)
BuildRequires:  perl(URI/Fetch.pm)
BuildRequires:  perl(XML/Simple.pm)
# Tests only:
BuildRequires:  perl(Carp.pm)
BuildRequires:  perl(File/Find.pm)
BuildRequires:  perl(FindBin.pm)
BuildRequires:  perl(ok.pm)
BuildRequires:  perl(Scalar/Util.pm)
BuildRequires:  perl(Test/DBICSchemaLoaderDigest.pm)
BuildRequires:  perl(Test/UseAllModules.pm)
BuildRequires:  perl(Test/More.pm)
Source44: import.info

%description
YUM::RepoQuery takes the URI to a package repository with YUM meta-data, and
allows one to query what packages, and versions of those packages, are
available in that repository.

%prep
%setup -q -n YUM-RepoQuery-%{version}

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;
# %{_fixperms} $RPM_BUILD_ROOT/*

%check
%if 0%{enable_net_tests}
export YRQ_LIVE_TESTS=1
%endif
make test

%files
%doc Changes LICENSE README TODO
%{perl_vendor_privlib}/*

%changelog
