%define module_name Yancy
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Class/Method/Modifiers.pm) perl(DBD/Pg.pm) perl(DBD/SQLite.pm) perl(DBD/mysql.pm) perl(DBI.pm) perl(DBIx/Class.pm) perl(DBIx/Class/Core.pm) perl(DBIx/Class/Schema.pm) perl(DateTime.pm) perl(DateTime/Event/Recurrence.pm) perl(Digest.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(File/ShareDir/Install.pm) perl(File/Spec.pm) perl(File/Spec/Functions.pm) perl(File/Temp.pm) perl(FindBin.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(JSON/Validator.pm) perl(Locale/Maketext.pm) perl(Mojo/Pg.pm) perl(Mojo/SQLite.pm) perl(Mojo/mysql.pm) perl(Mojolicious.pm) perl(Mojolicious/Command/export.pm) perl(Mojolicious/Plugin/I18N.pm) perl(Mojolicious/Plugin/OpenAPI.pm) perl(Role/Tiny.pm) perl(SQL/Translator.pm) perl(Scalar/Util.pm) perl(Sys/Hostname.pm) perl(Test/More.pm) perl(Text/Balanced.pm) perl(Time/Piece.pm)
BuildRequires: perl(experimental.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.074
Release: alt1
Summary: The Best Web Framework Deserves the Best CMS
Group: Development/Perl
License: perl
URL: http://preaction.me/yancy/

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PR/PREACTION/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
From summary: %summary

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %EVR

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc CHANGES CONTRIBUTING.md LICENSE README
%perl_vendor_privlib/M*
%perl_vendor_privlib/Y*
%perl_vendor_privlib/auto/*

%files scripts
%_man1dir/*
%_bindir/*

%changelog
