# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl rpm-macros-mageia-compat
BuildRequires: perl(DateTime.pm) perl(ExtUtils/MakeMaker.pm) perl(Test/Kwalitee.pm) perl(Test/More.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define upstream_name Youri-Utils
%define upstream_version v0.2.1

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	0.2.1
Release:	alt1_16
Summary:	Youri shared functions
License:	GPL or Artistic
Group:		Development/Other
Source:		http://youri.zarb.or/download/%{upstream_name}-%{upstream_version}.tar.bz2
Url:		http://youri.zarb.org

BuildRequires:  perl(UNIVERSAL/require.pm)
BuildRequires:  perl(version.pm)
Requires:       perl-version
Buildarch:	    noarch
Source44: import.info


%description
YOURI stands for "Youri Offers an Upload & Repository Infrastucture". It aims
to build tools making management of a coherent set of packages easier.

This package provides basic utility functions used by other youri programs.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std

%files 
%doc ChangeLog README
%{perl_vendor_privlib}/Youri


%changelog
