Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-autobox-List-Util
Version:        20090629
Release:        alt2_28
Summary:        Bring the List::Util functions to autobox
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/autobox-List-Util
Source0:        https://cpan.metacpan.org/modules/by-module/autobox/autobox-List-Util-%{version}.tar.gz
BuildArch:      noarch
# Build
BuildRequires:  coreutils
BuildRequires:  rpm-build-perl
BuildRequires:  perl-devel
BuildRequires:  perl(Module/Build.pm)
# Module
BuildRequires:  perl(autobox.pm)
BuildRequires:  perl(base.pm)
BuildRequires:  perl(List/Util.pm)
BuildRequires:  perl(Module/Load.pm)
BuildRequires:  perl(strict.pm)
BuildRequires:  perl(warnings.pm)
# Test Suite
BuildRequires:  perl(blib.pm)
BuildRequires:  perl(Test/More.pm)
# Dependencies
Requires:       perl(List/Util.pm)
Source44: import.info

%description
autobox::List::Util brings all of the functions from List::Util to arrays as
methods.

%prep
%setup -q -n autobox-List-Util-%{version}

%build
perl Build.PL --installdirs=vendor
./Build

%install
./Build install --destdir=%{buildroot} --create_packlist=0
# %{_fixperms} -c %{buildroot}

%check
./Build test

%files
%doc Changes README
%{perl_vendor_privlib}/autobox/

%changelog
