Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Module/Build.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-autobox-dump
Version:        20090426.1746
Release:        alt2_28
Summary:        Human/perl readable strings from the results of an EXPR
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/autobox-dump
Source0:        https://cpan.metacpan.org/modules/by-module/autobox/autobox-dump-%{version}.tar.gz
BuildArch:      noarch
# Build
BuildRequires:  coreutils
BuildRequires:  findutils
BuildRequires:  rpm-build-perl
BuildRequires:  perl-devel
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
# Module
BuildRequires:  perl(autobox.pm)
BuildRequires:  perl(base.pm)
BuildRequires:  perl(Data/Dumper.pm)
BuildRequires:  perl(strict.pm)
BuildRequires:  perl(warnings.pm)
# Tests
BuildRequires:  perl(Test/More.pm)
# Dependencies
Requires:       perl(Data/Dumper.pm)
Source44: import.info

%description
The autobox::dump pragma adds, via the autobox pragma, a method to normal
expression (such as scalars, arrays, hashes, math, literals, etc.) that
produces a human/perl readable representation of the value of that expression.

%prep
%setup -q -n autobox-dump-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
# %{_fixperms} -c %{buildroot}

%check
make test

%files
%doc Changes README
%{perl_vendor_privlib}/autobox/

%changelog
