%define module_name cPanel-APIClient
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Call/Context.pm) perl(ExtUtils/MakeMaker.pm) perl(FindBin.pm) perl(HTTP/CookieJar.pm) perl(HTTP/Request.pm) perl(HTTP/Response.pm) perl(HTTP/Tiny.pm) perl(IO/Socket/SSL.pm) perl(IO/Socket/SSL/Utils.pm) perl(IPC/Run.pm) perl(JSON.pm) perl(Mojo/UserAgent.pm) perl(Net/Curl/Easy.pm) perl(Net/Curl/Share.pm) perl(Promise/ES6.pm) perl(Test/Class.pm) perl(Test/Deep.pm) perl(Test/FailWarnings.pm) perl(Test/Fatal.pm) perl(Test/MockModule.pm) perl(Test/More.pm) perl(URI/Escape.pm) perl(X/Tiny.pm) perl(autodie.pm) perl(mro.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.08
Release: alt1
Summary: L<cPanel|http://cpanel.com> APIs, . la TIMTOWTDI!
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/C/CP/CPANEL/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
cPanel & WHM exposes a number of ways to access its APIs: different transport
mechanisms, different authentication schemes, etc. This library provides
client logic with sufficient abstractions to accommodate most supported
access mechanisms via a unified interface.

This library intends to supersede the cPanel::PublicAPI manpage as the preferred way
to access cPanel & WHM.e's APIs from Perl. It can also serve as a model for
similar client libraries in other languages.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README.md LICENSE examples
%perl_vendor_privlib/c*

%changelog
