# BEGIN SourceDeps(oneline):
BuildRequires: boost-python-headers gcc-c++ libX11-devel libfftw3-devel libgif-devel libjpeg-devel libopencv-devel libpng-devel libsqlite3-devel perl(DynaLoader.pm) perl(ExtUtils/MakeMaker.pm) xorg-xproto-devel
# END SourceDeps(oneline)
%define module_name cppAdaptive1
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.01
Release: alt4
Summary: Numerical and networking C++ library
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/M/MF/MFJONKER/%{module_name}-%{version}.tar.gz

%description
cppAdaptive1 version 0.01
=========================

The README is used to introduce the module and provide instructions on
how to install the module, any machine dependencies it may have (for
example C compilers and installed libraries) and any other information
that should be provided before the module is installed.

A README file is required for CPAN modules since CPAN extracts the
README file from a module distribution so that people browsing the
archive can use it get an idea of the modules uses. It is usually a
good idea to provide version information here so that people can
decide whether fixes for the module are worth downloading.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_archlib/c*
%perl_vendor_autolib/*

%changelog
