%define module_name exact
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(IO/File.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(Import/Into.pm) perl(Pod/Coverage/TrustPod.pm) perl(Sub/Util.pm) perl(Syntax/Keyword/Try.pm) perl(Test/EOL.pm) perl(Test/Kwalitee.pm) perl(Test/More.pm) perl(Test/NoTabs.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(Test/Synopsis.pm) perl(Test2/V0.pm) perl(Try/Tiny.pm) perl(feature.pm) perl(mro.pm) perl(namespace/autoclean.pm) perl(strict.pm) perl(utf8.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.17
Release: alt1
Summary: Perl pseudo pragma to enable strict, warnings, features, mro, filehandle methods
Group: Development/Perl
License: artistic_2
URL: https://github.com/gryphonshafer/exact

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/G/GR/GRYPHON/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
the exact manpage is a Perl pseudo pragma to enable strict, warnings, features, mro,
and filehandle methods. The goal is to reduce header boilerplate, assuming
defaults that seem to make sense but allowing overrides easily.

By default, the exact manpage will:

=over 4

=item *

enable the strict manpage

=item *

enable the warnings manpage

=item *

load the latest the feature manpage bundle supported by the current Perl version

=item *

load all experimental the feature manpages and switch off experimental warnings

=item *

set C3 style of the mro manpage

=item *

enable methods on filehandles

=back
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE README Changes
%perl_vendor_privlib/e*

%changelog
