%define module_name invoker
# BEGIN SourceDeps(oneline):
BuildRequires: libsowing-devel perl(B/Hooks/EndOfScope.pm) perl(B/Hooks/OP/Check.pm) perl(CPAN.pm) perl(Config.pm) perl(Cwd.pm) perl(Devel/Declare.pm) perl(ExtUtils/CBuilder.pm) perl(ExtUtils/Depends.pm) perl(ExtUtils/MakeMaker.pm) perl(Fcntl.pm) perl(File/Basename.pm) perl(File/Find.pm) perl(File/Spec.pm) perl(File/Temp.pm) perl(FileHandle.pm) perl(JSON.pm) perl(LWP/Simple.pm) perl(Module/Build.pm) perl(Net/FTP.pm) perl(Parse/CPAN/Meta.pm) perl(Socket.pm) perl(Test/More.pm) perl(XSLoader.pm) perl(YAML/Tiny.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators
BuildRequires: perl(B/OPCheck.pm)

Name: perl-%module_name
Version: 0.36
Release: alt3
Summary: implicit invoker, sort of
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/G/GU/GUGOD/%{module_name}-%{version}.tar.gz

%description
The invoker pragma enables the `$->' syntax for invoking methods
on ` $self ', inspired by Perl6's `$.method' invocation.

The module does not inject the ` $self ' variable for you.  you are
encouraged to use it in conjunction with the self manpage, the selfvars manpage,
<Method::Signatures::Simple>, or other similar modules.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_archlib/i*
%perl_vendor_autolib/*

%changelog
