Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(CPAN/Meta.pm) perl(CPAN/Meta/Prereqs.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-opts
Summary:        Simple command line option parser
Version:        0.070
Release:        alt2_21
License:        GPL+ or Artistic
Source0:        https://cpan.metacpan.org/authors/id/M/MI/MIKIHOSHI/opts-0.07.tar.gz
URL:            https://metacpan.org/release/opts
BuildArch:      noarch

BuildRequires:  rpm-build-perl
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(Filter/Util/Call.pm)
BuildRequires:  perl(Getopt/Long.pm)
BuildRequires:  perl(Module/Build.pm)
BuildRequires:  perl(PadWalker.pm)
BuildRequires:  perl(Test/Exception.pm)
BuildRequires:  perl(Test/More.pm)
BuildRequires:  perl(Text/Table.pm)

# note versioning...
Requires:       perl(Getopt/Long.pm) >= 2.370
Requires:       perl(PadWalker.pm) >= 1.900
Requires:       perl(Text/Table.pm)


%{?perl_default_subpackage_tests}
Source44: import.info

%description
opts is a DSL for quickly and easily handling command line options.

%prep
%setup -q -n opts-0.07

%build
/usr/bin/perl Build.PL installdirs=vendor
./Build

%install
./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null ';'

# %{_fixperms} %{buildroot}/*

%check
./Build test

%files
%doc Changes README.md
%{perl_vendor_privlib}/*

%changelog
