%define module_name overload-open
# BEGIN SourceDeps(oneline):
BuildRequires: libsowing-devel perl(ExtUtils/MakeMaker.pm) perl(Fcntl.pm) perl(Module/Metadata.pm) perl(XSLoader.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.9.6
Release: alt3
Summary: Hooks the native string open() function
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/S/SA/SAMCV/%{module_name}-%{version}.tar.gz

%description
This module hooks the native open() function and sends it to your
function instead. It passes the filename opened as its argument. It does this
using XS and replacing the OP_OPEN opcode with a custom one, which calls the
Perl function you supply, then calls the original OP_OPEN opcode.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.pod Changes LICENSE
%perl_vendor_archlib/o*
%perl_vendor_autolib/*

%changelog
