%define module_name upfiles
# BEGIN SourceDeps(oneline):
BuildRequires: perl(DBD/SQLite.pm) perl(DBI.pm) perl(ExtUtils/MakeMaker.pm) perl(File/HomeDir.pm) perl(File/Slurp.pm) perl(File/chdir.pm) perl(File/stat.pm) perl(HTML/Entities.pm) perl(HTML/Entities/Interpolate.pm) perl(HTML/Parser.pm) perl(IO/Socket/SSL.pm) perl(Locale/TextDomain.pm) perl(Math/Round.pm) perl(Module/Load.pm) perl(Net/Cmd.pm) perl(Net/FTP.pm) perl(Net/Netrc.pm) perl(Net/SFTP/Foreign.pm) perl(Pod/Simple/HTML.pm) perl(Regexp/Common.pm) perl(Regexp/Common/Emacs.pm) perl(Regexp/Tr.pm) perl(Smart/Comments.pm) perl(Sort/Key/Natural.pm) perl(Time/Local.pm) perl(URI.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 15
Release: alt1
Summary: Upload files to a remote FTP server.
Group: Development/Perl
License: gpl
URL: http://user42.tuxfamily.org/upfiles/index.html

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/K/KR/KRYDE/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
use App::Upfiles;. exit App::Upfiles->command_line;

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %{?epoch:%epoch:}%name = %version-%release

%description scripts
scripts for %module_name


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build INSTALLMAN1DIR=%_man1dir

%install
%perl_vendor_install

%files
%doc COPYING Changes
%perl_vendor_privlib/A*

%files scripts
%_bindir/*
%_man1dir/*

%changelog
