%define module_name xDT-Parser
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(FileHandle.pm) perl(JSON/Parse.pm) perl(Moose.pm) perl(Test/More.pm) perl(Time/Piece.pm) perl(XML/Simple.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.06
Release: alt1
Summary: A Parser for xDT files.
Group: Development/Perl
License: mit
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/C/CH/CHRISTOPH/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Can be used to open xdt files and to iterate over contained objects.

    use xDT::Parser;

    my $parser = xDT::Parser->new();
    # or
    my $parser = xDT::Parser->new($configFile);

    # A config file must be in XML format and can be used to add
    # metadata (like accessor string or labels) to each record type.

    $parser->open($xdtFile);

    my $object = $parser->nextObject();
    # ...

    $parser->close();
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.md Changes LICENSE examples
%perl_vendor_privlib/x*

%changelog
