Group: Other
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global version_tag PG_VIEW_1_4_0
Name:           pg_view
Version:        1.4.0
Release:        alt2_8
Summary:        Command-line tool to display the state of the PostgreSQL processes

License:        ASL 2.0
URL:            https://github.com/zalando/pg_view
Source0:        https://github.com/zalando/pg_view/archive/%{version_tag}.tar.gz
Patch0:         pg_view-python3-shebang.patch

BuildArch:      noarch

Requires:       python3-module-psycopg2
Source44: import.info

%description
pg_view is a command-line tool to display the state of the PostgreSQL processes.
It shows the per-process statistics combined with pg_stat_activity output
for the processes that have the rows there, global system stats,
per-partition information and the memory stats.


%prep
%setup -qn %{name}-%{version_tag}
%patch0


%build


%install
install -D -p -m 755 %{_builddir}/%{name}-%{version_tag}/pg_view.py \
    %{buildroot}%{_bindir}/pg_view


%files
%doc CHANGELOG LICENSE README.rst images
%{_bindir}/pg_view


%changelog
