Group: Databases
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Math/Trig.pm)
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Summary: Spherical data types, functions, and operators for PostgreSQL
Name: pgsphere
Version: 1.1.1
Release: alt1_22
License: BSD

Source0: http://pgfoundry.org/frs/download.php/2558/%{name}-%{version}.tar.gz
Patch0: pgsphere-pgsl93.patch
URL: http://pgfoundry.org/projects/pgsphere

BuildRequires: gcc
BuildRequires: libecpg-devel libpq-devel postgresql-devel
Source44: import.info

%description
pgSphere is a server side module for PostgreSQL. It contains methods for 
working with spherical coordinates and objects. It also supports indexing of 
spherical objects.

%prep
%setup -q
%patch0 -p1

%build
make USE_PGXS=1 %{?_smp_mflags} 

%install
install -d %{buildroot}%{_libdir}/pgsql/
install -d %{buildroot}%{_datadir}/%{name}

install -m 755 pg_sphere.so %{buildroot}%{_libdir}/pgsql/pg_sphere.so
install -m 644 pg_sphere.sql %{buildroot}%{_datadir}/%{name}/

%files
%doc COPYRIGHT.pg_sphere README.pg_sphere
%{_datadir}/%{name}
%{_libdir}/pgsql/pg_sphere.so

%changelog
