Group: Other
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Summary: A syslog data viewer for the web
Name: phplogcon
Version: 2.1.6
Release: alt2_23.beta
License: GPLv3+
URL: http://www.phplogcon.com/
Source0: http://download.adiscon.com/phplogcon/%{name}-%{version}.tar.gz
Source1: README.fedora
Source2: phplogcon-httpd.conf
Requires: php-engine php7-gd webserver
BuildArch: noarch
Source44: import.info

%description
phpLogCon is a web interface to syslog and other network event data. It
provides easy browsing and some basic analysis of realtime network events.
Depending on the applications feeding the database, it can process syslog
messages, Windows event log entries and even SNMP trap data - just to name a
few.

%prep

%setup -q -n %{name}-%{version}

%build

%install

install -d -m 755 %{buildroot}%{_sysconfdir}/%{name}
install -d -m 755 %{buildroot}/%{_datadir}/%{name}
cp -aRf src/*     %{buildroot}/%{_datadir}/%{name}/

touch             %{buildroot}%{_sysconfdir}/%{name}/config.php
ln -s ../../../%{_sysconfdir}/%{name}/config.php %{buildroot}/%{_datadir}/%{name}/config.php

install -d -m 755  %{buildroot}%{_sysconfdir}/httpd/conf.d
cp      %{SOURCE2} %{buildroot}%{_sysconfdir}/httpd/conf.d/%{name}.conf
cp      %{SOURCE1} ./

%files
%doc COPYING INSTALL ChangeLog README.fedora
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/httpd/conf.d/%{name}.conf
%attr(0755,root,apache) %dir %{_sysconfdir}/%{name}
%attr(0664,root,apache) %config(noreplace) %{_sysconfdir}/%{name}/config.php
%{_datadir}/%{name}


%changelog
