# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-mageia-compat
BuildRequires: /usr/bin/gettext gcc-c++ pkgconfig(dbus-glib-1) pkgconfig(glib-2.0)
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           pidgin-awayonlock
Version:        0.5.2
Release:        alt1_6
Summary:        Away-on-Lock is simple plugin for Pidgin
Group:          Networking/Instant messaging
License:        GPLv3
URL:            http://costela.net
Source0:        http://costela.net/files/awayonlock-%{version}.tar.gz

BuildRequires:  pkgconfig(purple)
BuildRequires:  ccmake cmake ctest
Requires:       pidgin pidgin-relnot
Source44: import.info

%description
Away-on-Lock is a simple plugin for Pidgin (or any other libpurple-based 
IM client) to change your status when the screensaver gets activated.
It currently supports Gnome Screensaver and KScreensaver since 
theya.'re the only ones that make use of DBus to advertise their status.
%prep
%setup -q -n awayonlock-%{version}


%build
%{mageia_cmake}
%mageia_cmake_build

%install
%mageia_cmake_install

%files
%doc COPYING ChangeLog
%{_libdir}/pidgin/libawayonlock.so
%{_datadir}/locale/pt_BR/LC_MESSAGES/%{name}.mo


%changelog
