Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/desktop-file-install
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define debug_package %{nil}
Name: planets
Version:  0.1.13
Release:  alt2_30
Summary: A celestial simulator  

License: GPLv2+
URL: http://planets.homedns.org/
Source0: http://planets.homedns.org/dist/planets-%{version}.tgz
Patch0:  planets-0.1.13-ocaml4.patch
# Fix for immutable strings.  NOT sent upstream (because upstream
# is not alive?)
Patch1:  planets-0.1.13-bytes.patch
Patch2:  planets-0.1.13-camlp5o.patch
BuildRequires: desktop-file-utils, ocaml-labltk-devel, ocaml-camlp5
BuildRequires: libX11-devel
Requires: icon-theme-hicolor
Source44: import.info

%description
Planets is a simple interactive program for playing with simulations
of planetary systems

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p0

%build

iconv -f ISO-8859-1 -t UTF-8 TODO > iconv.tmp
mv iconv.tmp TODO

make

%install
mkdir -p  %{buildroot}%{_bindir}
install -m 755 planets %{buildroot}%{_bindir}/planets
mkdir -p %{buildroot}/usr/share/man/man1
cp -pr planets.1 %{buildroot}%{_mandir}/man1

mkdir -p %{buildroot}%{_datadir}/applications
desktop-file-install \
  --remove-category Application               \
  --add-category Simulation                  \
  --dir %{buildroot}%{_datadir}/applications \
  planets.desktop

mkdir -p %{buildroot}%{_datadir}/icons/hicolor/32x32/apps
install -p -m 644 planets.png \
  %{buildroot}%{_datadir}/icons/hicolor/32x32/apps

%files
%doc CHANGES codeguide.txt COPYING CREDITS getting_started.html KEYBINDINGS.txt LICENSE README TODO VERSION
%{_bindir}/planets
%{_datadir}/applications/planets.desktop
%{_datadir}/icons/hicolor/32x32/apps/planets.png
%{_mandir}/man1/planets.1*

%changelog
