# BEGIN SourceDeps(oneline):
BuildRequires: unzip
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:		pngrewrite
Version:	1.4.0
Release:	alt1_11
License:	zlib/libpng
Group:		Graphics
Source0:	http://entropymine.com/jason/pngrewrite/%{name}-%{version}.zip
URL:		http://entropymine.com/jason/pngrewrite/
Summary:	PNG size optimizer
BuildRequires:	pkgconfig(libpng)
Source44: import.info

%description
Pngrewrite is little utility that reduces the unnecessarily large
palettes that too many programs write into PNG files. It also
optimizes transparency settings, and reduces the bits-per-pixel
if possible. Handy for post-processing images before putting them
on a web site. 

%prep
%setup -qc %{name}-%{version}

%build
%make_build LDFLAGS="" CFLAGS="%optflags"

%install
install -m755 %{name} -D %{buildroot}%{_bindir}/%{name}

%files
%{_bindir}/%{name}


%changelog
