Group: Development/Tools
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           pscan
Version:        1.3
Release:        alt2_24
Summary:        Limited problem scanner for C source files

License:        GPLv2+
URL:            http://deployingradius.com/pscan/
Source0:        http://deployingradius.com/pscan/pscan.tar.gz
Patch0:         http://ftp.debian.org/debian/pool/main/p/pscan/pscan_1.2-9.diff.gz

BuildRequires:  gcc
BuildRequires:  flex
Source44: import.info

%description
PScan is a program which attempts to scan C source files for common
function abuses, which often lead to buffer overflows.

%prep
%setup -q -c
%patch0 -p1
patch -p1 -i debian/patches/20_pscan.patch
patch -p1 -i debian/patches/30_scanner.patch
patch -p0 -i debian/patches/40_max_stack.patch

%build
%make_build CC="gcc -Wall $RPM_OPT_FLAGS"

%install
install -Dpm 755 pscan $RPM_BUILD_ROOT%{_bindir}/pscan
install -Dpm 644 debian/pscan.1 $RPM_BUILD_ROOT%{_mandir}/man1/pscan.1

%files
%doc README find_formats.sh stackguard.txt test.c wu-ftpd.pscan
%doc debian/changelog
%doc --no-dereference COPYING
%{_bindir}/pscan
%{_mandir}/man1/pscan.1*

%changelog
