Group: Other
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:		psftools
Version:	1.0.10
Release:	alt2_7
Summary:	Conversion tools for .PSF fonts

License:	GPLv2+
URL:		https://www.seasip.info/Unix/PSF/
Source0:	https://www.seasip.info/Unix/PSF/%{name}-%{version}.tar.gz

BuildRequires:	gcc
Source44: import.info

%description
The PSFTOOLS are designed to manipulate fixed-width bitmap fonts, such as DOS
or Linux console fonts. Both the PSF1 (8 pixels wide) and PSF2 (any width)
formats are supported; the default output format is PSF2.


%prep
%setup -q


%build
%configure --disable-shared
%make_build


%install
%makeinstall_std


%files
%{_bindir}/*
%{_mandir}/man1/*
%exclude %{_includedir}/*.h
%exclude %{_libdir}/*
%doc doc/*.txt
%doc NEWS AUTHORS
%doc --no-dereference COPYING


%changelog
