Group: System/Base
# BEGIN SourceDeps(oneline):
BuildRequires: texinfo
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           ptrash
Version:        1.1
Release:        alt2_11
Summary:        Move file(s) to $XDG_DATA_HOME/Trash directory

License:        GPLv2+
URL:            http://pjp.dgplug.org/tools/
Source0:        http://pjp.dgplug.org/tools/%{name}-%{version}.tar.gz

BuildRequires:  gcc
Source44: import.info
%description
Ptrash moves the named file(s) to the Trash directory. Trash is located
under $XDG_DATA_HOME directory as defined by the Trash specification.[*]
It is a simple console based utility, I wrote after deleting some files,
which I couldn't retrieve back. Ptrash can also restore file(s) back to there
original location.

[*] https://standards.freedesktop.org/trash-spec/trashspec-latest.html

%prep
%setup -q


%build
%configure
%make_build


%install
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
rm -f $RPM_BUILD_ROOT/%{_infodir}/dir

%files
%doc README COPYING
%_bindir/ptrash
%_infodir/*
%_mandir/man1/*


%changelog
