Group: Other
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global plugin_name discord

%global commit0 8fd7ceb89ea1f989f3a10569b218418e22c838ec
%global shortcommit0 %(c=%{commit0}; echo ${c:0:7})
%global date 20200718

Name: purple-%{plugin_name}
Version: 0
Release: alt2_31.%{date}git%{shortcommit0}
Summary: Discord plugin for libpurple

License: GPLv3+
URL: https://github.com/EionRobb/%{name}
Source0: %{url}/archive/%{commit0}/%{name}-%{shortcommit0}.tar.gz

BuildRequires: pkgconfig(json-glib-1.0)
BuildRequires: pkgconfig(glib-2.0)
BuildRequires: pkgconfig(purple)
BuildRequires: gettext-tools libasprintf-devel
BuildRequires: ImageMagick-tools
BuildRequires: zlib-devel
BuildRequires: gcc
Source44: import.info

%package -n pidgin-%{plugin_name}
Group: Other
Summary: Adds pixmaps, icons and smileys for Discord protocol
BuildArch: noarch
Requires: %{name} = %{?epoch:%{epoch}:}%{version}-%{release}
Requires: pidgin

%description
Adds support for Discord to Pidgin, Adium, Finch and other libpurple
based messengers.

%description -n pidgin-%{plugin_name}
Adds pixmaps, icons and smileys for Discord protocol implemented by
purple-discord.

%prep
%setup -q -n %{name}-%{commit0}


# fix W: wrong-file-end-of-line-encoding
sed -i -e "s,\r,," README.md

%build

%make_build

%install
%makeinstall_std
%find_lang %{name}

%files -f %{name}.lang
%doc --no-dereference LICENSE
%doc README.md
%{_libdir}/purple-2/lib%{plugin_name}.so

%files -n pidgin-%{plugin_name}
%{_datadir}/pixmaps/pidgin/protocols/*/%{plugin_name}.png

%changelog
