Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-setuptools
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           py-spidev
Version:        3.4
Release:        alt2_8
Summary:        A python library for manipulating SPI via spidev
License:        MIT
URL:            https://github.com/doceme/py-spidev/
Source0:        https://github.com/doceme/py-spidev/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:  python3-devel
BuildRequires:  python3-module-distribute
Source44: import.info

%description
A python module for interfacing with SPI devices from user 
space via the spidev linux kernel driver.

%package -n python3-module-spidev
Group: Other
Summary:  A python library for manipulating SPI
%{?python_provide:%python_provide python3-spidev}

%description -n python3-module-spidev
A python module for interfacing with SPI devices from user 
space via the spidev linux kernel driver.


%prep
%setup -q


%build
%python3_build

%install
%python3_install

%files -n python3-module-spidev
%doc --no-dereference LICENSE
%{python3_sitelibdir}/spidev*

%changelog
