Group: System/Base
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python3
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global srcname pydf

Summary:        Fully colorized df clone written in python
Name:           pydf
Version:        12
Release:        alt2_10
License:        Public Domain
URL:            https://pypi.python.org/pypi/%{srcname}/%{version}
Source0:        http://kassiopeia.juls.savba.sk/~garabik/software/%{srcname}/%{name}_%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python3-devel
Source44: import.info

%description
pydf displays the amount of used and available space on your file systems,
just like df, but in colors. The output format is completely customizable.

%prep
%setup -q -n %{srcname}-%{version}


# Change shebang in individual files
sed -i '1s=^#!\s*/usr/bin/\(python\|env python\)[0-9.]*=#!%{__python3}=' pydf

%build

%install
mkdir -p %{buildroot}/%{_bindir}
mkdir -p %{buildroot}/%{_mandir}/man1
mkdir -p %{buildroot}/%{_sysconfdir}/man1
install -p -m 755 pydf %{buildroot}/%{_bindir}
install -p -m 644 pydf.1 %{buildroot}/%{_mandir}/man1
install -p -m 644 pydfrc %{buildroot}/%{_sysconfdir}

%files
%doc --no-dereference COPYING
%doc README COPYING
%{_bindir}/pydf
%{_mandir}/man1/pydf.1*
%config(noreplace) %{_sysconfdir}/pydfrc

%changelog
