Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-setuptools
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global pypi_name pyjokes
%global with_tests 0
%global global_desc One line jokes for programmers (jokes as a service)

Name:           %{pypi_name}
Version:        0.5.0
Release:        alt2_19
Summary:        %{global_desc}

License:        BSD
URL:            http://pyjok.es/
Source0:        https://github.com/%{pypi_name}/%{pypi_name}/archive/v%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-module-distribute
%if 0%{?with_tests}
BuildRequires:  pytest pytest3 python3-module-pytest
%endif
Source44: import.info


%description
%{global_desc}.

%package     -n python3-module-pyjokes
Group: Other
Summary: %{global_desc}. This package includes a commandline interface.

%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-module-pyjokes
%{global_desc}.

%prep
%setup -q -n %{pypi_name}-%{version}

%build
%python3_build

%install
%python3_install

%check
%if %{with_tests}
%{__python3} setup.py test
%endif

%files -n python3-module-pyjokes
%doc --no-dereference LICENCE.txt
%doc docs/*
# For noarch packages: sitelib
%{_bindir}/pyjoke*
%{python3_sitelibdir_noarch}/pyjokes-*
%{python3_sitelibdir_noarch}/pyjokes/

%changelog
