# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
BuildRequires: python-devel
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
# %%version is ahead of its definition. Predefining for rpm 4.0 compatibility.
%define version 0.19.2
%define url_ver	%(echo %{version}|cut -d. -f1,2)

%define oname	gaupol

Name:           python-aeidon
Version:        0.19.2
Release:        alt1_16
Summary:        Python package for reading, writing and manipulating text-based subtitle files
License:        GPLv3+
Group:          Development/Python
URL:            http://download.gna.org/gaupol/doc/api/aeidon.html
Source0:        http://download.gna.org/%{name}/%{url_ver}/gaupol-%{version}.tar.gz
Patch0:		install-data-files-to-aeidon-dir.patch
BuildArch:	noarch
BuildRequires:  intltool
Provides:	aeidon = %{version}-%{release}
Requires:	python-module-enchant python-module-enchant-gui
Requires:	python-module-chardet
Source44: import.info

%description
aeidon is a Python package that provides classes and functions for dealing
with text-based subtitle files of many different formats. Functions exist
for reading and writing subtitle files as well as manipulating subtitle data,
i.e. positions (times or frames) and texts.

%prep
%setup -q -n %{oname}-%{version}
%patch0 -p1

%build
python setup.py --without-gaupol build

%install
python setup.py --without-gaupol install \
	--root=%{buildroot} \
	--no-compile

%find_lang aeidon

%files -f aeidon.lang
%doc README.aeidon
%{_datadir}/aeidon/
%{python_sitelibdir_noarch}/aeidon/
%{python_sitelibdir_noarch}/aeidon-%{version}-py%{__python_version}.egg-info


%changelog
