Group: Development/Python
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python3 rpm-macros-fedora-compat
BuildRequires: python3-module-setuptools
# END SourceDeps(oneline)
%define oldname python-XStatic-Angular-Vis
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global pypi_name XStatic-Angular-Vis

Name:           python-module-XStatic-Angular-Vis
Version:        4.16.0.0
Release:        alt2_11
Summary:        Angular-Vis (XStatic packaging standard)

License:        MIT
URL:            https://github.com/visjs/angular-visjs
Source0:        https://files.pythonhosted.org/packages/source/X/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
Source44: import.info

%description
Angular-Vis JavaScript library packaged for setup-tools (easy_install) / pip.

This package is intended to be used by any project that needs these files.

It intentionally does not provide any extra code except some metadata
nor has any extra requirements.


%package -n xstatic-angular-vis-common
Group: Development/Python
Summary:        %{summary}

BuildRequires:  web-assets-devel
Requires:       web-assets-filesystem

%description -n xstatic-angular-vis-common
Angular-Vis JavaScript library packaged for setup-tools (easy_install) / pip.

This package is intended to be used by any project that needs these files.

It intentionally does not provide any extra code except some metadata
nor has any extra requirements.

This package contains the JavaScript files.


%package -n python3-module-XStatic-Angular-Vis
Group: Development/Python
Summary:        %{summary}

BuildRequires:  python3-devel
BuildRequires:  python3-module-distribute

Requires:       python3-module-xstatic
Requires:       xstatic-angular-vis-common

%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-module-XStatic-Angular-Vis
Angular-Vis JavaScript library packaged for setup-tools (easy_install) / pip.

This package is intended to be used by any project that needs these files.

It intentionally does not provide any extra code except some metadata
nor has any extra requirements.

This package provides Python 3 build of %{pypi_name}.


%prep
%setup -q -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

# patch to use webassets dir
sed -i "s|^BASE_DIR = .*|BASE_DIR = '%{_jsdir}/angular_vis'|" xstatic/pkg/angular_vis/__init__.py


%build
%python3_build


%install
%python3_install

mkdir -p %{buildroot}/%{_jsdir}/angular_vis
mv %{buildroot}/%{python3_sitelibdir_noarch}/xstatic/pkg/angular_vis/data/angular-vis.js %{buildroot}/%{_jsdir}/angular_vis
rmdir %{buildroot}%{python3_sitelibdir_noarch}/xstatic/pkg/angular_vis/data/

%files -n xstatic-angular-vis-common
%doc README.txt
%{_jsdir}/angular_vis

%files -n python3-module-XStatic-Angular-Vis
%doc README.txt
%{python3_sitelibdir_noarch}/xstatic/pkg/angular_vis
%{python3_sitelibdir_noarch}/XStatic_Angular_Vis-%{version}-py3.*.egg-info
%{python3_sitelibdir_noarch}/XStatic_Angular_Vis-%{version}-py3.*-nspkg.pth

%changelog
