Group: Development/Python
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python3 rpm-macros-fedora-compat
BuildRequires: python3-module-setuptools
# END SourceDeps(oneline)
%define oldname python-XStatic-Patternfly-Bootstrap-Treeview
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global pypi_name XStatic-Patternfly-Bootstrap-Treeview

Name:           python-module-XStatic-Patternfly-Bootstrap-Treeview
Version:        2.1.3.2
Release:        alt2_16
Summary:        Patternfly Bootstrap Treeview CSS/JS framework (XStatic packaging standard)

License:        ASL 2.0
URL:            https://www.patternfly.org/
Source0:        https://pypi.io/packages/source/X/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
Source44: import.info

%description
JavaScript library packaged for setuptools (easy_install) / pip.

This package is intended to be used by any project that needs these files.

It intentionally does not provide any extra code except some metadata
nor has any extra requirements.

%package -n python3-module-XStatic-Patternfly-Bootstrap-Treeview
Group: Development/Python
Summary:        %{summary}

BuildRequires:  python3-devel
BuildRequires:  python3-module-distribute

Requires:       python3-module-xstatic
Requires:       xstatic-patternfly-bootstrap-treeview-common

%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-module-XStatic-Patternfly-Bootstrap-Treeview
JavaScript library packaged for setuptools (easy_install) / pip.

This package is intended to be used by any project that needs these files.

It intentionally does not provide any extra code except some metadata
nor has any extra requirements.

This package provides Python 3 build of %{pypi_name}.

%package -n xstatic-patternfly-bootstrap-treeview-common
Group: Development/Python
Summary:        %{summary}

BuildRequires:  web-assets-devel
Requires:       web-assets-filesystem

%description -n xstatic-patternfly-bootstrap-treeview-common
JavaScript library packaged for setuptools (easy_install) / pip.

This package is intended to be used by any project that needs these files.

It intentionally does not provide any extra code except some metadata
nor has any extra requirements.

This package contains the javascript files.

%prep
%setup -q -n %{pypi_name}-%{version}

# patch to use webassets dir
sed -i "s|^BASE_DIR = .*|BASE_DIR = '%{_jsdir}/patternfly_bootstrap_treeview'|" xstatic/pkg/patternfly_bootstrap_treeview/__init__.py

%build
%python3_build

%install
%python3_install

mkdir -p %{buildroot}%{_jsdir}/patternfly_bootstrap_treeview
mv %{buildroot}%{python3_sitelibdir_noarch}/xstatic/pkg/patternfly_bootstrap_treeview/data/* %{buildroot}%{_jsdir}/patternfly_bootstrap_treeview
rmdir %{buildroot}%{python3_sitelibdir_noarch}/xstatic/pkg/patternfly_bootstrap_treeview/data/
# fix execute flags for js
chmod 644 %{buildroot}%{_jsdir}/patternfly_bootstrap_treeview/js/*.js

%files -n python3-module-XStatic-Patternfly-Bootstrap-Treeview
%doc README.rst
%{python3_sitelibdir_noarch}/xstatic/pkg/patternfly_bootstrap_treeview
%{python3_sitelibdir_noarch}/XStatic_Patternfly_Bootstrap_Treeview-%{version}-py%{__python3_version}.egg-info
%{python3_sitelibdir_noarch}/XStatic_Patternfly_Bootstrap_Treeview-%{version}-py%{__python3_version}-nspkg.pth

%files -n xstatic-patternfly-bootstrap-treeview-common
%doc README.rst
%{_jsdir}/patternfly_bootstrap_treeview

%changelog
