Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python rpm-build-python3
BuildRequires: python-module-setuptools python3-module-setuptools
# END SourceDeps(oneline)
# MAD is optional
%filter_from_requires /^python3.mad./d
%define oldname python-acoustid
%define fedora 34
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global oname   pyacoustid

%if 0%{?fedora} < 32
%global         py2 1
%endif

Summary:        Python bindings for Chromaprint acoustic fingerprinting and the Acoustid API
Name:           python-module-acoustid
Version:        1.2.0
Release:        alt2_5
License:        MIT
URL:            http://pypi.python.org/pypi/pyacoustid
Source0:        https://files.pythonhosted.org/packages/source/p/%{oname}/%{oname}-%{version}.tar.gz
BuildArch:      noarch
%{?py2:BuildRequires:  python-devel}
BuildRequires:  python3-devel
BuildRequires:  python3-module-distribute
Source44: import.info

%description
Chromaprint and its associated Acoustid Web service make up a
high-quality, open-source acoustic fingerprinting system. This package
provides Python bindings for both the fingerprinting algorithm
library, which is written in C but portable, and the Web service,
which provides fingerprint look ups.

%package -n python3-module-acoustid
Group: Other
Summary:       Python bindings for Chromaprint acoustic fingerprinting and the Acoustid API
Requires:      libchromaprint1
Requires:      python3-module-audioread
%{?python_provide:%python_provide python3-acoustid}
%description -n python3-module-acoustid
Chromaprint and its associated Acoustid Web service make up a
high-quality, open-source acoustic fingerprinting system. This package
provides Python bindings for both the fingerprinting algorithm
library, which is written in C but portable, and the Web service,
which provides fingerprint look ups.

%prep
%setup -q -n %{oname}-%{version}

%build
%{?py2:%python_build}
%python3_build

%install
%{?py2:%python_install}
%python3_install

%if 0%{?py2}
%files -n python-module-acoustid
%doc README.rst aidmatch.py fpcalc.py
%{python_sitelibdir_noarch}/acoustid.py*
%{python_sitelibdir_noarch}/chromaprint.py*
%{python_sitelibdir_noarch}/pyacoustid-%{version}-*.egg-info/
%endif

%files -n python3-module-acoustid
%doc README.rst aidmatch.py fpcalc.py
%{python3_sitelibdir_noarch}/acoustid.py
%{python3_sitelibdir_noarch}/chromaprint.py
%{python3_sitelibdir_noarch}/pyacoustid-%{version}-*.egg-info/
%{python3_sitelibdir_noarch}/__pycache__/acoustid.*.py*
%{python3_sitelibdir_noarch}/__pycache__/chromaprint.*.py*

%changelog
