Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python rpm-build-python3
BuildRequires: python-module-setuptools python3-module-setuptools
# END SourceDeps(oneline)
%define oldname python-audioread
%define fedora 34
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%if 0%{?fedora} < 32
%global         py2 1
%endif

Summary:        Multi-library, cross-platform audio decoding in Python
Name:           python-module-audioread
Version:        2.1.9
Release:        alt1_3
License:        MIT
URL:            http://pypi.python.org/pypi/audioread/
Source0:        https://files.pythonhosted.org/packages/source/a/audioread/audioread-%{version}.tar.gz
BuildArch:      noarch
%if 0%{?py2}
BuildRequires:  python-devel
Buildrequires:  python-module-pytest-runner
%endif
BuildRequires:  python3-devel
BuildRequires:  python3-module-distribute
Buildrequires:  python3-module-pytest-runner
%global _description \
Decode audio files using whichever backend is available. Among\
currently supports backends are\
 o Gstreamer via PyGObject\
 o MAD via the pymad bindings\
 o FFmpeg or Libav via its command-line interface\
 o The standard library wave, aifc, and sunau modules
Source44: import.info
# MAD is optional
%filter_from_requires /^python3.mad./d
%filter_from_requires /^python2...mad./d
%description 
%_description

%package    -n python3-module-audioread
Group: Other
Summary:        Multi-library, cross-platform audio decoding in Python
Requires:       python3-module-pygobject3
Requires:       gstreamer1.0 gstreamer1.0-utils
Requires:       gst-plugins-base1.0
Requires:       gst-plugins-good1.0
%{?python_provide:%python_provide python3-audioread}
%description -n python3-module-audioread 
%_description

%prep
%setup -q -n audioread-%{version}

%build
%{?py2:%python_build}
%python3_build

%install
%{?py2:%python_install}
%python3_install

%if 0%{?py2}
%files -n python-module-audioread
%doc README.rst decode.py
%{python_sitelibdir_noarch}/audioread/
%{python_sitelibdir_noarch}/audioread-%{version}-*.egg-info
%endif

%files -n python3-module-audioread
%doc README.rst decode.py
%{python3_sitelibdir_noarch}/audioread/
%{python3_sitelibdir_noarch}/audioread-%{version}-*.egg-info

%changelog
