# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python3
# END SourceDeps(oneline)
%define oldname python-batinfo
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define pypi_name batinfo

Name:           python-module-batinfo
Version:        0.4.2
Release:        alt1_3
Group:          Development/Python
Summary:        A simple Python lib to retreive battery information

License:        LGPLv3
URL:            https://github.com/nicolargo/batinfo
Source0:        https://pypi.python.org/packages/source/b/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
Source44: import.info

%description
A simple Python lib to retreive battery information

%package -n python3-module-batinfo
Group:          Development/Python
Summary:        A simple Python lib to retreive battery information
BuildRequires:  python3-devel
BuildRequires:  python-module-setuptools python3-module-setuptools


%description -n python3-module-batinfo
A simple Python3 lib to retreive battery information


%prep
%setup -q -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

find -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'


%build
%python3_build


%install
%{__python3} setup.py install --skip-build --root %{buildroot}
rm %{buildroot}/usr/share/doc/batinfo/AUTHORS
rm %{buildroot}/usr/share/doc/batinfo/LICENSE
rm %{buildroot}/usr/share/doc/batinfo/README.md


%files -n python3-module-batinfo
%doc LICENSE README.md AUTHORS
%{python3_sitelibdir_noarch}/%{pypi_name}
%{python3_sitelibdir_noarch}/%{pypi_name}-%{version}-py?.?.egg-info


%changelog
