# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%define oldname comoonics-base-py
%define fedora 16
%if ! (0%{?fedora} > 12 || 0%{?rhel} > 5)
    %{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
    %{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%endif
%define modulename comoonics

Summary: Comoonics minimum base libraries
Name: python-module-comoonics-base
Version: 0.1
Release: alt1_7
Source0: http://www.open-sharedroot.org/development/comoonics-base-py/comoonics-base-py-%{version}.tar.gz
License: GPLv3+
Group: Development/C
BuildArch: noarch
Requires: python-module-PyXML
Url: http://www.open-sharedroot.org/development/comoonics-base-py
BuildRequires: python-devel
Source44: import.info

%description
Comoonics minimum base libraries written in Python
These classes are intended to be used by other packages.

%prep
%setup -q -n %{oldname}-%{version}

%build
python setup.py %{oldname} build

%install
python setup.py %{oldname} install --root=$RPM_BUILD_ROOT 

%files
%{python_sitelibdir_noarch}/*.egg-info
%dir %{python_sitelibdir_noarch}/comoonics
%{python_sitelibdir_noarch}/comoonics/*.py
%{python_sitelibdir_noarch}/comoonics/*.pyc
%{python_sitelibdir_noarch}/comoonics/*.pyo
%doc README.txt LICENSE.txt

%changelog
