Group: Development/Python
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-setuptools
# END SourceDeps(oneline)
%define oldname python-cpio
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           python-module-cpio
Version:        0.1
Release:        alt2_40
Summary:        A Python module for accessing cpio archives

License:        LGPLv2+
URL:            http://developer.berlios.de/projects/python-cpio/
Source0:        http://download.berlios.de/python-cpio/python-cpio-0.1.tar.bz2
Patch0:        	cpioarchive_supports_2_3.patch
Patch1:         cpioarchive_bytes_str_compatibility.patch

BuildArch:      noarch
BuildRequires:  python3-devel

%global _description\
This is a Python module for accessing cpio archives.
Source44: import.info

%description 
%_description

%package -n python3-module-cpio
Group: Development/Python
Summary: %summary

%description -n python3-module-cpio 
%_description

%prep
%setup -n %{oldname}-%{version} -q
%patch0
%patch1

%build
%python3_build

%install
%python3_install

%files -n python3-module-cpio
%doc --no-dereference COPYING.lib
%doc AUTHORS ChangeLog README TODO
%{python3_sitelibdir_noarch}/cpioarchive.py*
%{python3_sitelibdir_noarch}/__pycache__/*
%{python3_sitelibdir_noarch}/*.egg-info


%changelog
