Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python3
# END SourceDeps(oneline)
%define oldname python-dirq
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}

%global srcname dirq

Name:           python-module-dirq
Version:        1.7.1
Release:        alt2_19
Summary:        Directory based queue
License:        ASL 2.0
URL:            https://github.com/cern-mig/%{oldname}
Source0:        http://pypi.python.org/packages/source/d/%{srcname}/%{srcname}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:	python3-devel

%global _description\
The goal of this module is to offer a simple queue system using the\
underlying file system for storage, security and to prevent race\
conditions via atomic operations.  It focuses on simplicity,\
robustness and the ability to scale.\
\
The python module dirq is compatible with the Perl\
module Directory::Queue.
Source44: import.info

%description 
%_description

%package -n python3-module-dirq
Group: Development/Other
Summary:	Directory based queue

%description -n python3-module-dirq
The goal of this module is to offer a simple queue system using the 
underlying file system for storage, security and to prevent race 
conditions via atomic operations.  It focuses on simplicity, 
robustness and the ability to scale.

The python module dirq is compatible with the Perl 
module Directory::Queue.

%prep
%setup -q -n %{srcname}-%{version}
find . -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'

%build
%{__python3} setup.py build

%install
%{__python3} setup.py install --skip-build --root $RPM_BUILD_ROOT

%check
%{__python3} setup.py test
# And remove compiled documentation.
rm -f test/*.pyc

%files -n python3-module-dirq
%doc README.rst CHANGES examples test
%{python3_sitelibdir_noarch}/%{srcname}/
%{python3_sitelibdir_noarch}/%{srcname}-%{version}-py%{__python3_version}.egg-info

%changelog
