Group: System/Libraries
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-setuptools
# END SourceDeps(oneline)
%define oldname python-dtopt
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}

Name:           python-module-dtopt
Summary:        Add options to doctest examples while they are running
Version:        0.1
Release:        alt3_39
License:        MIT

URL:            http://pypi.python.org/pypi/dtopt/
Source0:        http://pypi.python.org/packages/source/d/dtopt/dtopt-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-module-distribute


%global _description\
dtopts adds options to doctest examples while they are running. When\
using the doctest module it is often convenient to use the ELLIPSIS\
option, which allows you to use ... as a wildcard. But you either have\
to setup the test runner to use this option, or you must put #doctest:\
+ELLIPSIS on every example that uses this feature. dtopt lets you enable\
this option globally from within a doctest, by doing:\
>>> from dtopt import ELLIPSIS
Source44: import.info

%description 
%_description

%package -n python3-module-dtopt
Group: System/Libraries
Summary:        Add options to doctest examples while they are running
Version:        0.1

%description -n python3-module-dtopt
dtopts adds options to doctest examples while they are running. When
using the doctest module it is often convenient to use the ELLIPSIS
option, which allows you to use ... as a wildcard. But you either have
to setup the test runner to use this option, or you must put #doctest:
+ELLIPSIS on every example that uses this feature. dtopt lets you enable
this option globally from within a doctest, by doing:
>>> from dtopt import ELLIPSIS

%prep
%setup -q -n dtopt-%{version}

# Remove bundled egg info if it exists.
rm -rf *.egg-info

# There is a print statement in the test that is not python3 compatible.
rm dtopt/tests.py*


%build
%python3_build

%install
%python3_install

%files -n python3-module-dtopt
%doc docs/*
%{python3_sitelibdir_noarch}/dtopt/
%{python3_sitelibdir_noarch}/dtopt*.egg-info/

%changelog
