Group: Development/Python
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-setuptools
# END SourceDeps(oneline)
%define oldname python-fdb
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global upstream_name fdb
%global sum Firebird RDBMS bindings for Python

Name:           python-module-fdb
Version:        2.0.1
Release:        alt2_3
Summary:        %{sum}

License:        BSD
URL:            http://www.firebirdsql.org/
Source0:        https://pypi.io/packages/source/f/%{upstream_name}/%{upstream_name}-%{version}.tar.gz

BuildArch:      noarch      
BuildRequires:  firebird-devel
BuildRequires:  python3-devel
BuildRequires:  python3-module-distribute
Source44: import.info


%description
Set of Firebird RDBMS bindings for Python. 

%package -n python3-module-fdb
Group: Development/Python
Summary:        %{sum}
%{?python_provide:%python_provide python3-%{upstream_name}}
Requires:       libfbclient

%description -n python3-module-fdb
Set of Firebird RDBMS bindings for Python.


%prep
%setup -q -n %{upstream_name}-%{version}

rm -rf %{upstream_name}.egg-info

%build
%python3_build

%install
%python3_install
 
%files -n python3-module-fdb
%doc README.rst
%doc --no-dereference LICENSE.TXT
%{python3_sitelibdir_noarch}/*


%changelog
