Group: Development/Python
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-setuptools
# END SourceDeps(oneline)
%define oldname python-firkin
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global srcname firkin

Name:           python-module-firkin
Version:        0.02
Release:        alt2_32
Summary:        Python module to convert between different measurement units

License:        GPLv2+
URL:            http://www.florian-diesch.de/software/firkin/
Source0:        %{url}/dist/firkin-%{version}.tar.gz
BuildArch:      noarch
Source44: import.info

%description
firkin is a Python module to convert between different measurement units.

%package -n python3-module-firkin
Group: Development/Python
Summary:        %{summary}

BuildRequires:  python3-devel
BuildRequires:  python3-module-distribute
#BuildRequires:  python3-nose
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-module-firkin
firkin is a Python module to convert between different measurement units.

%prep
%setup -q -n %{srcname}-%{version}

# Convert to utf-8
for file in README; do
    iconv -f ISO-8859-1 -t UTF-8 -o $file.new $file && \
    touch -r $file $file.new && \
    mv $file.new $file
done

%build
%python3_build

%install
%python3_install

#%check
#nosetests-%{__python3_version} test/test_groups.py

%files -n python3-module-firkin
%doc README PKG-INFO
%{python3_sitelibdir_noarch}/firkin.p*
%{python3_sitelibdir_noarch}/firkin*.egg-info
%{python3_sitelibdir_noarch}/__pycache__/%{srcname}.*

%changelog
