Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python3
# END SourceDeps(oneline)
%define oldname python-glue
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global srcname glue
%global sum A simple command line tool to generate CSS sprites

Name:           python-module-glue
Version:        0.13
Release:        alt2_4
Summary:        %{sum}

License:        BSD
URL:            http://github.com/jorgebastida/%{srcname}
Source0:        https://files.pythonhosted.org/packages/source/g/%{srcname}/%{srcname}-%{version}.tar.gz
# https://github.com/jorgebastida/glue/pull/211
Patch0:         python-glue.remove-jinja2-version-restriction.patch
# https://github.com/jorgebastida/glue/pull/208
Patch1:         python-glue.python3-support-without-2to3.patch

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-module-distribute
BuildRequires:  python3-module-sphinx python3-module-sphinx-sphinx-build-symlink
BuildRequires:  python3-module-Pillow
Requires:       python3-module-jinja2
Requires:       python3-module-Pillow
Source44: import.info

%description
Glue is a simple command line tool to generate CSS sprites using any kind
of source images like PNG, JPEG or GIF. Glue will generate a unique PNG file
containing every source image and a CSS file including the necessary CSS
classes to use the sprite.

%package -n %{srcname}
Group: Other
Summary:        %{sum}
Provides:       python-%{srcname} = %{version}-%{release}
Obsoletes:      python-%{srcname} < 0.11.1-6

%description -n %{srcname}
Glue is a simple command line tool to generate CSS sprites using any kind
of source images like PNG, JPEG or GIF. Glue will generate a unique PNG file
containing every source image and a CSS file including the necessary CSS
classes to use the sprite.

%prep
%setup -q -n %{srcname}-%{version}
%patch0 -p1
%patch1 -p1

# See https://github.com/jorgebastida/glue/pull/212
rm docs/.gitignore
rm -rf glue.egg-info
# Remove the shebang that set the python executable since that's
# generated later
sed -i -e "1d" glue/bin.py

%build
%{__python3} setup.py build egg_info build_sphinx # build_sphinx needs egg_info
rm build/sphinx/html/.buildinfo

%install
%python3_install

%files -n %{srcname}
%doc --no-dereference COPYING
%doc AUTHORS build/sphinx/html
%{python3_sitelibdir_noarch}/*
%{_bindir}/%{srcname}

%changelog
