Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python3
# END SourceDeps(oneline)
%define oldname python-gzipstream
%define fedora 34
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%if ! (0%{?fedora} || 0%{?rhel} > 5)
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%endif

%if 0%{?fedora} || 0%{?suse_version} > 1320
%global build_py3   1
%endif

Summary: Streaming zlib (gzip) support for python
Name: python-module-gzipstream
Version: 2.8.6
Release: alt2_13
URL:        https://github.com/spacewalkproject/spacewalk/wiki/Projects_python-gzipstream
Source0:    https://github.com/spacewalkproject/spacewalk/archive/python-gzipstream-%{version}.tar.gz
License: GPLv2
BuildArch: noarch


%global _description\
A streaming gzip handler.\
gzipstream.GzipStream extends the functionality of the gzip.GzipFile class\
to allow the processing of streaming data.\

Source44: import.info


%description 
%_description

%if 0%{?build_py3}
%package -n python3-module-gzipstream
Group: Development/Other
Summary:        %summary
BuildRequires:  python3-devel

%description -n python3-module-gzipstream 
%_description

%endif

%prep
%setup -n %{oldname}-%{version} -q
mkdir ../py3
cp -a . ../py3

%build
%if 0%{?build_py3}
cd ../py3
%{__python3} setup.py build

%endif

%install
%if 0%{?build_py3}
cd ../py3
%{__python3} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT --prefix %{_usr}

%endif

%if 0%{?build_py3}
%files -n python3-module-gzipstream
%{python3_sitelibdir_noarch}/*
%doc html
%doc --no-dereference LICENSE

%endif

%changelog
