Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%define oldname python-m2ext
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from %distutils.sysconfig import get_python_lib; print get_python_lib(1)")}
%global modname m2ext

# The pkgconfig bit in this spec file was taken from m2crypto.spec
# https://apps.fedoraproject.org/packages/m2crypto/sources/spec/

Name:           python-module-m2ext
Version:        0.1
Release:        alt1_21
Summary:        M2Crypto Extensions

License:        BSD
URL:            http://pypi.python.org/pypi/%{modname}
Source0:        http://pypi.python.org/packages/source/m/%{modname}/%{modname}-%{version}.tar.gz

BuildRequires:  python-devel
BuildRequires:  libssl-devel
BuildRequires:  swig
BuildRequires:  python-module-m2crypto
BuildRequires:  gcc




%global _description\
This package contains some extended functions which are not (yet)\
available in M2Crypto http://chandlerproject.org/Projects/MeTooCrypto>\
trunk.
Source44: import.info
%add_findprov_skiplist %{python_sitelibdir}/%{modname}/_m2ext.so

%description 

%_description
%prep
%setup -q -n %{modname}-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS" ; export CFLAGS
if pkg-config openssl ; then
    CFLAGS="$CFLAGS `pkg-config --cflags openssl`" ; export CFLAGS
    LDFLAGS="$LDFLAGS`pkg-config --libs-only-L openssl`" ; export LDFLAGS
fi

%{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

chmod 755 %{buildroot}/%{python_sitelibdir}/%{modname}/_m2ext.so


%files -n python-module-m2ext
%doc README.rst LICENSE

%{python_sitelibdir}/%{modname}
%{python_sitelibdir}/%{modname}-%{version}*


%changelog
