Group: Engineering
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-setuptools
# END SourceDeps(oneline)
%define oldname python-nmap
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global srcname nmap

Name:           python-module-nmap
Version:        0.6.4
Release:        alt1_2
Summary:        Python library which helps in using nmap port scanner

License:        GPLv3+
URL:            http://xael.org/norman/python/python-nmap/
Source0:        http://xael.org/pages/%{oldname}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel

Requires:       nmap
Source44: import.info

%description
python-nmap is a Python library which helps in using nmap port scanner. It
allows to easily manipulate nmap scan results and will be a perfect tool
for systems administrators who want to automatize scanning task and reports.
It also supports nmap script outputs.

%package -n python3-module-nmap
Group: Engineering
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-module-nmap
python3-nmap is a Python library which helps in using nmap port scanner. It
allows to easily manipulate nmap scan results and will be a perfect tool
for systems administrators who want to automatize scanning task and reports.
It also supports nmap script outputs.

%prep
%setup -q -n %{oldname}-%{version}


%build
%python3_build

%install
%python3_install

%files -n python3-module-nmap
%doc CHANGELOG README.rst 
%doc --no-dereference gpl-3.0.txt
%{python3_sitelibdir_noarch}/%{srcname}/
%{python3_sitelibdir_noarch}/python_nmap*.egg-info

%changelog
