Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-setuptools
# END SourceDeps(oneline)
%define oldname python-pkgwat-api
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}

%global modname pkgwat.api

Name:             python-module-pkgwat-api
Version:          0.13
Release:          alt2_9
Summary:          Python API for querying the fedora packages webapp

License:          LGPLv2+
URL:              https://pypi.python.org/pypi/pkgwat.api
Source0:          https://pypi.python.org/packages/source/p/%{modname}/%{modname}-%{version}.tar.gz
BuildArch:        noarch
Source44: import.info
# in .pth
%py_provides pkgwat
%filter_from_requires /^python....pkgwat./d

%description
Python API for pkgwat
http://pypi.python.org/pypi/pkgwat.cli

%package -n python3-module-pkgwat-api
Group: Development/Other
Summary:          Python API for querying the fedora packages webapp
%{?python_provide:%python_provide python3-pkgwat-api}

BuildRequires:    python3-devel
BuildRequires:    python3-module-distribute
BuildRequires:    python3-module-six
BuildRequires:    python3-module-requests
Requires:         python3-module-six
Requires:         python3-module-requests
# in .pth
%py3_provides pkgwat
%filter_from_requires /^python....pkgwat./d

%description -n python3-module-pkgwat-api
Python3 API for pkgwat
http://pypi.python.org/pypi/pkgwat.cli.

%prep
%setup -q -n %{modname}-%{version}

rm -rf pkgwat.api.egg-info

%build
%python3_build

%install
%python3_install

%files -n python3-module-pkgwat-api
%doc README.rst lgpl-2.1.txt
%doc --no-dereference LICENSE
%{python3_sitelibdir_noarch}/pkgwat
%{python3_sitelibdir_noarch}/%{modname}-%{version}-*

%changelog
