Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%define oldname pycdio
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Name:		python-module-pycdio
Version:	2.0.0
Release:	alt2_5
Summary:	A Python interface to the CD Input and Control library

License:	GPLv3+
URL:		http://www.gnu.org/software/libcdio/
Source0:	https://files.pythonhosted.org/packages/source/p/pycdio/pycdio-%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:	python-devel python-module-pkg_resources python-module-setuptools libcdio++-devel libcdio-devel,swig
Requires:	python
Provides:	python2-%{oldname}
Source44: import.info

%description
The pycdio (and libcdio) libraries encapsulate CD-ROM reading and
control. Python programs wishing to be oblivious of the OS- and
device-dependent properties of a CD-ROM can use this library.

%prep
%setup -n %{oldname}-%{version} -q

%build
%python_build

%install
%python_install
chmod 755 %{buildroot}/%{python_sitelibdir}/*.so

%files
%{!?_licensedir:%global license %doc}
%{python_sitelibdir}/*
%doc README.rst ChangeLog AUTHORS NEWS THANKS
%doc --no-dereference COPYING

%changelog
