Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
BuildRequires: python-module-setuptools swig
# END SourceDeps(oneline)
%define oldname pyfribidi
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Name:           python-module-pyfribidi
Version:        0.11.0
Release:        alt1_19
Summary:        A Python binding for GNU FriBidi
License:        GPLv2+
URL:            https://github.com/pediapress/pyfribidi
Source0:        pediapress-pyfribidi-0.11.0-0-g7356e84.tar.gz
BuildRequires:  gcc
BuildRequires:  python-devel
BuildRequires:  libfribidi-devel
Source44: import.info

%description
PyFriBidi is a simple Python binding for FriBidi, providing an
implementation of The Unicode Bidirectional Algorithm in Python.


%prep
%setup -n %{oldname}-%{version} -qn pediapress-pyfribidi-7356e84
# setup.py will use the system lib if the embedded copy is removed
rm -rf fribidi-src


%build
%python_build


%install
%python_install


%check
ln -s build/lib.linux-*/_pyfribidi.so .
python2 test_pyfribidi.py

 
%files
%doc AUTHORS COPYING ChangeLog
%{python_sitelibdir}/*


%changelog
