Group: Publishing
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
BuildRequires: python-module-pygobject-devel
# END SourceDeps(oneline)
%define oldname pypoppler
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           python-module-pypoppler
Version:        0.12.2
Release:        alt1_9
Summary:        Python bindings for the Poppler PDF rendering library

License:        GPLv2+
URL:            https://launchpad.net/poppler-python
Source0:        https://pypi.python.org/packages/d5/de/ae15f112f5750bd1fa6e296c5c5500b9a3e1bbc110a981e77d12ddfe30c6/%{oldname}-%{version}.tar.gz
Patch0:         pypoppler-0.12.2-poppler-orientation.patch

BuildRequires:  gcc
BuildRequires:  python-devel
BuildRequires:  python-module-pkg_resources python-module-setuptools
BuildRequires:  python-module-pygtk-devel
BuildRequires:  libatk-devel libatk-gir-devel
BuildRequires:  libpoppler-devel
BuildRequires:  python-module-pycairo-common-devel python-module-pycairo-devel
BuildRequires:  libpoppler-gir-devel libpoppler-glib-devel
Source44: import.info

%description
Python bindings for the Poppler PDF rendering library. It is needed to
run programs written in Python and using Poppler set.

%prep
%setup -q -n %{oldname}-%{version}
%patch0 -p1

%build
%python_build

%install
%python_install
find %{buildroot} -type f -name "*.la" -exec rm -f {} ';'

%files
%doc README
%{python_sitelibdir}/*

%changelog
