Group: System/Libraries
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python3
BuildRequires: python-devel python3-module-setuptools
# END SourceDeps(oneline)
%define oldname python-pysctp
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:		python-module-pysctp
Version:	0.6
Release:	alt3_26
Summary:	Python sctp socket api extensions bindings
License:	LGPLv2
URL:		http://epx.com.br/pysctp/
Source0:	https://github.com/philpraxis/pysctp/archive/%{version}.tar.gz
Source1:	__init__.py
BuildRequires:  gcc python3-module-distribute liblksctp-devel 
BuildRequires:	python3-devel python3

Patch0: pysctp-buildfix.patch
Patch1: pysctp-python3-update.patch

%global _description\
Python bindings for the SCTP socket api (see draft-ietf-tsvwg-sctpsocket-10.txt)
Source44: import.info

%description 

%_description
%package -n python3-module-pysctp
Group: System/Libraries
Summary: %summary
Requires:	python3
%{?python_provide:%python_provide python2-pysctp}

%description -n python3-module-pysctp 

%_description
%prep
%setup -q -n pysctp-%{version}
mkdir ./pysctp
cp %{SOURCE1} .
%patch1 -p1 

%build
%python3_build

%install
%python3_install
rm -f $RPM_BUILD_ROOT/usr/*.[ch]

%files -n python3-module-pysctp
%{python3_sitelibdir}/__pycache__/*
%{python3_sitelibdir}/_sctp.*
%{python3_sitelibdir}/pysctp-*
%{python3_sitelibdir}/sctp.*

%doc README 

%changelog
