Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python3
# END SourceDeps(oneline)
%define oldname pyshp
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           python-module-pyshp
Version:        2.1.3
Release:        alt2_3
Summary:        Pure Python read/write support for ESRI Shapefile format
License:        MIT
URL:            https://github.com/GeospatialPython/pyshp
Source0:        https://github.com/GeospatialPython/%{oldname}/archive/%{version}/%{oldname}-%{version}.tar.gz

BuildRequires:  python3-devel
BuildRequires:  python3-module-distribute

BuildArch:      noarch
Source44: import.info

%package -n python3-module-pyshp
Group: Development/Other
Summary:        Pure Python 3 read/write support for ESRI Shapefile format

%description
Pure Python read/write support for ESRI Shapefile format

%description -n python3-module-pyshp
Pure Python 3 read/write support for ESRI Shapefile format

%prep
%setup -n %{oldname}-%{version} -q

# Change line endings, otherwise doctest fails
# Remaining tests should only fail due to missing test data
sed -i 's/.$//' changelog.txt

# Delete the egg info to certainly ship the generated
rm -rf pyshp.egg-info


%build
%{__python3} setup.py build


%install
%{__python3} setup.py install --skip-build --root %{buildroot}


%check
%{__python3} shapefile.py


%files -n python3-module-pyshp
%doc README.md changelog.txt LICENSE.TXT
%{python3_sitelibdir_noarch}/shapefile.py*
%{python3_sitelibdir_noarch}/%{oldname}-%{version}-py*.egg-info
%{python3_sitelibdir_noarch}/__pycache__/shapefile*


%changelog
