Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
BuildRequires: gcc-c++
# END SourceDeps(oneline)
BuildRequires: python-module-objects.inv python-test
%define oldname python-rospkg
%global commit dc49f90de4105906b283507f68de6b15ff0e7b54
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global realname rospkg

Name:           python-module-rospkg
Version:        1.0.26
Release:        alt1_1
Summary:        Utilities for ROS package, stack, and distribution information

License:        BSD
URL:            http://ros.org/wiki/rospkg
Source0:        https://github.com/ros-infrastructure/%{realname}/archive/%{commit}/%{realname}-%{version}-%{shortcommit}.tar.gz
# Remove dependency on catkin-sphinx for now
Patch0:         rospkg-0.1.20-catkinsphinx.patch
BuildArch:      noarch

BuildRequires:  python-devel
BuildRequires:  python-module-distribute
BuildRequires:  python-module-sphinx
Source44: import.info

%description
The ROS packaging system simplifies development and distribution of code 
libraries. It enable you to easily specify dependencies between code 
libraries, easily interact with those libraries from the command-line, and 
release your code for others to use.

%prep
%setup -n %{oldname}-%{version} -qn %{realname}-%{commit}
%patch0 -p0 -b .catkinsphinx

%build
%{__python} setup.py build
pushd doc
make man
popd

%install
%{__python} setup.py install --skip-build --root $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{realname}
install -p -m 0644 manifest.xml $RPM_BUILD_ROOT%{_datadir}/%{realname}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
install -p -m 0644 doc/man/rosversion.1 $RPM_BUILD_ROOT%{_mandir}/man1

sed -i 's|#!/usr/bin/env python||' $RPM_BUILD_ROOT%{python_sitelibdir_noarch}/%{realname}/*.py

%files
%{_bindir}/*
%{python_sitelibdir_noarch}/%{realname}-%{version}-py?.?.egg-info
%{python_sitelibdir_noarch}/%{realname}
%{_mandir}/man1/**
%{_datadir}/%{realname}

%changelog
