Group: Development/Python
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-setuptools
# END SourceDeps(oneline)
%define oldname python-sockjs-tornado
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
# Created by pyp2rpm-3.0.2
%global pypi_name sockjs-tornado

Name:           python-module-sockjs-tornado
Version:        1.0.3
Release:        alt1_17
Summary:        SockJS python server implementation on top of Tornado framework

License:        MIT

URL:            http://github.com/mrjoes/sockjs-tornado/
Source0:        https://files.pythonhosted.org/packages/source/s/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-module-distribute
BuildRequires:  python3-devel
Source44: import.info

%description
SockJS-tornado is a Python server side counterpart of SockJS-client
browser library running on top of Tornado framework.

%package -n python3-module-sockjs-tornado
Group: Development/Python
Summary:        SockJS python server implementation on top of Tornado framework
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3-module-tornado >= 2.1.1
%description -n python3-module-sockjs-tornado
SockJS-tornado is a Python server side counterpart of SockJS-client
browser library running on top of Tornado framework.

%prep
%setup -q -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%python3_build

%install
# Must do the subpackages' install first because the scripts in /usr/bin are
# overwritten with every setup.py install.
%python3_install


%files -n python3-module-sockjs-tornado
%doc README.rst
%doc --no-dereference LICENSE
%{python3_sitelibdir_noarch}/sockjs
%{python3_sitelibdir_noarch}/sockjs_tornado-%{version}-py%{__python3_version}.egg-info
%{python3_sitelibdir_noarch}/sockjs_tornado-%{version}-py%{__python3_version}-nspkg.pth

%changelog
