Group: Development/Python
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python rpm-build-python3
BuildRequires: python-devel python-module-setuptools python3-module-setuptools
# END SourceDeps(oneline)
%define oldname python-speg
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%{?python_enable_dependency_generator}
%global py2support 0
%global srcname speg
%global commit 877acddfd5ac5ae8b4a4592d045e74e108477643
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:           python-module-speg
Version:        0.3
Release:        alt2_12.git%{shortcommit}
Summary:        A PEG-based parser interpreter with memoization (in time)
License:        MIT
URL:            https://github.com/avakar/speg
Source0:        https://github.com/avakar/speg/archive/%{commit}/%{oldname}-%{shortcommit}.tar.gz
BuildArch:      noarch
Source44: import.info

%description
A PEG-based parser interpreter with memoization.

%package -n python3-module-speg
Group: Development/Python
Summary:        %{summary}
BuildRequires:  python3-devel
BuildRequires:  python3-module-distribute
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-module-speg
A PEG-based parser interpreter with memoization.

%prep
%setup -q -n %{srcname}-%{commit}


%build
%if %{py2support}
%python_build
%endif
%python3_build

%install
%if %{py2support}
%python_install
%endif
%python3_install

# Note that there is no %%files section for the unversioned python module
%if %{py2support}
%files -n python-module-speg
%doc --no-dereference LICENSE
%doc README.md
%{python_sitelibdir_noarch}/%{srcname}-*.egg-info/
%{python_sitelibdir_noarch}/%{srcname}/
%endif

%files -n python3-module-speg
%doc --no-dereference LICENSE
%doc README.md
%{python3_sitelibdir_noarch}/%{srcname}-*.egg-info/
%{python3_sitelibdir_noarch}/%{srcname}/

%changelog
