Group: Development/Python
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-setuptools
# END SourceDeps(oneline)
%define oldname python-sqlalchemy_schemadisplay
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global srcname sqlalchemy_schemadisplay

Name:           python-module-sqlalchemy_schemadisplay
Version:        1.3
Release:        alt2_16
Summary:        Turn SQLAlchemy DB Model into a graph

License:        MIT
URL:            https://github.com/fschulze/%{srcname}
Source0:        %{url}/archive/%{version}/%{srcname}-%{version}.tar.gz
BuildArch:      noarch
Source44: import.info

%description
Turn SQLAlchemy DB Model into a graph.


%package -n python3-module-sqlalchemy_schemadisplay
Group: Development/Python
Summary:        %{summary}
Requires:       graphviz libgraphviz
Requires:       python3-module-distribute
Requires:       python3-module-sqlalchemy
Requires:       python3-module-pydot
BuildRequires:  graphviz libgraphviz
BuildRequires:  python3-devel
BuildRequires:  python3-module-pydot
BuildRequires:  pytest pytest3 python3-module-pytest
BuildRequires:  python3-module-distribute
BuildRequires:  python3-module-sqlalchemy
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-module-sqlalchemy_schemadisplay
Turn SQLAlchemy DB Model into a graph.


%prep
%setup -q -n %{srcname}-%{version}



%build
%python3_build


%install
%python3_install


# Tests aren't Python 3 yet
#check


%files -n python3-module-sqlalchemy_schemadisplay
%doc --no-dereference LICENSE
%doc README.rst
%{python3_sitelibdir_noarch}/*


%changelog
