Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-setuptools
# END SourceDeps(oneline)
%define oldname python-txws
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global modname txws
%global capname txWS

Name:             python-module-txws
Version:          0.9.1
Release:          alt1_19
Summary:          Twisted WebSockets wrapper

License:          MIT
URL:              http://pypi.python.org/pypi/%{capname}
Source0:          http://pypi.python.org/packages/source/t/%{capname}/%{capname}-%{version}.tar.gz
Patch0:           python-txws-drop-vcversioner.patch

BuildArch:        noarch

BuildRequires:    python3-devel
BuildRequires:    python3-module-distribute
BuildRequires:    python3-module-twisted-conch python3-module-twisted-conch-gui python3-module-twisted-core python3-module-twisted-core-gui-wx python3-module-twisted-core-test python3-module-twisted-logger python3-module-twisted-mail python3-module-twisted-names python3-module-twisted-pair python3-module-twisted-positioning python3-module-twisted-runner python3-module-twisted-web python3-module-twisted-words
BuildRequires:    python3-module-six

%global _description\
txWS (pronounced "Twisted WebSockets") is a small, short, simple library\
for adding WebSockets server support to your favorite Twisted applications.
Source44: import.info

%description 

%_description
%package -n python3-module-txws
Group: Development/Other
Summary:          Twisted WebSockets wrapper

Requires:         python3-module-twisted-conch
Requires:         python3-module-six

%description -n python3-module-txws
txWS (pronounced "Twisted WebSockets") is a small, short, simple library
for adding WebSockets server support to your favorite Twisted applications.


%prep
%setup -q -n %{capname}-%{version}
%patch0 -p1

rm -rf *.egg*

%if 0%{?rhel}
sed -i -e 's/"Twisted",//' setup.py
%endif



%build
%python3_build

%install
%python3_install


# We could run the tests when building, but txWS doesn't ship the tests.py with
# the distribution.  Leaving it commented out as a possibility for later.
#%check
#PYTHONPATH=$(pwd) trial tests.py
# XXX - also, python3 tests?

%files -n python3-module-txws
%doc README.rst
%{python3_sitelibdir_noarch}/__pycache__/*
%{python3_sitelibdir_noarch}/%{modname}.py*
%{python3_sitelibdir_noarch}/%{capname}-%{version}-*.egg-info


%changelog
