Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-setuptools
# END SourceDeps(oneline)
%define oldname python-txzmq
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global modname txZMQ

Name:             python-module-txzmq
Version:          0.8.0
Release:          alt1_13
Summary:          Twisted bindings for ZeroMQ

License:          GPLv2
URL:              https://github.com/smira/%{modname}
Source0:          %{url}/archive/%{version}.tar.gz

BuildArch:        noarch

BuildRequires:    python3-devel
BuildRequires:    python3-module-distribute
BuildRequires:    python3-module-nose
BuildRequires:    python3-module-zmq >= 13.0.0
BuildRequires:    python3-module-twisted-conch python3-module-twisted-conch-gui python3-module-twisted-core python3-module-twisted-core-gui-wx python3-module-twisted-core-test python3-module-twisted-logger python3-module-twisted-mail python3-module-twisted-names python3-module-twisted-pair python3-module-twisted-positioning python3-module-twisted-runner python3-module-twisted-web python3-module-twisted-words
BuildRequires:    python3-module-six

%global _description\
txZMQ allows to integrate easily ZeroMQ sockets into Twisted event loop\
(reactor).
Source44: import.info

%description 

%_description
%package -n python3-module-txzmq
Group: Development/Other
Summary:          Twisted bindings for ZeroMQ

Requires:         python3-module-zmq >= 13.0.0
Requires:         python3-module-twisted-conch python3-module-twisted-conch-gui python3-module-twisted-core python3-module-twisted-core-gui-wx python3-module-twisted-core-test python3-module-twisted-logger python3-module-twisted-mail python3-module-twisted-names python3-module-twisted-pair python3-module-twisted-positioning python3-module-twisted-runner python3-module-twisted-web python3-module-twisted-words
Requires:         python3-module-six

%description -n python3-module-txzmq
txZMQ allows to integrate easily ZeroMQ sockets into Twisted event loop
(reactor).


%prep
%setup -q -n %{modname}-%{version}

# Patch out the setuptools requirement on Twisted since epel doesn't ship
# twisted egg-info
%if 0%{?rhel}
sed -i 's/"Twisted",//' setup.py
%endif


%build
%python3_build

%check
PYTHONPATH=$(pwd) nosetests-%{__python3_version}

%install
%python3_install

%files -n python3-module-txzmq
%doc README.rst
%doc --no-dereference LICENSE.txt
%{python3_sitelibdir_noarch}/txzmq/
%{python3_sitelibdir_noarch}/txZMQ-%{version}*.egg-info

%changelog
