Group: Development/Python
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-setuptools
# END SourceDeps(oneline)
%define oldname python-urlobject
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name: python-module-urlobject
Summary: A utility class for manipulating URLs
Version: 2.4.3
Release: alt2_16
BuildArch:  noarch
Source0: https://pypi.python.org/packages/source/U/URLObject/URLObject-%{version}.tar.gz
License: Unlicense

Url: http://github.com/zacharyvoase/urlobject

Patch10:  remove-six.patch
Source44: import.info


%description
A utility class for manipulating URLs


%package -n python3-module-urlobject
Group: Development/Python
Summary: A utility class for manipulating URLs
BuildRequires:  python3-module-six
BuildRequires:  python3-devel
BuildRequires:  python3-module-distribute
Requires:  python3-module-six
%description -n python3-module-urlobject
A utility class for manipulating URLs


%prep
%setup -q -n URLObject-%{version}
%patch10


%build
%python3_build


%install
%python3_install


%files -n python3-module-urlobject
%doc --no-dereference UNLICENSE
%{python3_sitelibdir_noarch}/urlobject/
%{python3_sitelibdir_noarch}/URLObject*.egg-info


%changelog
