Group: Development/Python
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-setuptools
# END SourceDeps(oneline)
%define oldname python-volkszaehler
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global pypi_name volkszaehler

Name:           python-module-volkszaehler
Version:        0.2.1
Release:        alt2_3
Summary:        Python Client for interacting with the Volkszahler API

License:        MIT
URL:            https://github.com/home-assistant-ecosystem/python-volkszaehler
Source0:        %{url}/archive/%{version}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
Source44: import.info

%description
A Python client for interacting with the Volkszahler API.

%package -n python3-module-volkszaehler
Group: Development/Python
Summary:        %{summary}

BuildRequires:  python3-devel
BuildRequires:  python3-module-distribute
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-module-volkszaehler
A Python client for interacting with the Volkszahler API.

%prep
%setup -q -n %{oldname}-%{version}


%build
%python3_build

%install
%python3_install

%files -n python3-module-volkszaehler
%doc CHANGES.rst README.rst example.py
%doc --no-dereference LICENSE
%{python3_sitelibdir_noarch}/%{pypi_name}/
%{python3_sitelibdir_noarch}/%{pypi_name}*.egg-info

%changelog
