Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-setuptools
# END SourceDeps(oneline)
%define oldname python-walkdir
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global srcname walkdir

Name:           python-module-walkdir
Version:        0.4.1
Release:        alt2_17
Summary:        Python module to manipulate and filter os.walk() style iteration

License:        BSD
URL:            http://walkdir.readthedocs.org/
Source0:        https://files.pythonhosted.org/packages/source/w/%{srcname}/%{srcname}-%{version}.tar.gz

BuildArch:      noarch


BuildRequires:  python3-devel
BuildRequires:  python3-module-distribute
Source44: import.info

%description
walkdir is a simple set of iterator tools intended to
make it easy to manipulate and filter the output of os.walk()
in a way that is also easily applicable to any source iterator
that produces data in the same format


%package -n python3-module-walkdir
Group: Development/Other
Summary:  %{summary}
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-module-walkdir
walkdir is a simple set of iterator tools intended to
make it easy to manipulate and filter the output of os.walk()
in a way that is also easily applicable to any source iterator
that produces data in the same format


%prep
%setup -q -n %{srcname}-%{version}


%build
%python3_build


%install
%python3_install



%files -n python3-module-walkdir
%doc --no-dereference LICENSE.txt
%{python3_sitelibdir_noarch}/%{srcname}.py
%{python3_sitelibdir_noarch}/__pycache__/%{srcname}.cpython-*.*
%{python3_sitelibdir_noarch}/%{srcname}-%{version}-py%{__python3_version}.egg-info/


%changelog
