Group: Development/Python
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-setuptools
# END SourceDeps(oneline)
%define oldname python-wand
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global srcname wand
%global sum Ctypes-based simple MagickWand API binding for Python

Name:           python-module-wand
Version:        0.5.5
Release:        alt2_8
Summary:        %{sum}

License:        MIT
URL:            http://%{srcname}-py.org
Source0:        https://github.com/emcconville/%{srcname}/archive/%{version}.tar.gz#/%{oldname}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-module-distribute
Requires:       ImageMagick-tools

Patch0:         load-library.patch
Source44: import.info

%description
Wand is a ctypes-based simple ImageMagick binding for Python. It doesn't cover
all functionalities of MagickWand API currently.

%package     -n python3-module-wand
Group: Development/Python
Summary:        %{sum}
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-module-wand
Wand is a ctypes-based simple ImageMagick binding for Python. It doesn't cover
all functionalities of MagickWand API currently.


%prep
%setup -q -n %{srcname}-%{version}
%patch0 -p1


%build
%python3_build

%install
%python3_install

rm $RPM_BUILD_ROOT/usr/README.rst

%files -n python3-module-wand
%doc README.rst
%doc --no-dereference LICENSE
%{python3_sitelibdir_noarch}/*


%changelog
