Group: Engineering
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%define oldname python-xmlbuilder
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global srcname xmlbuilder

Name:           python-module-xmlbuilder
Version:        1.0
Release:        alt1_13
Summary:        A python XML/(x)HTML builder

License:        LGPLv3+
URL:            http://pypi.python.org/pypi/xmlbuilder
Source0:        http://pypi.python.org/packages/source/x/%{srcname}/%{srcname}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python-devel
BuildRequires:  python-module-pkg_resources python-module-setuptools
Source44: import.info

%description
XMLBuilder is a tiny library built on top of ElementTree.TreeBuilder to make
XML files creation more pythonomic. `XMLBuilder` uses the `with` statement and
attribute access to define the XML document structure.

%prep
%setup -q -n %{srcname}-%{version}
sed -i -e '/^#!\//, 1d' xmlbuilder/__init__.py

%build
%python_build

%install
%python_install

%files -n python-module-xmlbuilder
%doc PKG-INFO README.txt
%{python_sitelibdir_noarch}/%{srcname}/
%{python_sitelibdir_noarch}/%{srcname}*.egg-info

%changelog
