Group: Development/Python
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-setuptools
# END SourceDeps(oneline)
%define oldname python-yamlordereddictloader
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global srcname yamlordereddictloader
%global sum YAML loader for PyYAML that maintains key order

Name:		python-module-yamlordereddictloader
Version:	0.4.0
Release:	alt2_10
Summary:	%{sum}

License:	MIT
URL:		https://github.com/fmenabe/python-yamlordereddictloader
Source0:	https://files.pythonhosted.org/packages/source/y/%{srcname}/%{srcname}-%{version}.tar.gz

BuildRequires:	python3-devel
BuildRequires:	python3-module-yaml

BuildArch: noarch
Source44: import.info

%description
This is a loader for PyYAML that maintains the order of the keys
and values in a dictionary as they appear in the input file. This
can be useful for certain applications where named values should
also be maintained in a particular order

%package -n python3-module-yamlordereddictloader
Group: Development/Python
Summary:	%{sum}
Requires:	python3-module-yaml
%{?python_provide:%python_provide python%{python3_pkgversion}-%{srcname}}

%description -n python3-module-yamlordereddictloader
This is a loader for PyYAML that maintains the order of the keys
and values in a dictionary as they appear in the input file. This
can be useful for certain applications where named values should
also be maintained in a particular order

%prep
%setup -q -n %{srcname}-%{version}


%build
%python3_build


%install
%python3_install


%files -n python3-module-yamlordereddictloader
%doc README.rst
%doc --no-dereference LICENSE.txt
%{python3_sitelibdir_noarch}/%{srcname}.py*
%{python3_sitelibdir_noarch}/%{srcname}-%{version}-py%{__python3_version}.egg-info
%{python3_sitelibdir_noarch}/__pycache__/%{srcname}.cpython*py*


%changelog
