Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python3
BuildRequires: /usr/bin/2to3 python3-module-setuptools
# END SourceDeps(oneline)
%define oldname python-yourls
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define srcname yourls

Name:           python-module-yourls
Version:        0.2.0
Release:        alt2_25
Summary:        Simple Python client for the YOURLS URL shortener

License:        GPLv2+
URL:            http://tflink.github.com/python-yourls/
Source0:        https://github.com/downloads/tflink/python-yourls/%{oldname}-%{version}.tar.gz

BuildArch:      noarch

# Required for building the documentation
BuildRequires:  python3-module-sphinx python3-module-sphinx-sphinx-build-symlink
Source44: import.info

%description
python-yourls is a simple python based API client for the YOURLS URL shortener

%package -n python3-module-yourls
Group: Other
Summary:        Simple Python client for the YOURLS URL shortener

BuildRequires:  python3-devel
BuildRequires:  pytest pytest3 python3-module-pytest

%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-module-yourls
python-yourls is a simple python based API client for the YOURLS URL shortener

This is the Python 3 version of the module.

%prep
%setup -n %{oldname}-%{version} -q
# make the test run Python 3 pytest
sed -i "s/'py.test'/'py.test-3'/" setup.py

# the code base is python2 only
2to3 --write --nobackup .

%build
%python3_build

# Build the documentation
pushd doc
make SPHINXBUILD=sphinx-build-3 html
# Remove sphinx leftovers
rm -rf _build/html/.{doctrees,buildinfo}
popd

%install
%python3_install

%check
%{__python3} setup.py test

%files -n python3-module-yourls
%doc --no-dereference LICENSE
%doc README doc/_build/html/
%{python3_sitelibdir_noarch}/*

%changelog
