# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python rpm-build-python3
BuildRequires: python-devel python3-module-setuptools
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global short_name ordered-set
%global dir_name ordered_set

Name:           python-%{short_name}
Version:        2.0.0
Release:        alt1_6
Summary:        A Custom MutableSet that remembers its order
Group:          Development/Python
License:        MIT
URL:            https://github.com/LuminosoInsight/ordered-set
Source0:        https://pypi.python.org/packages/source/o/%{short_name}/%{short_name}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  pkgconfig(python2)
BuildRequires:  python-module-setuptools
BuildRequires:  python-module-nose
BuildRequires:  python3-devel
BuildRequires:  python3-module-nose
Source44: import.info

%description
An OrderedSet is a custom MutableSet that remembers its order, so that every
entry has an index that can be looked up.

%package -n python-module-ordered-set
Summary:        A Custom MutableSet that remembers its order
Group:          Development/Python
Provides:       python-%{short_name} = %{version}-%{release}

%description -n python-module-ordered-set
An OrderedSet is a custom MutableSet that remembers its order, so that every
entry has an index that can be looked up.

This package contains python2 bindings.


%package -n python3-module-ordered-set
Summary:        A Custom MutableSet that remembers its order
Group:          Development/Python

%description -n python3-module-ordered-set
An OrderedSet is a custom MutableSet that remembers its order, so that every
entry has an index that can be looked up.

This package contains python3 bindings.


%prep
%setup -qc
mv %{short_name}-%{version} python2

cp -a python2 python3


%build
pushd python2
%python_build
popd

pushd python3
%python3_build
popd

%install
pushd python2
%python_install
popd

pushd python3
%python3_install
popd


%files -n python-module-ordered-set
%doc python2/README
%{python_sitelibdir_noarch}/*

%files -n python3-module-ordered-set 
%doc python3/README
%{python3_sitelibdir_noarch}/%{dir_name}.py
%{python3_sitelibdir_noarch}/*egg-info/
%{python3_sitelibdir_noarch}/__pycache__/*




%changelog
