Group: Development/Python
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python3
# END SourceDeps(oneline)
%define oldname python-openid-teams
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           python3-module-openid-teams
Version:        1.1
Release:        alt1_22
Summary:        Teams extension for python-openid

License:        BSD
URL:            https://github.com/puiterwijk/python-openid-teams
Source:         https://github.com/puiterwijk/python-openid-teams/releases/download/v%{version}/python-openid-teams-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-module-distribute
BuildRequires:  python3-module-openid

%global _description\
Teams extension implementation for python-openid\

Source44: import.info


%description 
%_description

%prep
%setup -n %{oldname}-%{version} -q

%build
%{__python3} setup.py build


%install
%{__python3} setup.py install -O1 --skip-build --root %{buildroot}

 
%files -n python3-module-openid-teams
# TODO: Upstream error: no COPYING in latest release
#%doc COPYING
%{python3_sitelibdir_noarch}/openid_teams/
%{python3_sitelibdir_noarch}/python_openid_teams*/


%changelog
