Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-setuptools
# END SourceDeps(oneline)
%define oldname python-restsh
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global pypi_name restsh
%global commit          4eb9f05d03cb3ab4e99c636b40be420a2fbe5915
%global shortcommit     %(c=%{commit}; echo ${c:0:7})

Name:           python3-module-restsh
Version:        0.2
Release:        alt2_18
Summary:        A client for test and access to REST services

License:        BSD
URL:            https://github.com/jespino/restsh
Source0:        https://github.com/jespino/%{pypi_name}/archive/%{commit}/%{pypi_name}-%{version}-%{shortcommit}.tar.gz

BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-module-distribute
BuildRequires:  python3-module-versiontools
Source44: import.info


%description
RestSH is a shell for easy test and use REST services.

%prep
%setup -q -n %{pypi_name}-%{commit}
# this file shouldn't be executable => strip shebang
sed -i '1d' restshlib/restshlib.py

%build
%python3_build

%install
%python3_install
 
%files -n python3-module-restsh
%doc README.rst
%doc --no-dereference LICENSE
%{_bindir}/restsh
%{python3_sitelibdir_noarch}/%{pypi_name}lib
%{python3_sitelibdir_noarch}/%{pypi_name}-%{version}-py%{__python3_version}.egg-info

%changelog
