Group: Communications
# BEGIN SourceDeps(oneline):
BuildRequires: perl(LWP/UserAgent.pm)
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           qrq
Version:        0.3.1
Release:        alt2_19
Summary:        Morse telegraphy trainer

License:        GPLv2+
URL:            http://fkurz.net/ham/qrq.html
Source0:        http://fkurz.net/ham/qrq/qrq-%{version}.tar.gz
#Fix DESTDIR, Don't strip, preserve timestamps
Patch0:         qrq-0.2.1-makefile.patch

BuildRequires:  gcc
BuildRequires:  libncurses++-devel libncurses-devel libncursesw-devel libtic-devel libtinfo-devel, rpm-build-perl, libpulseaudio-devel
Source44: import.info
#Requires:       

%description
qrq is an open source morse telegraphy trainer for Linux and Unix operating
systems, similar to the classic DOS version of Rufz by DL4MM.

It's not intended for learning telegraphy, but to improve the ability to
copy callsigns at high speeds, as needed for example for Contesting. 

%prep
%setup -q
%patch0 -p1

%build
export CFLAGS="%{optflags}"
export LDFLAGS="-lpthread"
%make_build


%install
make install DESTDIR=%{buildroot}%{_prefix} OSX_BUNDLE=NO



%files
%doc ChangeLog COPYING README
%{_bindir}/qrq
%{_bindir}/qrqscore
%{_mandir}/man?/*
%{_datadir}/qrq

%changelog
