Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-cmake rpm-macros-fedora-compat
BuildRequires: gcc-c++
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
 
%undefine __cmake_in_source_build

Name:    qtweetlib
Summary: Qt-based Twitter library
Version: 0.5
Release: alt1_22
 
License: GPLv2+
Url:     https://github.com/minimoog/QTweetLib/
Source0: https://github.com/downloads/minimoog/QTweetLib/QTweetLib-%{version}.tar.gz

BuildRequires: ctest cmake
BuildRequires: pkgconfig(QJson) 
BuildRequires: pkgconfig(QtGui) pkgconfig(QtNetwork) 
Source44: import.info

%description
%{summary}.
 
%package devel
Group: Other
Summary: Development files for %{name}
Requires: %{name} = %{version}-%{release} 
%description devel
%{summary}
 
 
%prep
%setup -q -n QTweetLib-%{version}
 

%build
%{fedora_v2_cmake}

%fedora_v2_cmake_build


%install
%fedora_v2_cmake_install




%files 
%doc README LICENSE
%{_libdir}/libQTweetLib.so.1*
 
%files devel
%{_libdir}/libQTweetLib.so
%{_includedir}/QTweetLib/


%changelog
