Group: Graphics
# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/desktop-file-install
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           quearcode
Version:        0.2.6
Release:        alt2_4
Summary:        A tool for creating QR Codes

License:        GPLv3+
URL:            https://sourceforge.net/projects/quearcode/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Source1:        quearcode.desktop
BuildArch:      noarch
BuildRequires:  desktop-file-utils
Requires:       python3-module-qrcode python3-module-pygobject3 icon-theme-hicolor
Source44: import.info

%description
Convert strings and small files to QR Codes

%prep
%setup -q


%build


%install
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/quearcode
mkdir -p $RPM_BUILD_ROOT%{_datadir}/appdata

install -m 755 quearcode $RPM_BUILD_ROOT%{_bindir}/quearcode
install -m 644 logo.png $RPM_BUILD_ROOT%{_datadir}/quearcode/
install -m 644 quearcode.appdata.xml $RPM_BUILD_ROOT%{_datadir}/appdata/

mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/scalable/apps
install -p -m 644 logo.png \
  $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/scalable/apps/quearcode.png

desktop-file-install \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications %{SOURCE1}


%files
%doc COPYING README
%{_bindir}/quearcode
%{_datadir}/quearcode
%{_datadir}/applications/quearcode.desktop
%{_datadir}/icons/hicolor/scalable/apps/quearcode.png
%{_datadir}/appdata/quearcode.appdata.xml

%changelog
