# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/desktop-file-install gcc-c++ libX11-devel libXext-devel
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:		qxgedit
Version:	0.9.3
Release:	alt1_1
Summary:	Qt XG Editor
License:	GPLv2+
Group:		Sound
URL:		https://qxgedit.sourceforge.io/
Source0:	http://downloads.sourceforge.net/qxgedit/%{name}-%{version}.tar.gz

BuildRequires:	qt5-designer qt5-tools
BuildRequires:	desktop-file-utils
BuildRequires:	pkgconfig(alsa)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5X11Extras)
Source44: import.info

%description
QXGEdit is a Qt GUI for editing MIDI System Exclusive files
for XG devices (eg. Yamaha DB50XG).

%prep
%setup -q

%build
%configure \
	--enable-debug

%make_build

%install
%makeinstall_std

# menu
desktop-file-install \
	--remove-key="X-SuSE-translate" \
	--remove-key="Version" \
	--set-key=Exec --set-value="%{name}" \
	--dir %{buildroot}%{_datadir}/applications \
	%{buildroot}%{_datadir}/applications/%{name}.desktop

%files
%doc AUTHORS ChangeLog README TODO
%{_bindir}/%{name}
%{_qt5_plugindir}/styles/libskulpturestyle.so
%{_datadir}/applications/%{name}.desktop
%{_datadir}/metainfo/%{name}.appdata.xml
%{_iconsdir}/*/*/*/%{name}.png
%{_iconsdir}/*/*/*/%{name}.svg
%{_mandir}/man1/%{name}*.1*
%lang(fr) %{_mandir}/fr/man1/%{name}*.1*


%changelog
