Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           rawdog
# All is GPLv2+ except for rawdoglib/persister.py which is LGPLv2+
License:        GPLv2+ and LGPLv2+
Summary:        RSS Aggregator Without Delusions of Grandeur
Version:        2.20
Release:        alt1_11
URL:            http://offog.org/code/rawdog.html
Source:         http://offog.org/files/%{name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-module-pkg_resources python-module-setuptools
Requires:       python-module-feedparser
Source44: import.info

%description
rawdog is an RSS Aggregator Without Delusions Of Grandeur.
It is a "river of news"-style aggregator: it uses feedparser
to download feeds in RSS, Atom and a variety of other formats,
and (by default) produces static HTML pages containing the newest
articles in date order. 

%prep
%setup -q

%build
%python_build

%install
%python_install

%files
%{_bindir}/rawdog
%{_mandir}/man1/rawdog.*
%{python_sitelibdir_noarch}/*
%doc COPYING PLUGINS NEWS README config

%changelog
