Group: System/Base
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name: regionset
Version: 0.2
Release: alt2_16
Summary: Reads/sets the region code of DVD drives
URL: http://linvdr.org/projects/regionset/
Source: http://linvdr.org/download/regionset/%{name}-%{version}.tar.gz
License: GPLv2+

BuildRequires:  gcc
Source44: import.info
%description
regionset will show you the current region code of the drive, how often it
has been changed and how many changes are left. If there are any changes
left, it asks for the new region code.

%prep
%setup -q

%build
make CC="gcc $RPM_OPT_FLAGS" %{?_smp_mflags}

%install
install -d -m755 $RPM_BUILD_ROOT%{_sbindir}
install -p -m755 %{name} $RPM_BUILD_ROOT%{_sbindir}

%files
%doc debian/changelog COPYING README
%attr(755,root,root) %{_sbindir}/%{name}

%changelog
