# BEGIN SourceDeps(oneline):
BuildRequires: libmariadb-devel
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:       rftg
Version:    0.9.4
Release:    alt2_4

Summary:    Race for the Galaxy
License:    GPLv2+
Group:      Games/Strategy
Url:        http://keldon.net/rftg/
Source0:    http://keldon.net/rftg/%{name}-%{version}.tar.bz2

BuildRequires:	gtk-builder-convert gtk-demo libgtk+2-devel
Source44: import.info

%description
This is a project to create artificial intelligence opponent(s) for the
card game Race for the Galaxy. Currently, the base game and all three
expansions are supported.

%prep
%setup -q

%build
# fix build on aarch64
autoreconf -vfi

%configure \
    --bindir=%{_gamesbindir} \
    --datadir=%{_gamesdatadir}
%make_build

%install
%makeinstall_std

%files
%doc AUTHORS NEWS README ChangeLog COPYING
%{_gamesbindir}/*
%{_gamesdatadir}/*


%changelog
