# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python3
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Summary: Python libraries for the Spacewalk project
Name: rhnlib
Version: 2.9.5
Release: alt1_4
URL:     https://github.com/spacewalkproject/spacewalk
Source0: %{name}-%{version}.tar.gz
Group: Development/Python
License: GPLv2

BuildArch: noarch
Source44: import.info

%description
rhnlib is a collection of python modules used by the Spacewalk (http://spacewalk.redhat.com) software.

%package -n python3-module-rhnlib
Summary: Python libraries for the Spacewalk project
%{?python_provide:%python_provide python3-rhnlib}
Group: Development/Python
BuildRequires: python3-devel
Requires: python3-module-openssl
# Python 2 package is no longer provided
Obsoletes: python2-rhnlib < 2.9.5

%description -n python3-module-rhnlib
rhnlib is a collection of python modules used by the Spacewalk (http://spacewalk.redhat.com) software.

%prep
%setup -q

if [ ! -e setup.py ]; then
    sed -e 's/@VERSION@/%{version}/' -e 's/@NAME@/%{name}/' setup.py.in > setup.py
fi
if [ ! -e setup.cfg ]; then
    sed 's/@RELEASE@/%{release}/' setup.cfg.in > setup.cfg
fi


%build
make -f Makefile.rhnlib PYTHON=%{__python3}

%install
%python3_install


%files -n python3-module-rhnlib
%doc ChangeLog README TODO
%doc --no-dereference COPYING
%{python3_sitelibdir_noarch}/*



%changelog
