Group: Office
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:		rktime
Version:	0.6
Release:	alt2_19
Summary:	Multi-zone time display utility
License:	GPLv2
URL:		http://people.redhat.com/rkeech/#rktime
Source0:	http://people.redhat.com/rkeech/%{name}-%{version}.tgz
BuildArch:	noarch
Source44: import.info

%description
A command-line utility which displays the time
in multiple timezones in an easy-to-read way, using color
to help indicate which locations are currently in business
hours.

%prep
%setup -q

%build

%install

install -Dp -m0755 rktime $RPM_BUILD_ROOT%{_bindir}/rktime
install -Dp -m0644 rktime.1 $RPM_BUILD_ROOT%{_mandir}/man1/rktime.1
install -Dp -m0644 rktime.conf.5 $RPM_BUILD_ROOT%{_mandir}/man5/rktime.conf.5


%files
%doc %{_mandir}/man1/%{name}.1*
%doc %{_mandir}/man5/%{name}.conf.5*
%doc %{name}.conf.sample
%{_bindir}/%{name}

%changelog
