# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Summary:	Gather statistics from installed packages
Name:		rpmstats
Version:	0.6.1
Release:	alt1_20
Source0:	%{name}-%{version}.tar.bz2
Patch0:		rpm-4.6-adapt.patch
Patch1:		fix-bad-deref.patch
Patch2:		drop-old-rpm-support.patch
License:	GPL
Group:		System/Configuration/Packaging
Url:		http://svn.mandriva.com/cgi-bin/viewvc.cgi/soft/rpm/rpmstats
BuildRequires:	pkgconfig(rpm) >= 4.12.90
Source44: import.info

%description
rpmstats retrieves statistics about installed packages.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1


%build
%configure
%make

%install
%makeinstall

%files
%doc ChangeLog
%doc %{_mandir}/*/*
%{_bindir}/*
%dir %{_libexecdir}/%{name}
%{_libexecdir}/%{name}/%{name}


%changelog
