Group: Development/Tools
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           rsvndump
Version:        0.6
Release:        alt2_20
Summary:        Remote Subversion repository dumping tool

License:        GPLv3+
URL:            http://rsvndump.sourceforge.net
Source0:        http://downloads.sourceforge.net/rsvndump/rsvndump-%{version}.tar.bz2

# Fix the build with asciidoc 9
Patch0:         rsvndump-asciidoc-detection.patch

BuildRequires:  asciidoc asciidoc-a2x
# For patch0
BuildRequires:  autoconf automake
BuildRequires:  gcc
BuildRequires:  gettext gettext-tools
BuildRequires:  libsubversion-devel
BuildRequires:  xmlto
Source44: import.info

%description
rsvndump is a command line tool that is able to dump a subversion repository
that resides on a remote server. All data is dumped in the format that can be
read/written by svnadmin, so the data produced by rsvndump can easily be
imported into a new subversion repository.

%prep
%setup -q
%patch0 -p1


%build
# For patch0
autoreconf -fi
%configure --enable-man
%make_build

%install
%makeinstall_std

%find_lang %{name}

%files -f %{name}.lang
%doc --no-dereference COPYING
%doc AUTHORS ChangeLog THANKS
%{_bindir}/rsvndump
%{_mandir}/man1/rsvndump.1*

%changelog
