Group: Other
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:       safelease
Version:    1.0.1
Release:    alt2_5
Summary:    Legacy locking utility for VDSM

License:    GPLv2+
URL:        https://www.ovirt.org/develop/developer-guide/vdsm/safelease.html
Source0:    http://resources.ovirt.org/pub/src/%{name}/%{name}-%{version}.tar.gz
BuildRequires:  gcc
BuildRequires: autoconf
BuildRequires: automake
Source44: import.info

%description
Safelease is a legacy cluster lock utility used by VDSM. It is based on
the algorithm presented in the article "Light-Weight Leases for
Storage-Centric Coordination" by G Chockler and D Malkhi.

%prep
%setup -q -n %{name}-%{version}


%build
./autogen.sh --system

%configure
%make_build

%install
%makeinstall_std

%files
%doc AUTHORS README
%{!?_licensedir:%global license %%doc}
%doc --no-dereference COPYING
%dir %{_libexecdir}/%{name}
%{_libexecdir}/%{name}/%{name}

%changelog
