# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python3
BuildRequires: python3-devel python3-module-setuptools
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define aname sansimera_qt

Name:           sansimera-qt
Version:        0.8.1
Release:        alt1_2
Group:          Networking/News
Summary:        Greek namedays and events of the day back in the history
License:        GPLv3
URL:            https://github.com/dglent/sansimera-qt
Source0:        https://github.com/dglent/sansimera-qt/archive/v%{version}/%{name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-module-PyQt5
BuildRequires:  ImageMagick-tools

Requires:       python3-module-sip
Requires:       python3-module-Pillow
Requires:       python3-module-beautifulsoup4
Requires:       python3-module-urllib3
Requires:       python3-module-requests
Requires:       wget
Source44: import.info


%description
A Qt system tray application which shows the events back in the history
from the website www.sansimera.gr and the namedays from www.saint.gr
in Greek language.

%prep
%setup -q

%build
%python3_build

%install
%python3_install
mkdir -p %{buildroot}%{_iconsdir}/hicolor/{16x16,32x32}/apps
convert -scale 16x16 sansimera_qt/images/sansimera-qt.png %{buildroot}%{_iconsdir}/hicolor/16x16/apps/sansimera-qt.png
convert -scale 32x32 sansimera_qt/images/sansimera-qt.png %{buildroot}%{_iconsdir}/hicolor/32x32/apps/sansimera-qt.png

%files
%doc README.md LICENSE.md
%{_datadir}/%{aname}/images/
%{_bindir}/%{name}
%_niconsdir/%{name}.png
%{python3_sitelibdir_noarch}/*egg-info
%{python3_sitelibdir_noarch}/%{aname}/
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/sansimera-qt.png


%changelog
