Group: Development/Other
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:		sblim-indication_helper
Version:	0.5.0
Release:	alt2_6
Summary:	Toolkit for CMPI indication providers

License:	EPL-1.0
URL:		https://sourceforge.net/projects/sblim/
Source0:	http://downloads.sourceforge.net/sblim/%{name}-%{version}.tar.bz2
BuildRequires:	sblim-cmpi-devel 
BuildRequires:	gcc gcc-c++
Source44: import.info

%description
This package contains a developer library for helping out when writing
CMPI providers. This library polls the registered functions for data
and, if it changes, a CMPI indication is set with the values of the
indication class properties (also set by the developer).

%Package	devel
Group: Development/Other
Summary:	Toolkit for CMPI indication providers (Development Files)
Requires:	%{name} = %{version}-%{release}

%description devel
This package contain developer library for helping out when writing
CMPI providers. This library polls the registered functions for data
and if they change an CMPI indication is set with the values of the
indication class properties (also set by the developer).

This package holds the development files for sblim-indication_helper.

%prep
%setup -q

%build
%configure --disable-static --with-pic
%make_build

%install
%makeinstall_std
rm $RPM_BUILD_ROOT/%{_libdir}/libind_helper.la



%files
%doc --no-dereference COPYING
%doc README ChangeLog TODO
%{_libdir}/libind_helper.so.*

%files devel
%{_includedir}/sblim
%{_libdir}/libind_helper.so

%changelog
