# BEGIN SourceDeps(oneline):
BuildRequires: perl(Pod/Usage.pm)
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:		schema2ldif
Version:	1.3
Release:	alt1_3
Summary:	Tool to convert schema into ldif format

Group:		System/Servers
License:	BSD
URL:		https://www.fusiondirectory.org/projects/schema2ldif-project-and-components/
Source0:	http://repos.fusiondirectory.org/sources/schema2ldif/%{name}-%{version}.tar.gz
BuildArch:	noarch
Source44: import.info

%description
schema2ldif is a tool to convert files in ldap schema format to ldif.
It support various schema format and export clean an well format schema
in ldif format.

%prep
%setup -q

%build

%install

# Install the command line utility
install -d %{buildroot}%{_bindir}
install -p -m 0755 bin/%{name} %{buildroot}%{_bindir}/%{name}
install -p -m 0755 bin/ldap-schema-manager %{buildroot}%{_bindir}/ldap-schema-manager

#install the manpage
install -d %{buildroot}%{_mandir}/man1/
install -p -m 0644  man/%{name}.1 %{buildroot}%{_mandir}/man1/%{name}.1
install -p -m 0644  man/ldap-schema-manager.1 %{buildroot}%{_mandir}/man1/ldap-schema-manager.1

%files
%doc Changelog LICENSE
%{_bindir}/%{name}
%{_bindir}/ldap-schema-manager
%{_mandir}/man1/%{name}.1*
%{_mandir}/man1/ldap-schema-manager.1*


%changelog
