# BEGIN SourceDeps(oneline):
BuildRequires: perl-SDL25 unzip
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define name sdlvexed
%define version 0.6
%define release %mkrel 4

%define vexed_name vexed22

Summary:	Colorful puzzle
Name:		%{name}
Version:	%{version}
Release:	alt1_4
Source0:	%{name}-%{version}.tar.bz2
Source1:	http://downloads.sourceforge.net/vexed/%vexed_name.zip
Source2:	sdlvexed
Source3:	sdlvexed.desktop
Patch0:		%{name}-0.6-mga-new-perl-sdl.patch
License:	GPLv2+
Group:		Games/Puzzles
Url:		http://sdlvexed.segfault.pl/
BuildRequires:	ImageMagick-tools
BuildArch:	noarch
Requires:	perl(Alien/SDL.pm)
Source44: import.info

%description
SDL Vexed is a puzzle game written in Perl-SDL.  It is a clone of the
classic PalmOS game Vexed.  Some graphics and the level packs come from
the original game.

%prep
%setup -q
%patch0 -p1

%setup -q -T -D -a 1

%build

%install
mkdir -p %buildroot%_gamesdatadir/%name
cp -r gfx/ vexed %buildroot%_gamesdatadir/%name
cp -r %vexed_name/levels/ %buildroot%_gamesdatadir/%name/levelpacks

mkdir -p %buildroot%_gamesbindir
cp %SOURCE2 %buildroot%_gamesbindir

mkdir -p %buildroot%{_datadir}/applications
cp %SOURCE3 %buildroot%{_datadir}/applications

mkdir -p %buildroot{%_liconsdir,%_miconsdir,%_niconsdir}
convert -scale 48x48 gfx/block1.png %buildroot%_liconsdir/%name.png
convert -scale 32x32 gfx/block1.png %buildroot%_niconsdir/%name.png
convert -scale 16x16 gfx/block1.png %buildroot%_miconsdir/%name.png

%files
%doc CHANGELOG README
%_gamesbindir/%name
%_gamesdatadir/%name
%_datadir/applications/%name.desktop
%_liconsdir/%name.png
%_niconsdir/%name.png
%_miconsdir/%name.png




%changelog
