Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-setuptools
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           sendKindle
Version:        3
Release:        alt2_10
Summary:        CLI tool for sending files via email to your Amazon Kindle device
BuildArch:      noarch
License:        AGPLv3+
URL:            https://github.com/kparal/sendKindle
Source0:        https://github.com/kparal/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz

Requires:       python3-module-distribute

BuildRequires:  python3-devel
BuildRequires:  python3-module-distribute
Source44: import.info

%description
Send files as email attachments to your Amazon Kindle device. IMAP access
to your email account is required.

%prep
%setup -q
# Installation removed the executable bit, rpmlint then complains,
# let's remove the hashbang
# https://fedoraproject.org/wiki/Packaging_tricks#Remove_shebang_from_Python_libraries
sed '1{\@^#!/usr/bin/python3@d}' sendKindle.py > sendKindle.py.new
touch -r sendKindle.py{,.new}
mv sendKindle.py{.new,}

%build
%python3_build

%install
%python3_install

%files
%{_bindir}/sendKindle
%{python3_sitelibdir_noarch}/*
%doc README.rst
%doc --no-dereference LICENSE

%changelog
