Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-setuptools
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           setconf
Version:        0.7.7 
Release:        alt2_5
Summary:        Utility for changing settings in configuration text files 

License:        GPLv2
URL:            http://setconf.roboticoverlords.org/
Source0:        https://github.com/xyproto/%{name}/archive/%{version}/%{name}-%{version}.tar.gz

# Patch#:       setconf-version-description.patch
Patch0:         setconf-0.7.6-rm_sb.patch
Patch2:         setconf-0.7.7-add_man.patch

BuildRequires:  python3-devel
BuildRequires:  python3-module-distribute

BuildArch:      noarch
Source44: import.info

%description
Setconf is small utility that can be used for
changing settings in configuration text files. 

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1
%patch2 -p1


%build
%python3_build

%check
%{__python3} setconf.py --test
awk '/^..\/setconf.py/ { print "%{__python3} " $0; next } { print }' testcases/test.sh >testcases/py3_test.sh
chmod a+x testcases/py3_test.sh
cd testcases/ && ./py3_test.sh

%install
%python3_install

%files
%doc --no-dereference COPYING
%doc README.md
%{python3_sitelibdir_noarch}/%{name}-%{version}-py%{__python3_version}.egg-info/
%{python3_sitelibdir_noarch}/%{name}.py
%{python3_sitelibdir_noarch}/__pycache__/%{name}.*.pyc
%{_mandir}/man1/%{name}.1*
%{_bindir}/%{name}

%changelog
