# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:		simsu
Version:	1.3.9
Release:	alt1_2
Summary:	Basic Sudoku game
Group:		Games/Puzzles
License:	GPLv3+
URL:		http://gottcode.org/simsu
Source:		http://gottcode.org/simsu/%{name}-%{version}-src.tar.bz2

BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	qt5-designer qt5-tools
Source44: import.info

%description
A basic Sudoku game. You can switch between filling in notes
(pencil mode), or filling in answers (pen mode). To make it
easier to see where to place numbers, you can highlight all
instances of a number. You can also check your answers for
correctness while playing. The game stores your current notes
and answers, so that you can pick up where you left off the
next time you play.

%prep
%setup -q

%build
%qmake_qt5 PREFIX=%{_prefix}
%make_build

%install
%makeinstall_std INSTALL_ROOT=%{buildroot}

%files
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/metainfo/%{name}.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.xpm
%{_iconsdir}/hicolor/*/apps/%{name}.*
%{_mandir}/man6/%{name}.6*


%changelog
