Group: File tools
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:		since
Version:	1.1
Release:	alt2_22
Summary:	Stateful tail replacement

License:	GPLv3+
URL:		http://welz.org.za/projects/%{name}
Source0:	http://welz.org.za/projects/%{name}/%{name}-%{version}.tar.gz
%if 0%{?el5}
%endif

BuildRequires:  gcc
Source44: import.info
%description
Since is a Unix utility similar to tail. Unlike tail, since only shows
the lines appended since the last time. It is useful to monitor
growing log files.

%prep
%setup -q

%build
make CFLAGS='%{optflags} -DVERSION=\"%{version}\"' %{?_smp_mflags}

%install
%if 0%{?el5}
%endif
make install prefix=$RPM_BUILD_ROOT/%{_prefix} INSTALL='install -Dp'
chmod 644 $RPM_BUILD_ROOT/%{_mandir}/man1/%{name}.1

%files
%{_bindir}/%{name}
%doc COPYING README
%{_mandir}/man1/%{name}.1*

%changelog
