Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires: unzip
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           sjasm
Version:        0.39
Release:        alt2_0.29.g1
Summary:        A z80 cross assembler
License:        BSD
# Upstream no longer appears to exist
URL:            http://www.xl2s.tk
Source0:        %{name}39g1.zip
Patch0:         sjasm-0.39-fixmakefile.patch
Patch1:         sjasm-0.39-64bitfix.patch
BuildRequires:  gcc-c++
Source44: import.info


%description
SjASM is a two pass macro Z80 cross assembler


%prep
%setup -qcn %{name}-%{version}
%patch0 -p0
%patch1 -p0
sed -i 's/\r//' %{name}.txt

# Convert to UTF8
iconv -f iso8859-1 %{name}.txt -t utf8 > %{name}.txt.conv \
    && /bin/mv -f %{name}.txt.conv %{name}.txt


%build
make -C sjasmsrc039g1 %{?_smp_mflags} CXXFLAGS="%{optflags} -DMAX_PATH=MAXPATHLEN"


%install
make -C sjasmsrc039g1 install DESTDIR=%{buildroot}



%files
%{_bindir}/%{name}
%doc %{name}.txt


%changelog
