Group: Other
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name: smcalc
Summary: Matrix Calculator
URL: http://smcalc.sourceforge.net
Version: 1.0.1
Release: alt2_5
Source0: https://sourceforge.net/projects/smcalc/files/smcalc/%{name}-%{version}.tar.gz
License: MIT

BuildRequires: gcc-c++
Source44: import.info

%description
Simple matrix calculator with TUI able to
do basic matrix operations including fast
computing of determinant.

%prep
%setup -q -n %{name}-%{version}

sed -i s:/usr/local:%{buildroot}%_prefix:g src/Makefile
sed -i 's:-ansi:-ansi -g:g' src/Makefile

%build
cd src
%make_build

%install
cd src
%makeinstall_std

%files
%doc --no-dereference COPIYNG
%doc AUTHORS Changelog README
%{_bindir}/%{name}

%changelog
