# BEGIN SourceDeps(oneline):
BuildRequires: unzip
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define scummvmdir %{_datadir}/scummvm/

Name:           soltys-pl
Version:        1.0
Release:        alt1_3
Summary:        Soltys - Adventure Game
Group:          Games/Adventure
License:        Freeware
URL:            http://scummvm.org/games/#soltys
Source:		http://scummvm.org/frs/extras/Soltys/%{name}-v%{version}.zip

BuildArch:      noarch
Requires:       scummvm
Source44: import.info

%description
You play the head of the village of WA.chock and your aim is to find the missing
husband of your daughter (who apparently isn't very attractive if you know what
I mean). Scared of his future, Leon decides to run away from the wedding and you
are responsible for bringing this poor guy back.


%prep
%setup -q -c %{name}-%{version}
sed -i 's/\r//g' license.txt


%install
mkdir -p %{buildroot}/%{scummvmdir}/%{name}
install -p -m 644 vol.cat vol.dat %{buildroot}/%{scummvmdir}/%{name}

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{_vendor}-%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=Soltys (Polish)
Name[es]=Soltys (Polaco)
Name[fr]=Soltys (Polonais)
Name[pt]=Soltys (Polaco)
Comment=%summary
Exec=%_gamesbindir/scummvm -p%{scummvmdir}/%{name} soltys
Icon=%name
Terminal=false
Type=Application
StartupNotify=true
Categories=Game;AdventureGame;
EOF


%files
%doc *.txt
%{scummvmdir}/%{name}
%{_datadir}/applications/%{_vendor}-%{name}.desktop



%changelog
