Group: System/Base
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           spawn
Version:        0.1
Release:        alt2_23
Summary:        Simple tool to run several Linux command-lines in parallel

License:        GPLv3+
URL:            http://code.google.com/p/spawntool/
Source0:        http://spawntool.googlecode.com/files/%{name}-%{version}.tar.gz

BuildRequires:  gcc
Source44: import.info
%description
spawn is a simple parallel execution utility written to appeal to the Unix
mindset. spawn reads shell command lines from stdin, one per line, and then
executes them as maximum of N child processes in parallel, and waits for
all of the children to exit.
If a child process fails with a non-zero exit code, no new children are
spawned. Then spawn waits for all existing children to exit and returns
the failed exit code. 

%prep
%setup -q

%build
%configure
%make_build

%install
make install DESTDIR=%{buildroot} INSTALL="install -p"

%files
%doc AUTHORS COPYING README
%{_bindir}/%{name}

%changelog
