Group: File tools
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           spew
Version:        1.0.8
Release:        alt2_25
Summary:        I/O performance measurement and load generation tool

License:        GPLv2
URL:            http://spew.berlios.de/
Source0:        ftp://ftp.berlios.de/pub/%{name}/%{version}/%{name}-%{version}.tgz
Patch0:         spew-1.0.8-format-security.patch

BuildRequires:  gcc-c++
BuildRequires:  libpopt-devel
BuildRequires:  libncurses++-devel libncurses-devel libncursesw-devel libtic-devel libtinfo-devel
Source44: import.info

%description
Spew is used to measure I/O performance of character devices, block devices, 
and regular files. It can also be used to generate high I/O loads to stress 
systems while verifying data integrity. 

%prep
%setup -q
%patch0 -p1


%build
%configure 
%make_build

%install
%makeinstall_std INSTALL="install -p"

%files
%doc --no-dereference COPYING
%doc AUTHORS FAQ NEWS README TODO
%{_bindir}/gorge
%{_bindir}/spew
%{_bindir}/regorge
%config(noreplace) %{_sysconfdir}/%{name}.conf
%{_mandir}/man1/gorge.1*
%{_mandir}/man1/spew.1*
%{_mandir}/man1/regorge.1*

%changelog
