Group: System/Base
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           spill
Version:        0.8
Release:        alt2_23
Summary:        A segregated package install logical linker

License:        GPLv2
URL:            https://github.com/rc0/spill
Source0:        https://github.com/rc0/spill/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz

BuildRequires:  gcc
Source44: import.info

%description
spill is a program for creating set of symbolic links from one
directory hierarchy which point to corresponding file names in
a separate directory hierarchy. It's primary use is to allow
packages built from source to be installed in separate directory
trees, which are all linked together under a common directory
tree to reduce the length of the PATH environment variable.

%prep
%setup -q

%build
%configure
%make_build

%install
install -Dp -m 0755 %{name} %{buildroot}%{_sbindir}/%{name}
install -Dp -m 0644 %{name}.8 %{buildroot}%{_mandir}/man8/%{name}.8

%files
%doc NEWS
%doc --no-dereference COPYING
%{_mandir}/man*/%{name}*.*
%{_sbindir}/%{name}

%changelog
