Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%{!?__python2: %global __python2 %{__python}}
%{!?python2_sitelib: %global python2_sitelib %{python_sitelibdir_noarch}}
%{!?python2_sitearch: %global python2_sitearch %{python_sitelibdir}}

Name:		sqlcli
Version:	3
Release:	alt1_15
Summary:	A command-line SQL query utility

License:	GPLv3+
URL:		http://github.com/larsks/sqlcli/
Source0:	https://github.com/larsks/sqlcli/archive/%{name}-%{version}.tar.gz

BuildRequires:	python-devel
BuildRequires:	python-module-pkg_resources python-module-setuptools
Requires:	python
Requires:	python-module-prettytable
Requires:	python-module-SQLAlchemy

BuildArch:	noarch
Source44: import.info

%description
This is a tool that uses SQLAlchemy to execute SQL queries against a SQL
database specified via a URL or an INI-style file (such as those used by most
of the OpenStack services).


%prep
%setup -q -n %{name}-%{name}-%{version}


%build
%{__python} setup.py build


%install
> requirements.txt
%{__python} setup.py install --prefix=%{_prefix} --root=%{buildroot} -O1 --skip-build


%files
%doc README.md COPYING
%{_bindir}/sqlcli
%{python_sitelibdir_noarch}/sqlcli-%{version}-py*.egg-info
%{python_sitelibdir_noarch}/sqlcli


%changelog
