# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
BuildRequires: python-devel
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
Name:           sslstrip
Version:        0.9
Release:        alt1_14
Summary:        Tool that provides a demonstration of HTTPS stripping attacks

Group:          Networking/WWW
License:        GPLv3+
URL:            http://www.thoughtcrime.org/software/sslstrip/
Source0:        http://www.thoughtcrime.org/software/sslstrip/%{name}-%{version}.tar.gz
#Patch0:         sslstrip0.7-version_num.patch
#Patch1:         sslstrip0.7-version_num-setuppy.patch


BuildArch:      noarch

BuildRequires:  python >= 2.5

Requires:       python-module-twisted-conch python-module-twisted-conch-gui python-module-twisted-core python-module-twisted-core-gui python-module-twisted-core-gui-tk python-module-twisted-core-gui-wx python-module-twisted-core-test python-module-twisted-logger python-module-twisted-mail python-module-twisted-names python-module-twisted-news python-module-twisted-pair python-module-twisted-positioning python-module-twisted-runner python-module-twisted-web python-module-twisted-words
Source44: import.info

%description
Tool that provides a demonstration of HTTPS stripping attacks that were 
presented at Black Hat DC 2009 by Moxie Marlinspike. It will transparently 
hijack HTTP traffic on a network, watch for HTTPS links and redirects, then map 
those links into either look-alike HTTP links or homograph-similar HTTPS links.
It also supports modes for supplying a favicon which looks like a lock icon, 
selective logging, and session denial

%prep
%setup -q

# Patch out the incorrect version in both the setup.py and main source file
##fixed in 0.9 upstream release
#%patch0
#%patch1

# Make COPYING and README not executable
chmod -x COPYING
chmod -x README

%build
python setup.py build

%install
python setup.py install --root $RPM_BUILD_ROOT

# Remove duplicate doc files
rm $RPM_BUILD_ROOT/usr/share/%{name}/README
rm $RPM_BUILD_ROOT/usr/share/%{name}/COPYING



%files
%doc COPYING README
%dir %{python_sitelibdir_noarch}/%{name}
%{python_sitelibdir_noarch}/%{name}/*.py
%{python_sitelibdir_noarch}/%{name}/*.pyc
%{python_sitelibdir_noarch}/%{name}/*.pyo
%{python_sitelibdir_noarch}/*.egg-info
%{_datadir}/%{name}/*
%{_bindir}/%{name}

%changelog
