# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define dict_format_version	2.4.2

Summary:	Khasi -> German Freedict dictionary for StarDict 2
Name:		stardict-freedict-kha-deu
Version:	2.4.2
Release:	alt1_16
License:	GPL
Group:		Text tools
URL:		http://stardict.sourceforge.net/
BuildArch:	noarch

# http://freedict.sourceforge.net/download/linux/kha-deu.tar.gz
Source0:	http://deaddog.org/stardict/stardict-dictd_www.freedict.de_kha-deu-%{version}.tar.bz2

Provides:	stardict-dictionary = %{dict_format_version}
Requires:	stardict stardict-plugin-spell
Source44: import.info

%description
Khasi -> German Freedict dictionary in StarDict 2 format
(originally for dictd)

%prep
%setup -q -n stardict-dictd_www.freedict.de_kha-deu-%{version}

%build

%install
mkdir -p $RPM_BUILD_ROOT%{_datadir}/stardict/dic
install -m 0644 * $RPM_BUILD_ROOT%{_datadir}/stardict/dic

%files
%{_datadir}/stardict/dic/*






%changelog
