# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define dict_name	mueller24

Name:			stardict-%{dict_name}-eng-rus
Version:		2.4.2
Release:		alt1_6
Summary:		Mueller's English-Russian Dictionary, 24th edition
License:		GPLv2+
URL:			http://xdxf.revdanica.com
Group:			Text tools
Source0:		%{dict_name}.dict.dz
Source1:		%{dict_name}.idx
Source2:		%{dict_name}.ifo
BuildArch:		noarch
Requires:		stardict stardict-plugin-spell
Source44: import.info

%description
Mueller's English-Russian Dictionary, 24th edition, in stardict format

%prep
#nothing

%build
#nothing

%install
install -p -m644 -D %{SOURCE0} %{buildroot}%{_datadir}/stardict/dic/%{dict_name}.dict.dz
install -p -m644 -D %{SOURCE1} %{buildroot}%{_datadir}/stardict/dic/%{dict_name}.idx
install -p -m644 -D %{SOURCE2} %{buildroot}%{_datadir}/stardict/dic/%{dict_name}.ifo

%files
%{_datadir}/stardict/dic/%{dict_name}*



%changelog
