# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Summary:        Step Into Chinese is a Chinese language data-mining application
Name:           stepintochinese
Version:        0.8.1
Release:        alt1_4
Source0:        %{name}-%{version}.tar.gz
URL:            http://www.asymptopia.org/
License:        GPLv3
Group:          Games/Boards
BuildRequires:  ImageMagick-tools
Requires:       python-module-pygame
Requires:       python-module-wx3.0
BuildArch:      noarch
Source44: import.info
 
%description
Step Into Chinese is a Chinese language data-mining application, with over 26,000 
words/concepts and 8,300 characters

%prep
%setup -q


%build

%install
install -d -m 755 %{buildroot}%{_gamesdatadir}/%{name}
cp -pr Flashcards %{buildroot}%{_gamesdatadir}/%{name}
install -d -m 755 %{buildroot}%{_gamesdatadir}/%{name}/lib
cp -pr StepIntoChinese %{buildroot}%{_gamesdatadir}/%{name}/lib
cp .stepintochinese_config_master  %{buildroot}%{_gamesdatadir}/%{name}/lib

install -d -m 755 %{buildroot}%{_gamesbindir}
install -m 755 stepintochinese.py %{buildroot}%{_gamesbindir}/%{name}

mkdir -p %{buildroot}%{_liconsdir}
mkdir -p %{buildroot}%{_niconsdir}
mkdir -p %{buildroot}%{_miconsdir}
convert -resize 48x48 sic.ico %{buildroot}%{_liconsdir}/%{name}.png
convert -resize 32x32 sic.ico %{buildroot}%_niconsdir/%{name}.png
convert -resize 16x16 sic.ico %{buildroot}%{_miconsdir}/%{name}.png

mkdir -p %{buildroot}%{_datadir}/applications
install -m 644 %{name}.desktop %{buildroot}%{_datadir}/applications/ 
install -m 644 %{name}-admin.desktop %{buildroot}%{_datadir}/applications/ 

%files
%doc INSTALL LICENSE README CHANGES
%{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}
%{_datadir}/applications/%{name}*.desktop 
%_iconsdir/*/*/*/*



%changelog
