Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-setuptools
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global         srcname stomppy

Name:           stomppy
Version:        7.0.0
Release:        alt1_1
Summary:        Python stomp client for messaging

License:        ASL 2.0
URL:            https://github.com/kwoli/stomp.py
Source0:        https://files.pythonhosted.org/packages/source/s/stomp.py/stomp.py-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-module-distribute
Source44: import.info

%description
stomp.py is a Python client library for accessing messaging servers 
(such as ActiveMQ or JBoss Messaging) using the STOMP protocol. It can also
be run as a standalone, command-line client for testing.

%package -n python3-module-stomppy
Group: Other
Summary:        Python stomp client for messaging for python3
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-module-stomppy
stomp.py is a Python client library for accessing messaging servers 
(such as ActiveMQ or JBoss Messaging) using the STOMP protocol. It can also
be run as a standalone, command-line client for testing.

This module is for the python3.

%prep
%setup -q -n stomp.py-%{version}


%build
%python3_build

%install
%python3_install

%files -n python3-module-stomppy
%{python3_sitelibdir_noarch}/*
%{_bindir}/stomp
%doc --no-dereference LICENSE

%changelog
