Group: Other
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:		streameye
Version:	0.9
Release:	alt2_5
Summary:	Simple MJPEG streamer for Linux
License:	GPLv3
URL:		https://github.com/ccrisan/streameye
Source0:	https://github.com/ccrisan/streameye/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz

BuildRequires:  gcc
Source44: import.info
%description
Simple MJPEG streamer for Linux. It acts as an HTTP server and is capable
of serving multiple simultaneous clients.

It will feed the JPEGs read at input to all connected clients, in a MJPEG
stream. The JPEG frames at input may be delimited by a given separator.
In the absence of a separator, streamEye will auto-detect all JPEG frames.

%prep
%setup -qn %{name}-%{version}

%build
%make_build CFLAGS='%{optflags} -pthread -D_GNU_SOURCE' BINDIR=%{_bindir}

%install
mkdir -p %{buildroot}%{_bindir}
cp -p %{name} %{buildroot}%{_bindir}

%files
%doc --no-dereference LICENSE
%doc README.md
%{_bindir}/%{name}

%changelog
