Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-cmake rpm-macros-fedora-compat
BuildRequires: liblksctp-devel
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           subnetcalc
Version:        2.4.17
Release:        alt1_1
Summary:        IPv4/IPv6 Subnet Calculator
License:        GPLv3+
URL:            https://www.uni-due.de/~be0001/subnetcalc/
Source0:        https://www.uni-due.de/~be0001/subnetcalc/download/%{name}-%{version}.tar.xz

BuildRequires:  gcc gcc-c++
BuildRequires:  libGeoIP-devel
BuildRequires:  ctest cmake
Source44: import.info

%description
SubNetCalc is an IPv4/IPv6 subnet address calculator. For given IPv4 or IPv6 
address and netmask or prefix length, it calculates network address, broadcast
address, maximum number of hosts and host address range. Also, it prints the 
addresses in binary format for better understandability. Furthermore, it 
prints useful information on specific address types (e.g. type, scope, 
interface ID, etc.).

%prep
%setup -q

%build
%{fedora_v2_cmake}
%fedora_v2_cmake_build

%install
%fedora_v2_cmake_install

%files
%doc AUTHORS ChangeLog README
%doc --no-dereference COPYING
%{_bindir}/subnetcalc
%{_mandir}/man1/subnetcalc.1*

%changelog
