Group: Other
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           switcheroo-control
Version:        1.3.1
Release:        alt1_2
Summary:        D-Bus service to check the availability of dual-GPU

License:        GPLv3
URL:            https://github.com/hadess/switcheroo-control
Source0:        https://github.com/hadess/switcheroo-control/releases/download/%{version}/switcheroo-control-%{version}.tar.xz

BuildRequires:  gcc
BuildRequires:  pkgconfig(gudev-1.0)
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  gtk-doc gtk-doc-mkpdf
BuildRequires:  libsystemd-devel libudev-devel systemd systemd-analyze systemd-coredump systemd-networkd systemd-portable systemd-services systemd-stateless systemd-sysvinit systemd-utils

%{?systemd_requires}
Source44: import.info

%description
D-Bus service to check the availability of dual-GPU.

%package docs
Group: Other
Summary:        Documentation for %{name}
BuildArch:      noarch

%description docs

This package contains the documentation for %{name}.

%prep
%setup -q



%build
%configure
%make_build


%install
%makeinstall_std


%post
%post_service switcheroo-control

%preun
%preun_service switcheroo-control

%files
%doc --no-dereference COPYING
%doc NEWS README.md
%{_sysconfdir}/dbus-1/system.d/net.hadess.SwitcherooControl.conf
%{_unitdir}/switcheroo-control.service
%{_libexecdir}/switcheroo-control

%files docs
%dir %{_datadir}/gtk-doc/
%dir %{_datadir}/gtk-doc/html/
%{_datadir}/gtk-doc/html/%{name}/

%changelog
