Group: Text tools
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Summary: Tells the Hebrew date, Torah readings, and generates calendars
Summary(he): תוכנות להדפסת התאריך העברי, פרשות השבוע, ולוחות שנה.
Name: taarich
Version: 1.20051120
Release: alt2_31
URL: ftp://ftp.math.technion.ac.il/calendar/gauss/
Source0: gauss-%{version}.tar.gz
License: BSD

BuildRequires:  gcc
Source44: import.info
%description
Taarich displays the current Hebrew date (in English or in Hebrew).
When run with -h command line option, it prints the date in UTF8 Hebrew.
Luach renders a calendar of the current Gregorian month, with Hebrew dates.
Both use Gauss's algorithm to find the Gregorian date of Passover.

%description -l he
Taarich מציג את התאריך העברי הנוכחי (באנגלית או בעברית).
עם האופציה -h, מדפיס את התאריך בעברית בקידוד UTF8.
Luach מדפיס לוח-שנה של החודש הגרגוריאני הנוכחי, עם תאריכים עבריים.
שניהם משתמשים באלגוריתם גאוס למציאת התאריך הגרגוריאני של חג הפסח.

%prep
%setup -q -n gauss-%{version}

%build
make CFLAGS="$RPM_OPT_FLAGS"

%install
install -d -m755 %{buildroot}%{_bindir}
install -d -m755 %{buildroot}%{_mandir}/man1
install luach taarich %{buildroot}%{_bindir}
install -m644 {luach.man,taarich.man} %{buildroot}%{_mandir}/man1

%files
%doc gauss.txt reading.txt COPYING
%{_bindir}/taarich
%{_bindir}/luach
%{_mandir}/man1/*

%changelog
