Group: Other
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global revision 20210619
Name:           tack
Version:        1.09
Release:        alt2_8.%{revision}
Summary:        Terminfo action checker

License:        GPLv2+
URL:            https://invisible-island.net/ncurses/tack.html
Source0:        https://invisible-mirror.net/archives/ncurses/current/tack-%{version}-%{revision}.tgz

BuildRequires:  gcc libncurses++-devel libncurses-devel libncursesw-devel libtic-devel libtinfo-devel
Source44: import.info

%description
The tack program has three purposes: to help you build a new terminfo
entry describing an unknown terminal, to test the correctness of an
existing entry, and to develop the correct pad timings needed to ensure
that screen updates don't fall behind the incoming data stream.

%prep
%setup -q -n %{name}-%{version}-%{revision}

%build
%configure --with-ncurses
%make_build

%install
make install DESTDIR=$RPM_BUILD_ROOT

%files
%doc AUTHORS CHANGES COPYING HISTORY README
%{_bindir}/tack
%{_mandir}/man1/tack.1*

%changelog
