# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-mageia-compat
BuildRequires: gcc-c++
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define shortname taskd

Name:           taskserver
Version:        1.0.0
Release:        alt1_6
Summary:        Server for multi-user and multi-client access to taskwarrior data
Group:          Office
License:        MIT
URL:            http://taskwarrior.org
Source0:        http://taskwarrior.org/download/%{shortname}-%{version}.tar.gz
BuildRequires:  ccmake cmake ctest
BuildRequires:  pkgconfig(gnutls)
BuildRequires:  pkgconfig(uuid)
Source44: import.info


%description
Taskserver is a sync server for taskwarrior. It allows you to access and
maintain your taskwarrior tasks for multiple users from multiple clients.

%prep
%setup -q -n %{shortname}-%{version}

%build
%{mageia_cmake}

%install
#mkdir -p %{buildroot}%{_sysconfdir}/bash_completion.d
#install -m 644 -T scripts/bash/task.sh %{buildroot}%{_sysconfdir}/bash_completion.d/task
cd build
make install DESTDIR=%{buildroot}
mv %{buildroot}%{_defaultdocdir}/%{shortname} %{buildroot}%{_defaultdocdir}/%{name}
rm %{buildroot}%{_defaultdocdir}/%{name}/INSTALL

%files
%doc %{_defaultdocdir}/%{name}/
#%{_docdir}/%{name}/AUTHORS
#%{_docdir}/%{name}/ChangeLog
#%{_docdir}/%{name}/NEWS
#%{_docdir}/%{name}/README
%{_bindir}/%{shortname}
%{_bindir}/taskdctl
%{_mandir}/man1/%{shortname}.1*
%{_mandir}/man5/taskdrc.5*


%changelog
