Group: Engineering
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:		tcd-utils
Version:	20120115
Release:	alt2_18
Summary:	TCD (Tide Constituent Database) Utils

License:	Public Domain
URL:		http://www.flaterco.com/xtide/
Source0:	ftp://ftp.flaterco.com/xtide/tcd-utils-%{version}.tar.bz2

BuildRequires:  gcc
BuildRequires:	libtcd-devel
Source44: import.info

%description
TCD Utils includes:
* build_tide_db to convert harmonics.txt, offsets.xml, and NAVO
  formats to harmonics.tcd;
* restore_tide_db to generate harmonics.txt and offsets.xml from
  harmonics.tcd

%prep
%setup -q

%build
%configure
%make_build

%install
make DESTDIR=$RPM_BUILD_ROOT install
 

%files
%doc COPYING ChangeLog README
%{_bindir}/*

%changelog
