# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:		tcptunnel
Version:	0.7
Release:	alt1_9
Summary:    Tcptunnel is a simple TCP port forwarder
License:    GPL
Group:      Networking/Other
URL:        http://www.vakuumverpackt.de/tcptunnel/
Source:     http://www.vakuumverpackt.de/tcptunnel//%{name}-%{version}.tar.gz
Patch0:	    tcptunnel-paths.diff
Patch1:     tcptunnel-0.7-cflags.patch
Source44: import.info

%description
Tcptunnel is a simple TCP port forwarder. This tool listens to a local TCP port
and all the received data is sent to a remote host. It can be used to redirect
TCP based protocols like HTTP, IRC, NNTP, SSH or SMTP.

Tcptunnel was successfully compiled and tested under GNU/Linux, FreeBSD, HP-UX,
OpenBSD, Solaris, Windows 7, Windows Server 2008 and Windows XP. The current
version was tested under GNU/Linux and Windows 7. If you have compiled and run
it on another system or in another universe please let me know it.

%prep
%setup -q
%patch0 -p0
%patch1 -p1 -b .cflags
%build
%configure
%make_build

%install
%makeinstall DESTDIR=%{buildroot} STRIP=/bin/true

%files
%doc README.md COPYING ChangeLog
%{_bindir}/%{name}






%changelog
