Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-fedora-compat
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           tetrominos
Version:        1.0.1
Release:        alt2_8
Summary:        Simple CLI logical game
Summary(cs):    Jednoduchá terminálová logická hra

License:        MIT
URL:            https://github.com/sparkoo/NTetris
Source0:        https://github.com/sparkoo/NTetris/archive/%{version}.tar.gz

BuildRequires:  gcc-c++
BuildRequires:  libncurses++-devel libncurses-devel libncursesw-devel libtic-devel libtinfo-devel
Requires:       termutils
Source44: import.info

%description
Build tetromino blocks to fill full lines. Based on Ncurses lib for CLI gaming.

%description -l cs
Postavte tetromino bloky tak, aby zaplnily celé řádky.

%prep
%setup -q -n NTetris-%{version}

%build
make clean
export CFLAGS="%{optflags}"
export LDFLAGS="%{__global_ldflags} -Wl,--build-id=sha1"
%make_build PREFIX=%{_prefix}

%install
%makeinstall_std PREFIX=%{_prefix}
mv %{buildroot}%{_bindir}/ntetris %{buildroot}%{_bindir}/%{name}


%files
%doc README.md
%doc --no-dereference LICENSE
%{_bindir}/%{name}


%changelog
