Group: Office
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           timespan
Version:        2.2
Release:        alt2_20
Summary:        A tool that performs date-based time calculations

License:        GPLv2+
URL:            https://sourceforge.net/projects/timespan/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz

BuildRequires:  gcc-c++
Source44: import.info
%description
timespan performs date-based time calculations. It can calculate days,
hours, minutes, or seconds between 1 Jan 1970 and the specified date
or between two specified dates.

%prep
%setup -q

%build
%configure --disable-dependency-tracking
%make_build

%install
make install DESTDIR=%{buildroot} INSTALL="install -p"

%files
%doc AUTHORS ChangeLog COPYING
%{_bindir}/%{name}

%changelog
