Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires: dante libncurses-devel libtinfo-devel
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:          tnftp
Version:       20200705
Release:       alt1_1
Summary:       FTP (File Transfer Protocol) client from NetBSD

License:       BSD and ISC
# From the README:
# `tnftp' is a `port' of the NetBSD FTP client to other systems.
# See http://www.NetBSD.org/ for more details about NetBSD.
URL:           http://www.NetBSD.org/
Source0:       ftp://ftp.netbsd.org/pub/NetBSD/misc/%{name}/%{name}-%{version}.tar.gz
Source1:       %{name}-%{version}.tar.gz.asc

BuildRequires: libedit-devel
BuildRequires: libssl-devel
BuildRequires: autoconf
BuildRequires: automake
BuildRequires: libtool
Source44: import.info

%description
%{name} is the FTP (File Transfer Protocol) client from NetBSD.  FTP is a widely
used protocol for transferring files over the Internet and for archiving files.
%{name} provides some advanced features beyond the Linux netkit ftp client, but
maintains a similar user interface to the traditional ftp client.  It was
formerly called lukemftp.

%prep
%setup -q

%build
export CFLAGS="%{optflags}"
%configure --enable-editcomplete --without-local-libedit --enable-ipv6 --enable-ssl
%make_build

%install
make install DESTDIR=%{buildroot}

%files
%doc ChangeLog COPYING INSTALL NEWS README THANKS todo
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*

%changelog
