Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-setuptools
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global commit 219db73c723e4b197c2784718c86b29c782e4b95
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global project todo.py
%global owner okulbilisim
%global date 20151115

Name:           todocli
Version:        0.1
Release:        alt2_20.%{date}git%{shortcommit}
Summary:        Command line To Do application

License:        MIT
URL:            https://github.com/okulbilisim/todo.py
Source0:        https://github.com/%{owner}/%{project}/archive/%{commit}/%{project}-%{commit}.tar.gz
Source1:        todocli.1

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-module-distribute
Source44: import.info

%description
A To Do command line application with SQLite back end written in Python.

%prep
%setup -q -n %{project}-%{commit}
#Remove egg.info
rm -rf %{name}.egg.info

%build
%python3_build

%install
%python3_install

mkdir -p %{buildroot}/%{_mandir}/man1
install -p -m 0644 %{SOURCE1} %{buildroot}/%{_mandir}/man1/
 
%files
%doc README.md
%{!?_licensedir:%global license %%doc}
%doc --no-dereference LICENSE
%{_bindir}/*
%{_mandir}/man1/* 
%{python3_sitelibdir_noarch}/*

%changelog
