Group: System/Base
# BEGIN SourceDeps(oneline):
BuildRequires: libssl-devel
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:		tpm-quote-tools
Version:	1.0.4
Release:	alt2_7
Source0:	http://downloads.sourceforge.net/tpmquotetools/%{name}-%{version}.tar.gz

URL:		http://sf.net/projects/tpmquotetools

Summary:	TPM-based attestation using the TPM quote operation (tools)
License:	BSD

BuildRequires:	gcc, libtrousers-devel
Source44: import.info

%description
TPM Quote Tools is a collection of programs that provide support
for TPM based attestation using the TPM quote operation.

%prep
%setup -q

%build
%configure
%make_build

%install
make DESTDIR=%{buildroot} install

%files
%doc AUTHORS ChangeLog COPYING NEWS README
%{_bindir}/*
%{_mandir}/man8/*

%changelog
