# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}

Name:           transifex-client
Version:        0.10
Release:        alt1_10
Summary:        Command line tool for Transifex translation management

Group:          Development/Other
License:        GPLv2
URL:            http://transifex.org
Source:         http://pypi.python.org/packages/source/t/transifex-client/%{name}-%{version}.tar.gz
#Patch0:         transifex-client-0.9-use-system-wide-backports-ssl.patch
Patch1:         transifex-client-resource-creation.patch
BuildArch:      noarch

Requires:       python-module-setuptools
Requires:       python-module-backports.ssl_match_hostname 
BuildRequires:  python-devel
BuildRequires:  python-module-setuptools
Source44: import.info

%description
The Transifex Command-line Client is a command line tool that enables
you to easily manage your translations within a project without the
need of an elaborate UI system.

%prep
%setup -q
#%patch0 -p1
%patch1 -p1

%build
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
 
%files
%doc LICENSE README.rst
%{python_sitelibdir_noarch}/*
%{_bindir}/*

%changelog
