# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           transset-df
Version:        6
Release:        alt1_10
Summary:        Sets translucency properties
License:        MIT
Group:          System/X11

URL:            http://forchheimer.se/transset-df/
Source0:        http://forchheimer.se/transset-df/%{name}-%{version}.tar.gz
Patch0:         transset-df-6-cflags.patch

BuildRequires:  pkgconfig(xrender)
BuildRequires:  pkgconfig(xcomposite)
BuildRequires:  pkgconfig(xfixes)
BuildRequires:  pkgconfig(xdamage)
Source44: import.info

%description
This is a modified version of xorg's original transset. It allows
setting and unsetting window's transparency by pressing a key without
bringing up the crosshair.

%prep
%setup -q
%patch0 -p1


%build

%make_build

%install
install -D -p -m 755 %{name} %{buildroot}%{_bindir}/%{name}

%files
%doc README ChangeLog
%{_bindir}/%{name}



%changelog
