Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-setuptools
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%{?python_enable_dependency_generator}
%global module tscli
%global name transtats-cli
%global name_with_underscore transtats_cli
%global sum Transtats command line interface to query transtats server
%global project transtats

Name:           %{name}
Version:        0.4.0
Release:        alt2_4
Summary:        %{sum}
License:        ASL 2.0
URL:            https://github.com/%{project}/%{name}
Source0:        https://github.com/%{project}/%{name}/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz

BuildArch:      noarch
Source44: import.info

%description
Transtats command line interface to query transtats server.

%package -n python3-module-transtats-cli
Group: Other
BuildRequires: python3-devel
BuildRequires: python3-module-distribute
BuildRequires: python3-module-click
BuildRequires: python3-module-requests
BuildRequires: python3-module-mock
BuildRequires: python3-module-six
BuildRequires: python3-module-tabulate
Summary:        %{sum}
%{?python_provide:%python_provide python3-%{name}}

%description -n python3-module-transtats-cli
Transtats command line interface to query transtats server.


%prep
%setup -q -n %{name}-%{version}

rm -rf *.egg-info

%build
%python3_build

%install
%python3_install
rm -fr %{buildroot}%{python3_sitelibdir_noarch}/tests


%check
%{__python3} setup.py test

%files -n python3-module-transtats-cli
%doc README.md transtats.conf
%doc --no-dereference LICENSE
%{_bindir}/%{project}
%{python3_sitelibdir_noarch}/%{module}
%{python3_sitelibdir_noarch}/%{name_with_underscore}-%{version}-py%{__python3_version}.egg-info
%{_mandir}/man1/transtats.1*
%{_datadir}/bash-completion/completions/transtats.bash

%changelog
