Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:    trezor-common
Version: 2.3.6
Release: alt1_1
Summary: udev rules and protobuf messages for the hardware wallet Trezor

License:       LGPLv3+
URL:           https://github.com/trezor
Source0:       https://github.com/trezor/trezor-firmware/archive/refs/tags/core/v%{version}.tar.gz#/trezor-firmware-core-v%{version}.tar.gz
BuildArch:     noarch
BuildRequires: libsystemd-devel libudev-devel systemd systemd-analyze systemd-coredump systemd-homed systemd-networkd systemd-portable systemd-services systemd-stateless systemd-sysvinit systemd-utils
Conflicts:     python3-module-trezor <= 0.12.2-2
Source44: import.info

%description
Provides udev rules and protobuf messages for all the hardware wallets from
TREZOR.

%prep
%setup -q -n trezor-firmware-core-v%{version}



%build
#Nothing to build

%install
pushd common
install -Dpm 644 udev/51-trezor.rules %{buildroot}%{_udevrulesdir}/51-trezor.rules

for file in $(find ./protob -name \*.proto); do
  install -Dpm 644 $file %{buildroot}%{_datadir}/trezor/$file
done
popd

%files
%doc common/README.md
%doc --no-dereference common/COPYING
%{_udevrulesdir}/51-trezor.rules
%{_datadir}/trezor

%changelog
