Group: Networking/WWW
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           txt2rss
Version:        0.1
Release:        alt2_24
Summary:        Convert from txt to rss

License:        GPLv3
# Project hosting has been dropped and is no longer maintained
# URL:            http://code.google.com/p/%{name}/
Source0:        %{name}-01.tar.bz2
Source1:        txt2rss.1
Patch0:         txt2rss-license-block.patch
Patch1:         txt2rss-conf-path.patch
BuildArch:      noarch
Source44: import.info

%description
txt2rss is a shell script that parses a simple txt file (in a simple
format) and convert it to RSS feed file. Simple to use and intuitive,
you need to set up a config file with parameter like webmaster's name,
link of the site and others, after you just call the script with
options like <input file> and a <output file>.

%prep
%setup -q -c %{name}
%patch0 -p0 -b .license-block
%patch1 -p0 -b .conf-path

%build
# Empty build

%install

mkdir -p $RPM_BUILD_ROOT%{_bindir}
install -m 755 %{name} $RPM_BUILD_ROOT%{_bindir}/

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/%{name}
install -m 644 %{name}.conf $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/

mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_mandir}/man1/


%files
%doc news.txt feed.css
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*
%dir %{_sysconfdir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}/%{name}.conf


%changelog
