Group: Networking/WWW
# BEGIN SourceDeps(oneline):
BuildRequires: globus-common-devel
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global gittag Version_2_8

Name:           uberftp
Version:        2.8
Release:        alt2_17
Summary:        GridFTP-enabled ftp client

License:        NCSA
URL:            https://gridcf.org/
Source0:        https://github.com/gridcf/UberFTP/archive/%{gittag}/%{name}-%{version}.tar.gz
# https://github.com/JasonAlt/UberFTP/pull/6
Patch0:         uberftp-32bit-pkg-config.patch
# Current upstream is now archived but hopefully a new one will appear soon.
# https://mailman.egi.eu/pipermail/discuss/2019-March/000273.html
Patch1:         disconnected_server.patch

BuildRequires:  gcc
BuildRequires:  globus-gssapi-gsi-devel
Source44: import.info

%description
UberFTP is the first interactive, GridFTP-enabled ftp client.
It supports GSI authentication, parallel data channels and
third party transfers.

%prep
%setup -q -n UberFTP-%{gittag}
iconv -f iso8859-1 -t utf-8 copyright > copyright.conv && mv -f copyright.conv copyright
touch -r configure.ac x
%patch0 -p1
%patch1 -p1
touch -r x configure.ac

%build
%configure --with-globus=%{_usr}
%make_build

%install
make install DESTDIR=%{buildroot}

%files
%{_bindir}/uberftp
%{_mandir}/man1/uberftp.1*
%doc Changelog.mssftp Changelog
%doc --no-dereference copyright

%changelog
