Group: Other
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           undbx
Version:        0.21
Release:        alt2_15
Summary:        Outlook Express .dbx files extractor
License:        GPLv3+
URL:            https://github.com/ZungBang/undbx
Source0:        https://github.com/ZungBang/undbx/archive/undbx-%{version}.tar.gz

# https://github.com/ZungBang/undbx/pull/3
Patch0:         0001-Adjust-strncpy-call-to-not-use-string-length.patch

BuildRequires:  gcc
Source44: import.info

%description
UnDBX is a tool to extract, recover and undelete e-mail messages from 
Outlook Express .dbx file.

%prep
%setup -q
%patch0 -p1


%build
%configure
%make_build

%install
%makeinstall_std

%files
%doc README.rst
%doc --no-dereference COPYING
%{_bindir}/undbx
%exclude %{_bindir}/undbx.hta

%changelog
