Group: Development/Tools
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define stamp 20081006

Name:           uread
Version:        0
Release:        alt2_0.24.%{stamp}
Summary:        Utilities for unformatted fortran files

License:        GPL+
URL:            http://www.engineers.auckland.ac.nz/~snor007/software.html#uread
Source0:        uread-%{stamp}.tar.gz
# unversioned upstream source, downloaded with wget -N
# renamed to uread-YYYYMMDD.tar.gz
#Source0:        http://www.engineers.auckland.ac.nz/~snor007/src/uread.tar.gz

# this is a mail exchange where the author gives the right to redistribute 
# his work under the GPL
Source1:        uread-licence.email
#Patch0:         uread-include_stdlib.diff

#BuildRequires:  
#Requires:       


BuildRequires:  gcc
Source44: import.info
%description
These utilities enable you to have a look at a Fortran unformatted file to 
see the size of the data records, and to swap its endianess from big to 
little, or vis versa.

%prep
%setup -q -n uread
#%patch0 -p1

cp -p %{SOURCE1} .

%build
export CFLAGS="$RPM_OPT_FLAGS"
%make_build


%install
install -d -m755 $RPM_BUILD_ROOT%{_mandir}/man1/
install -d -m755 $RPM_BUILD_ROOT%{_bindir}/
install -p -m644 *.1 $RPM_BUILD_ROOT%{_mandir}/man1/
install -m0755 uread ustrip uswap $RPM_BUILD_ROOT%{_bindir}/



%files
%doc uread-licence.email
%{_bindir}/uread
%{_bindir}/ustrip
%{_bindir}/uswap
%{_mandir}/man1/u*.1*

%changelog
