# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-mageia-compat
BuildRequires: /usr/bin/ccache gcc-c++ libcxxabi-devel libqt4-devel
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
# This is a devel package:
%define debug_package	%{nil}

Name:		vc
Version:	1.4.1
Release:	alt1_2
Summary:	Ease explicit vectorization of C++ code
License:	BSD
Group:		Development/C++
Url:		https://github.com/VcDevel/Vc
Source0:	https://github.com/VcDevel/Vc/releases/download/%{version}/Vc-%{version}.tar.gz
Patch1:		vc-1.4.1-libstdc++-11.patch

BuildRequires:	cmake
Source44: import.info

%description
Vc is a free software library to ease explicit vectorization of C++ code.
It has an intuitive API and provides portability between different
compilers and compiler versions as well as portability between different
vector instruction sets.

%prep
%setup -qn Vc-%{version}
%patch1 -p1


%build
%{mageia_cmake} -DBUILD_TESTING=OFF
%mageia_cmake_build

%install
%mageia_cmake_install

%files
%{_includedir}/Vc/
%{_libdir}/libVc.a
%{_libdir}/cmake/Vc/


%changelog
