Group: Other
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global commit 1a105a181a46d635820aa12cfd77a7c45dadf118
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:           vcsh
Version:        1.20190621
Release:        alt1_1
Summary:        Version Control System for $HOME

License:        GPLv2+
URL:            https://github.com/RichiH/%{name}
Source0:        https://github.com/RichiH/%{name}/archive/%{commit}/%{name}-%{version}-%{shortcommit}.tar.gz

BuildArch:      noarch
Requires:       git

BuildRequires:  git
BuildRequires:  ronn
Source44: import.info


%description
vcsh allows you to have several git repositories, all maintaining their working
trees in $HOME without clobbering each other. That, in turn, means you can have
one repository per config set (zsh, vim, ssh, etc), picking and choosing which
configs you want to use on which machine.


%prep
%setup -qn %{name}-%{commit}


%build
%make_build


%install
%{makeinstall_std} DOCDIR=%{_docdir}/%{name} ZSHDIR=%{_datadir}/zsh/site-functions


%files
%doc LICENSE CONTRIBUTORS changelog
%{_bindir}/%{name}
%{_mandir}/man*/%{name}*
%{_docdir}/*
%{_datadir}/zsh/


%changelog
