Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-setuptools
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           vex
Version:        0.0.19
Release:        alt2_9
Summary:        Run commands in a virtualenv

License:        MIT
URL:            http://github.com/sashahart/%{name}
Source0:        https://github.com/sashahart/%{name}/archive/%{version}.tar.gz
BuildArch:      noarch

Requires:       python3-module-virtualenv
Requires:       python3-module-distribute

BuildRequires:  python3-module-distribute
BuildRequires:  python3-devel
BuildRequires:  pytest pytest3 python3-module-pytest
BuildRequires:  python3-module-mock
Source44: import.info

%description
Vex is an alternative to virtualenv's 'source wherever/bin/activate'
and `deactivate`, and virtualenvwrapper's `workon`, and also
virtualenv-burrito if you use that.
It works in a more elegant way, though it does less. You might find it
nicer to use. And it works with non-bash shells.

%prep
%setup -q -n %{name}-%{version}

# Remove bundled egg-info
rm -rf %{name}.egg-info
# Remove useless files (merge info)
rm -rf %{name}/shell_configs/zsh.orig
rm -rf %{name}/shell_configs/fish.orig

%build
%python3_build

%install
%python3_install

%check
%{__python3} -m pytest %{name}/tests/

%files
%doc README.rst
%doc --no-dereference LICENSE
%{_bindir}/%{name}
%{python3_sitelibdir_noarch}/%{name}
%{python3_sitelibdir_noarch}/%{name}-%{version}-py%{__python3_version}.egg-info

%changelog
