Group: Editors
# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/desktop-file-install /usr/bin/ispell gcc-c++ libXmu-devel perl(Carp.pm) perl(DB_File.pm) perl(English.pm) perl(Exporter.pm) perl(Fcntl.pm) perl(FileHandle.pm) perl(HTML/Toc.pm) perl(HTML/TocGenerator.pm) perl(I18N/Langinfo.pm) perl(IO/File.pm) perl(IO/Pty.pm) perl(IO/Socket.pm) perl(Net/Dict.pm) perl(POSIX.pm) perl(Pod/Text.pm) perl(Socket.pm) xorg-proto-devel
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:		vile
Version:	9.8u
Release:	alt2_3
Summary:	VI Like Emacs
License:	GPLv2
URL:		http://invisible-island.net/vile/
Source0:	https://invisible-mirror.net/archives/vile/current/%{name}-%{version}.tgz
Source1:	xvile.desktop
BuildRequires:	libncurses++-devel libncurses-devel libncursesw-devel libtic-devel libtinfo-devel
BuildRequires:	flex
BuildRequires:	gcc
BuildRequires:	desktop-file-utils
Requires:	%{name}-common = %{version}-%{release}
Source44: import.info

%package	common
Group: Editors
Summary:	The common files needed by any version of the vile editor

%package -n	xvile
Group: Editors
Summary:	VI Like Emacs
BuildRequires:	libXpm libXpm-devel
BuildRequires:	libXt-devel
BuildRequires:	rpm-build-perl
Requires:	fonts-bitmap-misc
Requires:	%{name}-common = %{version}-%{release}


%description	common
vile is a text editor which is extremely compatible with vi in terms of "finger
feel".  In addition, it has extended capabilities in many areas, notably
multi-file editing and viewing, syntax highlighting, and key rebinding.
vile-common provides the files needed for all versions of vile.

%description -n xvile
xvile is a text editor which is extremely compatible with vi in terms of "finger
feel".  In addition, it has extended capabilities in many areas, notably
multi-file editing and viewing, syntax highlighting, and key rebinding.

%description
vile is a text editor which is extremely compatible with vi in terms of "finger
feel".  In addition, it has extended capabilities in many areas, notably
multi-file editing and viewing, syntax highlighting, and key rebinding.

%prep
%setup -q

%build
%configure --with-loadable-filters \
           --disable-rpath-hack \
           --disable-stripping

%make_build vile

%configure --with-loadable-filters \
           --disable-rpath-hack \
           --disable-stripping \
           --with-app-defaults=%{_x11appconfdir} \
           --with-screen=x11 \
	   --with-icon-theme \
           --with-icondir=%{_datadir}/icons/ \
	   --with-pixmapdir=%{_datadir}/pixmaps/ \
           --with-xpm

%make_build xvile
touch vile

%install
make install DESTDIR=%{buildroot} INSTALL='install -p' TARGET='xvile'
make install DESTDIR=%{buildroot} INSTALL='install -p' TARGET='vile'
desktop-file-install --vendor='' --dir=%{buildroot}%{_datadir}/applications %{SOURCE1}

ln -s %{_mandir}/man1/xvile.1 %{buildroot}%{_mandir}/man1/uxvile.1
ln -s %{_mandir}/man1/xvile.1 %{buildroot}%{_mandir}/man1/lxvile.1

%files
%{_bindir}/vile
%{_bindir}/vile-pager
%{_bindir}/vile-libdir-path
%{_bindir}/vile-to-html
%{_mandir}/man1/vile*.1*

%files common
%doc AUTHORS COPYING CHANGES README doc/*doc
%{_datadir}/vile/
%{_libdir}/vile/

%files -n xvile
%{_bindir}/lxvile
%{_bindir}/lxvile-fonts
%{_bindir}/uxvile
%{_bindir}/xshell.sh
%{_bindir}/xvile
%{_bindir}/xvile-pager
%{_bindir}/xvile-libdir-path
%{_bindir}/xvile-to-html
%{_mandir}/man1/xvile*.1*
%{_mandir}/man1/lxvile.1*
%{_mandir}/man1/uxvile.1*
%{_datadir}/pixmaps/vile.xpm
%{_datadir}/icons/hicolor/*/apps/vile.*
%{_x11appconfdir}/XVile
%{_x11appconfdir}/UXVile
%{_datadir}/applications/xvile.desktop


%changelog
