Group: Other
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global         gituser         jeroennijhof
%global         gitname         vncpwd
%global         commit          596854c237e26b3f615d933e8abd040f1ed9b5c9
%global         commitdate      20170607
%global         shortcommit     %(c=%{commit}; echo ${c:0:7})

Name:           vncpwd
Version:        0.0
Release:        alt2_9.%{commitdate}git%{shortcommit}
Summary:        VNC Password Decrypter

License:        GPLv3
URL:            https://github.com/jeroennijhof/vncpwd

Source0:        https://github.com/%{gituser}/%{gitname}/archive/%{commit}/%{name}-%{version}-%{shortcommit}.tar.gz
# https://github.com/jeroennijhof/vncpwd/issues/4
Patch0:         %{name}-make.patch
# https://github.com/jeroennijhof/vncpwd/issues/6
Patch1:         %{name}-unsigned.patch

BuildRequires:  gcc
Source44: import.info

%description
The vncpwd decrypts the VNC password.

%prep
%setup -q -n %{name}-%{commit}
%patch0 -p 1 -b .make
%patch1 -p 1 -b .unsigned



%build
%make_build CFLAGS="%{optflags}"



%install
make install DESTDIR="%{buildroot}"



%files
%doc README
%doc --no-dereference LICENSE
%{_bindir}/%{name}

%changelog
