Group: Other
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:          vrms-rpm
Version:       2.2
Release:       alt2_4
Summary:       Report non-free software
License:       GPLv3

BuildRequires: gcc
BuildRequires: gettext-tools libasprintf-devel

%global githubowner suve
%global gittag0 release-%{version}
URL:           https://github.com/%{githubowner}/%{name}
Source0:       %{url}/archive/%{gittag0}/%{name}-%{gittag0}.tar.gz
Source44: import.info


%description
vrms-rpm ("virtual Richard M. Stallman") reports non-free packages
installed on the system.

%prep
%setup -q -n %{name}-%{gittag0}


%build

make build PREFIX=%{_prefix} DEFAULT_LICENCE_LIST=tweaked %{?_smp_mflags}

%install
%makeinstall_std PREFIX=%{_prefix}
%find_lang %{name} --with-man

%files -f %{name}.lang
%{_bindir}/%{name}
%{_mandir}/man1/%{name}*
%{_datadir}/suve/
%{_datadir}/bash-completion/completions/%{name}
%doc --no-dereference LICENCE.txt

%changelog
