Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/desktop-file-install pkgconfig(gthread-2.0) pkgconfig(libpulse-simple)
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Summary:	Tool for splitting .wav files
Name:		wavbreaker
Version: 	0.10
Release: 	alt2_25
License: 	GPLv2+
URL: 		http://wavbreaker.sourceforge.net
Source: 	http://downloads.sourceforge.net/wavbreaker/%{name}-%{version}.tar.gz
Patch:		wavbreaker-0.8-desktop-file.patch
Patch1:		wavbreaker-0.10-format-security.patch
BuildRequires:  gcc
BuildRequires:	gtk-builder-convert gtk-demo libgail-devel libgtk+2-devel, libxml2-devel, desktop-file-utils, libalsa-devel
BuildRequires:	gettext gettext-tools
Requires(post):	desktop-file-utils
Requires(postun): desktop-file-utils
Source44: import.info

%description
This application's purpose in life is to take a wave file and break it 
up into multiple wave files. It makes a clean break at the correct 
position to burn the files to an audio cd without any dead air between 
the tracks. It will only read wave files, so use an appropriate tool to 
convert ogg, mp3, etc. files and then break them up.

%prep
%setup -q
%patch -p1
%patch1 -p1

%build
%configure
%make_build

%install
make DESTDIR=%{buildroot} install INSTALL="install -p"
%find_lang %{name}

desktop-file-install               \
        --dir %{buildroot}%{_datadir}/applications  \
        --add-category X-OutputGeneration           \
        --delete-original                           \
        %{buildroot}%{_datadir}/applications/wavbreaker.desktop

%files -f %{name}.lang
%{_bindir}/wav*
%{_datadir}/applications/wavbreaker.desktop
%{_datadir}/icons/hicolor/*/apps/*
%{_datadir}/pixmaps/wavbreaker.png
%{_mandir}/man*/wav*
%doc ChangeLog CONTRIBUTORS NEWS AUTHORS COPYING README TODO

%changelog
