Group: System/Base
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:		whereami
Version:	1.0
Release:	alt2_21
Summary:	Displays work location

License:	GPLv3+
URL:		http://pjp.dgplug.org/tools
Source0:	http://pjp.dgplug.org/tools/%{name}-%{version}.tar.gz


BuildRequires:  gcc
Source44: import.info
%description
Whereami displays information about the machine(location) you are working on.
Information like terminal name, present working directory, host name, and the
host IP address. This is extremely useful for those who tend to work remotely
on several machines at the same time.

%prep
%setup -q


%build
%configure --disable-static
%make_build


%install
make install DESTDIR=$RPM_BUILD_ROOT

cd $RPM_BUILD_ROOT%{_bindir} && (ln -s %{name} wmi||:) && cd -
cd $RPM_BUILD_ROOT%{_mandir}/man1 && (ln -s whereami.1.gz wmi.1.gz||:) && cd -



%files
%doc README COPYING
%{_bindir}/wmi
%{_bindir}/whereami
%{_mandir}/man1/*



%changelog
