# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++ perl(Config/Simple.pm) perl(Convert/ASN1.pm) perl(Data/Dumper.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(FileHandle.pm) perl(FindBin.pm) perl(GSSAPI.pm) perl(IO/Socket.pm) perl(Net/DNS.pm) perl(Net/LDAP.pm) perl(Net/LDAP/Constant.pm) perl(Net/LDAP/Control.pm) perl(Net/LDAP/LDIF.pm) perl(Net/LDAPS.pm) perl(Sys/Syslog.pm) perl(Test/More.pm) perl(Time/Local.pm) perl(getopts.pl) perl-devel swig
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Summary:    Remote WindowsA.-command executor
Name:       winexe
Version:    1.00
Release:    alt1_6
License:    GPL3
Group:      Networking/Other
Source:     %{name}-%{version}.tar.gz
Patch0:     heimdal-make-proto.patch
Patch1:     pidl.patch
Patch2:     gnutls.patch
BuildRequires: automake
BuildRequires: patch
BuildRequires: pkgconfig(python)
BuildRequires: agetty cfdisk fdisk getopt hwclock look losetup lsblk mount rfkill schedutils setarch sfdisk util-linux
BuildRequires: which

Requires:      samba-client
Source44: import.info

%description
Remote WindowsA.-command executor

%prep
%setup -q

%patch0 -p0
%patch1 -p1
%patch2 -p1

# fix build on aarch64
for d in $(find . -name "config.sub"); do
  cp -af /usr/share/gnu-config/config.{guess,sub} $(dirname $d)
done

%build
cd source4
./autogen.sh
%configure --enable-fhs
%make "CPP=gcc -E -ffreestanding" basics idl bin/winexe

%install
install -d %{buildroot}%_bindir
install source4/bin/winexe %{buildroot}%_bindir

%files
%attr(755,root,root) %_bindir/winexe




%changelog
