Group: Development/Tools
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           wipe
Version:        0.21
Release:        alt2_23
Summary:        Secure file erasing tool

License:        GPL+
URL:            http://abaababa.ouvaton.org/wipe/
Source0:        http://abaababa.ouvaton.org/wipe/wipe-%{version}.tar.gz

BuildRequires:  gcc
Source44: import.info
%description
Wipe is a little command for securely erasing files from magnetic media. 

%prep
%setup -q

%build
chmod +x trtur
export CFLAGS=$RPM_OPT_FLAGS
%make_build linux
iconv -f ISO8859-9 -t UTF8 <README > README.utf8
mv README.utf8 README
iconv -f ISO8859-9 -t UTF8 <wipe.tr.1 > wipe.tr.1.utf8
mv wipe.tr.1.utf8 wipe.tr.1
chmod a-x examples/wipefd0 examples/wswap.pl


%install
# There is no make install.
# So, we do the install ourselves due to so few files to install.
mkdir -p $RPM_BUILD_ROOT/{%{_bindir},%{_mandir}/man1,%{_mandir}/tr/man1}
install -p wipe $RPM_BUILD_ROOT/%{_bindir}
install -p -m644 wipe.1 $RPM_BUILD_ROOT/%{_mandir}/man1
mv wipe.tr.1 wipe.1 && \
  install -p -m644 wipe.1 $RPM_BUILD_ROOT/%{_mandir}/tr/man1/

%files
%doc BUGS CHANGES GPL README examples/wipefd0 examples/wswap.pl
%{_bindir}/wipe
%{_mandir}/man1/wipe.1*
%{_mandir}/tr/man1/wipe.1*

%changelog
