Group: Other
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:          wpan-tools
Version:       0.9
Release:       alt2_6
Summary:       Userspace tools for the Linux IEEE 802.15.4 stack
License:       ISC
URL:           https://github.com/linux-wpan/

Source0:       https://github.com/linux-wpan/wpan-tools/releases/download/%{name}-%{version}/%{name}-%{version}.tar.xz

BuildRequires: gcc
BuildRequires: libnl-devel
Source44: import.info

%description
Userspace tools for the Linux IEEE 802.15.4 stack.

%prep
%setup -q


%build
%configure --disable-static

%make_build

%install
%makeinstall_std

%check
make %{?_smp_mflags} check

%files
%doc --no-dereference COPYING
%doc wpan-ping/README.wpan-ping
%{_bindir}/iwpan
%{_bindir}/wpan-ping
%{_bindir}/wpan-hwsim

%changelog
