Group: Communications
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           wxapt
Version:        1.7.1
Release:        alt2_5
Summary:        Console application for decoding and saving weather images

License:        GPLv2+
URL:            http://www.5b4az.org/
Source0:        http://www.5b4az.org/pkg/apt/wxapt/%{name}-%{version}.tar.bz2

BuildRequires:  gcc
BuildRequires:  autoconf automake libtool gettext gettext-tools
BuildRequires:  libalsa-devel
BuildRequires:  libncurses++-devel libncurses-devel libncursesw-devel libtic-devel libtinfo-devel
BuildRequires:  rtl-sdr-devel
Source44: import.info

%description
wxapt is a console application for decoding and saving weather images
transmitted in the APT format of NOAA and METEOR satellites.

%prep
%setup -q

autoreconf -fiv


%build
%configure
%make_build


%install
#skip make install and do manual install, it's just one file
mkdir -p %{buildroot}%{_bindir}
install -pm 0755 src/%{name} %{buildroot}%{_bindir}/


%files
%doc AUTHORS NEWS README doc/*.html
%doc --no-dereference COPYING LICENSE
%{_bindir}/%{name}


%changelog
