# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/desktop-file-install gcc-c++
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define uname	wxHexEditor

Name:		wxhexeditor
Version:	0.24
Summary:	A hex editor that supports files up to 2^64 bytes
Release:	alt3_8
Group:		Editors
License:	GPLv2
Url:		http://www.wxhexeditor.org/
Source0:	https://github.com/EUA/%{uname}/archive/v%{version}/%{uname}-%{version}.tar.gz
Patch0:		wxhexeditor-0.24-mga-fix_arm_build2.patch
Patch1:		0001-Fix-build-with-wxgtk-3.1.2.patch
BuildRequires:	libwxBase3.1-devel libwxGTK3.1-devel
BuildRequires:	libgomp-devel
BuildRequires:	rpm-build-python3 python3-devel
Source44: import.info

%description
A hex editor that supports files up to 2^64 bytes

 Features
 Ability to work with files up to 2EB (ExaByte)
 Multi OS, Cross-Compileable
 Small footprint on RAM
 Raw Disk Access (on POSIX systems)
 Does not create temporary files!

%prep
%setup -q -n %{uname}-%{version}
%patch0 -p1
%patch1 -p1


%build
mkdir -p udis86/build/m4

pushd udis86
  autoreconf -fi
  %configure --with-python=/usr/bin/python3
  %make_build
  %make_build -C libudis86
popd

pushd mhash
  autoreconf -fi
  %configure
  %make_build
popd

%make_build

%install
%makeinstall_std

desktop-file-install \
	--remove-key="Encoding" \
	--remove-key="Keywords" \
	--dir %{buildroot}%{_datadir}/applications \
	%{buildroot}%{_datadir}/applications/%{uname}.desktop

%find_lang %{uname}

%files -f %{uname}.lang
%doc docs/*
%{_bindir}/%{uname}
%{_datadir}/applications/%{uname}.desktop
%{_datadir}/pixmaps/%{uname}.png


%changelog
