# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:		wxmp3gain
Summary:	Free front-end for the MP3gain
Version:	2.4.3
Release:	alt1_6
Group:		Sound
License:	GPLv3
Url:		http://sourceforge.net/projects/wxmp3gain
Source0:	http://download.sourceforge.net/wxmp3gain/%{name}_%{version}_src.tar.gz
BuildRequires:	libwxGTK-contrib-gizmos-devel libwxGTK-contrib-ogl-devel libwxGTK-contrib-stc-devel libwxGTK-devel
Requires:	mp3gain
Source44: import.info

%description
wxMP3gain is a free front-end for the MP3gain.

%prep
%setup -q -n %{name}

#fix EoL
perl -pi -e 's/\r\n/\n/g' docs/CHANGELOG

%build
%make_build \
	COMMON_COMPILE_FLAGS="%{optflags}" \
	COMMON_LINK_FLAGS=""

%install
%makeinstall_std

#handle docs in files section
rm -rf %{buildroot}%{_docdir}

#we don't need these
rm -rf %{buildroot}%{_datadir}/menu/

%files
%doc docs/AUTHORS docs/CHANGELOG docs/README docs/TODO
%{_bindir}/%{name}
%{_iconsdir}/hicolor/*/apps/wxmp3gain.png
%{_datadir}/%{name}/
%{_datadir}/applications/wxmp3gain.desktop
%{_datadir}/pixmaps/wxmp3gain.xpm


%changelog
