# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name: x11-scripts
Version: 1.0.1
Release: alt1_18
Summary: Scripts for X
Group: Development/C
BuildArch: noarch
Source: http://xorg.freedesktop.org/releases/individual/app/scripts-%{version}.tar.bz2
Patch0: xauth_switch_to_sun-des_bash.patch
License: MIT
BuildRequires: pkgconfig(x11) >= 1.0.0
BuildRequires: xorg-util-macros >= 1.0.1
Source44: import.info

%description
This package mainly provides xon which starts an X program on a remote machine
using rsh, remsh, or rcmd.

%prep
%setup -q -n scripts-%{version}
%patch0 -p1


%build
# fix build on aarch64
autoreconf -vfi

%configure
%make_build

%install
%makeinstall_std

%files
%doc --no-dereference COPYING
%{_bindir}/xon
%{_bindir}/fontprop.sh
%{_bindir}/xauth_switch_to_sun-des-1
%{_bindir}/fontname.sh
%{_mandir}/man1/xon.1*


%changelog
