# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global debug_package %{nil}
%define libnamedev libxbyak-devel

Name:           xbyak
Version:        5.89
Release:        alt1_2
Summary:        JIT assembler for x86(IA32), x64(AMD64, x86-64) by C++
Group:          System/Libraries
License:        MIT
URL:            https://github.com/herumi/xbyak
Source0:        https://github.com/herumi/xbyak/archive/v%{version}/%{name}-%{version}.tar.gz
BuildArch:      noarch
Source44: import.info

%description
This is a header file which enables dynamically to assemble x86(IA32),
x64(AMD64, x86-64) mnemonic.


%package        devel
Group: System/Libraries
Summary:        Development files for %{name}
Provides:       %{name}-devel = %{version}-%{release}

%description    devel
This is a header file which enables dynamically to assemble x86(IA32),
x64(AMD64, x86-64) mnemonic.


%prep
%setup -q


%build


%install
mkdir -p %{buildroot}%{_includedir}/%{name}
cp -pR xbyak/*.h  %{buildroot}%{_includedir}/%{name}


%files devel
%doc COPYRIGHT readme.md readme.txt
%{_includedir}/%{name}


%changelog
