Group: Archiving/Other
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           xdms
Version:        1.3.2
Release:        alt2_27
Summary:        Extracts Amiga DMS archives
License:        Public Domain
URL:            http://zakalwe.fi/~shd/foss/%{name}
Source0:        http://zakalwe.fi/~shd/foss/%{name}/%{name}-%{version}.tar.bz2
Patch0:         inline.patch

BuildRequires:  gcc
Source44: import.info
%description
Extracts Amiga DMS (Disk Masher) archives which are compressed Amiga disk
images. Xdms is particularly useful with Amiga emulators.


%prep
%setup -q
%patch0 -p1

%build
# Non standard configure script that does not support libdir for example.
CFLAGS="%{optflags}" ./configure --prefix=%{_usr}
%make_build


%install
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_mandir}/man1
install -p -m0644 xdms.1 %{buildroot}%{_mandir}/man1
install -p -m0755 src/xdms %{buildroot}%{_bindir}



%files
%{_bindir}/xdms
%{_mandir}/man1/xdms.1*
%doc ChangeLog.txt %{name}.txt


%changelog
