Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/desktop-file-validate
# END SourceDeps(oneline)
%define fedora 32
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global majorver 1.0
%global appdata_name org.xubuntu.XfpanelSwitch

Name:		xfpanel-switch
Version:	1.0.7
Release:	alt2_8
Summary:	A simple application to manage Xfce panel layouts

License:	GPLv3
URL:		https://launchpad.net/%{name}
Source0:	https://launchpad.net/%{name}/%{majorver}/%{version}/+download/%{name}-%{version}.tar.bz2

%if 0%{?fedora}
BuildRequires:	python3-devel
%endif

BuildRequires:	gettext gettext-tools
BuildRequires:	intltool
BuildRequires:	libappstream-glib
BuildRequires:	desktop-file-utils
BuildArch:	noarch
Requires:	xfce4-panel
Source44: import.info

%description
A simple application to manage Xfce panel layouts

With the modular Xfce Panel, a multitude of panel layouts can be created. 
This tool makes it possible to backup, restore, import, and export these 
panel layouts.

%prep
%setup -q

%build
#cannot use configure macro here
./configure --prefix=/usr
%make_build

%install
%makeinstall_std

rm -f %{buildroot}%{_docdir}/%{name}/COPYING

%find_lang %{name}

%check
desktop-file-validate %{buildroot}/%{_datadir}/applications/%{name}.desktop
appstream-util validate-relax --nonet %{buildroot}%{_datadir}/metainfo/%{appdata_name}.appdata.xml

%files -f %{name}.lang
%doc --no-dereference COPYING
%doc NEWS AUTHORS README INSTALL
%{_datadir}/%{name}/*
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/metainfo/*.appdata.xml

%changelog
