Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/debsign /usr/bin/debuild /usr/bin/makedepend /usr/bin/man2html /usr/bin/rpmbuild /usr/bin/rpmlint /usr/bin/valgrind
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:		xgrep
Version:	0.08
Release:	alt2_15
Summary:	A grep-like utility for XML files

License:	GPLv2+
URL:		http://www.wohlberg.net/public/software/xml/xgrep/
Source0:	http://www.wohlberg.net/public/software/xml/xgrep/%{name}-%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:	libxml2-devel libpcre-devel libpcrecpp-devel xorg-cf-files gccmakedep imake
Source44: import.info

%description
XGrep provides facilities for searching content in XML files.  The
search is specified either as an XPath via the -x flag, or a custom
syntax including extended regular expressions via the -s flag.


%prep
%setup -q


%build
%configure
make depend
%make_build


%install
make install DESTDIR=%{buildroot}



%files
%doc README GPL ChangeLog NEWS
%{_bindir}/*
%{_mandir}/*/*


%changelog
