Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/desktop-file-install perl(Tk.pm)
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           xkbset
Version:        0.5
Release:        alt2_20
Summary:        Tool to configure XKB extensions

License:        BSD
URL:            http://www.math.missouri.edu/~stephen/software/#xkbset
Source0:        http://www.math.missouri.edu/~stephen/software/xkbset/xkbset-%{version}.tar.gz
# 2012-10-03: Sent upstream via e-mail
Source3:        xkbset.desktop
# 2012-10-03: Sent upstream via e-mail
Patch0:         xkbset-0.5-install.patch

# for /usr/include/X11/Xlib.h
BuildRequires: libX11-devel
BuildRequires: desktop-file-utils
BuildRequires: rpm-build-perl
BuildRequires: gcc
Source44: import.info


%description
xkbset is a program rather like xset in that it allows you to set various
features of the X window interface.  It allows one to configure most of the
options connected with the XKB extensions.  They are described in Section 10 of
XKBlib.ps.

This includes customizing the following:
  MouseKeys:  using the numeric pad keys to move the mouse;
  StickyKeys: where modifiers like control and shift will lock until the
              next key press (good for one finger typing);
  SlowKeys:   The keys will not work unless they are pressed for a certain
              amount of time;
  BounceKeys: If a key is pressed more than once rapidly, only one key
              press will be registered.

%prep
%setup -q
%patch0 -p1 -b .install


%build
%make_build CFLAGS="$RPM_OPT_FLAGS"


%install
%makeinstall_std X11PREFIX=%{_prefix} INSTALL_PROGRAM=install INSTALL_MAN1=$RPM_BUILD_ROOT/%{_mandir}/man1
desktop-file-install                                    \
--dir=${RPM_BUILD_ROOT}%{_datadir}/applications         \
%{SOURCE3}


%files
%doc COPYRIGHT README TODO VERSIONS
%{_bindir}/xkbset
%{_bindir}/xkbset-gui
%{_mandir}/man1/xkbset.1*
%{_datadir}/applications/xkbset.desktop


%changelog
