Group: Text tools
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Summary: Convert to XML on the fly
Name: xmlfy
Version: 1.5.7
Release: alt2_3
License: BSD
Source0: http://downloads.sourceforge.net/%{name}/%{name}-%{version}-src.tar.gz
URL: http://xmlfy.sourceforge.net/

BuildRequires:  gcc
Source44: import.info
%description 
The xmlfy command is a powerful yet lightweight tool that primarily
caters for converting ASCII, UTF-8, UTF-16 or UTF-32 based output
into XML format on the fly and dealing with common issues associated
with this kind of transformation. xmlfy can be invoked from the command
line or from within a shell script to transform data quickly, easily
and reliably.

xmlfy provides many features and options to capture and encapsulate data
between XML tags for both simple and complex XML tree hierarchies. The
behavior of xmlfy is controlled by arguments and/or by specifying a
schema file providing high levels of flexibility and customization for
differing input scenarios.

With the increasing presence of object-oriented systems requiring well
structured data presentation, xmlfy allows you to convert your raw data
into XML format easily which can then be used as input for modern
object-oriented systems e.g. XML style sheets (XSLT).

%prep
%setup -q

%build
make RPM_OPT_FLAGS="%{optflags}"

%install
install -d %{buildroot}%{_bindir}
install -d %{buildroot}%{_mandir}/man1
make DESTDIR=%{buildroot} bindir=%{_bindir} mandir=%{_mandir} RPM_OPT_FLAGS="%{optflags}" install

%files
%doc README
%doc LICENSE

%{_bindir}/*
%{_mandir}/man*/*

%changelog
