# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++ libaudio-devel
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:		xmp
Version:	4.1.0
Release:	alt1_3
Summary:	A multi-format module player
Group:		Sound
License:	GPLV2+
URL:		http://xmp.sourceforge.net/
Source0:	http://downloads.sourceforge.net/xmp/xmp-%{version}.tar.gz
# use pulseaudio output by default
Patch0:		xmp-4.0.6-pulse.patch
BuildRequires:	pkgconfig(alsa)
BuildRequires:	pkgconfig(libxmp)
BuildRequires:	pkgconfig(libpulse)
Source44: import.info

%description
This is the Extended Module Player, a portable module player that plays
over 90 mainstream and obscure module formats, including Protracker MOD,
Fasttracker II XM, Scream Tracker 3 S3M and Impulse Tracker IT files.

%prep
%setup -q
%patch0 -p1


%build
%configure \
	--enable-pulseaudio
%make_build

%install
%makeinstall_std

%files
%doc Changelog CREDITS README
%dir %{_sysconfdir}/xmp/
%config(noreplace) %{_sysconfdir}/xmp/*.conf
%{_bindir}/xmp
%{_mandir}/man1/xmp.1*


%changelog
