Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-setuptools
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global pypi_name xortool

Name:           %{pypi_name}
Version:        0.99
Release:        alt2_6
Summary:        Tool for XOR cipher analysis

License:        MIT
URL:            https://github.com/hellman/xortool
Source0:        https://github.com/hellman/xortool/archive/v%{version}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-module-distribute
BuildRequires:  python3-module-wheel
Source44: import.info

%description
A tool to do some XOR analysis to guess the key length (based on count of
equal chars) and to guess the key (base on knowledge of most frequent char).

%prep
%setup -q -n %{pypi_name}-%{version}

sed -i -e '/^#!\//, 1d' xortool/*.py

%build
%python3_build

%install
%python3_install

%files
%doc README.md
%doc --no-dereference LICENSE
%{_bindir}/%{name}
%{_bindir}/%{name}-xor
%{python3_sitelibdir_noarch}/*.egg-info/
%{python3_sitelibdir_noarch}/%{pypi_name}/

%changelog
