Group: Text tools
# BEGIN SourceDeps(oneline):
BuildRequires: perl(the.pm)
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name: zaf
Summary: South Africa hyphenation rules
%define upstreamid 20080714
Version: 0
Release: alt2_0.22.%{upstreamid}svn
Source: zaf-0-0.1.%{upstreamid}svn.tar.bz2
# Below URL is dead now, don't file any bugs for updating it.
URL: http://zaf.sourceforge.net/
#Hyphenation rules are already generated in upstream code
License: LGPLv2+
BuildArch: noarch
Source44: import.info

%description
South Africa hyphenation rules.

%package -n hyphen-af
Group: Text tools
Summary: Afrikaans hyphenation rules
Requires: libhyphen

%description -n hyphen-af
Afrikaans hyphenation rules.

%package -n hyphen-zu
Group: Text tools
Summary: Zulu hyphenation rules
Requires: libhyphen

%description -n hyphen-zu
Zulu hyphenation rules.

%prep
%setup -q -n zaf


%build

%install
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/hyphen
cp -p ./af/hyph/hyph_af_ZA.dic $RPM_BUILD_ROOT/%{_datadir}/hyphen
cp -p ./zu/hyph/hyph_zu_ZA.dic $RPM_BUILD_ROOT/%{_datadir}/hyphen

pushd $RPM_BUILD_ROOT/%{_datadir}/hyphen/
af_ZA_aliases="af_NA"
for lang in $af_ZA_aliases; do
        ln -s hyph_af_ZA.dic hyph_$lang.dic
done
popd

%files -n hyphen-af
%doc af/CREDITS af/README
%doc --no-dereference af/COPYING
%{_datadir}/hyphen/hyph_af*

%files -n hyphen-zu
%doc zu/CREDITS zu/README
%doc --no-dereference zu/COPYING
%{_datadir}/hyphen/hyph_zu*

%changelog
