Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires: TestU01-devel
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           zssh
Version:        1.5c
Release:        alt2_9
Summary:        SSH and Telnet client with ZMODEM file transfer capability
License:        GPLv3
URL:            http://zssh.sourceforge.net/
Source0:        http://downloads.sourceforge.net/project/zssh/zssh/1.5/%{name}-%{version}.tgz
# patches from https://sources.debian.org/patches/zssh/1.5c.debian.1-7/
Patch0:         https://sources.debian.org/data/main/z/zssh/1.5c.debian.1-7/debian/patches/0001-Remove-build-instruction-about-lrzsz.patch
Patch1:         https://sources.debian.org/data/main/z/zssh/1.5c.debian.1-7/debian/patches/0002-Install-files-into-under-DESTDIR.patch
Patch2:         https://sources.debian.org/data/main/z/zssh/1.5c.debian.1-7/debian/patches/0003-Do-not-symlink-zssh-to-ztelnet.patch
Patch3:         https://sources.debian.org/data/main/z/zssh/1.5c.debian.1-7/debian/patches/0004-Use-GNU-openpty-library-for-pty.h.patch
Patch4:         https://sources.debian.org/data/main/z/zssh/1.5c.debian.1-7/debian/patches/0005-Do-not-call-strip-in-build-process.patch
Patch5:         https://sources.debian.org/data/main/z/zssh/1.5c.debian.1-7/debian/patches/0006-replace-CPPFunction-call-with-rl_completion_func_t.patch
Patch6:         https://sources.debian.org/data/main/z/zssh/1.5c.debian.1-7/debian/patches/0007-Fix-typo-in-man-page-zssh.1.patch
Patch7:         https://sources.debian.org/data/main/z/zssh/1.5c.debian.1-7/debian/patches/0008-Strip-build-date-from-version-string-to-enable-repro.patch
BuildRequires:  gcc
BuildRequires:  readline-devel
BuildRequires:  libncurses++-devel libncurses-devel libncursesw-devel libtic-devel libtinfo-devel
BuildRequires:  autoconf
Requires:       lrzsz
Source44: import.info

%description
%{summary}.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1

# remove bundled lrzsz
rm -fr lrzsz-0.12.20

%build
autoconf
%configure
%make_build

%install
mkdir -p %{buildroot}%{_bindir}/ %{buildroot}%{_mandir}/man1/
%makeinstall_std
rm %{buildroot}%{_mandir}/man1/ztelnet.1*

%files
%doc README
%doc --no-dereference COPYING
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*

%changelog
