# BEGIN SourceDeps(oneline):
BuildRequires: tex(dehypht.tex) texi2dvi
# END SourceDeps(oneline)
Group: Other
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global packname  scatterplot3d
%global rlibdir  %{_datadir}/R/library


Name:             R-%{packname}
Version:          0.3.41
Release:          alt2_12
Summary:          3D Scatter Plot

License:          GPLv2
URL:              https://CRAN.R-project.org/package=%{packname}
Source0:          https://cran.r-project.org/src/contrib/%{packname}_0.3-41.tar.gz

# Here's the R view of the dependencies world:
# Depends:
# Imports:   R-grDevices R-graphics R-stats
# Suggests:
# LinkingTo:
# Enhances:

BuildArch:        noarch

BuildRequires:    R-devel tex(latex)
BuildRequires:    R-base R-tcltk R-base R-tcltk R-base R-tcltk
Source44: import.info

%description
Plots a three dimensional (3D) point cloud.


%prep
%setup -q -c -n %{packname}

# Fix encoding.
iconv --from=latin1 --to=UTF-8 %{packname}/inst/CITATION > CITATION.new && \
touch -r %{packname}/inst/CITATION CITATION.new && \
mv CITATION.new %{packname}/inst/CITATION
sed -i 's/latin1/UTF-8/g' %{packname}/DESCRIPTION


%build


%install
mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css


%check
%{_bindir}/R CMD check %{packname}


%files
%dir %{rlibdir}/%{packname}
%doc %{rlibdir}/%{packname}/doc
%doc %{rlibdir}/%{packname}/html
%doc %{rlibdir}/%{packname}/CITATION
%{rlibdir}/%{packname}/DESCRIPTION
%{rlibdir}/%{packname}/INDEX
%{rlibdir}/%{packname}/NAMESPACE
%{rlibdir}/%{packname}/Meta
%{rlibdir}/%{packname}/R
%{rlibdir}/%{packname}/help
%dir %{rlibdir}/%{packname}/po
%lang(en) %{rlibdir}/%{packname}/po/en/
%lang(de) %{rlibdir}/%{packname}/po/de/


%changelog
