Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
BuildRequires: /usr/bin/desktop-file-install
# END SourceDeps(oneline)
%filter_from_requires /^python2...coldshot./d
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global alphatag a1

Name:           RunSnakeRun
Version:        2.0.4
Release:        alt2_11
Summary:        GUI Viewer for Python profiling runs

License:        BSD
URL:            http://www.vrplumber.com/programming/runsnakerun/
Source0:        http://pypi.python.org/packages/source/R/RunSnakeRun/RunSnakeRun-%{version}.tar.gz
Source1:        RunSnakeRun.desktop

BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-module-pkg_resources python-module-setuptools
BuildRequires:  desktop-file-utils

# setup.py has:
#        install_requires = [
#            'SquareMap >= 1.0.1b3',
#        ],
Requires:       python-module-squaremap >= 1.0.1
Source44: import.info

%description
RunSnakeRun is a small GUI utility that allows you to view (Python) "cProfile"
or "Profile" profiler dumps in a sortable GUI view.  It allows you to explore
the profiler information using a "square map" visualization or sortable tables
of data.

%prep
%setup -q -n %{name}-%{version}

# Remove redundant shebang from runsnake.py:
sed -i -e '/^#!/, 1d' runsnakerun/runsnake.py

%build
%python_build

%install
%python_install

desktop-file-install --dir=%{buildroot}%{_datadir}/applications %{SOURCE1}
 

%files
%doc doc
%doc --no-dereference license.txt
%{_bindir}/runsnake
%{_bindir}/runsnakemem
%{python_sitelibdir_noarch}/runsnakerun
%{python_sitelibdir_noarch}/RunSnakeRun*.egg-info
%{_datadir}/applications/RunSnakeRun.desktop

%changelog
