Group: Engineering
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           SIBsim4
Version:        0.20
Release:        alt2_21
Summary:        Align expressed RNA sequences on a DNA template
License:        GPLv2+
URL:            http://sibsim4.sourceforge.net
Source0:        http://downloads.sourceforge.net/sibsim4/%{name}-%{version}.tar.gz
BuildRequires:  gcc
Source44: import.info


%description
SIBsim4 is a modified version of the sim4 program, which is a
similarity-based tool for aligning an expressed DNA sequence (EST,
mRNA) with a genomic sequence.


%prep
%setup -q


%build
%make_build OPT="$RPM_OPT_FLAGS"


%install
mkdir -p $RPM_BUILD_ROOT/%{_bindir}
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man1
install -m 755 SIBsim4 $RPM_BUILD_ROOT/%{_bindir}/
install -m 644 SIBsim4.1 $RPM_BUILD_ROOT/%{_mandir}/man1


%files
%doc COPYRIGHT
%{_bindir}/*
%{_mandir}/man1/*


%changelog
