# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-java
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:          TGAImagePlugin
Version:       0
Release:       alt1_10
Summary:       ImageIO TGA plugin
Group:         Development/Java
License:       MIT
Url:           https://sourceforge.net/projects/jpspj/
# svn co https://jpspj.svn.sourceforge.net/svnroot/jpspj/TGAImagePlugin
# tar czf TGAImagePlugin-20111030-src-svn.tar.gz TGAImagePlugin
Source0:       TGAImagePlugin-20111030-src-svn.tar.gz
Patch0:	       java-source-target.patch

BuildRequires: javapackages-tools
BuildRequires: java-devel-default /proc

BuildRequires: ant

Requires:      javapackages-tools
Requires(post): javapackages-tools
Requires(postun): javapackages-tools
Requires:      java >= 1.6.0
BuildArch:     noarch
Source44: import.info

%description
ImageIO plugin to read/write tga files.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}
Requires:      javapackages-tools
BuildArch: noarch

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n TGAImagePlugin
%patch0 -p1

for j in $(find . -name "*.jar"); do
	mv $j $j.no
done

for s in $(find . -name "*.svn"); do
	rm -rf $s
done

%build

ant jar javadoc

%install
mkdir -p %{buildroot}%{_javadir}
install -m 644 dist/%{name}.jar \
	%{buildroot}%{_javadir}/tgaimageplugin.jar

(
	cd %{buildroot}%{_javadir}
	ln -sf tgaimageplugin.jar %{buildroot}%{_javadir}/%{name}.jar
)

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -pr dist/javadoc/* %{buildroot}%{_javadocdir}/%{name}

%files
%{_javadir}/tgaimageplugin.jar
%{_javadir}/%{name}.jar

%files javadoc
%{_javadocdir}/%{name}


%changelog
