# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           afio
Version:        2.5.1
Release:        alt1_8
Summary:        Archiver program which writes cpio-format archives
Group:		Archiving/Backup
URL:		http://members.chello.nl/~k.holtman/afio.html
Source:		http://members.chello.nl/~k.holtman/%{name}-%{version}.tgz
License:	LGPL
Source44: import.info

%description
Afio makes cpio-format archives. It deals somewhat gracefully with input
data corruption, supports multi-volume archives during interactive
operation, and can make compressed archives that are much safer than
compressed tar or cpio archives. Afio is best used as an `archive engine'
in a backup script.

%prep
%setup -q

%build
%make CC="cc %optflags" LDFLAGS=""

%install
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
install -m 755 afio $RPM_BUILD_ROOT%{_bindir}
install -m 755 afio.1 $RPM_BUILD_ROOT%{_mandir}/man1

%files
%doc HISTORY INSTALLATION PORTING README SCRIPTS afio.lsm script1 script2 script3 script4
%doc afio_license_issues_v5.txt
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*


%changelog
