# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:		algobox
Version:	1.0.3
Release:	alt1_2
Summary:	Algorithmic software
License:	GPLv2
Group:		Education
Url:		http://www.xm1math.net/algobox/
Source:		http://www.xm1math.net/algobox/%{name}-%{version}.tar.bz2
Patch0:		algobox-1.0.1-mga-fix-desktop-and-svg-install.patch

BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5WebEngineWidgets)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5PrintSupport)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5Xml)
Source44: import.info

%description
Algobox is an initiation software to algorithmic to high school level.


%prep
%setup -q
%patch0 -p1


%build
%qmake_qt5 %{name}.pro
%make_build

%install
%makeinstall_std INSTALL_ROOT=%{buildroot}

%files
%doc utilities/AUTHORS
%doc utilities/CHANGELOG.txt
%doc --no-dereference utilities/COPYING
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/mime/packages/x-%{name}.xml


%changelog
