Group: Other
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           altermime
Version:        0.3.10
Release:        alt2_25
Summary:        Alter MIME-encoded mailpacks

License:        BSD
URL:            http://www.pldaniels.com/altermime/
Source0:        http://www.pldaniels.com/altermime/altermime-%{version}.tar.gz
Patch0:         altermime-0.3.10-fprintf-compiler-error.patch
Patch1:         altermime-0.3.10-cflags.patch

BuildRequires:  gcc
Source44: import.info

%description
alterMIME is a small program which is used to alter MIME-encoded mailpacks.

alterMIME can:

 * Insert disclaimers
 * Insert arbitary X-headers
 * Modify existing headers
 * Remove attachments based on filename or content-type
 * Replace attachments based on filename 

%prep
%setup -q
%patch0 -p0
%patch1 -p0


%build
CFLAGS="${CFLAGS:-%optflags}" ; export CFLAGS ;
%make_build


%install
# Makefile has hardcoded paths
mkdir -p %{buildroot}%{_bindir}
install -m 755 altermime %{buildroot}%{_bindir}/


%files
%{_bindir}/*

%doc CHANGELOG LICENCE README


%changelog
