Summary: Abstract Machine Test Utility (AMTU)
Name: amtu 
Version: 1.0.8
Release: alt2_14
License: CPL
Group: System/Base
URL: http://sourceforge.net/projects/amtueal/
Source0: %{name}-%{version}.tar.gz
Patch1: amtu-1.0.8-doc.patch
Patch2: amtu-1.0.8-memsep.patch
Patch3: amtu-1.0.8-net-device.patch
BuildRequires: libaudit-devel >= 1.1.2
BuildRequires: automake
ExclusiveArch: i386 i686 x86_64 ppc ppc64 s390 s390x ia64
Source44: import.info

%description
Abstract Machine Test Utility (AMTU) is an administrative utility to check
whether the underlying protection mechanism of the hardware are still being
enforced. This is a requirement of the Controlled Access Protection Profile
FPT_AMT.1, see 
http://www.radium.ncsc.mil/tpep/library/protection_profiles/CAPP-1.d.pdf

%prep
%setup -q
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
touch ChangeLog
touch NEWS
touch AUTHORS
autoreconf -fv --install
%configure
make %{?_smp_mflags}

%install
make "DESTDIR=${RPM_BUILD_ROOT}" "bindir=%{_sbindir}" install

%files
%doc doc/AMTUHowTo.txt LICENSE
%attr(0750,root,root) %{_sbindir}/amtu
%attr(0644,root,root) %{_mandir}/man8/*

%changelog
