# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define game    angband

Name:           %{game}-data-shockbolt
Version:        4.2.1
Release:        alt1_1
Summary:        Nonfree Shockbolt tileset for Angband
Group:          Games/Adventure
License:        Freeware
URL:            http://rephial.org/
# Nonfree tileset extracted from the archive from http://rephial.org/downloads/
Source0:        shockbolt-%{version}.tar.xz
BuildArch:      noarch
Source44: import.info

%description
This package contains the nonfree Shockbolt tileset for Angband,
whose license restricts modifications and usage with any other product
than Angband.

This package is meant to be installed with the angband binary package.

%prep
%setup -q -n shockbolt-%{version}


%build

%install
install -d %{buildroot}%{_datadir}/%{game}/tiles/shockbolt
cp -a * %{buildroot}%{_datadir}/%{game}/tiles/shockbolt

%files
%{_datadir}/%{game}/tiles/shockbolt/


%changelog
