Group: Networking/WWW
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           arptools
Version:        1.0.2
Release:        alt2_19
Summary:        Collection of libnet and libpcap based ARP utilities

License:        GPLv2+
URL:            http://www.burghardt.pl/wiki/software/arp
Source0:        http://www.burghardt.pl/files/%{name}-%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:  libnet2-devel
BuildRequires:  libpcap-devel
Source44: import.info

%description
ARP Tools is collection of libnet and libpcap based ARP utilities. It
currently contains ARP Discover (arpdiscover), an Ethernet scanner based on
ARP protocol; ARP Flood (arpflood), an ARP request flooder; and ARP Poison
(arppoison), for poisoning switches' MAC address tables.

%prep
%setup -q

%build
%configure
%make_build


%install
make install DESTDIR=$RPM_BUILD_ROOT



%files
%doc AUTHORS ChangeLog COPYING NEWS README TODO
%{_sbindir}/arpdiscover
%{_sbindir}/arpflood
%{_sbindir}/arppoison


%changelog
