# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global sum	A 3D, first-person game of blowing up asteroids

Name:		asteroids3D
Summary:	%{sum}
Version:	0.5.1
Release:	alt1_11
License:	GPLv2+
Group:		Games/Arcade
Source:		https://sourceforge.net/projects/a3d/%{name}-%{version}.tar.bz2
URL:		https://sourceforge.net/projects/a3d/
BuildRequires:	libfreeglut-devel libGL-devel libGLU-devel libGLES-devel
Source44: import.info

%description
asteroids3D is a 3D, first-person game of blowing up asteroids.
The graphics more accurately reflect the future position of the 
targeted asteroid and provide information about closure rate.

%prep
%setup -q 

%build
%configure --with-gamesdir=%{_gamesbindir} --with-gamedatadir=%{_gamesdatadir}/%{name}
%make_build

%install
%makeinstall_std gamesdir=%{_gamesbindir} gamedatadir=%{_gamesdatadir}/%{name}

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications/
cat << EOF > %buildroot%{_datadir}/applications/%{name}.desktop
[Desktop Entry]
Type=Application
Exec=%{_gamesbindir}/%{name}
Icon=arcade_section
Categories=Game;ArcadeGame;
Name=Asteroids3D
Comment=%{sum}
EOF

%files
%doc COPYRIGHT README.html 
%{_datadir}/applications/%{name}.desktop
%{_gamesdatadir}/%{name}
%{_gamesbindir}/%{name}


%changelog
