# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:		audacious-skins
Summary:	Additional skins for Audacious
Version:	1.0.0
Release:	alt1_18
License:	GPLv1
URL:		http://www.xmms.org/
Source:		audacious-skins.tar.bz2
Group:		Sound
Requires:	audacious
Requires:	unzip

BuildArch:	noarch
Provides:	beep-media-player-skins
Obsoletes:	beep-media-player-skins
Source44: import.info

%description
Skins for Audacious. When you install this package the skins
will instantly become available from inside Audacious.
Browse them in the appearance category in the Audacious
preferences.

Note:
To find the additional skins you need to select
first "Winamp Classic interface"
in Settings -> Appearance -> Interface plugin

%prep

%build
# Nothing to build #

%install
mkdir -p %{buildroot}%{_datadir}/audacious

bzip2 -cd %{SOURCE0} | tar xf - -C %{buildroot}%{_datadir}/audacious

cat > README << EOF
This package is a collection of skins for audacious.
Most of them come from http://www.xmms.org
If you would like even more of them you can visit sites like:
  http://www.skinz.org
  http://www.customize.org
EOF

%files
%doc README
%{_datadir}/audacious/Skins/*


%changelog
