Group: Archiving/Other
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           backup-light
Version:        0.4
Release:        alt3_21
Summary:        A small backup bash utility

License:        GPLv2+
URL:            http://code.google.com/p/backup-light/
Source0:        http://%{name}.googlecode.com/files/%{name}-%{version}.tar.gz
Patch0:         backup-light.patch
BuildArch:      noarch

Requires:       procps
Source44: import.info

%description
Backup-light is a small, lightweight utility written for the bash shell
that backups the active users $HOME directory. Backup-light is able to
preform both full and incremental backups with the options to preform a
backup with out updating the time stamp, or to backup to a different
directory or device at will. Backup-light also creates MD5sums of the
backup archives for added security.


%prep
%setup -q
%patch0 -p1
mv backuplight.sh %{name}.sh


%build
#nothing to build


%install
install -Dp -m 0755 %{name}.sh %{buildroot}%{_bindir}/%{name}
install -Dp -m 0644 %{name}.1 %{buildroot}%{_mandir}/man1/%{name}.1



%files
%doc authors COPYING README
%{_mandir}/man*/%{name}.*
%{_bindir}/%{name}


%changelog
