Group: Other
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global libraries_path %{_datadir}/beakerlib-libraries

Name: beakerlib-libraries
Version: 0.6
Release: alt1_1
Summary: Beakerlib libraries

License: GPLv2 and GPLv2+
URL: https://pagure.io/beakerlib-libraries/
Source0: https://releases.pagure.org/beakerlib-libraries/%{name}-%{version}.tar.gz
BuildArch: noarch
AutoReq: no
Requires: beakerlib
Source44: import.info

%description
Beakerlib Libraries are used by beakerlib tests to encapsulate common complex
tasks such as configuring and starting a particular daemon in a single
function.

%prep
%setup -q


%build

%install
find . -maxdepth 2 -mindepth 2 '(' -path './bin/*' -o -path './.git*' ')' -prune -o -type d \
    -exec sh -c 'install -v -d $RPM_BUILD_ROOT%libraries_path/$(dirname "{}")/Library' ';' \
    -exec sh -c 'cp -v -a "{}" $RPM_BUILD_ROOT%libraries_path/$(dirname "{}")/Library'  ';'
install -d "$RPM_BUILD_ROOT/%_bindir"
install -m755 "bin/get-test-deps" "$RPM_BUILD_ROOT/%_bindir"

%files
%libraries_path
%_bindir/get-test-deps

%changelog
