Group: Other
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name: bharati-m17n
Version: 1.2
Release: alt2_17
Summary: Bharati input method based on InScript layout

License: GPLv3+
URL: https://fedorahosted.org/bharati/
Source: https://fedorahosted.org/releases/b/h/bharati/bharati-m17n-1.2.tar.gz

BuildArch: noarch
BuildRequires: libm17n-db-devel 
Requires: libm17n-db
Source44: import.info

%description
bharati is an enhancement to input method based on InScript layout and
implements unique transformation rule of deleting on the fly the previous
dependent vowel for Indic languages. 

%prep
%setup -q -n bharati-m17n-%{version}

%build

%install
make install DESTDIR=%buildroot INSTALL="install -p"


%files
%{_datadir}/m17n/*.mim
%{_datadir}/m17n/icons/*.png


%doc ChangeLog COPYING COPYRIGHT README doc/index.html doc/*.png

%changelog
