Group: Publishing
# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/pdflatex /usr/bin/perl tex(dehypht.tex)
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global opt %(test -x %{_bindir}/ocamlopt && echo 1 || echo 0)
# Debuginfo is not useful for OCaml programs since gdb doesn't know about OCaml
%global debug_package %{nil}

Name:           bibtex2html
Version:        1.99
Release:        alt2_8
Summary:        Collection of tools for translating from BibTeX to HTML

License:        GPLv2
URL:            http://www.lri.fr/~filliatr/bibtex2html/index.en.html
Source0:        http://www.lri.fr/~filliatr/ftp/bibtex2html/%{name}-%{version}.tar.gz

BuildRequires:  ocaml ocaml-runtime
BuildRequires:  perl-devel
BuildRequires:  tex(latex)
BuildRequires:  tex(fullpage.sty)
BuildRequires:  hevea
Source44: import.info


%description
bibtex2html is a collection of tools for translating from BibTeX to HTML. 
They allow to produce, from a set of bibliography files in BibTeX format, 
a bibliography in HTML format.

%prep
%setup -q
sed -i 's/-cclib -lstr//' Makefile.in
for file in CHANGES README ; do
   mv $file timestamp && \
   iconv -f ISO-8859-1 -t UTF-8 -o $file timestamp && \
   touch -r timestamp $file && \
   rm timestamp
done

%build
%configure 
%make_build

%install
/usr/bin/perl -pi -e 's|^BINDIR=.*|BINDIR=%{buildroot}%{_bindir}|g;' Makefile
/usr/bin/perl -pi -e 's|^MANDIR =.*|MANDIR=%{buildroot}%{_mandir}|g;' Makefile
make install 

%files
%doc CHANGES README GPL COPYING manual.pdf manual.html 
%{_mandir}/man1/*.1*
%{_bindir}/*


%changelog
