Group: Text tools
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Summary: Display logical Hebrew on unidirectional terminals
Name: bidiv
Version: 1.5
Release: alt2_29
URL: http://ftp.ivrix.org.il/pub/ivrix/src/cmdline/
Source: http://ftp.ivrix.org.il/pub/ivrix/src/cmdline/%{name}-%{version}.tgz
Patch0: nostrip.patch.gz
Patch1: fribidi-0.19.patch.gz
License: GPLv2
BuildRequires:  gcc
BuildRequires: libfribidi-devel
Source44: import.info

%description
Bidiv (BiDirectional Viewer) is a simple utility for converting logical-Hebrew
input to visual-Hebrew output. This is useful for reading Hebrew mail messages,
viewing Hebrew texts, etc.

%prep
%setup -q -n bidiv
%patch -P 0
%patch -P 1

%build
make PREFIX=%{buildroot} CC_OPT_FLAGS="$RPM_OPT_FLAGS" %{?_smp_mflags}

%install
install -d %{buildroot}%{_bindir}
install -d %{buildroot}%{_mandir}/man1
make PREFIX=%{buildroot}%{_prefix} \
     MAN_PATH=%{buildroot}%{_mandir} install

%files
%doc README COPYING
%{_prefix}/bin/bidiv
%{_mandir}/man1/bidiv.1*
# and what about %{_mandir}/he/man1/bidiv.1 ? ;)

%changelog
