Group: Text tools
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           binclock
Summary:        Fullscreen console binary clock
Version:        0.4.0
Release:        alt2_12
License:        GPLv2
URL:            https://github.com/frenzymadness/%{name}
Source0:        %{url}/archive/v%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python3-devel
Source44: import.info

%description
Fullscreen console binary clock.
Features:

* Written in Python
* Uses ncurses
* In color
* Proper SIGWINCH handling

%prep
%setup -q


%install
#Install the executable
install -Dp -m0755 binclock.py %{buildroot}%{_bindir}/%{name}

%files
%{_bindir}/binclock

%changelog
