Group: Other
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           bitlbee-steam
Version:        1.4.2
Release:        alt2_11
Summary:        Steam protocol plugin for BitlBee

License:        GPLv2+
URL:            https://github.com/bitlbee/bitlbee-steam
Source0:        https://github.com/bitlbee/%{name}/releases/download/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:  bitlbee-devel
BuildRequires:  glib2-devel libgio libgio-devel
BuildRequires:  gcrypt-utils libgcrypt-devel

Requires:       bitlbee

%global __provides_exclude_from ^%{_libdir}/bitlbee/.*
Source44: import.info


%description
The Steam protocol plugin for BitlBee.  This plugin uses the Steam Mobile
API allowing it to run alongside the main Steam client.  It is worth
noting that the Steam Mobile API is HTTP based, which does lead to mild
latency.


%prep
%setup -q



%build
%configure --disable-static
%make_build


%install
%makeinstall_std
rm $RPM_BUILD_ROOT/%{_libdir}/bitlbee/steam.la


%files
%doc --no-dereference COPYING
%doc AUTHORS README
%{_libdir}/bitlbee/steam.so


%changelog
