Group: System/Base
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           bkhive
Version:        1.1.1
Release:        alt2_21
#Needed for EPEL
Summary:        Dump the syskey bootkey from a Windows system hive

License:        GPLv2+
URL:            http://ophcrack.sourceforge.net/
Source0:        http://downloads.sourceforge.net/ophcrack/%{name}-%{version}.tar.gz

#Patch adds possibility to install with current user and not only root
Patch0:         %{name}-install.patch

BuildRequires:  gcc
Source44: import.info

%description
This tool is designed to recover the syskey bootkey from a Windows NT/2K/XP
system hive. Then we can decrypt the SAM file with the syskey and dump
password hashes.

Syskey is a Windows feature that adds an additional encryption layer to the
password hashes stored in the SAM database.

%prep
%setup -q
%patch0 -p 1 -b .install


%build
%make_build CFLAGS="%{optflags}"


%install
OWNER=`id -un`
GROUP=`id -gn`

make install DESTDIR=%{buildroot} BINDIR=%{_bindir} MANDIR=%{_mandir}/man1/ OWNER=${OWNER} GROUP=${GROUP}


%files
%doc AUTHORS COPYING README
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*



%changelog
