# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-alternatives
BuildRequires: /usr/bin/glib-gettextize libdbus-devel
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Summary:	Bluetooth PIN GUI
Name:		bluez-pin
Version:	0.30
Release:	alt2_20
Url:		http://www.bluez.org/
License:	GPLv2+
Group:		Communications
Source0:	ftp://gpe.handhelds.org/projects/gpe/source/%{name}-%{version}.tar.bz2

BuildRequires:	ImageMagick-tools 
BuildRequires:	gtk2-devel 
BuildRequires:	pkgconfig(libglade-2.0) 
BuildRequires:	pkgconfig(gconf-2.0)
BuildRequires:	pkgconfig(bluez)
BuildRequires:  pkgconfig(dbus-glib-1) >= 0.50
BuildRequires:	perl(XML/Parser.pm)
Source44: import.info

%description
A GTK+ helper app for entering a Bluetooth PIN.

%prep
%setup -q

%build
%configure
make

%install
%makeinstall_std
install -d $RPM_BUILD_ROOT/%_altdir; cat >$RPM_BUILD_ROOT/%_altdir/bluepin_bluez-pin<<EOF
/bin/bluepin	/usr/bin/bluez-pin	10
EOF

%postun
[ $1 != 0 ] && exit 0
:

%files
%_altdir/bluepin_bluez-pin
%doc ChangeLog
%_bindir/%name
%config %_sysconfdir/dbus*/*
%_datadir/pixmaps/*
%_datadir/%name


%changelog
