Group: Networking/WWW
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Sys/Hostname.pm) perl(Time/Local.pm)
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}


Summary:	Squid native log format (NLF) analyzer and report generator
Name:		calamaris
Version:	2.59
Release:	alt3_22
License:	GPLv2+
URL:		https://cord.de/calamaris-english
Source0:	https://cord.de/files/calamaris/%{name}-%{version}.tar.gz
Patch0:		calamaris-2.59-perl_512.patch
BuildArch:	noarch
BuildRequires:	rpm-build-perl
Source44: import.info
%filter_from_requires /^perl(\(-F\|-f\).pm)/d

%description
Calamaris parses the Squid Native Log and generates reports
about Peak-usage, Request-Methods, Status-reports of incoming
and outgoing requests, second and Top-level destinations,
content-types and performance.
 
%prep
%setup -q
%patch0 -p1 -b .perl_512

%build

%install
install -D -p -m 0755 %{name} $RPM_BUILD_ROOT%{_bindir}/%{name}
install -D -p -m 0644 %{name}.1 $RPM_BUILD_ROOT%{_mandir}/man1/%{name}.1

# Convert everything to UTF-8
iconv -f iso-8859-1 -t utf-8 -o CHANGES.utf8 CHANGES
touch -c -r CHANGES CHANGES.utf8; mv -f CHANGES.utf8 CHANGES
iconv -f iso-8859-1 -t utf-8 -o EXAMPLES.utf8 EXAMPLES
touch -c -r EXAMPLES EXAMPLES.utf8; mv -f EXAMPLES.utf8 EXAMPLES

%files
%doc --no-dereference COPYRIGHT
%doc CHANGES EXAMPLES README
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*

%changelog
