# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Summary: Common schema transformation tool
Name: chameleon
Version: 0.2
Release: alt2_15
Source0: https://fedorahosted.org/releases/c/h/%{name}/%{name}-%{version}.tar.gz
License: LGPLv3+
Group: Development/Other
BuildArch: noarch
BuildRequires: python >= 2.3
Requires: python >= 2.3 python-module-ply
Url: https://fedorahosted.org/chameleon
Source44: import.info

%description
Chameleon is a common to database specific schema transformation tool.

%define chameleon_home %{_datadir}/chameleon

%prep
%setup -q

%build

%install
mkdir -p $RPM_BUILD_ROOT/%{_bindir}
mkdir -p $RPM_BUILD_ROOT/%{chameleon_home}
cp -p chameleon/*.py $RPM_BUILD_ROOT/%{chameleon_home}
install -m 0755 chameleon.bin $RPM_BUILD_ROOT/%{_bindir}/chameleon

%files
%dir %{chameleon_home}
%{chameleon_home}/*
%{_bindir}/chameleon

%doc LICENSE

%changelog
