# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-mageia-compat
BuildRequires: /usr/bin/git /usr/bin/valgrind gcc-c++
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:		chewing-editor
Summary:	Cross platform chewing user phrase editor 
Version:	0.1.1
Release:	alt1_6
Group:		System/Internationalization
License:	GPLv2
URL:		http://chewing.im
Source0:	https://github.com/chewing/chewing-editor/releases/download/v%{version}/%{name}-%{version}.tar.gz
Patch0:		chewing-editor-0.1.1-fix-build-against-qt-5.11.0.patch
BuildRequires:	ccmake cmake ctest
BuildRequires:	help2man
BuildRequires:	pkgconfig(chewing)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	qt5-designer qt5-tools

Requires:	libchewing
Source44: import.info

%description
chewing-editor is a cross platform chewing user phrase editor. 
It provides a easy way to manage user phrase. With it, user can 
customize their user phrase to increase input performance.

%prep
%setup -q
%patch0 -p1


%build
%{mageia_cmake_qt5}
%mageia_cmake_build

%install
%mageia_cmake_install

%files 
%doc COPYING README.md
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/256/apps/%{name}.png
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
%{_mandir}/man1/%{name}.1*


%changelog
