Group: Publishing
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Summary: Print songbooks (lyrics + chords)
Name: chordii
Version: 4.5.3b
Release: alt2_14
URL: http://www.chordii.org
Source: http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
License: GPLv3+
Obsoletes: chordie >= 0 chord >= 0
BuildRequires: gcc
Source44: import.info

%description
chordii provides guitar players and other musicians with a tool to
produce good looking, self-descriptive music sheets from text files.

chordii reads text files in ChordPro format, containing the lyrics of
songs, the chords to be played, their descriptions and some other
optional data. It produces a PostScript document suitable for viewing
and printing.

chordii features include:
 - centered titles,
 - chord names above the words,
 - chord diagrams at the end of the songs,
 - multiple columns on a page,
 - multiple logical pages per physical pages (1, 2 or 4),
 - configurable fonts and sizes,
 - the complete ISO 8859-1 character set,
 - optionally, ISO 8859-2 character set,
 - chorus marking,
 - automated chord transposition,
 - songbook creation: typeset multiple songs with page numbers and a
   table of contents.

For details on the ChordPro format, see http://www.chordpro.org .

%prep
%setup -q

%build
%configure
%make_build

%install
make DESTDIR=%{buildroot} INSTALL="install -p" install

%files
%doc README NEWS COPYING examples/
%{_bindir}/*
%{_mandir}/man1/*

%changelog
