Group: Publishing
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           code2html
Version:        0.9.1
Release:        alt3_38
Summary:        Convert source code to HTML
License:        MIT
URL:            http://www.palfrader.org/code/%{name}
Source0:        http://www.palfrader.org/code2html/all/latest.tar.gz
BuildRequires:        rpm-build-perl
BuildArch:      noarch
Source44: import.info

%description
Code2HTML converts a program source code to syntax highlighted HTML.

%prep
%setup -q
iconv -f iso8859-1 -t utf-8 %{name}.1 > %{name}.1.conv && mv -f %{name}.1.conv %{name}.1

%build
# Empty build

%install
mkdir -p %{buildroot}%{_bindir}
install -p -m 755 %{name} %{buildroot}%{_bindir}/
mkdir -p %{buildroot}%{_mandir}/man1
install -p -m 644 %{name}.1 %{buildroot}%{_mandir}/man1/

%files
%doc ChangeLog CREDITS LICENSE README
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*

%changelog
