# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-mageia-compat
BuildRequires: /usr/bin/oggenc /usr/bin/wget gcc-c++ python-devel rpm-build-python
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define game    colobot

Name:           %{game}-data
Version:        0.1.12
Release:        alt1_2
Summary:        Data files for Colobot
Group:          Games/Strategy
License:        GPLv3+
Url:            http://colobot.info
Source0:        https://github.com/colobot/colobot-data/archive/%{game}-gold-%{version}-alpha.tar.gz

# (akien) We don't build colobot on this arch, see main package
ExcludeArch:    armv5tl

BuildRequires:  ccmake cmake ctest
BuildRequires:  po4a
BuildArch:      noarch
Requires:     %{game}-music >= 0.1.6
Source44: import.info

%description
This package contains data files for the Colobot game.

%prep
%setup -q -n %{name}-%{game}-gold-%{version}-alpha


%build
# Do not attempt to download music, installed in a separate package
%{mageia_cmake} -DMUSIC=OFF
%mageia_cmake_build

%install
%mageia_cmake_install

%files
%doc LICENSE.txt README.i18n.md README.md
%{_gamesdatadir}/%{game}/


%changelog
