Group: System/Base
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:		comps-extras
Version:	24
Release:	alt2_9
Summary:	Images for package groups

# while GPL isn't normal for images, it is the case here
# No version specified.
# KDE logo is LGPLv2+
# LXDE logo is GPLv2+
# MATE logo is GPLv2+
# Cinnamon logo is taken from getfedora.org and thus CC-BY-SA
# Haskell logo is a variation on MIT/X11
# Sugar and Ruby logos are CC-BY-SA
# See COPYING for more details
License:	GPL+ and LGPLv2+ and GPLv2+ and CC-BY-SA and MIT
URL:		https://pagure.io/%{name}
Source0:	https://releases.pagure.org/%{name}/%{name}-%{version}.tar.gz

BuildArch:	noarch

BuildRequires:	fdupes
Source44: import.info

%description
This package contains images for the components included in this distribution.


%prep
%setup -q



%build
%make_build


%install
%makeinstall_std
fdupes -s %{buildroot}%{_datadir}/pixmaps


%files
%doc comps.dtd comps-cleanup.xsl
%doc --no-dereference COPYING
%{_datadir}/pixmaps/comps


%changelog
