Group: System/Base
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:		cowpatty
Version:	4.6
Release:	alt2_22
Summary:	WPA password cracker

License:	GPLv2 and BSD 
URL:		http://wirelessdefence.org/Contents/coWPAttyMain.htm
Source0:	http://wirelessdefence.org/Contents/Files/%{name}-%{version}.tgz

BuildRequires:  gcc
BuildRequires:	libpcap-devel
BuildRequires:	libssl-devel	
Source44: import.info
		
%description
Cowpatty is designed to audit the pre-shared key (PSK) selection for WPA 
networks based on the TKIP protocol. It can perform both dictionary and 
computed rainbow table attacks.


%prep
%setup -q


%build
make CFLAGS="%{optflags} -DOPENSSL"

%install
install -D -pm 755 cowpatty %{buildroot}%{_bindir}/%{name}
install -D -pm 755 genpmk %{buildroot}%{_bindir}/genpmk



%files
%doc AUTHORS COPYING README FAQ TODO CHANGELOG
%{_bindir}/%{name}
%{_bindir}/genpmk


%changelog
