Group: Games/Other
# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/desktop-file-install
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name: curblaster
Version:  1.13
Release:  alt2_9
Summary: Sidescrolling shooter, carry the pods through the gate

License: GPLv3+
URL: http://curblaster.sourceforge.net
Source0: http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
BuildRequires:  gcc-c++
BuildRequires: libncurses++-devel libncurses-devel libncursesw-devel libtic-devel libtinfo-devel, desktop-file-utils, libSDL2_mixer-devel, cppcheck
Requires: icon-theme-hicolor
Source44: import.info

%description
Grab pods and drop them in the gate, while fighting enemies in your way.
Multiple weapons available.

%prep
%setup -q

%build

make CFLAGS="%{optflags}" %{?_smp_mflags}

%install
mkdir -p %{buildroot}%{_bindir}
install -p -m 755 curblaster %{buildroot}%{_bindir}/curblaster
mkdir -p %{buildroot}%{_mandir}/man6
install -p -m644 curblaster.6 %{buildroot}%{_mandir}/man6/curblaster.6
mkdir -p %{buildroot}%{_datadir}/curblaster/data
install -p -m644 data/* %{buildroot}%{_datadir}/curblaster/data
mkdir -p %{buildroot}%{_datadir}/appdata
install -m 644 curblaster.appdata.xml %{buildroot}%{_datadir}/appdata/

mkdir -p %{buildroot}%{_datadir}/applications
desktop-file-install --dir %{buildroot}%{_datadir}/applications \
  curblaster.desktop

mkdir -p %{buildroot}%{_datadir}/icons/hicolor/32x32/apps
install -p -m 644 curblaster-logo.png \
  %{buildroot}%{_datadir}/icons/hicolor/32x32/apps

%check
make check



%files
%{_bindir}/curblaster
%doc CHANGELOG COPYING
%{_datadir}/applications/curblaster.desktop
%{_datadir}/icons/hicolor/32x32/apps/curblaster-logo.png
%{_datadir}/curblaster/
%{_mandir}/man6/curblaster.6*
%{_datadir}/appdata/curblaster.appdata.xml

%changelog
