Group: Other
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           dans-gdal-scripts
Version:        0.24
Release:        alt2_15
Summary:        Utilities for use in conjunction with GDAL

License:        BSD
URL:            https://github.com/gina-alaska/dans-gdal-scripts
Source0:        https://github.com/gina-alaska/dans-gdal-scripts/archive/v%{version}.tar.gz

BuildRequires:  gcc-c++
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  boost-complete
BuildRequires:  libgdal-devel
BuildRequires:  libproj-devel

# Tests are using
BuildRequires:  netpbm
Source44: import.info

%description
Dan Stahlke's GDAL contributed tools are a collection of
useful programs to perform common raster operations.


%prep
%setup -q 
./autogen.sh
%configure


%build
%make_build


%install
make install DESTDIR=%{buildroot}

%check
pushd src/tests
./test1.sh
./test2.sh
./test3.sh
# TIFFReadDirectory warnings are harmless, according to the author


%files
%doc LICENSE README.md ChangeLog TODO
%{_bindir}/gdal_*


%changelog
