Group: Communications
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:		demorse
Version:	1.2
Release:	alt2_15
Summary:	Command line tool for decoding Morse code signals

License:	GPLv2+
URL:		http://www.qsl.net/5b4az/pages/morse.html
Source0:	http://www.qsl.net/5b4az/pkg/morse/%{name}/%{name}-%{version}.tar.bz2
BuildRequires:  gcc
BuildRequires:	libalsa-devel
Source44: import.info

%description
demorse is a non-interactive command line tool for decoding Morse code signals
into text. demorse detects the "dihs" and "dahs" that make a Morse code
character via the computer's sound card, which can be connected to a radio
receiver tuned to a CW Morse code transmission or to a tone generator.

The input signal is processed by a Goertzel tone detector which produces "mark"
or "space" (signal/no signal) outputs and the resulting stream of Morse code
"elements" is decoded into an ASCII character for printing to the screen.
Currently demorse is a non- interactive command line tool for the console and
decoded Morse signals are sent to stdout.

%prep
%setup -q

%build
%configure
%make_build CFLAGS="%{optflags}"

%install
make install DESTDIR=%{buildroot}


%files
%doc AUTHORS README COPYING doc/demorse.html doc/Morsecode.txt
%{_bindir}/%{name}

%changelog
