Group: File tools
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:		detox
Version:	1.4.1
Release:	alt1_1
Summary:	Utility to replace problematic characters in file names

License:	BSD
URL:		https://github.com/dharple/detox
Source0:	https://github.com/dharple/%{name}/releases/download/v%{version}/%{name}-%{version}.tar.gz
BuildRequires:	autoconf automake flex flex
BuildRequires:	gcc
Source44: import.info

%description
Detox is a utility designed to clean up file names. It replaces difficult to
work with characters, such as spaces, with standard equivalents. It will also
clean up file names with UTF-8 or Latin-1 (or CP-1252) characters in them.

%prep
%setup -q


%build
autoreconf --install
%configure
%make_build

%install
%makeinstall_std
rm %{buildroot}/etc/detoxrc.sample

%files
%config(noreplace) %{_sysconfdir}/%{name}rc
%{_bindir}/%{name}
%{_bindir}/inline-%{name}
%{_datadir}/%{name}
%doc CHANGELOG.md README.md THANKS.md
%doc --no-dereference LICENSE
%{_mandir}/man5/detox*
%{_mandir}/man1/inline-detox.1*
%{_mandir}/man1/detox*

%changelog
