Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Config.pm) perl(DBD/SQLite.pm) perl(DBI.pm) perl(Digest/MD5.pm) perl(Digest/SHA.pm) perl(Dpkg/Control/Hash.pm) perl(Exporter.pm) perl(Fcntl.pm) perl(File/FnMatch.pm) perl(HTTP/Server/Simple/CGI.pm) perl(HTTP/Server/Simple/Static.pm) perl(IO/Handle.pm) perl(IPC/Open2.pm) perl(JSON.pm) perl(List/MoreUtils.pm) perl(Locale/gettext.pm) perl(Memoize.pm) perl(Socket.pm) perl(Text/CSV.pm) perl(Text/Glob.pm) perl(Text/Iconv.pm) perl(URI/Escape.pm) perl(WWW/Curl/Easy.pm) perl(base.pm)
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           dgit
Version:        9.13
Release:        alt1_1
Summary:        Integration between git and Debian-style archives
License:        GPLv3+
URL:            https://browse.dgit.debian.org/dgit.git/
Source0:        http://http.debian.net/debian/pool/main/d/%{name}/%{name}_%{version}.tar.gz
BuildRequires:  rpm-build-perl
BuildRequires:  perl-podlators
Requires:       devscripts python3-module-devscripts
Requires:       curl
Requires:       git
Requires:       dpkg
Requires:       tar
Requires:       coreutils
BuildArch:      noarch
Source44: import.info

%description
dgit (with the associated infrastructure) makes it possible to
treat the Debian archive as a git repository:

"dgit push" constructs uploads from git commits

"dgit clone" and "dgit fetch" construct git commits from uploads.


%prep
%setup -q -n work

#directory name changed to work
###autosetup -n %{name}


%build


%install
# We don't do an install-infra, not sure if the Debian specific
# infrastructure tools would make sense to be packaged in Fedora.
make install DESTDIR="%{buildroot}" \
        prefix="%{_prefix}" \
        bindir="%{_bindir}" \
        mandir="%{_mandir}" \
        perldir="%{perl_vendor_privlib}" \
        infraexamplesdir="%{_docdir}/%{name}/examples"


%files
%{_bindir}/dgit
%{_bindir}/dgit-badcommit-fixup
%{_bindir}/git-playtree-setup
%{_datadir}/%{name}
%{_mandir}/man1/dgit*.1*
%{_mandir}/man7/dgit*.7*
%{perl_vendor_privlib}/Debian
%doc debian/changelog README.*
%doc --no-dereference debian/copyright


%changelog
