# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           dhex
Version:        0.69
Release:        alt1_2
Summary:        Hexadecimal editor including a diff mode to compare 2 binary files
Source0:        http://www.dettus.net/dhex/%{name}_%{version}.tar.gz
URL:            http://www.dettus.net/dhex/

Group:          Editors
License:        GPLv2+
BuildRequires:  pkgconfig(ncurses)
Source44: import.info

%description
More than just another hex editor: it includes a diff mode, which can be
used to easily and conveniently compare two binary files.

Since it is based on ncurses and is themeable, it can run on any number
of systems and scenarios. With its utilization of search logs, it is
possible to track changes in different iterations of files easily.

%prep
%setup -q -n %{name}_%{version}

%build
%make_build OPTIONS="%{optflags}"

%install
mkdir -p %{buildroot}%{_bindir}
install %{name} %{buildroot}%{_bindir}

%files
%doc README.txt
%{_bindir}/%{name}


%changelog
