Group: Other
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:    distro-info-data
Version: 0.42
Release: alt2_4

Summary: Information about releases of Debian and Ubuntu (data files)
License: ISC
URL:     https://tracker.debian.org/pkg/distro-info-data
Source0: http://deb.debian.org/debian/pool/main/d/%{name}/%{name}_%{version}.tar.xz

BuildArch: noarch

BuildRequires: /usr/bin/python3
BuildRequires: python3
Source44: import.info

%description
Information about all releases of Debian and Ubuntu. The distro-info script
will give you the codename for e.g. the latest stable release of your
distribution. To get information about a specific distribution there are the
debian-distro-info and the ubuntu-distro-info scripts.

This package contains the data files.

%prep
%setup -q -n %{name}


%build

%install
%makeinstall_std

%check
make test

%files
%doc --no-dereference debian/copyright
%{_datadir}/distro-info

%changelog
