Group: Networking/WWW
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           dnsmap
Version:        0.30
Release:        alt2_21
Summary:        Sub-domains bruteforcer

License:        GPLv2+
URL:            http://code.google.com/p/dnsmap/
Source0:        http://dnsmap.googlecode.com/files/dnsmap-%{version}.tar.gz

BuildRequires:  gcc
Source44: import.info
%description
dnsmap is a small tool that perform brute-forcing of domains.
It can use a built-in list or an external dictionary file and
saves output to TXT/CSV format.

%prep
%setup -q


%build
%make_build CFLAGS="%{optflags}"

%install
make install DESTDIR=%{buildroot} BINDIR="%{_bindir}"

%files
%doc Changelog.txt CREDITS.txt README.txt TODO.txt use_cases.txt
%doc --no-dereference gpl-2.0.txt
%{_bindir}/dnsmap*

%changelog
