Group: Development/Other
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:          domtt
Version:       0.7.3
Release:       alt2_20
Summary:       DOM Tooltip (aka domTT) is a Javascript widget

License:       ASL 2.0
URL:           http://www.mojavelinux.com/projects/domtooltip/
Source0:       http://www.mojavelinux.com/cooker/download/index.php?file=domtooltip/%{name}-0.7.3.tar.gz
Source1:       %{name}.conf
BuildArch:     noarch
Source44: import.info


%description
DOM Tooltip (aka domTT) is a Javascript widget, released under the Apache 2.0
license, which allows developers to add customized tool-tips to their web sites. 


%prep
%setup -q -n domTT

%build

%install
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}/html/en
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}/js
install -m 0644 *.html $RPM_BUILD_ROOT%{_datadir}/%{name}/html/en
install -m 0644 *.js $RPM_BUILD_ROOT%{_datadir}/%{name}/js
cp -p %{SOURCE1} %{name}.conf


%files
%doc AUTHORS BUGS Changelog README TODO %{name}.conf
%{_datadir}/%{name}/html/en
%{_datadir}/%{name}/js


%changelog
