# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define rel	9
%define beta	0

%if %beta
%define release %mkrel 0.%{beta}.%{rel}
%else
%define release %mkrel %{rel}
%endif

Summary:	A simple dvb/mpeg stream analyzer program
Name:		dvbsnoop
Version:	1.4.50
Release:	alt1_9
Source0:	http://osdn.dl.sourceforge.net/dvbsnoop/%{name}-%{version}.tar.gz
URL:		http://dvbsnoop.sf.net
License:	GPLv2+
Group:		Video
Prefix:		%{_prefix}
BuildRequires:	glibc-devel glibc-devel-static
Source44: import.info

%description
dvbsnoop is a simple dvb/mpeg stream analyzer program. The program can
be used to sniff, monitor, debug, dump or view dvb/mpeg/dsm-cc/MHP
stream information (digital television) send via satellite, cable or
terrestrial.

%prep
%setup -q

%build
%configure
%make_build

%install
%makeinstall_std

%files
%doc README COPYING 
%{_bindir}/*
%{_mandir}/man1/*


%changelog
