Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/desktop-file-validate
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global commit0 dda5aa74a63abfdbde6c52ad067de628f6b7c615
%global shortcommit0 %(c=%{commit0}; echo ${c:0:12})

%global ext_manager dwbem
%global remote dwbremote

Name:           dwb
Version:        2015.10.09
Release:        alt1_3.20151009git
Summary:        Dynamic web browser based on WebKit and GTK+

License:        GPLv3+
URL:            https://bitbucket.org/portix/dwb/wiki/Home
Source0:        https://bitbucket.org/portix/%{name}/get/%{commit0}.tar.gz#/%{name}-%{shortcommit0}.tar.gz

# Remove a -Werror flag that makes the build fail
patch0:         Werror.patch
Patch1:         dwb-gtk-deprecated.patch
Patch2:         dwb-rawhide-isnan.patch

BuildRequires:  readline-devel
BuildRequires:  gtk3-demo libgail3-devel libgtk+3 libgtk+3-devel libgtk+3-gir-devel
BuildRequires:  libjavascriptcoregtk3-devel libjavascriptcoregtk3-gir-devel libwebkitgtk3-devel libwebkitgtk3-gir-devel libwebkitgtk3-jsc
BuildRequires:  libjson-c-devel
BuildRequires:  desktop-file-utils
BuildRequires:  libgnutls-devel libgnutlsxx-devel
BuildRequires:  m4

%description
dwb is small webkit-based web-browser in the spirit of tiling window managers,
that aims to be mostly keyboard-driven.

%prep
%setup -qn portix-%{name}-%{shortcommit0}
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
make GTK=3 %{?_smp_mflags}

%install
make install GTK=3 DISABLE_HSTS=1 DESTDIR=$RPM_BUILD_ROOT
desktop-file-validate $RPM_BUILD_ROOT/%{_datadir}/applications/%{name}.desktop

%files
%{_bindir}/%{name}
%{_bindir}/%{ext_manager}
%{_bindir}/%{remote}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}
%{_mandir}/man1/%{name}.1*
%{_mandir}/man1/%{ext_manager}.1*
%{_mandir}/man1/%{remote}.1*
%{_mandir}/man7/%{name}-js.7*
%{_datadir}/pixmaps/%{name}.png

%doc COPYING gpl-3.0.txt
%doc README CHANGELOG AUTHORS

%changelog
