Group: Graphical desktop/Other
# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/eject imake libX11-devel libXext-devel libXt-devel libcdaudio-devel libesd-devel libglvnd-devel pkgconfig(libgtop-2.0) xorg-cf-files
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Summary:          Epplets for Enlightenment, DR16
Name:             e16-epplets
Version:          0.15
Release:          alt2_10
License:          MIT with advertising and GPL+ and GPLv2+
URL:              http://www.enlightenment.org/
Source0:          http://downloads.sourceforge.net/enlightenment/e16-epplets-%{version}.tar.xz
BuildRequires:  gcc
BuildRequires:    libfreeglut-devel
BuildRequires:    imlib2-devel
BuildRequires:    libGLU-devel
Requires:         e16 >= 0.16.8
Source44: import.info
%description
Epplets are small, handy Enlightenment applets, similar to dockapps or
applets for other packages.  The epplets package contains the base
epplet API library and header files, as well as the core set of
epplets, including CPU monitors, clocks, a mail checker, mixers, a
slideshow, a URL grabber, a panel-like toolbar, and more.

%package          devel
Group: Development/Other
Summary:          Development tools for epplets
Requires:         %{name} = %{version}-%{release}
%description devel
The %{name}-devel package contains the header files and libs
for developing epplets for Enlightenment, DR16

%prep
%setup -q


%build
sed -i -e 's/-rpath $(libdir)//' epplets/Makefile.in
%configure
%make_build

%install
make install DESTDIR=%{buildroot}
rm -f %{buildroot}%{_libdir}/libepplet{,_glx}.{a,la}



%files
%doc ChangeLog 
%{_libdir}/libepplet.so.*
%{_libdir}/libepplet_glx.so.*
%{_bindir}/E*.epplet
%{_datadir}/e16/epplet_icons
%{_datadir}/e16/epplet_data

%files devel
%{_includedir}/epplet.h
%{_libdir}/libepplet.so
%{_libdir}/libepplet_glx.so

%changelog
