Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++ libreadline-devel texinfo
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           eblook
Version:        1.6.1
Release:        alt2_31
Summary:        Command-line EB and EPWING dictionary search program

License:        GPLv2+
URL:            http://openlab.ring.gr.jp/edict/eblook/
Source0:        http://openlab.ring.gr.jp/edict/eblook/dist/%{name}-%{version}.tar.gz
Patch0:         eblook-strcpy.patch
Patch1:         eblook-size_t.patch
Patch2:         eblook-ssize_t.patch

BuildRequires:  eb-devel
BuildRequires:	automake, libtool
Source44: import.info

%description
Command-line EB and EPWING dictionary search program.


%prep
%setup -q
%patch0 -p1
%patch1 -p2
%patch2 -p1
for i in NEWS README; do
    iconv -f ISO-2022-JP -t UTF-8 $i > ${i}.UTF-8
    mv ${i}.UTF-8 $i
done
autoreconf -fi


%build
%configure --with-eb-conf=%{_libdir}/eb.conf
%make_build


%install
make install DESTDIR=$RPM_BUILD_ROOT

# convert info file to utf-8
( cd $RPM_BUILD_ROOT%{_infodir}
  %{_bindir}/iconv -f EUC-JP -t UTF-8 eblook.info > eblook.info.utf8 && mv -f eblook.info{.utf8,} || rm eblook.info.utf8
)

rm -f $RPM_BUILD_ROOT%{_infodir}/dir

%files
%doc AUTHORS COPYING NEWS README
%{_bindir}/eblook
%{_infodir}/eblook.info*


%changelog
