Group: Other
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           ec2-metadata
Version:        0.1.1
Release:        alt2_13
Summary:        EC2 instance metadata query tool 

# note web site says "Apache License 2.0", but code actually bears
# an MIT-style license.
License:        MIT
URL:            http://aws.amazon.com/code/1825
Source0:        http://s3.amazonaws.com/ec2metadata/ec2-metadata

Requires:       bash sh, curl

BuildArch:      noarch
Source44: import.info


%description
A simple bash script that uses curl to query the EC2 instance metadata from
within an instance running in Amazon EC2 or another cloud provider with a
compatible metadata service.
 
%prep
# none

%build
# none

%install
install -d $RPM_BUILD_ROOT/%{_bindir}
install -p -m 755 %{SOURCE0} $RPM_BUILD_ROOT/%{_bindir}/

%files
%defattr(755, root, root, -)
%{_bindir}/%{name}


%changelog
