Group: Office
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           echo-artist
Version:        0.1.1
Release:        alt2_20
Summary:        Automation tools for echo-icon-theme artists

License:        LGPLv2+
URL:            https://fedorahosted.org/echo-icon-theme/
Source0:        https://fedorahosted.org/releases/e/c/echo-icon-theme/%{name}-%{version}.tar.gz
BuildArch:      noarch

Requires:       git
Requires:       icon-naming-utils
Requires:       inkscape
Requires:       erb
Source44: import.info

%description
Set of scripts for echo-icon-theme artists useful for setting up and maitaining
their local git repository and creating and adding new icon sets to it.

%prep
%setup -q


%build


%install
mkdir -p %{buildroot}%{_bindir}
cp --preserve=timestamps echo-add-icon %{buildroot}%{_bindir}/
cp --preserve=timestamps echo-new-icon %{buildroot}%{_bindir}/
cp --preserve=timestamps echo-set-up %{buildroot}%{_bindir}/
cp --preserve=timestamps echo-update %{buildroot}%{_bindir}/
mkdir -p %{buildroot}%{_datadir}/%{name}
cp --preserve=timestamps echo-one-canvas-template.svg %{buildroot}%{_datadir}/%{name}/



%files
%doc AUTHORS COPYING CREDITS
%{_bindir}/*
%{_datadir}/%{name}

%changelog
