Group: Other
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global srcname print
%global appname io.elementary.print

Name:           elementary-print
Summary:        Simple shim for printing support via Contractor
Version:        0.1.3
Release:        alt2_6
License:        GPLv3+

URL:            https://github.com/elementary/%{srcname}
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  meson
BuildRequires:  vala vala-tools

BuildRequires:  pkgconfig(gtk+-3.0)

Requires:       contractor
Source44: import.info


%description
Simple shim for printing support via Contractor.


%prep
%setup -q -n %{srcname}-%{version}



%build
%meson
%meson_build


%install
%meson_install


%files
%{_bindir}/%{appname}

%{_datadir}/contractor/%{appname}.contract


%changelog
