Group: Other
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global srcname         sound-theme

Name:           elementary-sound-theme
Summary:        Set of system sounds for elementary
Version:        1.0
Release:        alt2_7
License:        Unlicense

URL:            https://github.com/elementary/%{srcname}
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  meson

BuildArch:      noarch
Source44: import.info


%description
A set of system sounds for elementary OS. Designed to be light, natural/
physical, and pleasant.


%prep
%setup -q -n %{srcname}-%{version}



%build
%meson
%meson_build


%install
%meson_install


%files
%doc README.md
%doc --no-dereference LICENSE

%{_datadir}/sounds/elementary/


%changelog
