Group: Editors
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-emacs
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global pkg lua
%global commit 2d9a468b94acd8480299d47449b53136060b7b23
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:		emacs-lua
Version:	20201010
Release:	alt1_1.20210121git2d9a468
Summary:	Lua major mode for GNU Emacs

License:	GPLv2+
URL:		http://immerrr.github.com/lua-mode
Source0:	https://github.com/immerrr/lua-mode/archive/%{commit}/lua-mode-%{shortcommit}.tar.gz
Source1:	lua-init.el
BuildArch:	noarch

BuildRequires:	emacs >= 24.3
Source44: import.info

%description
A GNU Emacs major mode for editing Lua code.

%prep
%setup -q -n lua-mode-%{commit}


%build
%byte_compile_file lua-mode.el

%install
mkdir -p %{buildroot}%{_emacslispdir}/%{pkg}
mkdir -p %{buildroot}%{_emacs_sitestart_dir}
install -p -m 0644 lua-mode.el %{buildroot}%{_emacslispdir}/%{pkg}
install -p -m 0644 lua-mode.elc %{buildroot}%{_emacslispdir}/%{pkg}
install -p -m 0644 %{SOURCE1} %{buildroot}%{_emacs_sitestart_dir}

%files
%doc --no-dereference COPYING
%doc NEWS README.md
%{_emacslispdir}/%{pkg}
%{_emacs_sitestart_dir}/lua-init.el

%changelog
