Group: Other
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           eot-utils
Version:        1.1
Release:        alt2_19
Summary:        Tools to convert OTF/TTF to EOT font format and show its metadata

License:        W3C
URL:            http://www.w3.org/Tools/eot-utils/
Source0:        http://www.w3.org/Tools/%{name}/eot-utilities-%{version}.tar.gz

BuildRequires:  gcc
Source44: import.info
%description
The eot-utils are the two programs mkeot and eotinfo.
The former creates an EOT (Embedded OpenType) file from an OpenType
or TrueType font and the URLs of one or more Web pages, respecting
the TrueType embedding bits.
The eotinfo program displays EOT metadata in a human-readable way.


%prep
%setup -q -n eot-utilities-%{version}

%build
%configure
%make_build

%install
make install DESTDIR=%{buildroot} INSTALL="install -p"

%files
%{_bindir}/mkeot
%{_bindir}/eotinfo
%doc %{_mandir}/man1/mkeot.1*
%doc %{_mandir}/man1/eotinfo.1*


%changelog
