Group: Other
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           ethstatus
Version:        0.4.9
Release:        alt2_3
Summary:        Console-based ethernet statistics monitor

License:        GPLv2+
URL:            http://packages.debian.org/stable/net/ethstatus
Source0:        http://http.debian.net/debian/pool/main/e/ethstatus/%{name}_%{version}.tar.xz

BuildRequires:  gcc
BuildRequires:  libncurses++-devel libncurses-devel libncursesw-devel libtic-devel libtinfo-devel
Source44: import.info

%description
EthStatus is a simple, easy to use program for displaying commonly 
needed / wanted statistics in real time about ingoing and outgoing
traffic that is usually hard to find, with a simple, efficient
interface.  

%prep
%setup -q -n %{name}-%{version}


%build
%make_build CFLAGS="%{optflags}"

%install
install -Dp -m 0755 %{name} %{buildroot}%{_bindir}/%{name}
install -Dp -m 0644 %{name}.1 %{buildroot}%{_mandir}/man1/%{name}.1

%files
%doc CHANGELOG README THANKS
%doc --no-dereference COPYRIGHT
%{_mandir}/man*/%{name}*.*
%{_bindir}/%{name}

%changelog
