# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name: eye
Version:1.4.1
Release: alt1_10
Summary: Small image feature detector using machine learning

Group: Sciences/Astronomy
License: CeCILL
URL: http://www.astromatic.net/software/eye
Source0: http://www.astromatic.net/download/%{name}/%{name}-%{version}.tar.gz
Source44: import.info

%description
In EyE (Enhance Your Extraction) an artificial neural network
connected to pixels of a moving window (retina) is trained to
associate these input stimuli to the corresponding response in one or
several output image(s). The resulting filter can be loaded in
SExtractor to operate complex, wildly non-linear filters on
astronomical images. Typical applications of EyE include adaptive
filtering, feature detection and cosmetic corrections.

%prep
%setup -q

# fix build on aarch64
cp -af /usr/share/gnu-config/config.{guess,sub} autoconf/

%build
%configure
%make_build CFLAGS="%{optflags} -fcommon  -Wno-error=format-security"

%install
%makeinstall_std

%files
%{_bindir}/eye
%{_mandir}/man?/eye.*



%changelog
