# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define rel 22

Summary: Take screenshots from the framebuffer
Name: fb2png
Version: 0.1
Release: alt1_%{rel}.git85df73c
License: MIT
Group: System/Kernel and hardware
Url: https://github.com/AndrewFromMelbourne/fb2png
# from git: (cd ..; tar cfz fb2png{.tgz,/*})
Source0: https://github.com/AndrewFromMelbourne/fb2png/archive/master/%{name}.tar.gz
Source1: fb2png-0.1-index.html
BuildRequires:	pkgconfig(libpng)
Source44: import.info

%description
Utility to make screenshots from framebuffer.
It's mainly used by the installer.

%prep
%setup -q -n %{name}-master

cp %{SOURCE1} index.html

%build
%make_build CFLAGS="%{optflags}" LDFLAGS=""

%install
install -d %{buildroot}%{_bindir}
install -m755 fb2png %{buildroot}%{_bindir}/

%files
%doc index.html
%{_bindir}/*


%changelog
