Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-cmake rpm-macros-fedora-compat
BuildRequires: gcc-c++
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:		fcitx-hangul
Version:	0.3.1
Release:	alt2_12
Summary:	Hangul Engine for Fcitx
License:	GPLv2+
URL:		https://fcitx-im.org/wiki/Hangul
Source0:	http://download.fcitx-im.org/fcitx-hangul/%{name}-%{version}.tar.xz

BuildRequires:	gcc
BuildRequires:	ctest cmake, fcitx-devel gettext gettext-tools, intltool, libhangul-devel
Requires:	fcitx
Source44: import.info

%description
Fcitx-hangul is a Hangul engine wrapper for Fcitx. It
Provides Korean input method from libhangul.

%prep
%setup -q -n %{name}-%{version}

%build
%{fedora_v2_cmake}
%fedora_v2_cmake_build

%install
%fedora_v2_cmake_install

%find_lang %{name}

%files -f %{name}.lang
%doc COPYING AUTHORS README
%{_libdir}/fcitx/%{name}.so
%{_datadir}/fcitx/addon/%{name}.conf
%{_datadir}/fcitx/inputmethod/hangul.conf
%{_datadir}/fcitx/configdesc/%{name}.desc
%{_datadir}/fcitx/imicon/hangul.png
%dir %{_datadir}/fcitx/hangul/
%{_datadir}/fcitx/hangul/symbol.txt
%{_datadir}/icons/hicolor/64x64/apps/%{name}.png
%{_datadir}/icons/hicolor/*/status/fcitx-hanja-active.png
%{_datadir}/icons/hicolor/*/status/fcitx-hanja-inactive.png

%changelog
