# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           fedpkg-minimal
Version:        1.1.0
Release:        alt1_3
Summary:        Script to allow fedpkg fetch to work

Group:          System/Base
License:        GPLv2+
URL:            https://pagure.io/%{name}
Source0:        https://releases.pagure.org/%{name}/%{name}-%{version}.tar.gz
Group:		Development/Other
Patch0:         0001-Read-BSD-formatted-sources.patch
Patch1:         0002-remove-the-in-two-steps.patch
Patch2:         0003-Make-curl-follow-redirects.patch
Patch3:         0004-Update-baseurl-to-src.fpo.patch


BuildArch:      noarch

Requires:       curl

Conflicts:      fedpkg
Source44: import.info


%description
Script for use in Koji to allow sources to be fetched

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build

%install
install -d %{buildroot}%{_bindir}
install -pm 755 bin/fedpkg %{buildroot}%{_bindir}/fedpkg


%files
%doc README.md LICENSE AUTHORS.md
%{_bindir}/fedpkg



%changelog
