# BEGIN SourceDeps(oneline):
BuildRequires: fontconfig-devel libXcursor-devel libXext-devel libXfixes-devel libXft-devel libXinerama-devel libXrender-devel
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:		flrig
Version:	1.3.53
Release:	alt1_1
Summary:	Transceiver control program for Amateur Radio use
License:	GPLv2+
Group:		Communications
URL:		http://www.w1hkj.com/flrig-help/
Source0:	https://sourceforge.net/projects/fldigi/files/%{name}/%{name}-%{version}.tar.gz
BuildRequires:	gcc-c++
BuildRequires:	gcc
BuildRequires:	libfltk-devel
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xmlrpc)
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	pkgconfig(libpng)
Source44: import.info

%description
Flrig is a transceiver control program designed to be used either stand
alone or as an adjunct to fldigi. The user interface changes to accommodate
the degree of CAT support available for the transceiver in use.
The back end control code for each transceiver is unique to flrig.
No additional libraries or definition files are required.

%prep
%setup -q

%build
%configure
%make_build

%install
%makeinstall_std

%files
%doc AUTHORS ChangeLog README
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.xpm


%changelog
