Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires: perl(IO/File.pm) perl(IO/Handle.pm)
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           flterm
Version:        1.2
Release:        alt2_17
Summary:        Firmware download program
License:        GPLv3
URL:            http://milkymist.org

Source0:        https://github.com/milkymist/milkymist/archive/milkymist-Release_%{version}.tar.gz
Patch0:         flterm-1.2-use-rpm-opt-flags-debug-empty.patch
BuildRequires:  clang
ExcludeArch:    s390 s390x sparcv9
Source44: import.info

%description
%{name} is a serial terminal, and firmware download program.

%prep
%setup -q -n milkymist-Release_%{version}
%patch0 -p1 

%build
cd tools
make CC=gcc flterm


%install
install -d %{buildroot}%{_bindir}
install -p tools/flterm %{buildroot}%{_bindir}/


%files
%{_bindir}/%{name}

%changelog
