Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-cmake rpm-macros-fedora-compat
BuildRequires: unzip
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global revision 70
%global releasedate 2012.02.01

Name:             fontaine
Version:          0
Release:          alt2_27.svn%{revision}
Summary:          Font file meta information utility
License:          GPLv2+
URL:              http://unifont.org/fontaine/

Source0:          https://sourceforge.net/code-snapshots/svn/f/fo/fontaine/code/fontaine-code-r%{revision}-trunk.zip

BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:    ctest cmake gettext gettext-tools doxygen
BuildRequires:    libfreetype-devel
Source44: import.info

%description
Fontaine is a command-line utility that displays key meta information about
font files, including but not limited to font name, style, weight,
glyph count, character count, copyright, license information  and 
orthographic coverage.

%prep
%setup -q -n fontaine-code-r%{revision}-trunk
find -type d -name .svn | xargs -r rm -rf

%build
%{fedora_v2_cmake} -DCMAKE_POLICY_DEFAULT_CMP0057=NEW
%fedora_v2_cmake_build

%install
%fedora_v2_cmake_install

%find_lang %{name}

%files -f %{name}.lang
%doc documentation doxygen/html
%{_bindir}/%{name}

%changelog
