Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: gcc-c++ perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global gittag 20190131

Name:           fpdns
Epoch:          1
Version:        0.10.0
Release:        alt2_7.%{gittag}
Summary:        Fingerprint DNS servers
License:        BSD
URL:            https://github.com/kirei/fpdns
Source0:        https://github.com/kirei/fpdns/archive/%{gittag}/%{name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  rpm-build-perl
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(Net/DNS.pm)
Source44: import.info


%description 
fpdns is a program that remotely determines DNS server versions. It does this 
by sending a series of borderline DNS queries which are compared against a 
table of responses and server versions.

%prep
%setup -q -n fpdns-%{gittag}


%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

# %{_fixperms} %{buildroot}/*

%check
make test

%files
%doc LICENSE
%{perl_vendor_privlib}/*
%{_mandir}/man1/*
%{_bindir}/fpdns

%changelog
