Group: Other
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}

Summary:	Display memory information graphically
Name:		freecolor
Version:	0.9.3
Release:	alt2_13

License:	MIT
URL:		http://www.rkeene.org/oss/freecolor/
Source0:	http://www.rkeene.org/files/oss/freecolor/freecolor-%{version}.tar.gz

BuildRequires:	gcc
Source44: import.info

%description
Freecolor displays the total amount of free and used physical and swap
memory in the system as a colored bargraph on the command line.


%prep
%setup -q


%build
%configure
%make_build


%install
install -Dpm 0755 free %{buildroot}/%{_bindir}/freecolor
install -Dpm 0644 freecolor.1 %{buildroot}/%{_mandir}/man1/freecolor.1


%files
%doc --no-dereference COPYING
%doc README
%{_bindir}/freecolor
%{_mandir}/man1/*.1*


%changelog
