Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/desktop-file-install unzip
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global waddir  %{_datadir}/doom

Name:           freedoom-freedm

Version:        0.12.1
Release:        alt2_4
Summary:        Doom styled first person shooter deathmatch game

License:        BSD
URL:            https://freedoom.github.io/
Source0:        https://github.com/freedoom/freedoom/releases/download/v%{version}/freedm-%{version}.zip
Source1:        freedoom-freedm.desktop
Source2:        freedoom-freedm.appdata.xml
Source3:        freedoom.png

BuildArch:      noarch
BuildRequires:  desktop-file-utils libappstream-glib
Requires:       prboom icon-theme-hicolor
Source44: import.info

%description
Freedoom: FreeDM is a 32-level Doom styled first person shooter
game designed for competitive deathmatch play. 

Freedoom: FreeDM uses all Free as in freedoom content combined with
the Open Source Doom engine.


%prep
%setup -q -n freedm-%{version}


%build
# Game data files.  Nothing to build!


%install
install -pD -m 0644 freedm.wad %{buildroot}/%{waddir}/freedm.wad
desktop-file-install --dir %{buildroot}/%{_datadir}/applications %{SOURCE1}
mkdir -p %{buildroot}%{_datadir}/appdata
install -p -m 644 %{SOURCE2} %{buildroot}%{_datadir}/appdata
appstream-util validate-relax --nonet %{buildroot}%{_datadir}/appdata/*.xml
mkdir -p %{buildroot}/%{_datadir}/icons/hicolor/48x48/apps/
install -p -m 644 %{SOURCE3} %{buildroot}/%{_datadir}/icons/hicolor/48x48/apps/



%files
%doc README.html CREDITS.txt
%doc --no-dereference COPYING.txt
%{waddir}/freedm.wad
%{_datadir}/appdata/freedoom-freedm.appdata.xml
%{_datadir}/applications/freedoom-freedm.desktop
%{_datadir}/icons/hicolor/48x48/apps/freedoom.png


%changelog
