BuildRequires: chrpath
# BEGIN SourceDeps(oneline):
BuildRequires: pkgconfig(gio-2.0) pkgconfig(gtk+-3.0)
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:		freetuxtv
Summary:	Freetuxtv - TV player
Version:	0.6.6
Release:	alt2_8
Source:		http://freetuxtv.googlecode.com/files/%{name}-%{version}.tar.gz
Patch0:         freetuxtv-0.6.6-fbsd-gtk2-fix.patch
URL:		http://freetuxtv.googlecode.com
Group:          Video
License:	GPLv2
Requires:	vlc-interface-qt vlc-mini
BuildRequires: gettext-tools libasprintf-devel
BuildRequires: pkgconfig(libcurl) >= 7.16.4
BuildRequires: gtk+2-devel
BuildRequires: glib2-devel >= 2.26.0
BuildRequires: pkgconfig(dbus-glib-1) >= 0.74
BuildRequires: pkgconfig(libnotify) >= 0.4.0
BuildRequires: pkgconfig(sqlite3) >= 3.4
BuildRequires: libvlc-devel >= 2.0.0
BuildRequires: intltool >= 0.35
Source44: import.info

%description
freetuxtv is a player for Television on Internet with french Free
or SFR (ex-Neuf) Internet service providers, and a lot of WebTV in
french languages in the world (Canada, Switzerland, Belgium, etc...).

%prep
%setup -q
%patch0 -p1


%build
%configure --disable-static --enable-shared --with-gtk=2.0
%make

%install
%makeinstall_std
%find_lang %{name}
# kill rpath
for i in `find %buildroot{%_bindir,%_libdir,/usr/libexec,/usr/lib,/usr/sbin} -type f -perm -111 ! -name '*.la' `; do
	chrpath -d $i ||:
done

%files -f %{name}.lang
%doc NEWS AUTHORS COPYING README ChangeLog
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/*
%{_libdir}/*.so.*
%exclude %{_libdir}/*.so
%exclude %{_includedir}


%changelog
