Group: System/Base
# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/desktop-file-install
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Summary: GTK frontend for anyRemote
Name: ganyremote
Version: 8.1
Release: alt2_2
License: GPLv3+
Source0: http://downloads.sourceforge.net/anyremote/%{name}-%{version}.tar.gz
URL: http://anyremote.sourceforge.net/
Requires: gtk3-demo libgail3 libgtk+3 libgtk+3-schemas, libgdk-pixbuf, python3-module-pybluez >= 0.9.1, bluez >= 4.64, anyremote >= 6.7
BuildRequires: gcc, desktop-file-utils gettext-tools libasprintf-devel
BuildArch: noarch
Source44: import.info

%description
gAnyRemote package is GTK GUI frontend for anyRemote 
(http://anyremote.sourceforge.net/) - remote control software for applications 
using Bluetooth or Wi-Fi.

%prep
%setup -q

%build
%configure

%install
make DESTDIR=$RPM_BUILD_ROOT install
desktop-file-install --vendor=""          \
  --add-category="System"                      \
  --delete-original                             \
  --dir=$RPM_BUILD_ROOT%{_datadir}/applications/ \
  $RPM_BUILD_ROOT/%{_datadir}/applications/%{name}.desktop
%find_lang %{name}

%changelog
