Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-setuptools
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Summary:       The gerrit client tools
Name:          gerrymander
Version:       1.5
Release:       alt2_22
Source0:       https://pypi.python.org/packages/source/g/%{name}/%{name}-%{version}.tar.gz
URL:           https://pypi.python.org/pypi/gerrymander
License:       ASL 2.0

BuildArch:     noarch

BuildRequires: python3-module-nose
BuildRequires: python3-devel
BuildRequires: python3-module-distribute
Requires:      python3-module-gerrymander
Source44: import.info

%package -n python3-module-gerrymander
Group: Other
Summary: The gerrit python3 client
License: GPLv2+
%{?python_provide:%python_provide python3-gerrymander}


%description
The gerrymander package provides a set of command line tools
for interacting with Gerrit

%description -n python3-module-gerrymander
The python3-gerrymander package provides a set of python3
modules for interacting with Gerrit.

%prep
%setup -q
find . -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'

# Remove any egg info (as of submitting this review, there's no bundled
# egg info)
rm -rf *.egg-info

%build
%python3_build

%install
%python3_install

%check
# setup.py's integration does 'python3 /usr/bin/nosetests', which isn't
# going to work. So we'll just call nosetests ourselves.
nosetests-%{__python3_version}

%files
%doc conf/gerrymander.conf-example
%{_bindir}/gerrymander

%files -n python3-module-gerrymander
%doc README LICENSE
%{python3_sitelibdir_noarch}/gerrymander/
%{python3_sitelibdir_noarch}/%{name}-%{version}-py3.*.egg-info

%changelog
