%define oldname layerfx-gimp
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define		_name layerfx.scm

Name:		gimp-plugin-layerfx
# version number not defined
# using version number from debian unstable package
Version:	2.4
Release:	alt1_9
Url:		http://registry.gimp.org/node/186
Source:		http://registry.gimp.org/files/%{_name}
Summary:	A series of GIMP scripts that implement various layer effects
License:	GPLv3+
Group:		Graphics

BuildArch:	noarch

Requires:	gimp
Source44: import.info

%description
This is a series of scripts that implement various layer effects:

- Drop Shadow
- Inner Shadow
- Outer Glow
- Inner Glow
- Bevel and Emboss
- Satin
- Color Overlay
- Gradient Overlay
- Pattern Overlay
- Stroke

Some effects can have contours (a.k.a. curves) and noise added to them. 
Effects can either be applied on a separate layer, or be merged 
into the active layer (which in some cases gives better results).

%install
mkdir -p %{buildroot}
install -D -m644 %{S:0} %{buildroot}%{_datadir}/gimp/2.0/scripts/%{_name}

%files
%{_datadir}/gimp/2.0/scripts/%{_name}


%changelog
