# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           git-archive-all
Version:        1.23.0
Release:        alt1_1
Summary:        Python script wrapper for git-archive that archives a git clone and its submodules
Group:          Development/Tools
License:        MIT
URL:            https://github.com/Kentzo/git-archive-all
Source0:        https://github.com/Kentzo/git-archive-all/archive/%{version}/%{name}-%{version}.tar.gz

BuildArch:      noarch
Source44: import.info

%description
Creates archive from the current state using
git ls-files --cached --full-name --no-empty-directory .
Supports for any level of submodules tree.
Files from submodules are extracted using the same command.

%prep
%setup -q

sed -i 's@^#! /usr/bin/env python$@#! /usr/bin/env python3@' git_archive_all.py

%build

%install
%makeinstall_std prefix=%{buildroot}%{_prefix}

%files
%doc README.rst
%{_bindir}/%{name}


%changelog
