# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name: 		git-info-bar
Version: 	1.2.0
Release: 	alt1_6
Summary: 	Shell plugin displaying various git attributes
License:	GPLv2
Group: 		Development/Other
Url: 		https://github.com/comwt/git-info-bar
Source0: 	https://github.com/downloads/comwt/git-info-bar/git-info-bar-%{version}.tar.gz
BuildArch:  noarch
Source44: import.info

%description
git-info-bar is a shell plugin that endeavors to provide a fast and pronounced
(highly visible) view of various git attributes when you are under the umbrella
of a git repository.  Its main feature, the 'info bar' (information bar),
displays the following:

- current branch (in 'red' if on master)
- current cksum (in 'red' if there are uncommitted changes and
  displays an 'uncommitted changes' message in the message area)
- stash count in the message area if you have stashes

The info bar is only displayed when you are in a git repository's path.

%prep
%setup -q

%build

%install
install -d -m 755 %{buildroot}%{_sysconfdir}/profile.d
install -m 644 source/git-info-bar/plugin.perl \
    %{buildroot}%{_sysconfdir}/profile.d/93git-info-bar.sh

%files
%doc README source/git-info-bar/License
%{_sysconfdir}/profile.d/93git-info-bar.sh



%changelog
