# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/gacutil /usr/bin/mono
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define git 662c5c1

Summary: Mono bindings for the GKeyFile library
Name: gkeyfile-sharp
Version: 0.1
Release: alt1_13
# https://github.com/mono/gkeyfile-sharp/tarball/GKEYFILE_SHARP_0_1
Source0: %{name}-%{version}.tar.gz
Patch0: gkeyfile-sharp-0.1-fix-dllimports.patch
License: LGPLv2+
Group: System/Libraries
Url: https://github.com/mono/gkeyfile-sharp
BuildArch: noarch
BuildRequires: pkgconfig(mono)
BuildRequires: glib2-devel
BuildRequires: libgtk-sharp2 >= 2.12.9
BuildRequires: pkgconfig(gapi-2.0)
Requires: glib2
#gw filter out deps from *.dll.config
%global __requires_exclude ^lib.*0$
Source44: import.info

%description
This is a Mono binding for the GKeyFile library.

%package devel
Summary: Development files for %name
Requires: %name = %version-%release
Group: Development/Other

%description devel
This is a Mono binding for the GKeyFile library.

%prep
%setup -q -n mono-%name-%git
sed -i "s#gmcs#mcs#g" configure.in
%patch0 -p1

./autogen.sh

%build
./configure --prefix=%_prefix --libdir=%_prefix/lib
%make_build

%install
%makeinstall_std pkgconfigdir=%_datadir/pkgconfig

%files
%doc AUTHORS
%_prefix/lib/mono/%name
%_prefix/lib/mono/gac/%name

%files devel
%_datadir/pkgconfig/%name.pc




%changelog
