Group: Toys
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:            gnome-nds-thumbnailer
Version:         3.0.0
Release:         alt2_17
Summary:         Thumbnailer for Nintendo DS ROM files

License:         GPLv2+
URL:             http://ftp.gnome.org/pub/GNOME/sources/%{name}
Source0:         http://ftp.gnome.org/pub/GNOME/sources/%{name}/3.0/%{name}-%{version}.tar.xz

BuildRequires:  gcc
BuildRequires:   libgdk-pixbuf-devel libgdk-pixbuf-gir-devel glib2-devel libgio libgio-devel
Source44: import.info

%description
Thumbnailer for Nintendo DS ROM files.

Nintendo DS files contain an embedded 16 colours, 32x32 icon, which
helps identify the ROM files. This application can display the images
in Nautilus.


%prep
%setup -q


%build
%configure --disable-schemas
%make_build


%install
make install DESTDIR=$RPM_BUILD_ROOT



%files
%doc README NEWS COPYING
%{_bindir}/gnome-nds-thumbnailer
%{_datadir}/thumbnailers/gnome-nds-thumbnailer.thumbnailer

%changelog
