Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Debian/Debhelper/Dh_Lib.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           gnome-pkg-tools
Version:        0.21.2
Release:        alt2_7
Summary:        Tools for the Debian GNOME Packaging Team

BuildArch:      noarch
License:        GPLv2+
URL:            http://packages.debian.org/unstable/%{name}
Source0:        http://ftp.de.debian.org/debian/pool/main/g/%{name}/%{name}_%{version}.tar.xz

BuildRequires:  rpm-build-perl
Requires:       debhelper
Source44: import.info

%description
This package contains some tools useful for the Debian GNOME Packaging Team
including:
 * Documentation.
 * The list of team members.
 * A number of rules files for CDBS that are helpful for GNOME
   packages - but may also be useful for others.
This package is useful when building Debian packages on Fedora, for instance
via pbuilder.


%prep
%setup -q -n %{name}-%{version}


%build
# Nothing to build

%install
install -d %{buildroot}%{_datadir}/%{name}
install -pm 0644 pkg-gnome.team %{buildroot}%{_datadir}/%{name}/pkg-gnome.team
install -pm 0644 control.header  %{buildroot}%{_datadir}/%{name}/control.header
cp -a 1 %{buildroot}%{_datadir}/%{name}/1
install -Dpm 0755 desktop-check-mime-types %{buildroot}%{_bindir}/desktop-check-mime-types
install -Dpm 0755 dh/dh_gnome %{buildroot}%{_bindir}/dh_gnome
install -Dpm 0755 dh/dh_gnome_clean %{buildroot}%{_bindir}/dh_gnome_clean
install -Dpm 0755 dh/gnome.pm %{buildroot}%{perl_vendor_privlib}/Debian/Debhelper/Sequence/gnome.pm
install -Dpm 0644 dh/dh_gnome.1 %{buildroot}%{_mandir}/man1/dh_gnome.1
install -Dpm 0644 dh/dh_gnome_clean.1 %{buildroot}%{_mandir}/man1/dh_gnome_clean.1
install -Dpm 0644 debian/desktop-check-mime-types.1 %{buildroot}%{_mandir}/man1/desktop-check-mime-types.1

%files
%doc --no-dereference debian/copyright
%{_bindir}/desktop-check-mime-types
%{_bindir}/dh_gnome
%{_bindir}/dh_gnome_clean
%{_datadir}/%{name}/
%{perl_vendor_privlib}/Debian/Debhelper/Sequence/gnome.pm
%{_mandir}/man1/dh_gnome.1*
%{_mandir}/man1/dh_gnome_clean.1*
%{_mandir}/man1/desktop-check-mime-types.1*


%changelog
