# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           gnome-shell-extension-topicons
Version:        27
Release:        alt1_1
Summary:        A gnome-shell extension for hibernation
Group:          Graphical desktop/GNOME 
License:        GPLv3+
URL:            https://github.com/phocean/TopIcons-plus
Source0:        https://github.com/phocean/TopIcons-plus/archive/TopIcons-plus-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  libgio
Requires:       gnome-shell gnome-shell-data
Source44: import.info

%description
Many applications, such as chat clients, downloaders, and some media players,
are meant to run long-term in the background even after you close their window.
These applications remain accessible by adding an icon to the GNOME Shell
Legacy Tray. However, the Legacy Tray is hidden until you push your mouse into
the lower-left of the screen and click on the small tab that appears. TopIcons
Plus brings all icons back to the top panel, so that it's easier to keep track
of apps running in the backround.

%prep
%setup -q -n TopIcons-plus-%{version}


%build
%make_build

%install
%makeinstall_std INSTALL_PATH=%{buildroot}%{_datadir}/gnome-shell/extensions/

%files
%doc gpl-2.0.txt README.md
%{_datadir}/gnome-shell/extensions/TopIcons@phocean.net


%changelog
