Group: Other
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global theme_name gnome-shell-selene
%global src_name gnome-shell-theme-selene_3.4.1-0ubuntu1~tista1
%global src_pkg gnome-shell-theme-selene_3.4.1-0ubuntu1~tista1.tar.gz
%global theme_dir gnome-shell-theme-selene-3.4.0
Name: gnome-shell-theme-selene
Version: 3.4.0
Release: alt2_20
Summary: The Selene gnome-shell theme
License: GPLv3 and LGPLv2.1
URL: https://launchpad.net/~tista/+archive/selene
Source0: https://launchpad.net/~tista/+archive/selene/+files/%{src_name}.tar.gz
Requires: gnome-shell-extensions
Requires: gnome-shell gnome-shell-data
BuildArch: noarch
Source44: import.info

%description
Selene is an "almost dark" theme based on elementary GTK theme,
inspired by the old Atolm GTK2 theme.

%prep
%setup -q %{theme_dir}

%build

%install
mkdir -p -m755 $RPM_BUILD_ROOT/%{_datadir}/themes/%{theme_name}/gnome-shell
cp -r %{_builddir}/%{theme_dir}/%{_datadir}/themes/%{theme_name}/gnome-shell/* $RPM_BUILD_ROOT/%{_datadir}/themes/%{theme_name}/gnome-shell/.

%files
%doc %{_datadir}/themes/%{theme_name}/gnome-shell/LICENSE
%dir %{_datadir}/themes/%{theme_name}
%dir %{_datadir}/themes/%{theme_name}/gnome-shell
%{_datadir}/themes/%{theme_name}/gnome-shell/*

%changelog
