Group: Other
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
# Warning:
# Anyone editing this spec file please make sure the same spec file
# works on other fedora and epel releases, which are supported by this software.
# No quick Rawhide-only fixes will be allowed.

Name:			gpaw-setups
Version:		0.9.20000
Release:		alt2_7
Summary:		Atomic GPAW setups

License:		GPLv3+
URL:			https://wiki.fysik.dtu.dk/gpaw/
Source0:		https://wiki.fysik.dtu.dk/gpaw-files/%{name}-%{version}.tar.gz

BuildArch:		noarch
Source44: import.info


%description
Atomic GPAW setups. A setup is to the PAW method what
a pseudo-potential is to the pseudo-potential method.


%prep
%setup -q -n %{name}-%{version}


%build


%install

mkdir -p %{buildroot}%{_datadir}/%{name}
install -p -m 444 *.{gz,pckl,txt} %{buildroot}%{_datadir}/%{name}


%files
%doc COPYING LICENSE
%{_datadir}/%{name}


%changelog
