# BEGIN SourceDeps(oneline):
BuildRequires: perl(Expect.pm) perl(Exporter.pm) perl(Fatal.pm) perl(IO/Select.pm) perl(IPC/Open2.pm) perl(IPC/Open3.pm) perl(JSON.pm) perl(MIME/Base64.pm) perl(Term/ReadLine.pm) perl(Try/Tiny.pm)
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:		gpgpwd
Version:	0.7.2
Release:	alt1_3
Summary:	Terminal-based password manager
Url:		http://random.zerodogg.org/gpgpwd/
License:	GPLv3+
Group:		File tools
Source0:	http://files.zerodogg.org/gpgpwd/%{name}-%{version}.tar.bz2
BuildArch:	noarch
Requires:	gnupg gnupg2
Requires:	xclip
Source44: import.info

%description
gpgpwd is a terminal-based password manager. It stores a list of passwords
in a GnuPG encrypted file, and allows you to easily retrieve, change and add
to that file as needed. It also generates random passwords that you can use,
easily allowing you to have one "master password" (for your GnuPG key), with
one unique and random password for each website or service you use, ensuring
that your other accounts stay safe even if one password gets leaked.

gpgpwd can also utilize git to allow you to easily synchronize your
passwords between different machines.


%prep
%setup -q

%build

%install
%makeinstall_std prefix=%{buildroot}%{_prefix}

%files
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*
%doc NEWS


%changelog
