Group: Engineering
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           grc
Version:        1.11.3
Release:        alt2_6
Summary:        Generic Colorizer

License:        GPLv2
URL:            http://korpus.juls.savba.sk/~garabik/software/grc.html
Source0:        https://github.com/garabik/grc/archive/v%{version}/%{name}-%{version}.tar.gz
BuildArch:      noarch
Source44: import.info

%description
Generic Colorizer is yet another colorizer for beautifying your log files or
output of commands.

%prep
%setup -q
# replace symlinks with plain files
rm COPYING CHANGES
cp debian/copyright COPYING
cp debian/changelog CHANGES
sed -i -e '/^#!\//, 1d' grc.fish grc.zsh
sed -i.bak -e 's/env python/python/' grc grcat

%build

%install
./install.sh $RPM_BUILD_ROOT%{_prefix} $RPM_BUILD_ROOT
mv $RPM_BUILD_ROOT%{_sysconfdir}/profile.d/grc.{bashrc,sh}

%files
%doc CREDITS README.markdown TODO CHANGES Regexp.txt
%doc --no-dereference COPYING
%{_bindir}/grc
%{_bindir}/grcat
%{_datadir}/grc/
%config(noreplace) %{_sysconfdir}/grc.conf
%config(noreplace) %{_sysconfdir}/grc.fish
%config(noreplace) %{_sysconfdir}/grc.zsh
%config(noreplace) %{_sysconfdir}/profile.d/grc.sh
%{_mandir}/man1/grc.1*
%{_mandir}/man1/grcat.1*

%changelog
