Group: Communications
# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/desktop-file-install
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           grig
Version:        0.8.1
Release:        alt2_11
Summary:        A Ham Radio Control graphical user interface

License:        GPLv2+
URL:            http://groundstation.sourceforge.net/grig/
Source0:        http://prdownloads.sourceforge.net/groundstation/%{name}-%{version}.tar.gz
Source1:        grig.desktop

BuildRequires:  gcc
BuildRequires:  hamlib-devel hamlib-tcl
BuildRequires:  libgtk+2-devel
BuildRequires:  desktop-file-utils
BuildRequires:  gettext gettext-tools intltool

Requires(post):   desktop-file-utils
Requires(postun): desktop-file-utils
Source44: import.info


%description
Grig is a graphical user interface for the Ham Radio Control
Libraries. It is intended to be simple and generic, presenting the
user to the same interface regardless of which radio he or she uses.

%prep
%setup -q

%build
%configure --disable-dependency-tracking
%make_build


%install
make install DESTDIR=$RPM_BUILD_ROOT

rm -fr $RPM_BUILD_ROOT%{_datadir}/%{name}

desktop-file-install \
        --dir $RPM_BUILD_ROOT%{_datadir}/applications %{SOURCE1}
%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS NEWS README ChangeLog COPYING
%{_bindir}/%{name}
%{_datadir}/pixmaps/%{name}
%{_datadir}/applications/*%{name}.desktop
%doc %{_mandir}/man1/%{name}*


%changelog
