Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-fedora-compat
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:		gti		
Version:	1.6.1
Release:	alt2_3
Summary:	Just a silly gti launcher
Patch0:		gti-1.2.0-nostrip.patch

License:	MIT
URL:		http://r-wos.org/hacks/%{name}
Source0:	https://github.com/rwos/%{name}/archive/v%{version}.tar.gz

BuildRequires:  gcc
Source44: import.info
%description
Just a silly gti launcher, basically Inspired by sl. It displays a ASCII-art 
animation to punish you for your typing error, after that it launches git.

%prep
%setup -q
%patch0 -p1 -b .nostrip

%build
%make_build  CFLAGS="%{optflags}" LDFLAGS="%{?__global_ldflags}" 

%install
make install DESTDIR=%{buildroot}

%files
%{_bindir}/%{name}
%{_mandir}/man6/%{name}.6*

%changelog
