# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define oname	hso-udev

Name:		hso-rezero
Version:	0.1
Release:	alt1_20
Summary:	Tools for Option 3G cards
Group:		System/Kernel and hardware
License:	GPL
URL:		http://www.pharscape.org/
# http://www.pharscape.org/component/option,com_forum/Itemid,68/page,viewtopic/t,425/
Source0:	%{oname}.tar.gz
Source2:	49_hso-udev.rules
Source44: import.info


%description
rezero is a utility to disable the ZeroCD (fake USB CD-Rom)
temporarily at run time for Option 3G cards.

%prep
%setup -q -c
make clean

# fix empty debugsourcefiles.list using ours compile flags
sed -i -e 's|-Wall -O|-Wall -O %{optflags}|' Makefile

%build

%make_build

%install
%makeinstall_std

rm -rf %{buildroot}/etc/udev/rules.d
mkdir -p %{buildroot}%{_udevrulesdir}
install -m 644 %{SOURCE2} %{buildroot}%{_udevrulesdir}/

%files
%{_sbindir}/*
%{_udevrulesdir}/*.rules


%changelog
