Group: Communications
# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/desktop-file-install
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:		ibp
Version:	0.21
Release:	alt2_24
Summary:	A tool to show which IBP beacons are transmitting

License:	GPLv2
URL:		http://wwwhome.cs.utwente.nl/~ptdeboer/ham/ibp.html
Source0:	http://wwwhome.cs.utwente.nl/~ptdeboer/ham/ibp-0.21.tgz
Source1:	ibp.desktop
Source2:	ibp.png

BuildRequires:  gcc
BuildRequires:	xorg-cf-files gccmakedep imake libncurses++-devel libncurses-devel libncursesw-devel libtic-devel libtinfo-devel, libX11-devel, desktop-file-utils
Source44: import.info
#Requires:	

%description
The International Beacon Project is a set of 18 amateur (ham) radio
transmitters around the world, each of which transmit every 3 minutes on a set
of 5 short-wave frequencies. This allows short-wave radio users to quickly
assess the current worldwide propagation conditions.
Much more information can be found on http://www.ncdxf.org/beacons.html


%prep
%setup -q
xmkmf


%build
make -e CFLAGS="%{optflags}" %{?_smp_mflags}


%install
mkdir -p %{buildroot}%{_bindir}
install -m 755 -p ibp %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_mandir}/man1
gzip ibp.1
install -m 644 -p ibp.1.gz %{buildroot}%{_mandir}/man1
# no upstream .desktop or icon yet
mkdir -p %{buildroot}%{_datadir}/pixmaps/
cp %{SOURCE2} %{buildroot}%{_datadir}/pixmaps/%{name}.png
desktop-file-install \
	--dir=%{buildroot}%{_datadir}/applications %{SOURCE1}



%files
%doc COPYING
%{_bindir}/ibp
%{_mandir}/man1/ibp.1*
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/%{name}.desktop


%changelog
