Group: System/Base
# BEGIN SourceDeps(oneline):
BuildRequires: glib2-devel
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:       ibus-fbterm
Version:    1.0.1
Release:    alt2_12
Summary:    IBus front-end for fbterm
License:    GPLv3
URL:        https://github.com/fujiwarat/ibus-fbterm
Source0:    https://github.com/fujiwarat/ibus-fbterm/releases/download/%{version}/%{name}-%{version}.tar.gz

Requires:         ibus python3-module-ibus-overrides, fbterm >= 1.6
BuildRequires:    gcc
BuildRequires:    ibus python3-module-ibus-overrides libibus-devel libibus-gir-devel
Source44: import.info

%description
ibus-fbterm is a input method for FbTerm based on IBus.

* To utilize framebuffer, user should be added into 'video' group, or install
  fbterm-udevrules package.

%prep
%setup -q

%build
%configure \
    --prefix=%{_prefix}
make %{?_smp_mflags}

%install
make install DESTDIR=$RPM_BUILD_ROOT INSTALL='install -p'

%files
%doc AUTHORS COPYING README
%{_bindir}/ibus-fbterm
%{_libexecdir}/ibus-fbterm-backend
%{_mandir}/man1/*

%changelog
