Group: System/Libraries
# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:       ibus-rawcode
Version:    1.3.2
Release:    alt2_20
Summary:    The Rawcode engine for IBus input platform
License:    GPLv2+
URL:        https://pagure.io/ibus-rawcode
Source0:    https://releases.pagure.org/ibus-sayura/%{name}-%{version}.tar.gz

BuildRequires:  gettext-tools libasprintf-devel
BuildRequires:  libtool
BuildRequires:  libibus-devel libibus-gir-devel


Requires: ibus python3-module-ibus-overrides
Source44: import.info

%description
The Rawcode engine for IBus platform.

%prep
%setup -q

%build
%configure --disable-static
# make -C po update-gmo
%make_build

%install
make DESTDIR=$RPM_BUILD_ROOT install INSTALL="install -p"

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS COPYING README
%{_libexecdir}/ibus-engine-rawcode
%{_datadir}/ibus-rawcode
%{_datadir}/ibus/component/*

%changelog
