# BEGIN SourceDeps(oneline):
BuildRequires: pkgconfig(xproto)
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name: ico
Version: 1.0.5
Release: alt2_3
Summary: Animate an icosahedron or other polyhedron
Group: Development/C
Source: http://xorg.freedesktop.org/releases/individual/app/%{name}-%{version}.tar.bz2
License: MIT

BuildRequires: pkgconfig(x11) >= 1.0.0
BuildRequires: xorg-util-macros >= 1.0.1
Source44: import.info
Url: http://xorg.freedesktop.org/

%description
Ico displays a wire-frame rotating polyhedron, with hidden lines removed,
or a solid-fill polyhedron with hidden faces removed.  There are a number of
different polyhedra available; adding a new polyhedron to the program is quite
simple.

%prep
%setup -q

%build
%configure

%make

%install
%makeinstall_std

%files
%{_bindir}/ico
%{_mandir}/man1/ico.1*


%changelog
