Group: Graphical desktop/Other
%define oldname echo-icon-theme
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define git_head cc6da5b
%define checkout 20081003
%define alphatag %{checkout}git%{git_head}

Name:           icon-theme-echo
Version:        0.3.89.0
Release:        alt3_0.33.%{alphatag}
Summary:        Echo icon theme

License:        CC-BY-SA
URL:            http://fedoraproject.org/wiki/Artwork/EchoDevelopment
Source0:        %{oldname}-%{version}.tar.bz2
BuildArch:      noarch
BuildRequires:  icon-naming-utils >= 0.8.7
#BuildRequires:  autoconf automake
Requires(post): libgail libgtk+2
# The following replacements for gnome-themes don't cover everything.
# Most of Mist (the fallback for echo) was provided by gnome-themes.
# Eventually that should get fixed or echo should be retired.
Requires:       gnome-icon-theme
Requires:       libgtk-engines-default
Source44: import.info

%description
This package contains the Echo icon theme.

%prep
%setup -n %{oldname}-%{version} -q

%build
%configure

%install
make install DESTDIR=%{buildroot}

touch %{buildroot}%{_datadir}/icons/Echo/icon-theme.cache
for rpm404_ghost in %{_datadir}/icons/Echo/icon-theme.cache
do
    mkdir -p %buildroot`dirname "$rpm404_ghost"`
    touch %buildroot"$rpm404_ghost"
done


%files
%doc COPYING ChangeLog AUTHORS
%{_datadir}/icons/Echo
%ghost %{_datadir}/icons/Echo/icon-theme.cache

%changelog
