# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/xmltoman
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Summary:	Tool to change the priority of IPv4 routes
Name:		ifmetric
Version:	0.3
Release:	alt1_19
License:	GPLv2+
Group: 		System/Configuration/Networking
Url: 		http://0pointer.de/lennart/projects/ifmetric/
Source0:	http://0pointer.de/lennart/projects/ifmetric/%{name}-%{version}.tar.bz2
# From Debian bug tracker:
# http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=514197#22
Patch0:		ifmetric-0.3-replybuf.patch
BuildRequires:	lynx
Source44: import.info

%description
ifmetric is a Linux tool for setting the metrics of all IPv4 routes
attached to a given network interface at once. This may be used to
change the priority of routing IPv4 traffic over the interface.
Lower metrics correlate with higher priorities.

%prep
%setup -q
%patch0 -p1


%build
%configure --disable-xmltoman
%make_build

%install
%makeinstall_std

%files
%{_sbindir}/%{name}
%{_mandir}/man8/%{name}.*


%changelog
