Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires: unzip
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:		inkscape-psd
Version:	0.1.1
Release:	alt2_14
Summary:	Inkscape PSD Importer
License:	BSD
URL:		http://pernsteiner.org/inkscape/psd_import/
Source:		http://pernsteiner.org/inkscape/psd_import/inkscape-psd_import-%{version}.zip
Patch0:         inkscape-psd-python3.patch
Requires:	inkscape
Requires:	python3
BuildArch:	noarch
Source44: import.info

%description
This Inkscape extension allows you to load Photoshop PSD files.

%prep
%setup -q -c %{name}-%{version}

%patch0 -p1

# Documentation of Licence (as it written in every file) :
ln -s %{_datadir}/inkscape/extensions/psd_import/__init__.py LICENSE

%build
# Nothing to build.

%install
mkdir -p %{buildroot}%{_datadir}/inkscape/extensions
cp -p psd_import.inx %{buildroot}%{_datadir}/inkscape/extensions
cp -p psd_import_main.py %{buildroot}%{_datadir}/inkscape/extensions
cp -rp psd_import %{buildroot}%{_datadir}/inkscape/extensions

%files
%doc --no-dereference LICENSE
%{_datadir}/inkscape/extensions/*

%changelog
