# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-helper
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define service ct_sync

Summary: Invictus Firewall
Name: invictus-firewall
Version: 0.1
Release: alt1_18
Source0: %{service}.init
Source1: %{service}.sysconfig
Source2: ucarp-action.sh
Source3: ucarp-up.sh
Source4: ucarp-down.sh
License: GPL
Group: System/Configuration/Networking
Url: http://www.mandriva.com/
BuildArch: noarch
Requires(post):  rpm-helper
Requires(preun): rpm-helper
Requires: ucarp
Source44: import.info


%description
Invictus Firewall allows to setup a redundant firewall using ucarp to
handle failover and ct_sync to replicate connection tracking state.

%prep
%setup -q -c -T

%install
install -m755 -D %{SOURCE0} %{buildroot}%{_initrddir}/%{service}
install -m644 -D %{SOURCE1} %{buildroot}%{_sysconfdir}/sysconfig/%{service}
install -d %{buildroot}%{_datadir}/%{name}/
install -m755 %{SOURCE2} %{SOURCE3} %{SOURCE4} %{buildroot}%{_datadir}/%{name}/

%post
%_post_service %{service}

%preun
%_preun_service %{service}

%files
%{_initrddir}/%{service}
%config(noreplace) %{_sysconfdir}/sysconfig/%{service}
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/ucarp-*.sh


%changelog
