Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-setuptools
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global pypi_name ioc_writer

Name:           ioc-writer
Version:        0.3.3
Release:        alt2_11
Summary:        Tool to create and edit OpenIOC objects

License:        ASL 2.0
URL:            https://github.com/mandiant/ioc_writer
Source0:        %{url}/archive/v%{version}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-module-distribute
BuildRequires:  python3-module-lxml
Source44: import.info

%description
A tool that allows for basic creation and editing of OpenIOC objects. It
supports a basic CRUD (create, read, update, delete) for various items.

%prep
%setup -q -n %{pypi_name}-%{version}


%build
%python3_build

%install
%python3_install

%check
%{__python3} setup.py test

%files
%doc README.md
%doc --no-dereference LICENSE
%{_bindir}/iocdump
%{_bindir}/openioc*
%{python3_sitelibdir_noarch}/*.egg-info
%{python3_sitelibdir_noarch}/%{pypi_name}/

%changelog
