Group: Other
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           ipv6gen
Version:        1.0
Release:        alt2_9
Summary:        IPv6 prefix generator
License:        GPLv2
URL:            https://github.com/vladak/%{name}

Source0:        https://github.com/vladak/%{name}/archive/%{version}/%{name}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  rpm-build-perl
Source44: import.info


%description
ipv6gen is a tool which generates lists of IPv6 prefixes using the
process described by RFC 3531.


%prep
%setup -q



%install
install -Dp -m 0755 check-overlap.pl $RPM_BUILD_ROOT/%{_bindir}/check-overlap
install -Dp -m 0755 ipv6gen.pl       $RPM_BUILD_ROOT/%{_bindir}/ipv6gen
install -Dp -m 0644 ipv6gen.1        $RPM_BUILD_ROOT/%{_mandir}/man1/ipv6gen.1


%files
%doc --no-dereference LICENSE
%doc Changelog.txt
%{_bindir}/check-overlap
%{_bindir}/ipv6gen
%{_mandir}/man1/ipv6gen.1*


%changelog
