# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Summary:	The ipxping utility
Name:		ipxping
Version:	0.0
Release:	alt1_11
License:	Public Domain
Group:		Networking/Other
URL:		ftp://ftp.metalab.unc.edu/pub/Linux/system/Network/
Source0:	ftp://sunsite.unc.edu/pub/Linux/system/Network/%{name}-%{version}.tar.gz
Patch0:		ipxping-kernel-2.2.patch
Requires:	ipxutils
Source44: import.info

%description
This is Linux version of IPXPING wich was originally written for SUN machine
using the /dev/nit interface, by Stephen Clover <cloverst@kai.ee.cit.ac.nz>
and Justin Hoon <hoonju@kai.ee.cit.ac.nz>.

%prep

%setup -q -n %{name}
%patch0 -p0


%build
gcc %{optflags} -o ipxping ipxping-linux.c

%install
install -d %{buildroot}%{_bindir}
install -d %{buildroot}%{_mandir}/man1

install ipxping %{buildroot}%{_bindir}
install ipxping.1 %{buildroot}%{_mandir}/man1

%files
%doc README*
%attr(0755,root,root) %{_bindir}/ipxping
%{_mandir}/man1/ipxping.1*




%changelog
