Group: Communications
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:               irssi-xmpp
Version:            0.54
Release:            alt2_9
Summary:            XMPP plugin into irssi
License:            GPLv2
URL:                http://cybione.org/~irssi-xmpp/
Source0:            http://cybione.org/~irssi-xmpp/files/%{name}-%{version}.tar.gz

BuildRequires:	irssi-devel
BuildRequires:	libloudmouth-devel
BuildRequires:	gcc

Patch0:             irssi-xmpp-0.52-config.patch

Requires: irssi irssi-otr irssi-perl
Requires: libloudmouth
Source44: import.info

%description
Irssi-xmpp is an irssi plugin to connect to the Jabber network.

%prep
%setup -q
%patch0 -p1 -b .config

%build
make PREFIX=%{_prefix} %{?_smp_mflags} RH_FLAGS="$RPM_OPT_FLAGS"

%install
make PREFIX=%{_prefix} IRSSI_LIB=%{_libdir}/irssi install DESTDIR=$RPM_BUILD_ROOT

rm -rf $RPM_BUILD_ROOT%{_prefix}/share/doc/
rm -rf $RPM_BUILD_ROOT%{_prefix}/share/irssi

%files
%doc docs/* help/* README.md NEWS TODO
%doc --no-dereference COPYING
%{_libdir}/irssi/modules/libfe_xmpp.so
%{_libdir}/irssi/modules/libtext_xmpp.so
%{_libdir}/irssi/modules/libxmpp_core.so

%changelog
