Group: Networking/WWW
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global srcname jabber_roster

Name:           jabber-roster
Version:        0.1.1
Release:        alt1_17
Summary:        A Python tool for listing your Jabber roster contacts

License:        AGPLv3
URL:            https://github.com/kparal/jabber-roster
Source0:        http://launchpad.net/%{name}/trunk/%{version}/+download/%{name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python-devel
BuildRequires:  python-module-pkg_resources python-module-setuptools

Requires:       python-module-xmpp
Source44: import.info

%description
A small Python tool for listing your Jabber roster contacts. You can
use it to easily backup list of your buddies.

%prep
%setup -q
sed -i -e '/^#!\//, 1d' jabber_roster.py

%build
%python_build

%install
%python_install

%files
%doc README
%{_bindir}/%{name}
%{python_sitelibdir_noarch}/%{srcname}.p*
%{python_sitelibdir_noarch}/%{srcname}-*.egg-info

%changelog
