Group: Engineering
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Exporter.pm)
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:		jday
Version:        2.4
Release:        alt2_26
Summary:        A simple command to convert calendar dates to julian dates
License:        BSD
URL:            http://sourceforge.net/projects/jday/
Source0:	http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz

# https://bugzilla.redhat.com/797815
Conflicts: netatalk
Source44: import.info

%description
A simple command to convert calendar dates to julian dates. 
Quite useful in timing situations where you need elapsed time between dates. 
Also useful for astronomy applications. 

%package devel
Group: Development/Other
Summary:        Development files for jday
Requires:       %{name} = %{version}-%{release}
BuildRequires:  gcc-c++

%description devel
Contains library and header files for developing applications that use jday

%prep
%setup -q


%build
%configure --disable-static
%make_build

%install
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'



%files
%doc ChangeLog README AUTHORS NEWS
%{_bindir}/dbd
%{_bindir}/j2d
%{_bindir}/jday
%{_mandir}/man1/jday.1*
%{_libdir}/libjday.so.2.0.4
%{_libdir}/libjday.so.2

%files devel
%{_includedir}/jday.h
%{_libdir}/libjday.so
%{_libdir}/pkgconfig/jday.pc

%changelog
