Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-fedora-compat
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Summary: Serial line sniffer including very simple terminal emulator
Name: jpnevulator
Version: 2.3.6
Release: alt2_3
License: GPLv2+
URL: http://jpnevulator.snarl.nl/
Source: http://jpnevulator.snarl.nl/download/%{name}-%{version}.tgz
BuildRequires: gcc
Source44: import.info

%description
Jpnevulator is a handy serial sniffer. You can use it to send data on a serial
device too. You can read or write from/to one or more serial devices at the
same time.

%prep
%setup -q

%build
%make_build CFLAGS="%{optflags}" %{?__global_ldflags: LDFLAGS="%{__global_ldflags}"}

%install
make DESTDIR=%{buildroot} INSTALL="install -p" install

%files
%doc AUTHORS BUGS COPYING Changelog FAQ README TODO

%{_bindir}/*
%{_mandir}/*/*

%changelog
