Group: Other
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           json-table
Version:        4.3.3
Release:        alt2_5
Summary:        Command-line tool to transform nested JSON into tabular data

License:        EPL-1.0
URL:            https://github.com/micha/%{name}
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  gcc
Source44: import.info

%description
Jt reads UTF-8 encoded JSON forms from stdin and writes tab separated values
(or CSV) to stdout. A simple stack-based programming language is used to
extract values from the JSON input for printing.

%prep
%setup -q

sed -i -e /-static/d -e '/PREFIX :=/d' Makefile

%build

%make_build

%install
%makeinstall_std PREFIX=%{buildroot}%{_prefix}

%check
make test

%files
%doc --no-dereference LICENSE
%doc README.md
%doc *.html *.css *.ronn
%{_bindir}/jt
%{_mandir}/man1/jt.1*

%changelog
