# BEGIN SourceDeps(oneline):
BuildRequires: gem-pg-devel glib2-devel
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           kbtin
Version:        1.0.19
Release:        alt1_2
Summary:        A very heavily extended clone the TinTin++ MUD client
Group:          Games/Other
License:        GPLv2+
URL:            http://kbtin.sourceforge.net
Source0:        http://downloads.sf.net/kbtin/%{name}-%{version}.tar.xz

BuildRequires:  pkgconfig(zlib)
BuildRequires:  pkgconfig(gnutls)

Requires:       colorized-logs
Source44: import.info

%description
KBtin is a console-based MUD client, which means it is meant to be used as a
client to play MUDs (multiplayer text-based games : MUD stands for Multi-User
Dungeon).
It is highly configurable and features everything a MUD client must have,
maybe more.
It improves on the well known TinTin++ MUD client.

%prep
%setup -q

%build
%configure
%make_build

%install
%makeinstall_std

%files
%doc AUTHORS BUGS COPYING ChangeLog FAQ KEYPAD NEWS OLDNEWS README
%{_bindir}/KBtin
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_mandir}/man6/KBtin.6*
%{_mandir}/man6/%{name}.6*


%changelog
