Group: System/Base
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           kcbench
Version:        0.9.2
Release:        alt1_1
Summary:        Benchmark that compiles a Linux kernel

License:        MIT
URL:            https://gitlab.com/knurd42/kcbench
Source0:        https://gitlab.com/knurd42/kcbench/-/archive/v%{version}/kcbench-v%{version}.tar.bz2

BuildArch:      noarch


# needed for compiling a modern Linux kernels:
Requires:       make
Requires:       gcc
Requires:       binutils
Requires:       bison
Requires:       flex
Requires:       %{_bindir}/awk
Requires:       %{_bindir}/time
Requires:       %{_bindir}/bc
Requires:       %{_bindir}/lscpu
Requires:       %{_bindir}/pkill
Requires:       /usr/bin/pkg-config
Requires:       curl
Source44: import.info

%description
Compiles a Linux kernel to benchmark a system or test its stability.


%prep
%setup -q -n %{name}-v%{version}
echo "Nothing to prep"


%build
echo "Nothing to build"


%install
%{makeinstall_std} PREFIX=/usr/


%files
%{_bindir}/kcbench
%{_bindir}/kcbenchrate
%{_mandir}/man1/*
%{_docdir}/kcbench/

%changelog
