Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/kelbt /usr/bin/ragel
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           kelbt
Version:        0.16
Release:        alt2_12
Summary:        Backtracking LR Parsing

# aapl/ is the LGPLv2+
License:        GPLv2+ and LGPLv2+
URL:            http://freecode.com/projects/kelbt
Source0:        https://www.colm.net/files/%{name}/%{name}-%{version}.tar.gz
Patch0:         %{name}-signed-char.diff

BuildRequires:  gcc-c++
BuildRequires:  autoconf
BuildRequires:  automake

# Unfortunately, upstream doesn't exist and not possible to find version
Provides:       bundled(aapl)
Source44: import.info

%description
Kelbt generates backtracking LALR(1) parsers. Where traditional
LALR(1) parser generators require static resolution of shift/reduce
conflicts, Kelbt generates parsers that handle conflicts by
backtracking at runtime. Kelbt is able to generate a parser for any
context-free grammar that is free of hidden left recursion.

%prep
%setup -q
%patch0 -p1


%build
autoreconf -vfi
%configure
%make_build

%install
%makeinstall_std

%files
%doc --no-dereference COPYING
%doc ChangeLog
%{_bindir}/%{name}

%changelog
