Group: System/Base
%define fedora 32
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           keychecker
Version:        1.0
Release:        alt2_10
Summary:        Generate list of installed packages sorted by GPG key
License:        GPLv2+
URL:            https://github.com/jds2001/keychecker
Source0:        %{url}/archive/v%{version}.tar.gz
BuildArch:      noarch
%if 0%{?fedora}
Requires:       python3-module-rpm
%else
Requires:       rpm-python
%endif
%if 0%{?rhel} && 0%{?rhel} <= 6
Requires:       python-argparse
%endif
Source44: import.info


%description
Separately list rpm's based on the GPG key they were signed with


%prep
%setup -q
%if 0%{?fedora}
sed -e '1 s|python|python3|' -i key_checker.py
%endif


%install
install -Dpm 0755 key_checker.py %{buildroot}%{_bindir}/keychecker


%files
%doc --no-dereference LICENSE
%doc README known_keys.txt
%{_bindir}/keychecker


%changelog
