Group: Other
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           kmodtool
Version:        1
Release:        alt2_42
Summary:        Tool for building kmod packages
License:        MIT
URL:            http://rpmfusion.org/Packaging/KernelModules/Kmods2
# We are upstream, these files are maintained directly in pkg-git
Source1:        %{name}-kmodtool
Source2:        %{name}-kernel-variants
BuildArch:      noarch
Source44: import.info


%description
This package contains tools and list of recent kernels that get used when
building kmod-packages.


%prep
# nothing to prep


%build
# nothing to build


%install
mkdir -p -m 0755 %{buildroot}%{_bindir}
mkdir -p -m 0755 %{buildroot}%{_datadir}/%{name}
install -p -m 0755 %{SOURCE1} %{buildroot}%{_bindir}/kmodtool
install -p -m 0644 %{SOURCE2} %{buildroot}%{_datadir}/%{name}/kernel-variants

# adjust default-path
sed -i 's|^default_prefix=.*|default_prefix=%{_datadir}/%{name}/|'  \
 $RPM_BUILD_ROOT/%{_bindir}/kmodtool


%files
%{_bindir}/*
%{_datadir}/%{name}


%changelog
