# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++ unzip
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define rel	11

Summary:	GhostView and ImageMagick GUI for PDF/PS files
Name:		kpdftool
Version:	0.23.1
Release:	alt1_%{rel}
License:	GPL+
Group:		Publishing
URL:		http://www.kde-apps.org/content/show.php?content=33194
Source:		http://kde-apps.org/CONTENT/content-files/33194-kpdftool-%{version}.zip
BuildRequires:	libqt4-devel qt5-declarative-devel qt5-tools
Requires:	ImageMagick-tools
Requires:	gambit
Source44: import.info

%description
KPDFTool is a GUI interface for GhostView and ImageMagick
for performing basic and usefull operations with PDF and
PS (PostScript) files such as merge, extract pages and
protect the text into new files in a simple and practical way.

%prep
%setup -q

%build
%qmake_qt4
%make_build 

%install
install -d -m755 %{buildroot}%{_bindir}
install -m755 kpdftool %{buildroot}%{_bindir}

install -d -m755 %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/kpdftool.desktop << EOF
[Desktop Entry]
Name=KPDFTool
Comment=Operate on PDF files
Exec=%{_bindir}/kpdftool
Icon=publishing_section
Terminal=false
Type=Application
Categories=Office;Publishing;KDE;Qt;
EOF

%files
%doc README
%{_bindir}/kpdftool
%{_datadir}/applications/kpdftool.desktop


%changelog
