Group: Other
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           lbzip2-utils
Version:        1.0
Release:        alt2_17
Summary:        Utilities for working with bzip2 compressed files
License:        GPLv3+
URL:            http://lbzip2.org/
Source0:        http://archive.lbzip2.org/%{name}-%{version}.tar.gz

BuildRequires:  gcc

Requires:       lbzip2
Source44: import.info


%description
This package provides a collection of utility programs to work with
compressed files in bz2 format.  These utilities are supplementary to
lbzip2 compression tool.


%prep
%setup -q


%build
%configure
%make_build


%install
make install DESTDIR=%{buildroot}


%check
make check



%files
%doc AUTHORS COPYING NEWS README
%{_bindir}/*
%{_mandir}/man1/*


%changelog
