Group: Networking/WWW
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Net/LDAP.pm) perl(Net/LDAP/Entry.pm)
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global gittag R_3_1_0
Name:                           lcg-infosites
Version:                        3.1.0
Release:                        alt2_20
Summary:                        Command line tool for the WLCG information system
License:                        ASL 2.0
URL:                            https://github.com/EGI-Foundation/lcg-infosites
Source0:                        https://github.com/EGI-Foundation/lcg-infosites/archive/%{gittag}/%{name}-%{version}.tar.gz

BuildArch:                      noarch
BuildRequires:                  rpm-build-perl
Source44: import.info

%description
lcg-infosites is a simple command line tool in Perl for 
the WLCG information system

%prep
%setup -q -n lcg-infosites-%{gittag}


%build

%install
make install prefix=%{buildroot}

%files
%{_bindir}/lcg-infosites
%{_mandir}/man1/lcg-infosites.*

%changelog
