Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-setuptools
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           legofy
Version:        1.0.0
Release:        alt2_17
Summary:        Takes a image and makes it so that it looks as if it was built out of LEGO

License:        MIT
URL:            https://github.com/JuanPotato/Legofy
Source0:        https://pypi.python.org/packages/source/l/%{name}/%{name}-%{version}.tar.gz
Source1:        %{name}.1
Patch1:         legofy-format.patch

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-module-distribute
Requires:       python3-module-click
Requires:       python3-module-Pillow
Source44: import.info

%description
Legofy is a python program that takes a static image or gif and makes it so that
it looks as if it was built out of LEGO.


%prep
%setup -q
%patch1



%build
%python3_build

%install
%python3_install
install -pDm644 %{SOURCE1} %{buildroot}%{_mandir}/man1/legofy.1


%files
%{python3_sitelibdir_noarch}/*
%{_bindir}/*
%{_mandir}/man1/*
%doc README.md
%doc --no-dereference LICENSE

%changelog
