# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define major 0
%define libname libmaitretarot%{major}
%define libnamedevel libmaitretarot-devel

Summary: The Maitretarot library
Name: libmaitretarot
Version: 0.1.98
Release: alt1_23
License: GPLv2+
Group: Games/Cards
Source: http://www.nongnu.org/download/maitretarot/devel.pkg/%{version}/%{name}-%{version}.tar.bz2
URL: http://www.nongnu.org/maitretarot/
BuildRequires: glib2-devel
BuildRequires: libxml2-devel
Source44: import.info

%description
Maitretarot is a tarot server game. Libmaitretarot is a library for
both the server and any client.

%description -l fr
Maitretarot est le serveur pour un jeu de tarot. Libmaitretarot 
est une biblothque pour  la fois le serveur et n'importe quel client.

%package -n %libname
Summary: The Maitretarot library
Group: System/Libraries
Provides: %name = %version-%release

%description -n %libname
Maitretarot is a tarot server game. Libmaitretarot is a library
for both the server and any client.

%description -n %libname -l fr
Maitretarot est le serveur pour un jeu de tarot. Libmaitretarot
est une biblothque pour  la fois le serveur et n'importe quel client.

%package -n %libnamedevel
Summary: Development files from Libmaitretarot
Group: System/Libraries
Requires: %libname = %version-%release
Provides: %name-devel = %version-%release
Obsoletes: %{_lib}%{name}0-devel

%description -n %libnamedevel
This package is need to build application wich use Libmaitretarot.

%description -n %libnamedevel -l fr
Ce package est utilis pour compiler les applications qui utilise 
Libmaitretarot.

%prep
%setup -q

%build
# fix build on aarch64
autoreconf -vfi

%configure \
	--disable-static
%make_build

%install
%makeinstall_std

# install .m4 for libmt_client
install -Dpm644 libmaitretarot.m4 %{buildroot}%{_datadir}/aclocal/libmaitretarot.m4

#we don't want these
find %{buildroot} -name "*.la" -delete

%files -n %libname
%doc AUTHORS COPYING ChangeLog
%{_libdir}/libmaitretarot.so.%{major}*

%files -n %libnamedevel
%{_libdir}/libmaitretarot.so
%{_includedir}/maitretarot.h
%{_datadir}/aclocal/libmaitretarot.m4


%changelog
