Group: Other
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global commit0 bd275a72f85a64eae0f7543603631c5f4891e70a
%global gittag0 v2015.1
%global shortcommit0 %(c=%{commit0}; echo ${c:0:7}) 

Summary: Helper program for calling chroot(2) as non-root
Name: linux-user-chroot
Version: 2015.1
Release: alt2_12
#VCS: git:git://git.gnome.org/linux-user-chroot
# I used "git archive" 
Source0: https://git.gnome.org/browse/linux-user-chroot/snapshot/linux-user-chroot-%{version}.tar.xz
License: GPLv2+
URL: https://git.gnome.org/browse/linux-user-chroot
BuildRequires: autoconf automake libtool
BuildRequires: rdma-core-devel
BuildRequires: pkgconfig(libseccomp)
Source44: import.info

%description
A tool made for build systems that run as non-root, offering chroot(2)
and Linux container features to non-root users.
Only install this on systems for which local, authenticated denial of
service attacks are not a serious concern.

%prep
%setup -q

%build
env NOCONFIGURE=1 ./autogen.sh
%configure --enable-documentation
%make_build

%install
make install DESTDIR=$RPM_BUILD_ROOT

%files
%attr(4711,root,root) %{_bindir}/linux-user-chroot
%{_mandir}/man8/**

%changelog
