Group: Sound
BuildRequires: gcc-c++
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global pkgname lv2vocoder

Name:		lv2-vocoder-plugins
Version:	1
Release:	alt2_24
Summary:	Add a robotic effect to vocals
License:	GPLv2
URL:		http://download.gna.org/lv2vocoder/
Source0:	http://download.gna.org/lv2vocoder/%{pkgname}-%{version}.tar.bz2

BuildRequires:	gcc-c++
BuildRequires:	lv2-devel
Requires:	lv2
Source44: import.info

%description
Perhaps you don't know what a vocoder is, but you have heard one before for
sure. Vocoders are often used to add a robotic effect to vocals in music. 

%prep
%setup -q -n %{pkgname}-%{version}

# Don't hide anything
sed -i 's|\t@|\t|' GNUmakefile

%build
%make_build \
	CFLAGS="-c $RPM_OPT_FLAGS -fPIC -DPIC" \
	LDFLAGS="$RPM_LD_FLAGS"


%install
mkdir -p $RPM_BUILD_ROOT%{_libdir}/lv2
make install LV2_INSTALL_PATH="$RPM_BUILD_ROOT%{_libdir}/lv2"



%files
%doc README *.png
%doc --no-dereference gpl.txt
%{_libdir}/lv2/*


%changelog
