Group: File tools
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:		lxsplit
Version:	0.2.4
Release:	alt2_23
Summary:	File split / merge utility

License:	GPLv2+
URL:		http://lxsplit.sourceforge.net/
Source:		http://downloads.sourceforge.net/lxsplit/%{name}-%{version}.tar.gz
BuildRequires:	gcc
Source44: import.info

%description
lxSplit is a simple tool for splitting files and joining the splitted files 
on linux and unix-like platforms. Splitting is done without compression and 
large files (> 4 GB) are supported. lxSplit is fully compatible with the 
HJSplit utility which is available for other operating systems.



%prep
%setup -q

%build
make CFLAGS="$RPM_OPT_FLAGS" %{?_smp_flags}

%install
mkdir -p %{buildroot}/%{_bindir}
install -D -m755 lxsplit %{buildroot}/%{_bindir}/lxsplit

%files
%doc ChangeLog README
%doc --no-dereference COPYING
%{_bindir}/lxsplit

%changelog
