# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:		massmol
Version:	1.5.2
Release:	alt1_11
Summary:	Give infos of molecules
License:	GPLv3+
Group:		Sciences/Chemistry
# Nothing on-line?
#URL:		http://fr.congelli.eu/
Source0:	%{name}-%{version}.tar.gz
BuildRequires:	libwxGTK-contrib-gizmos-devel libwxGTK-contrib-ogl-devel libwxGTK-contrib-stc-devel libwxGTK-devel
Source44: import.info

%description
Give infos of molecules.


%prep
%setup -q

%build
# fix build on aarch64
autoreconf -vfi

%configure
%make_build AM_CXXFLAGS="-g"

%install
%makeinstall_std

%files
%doc AUTHORS COPYING ChangeLog README
%{_bindir}/massmol
%{_datadir}/applications/massmol.desktop
%{_mandir}/man1/massmol.1*
%{_datadir}/%{name}/
%{_datadir}/pixmaps/massmol-icon.png


%changelog
