# BEGIN SourceDeps(oneline):
BuildRequires: pkgconfig(glib-2.0) pkgconfig(gthread-2.0) pkgconfig(gtk+-2.0)
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           mednaffe
Version:        0.8.8
Release:        alt1_4
Summary:        Multi-platform front-end (GUI) for the Mednafen emulator (GTK+ 3)
Group:          Emulators
License:        GPLv3+
URL:            https://github.com/AmatCoder/mednaffe/
Source0:        https://github.com/AmatCoder/mednaffe/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  pkgconfig(gtk+-3.0)
Requires:       mednafen
Provides:       mednafen-frontend
Source44: import.info

%description
QMednafen is a Qt 5 GUI interface for Mednafen, the multi-platform
and multi-console emulator.

QMednafen brings to the user an interface that ease the process
of using Mednafen.

%prep
%setup -q


%build
autoreconf -vfi
%configure --enable-gtk3
%make_build

%install
%makeinstall_std

rm -rf %{buildroot}%{_datadir}/pixmaps

%files
%doc AUTHORS COPYING ChangeLog README
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.*


%changelog
