Group: Other
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           minimodem
Version:        0.24
Release:        alt2_11
Summary:        General-purpose software audio FSK modem

License:        GPLv3+
URL:            http://www.whence.com/minimodem/
Source0:        http://www.whence.com/minimodem/minimodem-%{version}.tar.gz
BuildRequires:  gcc
BuildRequires:  libfftw3-devel aserver libalsa libalsa-devel libsndfile-devel libpulseaudio-devel
Source44: import.info

%description
Minimodem is a command-line program which decodes (or generates) audio modem
tones at any specified baud rate, using various framing protocols. It acts a
general-purpose software FSK modem, and includes support for various standard
FSK protocols such as Bell103, Bell202, RTTY, NOAA SAME, and Caller-ID.

%prep
%setup -q

%build
%configure
%make_build

%install
make install DESTDIR=%{buildroot}

%check
cd tests
make check-TESTS

%files
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*

%doc AUTHORS ChangeLog COPYING NEWS README THANKS 

%changelog
