# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++ perl(CPAN.pm) perl(Carp.pm) perl(Config.pm) perl(Cwd.pm) perl(Digest/MD5.pm) perl(Encode.pm) perl(ExtUtils/MM_Unix.pm) perl(ExtUtils/MakeMaker.pm) perl(ExtUtils/Manifest.pm) perl(Fcntl.pm) perl(File/Basename.pm) perl(File/Find.pm) perl(File/Spec.pm) perl(FileHandle.pm) perl(IO/Socket/INET.pm) perl(IO/Socket/UNIX.pm) perl(JSON.pm) perl(JSON/XS.pm) perl(LWP/Simple.pm) perl(Log/Log4perl.pm) perl(Module/Build.pm) perl(Net/FTP.pm) perl(Parse/CPAN/Meta.pm) perl(Pod/Usage.pm) perl(Scalar/Util.pm) perl(Socket.pm) perl(Test/More.pm) perl(Test/Perl/Critic.pm) perl(Test/Pod/Coverage.pm) perl(Thread/Queue.pm) perl(Time/HiRes.pm) perl(YAML/Tiny.pm) perl(base.pm) perl(threads.pm) perl-devel
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define _disable_ld_no_undefined 1
%global _legacy_common_support 1

Name:		mk-livestatus
Version:	1.2.4p5
Release:	alt1_7
Summary:	Nagios Event Broker Module
Group:		System/Servers
License:	BSD
URL:		http://mathias-kettner.com/checkmk_livestatus.html
Source:		http://www.mathias-kettner.de/download/%{name}-%{version}.tar.gz
Requires:	nagios
Source44: import.info

%description
MKLivestatus is a brand new Nagios Event Broker (NEB) Module which can be used
to extend the core of Nagios. The MKLivestatus module provides access to the
live status information kept in the running Nagios process. It serves a unix
socket for data exchange with external scripts/addons.

%prep
%setup -q

%build
%configure
%make_build

%install
%makeinstall_std

install -d -m 775 %{buildroot}%{_sysconfdir}/nagios/conf.d
cat > %{buildroot}%{_sysconfdir}/nagios/conf.d/livestatus.cfg <<'EOF'
broker_module=%{_libdir}/mk-livestatus/livestatus.o %{_localstatedir}/spool/nagios/live
EOF

%files
%{_bindir}/unixcat
%{_libdir}/mk-livestatus
%{_sysconfdir}/nagios/conf.d/livestatus.cfg


%changelog
