Group: Editors
BuildRequires: gcc-c++
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:		moe
Version:	1.11
Release:	alt2_2
Summary:	A powerful clean text editor

License:	GPLv3+
URL:		http://www.gnu.org/software/moe/moe.html
Source0:	http://ftp.gnu.org/gnu/moe/moe-%{version}.tar.lz
Patch0:		moe-1.5-configure.patch

BuildRequires:	libncurses++-devel libncurses-devel libncursesw-devel libtic-devel libtinfo-devel lzip gcc-c++
Source44: import.info

%description
GNU Moe is a powerful, 8-bit clean, text editor for ISO-8859 and ASCII 
character encodings. It has a modeless, user-friendly interface, online 
help, multiple windows, unlimited undo/redo capability, unlimited line 
length, global search/replace (on all buffers at once), block operations, 
automatic indentation, word wrapping, filename completion, directory 
browser, duplicate removal from prompt histories, delimiter matching, etc.

%prep
%setup -q
%patch0 -p0 -b .configure

%build
%configure
%make_build

%install
make install INSTALL="install -p" DESTDIR=$RPM_BUILD_ROOT
install -p -d $RPM_BUILD_ROOT%{_mandir}/man1 
install -p -m 644 ./doc/moe.1 $RPM_BUILD_ROOT%{_mandir}/man1/
rm -f $RPM_BUILD_ROOT%{_infodir}/dir

%files
%doc AUTHORS README NEWS ChangeLog
%doc --no-dereference COPYING
%{_datadir}/info/%{name}.info*
%config(noreplace) %{_sysconfdir}/%{name}rc
%{_bindir}/%{name}
%{_mandir}/man1/%{name}*

%changelog
