Group: Office
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-fedora-compat
BuildRequires: /usr/bin/desktop-file-install pkgconfig(glade-sharp-2.0) pkgconfig(glib-sharp-2.0) pkgconfig(gtk-sharp-2.0)
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Summary: Manage your SIM Card contacts
Name: monosim
Version: 1.5.2
Release: alt2_23
License: GPLv2
URL: http://www.integrazioneweb.com/monosim
Source: http://www.integrazioneweb.com/repository/SOURCES/%{name}-%{version}.tar.gz

BuildRequires: libgtk-sharp2-devel >= 2.8.3
BuildRequires: mono-core mono-data mono-data-sqlite mono-devel mono-extras mono-wcf mono-web
#BuildRequires: desktop-file-utils

# Mono only available on these:
ExclusiveArch: %mono_arches

Requires: libgtk-sharp2 >= 2.8.3
Requires: mono-core mono-data mono-data-sqlite mono-extras mono-wcf mono-web
Requires: pcsc-lite >= 1.0.0
Requires: libpcsclite >= 1.0.0
Requires: libpcsclite

%define debug_package %{nil}
Source44: import.info

%description
is a simple application that can be used to read, write,
update, delete and backup your sim card contacts. It open
and save also some format files to manage your contacts
also in a text files. To connect monosim to your smartcard
you need use a standard PCSC smartcard reader as towitoko,
acs, athena, blutronics, etc.

%prep
%setup -q

sed -i "s#gmcs#mcs#g" configure*
sed -i "s#gmcs#mcs#g" */Makefile*

%build
%configure
%make_build

%install
make DESTDIR=%{buildroot} install
# desktop-file-install --vendor="fedora"               \
#   --dir=%{buildroot}%{_datadir}/applications    \
#   monoSIM/images/%{name}.desktop


%files
%doc monosim/copying.gpl
%{_bindir}/%{name}
%{_libdir}/%{name}/
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/monosim.desktop


%changelog
