Group: Communications
# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/desktop-file-validate /usr/bin/glib-gettextize libalsa-devel
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%add_optflags -fcommon

Name:           morse2txt
Version:        1.0.0
Release:        alt2_31
Summary:        A Morse Code Reader

License:        GPLv2+
URL:            http://morse2txt.sourceforge.net/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Patch0:         morse2txt-1.0.0-format-security.patch

BuildRequires:  gcc-c++
BuildRequires:  gcc
BuildRequires:  libgsl-devel
BuildRequires:  libgnomeui-devel

BuildRequires:  desktop-file-utils
BuildRequires:  gettext gettext-tools
Source44: import.info

%description
This program will decode morse code from your short-wave receiver
using your OSS capable sound card.

%prep
%setup -q
%patch0 -p1 -b .error

%build
%configure
%make_build

%install
make install DESTDIR=%{buildroot} INSTALL="install -p"
desktop-file-validate %{buildroot}/%{_datadir}/applications/%{name}.desktop
%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS ChangeLog README NEWS TODO
%doc --no-dereference COPYING
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png

%changelog
