Group: Communications
# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/desktop-file-install /usr/bin/glib-compile-resources /usr/bin/glib-gettextize pkgconfig(gio-2.0) pkgconfig(glib-2.0) pkgconfig(gobject-2.0)
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Summary:       Serial terminal for the gnome desktop
Name:          moserial
Version:       3.0.16
Release:       alt1_1
License:       GPLv3+
URL:           https://wiki.gnome.org/moserial/
Source0:       http://ftp.gnome.org/pub/GNOME/sources/moserial/3.0/moserial-%{version}.tar.xz
BuildRequires: vala vala-tools
BuildRequires: intltool
BuildRequires: itstool
BuildRequires: gtk3-demo libgail3-devel libgtk+3 libgtk+3-devel libgtk+3-gir-devel
BuildRequires: GConf libGConf-devel libGConf-gir-devel
BuildRequires: librarian
BuildRequires: gnome-doc-utils
BuildRequires: perl(XML/Parser.pm)
BuildRequires: desktop-file-utils
Requires:      yelp
Requires:      lrzsz
Requires:      icon-theme-hicolor
Source44: import.info
%description
Moserial is a clean, friendly gtk-based serial terminal for the gnome
desktop. It is written in Vala for extra goodness.

%prep
%setup -q
find -name *.c -print0 | xargs --null chmod 0644
chmod 0644 AUTHORS ChangeLog* NEWS COPYING README

%build
%configure
%make_build

%install
make install DESTDIR=%{buildroot} INSTALL="install -p"
desktop-file-install --delete-original         \
    --dir %{buildroot}%{_datadir}/applications \
    %{buildroot}%{_datadir}/applications/moserial.desktop
%find_lang moserial

%files -f moserial.lang
%doc --no-dereference COPYING
%doc AUTHORS ChangeLog ChangeLog.pre-git NEWS README
%{_bindir}/moserial
%{_datadir}/applications/moserial.desktop
%{_datadir}/metainfo/moserial.appdata.xml
%{_datadir}/icons/hicolor/48x48/apps/moserial.png
%{_datadir}/help/*/moserial
%{_mandir}/man1/moserial.1*

%changelog
