Group: Networking/WWW
# BEGIN SourceDeps(oneline):
BuildRequires: pkgconfig(libidn2) pkgconfig(libsecret-1) texinfo
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           mpop
Version:        1.4.10
Release:        alt2_2
Summary:        Client for receiving mail from POP3 mailboxes

License:        GPLv3+
URL:            https://marlam.de/mpop/
Source0:        https://marlam.de/mpop/releases/%{name}-%{version}.tar.xz

BuildRequires:  gcc
BuildRequires:  libssl-devel
BuildRequires:  libgsasl-devel
BuildRequires:  libidn-devel
BuildRequires:  libgnutls-devel libgnutlsxx-devel
BuildRequires:  libgnome-keyring-devel libgnome-keyring-gir-devel
BuildRequires:  gettext gettext-tools
Source44: import.info

%description
mpop is a small and fast POP3 client. Features include mail filtering,
delivery to mbox files, maildir folders or a mail delivery agent, a very
fast POP3 implementation, many authentication methods, good TLS/SSL
support, IPv6 support, and more.

%prep
%setup -q


%build
%configure --with-gnome-keyring
%make_build

%install
%makeinstall_std
rm -f %{buildroot}%{_infodir}/dir
%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS ChangeLog NEWS NOTES README THANKS
%doc doc/mpoprc.example
%doc --no-dereference COPYING
%{_mandir}/man*/%{name}*.*
%{_infodir}/%{name}.info.*
%{_bindir}/%{name}

%changelog
