Group: Other
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:    mybashburn
Version: 1.0.2
Release: alt2_23
Summary: Burn data and create songs with interactive dialogs
License: GPLv2+
URL:     http://mybashburn.sf.net
Source0: http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz

Requires: bash sh
Requires: cdrdao 
Requires: cdrkit-utils netscsid readom wodim
Requires: cdrkit-utils genisoimage icedax
Requires: dvd+rw-tools
Requires: icedax
Requires: vorbis-tools
Requires: flac
Requires: coreutils
Requires: eject
Requires: dialog >= 1.0
BuildArch: noarch
Source44: import.info

%description
MyBashBurn is a fork based on ncurses of the CD burning shell script
called BashBurn for Linux. It can burn bin/cue files, create ogg and
flac files, data, music and multisession CDs, as well as burn and create
ISO files, DVD-images, data DVDs and some other funny options.
MyBashBurn makes use of cdrecord and other back-end applications, so basically
if your writing device works with them, MyBashBurn will work flawlessly.

%prep
%setup -q
sed -i 's/\r//' {lang/Polish/burning.lang,lang/Polish/multi.lang}
iconv -f ISO-8859-1 -t UTF8 < FILES > FILES.tmp
rm -f FILES && mv FILES.tmp FILES

%build 

%install
install -d %{buildroot}%{_bindir}
install -d %{buildroot}%{_datadir}/%{name}
install -d %{buildroot}%{_datadir}/%{name}/config
install -d %{buildroot}%{_datadir}/%{name}/burning
install -d %{buildroot}%{_datadir}/%{name}/lang
install -d %{buildroot}%{_datadir}/%{name}/lang/English
install -d %{buildroot}%{_datadir}/%{name}/lang/Polish
install -d %{buildroot}%{_datadir}/%{name}/lang/Swedish
install -d %{buildroot}%{_datadir}/%{name}/lang/German
install -d %{buildroot}%{_datadir}/%{name}/lang/Czech
install -d %{buildroot}%{_datadir}/%{name}/lang/Spanish
install -d %{buildroot}%{_datadir}/%{name}/lang/Norwegian
install -d %{buildroot}%{_datadir}/%{name}/convert
install -d %{buildroot}%{_datadir}/%{name}/misc
install -d %{buildroot}%{_datadir}/%{name}/menus
install -d %{buildroot}%{_mandir}/man1
install -d %{buildroot}%{_sysconfdir}

# and now, install everything
install -pc -m755 MyBashBurn.sh %{buildroot}%{_datadir}/%{name}/MyBashBurn.sh
install -p man/mybashburn.1.gz %{buildroot}%{_mandir}/man1

cp -pR {etc/,CREDITS,HOWTO} %{buildroot}%{_datadir}/%{name}
cp -pR {lang/,config/,burning/,convert/,misc/,menus/} %{buildroot}%{_datadir}/%{name}
ln -sf ../../usr/share/mybashburn/MyBashBurn.sh %{buildroot}%{_bindir}/mybashburn

%files
%doc --no-dereference COPYING
%{_datadir}/%{name}/
%{_bindir}/mybashburn
%doc ChangeLog FAQ FILES README TODO
%attr(0644,root,root) %{_mandir}/man1/mybashburn.1*

%changelog
