Group: Networking/WWW
# BEGIN SourceDeps(oneline):
BuildRequires: texinfo
# END SourceDeps(oneline)
%set_verify_info_method relaxed
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           netmask
Version:        2.4.4
Release:        alt1_4
Summary:        Utility for determining network masks

License:        GPLv2+
URL:            https://github.com/tlby/netmask
Source0:        https://github.com/tlby/netmask/archive/v%{version}.tar.gz
BuildRequires:  gcc, automake, makeinfo
Source44: import.info

%description
This is a handy tool for generating terse netmasks in several common
formats.  If you've ever maintained a firewall with more than a few
rules in it, you might use netmask to clean up and generalize sloppy
rules left by the network administrator before you.  It will also
convert netmasks from one format to another for the day you change
your firewall software.


%prep
%setup -q -a 0

./autogen  

%build
%configure
%make_build


%install
%makeinstall_std
rm -f $RPM_BUILD_ROOT%{_infodir}/dir


%check
make check

%files
%doc --no-dereference COPYING
%doc AUTHORS ChangeLog README
%{_bindir}/netmask
%{_mandir}/man1/netmask.1*
%{_infodir}/netmask.info*


%changelog
