Group: System/Base
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-fedora-compat
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           nfs4-acl-tools
Version:        0.3.5
Release:        alt1_4
Summary:        The nfs4 ACL tools
License:        BSD
URL:            http://git.linux-nfs.org/?p=bfields/nfs4-acl-tools.git;a=summary
Source0:        http://linux-nfs.org/~bfields/nfs4-acl-tools/%{name}-%{version}.tar.gz

BuildRequires: libtool
BuildRequires: libattr-devel
Source44: import.info

%description
This package contains commandline ACL utilities for the Linux
NFSv4 client.

%prep
%setup -q

%build
%add_optflags -D_FILE_OFFSET_BITS=64
%autoreconf
%configure 

%make_build

%install
make DESTDIR=%{buildroot} install

%files
%doc COPYING INSTALL README TODO VERSION
%{_bindir}/nfs4_editfacl
%{_bindir}/nfs4_getfacl
%{_bindir}/nfs4_setfacl
%{_mandir}/man1/*
%{_mandir}/man5/*

%changelog
