Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-setuptools
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
# %%name and %%version is ahead of its definition. Predefining for rpm 4.0 compatibility.
%define name nml
%define version 0.5.3
%global githubuser OpenTTD
#%%global gitver 660722b680fd6a6c5b421d8eabbf36fcc82635ba
#%%global gitshort %(r=%{gitver}; echo ${r:0:7})

%if 0%{?gitver:1}
  %global srcurl   https://github.com/%{githubuser}/%{name}/archive/%{gitver}.tar.gz#/%{name}-%{gitver}.tar.gz
  %global setuppath %{name}-%{gitver}
%else
  %global srcurl   https://github.com/%{githubuser}/%{name}/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
  %global setuppath %{name}-%{version}
%endif


Name:           nml
Version:        0.5.3
Release:        alt2_3%{?gitver:.git%{gitshort}}
Summary:        NewGRF Meta Language compiler

License:        GPLv2+
URL:            http://dev.openttdcoop.org/projects/nml
Source0:        %{srcurl}

BuildRequires:  gcc
BuildRequires:  python3-devel
BuildRequires:  python3-module-Pillow
BuildRequires:  python3-module-ply
BuildRequires:  python3-module-distribute
Requires:       python3-module-Pillow
Requires:       python3-module-ply
Requires:       python3-module-distribute
Source44: import.info

%description
A tool to compile nml files to grf or nfo files, making newgrf coding easier.


%prep
%setup -q -n %{setuppath}


%build
%python3_build


%install
%python3_install

gzip docs/nmlc.1
install -Dpm 644 docs/nmlc.1.gz $RPM_BUILD_ROOT%{_mandir}/man1/nmlc.1.gz
rm docs/nmlc.1.gz

 
%files
%doc docs/*
%doc %{_mandir}/man1/nmlc.1*
%{_bindir}/nmlc
%{python3_sitelibdir}/nml*


%changelog
