Group: System/Libraries
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}


%global enable_tests 1

Name:           nodejs-colors
Version:        1.2.1
Release:        alt2_7
Summary:        Get colors in your Node.js console

License:        MIT
URL:            https://github.com/Marak/colors.js
Source0:        https://github.com/Marak/colors.js/archive/v%{version}/colors-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  rpm-build-nodejs node-devel
BuildRequires:  nodejs(engine)
Source44: import.info

%description
%{summary}.


%prep
%setup -q -n colors.js-%{version}



%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/colors
cp -pr package.json safe.js lib themes/ \
    %{buildroot}%{nodejs_sitelib}/colors
%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%__nodejs tests/basic-test.js && %__nodejs tests/safe-test.js
%endif


%files
%doc README.md ROADMAP.md examples
%doc --no-dereference LICENSE
%{nodejs_sitelib}/colors


%changelog
