Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:		nsdiff
Version:	1.81
Release:	alt2_4
Summary:	create an "nsupdate" script from DNS zone file differences

License:	Public Domain
URL:		https://dotat.at/prog/nsdiff/
# Alternative:
#Source0:	https://github.com/fanf2/%%{name}/archive/%%{name}-%%{version}.tar.gz
Source0:	https://dotat.at/prog/%{name}/DNS-%{name}-%{version}.tar.gz

BuildRequires:	perl
BuildRequires:	perl(Pod/Man.pm) perl(Pod/Html.pm)
BuildRequires:	perl(ExtUtils/MakeMaker.pm)
BuildArch:	noarch
Requires:	perl
Requires:	bind bind-utils
Provides:	perl(DNS/nsdiff.pm)
Source44: import.info

%description
The nsdiff program examines the old and new versions of a DNS zone, and
outputs the differences as a script for use by BIND's nsupdate program.
It provides a bridge between static zone files and dynamic updates.

The nspatch script is a wrapper around `nsdiff | nsupdate` that checks
and reports errors in a manner suitable for running from cron.

The nsvi script makes it easy to edit a dynamic zone.

%prep
%setup -q -n DNS-%{name}-%{version}


%build
/usr/bin/perl Makefile.PL
make INSTALLDIRS=vendor


%install
%makeinstall_std INSTALLDIRS=vendor

rm -f %{buildroot}%{perl_vendor_archlib}/perllocal.pod
# .packlist
rm -rf %{buildroot}%{perl_vendor_archlib}/auto/

%files
%doc README*
%{_bindir}/ns*
%{_mandir}/man1/ns*.1*
%{perl_vendor_privlib}/*


%changelog
