Group: Other
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global service download_files

Name:           obs-service-%{service}
Version:        0.6.2
Release:        alt2_5
Summary:        An OBS source service: download files

License:        GPLv2+
URL:            https://github.com/openSUSE/obs-service-%{service}
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  perl-devel
Requires:       diffutils
Requires:       wget
# for appimage parser:
Requires:       perl(YAML/XS.pm)
Source44: import.info


%description
This is a source service for openSUSE Build Service.

This service is parsing all spec files and downloads all
Source files which are specified via http, https, or ftp URLs.


%prep
%setup -q



%build
perl -p -i -e "s{#!/usr/bin/env bash}{#!/bin/bash}" download_files


%install
%makeinstall_std


%files
%doc --no-dereference COPYING
%doc README.md
%dir %{_prefix}/lib/obs
%{_prefix}/lib/obs/service
%dir %{_sysconfdir}/obs
%dir %{_sysconfdir}/obs/services
%config(noreplace) %{_sysconfdir}/obs/services/*



%changelog
