Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires: libSDL-devel libSDL_gfx-devel texinfo
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global opt %(test -x %{_bindir}/ocamlopt && echo 1 || echo 0)

Name:           ocaml-SDL
Version:        0.9.1
Release:        alt4_49
Summary:        OCaml bindings for SDL
License:        LGPLv2+

URL:            http://ocamlsdl.sourceforge.net
Source0:        http://downloads.sourceforge.net/ocamlsdl/ocamlsdl-%{version}.tar.gz
Source1:        ocamlsdl-0.7.2-htmlref.tar.gz

# Fix for safe-string in OCaml 4.06.
Patch1:         ocamlsdl-0.9.1-safe-string.patch

BuildRequires:  ocaml-lablgl-devel
BuildRequires:  libSDL_ttf-devel, libSDL_mixer-devel, libSDL_image-devel 
BuildRequires:  ocaml ocaml-runtime
Requires:       ocaml ocaml-runtime
Source44: import.info


%description
Runtime libraries to allow programs written in OCaml to write to SDL 
(Simple DirectMedia Layer) interfaces.


%package        devel
Group: Other
Summary:        Development files for ocamlSDL
Requires:       %{name} = %{version}-%{release} 


%description    devel
The ocamlSDL-devel package provides libraries and headers for developing 
applications using ocamlSDL


%prep
%setup -q -n ocamlsdl-%{version} -a 1
%patch1 -p1



%build
%configure
%make_build



%install
export DESTDIR=$RPM_BUILD_ROOT
export OCAMLFIND_DESTDIR=$RPM_BUILD_ROOT%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR
mkdir -p $OCAMLFIND_DESTDIR/stublibs
make install DESTDIR=$RPM_BUILD_ROOT


%files
%doc README COPYING AUTHORS NEWS
%{_libdir}/ocaml/sdl
%{_libdir}/ocaml/stublibs/*.so*
%if %opt
%exclude %{_libdir}/ocaml/sdl/*.a
%exclude %{_libdir}/ocaml/sdl/*.cmxa
%endif
%exclude %{_libdir}/ocaml/sdl/*.mli


%files devel
%doc htmlref/
%if %opt
%{_libdir}/ocaml/sdl/*.a
%{_libdir}/ocaml/sdl/*.cmxa
%endif
%{_libdir}/ocaml/sdl/*.mli


%changelog
