Group: Other
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global release_date 20170201
%global theme_name Mistral-Thin-Dark

Name:           openbox-theme-mistral-thin-dark
Version:        0
Release:        alt2_9.%{release_date}
Summary:        Mistral Dark theme for Openbox

# No license file included, CC-BY-SA mentioned on URL
License:        CC-BY-SA
URL:            https://www.box-look.org/p/1169703/
Source0:        https://dl.opendesktop.org/api/files/download/id/1485941697/%{theme_name}.obt

Requires:       openbox-base openbox-theme-Artwiz-boxed openbox-theme-Bear2 openbox-theme-Clearlooks openbox-theme-Clearlooks-3.4 openbox-theme-Clearlooks-Olive openbox-theme-Mikachu openbox-theme-Natura openbox-theme-Onyx openbox-theme-Onyx-Citrus openbox-theme-Orang openbox-theme-Syscrash

BuildArch:      noarch
Source44: import.info

%description
Mistral Thin theme for the Openbox window manager, dark variant.

%prep
%setup -qc

%build
# nothing to build here

%install
mkdir -p %{buildroot}/%{_datadir}/themes
cp -av %{theme_name} %{buildroot}/%{_datadir}/themes

%files
%{_datadir}/themes/%{theme_name}


%changelog
