# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           openyahtzee
Version:        1.9.3
Release:        alt4_10
Summary:        Open-source version of the classic dice game Yahtzee
Group:          Games/Boards
License:        GPLv2
URL:            http://www.openyahtzee.org/
Source0:        http://download.sourceforge.net/openyahtzee/%{name}-%{version}.tar.xz

BuildRequires:  boost-complete
BuildRequires:  libwxBase3.1-devel libwxGTK3.1-devel
Source44: import.info

%description
Open Yahtzee is an open-source version of the classic dice game Yahtzee.
The goal is to score as many points as possible by rolling different dice
combinations.

%prep
%setup -q


# fix build with wxgtk >= 3.1.2
sed -i -e 's,wxADJUST_MINSIZE,0,g' src/about.cpp

%build
%configure --bindir=%{_gamesbindir}
%make_build

%install
%makeinstall_std

%files
%doc AUTHORS ChangeLog
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_gamesbindir}/%{name}
%{_mandir}/man6/%{name}.6*


%changelog
