# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define	release	9

Name:		osie
Version:	1.0.0
Release:	alt1_9
Summary:	OpenTTD screenshot information extractor
Group:          Graphics
License:	GPLv2
URl:		http://www.openttd.org/
Source0:	http://ftp.snt.utwente.nl/pub/games/openttd/binaries/extra/%{name}/%{version}/%{name}-%{version}-source.tar.gz
Patch0:		osie-1.0.0-add_makefile.local_support.patch
BuildRequires:	pkgconfig(libpng)
Source44: import.info

%description
osie (OpenTTD screenshot information extractor) extracts the information
stored in OpenTTD's PNG screenshots such as the version, NewGRFs and AIs.

%prep
%setup -q
%patch0 -p0 -b .addlocalsupport

cat >> Makefile.local << EOF
prefix = %{_prefix}
DO_NOT_INSTALL_CHANGELOG = 1
DO_NOT_INSTALL_LICENSE = 1
DO_NOT_INSTALL_DOCS = 1
EOF

%build

%make VERBOSE=1

%install
%makeinstall_std

%files
%doc docs/readme.txt changelog.txt
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*


%changelog
