Group: Other
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
## github commit ference 
%global commit ff9a35f2e82bf80b143553c06e7aabe3aff0ebf8
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global github_name pakiti

Summary:	Patching status monitoring tool
Name:		pakiti
Version:	3.0.2
Release:	alt2_8
URL:		https://github.com/CESNET/pakiti-client/
License:	ASL 2.0 and BSD
Source0:	%{name}-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	perl-devel
BuildRequires:	rpm-build-perl
BuildRequires:  /usr/bin/pod2man

BuildRequires:  perl(File/Temp.pm)
BuildRequires:  perl(FindBin.pm)
BuildRequires:  perl(Getopt/Long.pm)
BuildRequires:  perl(Pod/Usage.pm)
BuildRequires:  perl(constant.pm)
BuildRequires:  perl(strict.pm)
BuildRequires:  perl(warnings.pm)
Source44: import.info

%description
Runs rpm -qa or dpkg -l on the hosts and sends results to a central server.

Central server then process the results and checks whether the packages are
installed in the recent version. Central server also provides web GUI where
all results can be seen.

%package client
Group: Other
Summary:	Client for the Pakiti tool

%description client
Runs rpm -qa or dpkg -l, depends on the linux distro. Results are sent to the
central Pakiti server using openssl s_client or curl.

%prep
%setup -qn %{name}-%{version} 

%build
make

%install
install -D -m755 bin/pakiti-client   %{buildroot}%{_bindir}/pakiti-client
install -D -m644 pakiti-client.1 %{buildroot}%{_mandir}/man1/pakiti-client.1

%files client
%{_bindir}/*
%{_mandir}/man?/*

%changelog
