Group: System/Base
# BEGIN SourceDeps(oneline):
BuildRequires: libcrypt-devel
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define commit 03a98ea508d9c7ee1ff71e735d76d9d99bd25c97


Summary:	PAM module for auth UNIX users using MySQL data base
Name:		pam_mysql
Version:	0.8.1
Release:	alt2_0.9
Epoch:		1
License:	GPLv2+
Source0:	https://github.com/NigelCunningham/pam-MySQL/archive/%{commit}/pam_mysql-%{commit}.tar.gz
URL:		https://github.com/NigelCunningham/pam-MySQL
BuildRequires:  gcc-c++
BuildRequires:  libpam0-devel libmariadb-devel libsasl2-devel libssl-devel
BuildRequires:  autoconf automake libtool
Requires:	libpam0 pam pam0_timestamp
Source44: import.info

%description
Pam_mysql aims to provide a backend neutral means of authenticating
users against an MySQL database.

%prep
%setup -q -n pam-MySQL-%{commit}
autoreconf -fiv

%build
%configure \
  --with-openssl \
  --with-pam-mods-dir=/%{_lib}/security \
  --enable-static=no \
  --with-cyrus-sasl2

%make_build

mv AUTHORS AUTHORS.lame
iconv -f latin1 -t utf-8 -o AUTHORS AUTHORS.lame
touch -r README AUTHORS

%install
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name \*.la -exec rm {} \;

%files
%doc ChangeLog COPYING AUTHORS NEWS README
/%{_lib}/security/pam_mysql.so

%changelog
