Group: System/Base
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Summary:        PAM module to authenticate with HTTP servers
Name:           pam_url
Version:        0.3.3
Release:        alt1_12
Epoch:          1
License:        GPLv2
URL:            https://fedorahosted.org/pam_url
Source:         https://fedorahosted.org/releases/p/a/pam_url/%{name}-%{version}.tar.bz2
Requires:       libpam0 pam pam0_timestamp
BuildRequires:  gcc
BuildRequires:  libpam0-devel, libcurl-devel libconfig-c++-devel libconfig-devel
Source44: import.info

%description
The pam_url module enables you to authenticate users against a Web application,
such as totpcgi.

%prep
%setup -q

%build
CFLAGS="%{optflags} -std=c99" make %{?_smp_mflags} pamlib=%{_lib}/security all

%install
make DESTDIR=%{buildroot} pamlib=%{_lib}/security install

%files
%doc AUTHOR COPYING INSTALL README examples
%config(noreplace) %{_sysconfdir}/pam_url.conf
/%{_lib}/security/pam_url.so


%changelog
