Group: Other
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global commit 5aa21efa3f5f20eb02a44a9681ec91bf2a380628
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global checkout 20170704git%{shortcommit}

Name:           parcimonie.sh
Version:        0
Release:        alt2_0.16.%{checkout}
Summary:        Refresh your GnuPG keyring over Tor

License:        WTFPL
URL:            https://github.com/EtiennePerot/parcimonie.sh
Source0:        https://github.com/EtiennePerot/%{name}/archive/%{commit}/%{name}-%{commit}.tar.gz

BuildRequires:  libsystemd-devel libudev-devel systemd systemd-analyze systemd-coredump systemd-homed systemd-networkd systemd-portable systemd-services systemd-stateless systemd-sysvinit systemd-utils
BuildArch:      noarch

Requires:       torsocks
Requires:       gnupg
Source44: import.info


%description
parcimonie.sh refreshes individual keys in your GnuPG keyring at randomized
intervals. Each key is refreshed over a unique, single-use Tor circuit.


%prep
%setup -q -n %{name}-%{commit}


%build
# nothing to to here


%install
install -p -D -m755 parcimonie.sh %{buildroot}/%{_datadir}/%{name}/parcimonie.sh
install -p -D -m644 pkg/parcimonie.sh@.service %{buildroot}/%{_unitdir}/parcimonie.sh@.service
install -p -D -m644 pkg/all-users.conf %{buildroot}/%{_sysconfdir}/parcimonie.sh.d/all-users.conf
mkdir -p %{buildroot}/%{_bindir}
ln -sf %{_datadir}/%{name}/parcimonie.sh %{buildroot}/%{_bindir}/parcimonie.sh


%files
%doc --no-dereference LICENSE
%doc README.md
%doc pkg/sample-configuration.conf.sample
%{_datadir}/%{name}/
%{_unitdir}/*
%config(noreplace) %{_sysconfdir}/parcimonie.sh.d
%{_bindir}/parcimonie.sh


%changelog
