Group: System/Libraries
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:		pari-galdata
Version:	20080411
Release:	alt2_19
Summary:	PARI/GP Computer Algebra System Galois resolvents
License:	GPLv2+
URL:		http://pari.math.u-bordeaux.fr/packages.html
Source0:	http://pari.math.u-bordeaux.fr/pub/pari/packages/galdata.tgz
Source1:	http://pari.math.u-bordeaux.fr/pub/pari/packages/galdata.tgz.asc
# Public key 0xb5444815, owned by Bill Allombert <allomber@math.u-bordeaux.fr>
Source2:	gpgkey-4940AE28C5F8E8A35E4D8D287833ECF1B5444815.gpg
BuildArch:	noarch

BuildRequires:	gnupg gnupg2
Source44: import.info

%description
This package contains the optional PARI package galdata, which provides
the Galois resolvents for the polgalois function, for degrees 8 through 11.

%prep
%setup -cq

# Verify the source file

%build

%install
mkdir -p %{buildroot}%{_datadir}/pari/
cp -a data/galdata %{buildroot}%{_datadir}/pari/
# %{_fixperms} %{buildroot}%{_datadir}/pari/

%files
%{_datadir}/pari/

%changelog
