Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python3
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           parsero
Version:        0.81
Release:        alt2_20
Summary:        A Python based Robots.txt audit tool

License:        GPLv2+
URL:            https://github.com/behindthefirewalls/Parsero
Source0:        https://pypi.python.org/packages/3.3/p/parsero/%{name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-module-distribute
Source44: import.info

%description
Parsero is a free script written in Python which reads the Robots.txt
file of a web server and looks at the Disallow entries. The Disallow
entries tell the search engines what directories or files hosted on a
web server mustn't be indexed. For example, "Disallow: /portal/login"
means that the content on www.example.com/portal/login it's not allowed
to be indexed by crawlers like Google, Bing, Yahoo... This is the way
the administrator have to not share sensitive or private information
with the search engines.

%prep
%setup -q
rm -rf %{name}*.egg-info
find -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'

%build
%{__python3} setup.py build

%install
%{__python3} setup.py install --skip-build --root %{buildroot}

%files
%doc README.md LICENSE.txt
%{_bindir}/%{name}
%{python3_sitelibdir_noarch}/%{name}.py
%{python3_sitelibdir_noarch}/%{name}*.egg-info
%{python3_sitelibdir_noarch}/__pycache__/%{name}*

%changelog
