Group: Other
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           parzip
Version:        1.2.0
Release:        alt2_12
Summary:        High performance parallel pkzip implementation

License:        GPLv3+
URL:            https://github.com/jpakkane/parzip
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  gcc-c++
BuildRequires:  meson
BuildRequires:  pkgconfig(zlib)
BuildRequires:  pkgconfig(liblzma)
Source44: import.info

%description
A command line utility to pack and unpack zip archives using multiple threads.

%prep
%setup -q


%build
%meson
%meson_build

%install
%meson_install

%check
%meson_test

%files
%doc --no-dereference COPYING
%doc README.md
%{_bindir}/parzip
%{_bindir}/parunzip
%{_mandir}/man1/parzip.1*
%{_mandir}/man1/parunzip.1*

%changelog
