# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
# comment out if not pre-rel
%global prel	beta2

# rel for bumping
%define rel	2

Name:		pasmo
Summary:	Portable Z80 cross assembler
Version:	0.5.4
Release:	alt1_%{?prel:0.%prel.}%{rel}
License:	GPLv2
Group:		Development/Other
Url:		http://pasmo.speccy.org/
Source0:	http://pasmo.speccy.org/bin/pasmo-0.5.4%{?prel:.%prel}.tgz
Source44: import.info

%description
Pasmo is a Z80 cross assembler, written in standard C++ that compiles easily
in multiple platforms.

Actually can generate object code in the following formats: raw binary,
Intel HEX, PRL for CP/M Plus RSX, Plus3Dos (Spectrum +3 disk), TAP, TZX and
CDT (Spectrum and Amstrad CPC emulators tape images), AmsDos (Amstrad CPC disk)
and MSX (for use with BLOAD from disk in Basic).

%prep
%setup -qn %{name}-%{version}%{?prel:.%prel}

%build
autoreconf -vfi
%configure
%make_build

%install
%makeinstall_std

%files
%doc --no-dereference COPYING
%doc AUTHORS ChangeLog NEWS README
%{_bindir}/pasmo


%changelog
