Group: Other
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:       pass-otp
Version:    1.2.0
Release:    alt1_2
Summary:    A pass extension for managing one-time-password (OTP) tokens
License:    GPLv3+
BuildArch:  noarch
URL:        https://github.com/tadfisher/pass-otp
Source:     https://github.com/tadfisher/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz
Requires:   password-store >= 1.7.0
Requires:   oathtool
Requires:   qrencode
Requires:   libzbar zbar
Source44: import.info

%description
pass-otp extends the pass utility with the otp command for adding OTP secrets,
generating OTP codes, and displaying secret key URIs using the standard
otpauth:// scheme.

%prep
%setup -q


%build

%install
%makeinstall_std

%files
%doc README.md CHANGELOG.md
%doc --no-dereference LICENSE
%{_usr}/lib/password-store/extensions/otp.bash
%{_mandir}/man1/%{name}.1*
%{_sysconfdir}/bash_completion.d/pass-otp

%changelog
