Group: Other
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:       pdd
Version:    1.5
Release:    alt2_2
Summary:    Tiny date, time diff calculator

License:    GPLv3+
URL:        https://github.com/jarun/pdd
Source0:    %{url}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildArch:  noarch

Requires: python3-module-dateutil
Source44: import.info


%description
There are times you want to check how old you are (in years, months, days) or
how long you need to wait for the next flash sale... pdd (python3 date diff)
is a small cmdline utility to calculate date and time difference. If no
program arguments are specified it shows the current date, time and timezone.


%prep
%setup -q -n %{name}-%{version}

sed -i '1s/env //' pdd


%build
# Nothing to do


%install
%makeinstall_std PREFIX=%{_prefix}


%files
%doc CHANGELOG README.md
%doc --no-dereference LICENSE
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*


%changelog
