Group: Publishing
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Term/ANSIColor.pm)
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           pdfmerge
Version:        1.0.6
Release:        alt2_7
Summary:        Command line utility program for merging PDF files
License:        GPLv2+
URL:            http://dmaphy.github.com/pdfmerge/
Source0:        https://github.com/dmaphy/%{name}/archive/%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  rpm-build-perl
Requires:       ghostscript-utils ghostscript  
Source44: import.info

%description
pdfmerge is a command line program that merges PDF files. It can merge
any number of pdf files from command line.


%prep
%setup -q -n %{name}-%{version}


%build
# This is a Perl script, there is nothing to build


%install
install -Dpm 755 %{name} $RPM_BUILD_ROOT%{_bindir}/%{name}



%files
%doc AUTHORS ChangeLog COPYING README README.html
%{_bindir}/%{name}


%changelog
