Group: Engineering
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-setuptools
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           pdfposter
Version:        0.7.post1
Release:        alt2_11
Summary:        Scale and tile PDF images/pages to print on multiple pages

License:        GPLv3+
URL:            https://pdfposter.readthedocs.io
Source0:        https://pypi.org/project/pdftools.pdfposter/pdftools.pdfposter-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-module-distribute

Requires:       python3-module-PyPDF2
Source44: import.info

%description
Pdfposter can be used to create a large poster by building it from multple
pages and/or printing it on large media. It expects as input a PDF file,
normally printing on a single page. The output is again a PDF file, maybe
containing multiple pages together building the poster.  The input page 
will be scaled to obtain the desired size.

%prep
%setup -q -n pdftools.%{name}-%{version}
# Remove shebang
for Files in pdftools/pdfposter/cmd.py pdftools/pdfposter/__init__.py; do
  sed -i.orig -e 1d ${Files}
  touch -r ${Files}.orig ${Files}
  rm ${Files}.orig
done

%build
%python3_build

%install
%python3_install

%files
%doc README.txt
%{_bindir}/%{name}
%{python3_sitelibdir_noarch}/pdftools/
%{python3_sitelibdir_noarch}/pdftools.*

%changelog
