# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:		peg-e
Version:	1.2.8
Release:	alt1_3
Summary:	Peg solitaire game
Group:		Games/Boards
License:	GPLv3+
URL:		http://gottcode.org/peg-e
Source:		http://gottcode.org/peg-e/%{name}-%{version}-src.tar.bz2

BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	qt5-designer qt5-tools
Source44: import.info

%description
A peg solitaire game in which you jump over pieces in order to remove
them from the board, ultimately trying to eliminate all but one.
The boards are randomly generated, with 100 levels of difficulty.
The game auto-saves, and has undo-redo capability.
Pieces can move horizontally, vertically, and diagonally.

%prep
%setup -q

%build
%qmake_qt5 PREFIX=%{_prefix}
%make_build

%install
%makeinstall_std INSTALL_ROOT=%{buildroot}

%files
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/metainfo/%{name}.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.xpm
%{_iconsdir}/hicolor/*/apps/%{name}.*
%{_mandir}/man6/%{name}.6*


%changelog
