Epoch: 1
%define module_name AHA
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Digest/MD5.pm) perl(Encode.pm) perl(Encode/CN.pm) perl(Encode/JP.pm) perl(Encode/KR.pm) perl(Encode/TW.pm) perl(LWP/UserAgent.pm) perl(Module/Build.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.6
Release: alt2
Summary: Access modules for AVM's home automation system
Group: Development/Perl
License: gpl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/F/FA/FANY/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This module allows programatic access to AVM's Home Automation (AHA) system as
it is specified in AVM AHA HTTP Protocol specification. 

Please note that this module is not connected to AVM in any way. It's a hobby
project, without any warranty and no guaranteed support.

Typical it is used to manage and monitor the AHA::Switch manpagees. The following
operations are supported:

=over 4

=item * 

Switching on and off a certain actor (switch)

=item * 

Get the current state of an actor

=item * 

Get the current power consumption and consumed energy of an actor (if
it is a plug like the Dect!200)

=back


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc ChangeLog README.md LICENSE example
%perl_vendor_privlib/A*

%changelog
