%define module_name AWS-Lambda
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Encode.pm) perl(Exporter.pm) perl(File/Slurp.pm) perl(FindBin.pm) perl(HTTP/Tiny.pm) perl(IPC/Open3.pm) perl(JSON.pm) perl(JSON/Types.pm) perl(JSON/XS.pm) perl(MIME/Base64.pm) perl(Module/Build/Tiny.pm) perl(Parallel/ForkManager.pm) perl(Paws.pm) perl(Plack.pm) perl(Plack/Middleware/ReverseProxy.pm) perl(Scalar/Util.pm) perl(Test/Deep.pm) perl(Test/More.pm) perl(Test/SharedFork.pm) perl(Test/TCP.pm) perl(Test/Warn.pm) perl(Time/HiRes.pm) perl(Time/Piece.pm) perl(Try/Tiny.pm) perl(URI/Escape.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.0.29
Release: alt1
Summary: It's Perl support for AWS Lambda Custom Runtime.
Group: Development/Perl
License: mit
URL: https://github.com/shogo82148/p5-aws-lambda

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/S/SH/SHOGO/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This package makes it easy to run AWS Lambda Functions written in Perl.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %EVR

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE README.md Changes examples
%perl_vendor_privlib/A*

%files scripts
%_bindir/*

%changelog
