# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Exporter.pm) perl(Pod/Coverage/TrustPod.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(base.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define upstream_name    Acme-Boolean
%define upstream_version 0.7

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %{upstream_version}
Release:    alt1_1

Summary:    There is more then one way to be true
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Acme/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils/MakeMaker.pm)
BuildRequires: perl(boolean.pm)
BuildArch:  noarch
Source44: import.info

%description
This module provides a lot of words for you to express from the very
trustful to the toally errorneous;

TRUE
    These words can be used to refer to a true value:

    verifiable trusty accurate actual appropriate authentic authoritative
    correct dependable direct exact factual fitting genuine honest
    indubitable kosher lawful legal legitimate natural normal perfect
    precise proper pure regular right rightful sincere straight trustworthy
    truthful typical undeniable undesigning undoubted unerring unfaked
    unfeigned unquestionable veracious veridical veritable wash

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.yml  README
%perl_vendor_privlib/*

%changelog
