%define module_name Acme-CPANModules-BrowsingTableInteractively
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(Pod/Coverage/TrustPod.pm) perl(Test/More.pm) perl(Test/Perl/Critic.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(strict.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.004
Release: alt1
Summary: Browsing table interactively
Group: Development/Perl
License: perl
URL: https://metacpan.org/release/Acme-CPANModules-BrowsingTableInteractively

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PE/PERLANCAR/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
The following are some options on CPAN if you have a table data (typically as an
array of arrayrefs) and want to browse it interactively.

the Tickit::Table::Widget manpage - this module lets you browse the table in a
terminal. Using the the Tickit manpage library, the advantages it's supposed to have is
mouse support. It's still very basic: you either have to specify each column
width manually or the width of all columns will be the same. There's no
horizontal scrolling support or a way to see long text in a column. Not updated
since 2016.

the Term::TablePrint manpage - this module lets you browse the table in a terminal.
Provides roughly the same features like Tickit::Table::Widget with an extra one:
you can press Enter on a row to view it as a "card" where each column will be
displayed vertically, so you can better see a row that has many columns or
columns with long text.

Personally, both the above modules are not satisfactory for me. They are not
that much better than drawing the text table and then filtering the output
through a pager like *less*. At least with *less* you can scroll horizontally or
perform incremental searching (though not interactive filtering of rows).

the Text::Table::HTML::DataTables manpage - this module bundles the wonderful
DataTables [1] JavaScript library and lets you see your table in a web browser
to interact with. I use this method the most often (usually through my CLI
framework and the option `--format=html+datatables' specified through my CLIs).
The main advantage is incremental searching/filtering. DataTables also lets you
hide/show/reorder columns, change the page size, and so on. This is leaps and
bounds more useful than simply scrolling pages of text provided by
Tickit::Table::Widget or Term::TablePrint.

[1] https://datatables.net/

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes LICENSE README
%perl_vendor_privlib/A*

%changelog
