# BEGIN SourceDeps(oneline):
BuildRequires: perl(Acme/CPANModulesUtil/Misc.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(Pod/Coverage/TrustPod.pm) perl(Test/More.pm) perl(Test/Perl/Critic.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(strict.pm)
# END SourceDeps(oneline)
%define module_name Acme-CPANModules-CreatingPaletteOfVisuallyDistinctColors
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.001
Release: alt1
Summary: Creating a palette of visually distinct colors
Group: Development/Perl
License: perl
URL: https://metacpan.org/release/Acme-CPANModules-CreatingPaletteOfVisuallyDistinctColors

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PE/PERLANCAR/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Sometimes you want some colors that are distinct from one another, for example
when drawing line/bar graphs, but don't really care for the exact colors or
don't want to manually pick the colors. Below are some of the alternatives on
CPAN:

the Chart::Colors manpage

the Color::RGB::Util manpage's `rand_rgb_colors()' function.

the ColorTheme::Distinct::WhiteBG manpage and the ColorTheme::Distinct::BlackBG manpage.

And below are some other alternatives:

TBD

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README LICENSE Changes
%perl_vendor_privlib/A*

%changelog
