# BEGIN SourceDeps(oneline):
BuildRequires: perl(Acme/CPANModulesUtil/Misc.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(Pod/Coverage/TrustPod.pm) perl(Test/More.pm) perl(Test/Perl/Critic.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(strict.pm)
# END SourceDeps(oneline)
%define module_name Acme-CPANModules-ListsOfWordsAndNames
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.001
Release: alt1
Summary: Modules that contain lists of words and names
Group: Development/Perl
License: perl
URL: https://metacpan.org/release/Acme-CPANModules-ListsOfWordsAndNames

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PE/PERLANCAR/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Modules that contain lists of words and names.

The following namespaces are for modules that contain lists of words and names:

the Games::Words::Wordlist manpage modules usually contain dictionary words, originally
created to be source of words for word games e.g. hangman.

Instead of words, the Games::Words::Phraselist manpage modules contain phrases. These
are also usually used for games like hangman.

the WordList manpage modules contains lists of words and are more general than
Games::Words::Wordlist::*.

the Acme::MetaSyntactic manpage modules (themes) contain list of names that are suited
for varible names, etc. They range from movie/TV characters, people names, to
plants, dishes, and so on.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes LICENSE README
%perl_vendor_privlib/A*

%changelog
