# BEGIN SourceDeps(oneline):
BuildRequires: perl(Acme/CPANModulesUtil/Misc.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(Pod/Coverage/TrustPod.pm) perl(Test/More.pm) perl(Test/Perl/Critic.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(strict.pm)
# END SourceDeps(oneline)
%define module_name Acme-CPANModules-OrganizingCPAN
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.001
Release: alt1
Summary: Efforts to organize CPAN
Group: Development/Perl
License: perl
URL: https://metacpan.org/release/Acme-CPANModules-OrganizingCPAN

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PE/PERLANCAR/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This list catalog efforts to organize CPAN and help users navigate the sea of
modules on CPAN.

Bundles and Tasks

A `Bundle::*' module lists several modules that will all get installed simply by
installing the Bundle module. A later project the Task manpage aims to address some of
the shortcomings of `Bundle::*' modules.

CPANAuthors

the Acme::CPANAuthors manpage::* modules contains lists of CPAN author ID's, grouped by
some criteria.

CPANModules

the Acme::CPANModules manpage::* modules contains lists of CPAN modules (or scripts),
grouped by some criteria.

Map of CPAN

The Map of CPAN project, https://mapofcpan.org, visualizes modules on CPAN as
a map, with top namespaces with lots of modules under them appearing as islands
while less popular namespaces are shown in the water regions.

CPAN ratings

CPAN ratings, https://cpanratings.perl.org/, is an inactive project that
allows users to rate and review any CPAN module. In 2018, it no longer accepts
new submission. But all existing submissions are still browsable.

PrePAN

Calling itself "Social Reviewing for Perl Modules", http://prepan.org/ lets an
author post about a module she plans to release, or perhaps just an idea of a
module, to get input on name, interface, or what have you. Alternatively, the
usual places where Perl communities hang out can be used for this use-case,
including the Perl subreddit (https://reddit.com/r/perl), IRC channels (see
https://irc.perl.org), or PerlMonks (https://www.perlmonks.org>).

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes LICENSE README
%perl_vendor_privlib/A*

%changelog
