%define module_name Acme-CPANModules-WorkingWithTree
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Acme/CPANModulesUtil/Misc.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(Pod/Coverage/TrustPod.pm) perl(Test/More.pm) perl(Test/Perl/Critic.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(strict.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.004
Release: alt1
Summary: Working with tree data structure in Perl
Group: Development/Perl
License: perl
URL: https://metacpan.org/release/Acme-CPANModules-WorkingWithTree

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PE/PERLANCAR/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Working with tree data structure in Perl.

Basics

Perl classes to represent tree (node) structure: the Tree::Object manpage and
the Tree::ObjectXS manpage (comes with several varieties). They provide methods like
walking a tree, checking whether a node is the first child, getting sibling
nodes, and so on.

Perl modules to manipulate tree: the Data::Tree manpage, the Tree::Simple manpage.

Memory-efficient tree nodes in Perl: the Tree::Node manpage.

Creating

the Tree::FromStruct manpage, the Tree::FromText manpage, the Tree::FromTextLines manpage,
the Tree::Create::Callback manpage, the Tree::Create::Callback::ChildrenPerLevel manpage,
the Tree::Create::Size manpage, the Tree::FromFS manpage.

the Data::Random::Tree manpage.

Visualizing as text

the Tree::ToText manpage, the Tree::ToTextLines manpage.

Visualizing as graphic

TODO

Other modules

the Tree::ToFS manpage.

Special kinds of trees: TODO.

Roles

the Role::TinyCommons::Tree manpage.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes LICENSE
%perl_vendor_privlib/A*

%changelog
