%define module_name Acme-Ford-Prefect-FFI
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Acme/Alien/DontPanic.pm) perl(Config.pm) perl(ExtUtils/MakeMaker.pm) perl(FFI/CheckLib.pm) perl(FFI/Platypus.pm) perl(FFI/Platypus/Declare.pm) perl(Test2/V0.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 2.2900
Release: alt1
Summary: FFI test for Alien::Base
Group: Development/Perl
License: perl
URL: https://metacpan.org/pod/Acme::Ford::Prefect::FFI

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PL/PLICEASE/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
the Alien::Base manpage comprises base classes to help in the construction of `Alien::' modules.  Modules in the the Alien manpage namespace are used to locate and install (if necessary)
external libraries needed by other Perl modules.

This module is a toy module to test the efficacy of the the Alien::Base manpage system with its experimental FFI interfaces.  This module depends on another toy module 
the Acme::Alien::DontPanic manpage which provides the needed libdontpanic library to be able to tell us the `answer' to life, the universe and everythin.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc author.yml Changes LICENSE README
%perl_vendor_privlib/A*

%changelog
