# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define upstream_name	   Acme-Turing
%define upstream_version   0.02

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%{upstream_version}
Release:	alt1_11
Summary:	Turing machine emulation
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://search.cpan.org/CPAN/authors/id/G/GR/GROMMEL/%upstream_name-%upstream_version.tar.gz
BuildRequires:	perl(Carp.pm)
BuildRequires:	perl(Exporter.pm)

BuildArch:	noarch
Obsoletes:	perl-Acme-Turing < 0.20.0-6
Source44: import.info

%description
This module gives you the methods needed to emulate a Turing machine in
Perl. This module is based on Turing's original paper, which allows
complete freedom in the actions to be taken before the machine enters a
new state. You can, of course, impose restrictions if you wish, as John
von Neumann's paper does.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%makeinstall_std

%files
%doc Changes META.yml
%{perl_vendor_privlib}/*


%changelog
