# BEGIN SourceDeps(oneline):
BuildRequires: perl(CPAN.pm) perl(Carp.pm) perl(Config.pm) perl(Cwd.pm) perl(Exporter.pm) perl(ExtUtils/MM_Unix.pm) perl(ExtUtils/MakeMaker.pm) perl(ExtUtils/Manifest.pm) perl(File/Find.pm) perl(File/Spec.pm) perl(Module/Build.pm) perl(XSLoader.pm) perl(YAML.pm) perl(inc/Module/Install.pm) perl(threads/shared.pm)
# END SourceDeps(oneline)
%define module_version 0.16
%define module_name Algorithm-LBFGS
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.16
Release: alt6
Summary: Perl extension for L-BFGS 
Group: Development/Perl
License: MIT
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/L/LA/LAYE/%module_name-%module_version.tar.gz

%description
L-BFGS (Limited-memory Broyden-Fletcher-Goldfarb-Shanno) is a quasi-Newton
method for unconstrained optimization. This method is especially efficient 
on problems involving a large number of variables.

Generally, it solves a problem described as following:

  min f(x), x = (x1, x2, ..., xn)

Jorge Nocedal wrote a Fortran 77 version of this algorithm.

http://www.ece.northwestern.edu/~nocedal/lbfgs.html

And, Naoaki Okazaki rewrote it in pure C (liblbfgs).

http://www.chokkan.org/software/liblbfgs/index.html

This module is a Perl port of Naoaki Okazaki's C version.


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes LICENSE
%perl_vendor_archlib/A*
%perl_vendor_autolib/*

%changelog
