%define module_name Algorithm-LibLinear
# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++ perl(ExtUtils/CBuilder.pm) perl(List/MoreUtils.pm) perl(List/Util.pm) perl(Module/Build.pm) perl(Module/Build/XSUtil.pm) perl(Smart/Args/TypeTiny.pm) perl(Test/Deep.pm) perl(Test/Exception.pm) perl(Test/LeakTrace.pm) perl(Test/More.pm) perl(Type/Tiny.pm) perl(XSLoader.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.23
Release: alt2
Summary: A Perl binding for LIBLINEAR, a library for classification/regression using linear SVM and logistic...
Group: Development/Perl
License: mit
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/S/SE/SEKIA/%{module_name}-%{version}.tar.gz

%description
Algorithm::LibLinear is an XS module that provides features of LIBLINEAR, a fast C library for classification and regression.

Current version is based on LIBLINEAR 1.94, released on Nov 12 2013.


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.pod Changes
%perl_vendor_archlib/A*
%perl_vendor_autolib/*

%changelog
