# BEGIN SourceDeps(oneline):
BuildRequires: perl(DynaLoader.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(Test.pm)
# END SourceDeps(oneline)
%define module_version 0.1
%define module_name Algorithm-Line-Bresenham-C
BuildRequires: unzip
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.1
Release: alt6
Summary: it is a C version Algorithm::Line::Bresenham to speed up a bit.
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/K/KE/KENWU/%module_name-%module_version.zip

%description
Bresenham is one of the canonical line drawing algorithms for pixellated grids.
Given a start and an end-point, Bresenham calculates which points on the grid
need to be filled to generate the line between them.

Googling for 'Bresenham', and 'line drawing algorithms' gives some good
overview.  The code here takes its starting point from Mark Feldman's Pascal
code in his article *Bresenham's Line and Circle Algorithms* at
http://www.gamedev.net/reference/articles/article767.asp.


%prep
%setup -n Algorithm
# depth is > 1 .. moving up
pushd "Line/Bresenham/C"
  mv -f * ../../../
  mv -f .* ../../../ ||:
popd

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes
%perl_vendor_archlib/A*
%perl_vendor_autolib/*

%changelog
