# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++ perl(AutoLoader.pm) perl(DynaLoader.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(Test.pm)
# END SourceDeps(oneline)
%define module_version 0.13
%define module_name Algorithm-SVM
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.13
Release: alt6
Summary: Perl bindings for the libsvm Support Vector Machine library.
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/L/LA/LAIRDM/%{module_name}-%{module_version}.tar.gz
Patch: Algorithm-SVM-0.13-alt-fix.patch

%description
Algorithm::SVM implements a Support Vector Machine for Perl.  Support Vector
Machines provide a method for creating classifcation functions from a set of
labeled training data, from which predictions can be made for subsequent data
sets.


%prep
%setup -n %{module_name}-%{module_version}
%patch -p1

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.solaris Changes TODO README
%perl_vendor_archlib/A*
%perl_vendor_autolib/*

%changelog
