%define module_name Alien-Build-MB
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Alien/Build.pm) perl(Capture/Tiny.pm) perl(Config.pm) perl(ExtUtils/MakeMaker.pm) perl(File/chdir.pm) perl(Module/Build.pm) perl(Path/Tiny.pm) perl(Test2/V0.pm) perl(base.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.07
Release: alt1
Summary: Alien::Build installer class for Module::Build
Group: Development/Perl
License: perl
URL: https://metacpan.org/pod/Alien::Build::MB

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PL/PLICEASE/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This is a the Module::Build manpage subclass that uses the Alien::Build manpage to
help create the Alien manpage distributions.  The author recommends
the Alien::Build::MM manpage, which uses the ExtUtils::MakeMaker manpage instead.
The primary rationale for this class, is to prove independence
from any particular installer, so that other installers may be
added in the future if they become available.  If you really do
prefer to work with the Module::Build manpage though, this may be the 
installer for you!

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc author.yml LICENSE Changes README
%perl_vendor_privlib/A*

%changelog
