%define module_name Alien-Libbz2
# BEGIN SourceDeps(oneline):
BuildRequires: bzlib-devel perl(Alien/Base.pm) perl(Alien/Build.pm) perl(Alien/Build/MM.pm) perl(Config.pm) perl(ExtUtils/CBuilder.pm) perl(ExtUtils/MakeMaker.pm) perl(Test/Alien.pm) perl(Test2/V0.pm) perl(Text/ParseWords.pm) perl(base.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.24
Release: alt3
Summary: Build and make available bz2
Group: Development/Perl
License: perl
URL: https://metacpan.org/pod/Alien::Libbz2

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PL/PLICEASE/%{module_name}-%{version}.tar.gz
#BuildArch: noarch

%description
This the Alien manpage module provides the necessary compiler and linker flags needed
for using libbz2 in XS.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes LICENSE README author.yml
%perl_vendor_archlib/A*
%perl_vendor_autolib/*

%changelog
