# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/autoconf autoconf perl(Alien/Base.pm) perl(Alien/Build.pm) perl(Alien/Build/MM.pm) perl(Alien/Build/Plugin/Build/Autoconf.pm) perl(Alien/Build/Plugin/Build/MSYS.pm) perl(Alien/MSYS.pm) perl(Alien/m4.pm) perl(Config.pm) perl(Env.pm) perl(ExtUtils/MakeMaker.pm) perl(File/chdir.pm) perl(HTML/LinkExtor.pm) perl(HTTP/Tiny.pm) perl(Path/Tiny.pm) perl(Sort/Versions.pm) perl(Test/Alien.pm) perl(Test2/V0.pm) perl(base.pm)
# END SourceDeps(oneline)
%define module_name Alien-autoconf
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.14
Release: alt3
Summary: Build or find autoconf
Group: Development/Perl
License: perl
URL: https://metacpan.org/pod/Alien::autoconf

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PL/PLICEASE/%{module_name}-%{version}.tar.gz
Patch: Alien-autoconf-0.14-alt-use-system.patch

%description
This distribution provides autoconf so that it can be used by other Perl distributions that are on CPAN.  This is most commonly necessary when creating 
other the Alien manpages that target a autoconf project that does not ship with a `configure' script.  Ideally you should complain to the upstream developers, 
but if you are not able to convince them then you have this option.  There are currently two such Aliens: the Alien::libuv manpage and the Alien::Hunspell manpage.

%prep
%setup -q -n %{module_name}-%{version}
%patch -p0

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes author.yml LICENSE README
%perl_vendor_archlib/A*
%perl_vendor_autolib/*

%changelog
