# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Alien/MSYS.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define upstream_name    Alien-automake
%define upstream_version 0.16

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %{upstream_version}
Release:    alt1_1

Summary:    Build or find automake
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Alien/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:     Alien-automake-vendorlib.patch
Patch1:     Alien-automake-no-download.patch

BuildRequires: perl(Alien/Base.pm)
BuildRequires: perl(Alien/Build.pm)
BuildRequires: perl(Alien/Build/MM.pm)
BuildRequires: perl(Alien/Build/Plugin/Build/Autoconf.pm)
BuildRequires: perl(Alien/Build/Plugin/Build/MSYS.pm)
BuildRequires: perl(Alien/autoconf.pm)
BuildRequires: perl(Env.pm)
BuildRequires: perl(ExtUtils/MakeMaker.pm)
BuildRequires: perl(Test2/V0.pm)
BuildRequires: perl(Test/Alien.pm)
BuildRequires: perl(Test/More.pm)
BuildArch:  noarch

Requires:   automake
Source44: import.info
%description
This distribution provides automake so that it can be used by other Perl
distributions that are on CPAN. It does this by first trying to detect an
existing install of automake on your system. If found it will use that. If
it cannot be found, the source code will be downloaded from the internet
and it will be installed in a private share location for the use of other
modules.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%patch0 -p1
%patch1 -p1


%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%makeinstall_std

%files
%doc Changes INSTALL LICENSE META.json META.yml  README
%perl_vendor_privlib/Alien/automake.pm
%perl_vendor_privlib/auto/share/dist/Alien-automake/

%changelog
