%define module_name Alien-geos-af
# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/geos-config perl(Alien/Base.pm) perl(Alien/Build.pm) perl(Alien/Build/MM.pm) perl(Alien/Build/Plugin/Cleanse/BuildDir.pm) perl(Alien/MSYS.pm) perl(Archive/Tar.pm) perl(ExtUtils/MakeMaker.pm) perl(FFI/CheckLib.pm) perl(File/Find/Rule.pm) perl(HTML/LinkExtor.pm) perl(HTTP/Tiny.pm) perl(IO/Compress/Bzip2.pm) perl(IO/Uncompress/Bunzip2.pm) perl(PkgConfig.pm) perl(Sort/Versions.pm) perl(Test/Alien.pm) perl(URI.pm) perl(URI/Escape.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.007
Release: alt3
Summary: Alien package for GEOS - Geometry Engine, Open Source
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/S/SL/SLAFFAN/%{module_name}-%{version}.tar.gz

%description
GEOS is the Geometry Engine, Open Source.  See http://geos.osgeo.org/.

The name is chosen to not clash with a pre-existing Alien::GEOS distribution.
This package differs in that it uses the alienfile approach, hence the ::af
suffix in the name.  



%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README.md LICENSE
%perl_vendor_archlib/A*
%perl_vendor_autolib/*

%changelog
