# BEGIN SourceDeps(oneline):
BuildRequires: gperf perl(Alien/Build.pm) perl(Alien/Build/MM.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(Test/More.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define module_name Alien-gperf
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.005
Release: alt3
Summary: Perl distribution for GNU gperf
Group: Development/Perl
License: perl
URL: https://github.com/athreef/Alien-gperf

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/A/AT/ATHREEF/%{module_name}-%{version}.tar.gz
#BuildArch: noarch

%description
GNU gperf is a perfect hash function generator. For a given list of strings, it produces a hash function and hash table, in form of C or C++ code, for looking up a value depending on the input string. The hash function is perfect, which means that the hash table has no collisions, and the hash table lookup needs a single string comparison only.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE README CHANGES
%perl_vendor_archlib/A*
%perl_vendor_autolib/*

%changelog
