%define module_name Alien-gzip
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Alien/Base.pm) perl(Alien/Build.pm) perl(Alien/Build/MM.pm) perl(Capture/Tiny.pm) perl(ExtUtils/MakeMaker.pm) perl(File/chdir.pm) perl(Test/Alien.pm) perl(Test2/V0.pm) perl(base.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.06
Release: alt3
Summary: Find or build gzip
Group: Development/Perl
License: perl
URL: https://metacpan.org/pod/Alien::gzip

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PL/PLICEASE/%{module_name}-%{version}.tar.gz
#BuildArch: noarch

%description
Many environments provide the gzip command, but a few do not.
Using this module in your `Build.PL' (or elsewhere) you can
make sure that gzip will be available.  If the system provides
it, then great, this module is a no-op.  If it does not, then
it will download and install it into a private location so that
it can be added to the `PATH' when this module is used.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes LICENSE author.yml
%perl_vendor_archlib/A*
%perl_vendor_autolib/*

%changelog
