%define module_name Alien-libtool
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Alien/Base.pm) perl(Alien/Build.pm) perl(Alien/Build/MM.pm) perl(Alien/Build/Plugin/Build/Autoconf.pm) perl(Alien/Build/Plugin/Build/MSYS.pm) perl(Alien/MSYS.pm) perl(Capture/Tiny.pm) perl(Env.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Which.pm) perl(File/chdir.pm) perl(List/Util.pm) perl(Sort/Versions.pm) perl(Test/Alien.pm) perl(Test2/V0.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.14
Release: alt3
Summary: Build or find libtool
Group: Development/Perl
License: perl
URL: https://metacpan.org/pod/Alien::libtool

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PL/PLICEASE/%{module_name}-%{version}.tar.gz
#BuildArch: noarch

%description
This distribution provides libtool so that it can be used by other 
Perl distributions that are on CPAN.  It does this by first trying to 
detect an existing install of libtool on your system.  If found it 
will use that.  If it cannot be found, the source code will be downloaded
from the internet and it will be installed in a private share location
for the use of other modules.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc author.yml Changes README LICENSE
%perl_vendor_archlib/A*
%perl_vendor_autolib/*

%changelog
