%define module_name Alien-liburing
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Alien/Base.pm) perl(Alien/Build.pm) perl(Alien/Build/MM.pm) perl(Devel/AssertOS.pm) perl(Devel/CheckOS.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Find/Rule.pm) perl(File/Spec.pm) perl(Test/Alien.pm) perl(Test/More.pm) perl(parent.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.003
Release: alt2
Summary: Alien wrapper for liburing
Group: Development/Perl
License: artistic_2
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/S/SI/SIMCOP/%{module_name}-%{version}.tar.gz

%description
This module provides bindings for the `libuing' C library, for
working with the io_uring Linux kernel subsystem.  This library is
only available or relavent for Linux, and will fail to install on
any other operating systems.

This library also requires a fairly new version of the Linux kernel
as of this writing.  I'd recommend at a minimum a 5.3 versioned kernel
or newer, due to features and support.

For the eventual IO::Async::Loop::IOUring module, a minimum kernel
version of 5.4 (likely 5.5) will also be needed and detected at install
time of that module.

See the github project for liburing,
and the kernel documentation (pdf) for io_uring documentation 
Also see the Alien::Build::Manual::AlienUser manpage for usage.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE Changes README.pod README CONTRIBUTING.md
%perl_vendor_archlib/A*
%perl_vendor_autolib/*

%changelog
