%define module_name Alien-libuuid
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Alien/Base.pm) perl(Alien/Build.pm) perl(Alien/Build/MM.pm) perl(Config.pm) perl(ExtUtils/MakeMaker.pm) perl(FFI/Platypus.pm) perl(FFI/Platypus/Memory.pm) perl(Test/Alien.pm) perl(Test/Alien/Diag.pm) perl(Test2/V0.pm) perl(base.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators perl(URI/Escape.pm) pkgconfig(uuid)

Name: perl-%module_name
Version: 0.05
Release: alt2
Summary: Find or download and install libuuid
Group: Development/Perl
License: perl
URL: https://metacpan.org/pod/Alien::libuuid

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PL/PLICEASE/%{module_name}-%{version}.tar.gz
#BuildArch: noarch

%description
This distribution provides libuuid so that it can be used by other 
Perl distributions that are on CPAN.  It does this by first trying to 
detect an existing install of libuuid on your system.  If found it 
will use that.  If it cannot be found, the source code will be downloaded
from the internet and it will be installed in a private share location
for the use of other modules.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc author.yml README Changes LICENSE
%perl_vendor_archlib/A*
%perl_vendor_autolib/*

%changelog
