%define module_name Alien-libuv
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Alien/Base.pm) perl(Alien/Build.pm) perl(Alien/Build/MM.pm) perl(Alien/Build/Plugin/Build/Make.pm) perl(Alien/Build/Plugin/Probe/Vcpkg.pm) perl(Config.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(IPC/Cmd.pm) perl(Test/Alien.pm) perl(Test/More.pm) perl(Test2/Suite.pm) perl(Test2/V0.pm) perl(base.pm) perl(strict.pm) perl(warnings.pm) pkgconfig(libuv)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.014
Release: alt3
Summary: Interface to the libuv library L<http://libuv.org>
Group: Development/Perl
License: perl
URL: https://github.com/p5-UV/Alien-libuv

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/C/CA/CAPOEIRAB/%{module_name}-%{version}.tar.gz
#BuildArch: noarch

%description
This package can be used by other CPAN modules that
require libuv.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README CONTRIBUTING.md author.yml Changes LICENSE
%perl_vendor_archlib/A*
%perl_vendor_autolib/*

%changelog
