%define module_name Alien-m4
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Alien/Base.pm) perl(Alien/Build.pm) perl(Alien/Build/MM.pm) perl(Capture/Tiny.pm) perl(Config.pm) perl(ExtUtils/MakeMaker.pm) perl(Path/Tiny.pm) perl(Test/Alien.pm) perl(Test/More.pm) perl(Test2/V0.pm) perl(URI.pm) perl(Sort/Versions.pm) perl(Mojo/DOM58.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.20
Release: alt1
Summary: Find or build m4
Group: Development/Perl
License: perl
URL: https://metacpan.org/pod/Alien::m4

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PL/PLICEASE/%{module_name}-%{version}.tar.gz
#BuildArch: noarch
Patch: Alien-m4-0.20-alt-m4-version.patch

%description
From summary: %summary

%prep
%setup -q -n %{module_name}-%{version}
%patch -p1

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes author.yml LICENSE README
%perl_vendor_archlib/A*
%perl_vendor_autolib/*

%changelog
