%define module_name Alien-nasm
# BEGIN SourceDeps(oneline):
BuildRequires: nasm perl(Alien/Base.pm) perl(Alien/Build.pm) perl(Alien/Build/MM.pm) perl(Alien/Build/Plugin/Decode/Mojo.pm) perl(Capture/Tiny.pm) perl(Config.pm) perl(Env.pm) perl(ExtUtils/MakeMaker.pm) perl(Test/Alien.pm) perl(Test2/V0.pm) perl(base.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.22
Release: alt3
Summary: Find or build nasm, the netwide assembler
Group: Development/Perl
License: perl
URL: https://metacpan.org/pod/Alien::nasm

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PL/PLICEASE/%{module_name}-%{version}.tar.gz
#BuildArch: noarch

%description
This Alien module provides Netwide Assembler (NASM).

This class is a subclass of the Alien::Base manpage, so all of the methods documented there
should work with this class.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README author.yml Changes LICENSE
%perl_vendor_archlib/A*
%perl_vendor_autolib/*

%changelog
