%define module_name Alien-sqlite
# BEGIN SourceDeps(oneline):
BuildRequires: libsqlite3-devel perl(Alien/Base.pm) perl(Alien/Build.pm) perl(Alien/Build/MM.pm) perl(Alien/Build/Plugin/Cleanse/BuildDir.pm) perl(Alien/MSYS.pm) perl(Archive/Tar.pm) perl(ExtUtils/MakeMaker.pm) perl(FFI/CheckLib.pm) perl(File/Find/Rule.pm) perl(HTML/LinkExtor.pm) perl(HTTP/Tiny.pm) perl(IO/Socket/SSL.pm) perl(IO/Zlib.pm) perl(Net/SSLeay.pm) perl(PkgConfig.pm) perl(Sort/Versions.pm) perl(Test/Alien.pm) perl(URI.pm) perl(URI/Escape.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.05
Release: alt3
Summary: Alien package for the Sqlite library
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/S/SL/SLAFFAN/%{module_name}-%{version}.tar.gz

%description
This Alien package is probably most useful for compilation of other modules, e.g. the Geo::GDAL::FFI manpage.

The Sqlite library can already be accessed from Perl code via the the DBD::SQLite manpage package.  


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE README.md Changes
%perl_vendor_archlib/A*
%perl_vendor_autolib/*

%changelog
