%define module_name Alt-Data-Frame-ButMore
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(Class/Method/Modifiers.pm) perl(Data/Dumper.pm) perl(Devel/OverloadInfo.pm) perl(Eval/Quosure.pm) perl(Exporter/Tiny.pm) perl(ExtUtils/MakeMaker.pm) perl(File/ShareDir.pm) perl(File/ShareDir/Install.pm) perl(FindBin.pm) perl(Function/Parameters.pm) perl(Hash/Ordered.pm) perl(Import/Into.pm) perl(List/AllUtils.pm) perl(List/MoreUtils.pm) perl(Math/BigInt.pm) perl(Module/Load.pm) perl(Module/Runtime.pm) perl(Moo.pm) perl(Moo/Role.pm) perl(MooX/Traits.pm) perl(PDL.pm) perl(PDL/Basic.pm) perl(PDL/Core.pm) perl(PDL/DateTime.pm) perl(PDL/Lite.pm) perl(PDL/Primitive.pm) perl(PDL/Types.pm) perl(POSIX.pm) perl(Package/Stash.pm) perl(Path/Tiny.pm) perl(Pod/Markdown/Github.pm) perl(Pod/POM.pm) perl(Pod/POM/View/Pod.pm) perl(Ref/Util.pm) perl(Role/Tiny.pm) perl(Role/Tiny/With.pm) perl(Safe/Isa.pm)
BuildRequires: perl(Scalar/Util.pm) perl(Sereal/Decoder.pm) perl(Sereal/Encoder.pm) perl(Syntax/Keyword/Try.pm) perl(Test/File/ShareDir.pm) perl(Test/LeakTrace.pm) perl(Test/Pod.pm) perl(Test2/API.pm) perl(Test2/Tools/PDL.pm) perl(Test2/Tools/Warnings.pm) perl(Test2/Util/Ref.pm) perl(Test2/Util/Table.pm) perl(Test2/V0.pm) perl(Text/CSV.pm) perl(Text/Table/Tiny.pm) perl(Type/Library.pm) perl(Type/Params.pm) perl(Type/Tiny.pm) perl(Type/Utils.pm) perl(Types/PDL.pm) perl(Types/Standard.pm) perl(autobox.pm) perl(boolean.pm) perl(failures.pm) perl(feature.pm) perl(namespace/autoclean.pm) perl(overload.pm) perl(parent.pm) perl(strict.pm) perl(utf8.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.0058
Release: alt1
Summary: Alternative implementation of Data::Frame with more features
Group: Development/Perl
License: perl
URL: https://github.com/stphnlyd/p5-Data-Frame

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/S/SL/SLOYD/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
It's been too long I cannot reach ZMUGHAL.
So here I release my the Alt manpage implenmentation.

This implements a data frame container that uses the PDL manpage for individual columns.
As such, it supports marking missing values (`BAD' values).

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.md TODO.otl README LICENSE Changes
%perl_vendor_privlib/A*
%perl_vendor_privlib/T*
%perl_vendor_privlib/D*
%perl_vendor_privlib/P*
%perl_vendor_privlib/auto/*

%changelog
