%define module_name Amazon-PAApi5-Signature
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(Class/Accessor/Lite.pm) perl(Digest/SHA.pm) perl(JSON.pm) perl(Module/Build.pm) perl(Module/Build/Pluggable.pm) perl(Module/Build/Pluggable/CPANfile.pm) perl(POSIX.pm) perl(String/CamelCase.pm) perl(Test/More.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.04
Release: alt1
Summary: Amazon Product Advertising API(PA-API) 5.0 Helper
Group: Development/Perl
License: artistic_2
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/B/BA/BAYASHI/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Amazon::PAApi5::Signature generates a request headers and request body for Amazon Product Advertising API(PA-API) 5.0

<https://webservices.amazon.com/paapi5/documentation/quick-start.html>

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes LICENSE README.pod example
%perl_vendor_privlib/A*

%changelog
