# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec/Functions.pm) perl(Test/More.pm) perl(experimental.pm)
# END SourceDeps(oneline)
%define module_name Antsy
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.901
Release: alt1
Summary: Streaming ANSI escape sequences
Group: Development/Perl
License: artistic_2
URL: https://github.com/briandfoy/antsy

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/B/BD/BDFOY/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Subroutines to deal with ANSI terminal sequences. You can emit these
without knowing what's coming up.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.pod Changes LICENSE examples
%perl_vendor_privlib/A*

%changelog
