%define module_name AnyEvent-Consul-Exec
# BEGIN SourceDeps(oneline):
BuildRequires: perl(AnyEvent.pm) perl(AnyEvent/Consul.pm) perl(Consul.pm) perl(ExtUtils/MakeMaker.pm) perl(JSON/MaybeXS.pm) perl(Test/Consul.pm) perl(Test/Exception.pm) perl(Test/More.pm) perl(Type/Params.pm) perl(Types/Standard.pm) perl(experimental.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.003
Release: alt1
Summary: Execute a remote command across a Consul cluster
Group: Development/Perl
License: perl
URL: https://github.com/robn/AnyEvent-Consul-Exec

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/R/RO/ROBN/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
AnyEvent::Consul::Exec is an interface to Consul's "exec" agent function. This
is the same thing you get when you run consul exec.

`consul exec' is great, but its output is text-based, making it awkward to
parse to determine what happened on each node that ran the command.
`AnyEvent::Consul::Exec' replaces the client portion with a library you can
use to get info about what is happening on each node as it happens.

As the name implies, it expects to be run inside an the AnyEvent manpage event loop.
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes LICENSE
%perl_vendor_privlib/A*

%changelog
