%define module_name AnyEvent-Radius
# BEGIN SourceDeps(oneline):
BuildRequires: perl(AnyEvent.pm) perl(AnyEvent/Handle/UDP.pm) perl(Class/Accessor/Fast.pm) perl(Data/Radius.pm) perl(English.pm) perl(ExtUtils/MakeMaker.pm) perl(base.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.1.3
Release: alt1
Summary: modules to implement AnyEvent-based RADIUS client or server
Group: Development/Perl
License: artistic_2
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PO/PORTAONE/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
NAME
    AnyEvent::Radius - modules to implement AnyEvent-based RADIUS client or
    server

SYNOPSYS
        use AnyEvent;
        use AnyEvent::Radius::Client;

        my $dict = AnyEvent::Radius::Client->load_dictionary('path-to-radius-dictionary');
    
        sub read_reply_callback {
            # $h is HASH-REF {type, request_id, av_list, from, authenticator}
            my ($self, $h) = @_;

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes LICENSE README example
%perl_vendor_privlib/A*

%changelog
