%define module_name AnyEvent-WebSocket-Client
# BEGIN SourceDeps(oneline):
BuildRequires: perl(AnyEvent.pm) perl(AnyEvent/Connector.pm) perl(Capture/Tiny.pm) perl(Config.pm) perl(EV.pm) perl(Encode.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(Mojo/Server/Daemon.pm) perl(Mojolicious/Lite.pm) perl(Moo.pm) perl(PerlX/Maybe.pm) perl(Protocol/WebSocket.pm) perl(Scalar/Util.pm) perl(Test/Memory/Cycle.pm) perl(Test2/API.pm) perl(Test2/Require.pm) perl(Test2/Require/Module.pm) perl(Test2/V0.pm) perl(URI.pm) perl(URI/ws.pm) perl(base.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.54
Release: alt1
Summary: WebSocket client for AnyEvent
Group: Development/Perl
License: perl
URL: https://metacpan.org/pod/AnyEvent::WebSocket::Client

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PL/PLICEASE/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
From summary: %summary

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc author.yml Changes LICENSE README example
%perl_vendor_privlib/A*

%changelog
