Group: Development/Perl
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-Apache-LogRegex
Version:        1.71
Release:        alt2_17
Summary:        Parse a line from an Apache logfile into a hash
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Apache-LogRegex
Source0:        https://cpan.metacpan.org/authors/id/S/SP/SPACEBAT/Apache-LogRegex-%{version}.tar.gz
BuildArch:      noarch
# Build
BuildRequires:  perl-devel
BuildRequires:  rpm-build-perl
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(strict.pm)
BuildRequires:  perl(warnings.pm)
# Tests only
BuildRequires:  perl(Test/More.pm)
Source44: import.info

%description
Designed as a simple class to parse Apache log files.  It will construct
a regex that will parse the given log file format and can then parse
lines from the log file line by line returning a hash of each line.

%prep
%setup -q -n Apache-LogRegex-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}

%install
%{makeinstall_std}
# %{_fixperms} %{buildroot}/*

%check
make test

%files
%doc --no-dereference LICENSE
%doc README.md
%{perl_vendor_privlib}/*

%changelog
