# BEGIN SourceDeps(oneline):
BuildRequires: perl(AutoLoader.pm) perl(Benchmark.pm) perl(DynaLoader.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(Fcntl.pm) perl(FileHandle.pm) perl(LWP/UserAgent.pm) perl(Symbol.pm)
# END SourceDeps(oneline)
%define module_version 0.05
%define module_name Apache-Mmap
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.05
Release: alt6
Summary: Associates a scalar with a mmap'd file
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/F/FL/FLETCH/%{module_name}-%{module_version}.tar.gz

%description
`Apache::Mmap' provides a facility for using the `mmap(2)' system call to 
have the OS map a file into a process' address space.

Two interfaces are provided:

=over 4

=item *

`mmap' and `munmap' methods which provide a persistant caching mechanisim
similar to that provided by `Apache::DBI' for database handles.

=item *

A set of methods which implement the `TIESCALAR' interface allowing a
scalar variable to be tied to a mapped region of memory.  Reading or
writing to the tied scalar accesses the mapped buffer.

=back
%prep
%setup -n %{module_name}-%{module_version}
# perl xs deprecated code: [Tt]ypemap, *.xs
#perl -pi -e 'for my $c (qw(yes no undef)) { s/\bsv_$c\b/PL_sv_$c/}' `egrep -rl '(sv_yes|sv_no|sv_undef)' .`
perl -pi -e 's!, na\s*\)!, PL_na)!' *.xs *map
rm t/handle.t

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Copying README Changes Artistic
%perl_vendor_archlib/A*
%perl_vendor_autolib/*

%changelog
