%define module_name App-Base
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(File/Flock/Tiny.pm) perl(File/Slurp.pm) perl(File/Spec.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(List/Util.pm) perl(Moose.pm) perl(Moose/Role.pm) perl(MooseX/Types.pm) perl(Path/Tiny.pm) perl(Test/CheckDeps.pm) perl(Test/Exception.pm) perl(Test/Exit.pm) perl(Test/FailWarnings.pm) perl(Test/More.pm) perl(Test/Most.pm) perl(Test/Warn.pm) perl(Text/Reform.pm) perl(Text/Trim.pm) perl(Try/Tiny.pm) perl(namespace/autoclean.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.07
Release: alt1
Summary: modules implementing common methods for applications
Group: Development/Perl
License: perl
URL: https://github.com/binary-com/perl-App-Base

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/B/BI/BINARY/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
From summary: %summary

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes LICENSE README README.md
%perl_vendor_privlib/A*

%changelog
