%define module_name App-BorgRestore
# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/borg perl(Carp/Assert.pm) perl(DBD/SQLite.pm) perl(DBI.pm) perl(Date/Parse.pm) perl(Devel/CheckBin.pm) perl(File/pushd.pm) perl(Function/Parameters.pm) perl(Getopt/Long.pm) perl(IPC/Run.pm) perl(JSON.pm) perl(List/Util.pm) perl(Log/Any.pm) perl(Log/Any/Adapter/Log4perl.pm) perl(Log/Any/Adapter/TAP.pm) perl(Log/Log4perl.pm) perl(Log/Log4perl/Appender/Screen.pm) perl(Log/Log4perl/Appender/ScreenColoredLevels.pm) perl(Log/Log4perl/Layout/PatternLayout.pm) perl(Log/Log4perl/Level.pm) perl(Module/Build/Tiny.pm) perl(Number/Bytes/Human.pm) perl(Path/Tiny.pm) perl(Pod/Usage.pm) perl(Software/License/GPL_3.pm) perl(Test/Differences.pm) perl(Test/Exception.pm) perl(Test/MockObject.pm) perl(Test/More.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(Version/Compare.pm) perl(autodie.pm) perl(strictures.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 3.4.4
Release: alt1
Summary: Restore paths from borg backups
Group: Development/Perl
License: gpl
URL: https://github.com/Bluewind/App-BorgRestore

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/B/BL/BLUEWIND/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
App::BorgRestore is a restoration helper for borg.

It maintains a cache of borg backup contents (path and latest modification
time) and allows to quickly look up backups that contain a path. It further
supports restoring a path from an archive. The archive to be used can also be
automatically determined based on the age of the path.

The cache has to be updated regularly, ideally after creating or removing
backups.

the borg-restore.pl manpage is a wrapper around this class that allows for simple CLI
usage.

This package uses the Log::Any manpage for logging.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.md Changes LICENSE
%perl_vendor_privlib/A*
%_man1dir/*
%_bindir/*

%changelog
