# BEGIN SourceDeps(oneline):
BuildRequires: perl(App/pod2pdf.pm) perl(CPAN.pm) perl(Capture/Tiny.pm) perl(Class/Utils.pm) perl(English.pm) perl(Error/Pure.pm) perl(Error/Pure/Utils.pm) perl(ExtUtils/CBuilder.pm) perl(ExtUtils/MakeMaker.pm) perl(Getopt/Std.pm) perl(IO/All.pm) perl(IO/Barf.pm) perl(JSON.pm) perl(LWP/UserAgent.pm) perl(Menlo/Index/MetaCPAN.pm) perl(Module/Build.pm) perl(Net/FTP.pm) perl(Parse/CPAN/Meta.pm) perl(Pod/Markdown.pm) perl(Test/LWP/UserAgent.pm) perl(Test/More.pm) perl(Test/NoWarnings.pm) perl(URI/cpan.pm) perl(YAML/Tiny.pm)
# END SourceDeps(oneline)
%define module_name App-CPAN-Get
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.02
Release: alt1
Summary: Base class and script for getting of dist from CPAN.
Group: Development/Perl
License: bsd
URL: https://github.com/michal-josef-spacek/App-CPAN-Get

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/S/SK/SKIM/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
use App::CPAN::Get;

 my $app = App::CPAN::Get->new;
 my $exit_code = $app->run;

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE Changes README examples
%_bindir/*
%_man1dir/*
%perl_vendor_privlib/A*

%changelog
