# BEGIN SourceDeps(oneline):
BuildRequires: perl(Class/Accessor/Lite/Lazy.pm) perl(Getopt/Long.pm) perl(MetaCPAN/Client.pm) perl(Module/Build/Tiny.pm) perl(Pod/Usage.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define module_version 0.01
%define module_name App-CPANRepo
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.01
Release: alt1
Summary: Resolve repository of CPAN Module
Group: Development/Perl
License: perl
URL: https://github.com/Songmu/p5-App-CPANRepo

Source0: http://cpan.org.ua/authors/id/S/SO/SONGMU/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
App::CPANRepo is to resolve repository URL by CPAN module name.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release

%description scripts
scripts for %module_name


%prep
%setup -n %{module_name}-%{module_version}

%build
%perl_vendor_build --install_path bindoc=%_man1dir

%install
%perl_vendor_install

%files
%doc README.md Changes LICENSE
%perl_vendor_privlib/A*

%files scripts
%_bindir/*
%_man1dir/*

%changelog
