%define module_name App-CekBpom
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Data/Sah/Compiler/perl/TH/array.pm) perl(Data/Sah/Compiler/perl/TH/bool.pm) perl(Data/Sah/Compiler/perl/TH/str.pm) perl(Data/Sah/Filter/perl/Path/expand_tilde_when_on_unix.pm) perl(Data/Sah/Filter/perl/Path/strip_slashes_when_on_unix.pm) perl(Date/Format/ISO8601.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(HTTP/CookieJar/LWP.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(JSON/Encode/TableData.pm) perl(LWP/UserAgent/Plugin.pm) perl(Log/ger.pm) perl(Perinci/CmdLine/Any.pm) perl(Perinci/CmdLine/Lite.pm) perl(Pod/Coverage/TrustPod.pm) perl(Sah/Schema/dirname.pm) perl(Sah/Schema/filename.pm) perl(Test/More.pm) perl(Test/Perl/Critic.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(Time/HiRes.pm) perl(URI/Escape.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.013
Release: alt1
Summary: Check BPOM products via the command-line (CLI interface for cekbpom.pom.go.id)
Group: Development/Perl
License: perl
URL: https://metacpan.org/release/App-CekBpom

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PE/PERLANCAR/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
See included script the cek-bpom manpage.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE Changes README
%_man1dir/*
%perl_vendor_privlib/A*
%_bindir/*

%changelog
