# BEGIN SourceDeps(oneline):
BuildRequires: perl(Clipboard/Any.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(Log/ger.pm) perl(Perinci/CmdLine/Any.pm) perl(Perinci/CmdLine/Lite.pm) perl(Pod/Coverage/TrustPod.pm) perl(Test/More.pm) perl(Test/Perl/Critic.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm)
# END SourceDeps(oneline)
%define module_name App-ClipboardUtils
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.001
Release: alt1
Summary: CLI utilities related to clipboard
Group: Development/Perl
License: perl
URL: https://metacpan.org/release/App-ClipboardUtils

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PE/PERLANCAR/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This distribution contains the following CLI utilities related to clipboard:

=over

=item * the clear-clipboard-history manpage

=item * the detect-clipboard-manager manpage

=item * the get-clipboard-content manpage

=item * the list-clipboard-history manpage

=back

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE README Changes
%_bindir/*
%_man1dir/*
%perl_vendor_privlib/A*

%changelog
