%define module_name App-Cme
# BEGIN SourceDeps(oneline):
BuildRequires: perl(App/Cmd/Setup.pm) perl(App/Cmd/Tester.pm) perl(Config/Model.pm) perl(Config/Model/CursesUI.pm) perl(Config/Model/FuseUI.pm) perl(Config/Model/Lister.pm) perl(Config/Model/ObjTreeScanner.pm) perl(Config/Model/SimpleUI.pm) perl(Config/Model/TermUI.pm) perl(Config/Model/TkUI.pm) perl(Config/Model/Utils/GenClassPod.pm) perl(Data/Dumper.pm) perl(Encode.pm) perl(Encode/CN.pm) perl(Encode/JP.pm) perl(Encode/KR.pm) perl(Encode/TW.pm) perl(File/HomeDir.pm) perl(JSON.pm) perl(Log/Log4perl.pm) perl(Module/Build.pm) perl(Path/Tiny.pm) perl(Pod/POM.pm) perl(Pod/POM/View/Text.pm) perl(Probe/Perl.pm) perl(Scalar/Util.pm) perl(Term/ANSIColor.pm) perl(Test/File/Contents.pm) perl(Test/More.pm) perl(Test/Pod.pm) perl(Tie/Hash.pm) perl(Tk.pm) perl(Tk/ErrorDialog.pm) perl(YAML.pm) perl(charnames.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.032
Release: alt1
Summary: Check or edit configuration data with Config::Model
Group: Development/Perl
License: lgpl
URL: https://github.com/dod38fr/config-model/wiki

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/D/DD/DDUMONT/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
From summary: %summary

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.install.pod build-from-git.md LICENSE Changes CONTRIBUTING.md README.pod
%perl_vendor_privlib/A*

%files scripts
%_man1dir/*
%_bindir/*

%changelog
