%define module_name App-Codeowners
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Capture/Tiny.pm) perl(Color/ANSI/Util.pm) perl(Encode.pm) perl(Encode/CN.pm) perl(Encode/JP.pm) perl(Encode/KR.pm) perl(Encode/TW.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Codeowners.pm) perl(File/Codeowners/Util.pm) perl(File/Spec.pm) perl(File/pushd.pm) perl(FindBin.pm) perl(Getopt/Long.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(Module/Load.pm) perl(Path/Tiny.pm) perl(Test/Exit.pm) perl(Test/More.pm) perl(parent.pm) perl(strict.pm) perl(utf8.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.50
Release: alt1
Summary: A tool for managing CODEOWNERS files
Group: Development/Perl
License: perl
URL: https://github.com/chazmcgarvey/git-codeowners

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/C/CC/CCM/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This is the implementation of the git-codeowners command.

See the git-codeowners manpage for documentation.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes LICENSE README
%_man1dir/*
%perl_vendor_privlib/A*
%_bindir/*

%changelog
