%define module_name App-CompleteCLIs
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Complete/Acme/MetaSyntactic.pm) perl(Complete/App/perlmv.pm) perl(Complete/Chrome.pm) perl(Complete/Country.pm) perl(Complete/Currency.pm) perl(Complete/Cwalitee.pm) perl(Complete/Dist.pm) perl(Complete/Dist/Zilla.pm) perl(Complete/Env.pm) perl(Complete/File.pm) perl(Complete/Finance/SE/IDX.pm) perl(Complete/Firefox.pm) perl(Complete/Host.pm) perl(Complete/Kernel.pm) perl(Complete/Language.pm) perl(Complete/Locale.pm) perl(Complete/MAC.pm) perl(Complete/Man.pm) perl(Complete/Module.pm) perl(Complete/Number.pm) perl(Complete/PPR.pm) perl(Complete/Perl.pm) perl(Complete/Pod.pm) perl(Complete/Pod/Weaver.pm) perl(Complete/Program.pm) perl(Complete/Rclone.pm) perl(Complete/Regexp/Pattern.pm) perl(Complete/Riap.pm) perl(Complete/Riap/Clientless.pm) perl(Complete/TZ.pm) perl(Complete/Unix.pm)
BuildRequires: perl(Complete/Util.pm) perl(Complete/Vivaldi.pm) perl(Data/Sah/Coerce/perl/To_float/From_str/percent.pm) perl(Data/Sah/Coerce/perl/To_str/From_str/normalize_perl_modname.pm) perl(Data/Sah/Coerce/perl/To_str/From_str/normalize_perl_modprefix.pm) perl(Data/Sah/Compiler/perl/TH/any.pm) perl(Data/Sah/Compiler/perl/TH/array.pm) perl(Data/Sah/Compiler/perl/TH/bool.pm) perl(Data/Sah/Compiler/perl/TH/code.pm) perl(Data/Sah/Compiler/perl/TH/float.pm) perl(Data/Sah/Compiler/perl/TH/hash.pm) perl(Data/Sah/Compiler/perl/TH/int.pm) perl(Data/Sah/Compiler/perl/TH/obj.pm) perl(Data/Sah/Compiler/perl/TH/re.pm) perl(Data/Sah/Compiler/perl/TH/str.pm) perl(Data/Sah/Filter/perl/Path/expand_tilde_when_on_unix.pm) perl(Data/Sah/Filter/perl/Path/strip_slashes_when_on_unix.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm)
BuildRequires: perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(Log/ger.pm) perl(Perinci/CmdLine/Any.pm) perl(Perinci/CmdLine/Lite.pm) perl(Pod/Coverage/TrustPod.pm) perl(Sah/Schema/dirname.pm) perl(Sah/Schema/filename.pm) perl(Sah/Schema/perl/modname.pm) perl(Sah/Schema/perl/modprefix.pm) perl(Sah/Schema/true.pm) perl(Test/More.pm) perl(Test/Perl/Critic.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.150
Release: alt1
Summary: CLI wrappers for complete_*() functions
Group: Development/Perl
License: perl
URL: https://metacpan.org/release/App-CompleteCLIs

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PE/PERLANCAR/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
From summary: %summary

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README LICENSE
%perl_vendor_privlib/A*

%files scripts
%_man1dir/*
%_bindir/*

%changelog
