%define module_name App-CompleteUtils
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Complete/Bash.pm) perl(Complete/File.pm) perl(Complete/Fish.pm) perl(Complete/Program.pm) perl(Complete/Tcsh.pm) perl(Complete/Util.pm) perl(Complete/Zsh.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(File/Which.pm) perl(Getopt/Long.pm) perl(Getopt/Long/Complete.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(Log/ger.pm) perl(Log/ger/Level/FromEnv.pm) perl(Log/ger/Output.pm) perl(Log/ger/Output/Screen.pm) perl(Pod/Coverage/TrustPod.pm) perl(Shell/Guess.pm) perl(String/ShellQuote.pm) perl(Test/More.pm) perl(Test/Perl/Critic.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.17
Release: alt1
Summary: Collection of CLI utilities related to completion and Complete::*
Group: Development/Perl
License: perl
URL: https://metacpan.org/release/App-CompleteUtils

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PE/PERLANCAR/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
From summary: %summary

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README LICENSE
%perl_vendor_privlib/A*

%files scripts
%_man1dir/*
%_bindir/*

%changelog
