# BEGIN SourceDeps(oneline):
BuildRequires: perl(File/HomeDir.pm) perl(File/Path.pm) perl(File/Which.pm) perl(List/Util.pm) perl(Module/Build.pm) perl(Test/More.pm) perl(Udev/FFI.pm) perl(YAML/Tiny.pm)
# END SourceDeps(oneline)
%define module_name App-DTWMIC
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.002
Release: alt1
Summary: disable touchpad when a mouse is connected
Group: Development/Perl
License: lgpl
URL: https://github.com/Ilya33/App-DTWMIC

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/I/IL/ILUX/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Add dtwmic to your X window manager autostart.

A default configuration file is created on the first run in
~/.config/dtwmic/config.yml (if not exists).

You need synclient or xinput by default otherwise edit the config.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README.md LICENSE
%_bindir/*
%_man1dir/*
%perl_vendor_privlib/A*

%changelog
