%define module_name App-Dochazka-Common
# BEGIN SourceDeps(oneline):
BuildRequires: perl(English.pm) perl(Exporter.pm) perl(Module/Build.pm) perl(Params/Validate.pm) perl(Software/License.pm) perl(Test/Deep/NoTest.pm) perl(Test/Fatal.pm) perl(Test/Perl/Critic.pm) perl(Time/Piece.pm) perl(Time/Seconds.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.209
Release: alt1
Summary: Dochazka ATT system shared modules
Group: Development/Perl
License: bsd
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/S/SM/SMITHFARM/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This distro contains modules that are used by both the server
the App::Dochazka::REST manpage and the command-line client the App::Dochazka::CLI manpage.
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.rst Changes LICENSE
%perl_vendor_privlib/A*

%changelog
