%define module_name App-Dochazka-REST
# BEGIN SourceDeps(oneline):
BuildRequires: perl(App/CELL.pm) perl(App/Dochazka/Common.pm) perl(Authen/Passphrase/SaltedDigest.pm) perl(DBD/Pg.pm) perl(DBI.pm) perl(DBIx/Connector.pm) perl(Date/Calc.pm) perl(Date/Holidays/CZ.pm) perl(English.pm) perl(Exporter.pm) perl(File/ShareDir.pm) perl(File/ShareDir/Install.pm) perl(File/Slurp.pm) perl(HTTP/Request.pm) perl(JSON.pm) perl(Log/Any/Adapter.pm) perl(Mason.pm) perl(Module/Build.pm) perl(Module/Runtime.pm) perl(Net/LDAP.pm) perl(Net/LDAP/Filter.pm) perl(Params/Validate.pm) perl(Path/Router.pm) perl(Plack/Middleware/Session.pm) perl(Plack/Middleware/StackTrace.pm) perl(Plack/Runner.pm) perl(Plack/Test.pm) perl(Pod/Simple/HTML.pm) perl(Pod/Usage.pm) perl(Scalar/Util.pm) perl(Test/Deep/NoTest.pm) perl(Test/Fatal.pm) perl(Test/JSON.pm) perl(Test/Perl/Critic.pm) perl(Test/Warnings.pm) perl(Try/Tiny.pm)
BuildRequires: perl(Web/MREST.pm) perl(Web/MREST/CLI.pm) perl(Web/Machine.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.558
Release: alt1
Summary: Dochazka REST server
Group: Development/Perl
License: bsd
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/S/SM/SMITHFARM/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This distribution, the App::Dochazka::REST manpage, including all the modules in `lib/',
the scripts in `bin/', and the configuration files in `config/', constitutes
the REST server component of Dochazka, the open-source Attendance/Time Tracking
(ATT) system. 

Dochazka as a whole aims to be a convenient, open-source ATT solution.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release

%description scripts
scripts for %module_name
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE README.rst Changes
%perl_vendor_privlib/A*
%perl_vendor_privlib/auto/*

%files scripts
%_man1dir/*
%_bindir/*

%changelog
