%define module_name App-ElasticSearch-Utilities
# BEGIN SourceDeps(oneline):
BuildRequires: perl(CHI.pm) perl(CLI/Helpers.pm) perl(Carp.pm) perl(Clone.pm) perl(Const/Fast.pm) perl(Data/Dumper.pm) perl(DateTime.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Basename.pm) perl(File/Slurp/Tiny.pm) perl(File/Spec.pm) perl(File/Temp.pm) perl(Getopt/Long.pm) perl(Getopt/Long/Descriptive.pm) perl(HTTP/Request.pm) perl(Hash/Flatten.pm) perl(Hash/Merge/Simple.pm) perl(IO/Handle.pm) perl(IO/Socket/INET.pm) perl(IPC/Open3.pm) perl(IPC/Run3.pm) perl(JSON/MaybeXS.pm) perl(LWP/UserAgent.pm) perl(Module/Load.pm) perl(Module/Pluggable/Object.pm) perl(Moo.pm) perl(Moo/Role.pm) perl(Net/CIDR/Lite.pm) perl(Net/Netrc.pm) perl(POSIX.pm) perl(Pod/Usage.pm) perl(Ref/Util.pm) perl(Sub/Exporter.pm) perl(Test/Deep.pm) perl(Test/More.pm) perl(Text/CSV_XS.pm) perl(Time/HiRes.pm) perl(Time/Local.pm) perl(Type/Library.pm)
BuildRequires: perl(Type/Tiny.pm) perl(Types/Standard.pm) perl(URI.pm) perl(URI/QueryParam.pm) perl(YAML.pm) perl(feature.pm) perl(namespace/autoclean.pm) perl(parent.pm) perl(strict.pm) perl(version.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 7.8
Release: alt1
Summary: perl module %module_name
Group: Development/Perl
License: bsd
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/B/BL/BLHOTSKY/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
From summary: %summary

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build INSTALLMAN1DIR=%_man1dir

%install
%perl_vendor_install

%files
%doc LICENSE README.mkdn Changes examples
%perl_vendor_privlib/A*
%perl_vendor_privlib/T*

%files scripts
%_man1dir/*
%_bindir/*

%changelog
