%define module_name App-FirefoxMultiAccountContainersUtils
# BEGIN SourceDeps(oneline):
BuildRequires: perl(App/FirefoxUtils.pm) perl(Data/Sah/Compiler/perl/TH/any.pm) perl(Data/Sah/Compiler/perl/TH/array.pm) perl(Data/Sah/Compiler/perl/TH/code.pm) perl(Data/Sah/Compiler/perl/TH/str.pm) perl(Data/Sah/Filter/perl/Firefox/check_profile_name_exists.pm) perl(Data/Sah/Filter/perl/Str/replace_dashes_with_underscores.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Copy.pm) perl(File/Slurper.pm) perl(File/Spec.pm) perl(Firefox/Util/Profile.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(JSON/MaybeXS.pm) perl(Log/ger.pm) perl(Perinci/CmdLine/Any.pm) perl(Perinci/CmdLine/Lite.pm) perl(Pod/Coverage/TrustPod.pm) perl(Sah/Schema/firefox/local_profile_name.pm) perl(Sah/Schema/sortsub/spec.pm) perl(Sort/Sub.pm) perl(Test/More.pm) perl(Test/Perl/Critic.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(URI/Escape.pm)
BuildRequires: perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.011
Release: alt1
Summary: Utilities related to Firefox Multi-Account Containers add-on
Group: Development/Perl
License: perl
URL: https://metacpan.org/release/App-FirefoxMultiAccountContainersUtils

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PE/PERLANCAR/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This distribution includes several utilities related to Firefox multi-account
containers addon:

=over

=item * the firefox-mua-list-containers manpage

=item * the firefox-mua-modify-containers manpage

=item * the firefox-mua-sort-containers manpage

=back


About the add-on: https://addons.mozilla.org/en-US/firefox/addon/multi-account-containers/.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README LICENSE
%_man1dir/*
%perl_vendor_privlib/A*
%_bindir/*

%changelog
