%define module_name App-Followme
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Digest/MD5.pm) perl(File/Path.pm) perl(File/Spec/Functions.pm) perl(Image/Size.pm) perl(Module/Build/Tiny.pm) perl(Net/FTP.pm) perl(Pod/Simple/XHTML.pm) perl(Test/More.pm) perl(Test/Requires.pm) perl(Text/Markdown.pm) perl(Time/Format.pm) perl(Time/Local.pm) perl(YAML/Tiny.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.95
Release: alt1
Summary: Update a static website
Group: Development/Perl
License: perl
URL: https://github.com/Jinzang/App-Followme

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/J/JI/JINZANG/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
From summary: %summary

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build --install_path bindoc=%_man1dir

%install
%perl_vendor_install

%files
%doc README.md Changes LICENSE
%perl_vendor_privlib/A*
%perl_vendor_privlib/auto/*

%files scripts
%_man1dir/*
%_bindir/*

%changelog
