%define module_name App-GoogleSearchUtils
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Browser/Open.pm) perl(Data/Sah/Coerce/perl/To_duration/From_float/seconds.pm) perl(Data/Sah/Coerce/perl/To_duration/From_obj/datetime_duration.pm) perl(Data/Sah/Coerce/perl/To_duration/From_str/human.pm) perl(Data/Sah/Coerce/perl/To_duration/From_str/iso8601.pm) perl(Data/Sah/Compiler/perl/TH/array.pm) perl(Data/Sah/Compiler/perl/TH/duration.pm) perl(Data/Sah/Compiler/perl/TH/int.pm) perl(Data/Sah/Compiler/perl/TH/str.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(HTML/Entities.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(Log/ger.pm) perl(Perinci/CmdLine/Any.pm) perl(Perinci/CmdLine/Lite.pm) perl(Perinci/Object.pm) perl(Pod/Coverage/TrustPod.pm) perl(Sah/Schema/posint.pm) perl(Test/More.pm) perl(Test/Perl/Critic.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(URI/Escape.pm)
BuildRequires: perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.006
Release: alt1
Summary: CLI utilites related to google searching
Group: Development/Perl
License: perl
URL: https://metacpan.org/release/App-GoogleSearchUtils

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PE/PERLANCAR/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This distribution provides the following utilities:

=over

=item * the google-search manpage

=back

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE README Changes
%perl_vendor_privlib/A*
%_man1dir/*
%_bindir/*

%changelog
