%define module_name App-GraphicsColorNamesUtils
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Color/RGB/Util.pm) perl(Data/Sah/Coerce/perl/To_str/From_str/normalize_perl_modname.pm) perl(Data/Sah/Coerce/perl/To_str/From_str/rgb24_from_colorname_X_or_code.pm) perl(Data/Sah/Compiler/perl/TH/bool.pm) perl(Data/Sah/Compiler/perl/TH/int.pm) perl(Data/Sah/Compiler/perl/TH/str.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(Graphics/ColorNames.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(Module/List/Tiny.pm) perl(Perinci/CmdLine/Any.pm) perl(Perinci/CmdLine/Base.pm) perl(Perinci/CmdLine/Classic.pm) perl(Perinci/CmdLine/Lite.pm) perl(Pod/Coverage/TrustPod.pm) perl(Sah/Schema/color/rgb24.pm) perl(Sah/Schema/perl/colorscheme/modname.pm) perl(Sah/Schema/posint.pm) perl(Sah/Schema/true.pm) perl(Test/More.pm) perl(Test/Perl/Critic.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(Text/ANSITable.pm)
BuildRequires: perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.005
Release: alt1
Summary: Utilities related to Graphics::ColorNames
Group: Development/Perl
License: perl
URL: https://metacpan.org/release/App-GraphicsColorNamesUtils

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PE/PERLANCAR/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This distributions provides the following command-line utilities:

=over

=item * the colorcode2name manpage

=item * the colorname2code manpage

=item * the list-color-names manpage

=item * the list-color-schemes manpage

=item * the show-color-swatch manpage

=back

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE Changes README
%perl_vendor_privlib/A*
%_man1dir/*
%_bindir/*

%changelog
