%define module_name App-HTTPTinyUtils
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Complete/Module.pm) perl(Data/Sah/Coerce/perl/To_duration/From_float/seconds.pm) perl(Data/Sah/Coerce/perl/To_duration/From_obj/datetime_duration.pm) perl(Data/Sah/Coerce/perl/To_duration/From_str/human.pm) perl(Data/Sah/Coerce/perl/To_duration/From_str/iso8601.pm) perl(Data/Sah/Compiler/perl/TH/array.pm) perl(Data/Sah/Compiler/perl/TH/bool.pm) perl(Data/Sah/Compiler/perl/TH/duration.pm) perl(Data/Sah/Compiler/perl/TH/hash.pm) perl(Data/Sah/Compiler/perl/TH/str.pm) perl(Data/Sah/Filter/perl/Path/expand_tilde_when_on_unix.pm) perl(Data/Sah/Filter/perl/Path/strip_slashes_when_on_unix.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(HTTP/Tiny.pm) perl(HTTP/Tiny/Cache.pm) perl(HTTP/Tiny/CustomRetry.pm) perl(HTTP/Tiny/Plugin.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(Log/ger.pm) perl(Log/ger/App.pm)
BuildRequires: perl(Log/ger/Output/DirWriteRotate.pm) perl(Perinci/CmdLine/Any.pm) perl(Perinci/CmdLine/Lite.pm) perl(Perinci/Sub/Util.pm) perl(Pod/Coverage/TrustPod.pm) perl(Sah/Schema/dirname.pm) perl(Test/More.pm) perl(Test/Perl/Critic.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.009
Release: alt1
Summary: Command-line utilities related to HTTP::Tiny
Group: Development/Perl
License: perl
URL: https://metacpan.org/release/App-HTTPTinyUtils

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PE/PERLANCAR/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This distribution includes several utilities related to the HTTP::Tiny manpage:

=over

=item * the http-tiny manpage

=item * the http-tiny-cache manpage

=back

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE README Changes
%perl_vendor_privlib/A*
%_man1dir/*
%_bindir/*

%changelog
