%define module_name App-Licensecheck
# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++ libcutl-devel perl(Array/IntSpan.pm) perl(Encode.pm) perl(Encode/CN.pm) perl(Encode/JP.pm) perl(Encode/KR.pm) perl(Encode/Locale.pm) perl(Encode/TW.pm) perl(ExtUtils/MakeMaker.pm) perl(Fcntl.pm) perl(File/BaseDir.pm) perl(File/Basename.pm) perl(Getopt/Long.pm) perl(IO/Interactive.pm) perl(List/SomeUtils.pm) perl(Log/Any.pm) perl(Log/Any/Adapter/Screen.pm) perl(Moo.pm) perl(MooX/Struct.pm) perl(Path/Iterator/Rule.pm) perl(Path/Tiny.pm) perl(Pod/Constants.pm) perl(Pod/Usage.pm) perl(Regexp/Pattern.pm) perl(Regexp/Pattern/License.pm) perl(Software/LicenseUtils.pm) perl(Sort/Key/Multi.pm) perl(String/Copyright.pm) perl(String/Escape.pm) perl(Test/Command/Simple.pm) perl(Test2/V0.pm) perl(Try/Tiny.pm) perl(autodie.pm) perl(experimental.pm) perl(namespace/clean.pm) perl(re/engine/RE2.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 3.2.4
Release: alt1
Summary: simple license checker for source files
Group: Development/Perl
License: open_source
URL: https://metacpan.org/pod/App::Licensecheck

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/J/JO/JONASS/%{module_name}-v%{version}.tar.gz

%description
the App::Licensecheck manpage is the core of the licensecheck manpage script
to check for licenses of source files.
See the script for casual usage.
%prep
%setup -q -n %{module_name}-v%{version}

%build
export LANG=en_US.UTF-8
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc CREDITS README TODO COPYRIGHT LICENSE Changes
%perl_vendor_privlib/A*
%_man1dir/*
%_bindir/*

%changelog
