%set_perl_req_method relaxed
%define module_name App-Music-ChordPro
%add_findreq_skiplist /usr/bin/*
%add_findreq_skiplist */App/Music/ChordPro/*
# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++ perl(App/Packager.pm) perl(Archive/Zip.pm) perl(Data/Properties.pm) perl(Encode.pm) perl(ExtUtils/MakeMaker.pm) perl(File/LoadLines.pm) perl(Font/TTF.pm) perl(Font/TTF/AATKern.pm) perl(Font/TTF/AATutils.pm) perl(Font/TTF/Anchor.pm) perl(Font/TTF/Bsln.pm) perl(Font/TTF/Cmap.pm) perl(Font/TTF/Coverage.pm) perl(Font/TTF/Cvt_.pm) perl(Font/TTF/DSIG.pm) perl(Font/TTF/Delta.pm) perl(Font/TTF/Dumper.pm) perl(Font/TTF/EBDT.pm) perl(Font/TTF/EBLC.pm) perl(Font/TTF/Fdsc.pm) perl(Font/TTF/Feat.pm) perl(Font/TTF/Features/Cvar.pm) perl(Font/TTF/Features/Size.pm) perl(Font/TTF/Features/Sset.pm) perl(Font/TTF/Fmtx.pm) perl(Font/TTF/Font.pm) perl(Font/TTF/Fpgm.pm) perl(Font/TTF/GDEF.pm) perl(Font/TTF/GPOS.pm) perl(Font/TTF/GSUB.pm) perl(Font/TTF/Glat.pm) perl(Font/TTF/Gloc.pm) perl(Font/TTF/Glyf.pm)
BuildRequires: perl(Font/TTF/Glyph.pm) perl(Font/TTF/GrFeat.pm) perl(Font/TTF/Hdmx.pm) perl(Font/TTF/Head.pm) perl(Font/TTF/Hhea.pm) perl(Font/TTF/Hmtx.pm) perl(Font/TTF/Kern.pm) perl(Font/TTF/Kern/ClassArray.pm) perl(Font/TTF/Kern/CompactClassArray.pm) perl(Font/TTF/Kern/OrderedList.pm) perl(Font/TTF/Kern/StateTable.pm) perl(Font/TTF/Kern/Subtable.pm) perl(Font/TTF/LTSH.pm) perl(Font/TTF/Loca.pm) perl(Font/TTF/Maxp.pm) perl(Font/TTF/Mort.pm) perl(Font/TTF/Mort/Chain.pm) perl(Font/TTF/Mort/Contextual.pm) perl(Font/TTF/Mort/Insertion.pm) perl(Font/TTF/Mort/Ligature.pm) perl(Font/TTF/Mort/Noncontextual.pm) perl(Font/TTF/Mort/Rearrangement.pm) perl(Font/TTF/Mort/Subtable.pm) perl(Font/TTF/Name.pm) perl(Font/TTF/OS_2.pm) perl(Font/TTF/OTTags.pm) perl(Font/TTF/OldCmap.pm) perl(Font/TTF/OldMort.pm) perl(Font/TTF/PCLT.pm)
BuildRequires: perl(Font/TTF/PSNames.pm) perl(Font/TTF/Post.pm) perl(Font/TTF/Prep.pm) perl(Font/TTF/Prop.pm) perl(Font/TTF/Segarr.pm) perl(Font/TTF/Silf.pm) perl(Font/TTF/Sill.pm) perl(Font/TTF/Table.pm) perl(Font/TTF/Ttc.pm) perl(Font/TTF/Ttopen.pm) perl(Font/TTF/Useall.pm) perl(Font/TTF/Utils.pm) perl(Font/TTF/Vhea.pm) perl(Font/TTF/Vmtx.pm) perl(Font/TTF/Woff.pm) perl(Font/TTF/Woff/MetaData.pm) perl(Font/TTF/Woff/PrivateData.pm) perl(Font/TTF/XMLparse.pm) perl(HarfBuzz/Shaper.pm) perl(IO/String.pm) perl(Image/Info.pm) perl(JSON/PP.pm) perl(List/Util.pm) perl(PAR/Filter.pm) perl(PDF/API2.pm) perl(PDF/Builder.pm) perl(Pod/Usage.pm) perl(String/Interpolate/Named.pm) perl(Test/More.pm) perl(Text/Layout.pm) perl(Wx.pm) perl(Wx/App.pm) perl(Wx/Locale.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.979.1
Release: alt1
Summary: A lyrics and chords formatting program
Group: Development/Perl
License: perl
URL: http://www.chordpro.org

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/J/JV/JV/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
chordpro will read one or more text files containing the lyrics of
one or many songs plus chord information. chordpro will then
generate a photo-ready, professional looking, impress-your-friends
sheet-music suitable for printing on your nearest printer.

chordpro is a rewrite of the Chordii program, see
http://www.chordii.org.

For more information about the ChordPro file format, see
http://www.chordpro.org.
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE README.md Changes
%perl_vendor_privlib/A*
%_man1dir/*
%_bindir/*

%changelog
