%define module_name App-PMUtils
# BEGIN SourceDeps(oneline):
BuildRequires: perl(AppBase/Grep.pm) perl(Browser/Open.pm) perl(Complete/Module.pm) perl(Config.pm) perl(Cwd.pm) perl(Data/Sah/Coerce/perl/To_array/From_str_or_array/expand_perl_modname_wildcard.pm) perl(Data/Sah/Coerce/perl/To_str/From_str/normalize_perl_modname.pm) perl(Data/Sah/Compiler/perl/TH/array.pm) perl(Data/Sah/Compiler/perl/TH/bool.pm) perl(Data/Sah/Compiler/perl/TH/int.pm) perl(Data/Sah/Compiler/perl/TH/re.pm) perl(Data/Sah/Compiler/perl/TH/str.pm) perl(Dist/Util.pm) perl(ExtUtils/MakeMaker.pm) perl(File/ShareDir.pm) perl(File/ShareDir/Install.pm) perl(File/Spec.pm) perl(File/Temp.pm) perl(File/Util/Tempdir.pm) perl(File/Which.pm) perl(HTTP/Tiny.pm) perl(IO/Handle.pm) perl(IO/Prompt/I18N.pm) perl(IPC/Open3.pm) perl(IPC/System/Options.pm) perl(JSON/MaybeXS.pm) perl(Log/ger.pm) perl(Module/CoreList.pm)
BuildRequires: perl(Module/CoreList/More.pm) perl(Module/List.pm) perl(Module/Load.pm) perl(Module/Path/More.pm) perl(Module/XSOrPP.pm) perl(PERLANCAR/AppUtil/PerlStripper.pm) perl(PERLANCAR/Module/List.pm) perl(Perinci/CmdLine/Any.pm) perl(Perinci/CmdLine/Lite.pm) perl(Perinci/Sub/Util.pm) perl(Perl/MinimumVersion.pm) perl(Perl/Stripper.pm) perl(Pod/Coverage/TrustPod.pm) perl(Sah/Schema/perl/modname.pm) perl(Sah/Schema/perl/modnames.pm) perl(Sah/Schema/true.pm) perl(SourceCode/LineCounter/Perl.pm) perl(String/ShellQuote.pm) perl(String/Wildcard/Bash.pm) perl(Test/More.pm) perl(Test/Perl/Critic.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(experimental.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.734
Release: alt1
Summary: Command-line utilities related to Perl modules
Group: Development/Perl
License: perl
URL: https://metacpan.org/release/App-PMUtils

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PE/PERLANCAR/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
From summary: %summary

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes LICENSE
%perl_vendor_privlib/A*
%perl_vendor_privlib/auto/*

%files scripts
%_man1dir/*
%_bindir/*

%changelog
