# BEGIN SourceDeps(oneline):
BuildRequires: perl(Config.pm) perl(Data/Dumper.pm) perl(Digest/MD5.pm) perl(DynaLoader.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(Fcntl.pm) perl(File/Path.pm) perl(File/Share.pm) perl(File/Spec/Unix.pm) perl(FindBin.pm) perl(Scalar/Util.pm) perl(Socket.pm) perl(base.pm) perl(if.pm) pkgconfig(x11)
# END SourceDeps(oneline)
%define module_name App-PerlXLock
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.08
Release: alt3
Summary: A simple X locking utility.
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/F/FI/FINNPERL/%{module_name}-%{version}.tar.gz
#BuildArch: noarch

%description
A X11 locking utility. plock turns the screen black and waits for a key press. If /etc/shadow
is not accessible and PLOCK_PASSWORD is not set, plock terminates after pressing return. If /etc/shadow
is found to be readable, then it waits until the user has typed his password and pressed return. 

In case of mistyping the password, simply retype as plock detects once the correct password
appears in the buffer.

The module uses libX11, which must be installed prior to installing this module.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changelog
%perl_vendor_archlib/A*
%perl_vendor_autolib/*
%_bindir/*
%_man1dir/*

%changelog
