%define module_name App-RemoteCommand
# BEGIN SourceDeps(oneline):
BuildRequires: perl(IO/Pty.pm) perl(List/Util.pm) perl(Module/Build/Tiny.pm) perl(Net/OpenSSH.pm) perl(Pod/Usage.pm) perl(String/Glob/Permute.pm) perl(Term/ReadKey.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.982
Release: alt1
Summary: simple remote command launcher via ssh
Group: Development/Perl
License: perl
URL: https://github.com/skaji/App-RemoteCommand

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/S/SK/SKAJI/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
From summary: %summary

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README LICENSE
%perl_vendor_privlib/A*

%files scripts
%_man1dir/*
%_bindir/*

%changelog
