%define _without_test 1
%define module_name App-SCM-Digest
# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/git /usr/bin/hg perl(DateTime.pm) perl(DateTime/Format/Strptime.pm) perl(Email/MIME.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Path.pm) perl(File/ReadBackwards.pm) perl(File/Temp.pm) perl(Getopt/Long.pm) perl(IO/Capture/Stderr.pm) perl(List/Util.pm) perl(Pod/Usage.pm) perl(Test/More.pm) perl(YAML.pm) perl(autodie.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.13
Release: alt1
Summary: Send repository commit digest emails
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/T/TO/TOMHRR/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Provides for sending source control management (SCM) repository commit
digest emails.  It does this based on the time when the commit was
pulled into the local repository, rather than when the commit was
committed, so that for a particular time period, the relevant set of
commits remains the same.
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes README.md LICENSE
%perl_vendor_privlib/A*
%_man1dir/*
%_bindir/*

%changelog
