# BEGIN SourceDeps(oneline):
BuildRequires: perl(Data/Sah/Compiler/perl/TH/bool.pm) perl(Data/Sah/Compiler/perl/TH/str.pm) perl(Data/Sah/Filter/perl/Path/expand_tilde_when_on_unix.pm) perl(Data/Sah/Filter/perl/Path/strip_slashes_when_on_unix.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(Perinci/CmdLine/Any.pm) perl(Perinci/CmdLine/Lite.pm) perl(Pod/Coverage/TrustPod.pm) perl(SQLite/KeyValueStore/Simple.pm) perl(Sah/Schema/filename.pm) perl(Test/More.pm) perl(Test/Perl/Critic.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm)
# END SourceDeps(oneline)
%define module_name App-SQLiteKeyValueStoreSimpleUtils
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.001
Release: alt1
Summary: CLI utilities for SQLite::KeyValueStore::Simple
Group: Development/Perl
License: perl
URL: https://metacpan.org/release/App-SQLiteKeyValueStoreSimpleUtils

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PE/PERLANCAR/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This distribution provides the following command-line utilities:

=over

=item * the check-sqlite-kvstore-key-exists manpage

=item * the get-sqlite-kvstore-value manpage

=item * the list-sqlite-kvstore-keys manpage

=item * the set-sqlite-kvstore-value manpage

=back

which are basically CLI front-end for the functions in
the SQLite::KeyValueStore::Simple manpage.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE README Changes
%_bindir/*
%_man1dir/*
%perl_vendor_privlib/A*

%changelog
