%define module_name App-SpeedTest
BuildRequires: perl-podlators
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Data/Dumper.pm) perl(Data/Peek.pm) perl(ExtUtils/MakeMaker.pm) perl(Getopt/Long.pm) perl(HTML/TreeBuilder.pm) perl(LWP/UserAgent.pm) perl(List/Util.pm) perl(Math/Trig.pm) perl(Socket.pm) perl(Test/More.pm) perl(Time/HiRes.pm) perl(XML/Simple.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.27
Release: alt1
Summary: Command line interface to speedtest.net
Group: Development/Perl
License: perl
URL: https://metacpan.org/pod/App::SpeedTest

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/H/HM/HMBRAND/%{module_name}-%{version}.tgz
BuildArch: noarch

%description
The provided perl script is a command-line interface to the
speedtest.net infrastructure so that
flash is not required

It was written to feature the functionality that speedtest.net offers
without the overhead of flash or java and the need of a browser.

%package scripts
Summary: %name scripts
Group: Development/Perl
Requires: %{?epoch:%epoch:}%name = %version-%release

%description scripts
scripts for %name

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc CONTRIBUTING.md ChangeLog README.md LICENSE examples
%perl_vendor_privlib/A*

%files scripts
%_bindir/*
%_man1dir/*
%_man1dir/*


%changelog
