%def_without test
%define module_name App-Sqitch
%set_perl_req_method relaxed
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Capture/Tiny.pm) perl(Carp.pm) perl(Clone.pm) perl(Config/GitLike.pm) perl(DBD/Pg.pm) perl(DBI.pm) perl(DateTime.pm) perl(DateTime/TimeZone.pm) perl(Devel/StackTrace.pm) perl(Digest/SHA.pm) perl(Encode.pm) perl(Encode/CN.pm) perl(Encode/JP.pm) perl(Encode/KR.pm) perl(Encode/Locale.pm) perl(Encode/TW.pm) perl(File/Basename.pm) perl(File/Copy.pm) perl(File/Find.pm) perl(File/Path.pm) perl(File/Spec.pm) perl(File/Spec/Functions.pm) perl(File/Temp.pm) perl(FindBin.pm) perl(Getopt/Long.pm) perl(Hash/Merge.pm) perl(IO/Handle.pm) perl(IO/Pager.pm) perl(IPC/Run3.pm) perl(IPC/System/Simple.pm) perl(List/MoreUtils.pm) perl(List/Util.pm) perl(Locale/Messages.pm) perl(Locale/TextDomain.pm) perl(Menlo/CLI/Compat.pm) perl(Module/Build.pm) perl(Module/Runtime.pm) perl(Moo.pm) perl(Moo/Role.pm) perl(POSIX.pm)
BuildRequires: perl(Path/Class.pm) perl(PerlIO/utf8_strict.pm) perl(Pod/Escapes.pm) perl(Pod/Find.pm) perl(Pod/Usage.pm) perl(Scalar/Util.pm) perl(StackTrace/Auto.pm) perl(String/Formatter.pm) perl(String/ShellQuote.pm) perl(Sub/Exporter.pm) perl(Sub/Exporter/Util.pm) perl(Sys/Hostname.pm) perl(Template/Tiny.pm) perl(Term/ANSIColor.pm) perl(Test/Deep.pm) perl(Test/Dir.pm) perl(Test/Exception.pm) perl(Test/File.pm) perl(Test/File/Contents.pm) perl(Test/MockModule.pm) perl(Test/MockObject/Extends.pm) perl(Test/More.pm) perl(Test/NoWarnings.pm) perl(Test/Warn.pm) perl(Throwable.pm) perl(Time/HiRes.pm) perl(Time/Local.pm) perl(Try/Tiny.pm) perl(Type/Library.pm) perl(Type/Utils.pm) perl(Types/Standard.pm) perl(URI.pm) perl(URI/QueryParam.pm) perl(URI/db.pm) perl(User/pwent.pm) perl(base.pm) perl(constant.pm) perl(if.pm)
BuildRequires: perl(lib.pm) perl(namespace/autoclean.pm) perl(overload.pm) perl(parent.pm) perl(strict.pm) perl(utf8.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.1.0
Release: alt1
Summary: Sane database change management
Group: Development/Perl
License: mit
URL: https://sqitch.org/

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/D/DW/DWHEELER/%{module_name}-v%{version}.tar.gz
BuildArch: noarch

%description
This module provides the implementation for the sqitch manpage. You probably want to
read its documentation, or the tutorial. Unless
you want to hack on Sqitch itself, or provide support for a new engine or
command. In which case, you will find this API
documentation useful.

%prep
%setup -q -n %{module_name}-v%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE.md Changes LICENSE README.md README
%perl_vendor_privlib/A*
/usr/etc/*
%perl_vendor_privlib/LocaleData/*
%perl_vendor_privlib/s*
%_bindir/*

%changelog
