%define module_name App-TemplateCMD
# BEGIN SourceDeps(oneline):
BuildRequires: perl(CGI.pm) perl(Class/Date.pm) perl(Clone.pm) perl(DBIx/Class/Core.pm) perl(DBIx/Class/Schema.pm) perl(Dancer2.pm) perl(Exception/Class.pm) perl(File/ShareDir.pm) perl(Glib/Object/Subclass.pm) perl(Gtk2.pm) perl(JSON.pm) perl(List/MoreUtils.pm) perl(Module/Build.pm) perl(Moo.pm) perl(Moose.pm) perl(Path/Tiny.pm) perl(Pod/Usage.pm) perl(Readonly.pm) perl(Template.pm) perl(Template/Provider.pm) perl(Test/Class/Moose.pm) perl(Test/Kwalitee.pm) perl(Test/More.pm) perl(Test/Perl/Critic.pm) perl(Test/Spelling.pm) perl(Test/Warnings.pm) perl(YAML.pm) perl(namespace/autoclean.pm) perl(version.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.6.11
Release: alt1
Summary: Sets up an interface to passing Template Toolkit templates
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/I/IV/IVANWILLS/%{module_name}-v%{version}.tar.gz
BuildArch: noarch

%description
%summary

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %{?epoch:%epoch:}%name = %version-%release

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-v%{version}

%build
%perl_vendor_build --install_path bindoc=%_man1dir

%install
%perl_vendor_install

%files
%doc TODO.md README.pod Changes LICENSE
%perl_vendor_privlib/A*
%perl_vendor_privlib/auto/*

%files scripts
%_man1dir/*
%_bindir/*

%changelog
