%define module_version 1.2
%define module_name App-Templer
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(Getopt/Long.pm) perl(HTML/Template.pm) perl(Image/Size.pm) perl(Module/Pluggable.pm) perl(Pod/Find.pm) perl(Pod/Usage.pm) perl(Redis.pm) perl(Test/Exception.pm) perl(Test/More.pm) perl(Test/NoTabs.pm) perl(Test/Pod.pm) perl(Test/Strict.pm) perl(Text/Markdown.pm) perl(Text/Template.pm) perl(Text/Textile.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.2
Release: alt1
Summary: Extensible Static Site Generator.
Group: Development/Perl
License: perl
URL: https://github.com/skx/templer/

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/S/SK/SKX/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
This package is a simple holder for the VERSION number of our release.

It exists specifically so that the installation process will succeed,
and we can usefully track versioned releases.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release

%description scripts
scripts for %module_name
%prep
%setup -q -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc ChangeLog LICENSE README.md examples
%perl_vendor_privlib/A*
%perl_vendor_privlib/T*

%files scripts
%_man1dir/*
%_bindir/*

%changelog
