%def_without test
%define module_name App-TimeTracker
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(Data/Dumper.pm) perl(DateTime.pm) perl(DateTime/Format/Duration.pm) perl(DateTime/Format/ISO8601.pm) perl(Exporter.pm) perl(File/Copy.pm) perl(File/Copy/Recursive.pm) perl(File/Find/Rule.pm) perl(File/HomeDir.pm) perl(File/Temp.pm) perl(Hash/Merge.pm) perl(IO/Capture/Stdout.pm) perl(JSON/XS.pm) perl(Module/Build.pm) perl(Module/Pluggable.pm) perl(Moose.pm) perl(Moose/Role.pm) perl(Moose/Util/TypeConstraints.pm) perl(MooseX/Getopt.pm) perl(MooseX/Storage.pm) perl(MooseX/Storage/Format/JSONpm.pm) perl(MooseX/Types/Path/Class.pm) perl(Path/Class.pm) perl(Path/Class/Iterator.pm) perl(Scalar/Util.pm) perl(Term/ANSIColor.pm) perl(Test/File.pm) perl(Test/MockTime.pm) perl(Test/More.pm) perl(Test/Most.pm) perl(Test/Trap.pm) perl(Text/Table.pm) perl(Try/Tiny.pm) perl(User/pwent.pm)
BuildRequires: perl(constant.pm) perl(lib.pm) perl(namespace/autoclean.pm) perl(parent.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 3.007
Release: alt1
Summary: time tracking for impatient and lazy command line lovers
Group: Development/Perl
License: perl
URL: http://timetracker.plix.at

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/D/DO/DOMM/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
From summary: %summary

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.md Changes LICENSE
%perl_vendor_privlib/A*
%_man1dir/*
%_bindir/*

%changelog
