# BEGIN SourceDeps(oneline):
BuildRequires: perl(App/TimeTracker/Utils.pm) perl(Module/Build.pm) perl(Moose/Role.pm) perl(Pithub.pm) perl(Test/More.pm) perl(lib.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define module_name App-TimeTracker-Command-GitHub
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.000
Release: alt1
Summary: App::TimeTracker GitHub plugin
Group: Development/Perl
License: perl
URL: http://timetracker.plix.at

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/D/DO/DOMM/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Connect tracker with GitHub.

Using the GitHub plugin, tracker can fetch the name of an issue and use
it as the task's description; generate a nicely named `git' branch
(if you're also using the `Git' plugin).

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE Changes
%perl_vendor_privlib/A*

%changelog
