# BEGIN SourceDeps(oneline):
BuildRequires: perl(Browser/Open.pm) perl(Cpanel/JSON/XS.pm) perl(ExtUtils/MakeMaker.pm) perl(File/HomeDir.pm) perl(FindBin.pm) perl(Path/Tiny.pm) perl(Test/CPAN/Changes.pm) perl(Test/More.pm) perl(Tk.pm) perl(Tk/HyperText.pm)
# END SourceDeps(oneline)
%define module_name App-Tk-Deparse
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.01
Release: alt1
Summary: Tk based GUI to experiment with B::Deparse
Group: Development/Perl
License: perl
URL: https://perlmaven.com/tk

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/S/SZ/SZABGAB/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This is a GUI program. There are some videos on Perl Maven Tk explaining
how does this work and how was this built.

When the application exits we save the current window size in the config file and next time we use that size to open the application.

    ~/.perl-tk-deparse.json

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc CONTRIBUTING.md Changes
%_bindir/*
%perl_vendor_privlib/A*

%changelog
