# BEGIN SourceDeps(oneline):
BuildRequires: perl(App/pod2pdf.pm) perl(CPAN.pm) perl(Capture/Tiny.pm) perl(Error/Pure.pm) perl(ExtUtils/CBuilder.pm) perl(ExtUtils/MakeMaker.pm) perl(Getopt/Std.pm) perl(IO/All.pm) perl(IO/Barf.pm) perl(JSON.pm) perl(JSON/XS.pm) perl(LWP/Protocol/https.pm) perl(LWP/Simple.pm) perl(Module/Build.pm) perl(Net/FTP.pm) perl(Parse/CPAN/Meta.pm) perl(Perl6/Slurp.pm) perl(Pod/Markdown.pm) perl(Readonly.pm) perl(Test/More.pm) perl(Test/NoWarnings.pm) perl(Toolforge/MixNMatch/Diff.pm) perl(Toolforge/MixNMatch/Object.pm) perl(Toolforge/MixNMatch/Print.pm) perl(Toolforge/MixNMatch/Struct.pm) perl(Unicode/UTF8.pm) perl(YAML/Tiny.pm)
# END SourceDeps(oneline)
%define module_name App-Toolforge-MixNMatch
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.04
Release: alt1
Summary: Toolforge Mix'n'match tool app.
Group: Development/Perl
License: bsd
URL: https://github.com/michal-josef-spacek/App-Toolforge-MixNMatch

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/S/SK/SKIM/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
use App::Toolforge::MixNMatch;

 my $obj = App::Toolforge::MixNMatch->new;
 $obj->run;

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README LICENSE Changes examples
%_bindir/*
%_man1dir/*
%perl_vendor_privlib/A*

%changelog
