%define module_name App-Utils
BuildRequires: perl-podlators
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(POSIX.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.054
Release: alt1
Summary: an app that contains some useful command-line utilities
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/V/VL/VLADO/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This is a stub module that contains some useful command-line utilities,
useful in Linux environment.

date-tag prints a date-time tag in the format `YYYY-MM-DD-hhmmss'

remove-empty-dirs - removes empty directories recursively

save saves a snapshot of files in the directory "saved.d".

%package scripts
Summary: %name scripts
Group: Development/Perl
Requires: %name = %EVR

%description scripts
scripts for %name


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE ChangeLog README.pod
%perl_vendor_privlib/A*

%files scripts
%_man1dir/*
%_man1dir/*
%_bindir/*


%changelog
