%define module_name App-calx
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Color/ANSI/Util.pm) perl(Color/RGB/Util.pm) perl(DateTime.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(Getopt/Long.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(List/Util.pm) perl(PERLANCAR/Module/List.pm) perl(Pod/Coverage/TrustPod.pm) perl(Test/More.pm) perl(Test/Perl/Critic.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(Text/ANSI/Util.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.005
Release: alt1
Summary: Display a calendar
Group: Development/Perl
License: perl
URL: https://metacpan.org/release/App-calx

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PE/PERLANCAR/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This module provides the calx which, like the Unix utility cal, displays
calendar on the command-line. The difference is, calx can also show and
highlight dates from one or more the Calendar::Dates manpage modules.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes LICENSE README
%_man1dir/*
%perl_vendor_privlib/A*
%_bindir/*

%changelog
