%define module_name App-ccdiff
BuildRequires: perl-podlators
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Algorithm/Diff.pm) perl(Algorithm/Diff/XS.pm) perl(Capture/Tiny.pm) perl(Config.pm) perl(ExtUtils/MakeMaker.pm) perl(Getopt/Long.pm) perl(List/Util.pm) perl(Term/ANSIColor.pm) perl(Test/More.pm) perl(charnames.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.30
Release: alt1
Summary: Colored Character Diff
Group: Development/Perl
License: artistic_2
URL: https://metacpan.org/pod/App::ccdiff

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/H/HM/HMBRAND/%{module_name}-%{version}.tgz
BuildArch: noarch

%description
A colored diff that also colors inside changed lines

# Synopsis
```
usage: ccdiff [options] file1 [file2]
       ccdiff --help | --man | --info
_file1 or file2 can be - (but not both)
```

%package scripts
Summary: %name scripts
Group: Development/Perl
Requires: %{?epoch:%epoch:}%name = %version-%release

%description scripts
scripts for %name


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc ChangeLog CONTRIBUTING.md README.md LICENSE
%perl_vendor_privlib/A*

%files scripts
%_bindir/*
%_man1dir/*
%_man1dir/*


%changelog
