%define module_version 0.17
%define module_name App-cpanminus-reporter
# BEGIN SourceDeps(oneline):
BuildRequires: perl(CPAN/Meta/Converter.pm) perl(CPAN/Testers/Common/Client.pm) perl(Capture/Tiny.pm) perl(Carp.pm) perl(Config/Tiny.pm) perl(ExtUtils/MakeMaker.pm) perl(File/HomeDir.pm) perl(File/Spec.pm) perl(Getopt/Long.pm) perl(IO/Prompt/Tiny.pm) perl(LWP/Protocol/https.pm) perl(Metabase/Resource.pm) perl(Parse/CPAN/Meta.pm) perl(Pod/Usage.pm) perl(Test/More.pm) perl(Test/Reporter.pm) perl(Test/Reporter/Transport/Metabase.pm) perl(Try/Tiny.pm) perl(URI.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.17
Release: alt1
Summary: send cpanm output to CPAN Testers
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/G/GA/GARU/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
%summary

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %{?epoch:%epoch:}%name = %version-%release

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-%{module_version}

%build
%perl_vendor_build INSTALLMAN1DIR=%_man1dir

%install
%perl_vendor_install

%files
%doc README.md Changes
%perl_vendor_privlib/A*

%files scripts
%_man1dir/*
%_bindir/*

%changelog
