%define module_name App-fsql
# BEGIN SourceDeps(oneline):
BuildRequires: perl(DBD/CSV.pm) perl(DBI.pm) perl(Data/Format/Pretty/Console.pm) perl(Data/Format/Pretty/JSON.pm) perl(Data/Format/Pretty/Perl.pm) perl(Data/Format/Pretty/YAML.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Slurper.pm) perl(File/Spec.pm) perl(File/Temp.pm) perl(File/chdir.pm) perl(FindBin.pm) perl(Getopt/Long.pm) perl(IO/Handle.pm) perl(IPC/Cmd.pm) perl(IPC/Open3.pm) perl(JSON/MaybeXS.pm) perl(Perinci/Result/Util.pm) perl(Pod/Coverage/TrustPod.pm) perl(String/ShellQuote.pm) perl(Test/More.pm) perl(Test/Perl/Critic.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(Text/CSV_XS.pm) perl(Text/LTSV.pm) perl(YAML/XS.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.230
Release: alt1
Summary: Perform SQL queries against files in CSV/TSV/LTSV/JSON/YAML formats
Group: Development/Perl
License: perl
URL: https://metacpan.org/release/App-fsql

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PE/PERLANCAR/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
From summary: %summary

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build INSTALLMAN1DIR=%_man1dir

%install
%perl_vendor_install

%files
%doc README LICENSE Changes
%perl_vendor_privlib/A*

%files scripts
%_man1dir/*
%_bindir/*

%changelog
