%define module_name App-geoip
BuildRequires: perl-podlators
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Archive/Zip.pm) perl(Config.pm) perl(Config/Tiny.pm) perl(DBD/Pg.pm) perl(DBI.pm) perl(Data/Dumper.pm) perl(Data/Peek.pm) perl(ExtUtils/MakeMaker.pm) perl(GIS/Distance.pm) perl(Getopt/Long.pm) perl(JSON/PP.pm) perl(LWP/Simple.pm) perl(List/Util.pm) perl(Math/Trig.pm) perl(Net/CIDR.pm) perl(Net/Whois/IP.pm) perl(Pod/Text.pm) perl(Socket.pm) perl(Test/More.pm) perl(Text/CSV_XS.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.14
Release: alt1
Summary: Show geological data based on hostname or IP address(es)
Group: Development/Perl
License: perl
URL: https://metacpan.org/pod/App::geoip

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/H/HM/HMBRAND/%{module_name}-%{version}.tgz
BuildArch: noarch

%description
This tool uses a database to use the (pre-fetched) GeoIP2 data from MaxMind
to show related geographical information for IP addresses. This information
can optionally be extended with information from online WHOIS services and
or derived data, like distance to the location of the server this tool runs
on or a configured local location.

The output is plain text or JSON. JSON may be short or formatted.

%package scripts
Summary: %name scripts
Group: Development/Perl
Requires: %name = %EVR

%description scripts
scripts for %name


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.md CONTRIBUTING.md ChangeLog
%perl_vendor_privlib/A*

%files scripts
%_bindir/*
%_man1dir/*
%_man1dir/*


%changelog
