%define module_name App-githook-perltidy
# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/git perl(Carp.pm) perl(ExtUtils/MakeMaker.pm) perl(ExtUtils/MakeMaker/CPANfile.pm) perl(File/Basename.pm) perl(FindBin.pm) perl(OptArgs2.pm) perl(Path/Tiny.pm) perl(Perl/Critic.pm) perl(Perl/Tidy.pm) perl(Perl/Tidy/Sweetened.pm) perl(Pod/Text.pm) perl(Pod/Tidy.pm) perl(Sys/Cmd.pm) perl(Test/Fatal.pm) perl(Test/More.pm) perl(Test/TempDir/Tiny.pm) perl(Time/Piece.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.12.3
Release: alt1
Summary: run perltidy and podtidy before Git commits
Group: Development/Perl
License: gpl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/M/ML/MLAWREN/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
NAME
    githook-perltidy - run perltidy and podtidy before Git commits

VERSION
    0.10.2.

SYNOPSIS
    Make sure everyone uses the same tidy options across your project:

        $ perltidy -b -w -dop | grep -v dump-options > .perltidyrc
        $ echo '--columns 72' > .podtidy-opts
        $ git add .perltidyrc .podtidy-opts
        $ git commit

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build INSTALLMAN1DIR=%_man1dir

%install
%perl_vendor_install

%files
%doc README TODO Changes
%perl_vendor_privlib/A*

%files scripts
%_man1dir/*
%_bindir/*

%changelog
