%define module_name App-instopt
# BEGIN SourceDeps(oneline):
BuildRequires: perl(App/swcat.pm) perl(Archive/Any.pm) perl(Data/Sah/Compiler/perl/TH/array.pm) perl(Data/Sah/Compiler/perl/TH/bool.pm) perl(Data/Sah/Compiler/perl/TH/str.pm) perl(Data/Sah/Filter/perl/Path/expand_tilde_when_on_unix.pm) perl(Data/Sah/Filter/perl/Path/strip_slashes_when_on_unix.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Copy.pm) perl(File/MoreUtil.pm) perl(File/Path.pm) perl(File/Slurper.pm) perl(File/Spec.pm) perl(File/chdir.pm) perl(Filename/Archive.pm) perl(Filename/Executable.pm) perl(HTTP/Request.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(IPC/System/Options.pm) perl(LWP/UserAgent.pm) perl(Log/ger.pm) perl(Module/List/Tiny.pm) perl(PERLANCAR/File/HomeDir.pm) perl(Perinci/CmdLine/Any.pm) perl(Perinci/CmdLineX/CommonOptions/SelfUpgrade.pm) perl(Perinci/Object.pm) perl(PerlX/Maybe.pm) perl(Pod/Coverage/TrustPod.pm)
BuildRequires: perl(Sah/Schema/dirname.pm) perl(Sah/Schema/software/arch.pm) perl(Sah/Schema/true.pm) perl(Software/Catalog/Role/Software.pm) perl(Software/Catalog/Util.pm) perl(Test/More.pm) perl(Test/Perl/Critic.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(URI/Escape.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.019
Release: alt1
Summary: Download and install software
Group: Development/Perl
License: perl
URL: https://metacpan.org/release/App-instopt

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PE/PERLANCAR/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
See the instopt manpage script.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README LICENSE Changes
%perl_vendor_privlib/A*
%_man1dir/*
%_bindir/*

%changelog
