%define module_name App-jl
# BEGIN SourceDeps(oneline):
BuildRequires: perl(B.pm) perl(Capture/Tiny.pm) perl(Encode.pm) perl(Encode/CN.pm) perl(Encode/JP.pm) perl(Encode/KR.pm) perl(Encode/TW.pm) perl(Getopt/Long.pm) perl(JSON.pm) perl(Module/Build.pm) perl(Module/Build/Pluggable.pm) perl(Module/Build/Pluggable/CPANfile.pm) perl(POSIX.pm) perl(Pod/Usage.pm) perl(Sub/Data/Recursive.pm) perl(Test/More.pm) perl(YAML/Syck.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.16
Release: alt1
Summary: Recursive JSON decoder
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/B/BA/BAYASHI/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
App::jl is recursive JSON decoder. This module can decode JSON in JSON.

See the jl manpage for CLI to view logs.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE README.pod Changes
%_man1dir/*
%perl_vendor_privlib/A*
%_bindir/*

%changelog
