%define module_name App-lcpan
# BEGIN SourceDeps(oneline):
BuildRequires: perl(App/ShellCompleter/cpanm.pm) perl(App/cpanm/script.pm) perl(Archive/Extract.pm) perl(Archive/Tar.pm) perl(Archive/Zip.pm) perl(Browser/Open.pm) perl(CPAN/Mini.pm) perl(Clone/Util.pm) perl(Compiler/Lexer.pm) perl(Complete/File.pm) perl(Complete/Util.pm) perl(DBD/SQLite.pm) perl(DBI.pm) perl(Data/Sah/Coerce/perl/To_date/From_float/epoch.pm) perl(Data/Sah/Coerce/perl/To_date/From_obj/datetime.pm) perl(Data/Sah/Coerce/perl/To_date/From_obj/time_moment.pm) perl(Data/Sah/Coerce/perl/To_date/From_str/iso8601.pm) perl(Data/Sah/Coerce/perl/To_date/From_str/natural.pm) perl(Data/Sah/Coerce/perl/To_str/From_str/normalize_perl_distname.pm) perl(Data/Sah/Coerce/perl/To_str/From_str/normalize_perl_modname.pm) perl(Data/Sah/Compiler/perl/TH/array.pm) perl(Data/Sah/Compiler/perl/TH/bool.pm) perl(Data/Sah/Compiler/perl/TH/date.pm)
BuildRequires: perl(Data/Sah/Compiler/perl/TH/int.pm) perl(Data/Sah/Compiler/perl/TH/re.pm) perl(Data/Sah/Compiler/perl/TH/str.pm) perl(Data/Sah/Filter/perl/Path/expand_tilde.pm) perl(Data/Sah/Filter/perl/Path/expand_tilde_when_on_unix.pm) perl(Data/Sah/Filter/perl/Path/strip_slashes.pm) perl(Data/Sah/Filter/perl/Path/strip_slashes_when_on_unix.pm) perl(Encode.pm) perl(Encode/CN.pm) perl(Encode/JP.pm) perl(Encode/KR.pm) perl(Encode/TW.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Copy.pm) perl(File/HomeDir.pm) perl(File/ShareDir.pm) perl(File/Slurper.pm) perl(File/Spec.pm) perl(File/Temp.pm) perl(File/Util/Tempdir.pm) perl(File/Which.pm) perl(Function/Fallback/CoreOrPP.pm) perl(HTTP/Response.pm) perl(Hash/Subset.pm) perl(IO/Compress/Gzip.pm) perl(IO/Handle.pm) perl(IO/Prompt/I18N.pm) perl(IPC/Open3.pm)
BuildRequires: perl(IPC/System/Options.pm) perl(LWP/Protocol/Patch/CountBytesIn.pm) perl(LWP/UserAgent/Patch/FilterMirrorMaxSize.pm) perl(List/Util.pm) perl(Log/ger.pm) perl(Logfile/Rotate.pm) perl(Module/CoreList/More.pm) perl(Module/List/Tiny.pm) perl(Module/Patch.pm) perl(Module/XSOrPP.pm) perl(Number/Format/Metric.pm) perl(OrePAN.pm) perl(POSIX.pm) perl(Parse/CPAN/Meta.pm) perl(Perinci/CmdLine/Any.pm) perl(Perinci/CmdLine/Util/Config.pm) perl(Perinci/CmdLineX/CommonOptions/SelfUpgrade.pm) perl(Perinci/Object.pm) perl(Perinci/Sub/DepChecker.pm) perl(PerlIO/gzip.pm) perl(Pod/Coverage/TrustPod.pm) perl(Pod/Simple/Methody.pm) perl(Proc/ChildError.pm) perl(SQL/Schema/Versioned.pm) perl(Sah/Schema/dirname.pm) perl(Sah/Schema/filename.pm) perl(Sah/Schema/filename/unix.pm) perl(Sah/Schema/perl/distname.pm) perl(Sah/Schema/perl/modname.pm)
BuildRequires: perl(Sah/Schema/posint.pm) perl(Sah/Schema/true.pm) perl(Test/More.pm) perl(Test/Perl/Critic.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(Test/SQL/Schema/Versioned.pm) perl(Test/WithDB/SQLite.pm) perl(Version/Util.pm) perl(base.pm) perl(experimental.pm) perl(parent.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.052
Release: alt1
Summary: Manage your local CPAN mirror
Group: Development/Perl
License: perl
URL: https://metacpan.org/release/App-lcpan

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PE/PERLANCAR/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
From summary: %summary

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE README Changes
%perl_vendor_privlib/A*
%perl_vendor_privlib/L*
%perl_vendor_privlib/E*

%files scripts
%_man1dir/*
%_bindir/*

%changelog
