%define module_name App-lcpan-Bootstrap
# BEGIN SourceDeps(oneline):
BuildRequires: perl(App/lcpan.pm) perl(ExtUtils/MakeMaker.pm) perl(File/ShareDir/Install.pm) perl(File/Spec.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(Pod/Coverage/TrustPod.pm) perl(Test/More.pm) perl(Test/Perl/Critic.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 20200508.0.0
Release: alt1
Summary: Bootstrap database for lcpan
Group: Development/Perl
License: perl
URL: https://metacpan.org/release/App-lcpan-Bootstrap

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PE/PERLANCAR/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This distribution contains the database for the lcpan manpage (updated periodically), so
you can save time when setting up your local CPAN mirror the first time. Without
a boostrap database, indexing the mirror for the first time can take several
hours. With a fairly recent bootstrap database, indexing time can be reduced to
an hour or much less.

The compressed bootstrap database is stored in the distribution's share
directory. lcpan will search for this bootstrap database the first time it is
run.

If you run lcpan before installing this distribution, your empty database will
already be created. To use the bootstrap database, install this distribution,
remove the empty created index.db, then run lcpan again.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README LICENSE Changes
%perl_vendor_privlib/A*
%perl_vendor_privlib/auto/*

%changelog
