%define module_name App-lcpan-CmdBundle-metacpan
# BEGIN SourceDeps(oneline):
BuildRequires: perl(App/lcpan.pm) perl(Browser/Open.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(Log/ger.pm) perl(Perinci/Object.pm) perl(Pod/Coverage/TrustPod.pm) perl(Test/More.pm) perl(Test/Perl/Critic.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.007
Release: alt1
Summary: More lcpan subcommands related to MetaCPAN
Group: Development/Perl
License: perl
URL: https://metacpan.org/release/App-lcpan-CmdBundle-metacpan

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PE/PERLANCAR/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This bundle provides the following lcpan subcommands:

=over

=item * lcpan metacpan-mod

=item * lcpan metacpan-dist

=item * lcpan metacpan-author

=back
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README LICENSE
%perl_vendor_privlib/A*

%changelog
