# BEGIN SourceDeps(oneline):
BuildRequires: perl(App/lcpan.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(Pod/Coverage/TrustPod.pm) perl(Test/More.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(Text/Fuzzy.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define module_name App-lcpan-CmdBundle-nearest
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.002
Release: alt1
Summary: lcpan nearest-* subcommands
Group: Development/Perl
License: perl
URL: https://metacpan.org/release/App-lcpan-CmdBundle-nearest

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PE/PERLANCAR/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This bundle provides the following lcpan subcommands:

=over

=item * lcpan nearest-mods

=item * lcpan nearest-authors

=item * lcpan nearest-dists

=back

This distribution packages several lcpan subcommands named nearest-*.
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes LICENSE
%perl_vendor_privlib/A*

%changelog
