%define module_name App-lcpan-Manual
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(Pod/Coverage/TrustPod.pm) perl(Test/More.pm) perl(Test/Perl/Critic.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.058.000
Release: alt1
Summary: Manual for App::lcpan
Group: Development/Perl
License: perl
URL: https://metacpan.org/release/App-lcpan-Manual

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PE/PERLANCAR/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This distribution contains the following documentation pages:

=over

=item * the App::lcpan::Manual::Cookbook manpage

=item * the App::lcpan::Manual::FAQ manpage

=item * the App::lcpan::Manual::Tutorial manpage

=item * the App::lcpan::Manual::Tutorial::100_WhatIsLcpan manpage

=item * the App::lcpan::Manual::Tutorial::800_WritingASubcommand manpage

=back

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE README Changes
%perl_vendor_privlib/A*

%changelog
