%define module_name App-optex
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Encode.pm) perl(File/Path.pm) perl(File/Spec.pm) perl(Getopt/EX.pm) perl(List/Util.pm) perl(Module/Build/Tiny.pm) perl(Pod/Usage.pm) perl(TOML.pm) perl(Test/Command.pm) perl(Test/More.pm) perl(Text/VisualWidth/PP.pm) perl(Time/Piece.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.4
Release: alt1
Summary: optex command module direcrtory
Group: Development/Perl
License: perl
URL: https://github.com/kaz-utashiro/optex

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/U/UT/UTASHIRO/%{module_name}-v%{version}.tar.gz
BuildArch: noarch

%description
This directory contains modules for optex command.

%prep
%setup -q -n %{module_name}-v%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README.md LICENSE
%_man1dir/*
%perl_vendor_privlib/A*
%_bindir/*

%changelog
