# BEGIN SourceDeps(oneline):
BuildRequires: perl(App/optex.pm) perl(Getopt/EX.pm) perl(Module/Build/Tiny.pm) perl(Test/More.pm) perl(Text/ANSI/Fold/Util.pm) perl(Text/Conceal.pm) perl(Text/VisualWidth/PP.pm) perl(open.pm)
# END SourceDeps(oneline)
%define module_name App-optex-xform
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.02
Release: alt1
Summary: data transform filter module for optex
Group: Development/Perl
License: perl
URL: https://github.com/kaz-utashiro/optex-xform

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/U/UT/UTASHIRO/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
xform is a filter module for optex command which transform STDIN
into different form to make it convenient to manipulate, and recover
to the original form after the process.

Transformed data have to be appear in exactly same order as original
data.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE Changes README.md
%perl_vendor_privlib/A*

%changelog
