%define module_name App-phoebe
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Algorithm/Diff.pm) perl(B.pm) perl(CGI.pm) perl(CGI/Carp.pm) perl(Config.pm) perl(Data/Perl/Role/Collection/Hash.pm) perl(DateTime/Format/ISO8601.pm) perl(Devel/MAT/Dumper.pm) perl(Encode.pm) perl(Encode/Locale.pm) perl(ExtUtils/MakeMaker.pm) perl(File/ReadBackwards.pm) perl(File/Slurper.pm) perl(IO/Socket/IP.pm) perl(IO/Socket/SSL.pm) perl(IRI.pm) perl(LWP/Parallel/UserAgent.pm) perl(LWP/UserAgent.pm) perl(List/Util.pm) perl(MIME/Base64.pm) perl(MediaWiki/API.pm) perl(Modern/Perl.pm) perl(Mojolicious.pm) perl(Net/DNS.pm) perl(Net/IDN/Encode.pm) perl(Net/IP.pm) perl(Net/SSLeay.pm) perl(Socket.pm) perl(Term/ReadLine.pm) perl(Text/SpanningTable.pm) perl(URI/Escape.pm) perl(XML/RSS.pm) perl(bytes.pm) perl(sigtrap.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 3
Release: alt1
Summary: an app that serves a wiki as a Gemini and web site
Group: Development/Perl
License: open_source
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/S/SC/SCHROEDER/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This is a stub module, see script/phoebe for details of the app.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc CONTRIBUTING.md README.md LICENSE Changes
%_man1dir/*
%perl_vendor_privlib/A*
%_bindir/*

%changelog
