# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(Lexical/Persistence.pm)
# END SourceDeps(oneline)
%define module_name App-pl
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.49.6
Release: alt1
Summary: Swiss Army Knife of Perl One-Liners
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PF/PFEIFFER/%{module_name}-%{version}.tgz
BuildArch: noarch

%description
Just one small script extends "perl -E" with many bells & whistles: Various
one-letter commands & magic variables (with meaningful aliases too) and more
nifty loop options take Perl programming to the command line.  List::Util is
fully imported.  Unless you pass a program on the command line, starts a
simple Perl Shell.

E(cho) 3 values, including 2 from "@A(RGV)".  And same for difficult values:

    pl 'e "Perl", @A' one liner
    pl 'e \"Perl", \@A, undef' one liner

Print up to 3 matching lines, resetting count (and "$.") for each file:

    pl -rP3 '/Perl.*one.*liner/' file1 file2 file3

Loop over args, printing each with line ending.  And same, shouting:

    pl -opl '' Perl one liner
    pl -opl '$_ = uc' Perl one liner

Count hits in magic statistics hash "%%n(umber)":

    pl -n '++$n{$1} while /(Perl|one|liner)/g' file1 file2 file3

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README
%perl_vendor_privlib/A*

%changelog
