%define module_version 0.5
%define module_name App-plackbench
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Class/Load.pm) perl(ExtUtils/MakeMaker.pm) perl(FindBin.pm) perl(Getopt/Long.pm) perl(HTTP/Request.pm) perl(List/Util.pm) perl(Plack.pm) perl(Plack/Test.pm) perl(Plack/Util.pm) perl(Scalar/Util.pm) perl(Test/Deep.pm) perl(Test/More.pm) perl(Time/HiRes.pm) perl(autodie.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.5
Release: alt1
Summary: Benchmarking/Debugging tool for Plack web requests
Group: Development/Perl
License: perl
URL: https://github.com/pboyd/App-plackbench

Source0: http://cpan.org.ua/authors/id/P/PB/PBOYD/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
From summary: %summary

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release

%description scripts
scripts for %module_name

%prep
%setup -n %{module_name}-%{module_version}

%build
%perl_vendor_build INSTALLMAN1DIR=%_man1dir

%install
%perl_vendor_install

%files
%doc README Changes LICENSE
%perl_vendor_privlib/A*

%files scripts
%_man1dir/*
%_bindir/*

%changelog
