%define module_name App-revealup
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Capture/Tiny.pm) perl(File/ShareDir.pm) perl(File/chdir.pm) perl(FindBin.pm) perl(Getopt/Long.pm) perl(LWP/UserAgent.pm) perl(MIME/Types.pm) perl(Module/Build/Tiny.pm) perl(Path/Tiny.pm) perl(Plack.pm) perl(Pod/Usage.pm) perl(Term/ANSIColor.pm) perl(Test/File/Contents.pm) perl(Test/More.pm) perl(Test/TCP.pm) perl(Text/MicroTemplate.pm) perl(Try/Tiny.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.22
Release: alt1
Summary: HTTP Server application for viewing Markdown formatted text as slides
Group: Development/Perl
License: perl
URL: https://github.com/yusukebe/App-revealup

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/Y/YU/YUSUKEBE/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
From summary: %summary

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.md Changes LICENSE
%perl_vendor_privlib/A*
%perl_vendor_privlib/auto/*

%files scripts
%_bindir/*

%changelog
