%define module_name App-sdif
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Encode.pm) perl(Encode/Guess.pm) perl(Getopt/EX.pm) perl(Getopt/EX/termcolor.pm) perl(List/Util.pm) perl(Module/Build/Tiny.pm) perl(Pod/Usage.pm) perl(Term/ReadKey.pm) perl(Test/More.pm) perl(Text/ANSI/Fold.pm) perl(Text/VisualWidth/PP.pm) perl(Unicode/EastAsianWidth/Detect.pm) perl(charnames.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 4.19.1
Release: alt1
Summary: sdif and family tools, cdif and watchdiff
Group: Development/Perl
License: perl
URL: https://github.com/kaz-utashiro/sdif-tools

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/U/UT/UTASHIRO/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
sdif-tools are composed by sdif and related tools including
cdif and watchdiff.

sdif prints diff output in side-by-side format.

cdif adds visual effect for diff output, comparing lines in
word-by-word, or character-by-character bases.

watchdiff calls specified command repeatedly, and print the output
with visual effect to emphasize modified part.

See individual manual of each command for detail.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.md LICENSE Changes
%_man1dir/*
%perl_vendor_privlib/A*
%perl_vendor_privlib/auto/*
%_bindir/*

%changelog
