# BEGIN SourceDeps(oneline):
BuildRequires: perl(Convert/Color.pm) perl(Convert/Color/XTerm.pm) perl(File/Slurper.pm) perl(List/Keywords.pm) perl(List/Util.pm) perl(Module/Build.pm) perl(Object/Pad.pm) perl(Pod/Simple.pm) perl(String/Tagged.pm) perl(String/Tagged/Terminal.pm) perl(Term/Size.pm) perl(Test/More.pm) perl(XS/Parse/Keyword.pm) perl(XS/Parse/Sublike.pm)
# END SourceDeps(oneline)
%define module_name App-sdview
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.02
Release: alt1
Summary: a terminal document viewer for POD and other syntaxes
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PE/PEVANS/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This module implements a terminal-based program for viewing structured
documents. It currently understands POD and some simple Markdown formatting,
though future versions are expected to handle nroff (for manpages) and other
styles.

To actually use it, you likely wanted wanted to see the bin/sdview script.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README LICENSE
%_bindir/*
%_man1dir/*
%perl_vendor_privlib/A*

%changelog
