# BEGIN SourceDeps(oneline):
BuildRequires: perl(Config.pm) perl(ExtUtils/MakeMaker.pm) perl(FFI/CheckLib.pm) perl(Path/Tiny.pm) perl(Test/Script.pm) perl(Test2/V0.pm)
# END SourceDeps(oneline)
%define module_name App-whichdll
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.03
Release: alt1
Summary: Find dynamic libraries
Group: Development/Perl
License: perl
URL: https://metacpan.org/pod/App::whichdll

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PL/PLICEASE/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This modules contains the guts of the whichdll script, which provides a command line interface
for finding the dynamic libraries on your system in a portable way.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE Changes README author.yml
%_bindir/*
%_man1dir/*
%perl_vendor_privlib/A*

%changelog
