# BEGIN SourceDeps(oneline):
BuildRequires: perl(DynaLoader.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) zziplib-devel
# END SourceDeps(oneline)
%define module_version 0.13
%define module_name Archive-ZZip
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.13
Release: alt7
Summary: Perl bindings for zziplib.
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/V/VS/VSPADER/%module_name-%module_version.tar.gz

%description
Provides bindings for zziplib, whose homepage is at http://zziplib.sourceforge.net/.


%prep
%setup -n Archive
# depth is > 1 .. moving up
pushd "ZZip"
  mv -f * ../
  mv -f .* ../ ||:
popd

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%perl_vendor_archlib/A*
%perl_vendor_autolib/*

%changelog
