# BEGIN SourceDeps(oneline):
BuildRequires: perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(Pod/Coverage/TrustPod.pm) perl(Test/More.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define module_name Array-Sample-Partition
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.001
Release: alt1
Summary: Sample elements from an array by equal partitions
Group: Development/Perl
License: perl
URL: https://metacpan.org/release/Array-Sample-Partition

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PE/PERLANCAR/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
SYNOPSIS

     use Array::Sample::Partition qw(sample_partition);
    
     sample_partition([0,1,2,3,4], 1); => (2)
     sample_partition([0,1,2,3,4], 2); => (1,3)
     sample_partition([0,1,2,3,4], 3); => (1,2,3)
    
     sample_partition([0,1,2,3,4,5], 1); => (3)
     sample_partition([0,1,2,3,4,5], 2); => (2,4)
     sample_partition([0,1,2,3,4,5], 3); => (1,3,4)
     sample_partition([0,1,2,3,4,5], 4); => (1,2,3,4)


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes LICENSE
%perl_vendor_privlib/A*

%changelog
