BuildRequires: xvfb-run
# BEGIN SourceDeps(oneline):
BuildRequires: perl(CPAN.pm) perl(Carp.pm) perl(Config.pm) perl(Cwd.pm) perl(Data/Dumper.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(Fcntl.pm) perl(File/Basename.pm) perl(File/Find.pm) perl(File/Spec.pm) perl(File/Temp.pm) perl(File/Which.pm) perl(FileHandle.pm) perl(Gtk2.pm) perl(JSON.pm) perl(LWP/Simple.pm) perl(Lingua/Boolean/Tiny.pm) perl(Module/Build.pm) perl(Module/Pluggable.pm) perl(Module/Runtime.pm) perl(Moo.pm) perl(Net/FTP.pm) perl(POSIX.pm) perl(Parse/CPAN/Meta.pm) perl(Scalar/Util.pm) perl(Socket.pm) perl(Sub/Exporter/Progressive.pm) perl(System/Command.pm) perl(Test/More.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(Tk.pm) perl(URI.pm) perl(Wx.pm) perl(base.pm) perl(namespace/sweep.pm) perl(overload.pm) xvfb-run
# END SourceDeps(oneline)
%ifndef _build_display
%def_without test
%endif
%define module_name Ask
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.007
Release: alt1
Summary: ask your users about stuff
Group: Development/Perl
License: perl
URL: https://metacpan.org/release/Ask

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/T/TO/TOBYINK/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
The `Ask' suite is a set of modules for interacting with users; prompting
them for information, displaying messages, warnings and errors, etc.

There are already countless CPAN modules for doing this sort of thing, but
what sets `Ask' apart from them is that `Ask' will detect how your script
is being run (in a terminal, headless, etc) and choose an appropriate way
to interact with the user.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build
xvfb-run -a make test

%install
%perl_vendor_install

%{expand:%%global __find_requires xvfb-run -a %__find_requires}

%files
%doc TODO COPYRIGHT CONTRIBUTING README LICENSE Changes CREDITS examples
%perl_vendor_privlib/A*

%changelog
