%define module_name Astro-FITS-HdrTrans
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Astro/Coords.pm) perl(Astro/FITS/Header.pm) perl(Astro/PAL.pm) perl(Astro/Telescope.pm) perl(DateTime.pm) perl(DateTime/TimeZone.pm) perl(Math/Trig.pm) perl(Module/Build.pm) perl(Pod/Usage.pm) perl(Scalar/Util.pm) perl(Starlink/AST.pm) perl(Test/More.pm) perl(Test/Number/Delta.pm) perl(Time/Piece.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.63
Release: alt1
Summary: Translate FITS headers to standardised form
Group: Development/Perl
License: gpl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/G/GS/GSB/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
From summary: %summary

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build --install_path bindoc=%_man1dir

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_privlib/A*

%files scripts
%_bindir/*
%_man1dir/*

%changelog
