%define module_name Astro-PAL
# BEGIN SourceDeps(oneline):
BuildRequires: libbsd-devel perl(ExtUtils/CBuilder.pm) perl(Getopt/Long.pm) perl(Module/Build.pm) perl(Pod/Usage.pm) perl(Test/More.pm) perl(Test/Number/Delta.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.09
Release: alt2
Summary: Perl interface to Starlink PAL positional astronomy library
Group: Development/Perl
License: gpl
URL: http://github.com/timj/perl-Astro-PAL/tree/master

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/G/GS/GSB/%{module_name}-%{version}.tar.gz

%description
%summary

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %{?epoch:%epoch:}%name = %version-%release
BuildArch: noarch

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build --install_path bindoc=%_man1dir

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_archlib/A*
%perl_vendor_autolib/*

%files scripts
%_bindir/*
%_man1dir/*

%changelog
