%define module_name Astro-SIMBAD-Client
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(Config.pm) perl(Data/Dumper.pm) perl(Getopt/Std.pm) perl(HTTP/Request/Common.pm) perl(LWP/Protocol.pm) perl(LWP/UserAgent.pm) perl(Module/Build.pm) perl(Module/Metadata.pm) perl(Pod/Usage.pm) perl(SOAP/Lite.pm) perl(Scalar/Util.pm) perl(Term/ReadLine.pm) perl(Test/More.pm) perl(URI/Escape.pm) perl(XML/DoubleEncodedEntities.pm) perl(YAML.pm) perl(constant.pm) perl(lib.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.045
Release: alt1
Summary: Fetch astronomical data from SIMBAD 4.
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/W/WY/WYANT/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
%summary

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %{?epoch:%epoch:}%name = %version-%release

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build --install_path bindoc=%_man1dir

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/A*

%files scripts
%_man1dir/*
%_bindir/*

%changelog
