%define module_name Astro-SpaceTrack
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Browser/Open.pm) perl(CGI.pm) perl(CPAN/Meta.pm) perl(Carp.pm) perl(Config.pm) perl(Config/Identity.pm) perl(Exporter.pm) perl(File/Temp.pm) perl(FileHandle.pm) perl(Getopt/Long.pm) perl(Getopt/Std.pm) perl(HTTP/Cookies.pm) perl(HTTP/Date.pm) perl(HTTP/Request.pm) perl(HTTP/Response.pm) perl(HTTP/Status.pm) perl(IO/File.pm) perl(IO/Uncompress/Unzip.pm) perl(JSON.pm) perl(LWP/Protocol/https.pm) perl(LWP/UserAgent.pm) perl(List/Util.pm) perl(Module/Build.pm) perl(Module/Metadata.pm) perl(Mozilla/CA.pm) perl(POSIX.pm) perl(Pod/Usage.pm) perl(Scalar/Util.pm) perl(Term/ReadKey.pm) perl(Term/ReadLine.pm) perl(Test/More.pm) perl(Text/ParseWords.pm) perl(Time/Local.pm) perl(URI.pm) perl(constant.pm) perl(lib.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.146
Release: alt1
Summary: Download satellite orbital elements from Space Track
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/W/WY/WYANT/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
From summary: %summary

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build --install_path bindoc=%_man1dir

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_privlib/A*

%files scripts
%_man1dir/*
%_bindir/*

%changelog
