Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Exporter.pm) perl(File/Spec/Functions.pm) perl(IO/File.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:		perl-Audio-Beep
Version:	0.11
Release:	alt3_31
Summary:	Audio::Beep Perl module
License:	GPL+ or Artistic
URL:		https://metacpan.org/release/Audio-Beep
Source0:	https://cpan.metacpan.org/authors/id/G/GI/GIULIENK/Audio-Beep-%{version}.tar.gz
BuildRequires:	rpm-build-perl
BuildRequires:	perl(ExtUtils/MakeMaker.pm)
BuildRequires:	perl(Test/More.pm)
Requires:	beep-speaker
BuildArch:	noarch


Source44: import.info

%description
Audio::Beep - Perl module to use your computer beeper in fancy ways

%prep
%setup -q -n Audio-Beep-%{version}
chmod -x music/*.pl
%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS"
%make_build

%install

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -type f -name '*.bs' -size 0 -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

# %{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc Changes README music
%{perl_vendor_privlib}/Audio*

%changelog
