# BEGIN SourceDeps(oneline):
BuildRequires: libmikmod-devel perl(DynaLoader.pm) perl(Event.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(ExtUtils/testlib.pm) perl(IPC/ShareLite.pm) perl(Thread.pm) perl(Time/HiRes.pm)
# END SourceDeps(oneline)
%define module_version 0.5
%define module_name Audio-MikMod
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.5
Release: alt6
Summary: Perl extension for libmikmod.
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/D/DA/DANIEL/%module_name-%module_version.tar.gz

%description
This module provides an interface to the libmikmod library for playing
MOD, IT, XM, S3M, MTM, 669, STM, ULT, FAR, MED, AMF, DSM, IMF, GDM, and
STX tracker files. In addition, manipulation of WAV samples is supported.

Please see the extensive libmikmod info documentation included with that package.

libmikmod is required, and can be obtained at http://mikmod.darkorb.net/


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_archlib/A*
%perl_vendor_autolib/*

%changelog
