# BEGIN SourceDeps(oneline):
BuildRequires: perl(Compress/Zlib.pm) perl(ExtUtils/PkgConfig.pm) perl(Module/Build.pm) perl(Test/More.pm) pkgconfig(libofa)
# END SourceDeps(oneline)
%define module_version 1.01
%define module_name Audio-Ofa
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.01
Release: alt6
Summary: Bindings for libofa
Group: Development/Perl
License: gpl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/P/PE/PEPE/%module_name-%module_version.tar.gz

%description
This module provides a direct interface to libofa.  For not-so-lowlevel and
more practical assistance with audio fingerprints see the Audio::Ofa::Util manpage.

    use Audio::Ofa qw(ofa_get_version ofa_create_print);


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc COPYING README Changes
%perl_vendor_archlib/A*
%perl_vendor_autolib/*

%changelog
