%define module_name Audio-Scan
# BEGIN SourceDeps(oneline):
BuildRequires: libsowing-devel perl(Audio/FLAC/Header.pm) perl(Audio/WMA.pm) perl(Audio/Wav.pm) perl(Benchmark.pm) perl(Data/Dump.pm) perl(Digest/MD5.pm) perl(Encode.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec/Functions.pm) perl(FindBin.pm) perl(MP3/Info.pm) perl(MP4/Info.pm) perl(Ogg/Vorbis/Header/PurePerl.pm) perl(Test/Warn.pm) perl(Time/HiRes.pm) perl(XSLoader.pm) zlib-devel
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.01
Release: alt3
Summary: Fast C metadata and tag reader for all common audio file formats
Group: Development/Perl
License: gpl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/A/AG/AGRUNDMA/%{module_name}-%{version}.tar.gz

%description
Audio::Scan is a C-based scanner for audio file metadata and tag information. It currently
supports MP3, MP4, Ogg Vorbis, FLAC, ASF, WAV, AIFF, Musepack, Monkey's Audio, and WavPack.

See below for specific details about each file format.
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.win32 Changes COPYING README
%perl_vendor_archlib/A*
%perl_vendor_autolib/*

%changelog
