%define module_name Avro
# BEGIN SourceDeps(oneline):
BuildRequires: perl(App/pod2pdf.pm) perl(CPAN.pm) perl(Compress/Zlib.pm) perl(Compress/Zstd.pm) perl(Config.pm) perl(Encode.pm) perl(Encode/CN.pm) perl(Encode/JP.pm) perl(Encode/KR.pm) perl(Encode/TW.pm) perl(Error/Simple.pm) perl(ExtUtils/MakeMaker.pm) perl(Fcntl.pm) perl(File/Find.pm) perl(IO/File.pm) perl(IO/String.pm) perl(JSON.pm) perl(JSON/XS.pm) perl(Math/BigInt.pm) perl(Module/Build.pm) perl(Object/Tiny.pm) perl(Parse/CPAN/Meta.pm) perl(Perl/Critic.pm) perl(Regexp/Common.pm) perl(Scalar/Util.pm) perl(Test/Exception.pm) perl(Test/More.pm) perl(Try/Tiny.pm) perl(YAML/Tiny.pm) perl(base.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.10.2
Release: alt1
Summary: official Perl API for the Avro serialization and RPC framework
Group: Development/Perl
License: apache
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/R/RS/RSKRABA/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
From summary: %summary

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc NOTICE Changes README VERSION.txt LICENSE
%perl_vendor_privlib/A*

%changelog
