%define module_version 0.32
%define module_name B-OPCheck
# BEGIN SourceDeps(oneline):
BuildRequires: libsowing-devel perl(B/Utils.pm) perl(Carp.pm) perl(ExtUtils/Depends.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(Module/Metadata.pm) perl(Scalar/Util.pm) perl(Scope/Guard.pm) perl(Test/More.pm) perl(XSLoader.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.32
Release: alt5
Summary: PL_check hacks using Perl callbacks
Group: Development/Perl
License: perl
URL: https://github.com/karenetheridge/B-OPCheck

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/E/ET/ETHER/%{module_name}-%{module_version}.tar.gz

%description
PL_check is an array indexed by opcode number (op_type) that contains function
pointers invoked as the last stage of optree compilation, per op.

This hook is called in bottom up order, as the code is parsed and the optree is
prepared.

This is how modules like the autobox manpage do their magic

This module provides an api for registering PL_check hooks lexically, allowing
you to alter the behavior of certain ops using the B::Generate manpage from perl space.


%prep
%setup -q -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_archlib/B*
%perl_vendor_autolib/*

%changelog
