%define module_version 0.09
%define module_name B-Stats
# BEGIN SourceDeps(oneline):
BuildRequires: perl(B.pm) perl(Data/Dumper.pm) perl(ExtUtils/MakeMaker.pm) perl(Opcodes.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.09
Release: alt6
Summary: print optree statistics
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/R/RU/RURBAN/%{module_name}-%{module_version}.tar.gz

%description
Print statistics for all generated ops.

static analysis at compile-time,
static analysis at end-time to include all runtime added modules,
and dynamic analysis at run-time, as with a profiler.

The purpose is to help you in your goal:

    no bloat;


%prep
%setup -n %{module_name}-%{module_version}

%if "%version" == "0.09"
%define _without_test 1
%endif

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE Changes README
%perl_vendor_archlib/B*
%perl_vendor_autolib/*

%changelog
