%define module_name BEGIN-Lift
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Devel/CallParser.pm) perl(Devel/Hook.pm) perl(ExtUtils/MakeMaker.pm) perl(Sub/Name.pm) perl(Test/More.pm) perl(XSLoader.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.07
Release: alt4
Summary: Lift subroutine calls into the BEGIN phase
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/S/ST/STEVAN/%{module_name}-%{version}.tar.gz

%description
This module serves a very specific purpose, which is to provide a
mechanism through which we can "lift" a given subroutine to be
executed entirely within the `BEGIN' phase of the Perl compiler
and to leave no trace of itself in the `RUN' phase.


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README.md
%perl_vendor_archlib/B*
%perl_vendor_autolib/*

%changelog
