Group: Development/Perl
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Data/Printer.pm) perl(Log/Log4perl.pm) perl(Nagios/Cmd.pm) perl(Path/Tiny.pm) perl(Test/NoBreakpoints.pm) perl(Test/NoTabs.pm) perl(Test/Perl/Critic.pm) perl(Try/Tiny.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-BZ-Client
Version:        4.4004
Release:        alt2_3
Summary:        A client for the Bugzilla web services API
License:        GPL+ or Artistic

URL:            https://metacpan.org/release/BZ-Client
Source0:        https://cpan.metacpan.org/authors/id/D/DJ/DJZORT/BZ-Client-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  rpm-build-perl
BuildRequires:  perl(DateTime/Format/ISO8601.pm)
BuildRequires:  perl(DateTime/Format/Strptime.pm)
BuildRequires:  perl(DateTime/TimeZone.pm)
BuildRequires:  perl(Encode.pm)
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(File/Spec.pm)
BuildRequires:  perl(HTTP/CookieJar.pm)
BuildRequires:  perl(HTTP/Tiny.pm)
BuildRequires:  perl(Module/Build.pm)
BuildRequires:  perl(URI.pm)
BuildRequires:  perl(XML/Parser.pm)
BuildRequires:  perl(XML/Writer.pm)
BuildRequires:  perl(parent.pm)
BuildRequires:  perl(strict.pm)
BuildRequires:  perl(warnings.pm)
# testing requirements
BuildRequires:  perl(Clone.pm)
BuildRequires:  perl(Data/Dumper.pm)
BuildRequires:  perl(DateTime.pm)
BuildRequires:  perl(English.pm)
BuildRequires:  perl(Getopt/Long.pm)
BuildRequires:  perl(IO/Socket/SSL.pm)
BuildRequires:  perl(Test/CPAN/Meta.pm)
BuildRequires:  perl(Test/EOL.pm)
BuildRequires:  perl(Test/Kwalitee.pm)
BuildRequires:  perl(Test/More.pm)
BuildRequires:  perl(Test/Pod.pm)
BuildRequires:  perl(Test/RequiresInternet.pm)
BuildRequires:  perl(Test/Vars.pm)
BuildRequires:  perl(Text/Password/Pronounceable.pm)
BuildRequires:  perl(lib.pm)
BuildRequires:  perl(utf8.pm)


Source44: import.info

%description
This module provides an interface to the Bugzilla web services API.

%prep
%setup -q -n BZ-Client-%{version}
chmod 644 Changes README LICENSE

%build
/usr/bin/perl Build.PL installdirs=vendor
./Build

%install
./Build install destdir=$RPM_BUILD_ROOT create_packlist=0

# %{_fixperms} $RPM_BUILD_ROOT/*

%check
./Build test

%files
%doc Changes README
%doc --no-dereference LICENSE
%{perl_vendor_privlib}/BZ*

%changelog
