# BEGIN SourceDeps(oneline):
BuildRequires: libzbar-devel perl(Config.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(Image/Magick.pm) perl(Test/More.pm) perl(XSLoader.pm) perl(overload.pm)
# END SourceDeps(oneline)
%define module_version 0.04
%define module_name Barcode-ZBar
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.04
Release: alt6
Summary: Perl interface to the ZBar Barcode Reader
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/S/SP/SPADIX/%module_name-%module_version.tar.gz
Patch: Barcode-ZBar-0.04-alt-zbar_version.patch

%description
The ZBar Bar Code Reader is a library for scanning and decoding bar
codes from various sources such as video streams, image files or raw
intensity sensors.  It supports EAN, UPC, Code 128, Code 39 and
Interleaved 2 of 5.

These are the bindings for interacting directly with the library from
Perl.



%prep
%setup -n %module_name-%module_version
%patch -p1
# TODO: X11: xvfb-run it
rm t/Processor.t

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes COPYING.LIB README examples
%perl_vendor_archlib/B*
%perl_vendor_autolib/*

%changelog
