%define module_name Bencher-Scenario-SetOperationModules
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Array/AsObject.pm) perl(Array/Set.pm) perl(Array/Utils.pm) perl(Bencher/Backend.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(List/Collection.pm) perl(List/MoreUtils.pm) perl(List/MoreUtils/PP.pm) perl(Pod/Coverage/TrustPod.pm) perl(Set/Array.pm) perl(Set/Object.pm) perl(Set/Scalar.pm) perl(Set/Tiny.pm) perl(Test/More.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.12
Release: alt1
Summary: Benchmark Perl set operation (union, intersection, diff, symmetric diff) modules
Group: Development/Perl
License: perl
URL: https://metacpan.org/release/Bencher-Scenario-SetOperationModules

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PE/PERLANCAR/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
From summary: %summary

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README LICENSE Changes
%perl_vendor_privlib/B*

%changelog
