# BEGIN SourceDeps(oneline):
BuildRequires: perl(Bible/OBML.pm) perl(Bible/Reference.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(Mojo/DOM.pm) perl(Mojo/File.pm) perl(Mojo/URL.pm) perl(Mojo/UserAgent.pm) perl(Moose.pm) perl(MooseX/Privacy.pm) perl(Pod/Coverage/TrustPod.pm) perl(Test/EOL.pm) perl(Test/Kwalitee.pm) perl(Test/Moose.pm) perl(Test/More.pm) perl(Test/Most.pm) perl(Test/NoTabs.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(Test/Synopsis.pm) perl(Throwable.pm) perl(Try/Tiny.pm) perl(constant.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define module_name Bible-OBML-Gateway
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.03
Release: alt1
Summary: Bible Gateway content conversion to Open Bible Markup Language (OBML)
Group: Development/Perl
License: perl
URL: https://github.com/gryphonshafer/Bible-OBML-Gateway

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/G/GR/GRYPHON/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This module consumes Bible Gateway content and converts it to Open Bible Markup
Language (OBML).

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README LICENSE Changes
%perl_vendor_privlib/B*

%changelog
