%def_without test
%define module_name Binance-API
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Digest/SHA.pm) perl(Exception/Class.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(FindBin.pm) perl(JSON.pm) perl(LWP/Protocol/https.pm) perl(LWP/UserAgent.pm) perl(Scalar/Util.pm) perl(Test/MockModule.pm) perl(Test/More.pm) perl(Test/Warn.pm) perl(Time/HiRes.pm) perl(URI.pm) perl(URI/QueryParam.pm) perl(base.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.06
Release: alt1
Summary: - Perl implementation for Binance API
Group: Development/Perl
License: mit
URL: https://github.com/taskula/binance-perl-api

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/T/TA/TASKULA/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This module provides a Perl implementation for Binance API

Binance API documentation: `https://github.com/binance-exchange/binance-official-api-docs/blob/master/rest-api.md'.

ENUM definitions:
https://github.com/binance-exchange/binance-official-api-docs/blob/master/rest-api.md#enum-definitions

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.md Changes LICENSE
%perl_vendor_privlib/B*

%changelog
