# BEGIN SourceDeps(oneline):
BuildRequires: perl(Bio/DB/DBFetch.pm) perl(Bio/Root/Test.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(Pod/Coverage/TrustPod.pm) perl(Test/Mojibake.pm) perl(Test/More.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(base.pm) perl(strict.pm) perl(vars.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define module_name Bio-DB-EMBL
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.7.3
Release: alt1
Summary: Database object interface for EMBL entry retrieval
Group: Development/Perl
License: perl
URL: https://metacpan.org/release/Bio-DB-EMBL

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/C/CJ/CJFIELDS/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Allows the dynamic retrieval of sequence objects the Bio::Seq manpage from the
EMBL database using the dbfetch script at EBI:
http://www.ebi.ac.uk/Tools/dbfetch/dbfetch.

In order to make changes transparent we have host type (currently only
ebi) and location (defaults to ebi) separated out.  This allows later
additions of more servers in different geographical locations.

The functionality of this module is inherited from the Bio::DB::DBFetch manpage
which implements the Bio::DB::WebDBSeqI manpage.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes LICENSE
%perl_vendor_privlib/B*

%changelog
