%define module_name Bio-Kmer
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Bio/Perl.pm) perl(Bio/Seq/Quality.pm) perl(Bio/SeqIO.pm) perl(Data/Dumper.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Basename.pm) perl(File/Temp.pm) perl(File/Which.pm) perl(IO/Uncompress/Gunzip.pm) perl(Test/More.pm) perl(Thread/Queue.pm) perl(threads.pm) perl(threads/shared.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.41
Release: alt1
Summary: >new("file.fastq.gz",{kmercounter=>"jellyfish",numcpus=>4});
Group: Development/Perl
License: mit
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/L/LS/LSKATZ/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
A module for helping with kmer analysis. The basic methods help count kmers and can produce a count of counts.  Currently this module only supports fastq format.  Although this module can count kmers with pure perl, it is recommended to give the option for a different kmer counter such as Jellyfish.

=pod
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README LICENSE.md README.pod
%perl_vendor_privlib/B*

%changelog
