# BEGIN SourceDeps(oneline):
BuildRequires: perl(DynaLoader.pm) perl(ExtUtils/MakeMaker.pm) perl(Test.pm) staden-io_lib-devel zlib-devel
# END SourceDeps(oneline)
%define module_version 1.03
%define module_name Bio-SCF
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.03
Release: alt6
Summary: Perl extension for reading and writting SCF sequence files
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/L/LD/LDS/%module_name-%module_version.tar.gz

%description
This module provides a perl interface to SCF DNA sequencing files. It
has both tied hash and an object-oriented interfaces. It provides the
ability to read fields from SCF files and limited ability to modify
them and write them back.


%prep
%setup -n %module_name-%module_version

%if "%version" == "1.03"
%define _without_test 1
%endif

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc DISCLAIMER README Changes
%perl_vendor_archlib/B*
%perl_vendor_autolib/*

%changelog
