# BEGIN SourceDeps(oneline):
BuildRequires: perl(Config.pm) perl(ExtUtils/MakeMaker.pm) perl(Test/More.pm) perl(Test/Warn.pm)
# END SourceDeps(oneline)
%define module_name Bit-Twiddling
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.10
Release: alt3
Summary: Low-level bit-twiddling hacks
Group: Development/Perl
License: perl
URL: https://github.com/briang/p5-bit-twiddling

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/B/BR/BRIANG/%{module_name}-%{version}.tar.gz

%description
This library is a collection of bit-manipulation functions written in
C, all taken from the Bit Twiddling Hacks webpage.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes TODO examples
%perl_vendor_archlib/B*
%perl_vendor_autolib/*

%changelog
