# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++ perl(CPP/Boost/Mini.pm) perl(CPP/catch/test.pm) perl(CPP/panda/lib.pm) perl(ExtUtils/MakeMaker.pm) perl(ExtUtils/ParseXS.pm) perl(Panda/Install.pm) perl(Panda/XS.pm) perl(Test/Deep.pm) perl(Test/More.pm) perl(Test/Simple.pm) perl(XSLoader.pm)
# END SourceDeps(oneline)
%define module_name Boost-UUID
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.02
Release: alt3
Summary: 1 hash every time.
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/A/AD/ADDICT/%{module_name}-%{version}.tar.gz

%description
Simple Perl interface for boost::uuid_generators ( look here [boost::uuid doc](https://www.boost.org/doc/libs/1_43_0/libs/uuid/uuid.html) )

# Synopsis

## Random UUID generator
Genarate unique SHA-1 hash every time.

Work with **boost::uuids::random_generator()**

> use Boost::UUID;

> my $uuid = Boost::UUID::random_uuid();

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.md Changes
%perl_vendor_archlib/B*
%perl_vendor_autolib/*

%changelog
