Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(CPANPLUS/Backend.pm) perl(Date/Parse.pm) perl(Time/Duration.pm) perl(URI/Find/Simple.pm) perl(URI/Title.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-Bot-BasicBot
Version:        0.93
Release:        alt2_12
Summary:        Simple IRC bot base class
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Bot-BasicBot
Source0:        https://cpan.metacpan.org/authors/id/B/BI/BIGPRESH/Bot-BasicBot-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  coreutils
BuildRequires:  findutils
BuildRequires:  perl-devel
BuildRequires:  rpm-build-perl
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(strict.pm)
BuildRequires:  perl(warnings.pm)
# Run-time:
BuildRequires:  perl(base.pm)
BuildRequires:  perl(Carp.pm)
BuildRequires:  perl(Encode.pm)
BuildRequires:  perl(Exporter.pm)
BuildRequires:  perl(IRC/Utils.pm)
BuildRequires:  perl(POE/Component/IRC/Plugin/Connector.pm)
# POE::Component::IRC::State version from POE::Component::IRC in META.json
BuildRequires:  perl(POE/Component/IRC/State.pm)
BuildRequires:  perl(POE/Filter/Line.pm)
BuildRequires:  perl(POE/Kernel.pm)
BuildRequires:  perl(POE/Session.pm)
BuildRequires:  perl(POE/Wheel/Run.pm)
BuildRequires:  perl(Text/Wrap.pm)
# Tests:
# IO::Socket not used
BuildRequires:  perl(lib.pm)
BuildRequires:  perl(Test/More.pm)
# POE::Component::IRC::State version from POE::Component::IRC in META.json
Requires:       perl(POE/Component/IRC/State.pm) >= 6.900

# Remove under-specified dependencies

Source44: import.info
%filter_from_requires /^perl(POE.Component.IRC.State.pm)/d

%description
Basic bot system designed to make it easy to do simple bots, optionally
forking longer processes (like searches) concurrently in the background.

%prep
%setup -q -n Bot-BasicBot-%{version}
find examples -type f -exec chmod 644 {} +

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
%make_build

%install
make pure_install DESTDIR=%{buildroot}
# %{_fixperms} %{buildroot}/*

%check
make test

%files
%doc --no-dereference LICENSE
%doc Changes examples
%{perl_vendor_privlib}/*

%changelog
