%define module_name Bot-BasicBot-Pluggable
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Bot/BasicBot.pm) perl(CGI.pm) perl(Carp.pm) perl(Config/Find.pm) perl(Crypt/SaltedHash.pm) perl(DBD/SQLite.pm) perl(DBD/mysql.pm) perl(DBI.pm) perl(DBM/Deep.pm) perl(Data/Dumper.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Copy.pm) perl(File/Spec.pm) perl(File/Temp.pm) perl(FindBin.pm) perl(LWP/UserAgent.pm) perl(List/MoreUtils.pm) perl(Log/Log4perl.pm) perl(Log/Log4perl/Level.pm) perl(Module/Build.pm) perl(Module/Load.pm) perl(Module/Pluggable.pm) perl(Moose.pm) perl(Moose/Util/TypeConstraints.pm) perl(MooseX/Getopt.pm) perl(MooseX/Getopt/Dashes.pm) perl(MooseX/SimpleConfig.pm) perl(Net/Google.pm) perl(POE.pm) perl(Socket.pm) perl(Storable.pm) perl(Template.pm) perl(Test/More.pm) perl(Test/Perl/Critic.pm) perl(Test/PerlTidy.pm) perl(Test/Pod.pm) perl(Text/Unidecode.pm) perl(Try/Tiny.pm) perl(URI.pm)
BuildRequires: perl(URI/Find/Simple.pm) perl(URI/Title.pm) perl(XML/Feed.pm) perl(YAML/XS.pm) perl(base.pm) perl(constant.pm) perl(lib.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.20
Release: alt1
Summary: extended simple IRC bot for pluggable modules
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/B/BI/BIGPRESH/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
%summary

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %{?epoch:%epoch:}%name = %version-%release

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-%{version}
# network
rm t/06title.t


%build
%perl_vendor_build --install_path bindoc=%_man1dir

%install
%perl_vendor_install

%files
%doc Changes README LICENSE TODO examples
%perl_vendor_privlib/A*
%perl_vendor_privlib/T*
%perl_vendor_privlib/B*

%files scripts
%_man1dir/*
%_bindir/*

%changelog
