%define module_name Bot-IRC
# BEGIN SourceDeps(oneline):
BuildRequires: perl(DBD/SQLite.pm) perl(DBI.pm) perl(Daemon/Device.pm) perl(Date/Format.pm) perl(Date/Parse.pm) perl(DateTime.pm) perl(DateTime/Format/Human/Duration.pm) perl(Email/Mailer.pm) perl(Email/Valid.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Grep.pm) perl(File/Spec.pm) perl(IO/Handle.pm) perl(IO/Socket/IP.pm) perl(IO/Socket/SSL.pm) perl(IPC/Open3.pm) perl(JSON/XS.pm) perl(Math/Expression.pm) perl(Math/Units.pm) perl(Pod/Coverage/TrustPod.pm) perl(Test/EOL.pm) perl(Test/Kwalitee.pm) perl(Test/Lib.pm) perl(Test/More.pm) perl(Test/NoTabs.pm) perl(Test/Output.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(Test/Synopsis.pm) perl(Test2/Mock.pm) perl(Test2/V0.pm) perl(Time/Crontab.pm) perl(YAML/XS.pm) perl(exact.pm) perl(exact/class.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.35
Release: alt1
Summary: Yet Another IRC Bot
Group: Development/Perl
License: artistic_2
URL: https://github.com/gryphonshafer/Bot-IRC

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/G/GR/GRYPHON/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Yet another IRC bot. Why? There are so many good bots and bot frameworks to
select from, but I wanted a bot framework that worked like a Unix service
out-of-the-box, operated in a pre-fork way to serve multiple concurrent
requests, and has a dirt-simple and highly extendable plugin mechanism. I also
wanted to keep the direct dependencies and core bot minimalistic, allowing as
much functionality as possible to be defined as optional plugins.
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes LICENSE README
%perl_vendor_privlib/B*

%changelog
