%define module_name Bot-IRC-X-UriTitle
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Bot/IRC.pm) perl(Bot/IRC/Store.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(LWP/Protocol/https.pm) perl(LWP/UserAgent.pm) perl(Pod/Coverage/TrustPod.pm) perl(Test/EOL.pm) perl(Test/Kwalitee.pm) perl(Test/More.pm) perl(Test/NoTabs.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(Test2/V0.pm) perl(Text/Unidecode.pm) perl(URI/Title.pm) perl(exact.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.04
Release: alt1
Summary: Bot::IRC plugin to parse and print URI titles
Group: Development/Perl
License: artistic_2
URL: https://github.com/gryphonshafer/Bot-IRC-X-UriTitle

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/G/GR/GRYPHON/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This the Bot::IRC manpage plugin makes the bot parse and print URI titles.
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes LICENSE
%perl_vendor_privlib/B*

%changelog
