%define module_name Bot-IRC-X-WwwShorten
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Bot/IRC.pm) perl(Bot/IRC/Store.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(Pod/Coverage/TrustPod.pm) perl(Test/EOL.pm) perl(Test/Kwalitee.pm) perl(Test/More.pm) perl(Test/NoTabs.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(Test2/V0.pm) perl(WWW/Shorten.pm) perl(exact.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.03
Release: alt1
Summary: Bot::IRC plugin for automatic URL shortening
Group: Development/Perl
License: artistic_2
URL: https://github.com/gryphonshafer/Bot-IRC-X-WwwShorten

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/G/GR/GRYPHON/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This the Bot::IRC manpage plugin for automatic URL shortening. It uses
TinyURL for shortening through the WWW::Shorten manpage.

    <user> bot tiny http://perl.org
    <bot> user: http://tinyurl.com/9om78
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes LICENSE
%perl_vendor_privlib/B*

%changelog
