%define module_version 1.12
%define module_name Bracket
# BEGIN SourceDeps(oneline):
BuildRequires: perl(CPAN.pm) perl(Carp.pm) perl(Catalyst.pm) perl(Catalyst/Action/REST.pm) perl(Catalyst/Action/RenderView.pm) perl(Catalyst/Authentication/Store/DBIx/Class.pm) perl(Catalyst/Controller.pm) perl(Catalyst/Model/DBIC/Schema.pm) perl(Catalyst/Plugin/Authentication.pm) perl(Catalyst/Plugin/ConfigLoader.pm) perl(Catalyst/Plugin/Session/State/Cookie.pm) perl(Catalyst/Plugin/Session/Store/DBIC.pm) perl(Catalyst/Plugin/Static/Simple.pm) perl(Catalyst/Runtime.pm) perl(Catalyst/ScriptRunner.pm) perl(Catalyst/View/TT.pm) perl(Config.pm) perl(Config/General.pm) perl(Config/JFDI.pm) perl(Crypt/Eksblowfish/Bcrypt.pm) perl(Cwd.pm) perl(DBD/SQLite.pm) perl(DBIx/Class.pm) perl(DBIx/Class/Core.pm) perl(DBIx/Class/EncodedColumn.pm) perl(DBIx/Class/Schema.pm) perl(Data/Dumper/Concise.pm) perl(DateTime.pm) perl(Email/Sender.pm) perl(FCGI/Engine/Manager.pm)
BuildRequires: perl(Email/Sender/Simple.pm) perl(Email/Sender/Transport/Test.pm) perl(Email/Simple.pm) perl(Email/Simple/Creator.pm) perl(Email/Valid.pm) perl(ExtUtils/MM_Unix.pm) perl(ExtUtils/MakeMaker.pm) perl(ExtUtils/Manifest.pm) perl(Fcntl.pm) perl(File/Basename.pm) perl(File/Find.pm) perl(File/Spec.pm) perl(File/Temp.pm) perl(FileHandle.pm) perl(FindBin.pm) perl(HTML/FormHandler.pm) perl(HTML/FormHandler/Model/DBIC.pm) perl(HTML/FormHandler/Moose.pm) perl(HTML/FormHandler/Render/Simple.pm) perl(HTML/FormHandler/Render/Table.pm) perl(JSON.pm) perl(LWP/Simple.pm) perl(Module/Build.pm) perl(Moose.pm) perl(Net/FTP.pm) perl(Net/SMTP.pm) perl(Parse/CPAN/Meta.pm) perl(Perl6/Junction.pm) perl(SQL/Translator.pm) perl(Socket.pm) perl(Term/Prompt.pm) perl(Test/More.pm) perl(Time/HiRes.pm) perl(YAML.pm) perl(YAML/Tiny.pm)
BuildRequires: perl(base.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.12
Release: alt1
Summary: College Basketball Tournament Bracket Web Application
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/M/MA/MATEU/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
College Basketball Tournament Bracket Web application using the Catalyst framework.
Deploy an instance of this bracket software to run your own bracket system.
It requires a data store such as MySQL, PostgreSQL or SQLite.

Simple admin interface to build the perfect bracket as the tournament unfolds.
Player brackets are compared to the perfect bracket for scoring purposes.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release

%description scripts
scripts for %module_name


%prep
%setup -q -n %{module_name}-%{module_version}

%build
%perl_vendor_build INSTALLMAN1DIR=%_man1dir

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_privlib/B*

%files scripts
%_man1dir/*
%_bindir/*

%changelog
