%define module_name Business-GoCardless
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(Digest/SHA.pm) perl(ExtUtils/MakeMaker.pm) perl(FindBin.pm) perl(JSON.pm) perl(LWP/Protocol/https.pm) perl(LWP/Simple.pm) perl(LWP/UserAgent.pm) perl(MIME/Base64.pm) perl(Mojolicious/Lite.pm) perl(Moo.pm) perl(POSIX.pm) perl(Test/Deep.pm) perl(Test/Exception.pm) perl(Test/MockObject.pm) perl(Test/Most.pm) perl(Throwable.pm) perl(Try/Tiny.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.35
Release: alt1
Summary: Top level namespace for the Business::GoCardless
Group: Development/Perl
License: perl
URL: https://metacpan.org/module/Business::GoCardless

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/L/LE/LEEJO/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
A role for a gocardless version information.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README.pod README.md
%perl_vendor_privlib/B*

%changelog
