%define module_name Business-Monzo
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(Data/Currency.pm) perl(DateTime.pm) perl(DateTime/Format/DateParse.pm) perl(ExtUtils/MakeMaker.pm) perl(Finance/Currency/Convert/WebserviceX.pm) perl(Locale/Currency/Format.pm) perl(Mojolicious.pm) perl(Moo.pm) perl(Test/Deep.pm) perl(Test/Exception.pm) perl(Test/MockObject.pm) perl(Test/Most.pm) perl(Throwable.pm) perl(Try/Tiny.pm) perl(Types/Standard.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.12
Release: alt1
Summary: Perl library for interacting with the Monzo API
Group: Development/Perl
License: perl
URL: https://metacpan.org/module/Business::Monzo

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/L/LE/LEEJO/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
A role for a Monzo version information.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.md Changes
%perl_vendor_privlib/B*

%changelog
