%define _without_test 1
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(Clone.pm) perl(DateTime.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Slurp.pm) perl(HTML/Entities.pm) perl(LWP/UserAgent.pm) perl(MIME/Base64.pm) perl(Pod/Coverage/CountParents.pm) perl(Scalar/Util.pm) perl(Sys/Hostname.pm) perl(Test/Deep.pm) perl(Test/MockModule.pm) perl(Test/More.pm) perl(Test/Trap.pm) perl(XML/LibXML.pm) perl(XML/LibXML/Ferry.pm)
# END SourceDeps(oneline)
%define module_name Business-cXML
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.6.7
Release: alt1
Summary: Perl implementation of cXML messaging
Group: Development/Perl
License: mit
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/L/LI/LIS/%{module_name}-v%{version}.tar.gz
BuildArch: noarch

%description
Dispatch incoming HTTP/HTTPS requests and respond to them.  Send outgoing
requests and parse responses.  Prepare and parse one-way messages.

As a convention, cXML refers to overall messages as "transmissions" to
distinguish from `Message' type payloads.  This library includes native Perl
modules for the following transmission types:

=over

=item * the Business::cXML::Request::PunchOutSetup manpage / the Business::cXML::Response::PunchOutSetup manpage

=item * the Business::cXML::Message::PunchOutOrder manpage

=item * Planned: Request::Order / Response::Order

=back

Specifically NOT implemented are:

=over

=item * Attachments

=item * Cryptographic signatures

=item * Requesting the remote side's capabilities profile and restricting ourselves to it

=back

%prep
%setup -q -n %{module_name}-v%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes LICENSE.txt README
%perl_vendor_privlib/B*

%changelog
