%define module_name CBOR-Free
# BEGIN SourceDeps(oneline):
BuildRequires: libsowing-devel perl(CBOR/XS.pm) perl(Data/Dumper.pm) perl(Devel/PPPort.pm) perl(ExtUtils/MakeMaker.pm) perl(FindBin.pm) perl(Test/Class/Tiny.pm) perl(Test/Deep.pm) perl(Test/Differences.pm) perl(Test/Exception.pm) perl(Test/FailWarnings.pm) perl(Test/More.pm) perl(Text/Control.pm) perl(Types/Serialiser.pm) perl(X/Tiny.pm) perl(XSLoader.pm) perl(autodie.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.31
Release: alt3
Summary: Fast CBOR for everyone
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/F/FE/FELIPE/%{module_name}-%{version}.tar.gz

%description
This library implements CBOR
via XS under a license that permits commercial usage with no .e'strings
attached.e'.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.md Changes LICENSE
%perl_vendor_archlib/C*
%perl_vendor_autolib/*

%changelog
