Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(APR/Table.pm) perl(Apache/Test.pm) perl(Apache/TestRequest.pm) perl(Apache2/Const.pm) perl(Apache2/RequestRec.pm) perl(Apache2/RequestUtil.pm) perl(Data/Dumper.pm) perl(File/Spec.pm) perl(HTTP/Request/Common.pm) perl(Try/Tiny.pm) perl(base.pm) perl-podlators
# END SourceDeps(oneline)
BuildRequires: perl-HTML-Template
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-CGI-Application-Dispatch
Version:        3.12
Release:        alt2_25
Summary:        Dispatch requests to CGI::Application based objects
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/CGI-Application-Dispatch
Source0:        https://cpan.metacpan.org/authors/id/M/MA/MARKSTOS/CGI-Application-Dispatch-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  rpm-build-perl
BuildRequires:  perl(CGI.pm)
BuildRequires:  perl(CGI/Application.pm)
BuildRequires:  perl(CGI/PSGI.pm)
BuildRequires:  perl(Exception/Class.pm)
BuildRequires:  perl(Exception/Class/TryCatch.pm)
BuildRequires:  perl(HTTP/Exception.pm)
BuildRequires:  perl(Module/Build.pm)
BuildRequires:  perl(Plack.pm)
BuildRequires:  perl(Plack/Test.pm)
BuildRequires:  perl(Test/LongString.pm)
BuildRequires:  perl(Test/More.pm)
# Apache::Test must be configured before use.
# BuildRequires:  perl(Apache::Test)


Source44: import.info

%description
This module provides a way (as a mod_perl handler or running under vanilla
CGI) to look at the path (as returned by dispatch_path) of the incoming
request, parse off the desired module and it's run mode, create an instance
of that module and run it.

%prep
%setup -q -n CGI-Application-Dispatch-%{version}

%build
/usr/bin/perl Build.PL installdirs=vendor
./Build

%install
./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

# %{_fixperms} $RPM_BUILD_ROOT/*

%check
./Build test

%files
%doc Changes
%{perl_vendor_privlib}/*

%changelog
