Group: Development/Perl
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(Test/More.pm) perl(base.pm) perl-podlators
# END SourceDeps(oneline)
BuildRequires: perl-HTML-Template
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-CGI-Application-Plugin-CAPTCHA
Version:        0.04
Release:        alt2_31
Summary:        Easily create, use, and verify CAPTCHAs in CGI::Application-based web apps
License:        GPL+ or Artistic

URL:            https://metacpan.org/release/CGI-Application-Plugin-CAPTCHA
Source0:        https://cpan.metacpan.org/authors/id/C/CR/CROMEDOME/CGI-Application-Plugin-CAPTCHA-%{version}.tar.gz
# Fix race in the tests, bug #1104507, CPAN RT#96200
Patch0:         CGI-Application-Plugin-CAPTCHA-0.04-Wait-until-test-server-can-accept-connections.patch

BuildArch:      noarch
BuildRequires:  rpm-build-perl
BuildRequires:  perl(CGI.pm)
BuildRequires:  perl(CGI/Application.pm)
BuildRequires:  perl(Data/Random.pm)
BuildRequires:  perl(Digest/SHA1.pm)
BuildRequires:  perl(GD/SecurityImage.pm)
BuildRequires:  perl(HTTP/Server/Simple/CGI.pm)
BuildRequires:  perl(Module/Build.pm)
BuildRequires:  perl(Test/Exception.pm)
BuildRequires:  perl(Test/Pod.pm)
BuildRequires:  perl(Test/WWW/Mechanize.pm)



Source44: import.info

%description
CGI::Application::Plugin::CAPTCHA allows programmers to easily add and
verify CAPTCHAs in their CGI::Application-derived web applications.

%prep
%setup -q -n CGI-Application-Plugin-CAPTCHA-%{version}
%patch0 -p1

%build
/usr/bin/perl Build.PL installdirs=vendor
./Build

%install
./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

# %{_fixperms} $RPM_BUILD_ROOT/*

%check
./Build test

%files
%doc Changes README
%{perl_vendor_privlib}/*

%changelog
