Group: Development/Perl
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(base.pm) perl-podlators
# END SourceDeps(oneline)
BuildRequires: perl-HTML-Template
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-CGI-Application-Plugin-ViewCode
Version:        1.02
Release:        alt2_36
Summary:        Allows you to view the source of a CGI::Application module
License:        GPL+ or Artistic

URL:            https://metacpan.org/release/CGI-Application-Plugin-ViewCode
Source0:        https://cpan.metacpan.org/authors/id/W/WO/WONKO/CGI-Application-Plugin-ViewCode-%{version}.tar.gz
# Perl 5.18 compatibility, CPAN RT#73317
Patch0:         CGI-Application-Plugin-ViewCode-1.02-qw-does-not-produce-parentheses-anymore.patch

BuildArch:      noarch
BuildRequires:  rpm-build-perl
BuildRequires:  perl(CGI.pm)
BuildRequires:  perl(CGI/Application.pm)
BuildRequires:  perl(Module/Build.pm)
BuildRequires:  perl(Pod/Xhtml.pm)
BuildRequires:  perl(Syntax/Highlight/Perl/Improved.pm)
BuildRequires:  perl(Test/LongString.pm)
BuildRequires:  perl(Test/More.pm)
BuildRequires:  perl(Test/Pod.pm)


Source44: import.info

%description
This plugin works by adding extra run modes (named view_code and view_pod)
to the application. By calling this run mode you can see the source or POD
of the running module (by default) or you can specify which module you
would like to view.

%prep
%setup -q -n CGI-Application-Plugin-ViewCode-%{version}
%patch0 -p1

%build
/usr/bin/perl Build.PL installdirs=vendor
./Build

%install
./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

# %{_fixperms} $RPM_BUILD_ROOT/*

%check
./Build test

%files
%doc Changes README TODO
%{perl_vendor_privlib}/*

%changelog
