Group: Development/Perl
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(base.pm) perl-podlators
# END SourceDeps(oneline)
BuildRequires: perl-HTML-Template
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-CGI-Application-Structured
Version:        0.007
Release:        alt2_29
Summary:        Medium-weight, MVC, DB web framework
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/CGI-Application-Structured
Source0:        https://cpan.metacpan.org/authors/id/V/VA/VANAMBURG/CGI-Application-Structured-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  rpm-build-perl
BuildRequires:  perl(CGI/Application.pm)
BuildRequires:  perl(CGI/Application/Dispatch.pm)
BuildRequires:  perl(CGI/Application/Plugin/AutoRunmode.pm)
BuildRequires:  perl(CGI/Application/Plugin/ConfigAuto.pm)
BuildRequires:  perl(CGI/Application/Plugin/DBH.pm)
BuildRequires:  perl(CGI/Application/Plugin/DBIC/Schema.pm)
BuildRequires:  perl(CGI/Application/Plugin/DebugScreen.pm)
BuildRequires:  perl(CGI/Application/Plugin/FillInForm.pm)
BuildRequires:  perl(CGI/Application/Plugin/Forward.pm)
BuildRequires:  perl(CGI/Application/Plugin/LogDispatch.pm)
BuildRequires:  perl(CGI/Application/Plugin/Redirect.pm)
BuildRequires:  perl(CGI/Application/Plugin/Session.pm)
BuildRequires:  perl(CGI/Application/Plugin/SuperForm.pm)
BuildRequires:  perl(CGI/Application/Plugin/TT.pm)
BuildRequires:  perl(CGI/Application/Plugin/ValidateRM.pm)
BuildRequires:  perl(CGI/Application/Server.pm)
BuildRequires:  perl(Test/Pod.pm)
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(Test/Simple.pm)


Source44: import.info

%description
CGI::Application::Structured is an opinionated framework, based on
CGI::Application. It takes the view that developer time and consistent
projects structures can often be more cost-effective than focusing on the
highest performance on low cost hosting solutions.

%prep
%setup -q -n CGI-Application-Structured-%{version}

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

# %{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc Changes LICENSE README Todo
%{perl_vendor_privlib}/*

%changelog
