# BEGIN SourceDeps(oneline):
BuildRequires: perl(Apache.pm) perl(CGI.pm) perl(CGI/Carp.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(Fcntl.pm) perl(Test.pm) perl(Mail/Sender.pm)
# END SourceDeps(oneline)
%define module_version 1.50
%define module_name CGI-ContactForm
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.50
Release: alt1
Summary: Generate a web contact form
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/G/GU/GUNNAR/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
This module generates a contact form for the web when the routine `contactform()'.is called from a CGI script. Arguments are passed to the module as a list of
key/value pairs.

`CGI::ContactForm' sends a well formated (plain text format=flowed in accordance
with RFC 2646) email message, with the sender's address in the `From:' header.

By default the sender gets a `bcc' copy. If the email address stated by the
sender is invalid, by default the failure message is sent to the recipient address,
through which you know that you don't need to bother with a reply, at least not to
that address...  However, by setting the `nocopy' argument you can prevent the
sender copy from being sent.


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes readme.html examples
%perl_vendor_privlib/C*

%changelog
