Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-CGI-Session-Driver-memcached
Version:        0.04
Release:        alt2_29
Summary:        CGI::Session driver for memcached
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/CGI-Session-Driver-memcached
Source0:        https://cpan.metacpan.org/authors/id/O/OI/OINUME/CGI-Session-Driver-memcached-%{version}.tar.gz
# Update the FSF Address in the GPL License
# https://rt.cpan.org/Public/Bug/Display.html?id=67806
BuildArch:      noarch
BuildRequires:  coreutils
BuildRequires:  findutils
BuildRequires:  memcached memcached-tool
BuildRequires:  rpm-build-perl
BuildRequires:  perl-devel
BuildRequires:  perl(Cache/Memcached.pm)
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(lib.pm)
BuildRequires:  perl(strict.pm)
# Run-time:
BuildRequires:  perl(Carp.pm)
# CGI::Session::Driver version from CGI::Session in META
BuildRequires:  perl(CGI/Session/Driver.pm)
# Tests:
BuildRequires:  perl(CGI/Session/Test/Default.pm)
BuildRequires:  perl(diagnostics.pm)
BuildRequires:  perl(FindBin.pm)
BuildRequires:  perl(IO/Socket/INET.pm)
BuildRequires:  perl(Test/More.pm)
Requires:       perl(Cache/Memcached.pm)
Requires:       perl(CGI/Session/Driver.pm) >= 4

# Remove under-specified dependencies

Source44: import.info
%filter_from_requires /^perl(CGI.Session.Driver.pm)/d

%description
memcached stores session data into memcached.

%prep
%setup -q -n CGI-Session-Driver-memcached-%{version}

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

# %{_fixperms} $RPM_BUILD_ROOT/*

%check
memcached -l 127.0.0.1 &
make test || rc=$?
kill %1
exit $rc

%files
%doc --no-dereference LICENSE
%doc Changes README
%{perl_vendor_privlib}/*

%changelog
