%def_without test
%define module_name CGI-Untaint-Facebook
# BEGIN SourceDeps(oneline):
BuildRequires: perl(CGI/Untaint.pm) perl(CGI/Untaint/url.pm) perl(English.pm) perl(ExtUtils/MakeMaker.pm) perl(IO/Socket/INET.pm) perl(LWP/Protocol/https.pm) perl(LWP/UserAgent.pm) perl(Mozilla/CA.pm) perl(Net/SSLeay.pm) perl(Test/CleanNamespaces.pm) perl(Test/Distribution.pm) perl(Test/Kwalitee.pm) perl(Test/Most.pm) perl(Test/NoWarnings.pm) perl(Test/Perl/Metrics/Simple.pm) perl(URI/Escape.pm) perl(URI/Heuristic.pm) perl(base.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.15
Release: alt1
Summary: Validate a URL is a valid Facebook URL or ID
Group: Development/Perl
License: open_source
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/N/NH/NHORNE/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
CGI::Untaint::Facebook validate if a given ID in a form is a valid Facebook ID.
The ID can be either a full Facebook URL, or a page on facebook, so
'http://www.facebook.com/nigelhorne' and 'nigelhorne' will both return true.

    use CGI::Info;
    use CGI::Untaint;
    use CGI::Untaint::Facebook;
    # ...
    my $info = CGI::Info->new();
    my $params = $info->params();
    # ...
    my $u = CGI::Untaint->new($params);
    my $tid = $u->extract(-as_Facebook => 'web_address');
    # $tid will be lower case


%prep
%setup -q -n %{module_name}-%{version}
sed -i s,die,warn, Makefile.PL

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE Changes ignore.txt README.md README
%perl_vendor_privlib/C*

%changelog
