Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-pod perl-podlators perldoc
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-CGI-Untaint-date
Version:        1.00
Release:        alt2_43
Summary:        Validate a date
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/CGI-Untaint-date
Source0:        https://cpan.metacpan.org/authors/id/T/TM/TMTM/CGI-Untaint-date-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  coreutils
BuildRequires:  findutils
BuildRequires:  perl-doc
BuildRequires:  rpm-build-perl
BuildRequires:  perl-devel
BuildRequires:	perl-Pod-Perldoc
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
# Run-time:
BuildRequires:  perl(base.pm)
BuildRequires:  perl(CGI/Untaint/printable.pm)
BuildRequires:  perl(Date/Manip.pm)
BuildRequires:  perl(Date/Simple.pm)
BuildRequires:  perl(strict.pm)
# Tests:
BuildRequires:  perl(CGI.pm)
BuildRequires:  perl(CGI/Untaint.pm)
BuildRequires:  perl(Test/More.pm)
# Optional tests:
BuildRequires:	perl(Test/Pod.pm)
BuildRequires:	perl(Test/Pod/Coverage.pm)
Requires:	perl(Date/Manip.pm) >= 5.0
Requires:	perl(Date/Simple.pm) >= 0.010

# Remove under-specified dependencies

Source44: import.info
%filter_from_requires /^perl(\(Date.Manip\|Date.Simple\).pm)/d

%description
%{summary}.

%prep
%setup -q -n CGI-Untaint-date-%{version}
perldoc -t perlgpl > COPYING
perldoc -t perlartistic > Artistic

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*

%files
%doc --no-dereference Artistic COPYING
%doc Changes
%{perl_vendor_privlib}/CGI/Untaint

%changelog
