%define module_name CLI-Helpers
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Capture/Tiny.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Basename.pm) perl(File/Spec.pm) perl(Getopt/Long.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(Module/Load.pm) perl(Pod/Coverage/TrustPod.pm) perl(Ref/Util.pm) perl(Sys/Syslog.pm) perl(Term/ANSIColor.pm) perl(Term/ReadKey.pm) perl(Term/ReadLine.pm) perl(Test/More.pm) perl(Test/Perl/Critic.pm) perl(YAML.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.8
Release: alt1
Summary: Subroutines for making simple command line scripts
Group: Development/Perl
License: bsd
URL: https://github.com/reyjrar/CLI-Helpers

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/B/BL/BLHOTSKY/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
From summary: %summary

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE Changes README.mkdn examples
%perl_vendor_privlib/C*

%changelog
