# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define upstream_name    CPAN-FindDependencies
%define upstream_version 3.05

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %{upstream_version}
Release:    alt1_1

Summary:    Object representing a module dependency
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/CPAN/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Archive/Tar.pm)
BuildRequires: perl(Archive/Zip.pm)
BuildRequires: perl(CPAN/Meta.pm)
BuildRequires: perl(Capture/Tiny.pm)
BuildRequires: perl(Devel/CheckOS.pm)
BuildRequires: perl(ExtUtils/MakeMaker.pm)
BuildRequires: perl(File/Find/Rule.pm)
BuildRequires: perl(File/Path.pm)
BuildRequires: perl(File/Temp.pm)
BuildRequires: perl(File/Type.pm)
BuildRequires: perl(LWP/Protocol/https.pm)
BuildRequires: perl(LWP/Simple.pm)
BuildRequires: perl(Module/CoreList.pm)
BuildRequires: perl(Parse/CPAN/Packages.pm)
BuildRequires: perl(Scalar/Util.pm)
BuildRequires: perl(Test/Differences.pm)
BuildRequires: perl(Test/More.pm)
BuildRequires: perl(Test/Time.pm)
BuildRequires: perl(Text/Diff.pm)
BuildRequires: perl(URI/file.pm)
BuildArch:  noarch
Source44: import.info

%description
no description found

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install
%makeinstall_std

%files
%doc CHANGELOG META.json META.yml  README TODO
%{_bindir}/*
%{perl_vendor_privlib}/*
/usr/share/man/man1/*

%changelog
