%define module_name CPAN-Perl-Releases-MetaCPAN
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Exporter.pm) perl(HTTP/Tiny.pm) perl(HTTP/Tinyish.pm) perl(JSON/PP.pm) perl(Module/Build/Tiny.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.006
Release: alt1
Summary: Mapping Perl releases on CPAN to the location of the tarballs via MetaCPAN API
Group: Development/Perl
License: perl
URL: https://github.com/skaji/CPAN-Perl-Releases-MetaCPAN

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/S/SK/SKAJI/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
CPAN::Perl::Releases::MetaCPAN is just like the CPAN::Perl::Releases manpage,
but it gets the release information via MetaCPAN API `https://fastapi.metacpan.org/v1/release'.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release

%description scripts
scripts for %module_name


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE README Changes
%perl_vendor_privlib/C*

%files scripts
%_man1dir/*
%_bindir/*

%changelog
