%define module_name CPAN-Reporter-Smoker-OpenBSD
# BEGIN SourceDeps(oneline):
BuildRequires: perl(CPAN.pm) perl(CPAN/Mini.pm) perl(DBI.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(Getopt/Long.pm) perl(Pod/Usage.pm) perl(Set/Tiny.pm) perl(Term/ProgressBar.pm) perl(Test/More.pm) perl(Test/Reporter.pm) perl(Test/Reporter/Transport/Socket.pm) perl(Test/Warnings.pm) perl(YAML/XS.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.010
Release: alt1
Summary: set of scripts to manage a CPAN::Reporter::Smoker on OpenBSD
Group: Development/Perl
License: gpl
URL: https://github.com/glasswalk3r/cpan-openbsd-smoker

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/A/AR/ARFREITAS/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This module is mainly Pod: you want to take a look at the following programs documentation:

=over

=item *

`perldoc send_reports'

=item *

`perldoc dblock'

=item *

`perldoc mirror_cleanup'

=back

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release

%description scripts
scripts for %module_name
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE Changes README
%perl_vendor_privlib/C*

%files scripts
%_man1dir/*
%_bindir/*

%changelog
