%define module_name CPANPLUS-Dist-Fedora
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Archive/Extract.pm) perl(CPANPLUS/Backend.pm) perl(CPANPLUS/Dist/Base.pm) perl(CPANPLUS/Error.pm) perl(Cwd.pm) perl(File/Basename.pm) perl(File/Copy.pm) perl(File/Fetch.pm) perl(File/Spec.pm) perl(IO/Handle.pm) perl(IPC/Cmd.pm) perl(IPC/Open3.pm) perl(List/Util.pm) perl(Module/Build.pm) perl(POSIX.pm) perl(Package/Constants.pm) perl(Path/Tiny.pm) perl(Pod/POM.pm) perl(Pod/POM/View/Text.pm) perl(Template.pm) perl(Test/More.pm) perl(Test/Run/CmdLine/Iface.pm) perl(parent.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.4.2
Release: alt1
Summary: a cpanplus backend to build Fedora/RedHat rpms
Group: Development/Perl
License: perl
URL: http://metacpan.org/release/CPANPLUS-Dist-Fedora

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/S/SH/SHLOMIF/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
CPANPLUS::Dist::Fedora is a distribution class to create Fedora packages
from CPAN modules, and all its dependencies. This allows you to have
the most recent copies of CPAN modules installed, using your package
manager of choice, but without having to wait for central repositories
to be updated.

You can either install them using the API provided in this package, or
manually via rpm.

Note that these packages are built automatically from CPAN and are
assumed to have the same license as perl and come without support.
Please always refer to the original CPAN package if you have questions.




%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE Changes README Changes.mdv
%perl_vendor_privlib/C*

%changelog
