%define module_name CPANfile-Parse-PPI
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(Data/Printer.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Basename.pm) perl(File/Spec.pm) perl(IO/File.pm) perl(JSON/PP.pm) perl(List/Util.pm) perl(MetaCPAN/Client.pm) perl(Mojo/File.pm) perl(Mojo/JSON.pm) perl(Mojo/UserAgent.pm) perl(Moo.pm) perl(PPI.pm) perl(Pod/Coverage/TrustPod.pm) perl(Test/Exception.pm) perl(Test/More.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(Test/Warn.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.05
Release: alt1
Summary: Parse I<cpanfile>s with PPI
Group: Development/Perl
License: artistic_2
URL: https://github.com/perlservices/CPANfile-Parse-PPI

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PE/PERLSRVDE/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
use v5.24;
    use CPANfile::Parse::PPI;
    
    my $path     = '/path/to/cpanfile';
    my $cpanfile = CPANfile::Parse::PPI->new( $path );
    
    # or
    # my $cpanfile = CPANfile::Parse::PPI->new( \$content );
    
    for my $module ( $cpanfile->modules->@* ) {
        my $stage = "";
        $stage    = "on $module->{stage}" if $module->{stage};
        say sprintf "%%s is %%s", $module->{name}, $module->{type};
    }

=begin pod_coverage

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc CONTRIBUTORS CONTRIBUTING.md README Changes LICENSE
%perl_vendor_privlib/C*

%changelog
