%define module_name CSS-Sass
# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++ libb64-devel libsass-devel libsowing-devel perl(Algorithm/Combinatorics.pm) perl(Capture/Tiny.pm) perl(Carp.pm) perl(Encode.pm) perl(Encode/Locale.pm) perl(ExtUtils/CppGuess.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Find/Rule.pm) perl(File/Slurp.pm) perl(File/chdir.pm) perl(Filesys/Notify/Simple.pm) perl(Getopt/Long.pm) perl(IPC/Run3.pm) perl(List/Util.pm) perl(Parallel/Runner.pm) perl(Pod/Markdown.pm) perl(Pod/Select.pm) perl(Pod/Usage.pm) perl(Test/Differences.pm) perl(YAML/XS.pm) perl(strict.pm) perl(version.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 3.6.4
Release: alt2
Summary: Compile .scss files using libsass
Group: Development/Perl
License: mit
URL: https://metacpan.org/release/CSS-Sass

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/O/OC/OCBNET/%{module_name}-%{version}.tar.gz

%description
From summary: %summary

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release
BuildArch: noarch

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc CODE_OF_CONDUCT.md Changes LICENSE README.md
%perl_vendor_archlib/C*
%perl_vendor_autolib/*

%files scripts
%_man1dir/*
%_bindir/*

%changelog
