%define module_name CTKlib
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Class/C3/Adopt/NEXT.pm) perl(Class/Singleton.pm) perl(Config/General.pm) perl(DBI.pm) perl(Encode.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Copy.pm) perl(File/Copy/Recursive.pm) perl(File/Find.pm) perl(File/Path.pm) perl(File/Pid.pm) perl(File/Spec.pm) perl(File/Temp.pm) perl(IO.pm) perl(IO/String.pm) perl(IPC/Open3.pm) perl(JSON.pm) perl(List/Util.pm) perl(MIME/Base64.pm) perl(MIME/Lite.pm) perl(MRO/Compat.pm) perl(Net/FTP.pm) perl(Net/SFTP/Foreign.pm) perl(Perl/OSType.pm) perl(Pod/Usage.pm) perl(Symbol.pm) perl(Sys/SigAction.pm) perl(Sys/Syslog.pm) perl(Term/ANSIColor.pm) perl(Test/Simple.pm) perl(Text/SimpleTable.pm) perl(Time/HiRes.pm) perl(Time/Local.pm) perl(Try/Tiny.pm) perl(URI.pm) perl(XML/Simple.pm) perl(XSLoader.pm) perl(YAML.pm) perl(YAML/XS.pm) perl(bigint.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 2.06
Release: alt3
Summary: Command-line ToolKit library (CTKlib). Command line interface (CLI)
Group: Development/Perl
License: perl
URL: http://www.serzik.com

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/A/AB/ABALAMA/%{module_name}-%{version}.tar.gz

%description
Sorry. Detail manual is preparing now and it will be available later

See `README' file

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release
BuildArch: noarch

%description scripts
scripts for %module_name


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build INSTALLMAN1DIR=%_man1dir

%install
%perl_vendor_install

%files
%doc TODO README Changes LICENSE
%perl_vendor_archlib/C*
%perl_vendor_autolib/*

%files scripts
%_man1dir/*
%_bindir/*

%changelog
