# BEGIN SourceDeps(oneline):
BuildRequires: perl(Data/Dump.pm) perl(Data/Dumper.pm) perl(Exporter/Shiny.pm) perl(Exporter/Tiny.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(Hash/Wrap.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(List/Util.pm) perl(Math/BigFloat.pm) perl(Math/BigInt.pm) perl(Module/Build/Tiny.pm) perl(Moo.pm) perl(MooX/StrictConstructor.pm) perl(PDL/Lite.pm) perl(Ref/Util.pm) perl(Safe/Isa.pm) perl(Set/Partition.pm) perl(Storable.pm) perl(Test/Lib.pm) perl(Test/More.pm) perl(Test2/V0.pm) perl(Tree/Range/RB.pm) perl(Type/Library.pm) perl(Type/Params.pm) perl(Type/Tiny.pm) perl(Type/Utils.pm) perl(Types/Common/Numeric.pm) perl(Types/Standard.pm) perl(aliased.pm) perl(custom/failures.pm) perl(enum.pm) perl(experimental.pm) perl(namespace/clean.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define module_name CXC-Number
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.05
Release: alt1
Summary: A namespace for modules which deal with numbers.
Group: Development/Perl
License: gpl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/D/DJ/DJERIUS/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
The following are known:

=over

=item the CXC::Number::Grid manpage

A representation of a grid of numbers, with the ability to join and
overlay grids.  Useful for binning data.

=item the CXC::Number::Sequence manpage

A namespace and module for dealing with sequences of numbers, often
constructed so that they are useful for binning data.

=back

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README LICENSE docs examples
%perl_vendor_privlib/C*

%changelog
