%define module_version 0.038
%define module_name Catalyst-Controller-WrapCGI
# BEGIN SourceDeps(oneline):
BuildRequires: perl(CGI.pm) perl(CGI/Compile.pm) perl(Catalyst.pm) perl(Catalyst/Controller.pm) perl(Catalyst/Exception.pm) perl(Catalyst/Plugin/Static/Simple.pm) perl(Catalyst/Runtime.pm) perl(Catalyst/Test.pm) perl(Class/Unload.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Find/Rule.pm) perl(File/Spec.pm) perl(File/Spec/Functions.pm) perl(File/Temp.pm) perl(File/pushd.pm) perl(FindBin.pm) perl(HTTP/Request.pm) perl(HTTP/Request/AsCGI.pm) perl(HTTP/Request/Common.pm) perl(IO/File.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(List/MoreUtils.pm) perl(Moose.pm) perl(Moose/Util/TypeConstraints.pm) perl(Scalar/Util.pm) perl(Symbol.pm) perl(Test/More.pm) perl(Test/Pod.pm) perl(URI.pm) perl(URI/Escape.pm) perl(base.pm) perl(blib.pm) perl(lib.pm) perl(mro.pm) perl(namespace/clean.pm) perl(parent.pm)
BuildRequires: perl(strict.pm) perl(utf8.pm) perl(vars.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.038
Release: alt1
Summary: Run CGIs in Catalyst
Group: Development/Perl
License: perl
URL: http://metacpan.org/release/Catalyst-Controller-WrapCGI

Source0: http://cpan.org.ua/authors/id/R/RK/RKITOVER/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
Allows you to run Perl code in a CGI environment derived from your the Catalyst manpage.context.

*WARNING*: do not export the CGI manpage functions into a Controller, it will break
with the Catalyst manpage 5.8 onward.

If you just want to run CGIs from files, see the Catalyst::Controller::CGIBin manpage.

`REMOTE_USER' will be set to `$c->user->obj->$username_field' if
available, or to `$c->req->remote_user' otherwise.


%prep
%setup -q -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE README Changes
%perl_vendor_privlib/C*

%changelog
