Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Filter/Util/Call.pm) perl(LWP/Simple.pm) perl(Module/Build.pm) perl(Net/FTP.pm) perl(Text/Diff.pm) perl(YAML.pm) perl(threads/shared.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:       perl-Catalyst-Helper-FastCGI-ExternalServer 
Version:    0.05 
Release:    alt2_34
# lib/Catalyst/Helper/FastCGI/ExternalServer.pm -> GPL+ or Artistic
License:    GPL+ or Artistic 
Summary:    FastCGI daemon start/stop script for using FastCgiExternalServer 
Source:     https://cpan.metacpan.org/authors/id/Z/ZI/ZIGOROU/Catalyst-Helper-FastCGI-ExternalServer-%{version}.tar.gz
Url:        https://metacpan.org/release/Catalyst-Helper-FastCGI-ExternalServer
BuildArch:  noarch

BuildRequires: findutils
BuildRequires: perl-devel
BuildRequires: rpm-build-perl
BuildRequires: perl(Catalyst.pm)
BuildRequires: perl(Catalyst/Utils.pm)
BuildRequires: perl(Cwd.pm)
BuildRequires: perl(DateTime.pm)
BuildRequires: perl(FCGI.pm)
BuildRequires: perl(FCGI/ProcManager.pm)
BuildRequires: perl(File/Spec.pm)
BuildRequires: perl(Getopt/Long.pm)
BuildRequires: perl(inc/Module/Install.pm)
BuildRequires: perl(Module/Install/AutoInstall.pm)
BuildRequires: perl(Module/Install/Metadata.pm)
BuildRequires: perl(Module/Install/WriteAll.pm)
BuildRequires: perl(Module/Install/TestBase.pm)
BuildRequires: perl(strict.pm)
BuildRequires: perl(Test/More.pm)
BuildRequires: perl(Test/Pod.pm)
BuildRequires: perl(Test/Pod/Coverage.pm)
BuildRequires: perl(warnings.pm)
BuildRequires: sed
# sigh
BuildRequires: perl(CPAN.pm)
Source44: import.info

%description
This module allows configuration using /etc/sysconfig/myapp. First make
a file called /etc/sysconfig/myapp and then write some variables in it.
The variables that you add to the file will automatically override the
environment variables.


%prep
%setup -q -n Catalyst-Helper-FastCGI-ExternalServer-%{version}
# Remove bundled libraries
rm -r inc
sed -i -e '/^inc\// d' MANIFEST

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install

make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null ';'

# %{_fixperms} %{buildroot}/*

%check
make test

%files
%doc Changes README 
%{perl_vendor_privlib}/*

%changelog
