Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Pod/Coverage/TrustPod.pm) perl(Test/EOL.pm) perl(Test/NoTabs.pm) perl(Test/Perl/Critic.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-Catalyst-Model-LDAP
Version:        0.21
Release:        alt2_12
Summary:        LDAP model class for Catalyst
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Catalyst-Model-LDAP
Source0:        https://cpan.metacpan.org/authors/id/G/GH/GHENRY/Catalyst-Model-LDAP-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  coreutils
BuildRequires:  findutils
BuildRequires:  rpm-build-perl
BuildRequires:  perl-devel
BuildRequires:  perl
BuildRequires:  perl(base.pm)
BuildRequires:  perl(Carp.pm)
BuildRequires:  perl(Catalyst.pm)
BuildRequires:  perl(Catalyst/Controller.pm)
BuildRequires:  perl(Catalyst/Model.pm)
BuildRequires:  perl(Catalyst/Test.pm)
BuildRequires:  perl(Class/Accessor/Fast.pm)
BuildRequires:  perl(Data/Dumper.pm)
BuildRequires:  perl(Data/Page.pm)
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(FindBin.pm)
BuildRequires:  perl(lib.pm)
BuildRequires:  perl(Module/Runtime.pm)
BuildRequires:  perl(MRO/Compat.pm)
BuildRequires:  perl(Net/LDAP.pm)
BuildRequires:  perl(Net/LDAP/Constant.pm)
BuildRequires:  perl(Net/LDAP/Control/ProxyAuth.pm)
BuildRequires:  perl(Net/LDAP/Control/Sort.pm)
BuildRequires:  perl(Net/LDAP/Control/VLV.pm)
BuildRequires:  perl(Net/LDAP/Entry.pm)
BuildRequires:  perl(Net/LDAP/Search.pm)
BuildRequires:  perl(strict.pm)
BuildRequires:  perl(Test/More.pm)
BuildRequires:  perl(Test/Pod.pm)
BuildRequires:  perl(Test/Pod/Coverage.pm)
BuildRequires:  perl(warnings.pm)

Requires:       perl(Catalyst.pm) >= 5.620
Requires:       perl(Module/Runtime.pm) >= 0.015
Requires:       perl(Net/LDAP.pm) >= 0.650
Requires:       perl(Net/LDAP/Control/ProxyAuth.pm) >= 1.090





Source44: import.info
%filter_from_requires /^perl(Module.Runtime\\)\s*$/d
%filter_from_requires /^perl(Net.LDAP\\)\s*$/d
%filter_from_requires /^perl(Net.LDAP.Control.ProxyAuth\\)\s*$/d

%description
This is the Net::LDAP model class for Catalyst. It is nothing more than a
simple wrapper for Net::LDAP.

%prep
%setup -q -n Catalyst-Model-LDAP-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
%make_build

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
# %{_fixperms} $RPM_BUILD_ROOT/*

%check
TEST_POD=1 make test

%files
%doc --no-dereference LICENSE
%doc Changes
%{perl_vendor_privlib}/*

%changelog
