Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(CPAN.pm) perl(Class/Accessor/Fast.pm) perl(JSON.pm) perl(LWP/Simple.pm) perl(Module/Build.pm) perl(Net/FTP.pm) perl(Parse/CPAN/Meta.pm) perl(YAML/Tiny.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-Catalyst-Plugin-PageCache
Version:        0.32
Release:        alt2_16
Summary:        Cache the output of entire pages
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Catalyst-Plugin-PageCache
Source0:        https://cpan.metacpan.org/authors/id/V/VE/VERISSIMO/Catalyst-Plugin-PageCache-%{version}.tar.gz
# Define POD encoding, CPAN RT#87667
Patch0:         Catalyst-Plugin-PageCache-0.31-Define-POD-encoding.patch
Patch1:         Catalyst-Plugin-PageCache-0.32-Fix-building-on-Perl-without-dot-in-INC.patch
BuildArch:      noarch
BuildRequires:  perl-devel
BuildRequires:  rpm-build-perl
BuildRequires:  perl(Cache/Cache.pm)
BuildRequires:  perl(Cache/FileCache.pm)
BuildRequires:  perl(Catalyst/Plugin/Cache.pm)
BuildRequires:  perl(Catalyst/Plugin/I18N.pm)
BuildRequires:  perl(Catalyst/Runtime.pm)
BuildRequires:  perl(DateTime.pm)
BuildRequires:  perl(Digest/SHA1.pm)
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(File/Path.pm)
BuildRequires:  perl(MRO/Compat.pm)
BuildRequires:  perl(Test/More.pm)
BuildRequires:  perl(Test/Pod.pm)
BuildRequires:  perl(Test/Pod/Coverage.pm)

Requires:       perl(Catalyst/Runtime.pm)
Requires:       perl(Class/Accessor/Fast.pm)
Source44: import.info

%description
Many dynamic websites perform heavy processing on most pages, yet this
information may rarely change from request to request. Using the PageCache
plugin, you can cache the full output of different pages so they are served
to your visitors as fast as possible. This method of caching is very useful
for withstanding a Slashdotting, for example.

%prep
%setup -q -n Catalyst-Plugin-PageCache-%{version}
%patch0 -p1
%patch1 -p1
iconv -f iso-8859-1 -t utf-8 README >README.conv && mv README.conv README

%build
PERL5_CPANPLUS_IS_RUNNING=1 /usr/bin/perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
%make_build

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
# %{_fixperms} $RPM_BUILD_ROOT/*

%files
%doc Changes README
%{perl_vendor_privlib}/Catalyst*

%changelog
