%define module_name Catalyst-Plugin-Session-Store-Redis
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Catalyst.pm) perl(Catalyst/Plugin/Session/Test/Store.pm) perl(Catalyst/Test.pm) perl(FindBin.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(MIME/Base64.pm) perl(MRO/Compat.pm) perl(Module/Build.pm) perl(Redis.pm) perl(Storable.pm) perl(Try/Tiny.pm) perl(base.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.900
Release: alt1
Summary: Redis Session store for Catalyst
Group: Development/Perl
License: see LICENSE
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/D/DO/DOMM/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
`Catalyst::Plugin::Session::Store::Redis' is a session storage plugin for.Catalyst that uses the Redis (http://code.google.com/p/redis/) key-value
database.


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE README.md Changes
%perl_vendor_privlib/C*

%changelog
