Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(CPAN.pm) perl(JSON.pm) perl(LWP/Simple.pm) perl(Module/Build.pm) perl(Net/FTP.pm) perl(Parse/CPAN/Meta.pm) perl(YAML/Tiny.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-Catalyst-View-Email
Version:        0.36
Release:        alt2_17
Summary:        Send Email from Catalyst
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Catalyst-View-Email
Source0:        https://cpan.metacpan.org/authors/id/D/DH/DHOSS/Catalyst-View-Email-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  findutils
BuildRequires:  perl-devel
BuildRequires:  rpm-build-perl
BuildRequires:  perl(Authen/SASL.pm)
BuildRequires:  perl(base.pm)
BuildRequires:  perl(Carp.pm)
BuildRequires:  perl(Catalyst.pm)
BuildRequires:  perl(Catalyst/Controller.pm)
BuildRequires:  perl(Catalyst/Test.pm)
BuildRequires:  perl(Catalyst/View.pm)
BuildRequires:  perl(Catalyst/View/Mason.pm)
BuildRequires:  perl(Catalyst/View/TT.pm)
BuildRequires:  perl(Data/Dump.pm)
BuildRequires:  perl(Email/Date/Format.pm)
BuildRequires:  perl(Email/MIME.pm)
BuildRequires:  perl(Email/MIME/Creator.pm)
BuildRequires:  perl(Email/Sender/Simple.pm)
BuildRequires:  perl(Encode.pm)
BuildRequires:  perl(FindBin.pm)
BuildRequires:  perl(inc/Module/Install.pm)
BuildRequires:  perl(lib.pm)
BuildRequires:  perl(Module/Install/AutoInstall.pm)
BuildRequires:  perl(Module/Install/Makefile.pm)
BuildRequires:  perl(Module/Install/Metadata.pm)
BuildRequires:  perl(Module/Install/WriteAll.pm)
BuildRequires:  perl(Module/Runtime.pm)
BuildRequires:  perl(Moose.pm)
BuildRequires:  perl(parent.pm)
BuildRequires:  perl(Scalar/Util.pm)
BuildRequires:  perl(strict.pm)
BuildRequires:  perl(Test/More.pm)
BuildRequires:  perl(Test/Pod.pm)
BuildRequires:  perl(Test/Requires.pm)
BuildRequires:  perl(warnings.pm)
BuildRequires:  sed
# not automatically detected
Requires:       perl(Catalyst.pm) >= 5.700
Requires:       perl(Email/MIME.pm) >= 1.859
# could be Recommends or Suggests?
#Requires:       perl(Catalyst::View::TT) >= 0.31
#Requires:       perl(Catalyst::View::Mason) >= 0.18


Source44: import.info

%description
This module sends out emails from a stash key specified in the configuration
settings.

%prep
%setup -q -n Catalyst-View-Email-%{version}
# Remove bundled libraries
rm -r inc
sed -i -e '/^inc\// d' MANIFEST

%build
PERL5_CPANPLUS_IS_RUNNING=1 /usr/bin/perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -delete
# %{_fixperms} $RPM_BUILD_ROOT/*

%check
TEST_POD=yep make test

%files
%doc Changes
%{perl_vendor_privlib}/*

%changelog
