Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(HTTP/Request/AsCGI.pm) perl(Plack/Test.pm) perl-podlators
# END SourceDeps(oneline)
BuildRequires: perl(Encode/JP.pm)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-Catalyst-View-JSON
Version:        0.37
Release:        alt2_8
Summary:        JSON view for your data
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Catalyst-View-JSON
Source0:        https://cpan.metacpan.org/authors/id/H/HA/HAARG/Catalyst-View-JSON-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  findutils
BuildRequires:  perl-devel
BuildRequires:  rpm-build-perl
BuildRequires:  perl
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(strict.pm)
BuildRequires:  perl(warnings.pm)
BuildRequires:  sed
# Run-time:
BuildRequires:  perl(base.pm)
BuildRequires:  perl(Catalyst/Exception.pm)
BuildRequires:  perl(Catalyst/View.pm)
BuildRequires:  perl(Encode.pm)
BuildRequires:  perl(JSON/MaybeXS.pm)
BuildRequires:  perl(MRO/Compat.pm)
# Tests:
BuildRequires:  perl(Catalyst.pm)
BuildRequires:  perl(Catalyst/Controller.pm)
BuildRequires:  perl(Catalyst/Test.pm)
BuildRequires:  perl(FindBin.pm)
# HTTP::Request::AsCGI not needed with Catalyst >= 5.89
BuildRequires:  perl(lib.pm)
# Plack::Test not used
BuildRequires:  perl(Test/More.pm)
BuildRequires:  perl(YAML.pm)
Requires:       perl(JSON/MaybeXS.pm) >= 1.003.0
Source44: import.info

%description
Catalyst::View::JSON is a Catalyst View handler that returns stash data in
JSON format.

%prep
%setup -q -n Catalyst-View-JSON-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
%make_build

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
# %{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc Changes
%{perl_vendor_privlib}/*

%changelog
