# BEGIN SourceDeps(oneline):
BuildRequires: perl(CPAN/Meta.pm) perl(Catalyst.pm) perl(Catalyst/Test.pm) perl(MRO/Compat.pm) perl(Pod/Readme/Brief.pm) perl(Software/LicenseUtils.pm) perl(Template.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define module_name Catalyst-View-Template
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.101
Release: alt1
Summary: Template Toolkit meets Catalyst
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/A/AR/ARISTOTLE/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This is a the Catalyst manpage view class for the Template Toolkit
with the following design objectives:

=over 2

=item * To be as close as possible to direct use of Template Toolkit

=item * To nevertheless integrate seamlessly with the Catalyst manpage

=item * To make all parts of its behaviour easy to augment

Taken together with the other objectives, this should make it easy to repurpose
for any view class in which you might want to use Template Toolkit templates.

=back

This is a rethink of the Catalyst::View::TT manpage whose focus is on
providing lots of the Catalyst manpage-specific features on top of Template Toolkit,
which ultimately only make templates harder to reuse or test in other contexts.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE Changes README
%perl_vendor_privlib/C*

%changelog
