# BEGIN SourceDeps(oneline):
BuildRequires: perl(Catalyst.pm) perl(Catalyst/Utils.pm) perl(ExtUtils/MakeMaker.pm) perl(HTTP/Headers/ActionPack.pm) perl(JSON/MaybeXS.pm) perl(MRO/Compat.pm) perl(Module/Runtime.pm) perl(Moose.pm) perl(MooseX/MethodAttributes.pm) perl(Plack/Runner.pm) perl(Scalar/Util.pm) perl(Test/Most.pm) perl(Text/Template.pm)
# END SourceDeps(oneline)
%define module_name CatalystX-Errors
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.001004
Release: alt1
Summary: Default Web HTTP Error Pages
Group: Development/Perl
License: perl
URL: https://github.com/jjn1056/CatalystX-Errors

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/J/JJ/JJNAPIORK/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
A set of the Catalyst manpage plugins, views and action roles to streamline handling of HTTP
error responses.   Creates a standard way to return 4xx and 5xx HTTP errors using
properly content negotiation.   Out of the box it support returning errors in HTML,
JSON and Text, with errors in a number of common languages.   Patches to support more
languages and media types welcomed.

I wrote this to encapsulate a common pattern I noted emerging in many of my applications.
Hopefully this will reduce boilerplate setup and speed your initial work.  Also its never
bad to have rational ways to do common things.

There is a very basic example application in `/example' for your review.  This distribution
doesn't have a ton of test cases and I reserve the right to make breaking changes should a 
better paradigm for this use case emerge.  You should review the docs for each class in
this distribution for more info.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README.mkdn README LICENSE example
%perl_vendor_privlib/C*

%changelog
