Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-CatalystX-Profile
Version:        0.02
Release:        alt2_27
Summary:        Profile your Catalyst application with Devel::NYTProf
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/CatalystX-Profile
Source0:        https://cpan.metacpan.org/authors/id/J/JJ/JJNAPIORK/CatalystX-Profile-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  rpm-build-perl
BuildRequires:  perl(Catalyst/Runtime.pm)
BuildRequires:  perl(CatalystX/InjectComponent.pm)
BuildRequires:  perl(Devel/NYTProf.pm)
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(Moose.pm)
BuildRequires:  perl(namespace/autoclean.pm)
BuildRequires:  perl(Sub/Identify.pm)
BuildRequires:  perl(Test/More.pm)
Requires:       perl(Catalyst/Runtime.pm) >= 5.800.200
Requires:       perl(CatalystX/InjectComponent.pm) >= 0.024
Requires:       perl(Devel/NYTProf.pm) >= 3.010
Requires:       perl(Moose.pm) >= 0.930
Requires:       perl(namespace/autoclean.pm) >= 0.090
Requires:       perl(Sub/Identify.pm) >= 0.040


Source44: import.info

%description
This (really basic for now) plugin adds support for profiling your Catalyst
application, without profiling all the crap that happens during setup. This
noise can make finding the real profiling stuff trickier, so profiling is
disabled while this happens.

%prep
%setup -q -n CatalystX-Profile-%{version}

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install
make pure_install DESTDIR=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

# %{_fixperms} %{buildroot}/*

%check
make test

%files
%doc LICENSE README
%{perl_vendor_privlib}/*

%changelog
