%define module_name Catmandu
%filter_from_requires /^perl(Catmandu.Error.Source.pm)/d
Epoch: 2
%define _without_test 1
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Any/URI/Escape.pm) perl(App/Cmd.pm) perl(CGI/Expand.pm) perl(Capture/Tiny.pm) perl(Class/Method/Modifiers.pm) perl(Clone.pm) perl(Config/Onion.pm) perl(Cpanel/JSON/XS.pm) perl(Data/Clone.pm) perl(Data/Compare.pm) perl(Data/Util.pm) perl(Encode.pm) perl(HTTP/Request.pm) perl(Hash/Merge/Simple.pm) perl(IO/Handle/Util.pm) perl(LWP/UserAgent.pm) perl(List/MoreUtils.pm) perl(Log/Any.pm) perl(Log/Any/Adapter.pm) perl(Log/Any/Adapter/Log4perl.pm) perl(Log/Any/Test.pm) perl(Log/Log4perl.pm) perl(MIME/Types.pm) perl(Math/BigRat.pm) perl(Module/Build.pm) perl(Module/Info.pm) perl(Moo.pm) perl(MooX/Aliases.pm) perl(Package/Stash.pm) perl(Parser/MGC.pm) perl(Path/Iterator/Rule.pm) perl(Path/Tiny.pm) perl(Pod/Usage.pm) perl(Role/Tiny.pm) perl(Role/Tiny/With.pm) perl(String/CamelCase.pm) perl(Sub/Exporter.pm)
BuildRequires: perl(Sub/Quote.pm) perl(Test/Deep.pm) perl(Test/Exception.pm) perl(Test/LWP/UserAgent.pm) perl(Test/More.pm) perl(Test/Pod.pm) perl(Text/CSV.pm) perl(Text/Hogan/Compiler.pm) perl(Throwable.pm) perl(Time/HiRes.pm) perl(Try/Tiny/ByClass.pm) perl(URI.pm) perl(URI/Template.pm) perl(UUID/Tiny.pm) perl(Unicode/Normalize.pm) perl(YAML/XS.pm) perl(asa.pm) perl(namespace/clean.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.2015
Release: alt1
Summary: a data toolkit
Group: Development/Perl
License: perl
URL: https://github.com/LibreCat/Catmandu

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/N/NI/NICS/%{module_name}-%{version}.tar.gz
BuildArch: noarch
Provides: perl(Catmandu/BadArg.pm) = %version

%description
From summary: %summary

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build --install_path bindoc=%_man1dir

%install
%perl_vendor_install

%files
%doc LICENSE Changes README
%perl_vendor_privlib/C*

%files scripts
%_man1dir/*
%_bindir/*

%changelog
