%define module_name Catmandu-MAB2
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Catmandu.pm) perl(Catmandu/SRU.pm) perl(Encode.pm) perl(FindBin.pm) perl(Furl/Response.pm) perl(IO/File.pm) perl(Module/Build/Tiny.pm) perl(Moo.pm) perl(Moo/Role.pm) perl(Parser/MGC.pm) perl(Readonly.pm) perl(Scalar/Util.pm) perl(Software/License.pm) perl(Test/Exception.pm) perl(Test/More.pm) perl(Test/Pod.pm) perl(Test/Warn.pm) perl(Throwable/Error.pm) perl(XML/LibXML/Reader.pm) perl(charnames.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.22
Release: alt1
Summary: Catmandu modules for working with MAB2 data.
Group: Development/Perl
License: perl
URL: https://github.com/jorol/Catmandu-MAB2

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/J/JO/JOROL/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
%summary

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-%{version}
[ %version = 0.21 ] && rm -f t/02-importer.t

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes LICENSE
%perl_vendor_privlib/M*
%perl_vendor_privlib/C*

%files scripts
%_man1dir/*
%_bindir/*

%changelog
