%define module_name Catmandu-MARC
Epoch: 1
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(Catmandu.pm) perl(JSON/XS.pm) perl(List/Util.pm) perl(MARC/File/MARCMaker.pm) perl(MARC/File/MiJ.pm) perl(MARC/File/XML.pm) perl(MARC/Lint.pm) perl(MARC/Parser/RAW.pm) perl(MARC/Record.pm) perl(MARC/Schema.pm) perl(MARC/Spec.pm) perl(Memoize.pm) perl(Module/Build.pm) perl(Moo.pm) perl(MooX/Singleton.pm) perl(Parser/MGC.pm) perl(Pod/Simple/HTML.pm) perl(Test/Deep.pm) perl(Test/Exception.pm) perl(Test/More.pm) perl(Test/Pod.pm) perl(Test/Simple.pm) perl(Test/Warn.pm) perl(Test/Warnings.pm) perl(Throwable/Error.pm) perl(XML/LibXML.pm) perl(XML/XPath.pm) perl(YAML/XS.pm) perl(namespace/clean.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.254
Release: alt1
Summary: Catmandu modules for working with MARC data
Group: Development/Perl
License: perl
URL: https://github.com/LibreCat/Catmandu-MARC

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/H/HO/HOCHSTEN/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
With Catmandu, LibreCat tools abstract digital library and research services as data
warehouse processes. As stores we reuse MongoDB or ElasticSearch providing us with
developer friendly APIs. Catmandu works with international library standards such as
MARC, MODS and Dublin Core, protocols such as OAI-PMH, SRU and open repositories such
as DSpace and Fedora. And, of course, we speak the evolving Semantic Web.

Follow us on http://librecat.org and read an introduction into Catmandu data
processing at https://github.com/LibreCat/Catmandu/wiki.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README LICENSE-bu_bibs.txt LICENSE Changes
%perl_vendor_privlib/C*

%changelog
