%define module_name Catmandu-PICA
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Catmandu.pm) perl(Catmandu/SRU.pm) perl(Encode.pm) perl(File/Temp.pm) perl(IO/File.pm) perl(Module/Build/Tiny.pm) perl(Moo.pm) perl(PICA/Data.pm) perl(Parser/MGC.pm) perl(Test/Exception.pm) perl(Test/More.pm) perl(Test/Pod.pm) perl(Test/XML.pm) perl(Throwable/Error.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.05
Release: alt1
Summary: Catmandu modules for working with PICA+ data.
Group: Development/Perl
License: perl
URL: https://github.com/gbv/Catmandu-PICA

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/V/VO/VOJ/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
From summary: %summary

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README LICENSE
%perl_vendor_privlib/C*

%changelog
