%define module_name Catmandu-XLS
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Catmandu.pm) perl(Encode.pm) perl(Excel/Writer/XLSX.pm) perl(IO/File.pm) perl(Module/Build.pm) perl(Module/Build/Tiny.pm) perl(Moo.pm) perl(Parser/MGC.pm) perl(Spreadsheet/ParseExcel.pm) perl(Spreadsheet/ParseXLSX.pm) perl(Spreadsheet/WriteExcel.pm) perl(Test/Exception.pm) perl(Test/Pod.pm) perl(Throwable/Error.pm) perl(Type/Tiny.pm) perl(XML/LibXML/Reader.pm) perl(namespace/clean.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.10
Release: alt1
Summary: modules for working with Excel .xls and .xlsx files
Group: Development/Perl
License: perl
URL: https://github.com/LibreCat/Catmandu-XLS

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/N/NI/NICS/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
NAME

    Catmandu::XLS - modules for working with Excel .xls and .xlsx files

SYNPOSIS

        # Convert Excel to CSV
        $ catmandu convert XLS to CSV < ./t/test.xls > test.csv
        $ catmandu convert XLSX to CSV < ./t/test.xlsx > test.csv
    
        # Convert Excel to JSON
        $ catmandu convert XLS to JSON
        $ catmandu convert XLS 

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes LICENSE
%perl_vendor_privlib/C*

%changelog
