%define module_name Ceph-Rados
# BEGIN SourceDeps(oneline):
BuildRequires: librados2-devel libsowing-devel perl(Data/Dump.pm) perl(Devel/CheckLib.pm) perl(ExtUtils/MakeMaker.pm) perl(Scalar/Util.pm) perl(Test/Exception.pm) perl(Test/More.pm) perl(XSLoader.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.08
Release: alt5
Summary: Perl wrapper to librados.
Group: Development/Perl
License: perl
Url: %CPAN %module_name
# due to librados
ExcludeArch: %ix86

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/K/KI/KILINRAX/%{module_name}-%{version}.tar.gz

%description
This module provides a very limited subset of the librados API,
currently just read/write/stat and lists.

If no length is passed to the read() call, the object is first stat'd
to determine the correct read length.
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_archlib/C*
%perl_vendor_autolib/*

%changelog
