# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define upstream_name	  Chess
%define upstream_version  0.6.2

%{?perl_default_filter}

Name:		perl-%upstream_name
Version:	%{upstream_version}
Release:	alt3_10
Summary:	A framework for writing chess programs with Perl 
License:	GPL+ or Artistic 
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://search.cpan.org/CPAN/authors/id/B/BJ/BJR/%upstream_name-%upstream_version.tar.gz
BuildRequires:	perl(Carp.pm)
BuildRequires:	perl(Test/Simple.pm)
BuildRequires:	perl(List/Compare.pm)

BuildArch:	noarch
Obsoletes:	perl-Chess < 0.6.2-6
Source44: import.info

%description
This package is provided as shorthand for cpan module Chess::Game. It
provided no functionality not contained within the other packages in
this module.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%makeinstall_std

%files
%doc Changes README TODO MANIFEST
%{perl_vendor_privlib}/*


%changelog
