%define module_name Class-Accessor-Inherited-XS
%filter_from_requires /^perl(Class.Accessor.Inherited.XS.Constants.pm)/d
# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++ perl(Carp.pm) perl(Class/Accessor/Grouped.pm) perl(Class/XSAccessor.pm) perl(ExtUtils/MakeMaker.pm) perl(Test/Deep.pm) perl(Test/LeakTrace.pm) perl(Test/More.pm) perl(XSLoader.pm) perl(parent.pm) perl(threads.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.37
Release: alt2
Summary: fast XS inherited accessors
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/R/RA/RANDIR/%{module_name}-%{version}.tar.gz

%description
This module provides very fast implementation for 'inherited' accessors, that were introduced 
in the Class::Accessor::Grouped manpage. They give you capability to override values set in a parent
class with values set in childs or object instances. Generated accessors are compatible with
the Class::Accessor::Grouped manpage generated ones.

Since this module focuses primary on speed, it provides no capability to have your own per-class
getters/setters logic (like overriding the get_inherited manpage/the set_inherited manpage in the Class::Accessor::Grouped manpage).
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_archlib/C*
%perl_vendor_autolib/*

%changelog
