%define module_name Class-Accessor-Typed
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(Module/Build/Tiny.pm) perl(Mouse/Util/TypeConstraints.pm) perl(Test/Exception.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.02
Release: alt1
Summary: Class::Accessor::Lite with Type
Group: Development/Perl
License: perl
URL: https://github.com/papix/Class-Accessor-Typed

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PA/PAPIX/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Class::Accessor::Typed is variant of `Class::Accessor::Lite'. It supports argument validation like `Smart::Args'.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.md Changes LICENSE
%perl_vendor_privlib/C*

%changelog
