Group: Development/Perl
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-Class-Can
Version:        0.01
Release:        alt2_34
Summary:        Inspect a class/method and say what it can do (and why)
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Class-Can
Source0:        https://cpan.metacpan.org/modules/by-module/Class/Class-Can-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl-devel
BuildRequires:  rpm-build-perl
BuildRequires:  perl(Module/Build.pm)
BuildRequires:  perl(strict.pm)
# Run-time
BuildRequires:  perl(Class/ISA.pm)
BuildRequires:  perl(Devel/Symdump.pm)
BuildRequires:  perl(warnings.pm)
# Tests
BuildRequires:  perl(base.pm)
BuildRequires:  perl(Test/More.pm)
Source44: import.info

%description
Class::Can interrogates the object heirarchy of a package to return a hash
detailling what methods the class could dispatch (as the key), and the
package it found it in (as the value).

%prep
%setup -q -n Class-Can-%{version}

%build
perl Build.PL installdirs=vendor
./Build

%install
./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
# %{_fixperms} $RPM_BUILD_ROOT/*

%check
./Build test

%files
%{perl_vendor_privlib}/*

%changelog
