Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Class/DBI.pm) perl-pod perl-podlators perldoc
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-Class-DBI-Plugin-RetrieveAll
Version:        1.04
Release:        alt2_40
Summary:        More complex retrieve_all() for Class::DBI
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Class-DBI-Plugin-RetrieveAll
Source0:        https://cpan.metacpan.org/authors/id/T/TM/TMTM/Class-DBI-Plugin-RetrieveAll-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:	findutils
BuildRequires:	perl-doc
BuildRequires:	rpm-build-perl
BuildRequires:	perl-devel
BuildRequires:	perl(base.pm)
BuildRequires:	perl(Class/DBI/Plugin.pm)
BuildRequires:	perl(DBD/SQLite.pm)
BuildRequires:	perl(ExtUtils/MakeMaker.pm)
BuildRequires:	perl(File/Temp.pm)
BuildRequires:	perl(Pod/Perldoc.pm)
BuildRequires:	perl(strict.pm)
BuildRequires:	perl(Test/More.pm)
BuildRequires:	perl(warnings.pm)
Requires:  perl(Class/DBI/Plugin.pm)
Source44: import.info

%description
%{summary}.

%prep
%setup -q -n Class-DBI-Plugin-RetrieveAll-%{version}
perldoc -t perlartistic > Artistic
perldoc -t perlgpl > COPYING

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -delete
# %{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc Artistic COPYING Changes
%{perl_vendor_privlib}/Class/DBI/Plugin/

%changelog
