%define module_name Code-Style-Kit
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(Data/OptList.pm) perl(ExtUtils/MakeMaker.pm) perl(Hook/AfterRuntime.pm) perl(Import/Into.pm) perl(Log/Any.pm) perl(Log/Any/Adapter.pm) perl(Module/Runtime.pm) perl(Mojo/Base.pm) perl(Moo.pm) perl(Moo/Role.pm) perl(Moose.pm) perl(Moose/Role.pm) perl(MooseX/NonMoose.pm) perl(Package/Stash.pm) perl(Pod/Coverage/TrustPod.pm) perl(Pod/Wordlist.pm) perl(Test/Deep.pm) perl(Test/Fatal.pm) perl(Test/NoTabs.pm) perl(Test/Perl/Critic.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(Test/Spelling.pm) perl(Test/Warnings.pm) perl(Test2/V0.pm) perl(Type/Params.pm) perl(Types/Standard.pm) perl(constant.pm) perl(experimental.pm) perl(lib.pm) perl(mro.pm) perl(namespace/autoclean.pm) perl(parent.pm) perl(strict.pm) perl(true.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.0.2
Release: alt1
Summary: build composable bulk exporters
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/D/DA/DAKKAR/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This package simplifies writing "code style kits". A kit (also known
as a "policy") is a module that encapsulates the common pragmas and
modules that every package in a project should use. For instance, it
might be a good idea to always `use strict', enable method
signatures, and `use true', but it's cumbersome to put that
boilerplate in every single file in your project. Now you can do that
with a single line of code.

`Code::Style::Kit' is *not* to be `use'd directly: you must write a
package that inherits from it. Your package can (and probably should)
also inherit from one or more "parts". See the section on "`Code::Style::Kit::Parts'" for information about the parts included
in this distribution.

*Please* don't use this for libraries you intend to distribute on
CPAN: you'd be forcing a bunch of dependencies on every user. These
kits are intended for applications, or "internal" libraries that don't
get released publicly.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE README.md Changes
%perl_vendor_privlib/C*

%changelog
