Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Graphics/ColorObject.pm) perl(Module/Build.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-Color-Calc
Version:        1.074
Release:        alt2_20
Summary:        Simple calculations with RGB colors
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Color-Calc
Source0:        https://cpan.metacpan.org/authors/id/C/CF/CFAERBER/Color-Calc-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  coreutils
BuildRequires:  findutils
BuildRequires:  glibc-core glibc-timezones glibc-utils iconv
BuildRequires:  rpm-build-perl
BuildRequires:  perl-devel
BuildRequires:  perl(attributes.pm)
BuildRequires:  perl(Carp.pm)
BuildRequires:  perl(Exporter.pm)
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(Graphics/ColorNames.pm)
BuildRequires:  perl(Graphics/ColorNames/HTML.pm)
BuildRequires:  perl(Graphics/ColorNames/WWW.pm)
BuildRequires:  perl(List/Util.pm)
BuildRequires:  perl(Params/Validate.pm)
BuildRequires:  perl(POSIX.pm)
BuildRequires:  perl(Scalar/Util.pm)
BuildRequires:  perl(strict.pm)
BuildRequires:  perl(Test/More.pm)
BuildRequires:  perl(Test/NoWarnings.pm)
BuildRequires:  perl(Test/Pod.pm)
BuildRequires:  perl(utf8.pm)
BuildRequires:  perl(warnings.pm)
Requires:       perl(Graphics/ColorNames/WWW.pm)


Source44: import.info

%description
The Color::Calc module implements simple calculations with RGB colors. This
can be used to create a full color scheme from a few colors.

%prep
%setup -q -n Color-Calc-%{version}
iconv --from=ISO-8859-1 --to=UTF-8 README > README.utf-8
mv README.utf-8 README


%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -delete

# %{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc --no-dereference LICENSE
%doc Changes README
%{perl_vendor_privlib}/*

%changelog
