# BEGIN SourceDeps(oneline):
BuildRequires: perl(Color/RGB/Util.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(Pod/Coverage/TrustPod.pm) perl(Test/More.pm) perl(Test/Perl/Critic.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define module_name Color-HSV-Util
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.002
Release: alt1
Summary: Utilities related to HSV color space
Group: Development/Perl
License: perl
URL: https://metacpan.org/release/Color-HSV-Util

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PE/PERLANCAR/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
FUNCTIONS
  hsl2hsv
  hsv2hsl
  hsv2rgb
  rgb2hsv
HOMEPAGE
    Please visit the project's homepage at
    <https://metacpan.org/release/Color-HSV-Util>.

SOURCE
    Source repository is at
    <https://github.com/perlancar/perl-Color-HSV-Util>.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE README Changes
%perl_vendor_privlib/C*

%changelog
