%define module_name Colouring-In
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(Test/More.pm) perl(overload.pm) perl(smallnum.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.25
Release: alt1
Summary: color or colour.
Group: Development/Perl
License: artistic_2
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/L/LN/LNATION/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Quick summary of what the module does.

Perhaps a little code snippet.

    use Colouring::In;

    my $black = Colouring::In->new('#000000');

    $black.toHEX - #000
    $black.toHEX(1) - #000000
    $black.toRGB - rgb(0,0,0)
    $black.toRGBA - rgba(0,0,0,1)
    $black.toHSL - hsl(0,0%%,0%%)
    $black.toHSV - hsv(0,0%%,0%%)
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README README.md Changes
%perl_vendor_privlib/C*

%changelog
