%define module_name Command-Runner
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Capture/Tiny.pm) perl(Config.pm) perl(Exporter.pm) perl(IO/Select.pm) perl(Module/Build/Tiny.pm) perl(String/ShellQuote.pm) perl(Time/HiRes.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.101
Release: alt1
Summary: run external commands and Perl code refs
Group: Development/Perl
License: perl
URL: https://github.com/skaji/Command-Runner

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/S/SK/SKAJI/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Command::Runner runs external commands and Perl code refs

%prep
%setup -q -n %{module_name}-%{version}
sed -i /Win32::ShellQuote/d lib/Command/Runner/Quote.pm

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README LICENSE
%perl_vendor_privlib/C*

%changelog
