%define module_name Compress-Stream-Zstd
# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++ libcurl-devel libgtest-devel liblz4-devel liblzma-devel libsowing-devel libxxhash-devel libzstd-devel perl(Config.pm) perl(Exporter.pm) perl(ExtUtils/ParseXS.pm) perl(Module/Build.pm) perl(Test/More.pm) perl(XSLoader.pm) perl(parent.pm) zlib-devel
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.202
Release: alt3
Summary: Perl interface to the Zstd (Zstandard) (de)compressor
Group: Development/Perl
License: bsd
URL: https://github.com/pmqs/Compress-Stream-Zstd

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PM/PMQS/%{module_name}-%{version}.tar.gz

%description
The Compress::Stream::Zstd module provides an interface to the Zstd (de)compressor.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE Changes README.md
%perl_vendor_archlib/C*
%perl_vendor_autolib/*

%changelog
