%define module_name Conf-Libconfig
# BEGIN SourceDeps(oneline):
BuildRequires: libconfig-devel perl(CPAN.pm) perl(Devel/CheckLib.pm) perl(ExtUtils/MakeMaker.pm) perl(ExtUtils/PkgConfig.pm) perl(ExtUtils/XSBuilder/ParseSource.pm) perl(ExtUtils/XSBuilder/WrapXS.pm) perl(JSON.pm) perl(LWP/Simple.pm) perl(Module/Build.pm) perl(Net/FTP.pm) perl(Parse/CPAN/Meta.pm) perl(Test/Deep.pm) perl(Test/Exception.pm) perl(Test/More.pm) perl(Test/Warn.pm) perl(XSLoader.pm) perl(YAML/Tiny.pm) perl(bigint.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.100
Release: alt3
Summary: Perl extension for libconfig
Group: Development/Perl
License: bsd
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/C/CN/CNANGEL/%{module_name}-%{version}.tar.gz

%description
You can use `Conf::Libconfig' for perl config, and support Scalar, Array and Hash data structures etc.
like C or C++ function. `Conf::Libconfig' could reduce your config file and quote by C/C++ transportability.


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_archlib/C*
%perl_vendor_autolib/*

%changelog
