Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(File/Spec/Functions.pm) perl(IO/String.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-Config-Extend-MySQL
Version:        0.05
Release:        alt2_24
Summary:        Extend your favorite .INI parser module to read MySQL configuration file
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Config-Extend-MySQL
Source0:        https://cpan.metacpan.org/authors/id/S/SA/SAPER/Config-Extend-MySQL-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  rpm-build-perl
BuildRequires:  perl(Config/Tiny.pm)
BuildRequires:  perl(File/Read.pm)
BuildRequires:  perl(Module/Build.pm)
BuildRequires:  perl(Test/More.pm)
BuildRequires:  perl(Test/Pod.pm)
BuildRequires:  perl(Test/Pod/Coverage.pm)
BuildRequires:  perl(UNIVERSAL/require.pm)
Requires:       perl(Config/Tiny.pm)


Source44: import.info

%description
This module extends other Config:: modules so they can read MySQL
configuration files. It works by slurping and preprocessing the files
before letting your favorite Config:: module parse the result.

%prep
%setup -q -n Config-Extend-MySQL-%{version}
# fix examples' shebang
sed -i -e '1s~#!.*~#!%{__perl}~' eg/*

%build
/usr/bin/perl Build.PL installdirs=vendor
./Build

%install
./Build install destdir=$RPM_BUILD_ROOT create_packlist=0

# %{_fixperms} $RPM_BUILD_ROOT/*

%check
./Build test

%files
%doc Changes README eg
%{perl_vendor_privlib}/*

%changelog
