%define module_name Config-Model-LcdProc
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Config/Model.pm) perl(Config/Model/Itself.pm) perl(Config/Model/Tester.pm) perl(Getopt/Long.pm) perl(Module/Build.pm) perl(Path/Tiny.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 2.053
Release: alt1
Summary: Edit and validate LcdProc configuration file
Group: Development/Perl
License: lgpl
URL: https://github.com/dod38fr/config-model/wiki

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/D/DD/DDUMONT/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
From summary: %summary

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes LICENSE README.pod CONTRIBUTING.md
%perl_vendor_privlib/C*

%changelog
