%define module_name Crypt-EAMessage
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Bytes/Random/Secure.pm) perl(Carp.pm) perl(Crypt/AuthEnc/CCM.pm) perl(Encode.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(MIME/Base64.pm) perl(Moose.pm) perl(Moose/Util/TypeConstraints.pm) perl(Storable.pm) perl(Test/EOL.pm) perl(Test/More.pm) perl(Test/NoTabs.pm) perl(Test/Perl/Critic.pm) perl(Test/Pod.pm) perl(Test/UseAllModules.pm) perl(Test/Version.pm) perl(Test2/V0.pm) perl(autodie.pm) perl(feature.pm) perl(namespace/autoclean.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.202120
Release: alt1
Summary: Simple-to-use Abstraction of Encrypted Authenticated Messages
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/J/JM/JMASLAK/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description


This archive contains the distribution Crypt-EAMessage,
version 1.001:

  Simple-to-use Abstraction of Encrypted Authenticated Messages

This software is copyright (c) 2016 by Joel Maslak.

This is free software; you can redistribute it and/or modify it under
the same terms as the Perl 5 programming language system itself.



%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc CODE_OF_CONDUCT.md Changes CONTRIBUTING LICENSE TODO README.pod AUTHOR_PLEDGE
%perl_vendor_privlib/C*

%changelog
