%define module_version 0.10
%define module_name Crypt-MagicSignatures-Envelope
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(Crypt/MagicSignatures/Key.pm) perl(ExtUtils/MakeMaker.pm) perl(Mojo/DOM.pm) perl(Mojo/JSON.pm) perl(Mojo/Util.pm) perl(Mojolicious.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.10
Release: alt1
Summary: MagicEnvelopes for the Salmon Protocol
Group: Development/Perl
License: artistic_2
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/A/AK/AKRON/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
the Crypt::MagicSignatures::Envelope manpage implements MagicEnvelopes
with MagicSignatures as described in the
MagicSignatures Specification
to sign messages of the
Salmon Protocol.
MagicSignatures is a
"robust mechanism for digitally signing nearly arbitrary messages".

This module is an early release! There may be significant changes in the future.



%prep
%setup -q -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes LICENSE
%perl_vendor_privlib/C*

%changelog
