%define module_name Crypt-MatrixSSL3
%add_findreq_skiplist %perl_vendor_archlib/Crypt/*.pl
# BEGIN SourceDeps(oneline):
BuildRequires: /proc libsowing-devel perl(Archive/Tar.pm) perl(ExtUtils/Constant.pm) perl(ExtUtils/MakeMaker.pm) perl(File/ShareDir.pm) perl(File/ShareDir/Install.pm) perl(File/Which.pm) perl(Getopt/Long.pm) perl(JSON.pm) perl(LWP/UserAgent.pm) perl(List/Util.pm) perl(MIME/Base64.pm) perl(Pod/Usage.pm) perl(Scalar/Util.pm) perl(Socket.pm) perl(Test/Exception.pm) perl(Test/More.pm) perl(Test/Perl/Critic.pm) perl(Test/Pod.pm) perl(Text/Wrap.pm) perl(version.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 3.9.3
Release: alt3
Summary: Perl extension for SSL and TLS using MatrixSSL.org v3.3
Group: Development/Perl
License: gpl
URL: https://github.com/powerman/perl-Crypt-MatrixSSL3

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PO/POWERMAN/%{module_name}-v%{version}.tar.gz

%description
Crypt::MatrixSSL3 lets you use the MatrixSSL crypto library (see
http://matrixssl.org/) from Perl.  With this module, you will be
able to easily write SSL and TLS client and server programs.

MatrixSSL includes everything you need, all in under 50KB.

You will need a "C" compiler to build this, unless you're getting
the ".ppm" prebuilt Win32 version.  Crypt::MatrixSSL3 builds cleanly
on (at least) Windows, Linux, and Macintosh machines.

MatrixSSL is an Open Source (GNU Public License) product, and is
also available commercially if you need freedom from GNU rules.

Everything you need is included here, but check the MatrixSSL.org
web site to make sure you've got the latest version of the
MatrixSSL "C" code if you like (it's in the directory "./matrixssl"
of this package if you want to replace the included version from
the MatrixSSL.org download site.)

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %EVR
BuildArch: noarch

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-v%{version}
rm -f t/google.t

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README LICENSE examples
%perl_vendor_archlib/C*
%perl_vendor_autolib/*

%files scripts
%_man1dir/*
%_bindir/*

%changelog
