%define module_name Crypt-OpenSSL-Base-Func
# BEGIN SourceDeps(oneline):
BuildRequires: libssl-devel perl(AutoLoader.pm) perl(Crypt/OpenSSL/Guess.pm) perl(DynaLoader.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(FindBin.pm) perl(Test.pm) perl(Test/More.pm) perl(XSLoader.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.02
Release: alt2
Summary: Base Functions, using the OpenSSL libraries
Group: Development/Perl
License: perl
URL: http://github.com/abbypan/Crypt-OpenSSL-Base-Func

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/A/AB/ABBYPAN/%{module_name}-%{version}.tar.gz

%description
Use OpenSSL libraries, for the function defined in:

RFC4493 : aes_cmac

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.pod Changes
%perl_vendor_archlib/C*
%perl_vendor_autolib/*

%changelog
