# BEGIN SourceDeps(oneline):
BuildRequires: libssl-devel perl(ExtUtils/MakeMaker.pm) perl(Test/More.pm) perl(XSLoader.pm)
# END SourceDeps(oneline)
%define module_version 0.01
%define module_name Crypt-OpenSSL-Blowfish-CFB64
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.01
Release: alt6
Summary: Blowfish CFB64 Algorithm using OpenSSL
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/M/MO/MONS/%module_name-%module_version.tar.gz

%description
Crypt::OpenSSL::Blowfish::CFB64 implements the Blowfish cipher algorithm in CFB mode, using function `BF_cfb64_encrypt' contained in the OpenSSL crypto library.


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_archlib/C*
%perl_vendor_autolib/*

%changelog
