# BEGIN SourceDeps(oneline):
BuildRequires: libssl-devel perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(XSLoader.pm)
# END SourceDeps(oneline)
%define module_version 0.1
%define module_name Crypt-OpenSSL-Common
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.1
Release: alt6
Summary: Common services from the OpenSSL libraries.
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/S/SO/SORTIZ/%module_name-%module_version.tar.gz

%description
use Crypt::OpenSSL::Common;
    # now 'use' other OpenSSL modules

The first time that your program uses this module, the OpenSSL is properly initialized.
This initialization loads from the library all the available cryptographic algorithms.

The main visible effect is that some other APIs can now automatically recognize them.

For example, the Crypt::OpenSSL::RSA's new_private_key class method now can handle
*encrypted* private keys in the same way the C API does, ie. prompting the user for
the *pass phrase* used to protect the private key.

This initialization can't be properly done in any one of the individual modules.


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README
%perl_vendor_archlib/C*
%perl_vendor_autolib/*

%changelog
