%define module_name Crypt-OpenSSL-PKCS12
# BEGIN SourceDeps(oneline):
BuildRequires: libsowing-devel perl(CPAN.pm) perl(ExtUtils/CBuilder.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec/Functions.pm) perl(JSON.pm) perl(LWP/Simple.pm) perl(Module/Build.pm) perl(Net/FTP.pm) perl(Parse/CPAN/Meta.pm) perl(Pod/Coverage.pm) perl(Test/More.pm) perl(Test/Pod/Coverage.pm) perl(YAML/Tiny.pm) perl(inc/Module/Install.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators libssl-devel

Name: perl-%module_name
Version: 1.7
Release: alt2
Summary: Perl extension to OpenSSL's PKCS12 API.
Group: Development/Perl
License: perl
URL: https://github.com/dsully/perl-crypt-openssl-pkcs12

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/J/JO/JONASBN/%{module_name}-%{version}.tar.gz

%description
This implements a small bit of OpenSSL's PKCS12 API.


%prep
%setup -q -n %{module_name}-%{version}
rm -rf inc

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc TODO README Changes
%perl_vendor_archlib/C*
%perl_vendor_autolib/*

%changelog
