%define module_name Crypt-PKCS10
Epoch: 1
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Convert/ASN1.pm) perl(Crypt/PK/DSA.pm) perl(Crypt/PK/ECC.pm) perl(Crypt/PK/RSA.pm) perl(Encode.pm) perl(Encode/CN.pm) perl(Encode/JP.pm) perl(Encode/KR.pm) perl(Encode/TW.pm) perl(MIME/Base64.pm) perl(Module/Build/Tiny.pm) perl(Module/Signature.pm) perl(Scalar/Util.pm) perl(Sort/Versions.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
BuildRequires: unzip
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 2.002
Release: alt1
Summary: perl module %module_name
Group: Development/Perl
License: gpl
URL: https://github.com/openxpki/Crypt-PKCS10

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/M/MR/MRSCOTTY/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
From summary: %summary

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes LICENSE README.md README examples
%perl_vendor_privlib/C*

%changelog
