%define module_name Crypt-RHash
# BEGIN SourceDeps(oneline):
BuildRequires: libssl-devel perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(XSLoader.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.00
Release: alt2
Summary: Library for computing hash sums and magnet links
Group: Development/Perl
License: open_source
URL: http://rhash.sf.net/

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/R/RH/RHASH/%{module_name}-%{version}.tar.gz

%description
Crypt::Rhash module is an object-oriented interface to the LibRHash library,
allowing simultaneous calculation of several hash functions for a file  or a
text message.

Resulting hash digest can be obtained in hexadecimal, BASE32, BASE64, raw
binary format or as a magnet link.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README COPYING CONTRIBUTING.md
%perl_vendor_archlib/C*
%perl_vendor_autolib/*

%changelog
