%define module_name Crypt-U2F-Server
# BEGIN SourceDeps(oneline):
BuildRequires: libsowing-devel libu2f-server-devel perl(Authen/U2F/Tester.pm) perl(DynaLoader.pm) perl(ExtUtils/MakeMaker.pm) perl(JSON/XS.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.45
Release: alt3
Summary: Low level wrapper around the U2F two factor athentication C library (server side)
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/G/GU/GUIMARD/%{module_name}-%{version}.tar.gz

%description
This is a very low level wrapper around the original C library. You probably shouldn't use it,
but use the Crypt::U2F::Server::Simple manpage instead!

This API is subject to change, depending on the underlying library, the weather and the whims of
the developer.

If you decide to use it anyway, it would probably be a good idea to specify the exact version number
of the Crypt::U2F::Server manpage to use.
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes examples
%perl_vendor_archlib/C*
%perl_vendor_autolib/*

%changelog
