# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++ libsowing-devel perl(Config.pm) perl(Exporter.pm) perl(Math/Int64.pm) perl(Module/Build.pm) perl(XSLoader.pm) perl(base.pm)
# END SourceDeps(oneline)
%define module_name Crypt-xxHash
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.03
Release: alt2
Summary: xxHash implementation for Perl
Group: Development/Perl
License: see LICENSE
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/C/CD/CDN/%{module_name}-%{version}.tar.gz

%description
xxHash is a super fast algorithm that claims to work at speeds close to RAM limits.
This package provides 32- and 64-bit hash functions.
As bonus it provides 128-bit hex method.

This package was inspired by `Digest::xxHash', but it includes the fresh C code and has
some optimisations. Thus all hex methods are implemented in Perl XS.
Also this module doesn't use `Math::Int64' in favor of native 64 bit digits.

%prep
%setup -q -n %{module_name}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE Changes README
%perl_vendor_archlib/C*
%perl_vendor_autolib/*

%changelog
