%define module_name DB-Object
%define _without_test 1
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Class/Struct.pm) perl(DBD/Pg.pm) perl(DBD/SQLite.pm) perl(DBD/mysql.pm) perl(DBI.pm) perl(DateTime.pm) perl(DateTime/Format/Strptime.pm) perl(DateTime/TimeZone.pm) perl(Devel/Confess.pm) perl(Devel/StackTrace.pm) perl(ExtUtils/MakeMaker.pm) perl(Fcntl.pm) perl(File/Basename.pm) perl(File/Spec.pm) perl(IO/Dir.pm) perl(IO/File.pm) perl(JSON.pm) perl(Module/Generic.pm) perl(Net/IP.pm) perl(Nice/Try.pm) perl(Number/Format.pm) perl(POSIX.pm) perl(Scalar/Util.pm) perl(Test/More.pm) perl(Test/Pod.pm) perl(URI.pm) perl(Want.pm) perl(common/sense.pm) perl(parent.pm) perl(strict.pm) perl(version.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.9.9
Release: alt1
Summary: A SQL Database object abstraction class
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/J/JD/JDEGUEST/%{module_name}-v%{version}.tar.gz
BuildArch: noarch

%description
the DB::Object manpage is a SQL API much alike `DBI'.
So why use a private module instead of using that great `DBI' package?

At first, I started to inherit from `DBI' to conform to `perlmod' perl 
manual page and to general perl coding guidlines. It became very quickly a 
real hassle. Barely impossible to inherit, difficulty to handle error, too 
much dependent from an API that change its behaviour with new versions.
In short, I wanted a better, more accurate control over the SQL connection.

So, the DB::Object manpage acts as a convenient, modifiable wrapper that provide the
programmer with an intuitive, user-friendly and hassle free interface.

%prep
%setup -q -n %{module_name}-v%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes LICENSE README README.md
%perl_vendor_privlib/D*

%changelog
