# BEGIN SourceDeps(oneline):
BuildRequires: libicu-devel libsowing-devel perl(APR/Table.pm) perl(DBI.pm) perl(DBI/DBD.pm) perl(Encode.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(Scalar/Util.pm) perl(Shell.pm) perl(Test/More.pm) perl(Tie/Hash.pm)
# END SourceDeps(oneline)
%define module_name DBD-SQLeet
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.26.0
Release: alt3
Summary: SQLite3 DBI Driver with optional encryption
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/D/DD/DDMITOV/%{module_name}-%{version}.tar.gz

%description
DBD::SQLeet is a combination of the DBD::SQLite CPAN module and
sqleet - public domain encryption extension for SQLite3:
https://github.com/resilar/sqleet

DBD::SQLeet Perl code and test suite
are entirely based on the DBD::SQLite v.1.58 CPAN module.

The DBD::SQLeet API is a copy of the DBD::SQLite v.1.58 API.
See https://metacpan.org/pod/DBD::SQLite for reference.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes LICENSE README
%perl_vendor_archlib/D*
%perl_vendor_autolib/*

%changelog
