%define module_name DBI-Shell
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(DBD/ExampleP.pm) perl(DBI.pm) perl(Data/Dumper.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(File/HomeDir.pm) perl(File/Spec.pm) perl(Getopt/Long.pm) perl(IO/Interactive.pm) perl(IO/Tee.pm) perl(Term/ReadLine.pm) perl(Test/More.pm) perl(Text/Abbrev.pm) perl(Text/CSV_XS.pm) perl(Text/Reform.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 11.97
Release: alt1
Summary: Interactive command shell for the DBI
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/D/DL/DLAMBLEY/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
The DBI::Shell module (and dbish command, if installed) provide a.simple but effective command line interface for the Perl DBI module.

DBI::Shell is very new, very experimental and very subject to change.
Your mileage *will* vary. Interfaces *will* change with each release.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %{?epoch:%epoch:}%name = %version-%release

%description scripts
scripts for %module_name


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build INSTALLMAN1DIR=%_man1dir

%install
%perl_vendor_install

%files
%doc Changes ToDo README LICENSE
%perl_vendor_privlib/D*

%files scripts
%_man1dir/*
%_bindir/*
%changelog
