# BEGIN SourceDeps(oneline):
BuildRequires: perl(DBD/SQLite.pm) perl(DBIx/Class/Core.pm) perl(DBIx/Class/Schema.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(Module/Metadata.pm) perl(Pod/Coverage/TrustPod.pm) perl(Ref/Util.pm) perl(SQL/Translator.pm) perl(Safe/Isa.pm) perl(Test/CleanNamespaces.pm) perl(Test/EOL.pm) perl(Test/Fixme.pm) perl(Test/Kwalitee.pm) perl(Test/MinimumVersion.pm) perl(Test/More.pm) perl(Test/Most.pm) perl(Test/NoTabs.pm) perl(Test/Perl/Critic.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(Types/Common/String.pm) perl(Types/SQL.pm) perl(Types/SQL/Util.pm) perl(Types/Standard.pm) perl(version.pm)
# END SourceDeps(oneline)
%define module_name DBIx-Class-Helper-Row-Types
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.2.0
Release: alt1
Summary: Use Types to define rows
Group: Development/Perl
License: artistic_2
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/R/RR/RRWO/%{module_name}-v%{version}.tar.gz
BuildArch: noarch

%description
This helper allows you to specify column information by passing a
the Type::Tiny manpage object.

Note that this *does not* enforce that the data is of that type,
unless you specify the `strict' option (See the set_column entry elsewhere in this document).  The
main purpose of this is to allow you to use types as a shorthand for
specifying the column type.

You can use types from the Types::SQL manpage or supported types from
the Types::Standard manpage.

%prep
%setup -q -n %{module_name}-v%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes LICENSE README.md
%perl_vendor_privlib/D*

%changelog
