%define module_name DBIx-Custom
# BEGIN SourceDeps(oneline):
BuildRequires: perl(AnyEvent.pm) perl(DBD/ODBC.pm) perl(DBD/Pg.pm) perl(DBD/SQLite.pm) perl(DBD/mysql.pm) perl(DBI.pm) perl(DBIx/Connector.pm) perl(Encode.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(FindBin.pm) perl(Object/Simple.pm) perl(Scalar/Util.pm) perl(Test/More.pm) perl(base.pm) perl(overload.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.44
Release: alt1
Summary: DBI extension to execute insert, update, delete, and select easily
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/K/KI/KIMOTO/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
the DBIx::Custom manpage is the DBI manpage wrapper module to execute SQL easily..This module have the following features.

=over 4

=item *

Execute `insert', `update', `delete', or `select' statement easily

=item *

Create `where' clause flexibly

=item *

Named place holder support

=item *

Model support

=item *

Connection manager support

=item *

Choice your favorite relational database management system,
`MySQL', `SQLite', `PostgreSQL', `Oracle',
`Microsoft SQL Server', `Microsoft Access', `DB2' or anything, 

=item *

Filtering by data type or column name

=item *

Create `order by' clause flexibly

=back


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_privlib/D*

%changelog
