Group: Development/Perl
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-DBIx-POS
Version:        0.03
Release:        alt2_39
Summary:        Define a dictionary of SQL statements in a POD dialect (POS)
# There was some code that was taken from Class::Singleton, which was Artistic only at the time.
# That code has since been relicensed to GPL+ or Artistic.
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/DBIx-POS
Source0:        https://cpan.metacpan.org/authors/id/M/MD/MDORMAN/DBIx-POS-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl-devel
BuildRequires:  rpm-build-perl
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
# Run-time
BuildRequires:  perl(base.pm)
BuildRequires:  perl(overload.pm)
BuildRequires:  perl(Pod/Parser.pm)
BuildRequires:  perl(strict.pm)
BuildRequires:  perl(warnings.pm)
BuildRequires:  perl(YAML.pm)
# Tests
BuildRequires:  perl(Test/More.pm)
Source44: import.info

%description
DBIx-POS subclasses Pod::Parser to define a POD dialect for writing a SQL
dictionary for an application, and uses code from Class::Singleton to make
the resulting structure easily accessible.

%prep
%setup -q -n DBIx-POS-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
%make_build

%install
make pure_install DESTDIR=%{buildroot}
# %{_fixperms} %{buildroot}/*

%check
make test

%files
# we include the test as it's a bit more helpful than the man page, IMHO
%doc Changes README t/
%{perl_vendor_privlib}/*

%changelog
