%define _without_test 1
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Bit/Vector.pm) perl(CGI.pm) perl(DBD/Pg.pm) perl(DBD/SQLite.pm) perl(DBI.pm) perl(Exception/Class.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(HTML/Entities.pm) perl(HTML/Highlight.pm) perl(Test/Kwalitee.pm) perl(Test/More.pm) perl(Text/Balanced.pm) perl(Text/Unaccent.pm) perl(XSLoader.pm) perl(base.pm)
# END SourceDeps(oneline)
%define module_version 0.28
%define module_name DBIx-TextIndex
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.28
Release: alt6
Summary: Perl extension for full-text searching in SQL databases
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/D/DK/DKOCH/%module_name-%module_version.tar.gz

%description
DBIx::TextIndex was developed for doing full-text searches on BLOB
columns stored in a database.  Almost any database with BLOB and DBI
support should work with minor adjustments to SQL statements in the
module.  MySQL, PostgreSQL, and SQLite are currently supported.

As of version 0.24, data from any source outside of a database can be
indexed by passing the data to the `add()' method as a string.


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_archlib/D*
%perl_vendor_autolib/*

%changelog
