# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(DBD/SQLite.pm) perl(Digest/SHA1.pm) perl(FindBin.pm) perl(IO/Socket/UNIX.pm) perl(Test/Kwalitee.pm) perl(base.pm) perl(overload.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define upstream_name DJabberd-Plugin-JabberIqVersion
%define upstream_version 0.40

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%{upstream_version}
Release:	alt1_5
License:	Artistic or GPL
Group:		Development/Perl
Summary:	Add support for "XEP 0092, Software version" to DJabberd
Source0:	ftp://ftp.perl.org/pub/CPAN/modules/by-module/DJabberd/%{upstream_name}-%{upstream_version}.tar.bz2
Url:		http://search.cpan.org/dist/%{upstream_name}

BuildRequires: perl-devel
BuildRequires: perl(DJabberd.pm)
BuildArch: noarch
Source44: import.info
%description
DJabberd::Plugin::JabberIqVersion add support for "XEP 0092, Software version" 
to DJabberd, a xmpp server framework.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor
%make

%install
%makeinstall_std

%files
%doc Changes README
%{perl_vendor_privlib}/DJabberd/*


%changelog
