# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(DBI.pm) perl(Digest/SHA1.pm) perl(FindBin.pm) perl(IO/Socket/UNIX.pm) perl(Test/Kwalitee.pm) perl(URI/Escape.pm) perl(base.pm) perl(overload.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define upstream_name DJabberd-Plugin-PrivateStorage
%define upstream_version 0.60

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%{upstream_version}
Release:	alt1_5
License:	GPL or Artistic
Group:		Development/Perl
Summary:	Implement private storage, as described in XEP-0049, for DJabberd
Source0:	ftp://ftp.perl.org/pub/CPAN/modules/by-module/DJabberd/%{upstream_name}-%{upstream_version}.tar.bz2
Url:		http://search.cpan.org/dist/%{upstream_name}

BuildRequires:	perl-devel
BuildRequires:	perl(File/Slurp.pm)
BuildRequires:	perl(DBD/SQLite.pm) 
BuildRequires:	perl(DJabberd.pm)

BuildArch:	noarch
Source44: import.info

%description
Implement private storage, as described in XEP-0049, for DJabberd.

This is used by various jabber client to store room bookmark, or notes
on contact in the roster.
 
%prep
%setup -q -n %{upstream_name}-%{upstream_version} 

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor
%make

%install
%makeinstall_std

%files
%doc Changes README
%{perl_vendor_privlib}/DJabberd/


%changelog
