BuildRequires: perl-podlators
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm)
# END SourceDeps(oneline)
%define module_name DNS-nsdiff
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.82
Release: alt1
Summary: create an 'nsupdate' script from DNS zone file differences
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/F/FA/FANF/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This is a stub module for overview documentation. There are three
scripts in the DNS::nsdiff distribution:

=over

=item nsdiff

The nsdiff program examines the old and new versions of a DNS zone,
and outputs the differences as a script for use by BIND's nsupdate
program. It provides a bridge between static zone files and dynamic
updates.

=item nspatch

The nspatch script is a wrapper around `nsdiff | nsupdate' that
checks and reports errors in a manner suitable for running from cron.

=item nsvi

The nsvi script makes it easy to edit a dynamic zone.

=back

%package scripts
Summary: %name scripts
Group: Development/Perl
Requires: %name = %EVR

%description scripts
scripts for %name


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.pod
%perl_vendor_privlib/D*

%files scripts
%_bindir/*
%_man1dir/*
%_man1dir/*


%changelog
