%define module_name Dancer-Plugin-RPC
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Bread/Board.pm) perl(Daemon/Control.pm) perl(Dancer.pm) perl(Encode.pm) perl(ExtUtils/MakeMaker.pm) perl(HTTP/Tiny.pm) perl(JSON.pm) perl(Log/Log4perl.pm) perl(Moo.pm) perl(MooseX/Log/Log4perl/Easy.pm) perl(Params/Validate.pm) perl(Params/ValidationCompiler.pm) perl(Pod/Simple/PullParser.pm) perl(RPC/XML.pm) perl(Test/Fatal.pm) perl(Test/More.pm) perl(Test/Warnings.pm) perl(Time/HiRes.pm) perl(Types/Standard.pm) perl(URI.pm) perl(UUID/Tiny.pm) perl(YAML.pm) perl(autodie.pm) perl(namespace/autoclean.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.10
Release: alt1
Summary: Configure endpoints for XMLRPC and JSONRPC procedures
Group: Development/Perl
License: perl
URL: https://github.com/abeltje/Dancer-Plugin-RPC

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/A/AB/ABELTJE/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This module contains two plugins for the Dancer manpage: the Dancer::Plugin::RPC::XMLRPC manpage
and the Dancer::Plugin::RPC::JSONRPC manpage. They are plugins rather than
Plack::Middleware.
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes example
%perl_vendor_privlib/D*

%changelog
