%define module_name Dancer2-Logger-Log4perl
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Dancer2.pm) perl(ExtUtils/MakeMaker.pm) perl(Log/Log4perl.pm) perl(Moo.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.06
Release: alt1
Summary: Dancer2 logger interface for Log4perl.
Group: Development/Perl
License: perl
URL: http://perldancer.org/

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/C/CR/CROMEDOME/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This class is an interface between the Dancer2 manpage's logging engine abstraction
layer and the the Log::Log4perl manpage library. In order to use it, you have to
set the `logger' engine to `log4perl'.

the Dancer2 manpage's `core' level messages are passed to the Log4perl manpage as level `trace'
but will not be passed unless the Dancer2 manpage's `log' config is `core'.

`log' should be set a lower priority than the lowest priority as set in your
the Log4perl manpage configuration. If it isn't, the log messages will not be passed 
to the Log4perl manpage.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README LICENSE Changes
%perl_vendor_privlib/D*

%changelog
