%define module_version 0.502
%define module_name Dancer2-Plugin-Auth-Extensible-Provider-DBIC
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Class/Load.pm) perl(DBIx/Class/Core.pm) perl(DBIx/Class/ResultClass/HashRefInflator.pm) perl(DBIx/Class/Schema.pm) perl(Dancer2.pm) perl(Dancer2/Plugin/Auth/Extensible.pm) perl(Dancer2/Plugin/Auth/Extensible/Provider/Base.pm) perl(Dancer2/Plugin/Auth/Extensible/Test.pm) perl(Dancer2/Plugin/Auth/Extensible/Test/App.pm) perl(Dancer2/Plugin/DBIC.pm) perl(DateTime/Format/SQLite.pm) perl(ExtUtils/MakeMaker.pm) perl(Path/Tiny.pm) perl(String/CamelCase.pm) perl(Test/More.pm) perl(base.pm) perl(DBD/SQLite.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.502
Release: alt1
Summary: authenticate via the L<Dancer2::Plugin::DBIC> plugin
Group: Development/Perl
License: perl
URL: https://github.com/ctrlo/Dancer2-Plugin-Auth-Extensible-Provider-DBIC/

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/A/AB/ABEVERLEY/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
This class is an authentication provider designed to authenticate users against
a database, using the Dancer2::Plugin::DBIC manpage to access a database.

See the Dancer2::Plugin::DBIC manpage for how to configure a database connection
appropriately; see the the CONFIGURATION entry elsewhere in this document section below for how to configure this
authentication provider with database details.

See the Dancer2::Plugin::Auth::Extensible manpage for details on how to use the
authentication framework.
%prep
%setup -q -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.pod README Changes
%perl_vendor_privlib/D*

%changelog
