%define module_name Data-Dataset-ChordProgressions
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(File/ShareDir.pm) perl(File/ShareDir/Install.pm) perl(File/Spec.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(Pod/Coverage/TrustPod.pm) perl(Pod/Wordlist.pm) perl(Test/EOL.pm) perl(Test/More.pm) perl(Test/NoTabs.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(Test/Spelling.pm) perl(Test/Synopsis.pm) perl(Text/CSV_XS.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.0108
Release: alt1
Summary: Provide access to hundreds of possible chord progressions
Group: Development/Perl
License: perl
URL: https://github.com/ology/Data-Dataset-ChordProgressions

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/G/GE/GENE/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
`Data::Dataset::ChordProgressions' provides access to hundreds of
possible musical chord progressions in five genres: `blues',
`country', `jazz', `pop' and `rock'.  Each has progressions in
keys of `C major' and `C minor'.

Each of these is divided into a `type' of progression, depending on
song position.  Take these types with a grain of salt.  They may or
may not be meaningful...

The named chords are meant to match the known chords of
the Music::Chord::Note manpage (listed in the source of that module).

There are a few odd chord "progressions" like
`"Eb7-Eb7-Eb7-Eb7","III-III-III-III"'.  Strange...

I stumbled across this list, saved it on my hard-drive for a long
time, and then forgot where it came from!  Also the documentation in
this list said nothing about who made it or how.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README LICENSE Changes README.md
%perl_vendor_privlib/D*
%perl_vendor_privlib/auto/*

%changelog
