%define module_name Data-Dump-Color
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ColorThemeBase/Static/FromStructColors.pm) perl(ColorThemeUtil/ANSI.pm) perl(Data/Dump/FilterContext.pm) perl(Data/Dump/Filtered.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(File/ShareDir/Install.pm) perl(File/Spec.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(MIME/Base64.pm) perl(Module/Load/Util.pm) perl(Pod/Coverage/TrustPod.pm) perl(Scalar/Util.pm) perl(Scalar/Util/LooksLikeNumber.pm) perl(Term/ANSIColor.pm) perl(Test/More.pm) perl(Test/NoWarnings.pm) perl(Test/Perl/Critic.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(overload.pm) perl(parent.pm) perl(strict.pm) perl(subs.pm) perl(vars.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.248
Release: alt1
Summary: Like Data::Dump, but with color
Group: Development/Perl
License: perl
URL: https://metacpan.org/release/Data-Dump-Color

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PE/PERLANCAR/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
%summary

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %EVR

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README LICENSE Changes
%perl_vendor_privlib/D*
%perl_vendor_privlib/auto/*
%perl_vendor_privlib/C*

%files scripts
%_man1dir/*
%_bindir/*

%changelog
