# BEGIN SourceDeps(oneline):
BuildRequires: perl(Config.pm) perl(Data/Undump.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(Scalar/Util.pm) perl(Test/More.pm) perl(XSLoader.pm)
# END SourceDeps(oneline)
%define module_version 0.03
%define module_name Data-Dumper-Limited
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.03
Release: alt6
Summary: Vastly faster subset of Data::Dumper functionality
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/S/SM/SMUELLER/%module_name-%module_version.tar.gz

%description
This is an experimental module. The interface may change without notice..Before using it in production, please get in touch with the authors!

Think of `Data::Dumper::Limited' as supporting a subset of the data structures
and features of the Data::Dumper manpage. The output is still valid Perl, so you can
abuse `eval STRING' for deserialization. Alternatively, you can choose to use
the Data::Undump manpage, which is a couple of orders of magnitude faster than eval and
does not have the same security implications. Did we mention that this module
dumps over 10x faster than Data::Dumper (similar to JSON::XS in our benchmarks)?

The power of this module is very similar to that of generating JSON, except it
can dump scalar references, dumps top-level non-references (JSON must be an array
or hash ref on the outside), and, again, is valid Perl. Furthermore, this module
can optionally dump plain Perl object using `bless()' function calls. Since
this can be unsafe, it needs to be explicitly enabled.

Repeated sub-references are detected, as are cyclic references. Repeated
sub-structures are simply serialized multiple times -- they do not round-trip
as repeated sub-structures. Since that is at least somewhat dubious, you can
set an option that will make `DumpLimited' throw an exception when encountering
repeated sub-structures. Cyclic references currently always cause the module
to throw an exception as they are not supported.


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes
%perl_vendor_archlib/D*
%perl_vendor_autolib/*

%changelog
