Group: Development/Perl
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-Data-JavaScript
Version:        1.15
Release:        alt2_3
Summary:        Dump perl data structures into JavaScript code
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Data-JavaScript
Source0:        https://cpan.metacpan.org/authors/id/M/MS/MSTEMLE/Data-JavaScript-%{version}.tar.gz
BuildArch:      noarch
# bnuild requirements
BuildRequires:  rpm-build-perl
BuildRequires:  perl-devel
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(warnings.pm)
# runtime requirements
BuildRequires:  perl(Encode.pm)
BuildRequires:  perl(Modern/Perl.pm)
BuildRequires:  perl(Readonly.pm)
BuildRequires:  perl(Scalar/Util.pm)
BuildRequires:  perl(bytes.pm)
BuildRequires:  perl(strict.pm)
# test requirements
BuildRequires:  perl(Test2/Require/Perl.pm)
BuildRequires:  perl(Test2/Tools/Subtest.pm)
BuildRequires:  perl(Test2/Tools/PerlCritic.pm)
BuildRequires:  perl(Test2/V0.pm)
BuildRequires:  perl(utf8.pm)


Source44: import.info

%description
This module is mainly intended for CGI programming, when a perl script
generates a page with client side JavaScript code that needs access to
structures created on the server.

%prep
%setup -q -n Data-JavaScript-%{version}

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}

%install
%{makeinstall_std}
# %{_fixperms} $RPM_BUILD_ROOT/*

%check
%{make_build} test

%files
%doc CHANGES CONTRIBUTING.md README.md TODO
%doc --no-dereference LICENSE
%{perl_vendor_privlib}/Data*

%changelog
