%define module_name Data-MoneyCurrency
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Code/TidyAll.pm) perl(Cpanel/JSON/XS.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(File/ShareDir.pm) perl(File/ShareDir/Install.pm) perl(Perl/Tidy.pm) perl(Pod/Coverage.pm) perl(Test/Exception.pm) perl(Test/More.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(Test/Warn.pm) perl(Types/Serialiser.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.18
Release: alt1
Summary: The great new Data::MoneyCurrency!
Group: Development/Perl
License: perl
URL: https://github.com/OpenCageData/perl5-Data-MoneyCurrency

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/E/ED/EDF/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Get currency information for different currencies.

    use Data::MoneyCurrency qw(get_currency);

    my $currency = get_currency(currency => 'usd');
    # $currency = {
    #    # ...
    # }
    my $currency = get_currency(country => 'fr');
    # $currency = {
    #   # ...
    # }

This uses some data found in in the Ruby library
money, but it has no
dependency on it, the relevant data files are already included.
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE README SECURITY.md README.md LICENSE.txt Changes
%perl_vendor_privlib/D*
%perl_vendor_privlib/auto/*

%changelog
