# BEGIN SourceDeps(oneline):
BuildRequires: perl(Archive/Extract.pm) perl(Archive/Zip.pm) perl(DBD/SQLite.pm) perl(DBI.pm) perl(DBIx/Class/Core.pm) perl(DBIx/Class/PhoneticSearch.pm) perl(DBIx/Class/Schema.pm) perl(ExtUtils/MakeMaker.pm) perl(LWP.pm) perl(LWP/UserAgent.pm) perl(Test.pm) perl(Test/More.pm) perl(Text/CSV.pm) perl(base.pm) perl(Text/Phonetic/Phonix.pm)
# END SourceDeps(oneline)
%define module_version 0.67
%define module_name Data-OFAC
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.67
Release: alt1
Summary: A Perl interface to the United States Office of Foreign Assets
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/T/TH/THARDISON/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
From OFAC's Website:
        As part of its enforcement efforts, OFAC publishes a list of
        individuals and companies owned or controlled by, or acting for or on
        behalf of, targeted countries. It also lists individuals, groups, and
        entities, such as terrorists and narcotics traffickers designated under
        programs that are not country-specific. Collectively, such individuals
        and companies are called "Specially Designated Nationals" or "SDNs."
        Their assets are blocked and U.S. persons are generally prohibited from
        dealing with them.

    This interface is helpful for insitutions that use Perl, and may have a
    need to screen individuals as potential customers.

    Note that this module will require occasional internet access if
    auto_update is enabled. Auto update contacts OFAC's website to download
    the latest SDN list in "CSV" format. These files are used to build a SQLite
    database. In order to remain "compliant" reasonably frequent updates are
    recommended. For financial institutions, not complying with this carries
    heavy penalties. I am not a lawyer, and I cannot recommend your update
    frequency. I've set 12 hours as I believe this to be a reasonable update
    interval. Again, this module carries no waranty, and cannot be a full
    replacement for full compliance with the regulations. YMMV.


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/D*

%changelog
