%define module_name Data-Sah
%filter_from_requires /^perl.Language.Expr.Interpreter.VarEnumer.pm./d
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Data/Dmp.pm) perl(Data/Dump.pm) perl(Data/Sah/Coerce.pm) perl(Data/Sah/CoerceCommon.pm) perl(Data/Sah/Filter.pm) perl(Data/Sah/FilterCommon.pm) perl(Data/Sah/Normalize.pm) perl(Data/Sah/Resolve.pm) perl(Date/TimeOfDay.pm) perl(DateTime.pm) perl(DateTime/Duration.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(File/ShareDir.pm) perl(File/ShareDir/Tarball.pm) perl(File/Slurper.pm) perl(File/Spec.pm) perl(File/chdir.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(JSON.pm) perl(Language/Expr.pm) perl(Language/Expr/Interpreter/var_enumer.pm) perl(Lingua/EN/Numbers/Ordinate.pm) perl(List/Util.pm) perl(Log/ger.pm) perl(Mo.pm) perl(Module/Installed/Tiny.pm) perl(POSIX.pm) perl(Pod/Coverage/TrustPod.pm) perl(Regexp/Stringify.pm) perl(Role/Tiny.pm) perl(Role/Tiny/With.pm) perl(Sah/SpecTest.pm)
BuildRequires: perl(Scalar/Util.pm) perl(Scalar/Util/Numeric.pm) perl(Scalar/Util/Numeric/PP.pm) perl(String/Escape.pm) perl(Test/Exception.pm) perl(Test/More.pm) perl(Test/NoWarnings.pm) perl(Test/Perl/Critic.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(Test/Warn.pm) perl(Text/sprintfn.pm) perl(Tie/IxHash.pm) perl(Time/Duration/Parse/AsHash.pm) perl(Time/HiRes.pm) perl(Time/Moment.pm) perl(Time/Piece.pm) perl(lib/filter.pm) perl(overload.pm) perl(parent.pm) perl(strict.pm) perl(utf8.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.908
Release: alt1
Summary: Fast and featureful data structure validation
Group: Development/Perl
License: perl
URL: https://metacpan.org/release/Data-Sah

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PE/PERLANCAR/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
From summary: %summary

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes LICENSE README
%perl_vendor_privlib/T*
%perl_vendor_privlib/D*

%changelog
