%define module_name Data-Unixish
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(File/Temp.pm) perl(File/Which.pm) perl(IO/Handle.pm) perl(IPC/Cmd.pm) perl(IPC/Open3.pm) perl(JSON/MaybeXS.pm) perl(List/Util.pm) perl(Log/ger.pm) perl(Module/Load.pm) perl(Number/Format.pm) perl(Number/Format/Metric.pm) perl(POSIX.pm) perl(Package/Util/Lite.pm) perl(Pod/Coverage/TrustPod.pm) perl(Scalar/Util.pm) perl(Sort/Sub.pm) perl(String/Pad.pm) perl(String/ShellQuote.pm) perl(Syntax/Feature/EachOnArray.pm) perl(Test/More.pm) perl(Test/Perl/Critic.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(Text/ANSI/Util.pm) perl(Text/ANSI/WideUtil.pm) perl(Text/WideChar/Util.pm) perl(Text/sprintfn.pm) perl(Tie/File.pm) perl(Tie/Simple.pm) perl(bytes.pm) perl(locale.pm) perl(strict.pm) perl(syntax.pm) perl(utf8.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.572
Release: alt1
Summary: Implementation for Unixish, a data transformation framework
Group: Development/Perl
License: perl
URL: https://metacpan.org/release/Data-Unixish

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PE/PERLANCAR/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
From summary: %summary

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes LICENSE README
%perl_vendor_privlib/T*
%perl_vendor_privlib/D*

%changelog
