%define module_name Date-Cutoff-JP
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Calendar/Japanese/Holiday.pm) perl(Date/DayOfWeek.pm) perl(Module/Build/Tiny.pm) perl(Moose.pm) perl(Test/More.pm) perl(Time/Piece.pm) perl(Time/Seconds.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.07
Release: alt1
Summary: Get the day cutoff and payday for in Japanese timezone
Group: Development/Perl
License: perl
URL: https://github.com/worthmine/Date-Cutoff-JP

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/W/WO/WORTHMINE/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Date::CutOff::JP provides how to calculate the day cutoff and the payday from Japanese calender.

you can calculate the weekday for cutoff and paying without holiday in Japan.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE README.md Changes
%perl_vendor_privlib/D*

%changelog
