%define module_name Date-Holidays-GB
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Date/Holidays/Super.pm) perl(DateTime.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(File/ShareDir/Install.pm) perl(File/Spec/Functions.pm) perl(JSON.pm) perl(LWP/Simple.pm) perl(List/MoreUtils.pm) perl(Module/Build/Tiny.pm) perl(Test/Fatal.pm) perl(Test/MinimumVersion.pm) perl(Test/More.pm) perl(Test/Most.pm) perl(Test/Pod.pm) perl(Test/Time.pm) perl(base.pm) perl(constant.pm) perl(strict.pm) perl(utf8.pm) perl(version.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.019
Release: alt1
Summary: Date::Holidays compatible package for the UK, with public/bank holiday dates, updated from gov.uk
Group: Development/Perl
License: perl
URL: https://github.com/mjemmeson/Date-Holidays-GB

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/M/MJ/MJEMMESON/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
%summary

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes LICENSE README.md
%perl_vendor_privlib/D*
%perl_vendor_privlib/auto/*

%changelog
