Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global cpan_name DateTime-Format-Duration

Name:           perl-%{cpan_name}
Version:        1.04
Release:        alt2_17
Summary:        Format and parse DateTime::Durations
# Old FSF address reported to upstream as CPAN RT #82055
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/E/ET/ETHER/%{cpan_name}-%{version}.tar.gz
# Upstream links images to the Internet, we package them into %%{_docdir}
Patch0:         DateTime-Format-Duration-1.04-Link-images-to-local-documentation.patch
BuildArch:      noarch
BuildRequires:  coreutils
BuildRequires:  findutils
BuildRequires:  perl-devel
BuildRequires:  rpm-build-perl
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(strict.pm)
BuildRequires:  perl(warnings.pm)
# Run-time:
BuildRequires:  perl(Carp.pm)
BuildRequires:  perl(constant.pm)
BuildRequires:  perl(Data/Dumper.pm)
BuildRequires:  perl(DateTime/Duration.pm)
BuildRequires:  perl(Exporter.pm)
BuildRequires:  perl(Params/Validate.pm)
# Tests:
BuildRequires:  perl(DateTime.pm)
BuildRequires:  perl(File/Spec.pm)
BuildRequires:  perl(Test/More.pm)
Requires:       perl(Data/Dumper.pm)
Source44: import.info

%description
This module formats and parses DateTime::Duration objects as well as other
durations representations.


%prep
%setup -q -n %{cpan_name}-%{version}
%patch0 -p1
find -type f -exec chmod -x {} +

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
# %{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc --no-dereference LICENCE
%doc Changes CONTRIBUTING docs README
%{perl_vendor_privlib}/*

%changelog
