%define module_name DateTime-Ordinal
# BEGIN SourceDeps(oneline):
BuildRequires: perl(DateTime.pm) perl(DateTime/Format/Strptime.pm) perl(ExtUtils/MakeMaker.pm) perl(Lingua/ITA/Numbers.pm) perl(Test/More.pm) perl(base.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.03
Release: alt1
Summary: The great new DateTime::Ordinal!
Group: Development/Perl
License: artistic_2
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/L/LN/LNATION/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Quick summary of what the module does.

_use DateTime::Ordinal;

_my $dt = DateTime::Ordinal->new(
__year       => 3000,
__month      => 4,
__day        => 1,
__hour       => 2,
__minute     => 3,
__second     => 4,
_);

_$dt->day_# 1
_$dt->day(1)_# 1st

_$dt->hour_# 2
_$dt->hour(1)_# 2nd

_$dt->minute_# 3
_$dt->minute(1)_# 3rd

_$dt->second_# 4
_$dt->second(1) _# 4th

_$dt->strftime("It's the %%M(o) minute of the %%H(o) hour on the %%j(o) day into the %%m(0) month within the %%Y(o) year");
_# "It's the 3rd minute of the 2nd hour on the 1st day into the 4th month within the 3000th year");

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_privlib/D*

%changelog
