%define module_name Devel-DebugHooks
# BEGIN SourceDeps(oneline):
BuildRequires: perl(APR/Pool.pm) perl(Apache2/RequestRec.pm) perl(B.pm) perl(B/Deparse.pm) perl(Data/Dump.pm) perl(Data/Section/Simple.pm) perl(DynaLoader.pm) perl(Filter/Util/Call.pm) perl(FindBin.pm) perl(IO/Async/Loop.pm) perl(IO/Async/Stream.pm) perl(IO/Async/Timer/Periodic.pm) perl(List/Util.pm) perl(Module/Build.pm) perl(Package/Stash.pm) perl(PadWalker.pm) perl(Scope/Cleanup.pm) perl(Sub/Metadata.pm) perl(Test/CheckDeps.pm) perl(Test/Differences.pm) perl(Test/More.pm) perl(Test/Output.pm) perl(overload.pm) perl(parent.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.05
Release: alt1
Summary: Perl debugger
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/K/KE/KES/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
From summary: %summary

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README.md LICENSE
%perl_vendor_privlib/D*
%perl_vendor_privlib/A*

%files scripts
%_bindir/*

%changelog
