%define module_name Devel-MAT
%define _without_test 1
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Commandable/Invocation.pm) perl(Devel/MAT/Dumper.pm) perl(ExtUtils/CBuilder.pm) perl(Feature/Compat/Try.pm) perl(File/ShareDir.pm) perl(File/Spec.pm) perl(Heap.pm) perl(List/Util.pm) perl(List/UtilsBy.pm) perl(Module/Build.pm) perl(Module/Pluggable.pm) perl(String/Tagged.pm) perl(String/Tagged/Terminal.pm) perl(Struct/Dumb.pm) perl(Term/ReadLine.pm) perl(Test/Identity.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.44
Release: alt2
Summary: Perl Memory Analysis Tool
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PE/PEVANS/%{module_name}-%{version}.tar.gz

%description
From summary: %summary

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build --install_path bindoc=%_man1dir

%install
%perl_vendor_install

%files
%doc LICENSE Changes README doc
%perl_vendor_archlib/D*
%perl_vendor_autolib/*

%files scripts
%_man1dir/*
%_bindir/*

%changelog
