# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(Test/More.pm) perl(XSLoader.pm)
# END SourceDeps(oneline)
%define module_version 0.01
%define module_name Devel-Nopeep
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.01
Release: alt6
Summary: Disable the peephole optimiser.
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/W/WO/WOLFSAGE/%module_name-%module_version.tar.gz

%description
This module disables the peephole optimiser. This is really only useful if you .want to benchmark the differences between an optimised block and a 
non-optimised block, or if you want to see what an op tree looks like 
before it's optimised.

You should NOT use this in production code, as it may introduce bugs since the 
peephole optimiser is probably responsible for more than just optimisations.

This is intended as a tool for help with development of Perl itself.


%prep
%setup -n %module_name

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_archlib/D*
%perl_vendor_autolib/*

%changelog
