# BEGIN SourceDeps(oneline):
BuildRequires: perl(DynaLoader.pm) perl(Exporter.pm)
# END SourceDeps(oneline)
%define module_version 1.00
%define module_name Devel-Pointer
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.00
Release: alt6
Summary: Fiddle around with pointers
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/S/SI/SIMON/%module_name-%module_version.tar.gz

%description
The primary purpose of this is to turn a smashed reference
address back into a value. Once a reference is treated as
a numeric value, you can't dereference it normally; although
with this module, you can.

Be careful, though, to avoid dereferencing things that don't
want to be dereferenced.


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_archlib/D*
%perl_vendor_autolib/*

%changelog
