%define module_name Devel-PrettyTrace
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Data/Printer.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(List/Util.pm) perl(Term/ANSIColor.pm) perl(Test/More.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.06
Release: alt1
Summary: prints stack traces with arguments expanded into readable format
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/R/RA/RANDIR/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This module allows you to see detailed and pretty formatted stack straces of perl functions call. It exports a single function - `bt'.
In void context, it sends it's output to STDERR. In scalar context, it returns you collected data as string.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_privlib/D*

%changelog
