%define module_version 0.22
%define module_name Devel-Trace-Subs
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Cwd.pm) perl(Devel/Examine/Subs.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(HTML/Template.pm) perl(Mock/Sub.pm) perl(Storable.pm) perl(Symbol.pm) perl(Template.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.22
Release: alt1
Summary: Generate, track, store and print code flow and stack traces.
Group: Development/Perl
License: artistic_2
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/S/ST/STEVEB/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
This module facilitates keeping track of a project's code flow and stack
trace information in calls between subroutines.

Optionally, you can use this module to automatically inject the appropriate
`trace()' calls into all subs in individual files, all Perl files within a 
directory structure, or even in production files by specifying its 
`Module::Name'.

It also has the facility to undo what was done by the automatic installation
mentioned above.
%prep
%setup -q -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_privlib/D*

%changelog
