# BEGIN SourceDeps(oneline):
BuildRequires: perl(CPAN.pm) perl(Config.pm) perl(Cwd.pm) perl(Devel/REPL.pm) perl(Devel/REPL/Plugin.pm) perl(Devel/Trepan/CmdProcessor.pm) perl(Devel/Trepan/CmdProcessor/Command.pm) perl(Devel/Trepan/CmdProcessor/Command/Complete.pm) perl(Enbugger.pm) perl(English.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(Module/Build.pm) perl(Test/More.pm) perl(blib.pm) perl(if.pm) perl(namespace/clean.pm) perl(rlib.pm) perl(Digest/SHA.pm) perl(Syntax/Highlight/Perl/Improved.pm)
# END SourceDeps(oneline)
%define module_version 1.5
%define module_name Devel-Trepan-Shell
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.5
Release: alt1
Summary: Adds shell support to Devel::Trepan via Devel::REPL
Group: Development/Perl
License: open_source
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/R/RO/ROCKY/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
From summary: %summary

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release

%description scripts
scripts for %module_name

%prep
%setup -n %{module_name}-%{module_version}

%build
%perl_vendor_build --install_path bindoc=%_man1dir

%install
%perl_vendor_install

%files
%doc ChangeLog README README.md Changes example
%perl_vendor_privlib/D*

%files scripts
%_bindir/*

%changelog
