%define module_name Device-BusPirate
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Device/Chip/Adapter.pm) perl(Device/Chip/ProtocolBase/SPI.pm) perl(Future.pm) perl(Future/AsyncAwait.pm) perl(Future/IO.pm) perl(Future/Mutex.pm) perl(IO/Termios.pm) perl(List/Util.pm) perl(Module/Build.pm) perl(Module/Pluggable.pm) perl(Object/Pad.pm) perl(Test/Future/Deferred.pm) perl(Test/More.pm) perl(Time/HiRes.pm) perl(XS/Parse/Keyword.pm) perl(XS/Parse/Sublike.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.23
Release: alt1
Summary: interact with a F<Bus Pirate> device
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PE/PEVANS/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
From summary: %summary

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes LICENSE examples
%perl_vendor_privlib/D*

%changelog
