# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl rpm-macros-mageia-compat
BuildRequires: perl(Encode.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define upstream_name Device-Cdio
%define upstream_version v2.0.0

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	2.0.0
Release:	alt4_7
Summary:	Module for CD Input and Control library
License:	GPL
Group:		Development/Perl
URL:		http://metacpan.org/release/%{upstream_name}
Source:		https://cpan.metacpan.org/modules/by-module/Device/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:		perl-Device-Cdio-0.3.0-gcc-4.7.patch
BuildRequires:	perl-devel
BuildRequires:	perl(ExtUtils/PkgConfig.pm)
BuildRequires:	perl(Module/Build.pm)
BuildRequires:	perl(version.pm)
BuildRequires:	pkgconfig(libcdio)
BuildRequires:	swig
Source44: import.info

%description
A module to make easier temporary directories deletion.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%patch0 -p1


%build
/usr/bin/perl Build.PL installdirs=vendor
# M::B copy files read-only, forcing to use
# a two-pass build command
# https://rt.cpan.org/Ticket/Display.html?id=42777
./Build CFLAGS="%{optflags}" || :
chmod u+w -R .
./Build CFLAGS="%{optflags}"

%install
./Build install destdir=%{buildroot}

%files
%doc Changes COPYING
%{perl_vendor_archlib}/*


%changelog
