%define module_name Device-Chip
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Future.pm) perl(Future/AsyncAwait.pm) perl(List/Util.pm) perl(Module/Build.pm) perl(Object/Pad.pm) perl(Struct/Dumb.pm) perl(Test/Builder.pm) perl(Test/Builder/Tester.pm) perl(Test/ExpectAndCheck/Future.pm) perl(Test/More.pm) perl(XS/Parse/Keyword.pm) perl(XS/Parse/Sublike.pm) perl(experimental.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators 
#perl(Tickit.pm)
# Tickit is not yet built
%add_findreq_skiplist */Device/Chip/Ex/*

Name: perl-%module_name
Version: 0.19
Release: alt1
Summary: an abstraction of a hardware chip IO driver
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PE/PEVANS/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
From summary: %summary

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install
find %buildroot%perl_vendor_privlib/Device/ -name '*.pm' -exec sed -i -e "s/^0x55AA;/1;/" {} \;

%files
%doc LICENSE README Changes examples
%perl_vendor_privlib/D*
%perl_vendor_privlib/T*

%changelog
