%define module_name Device-Chip-AnalogConverters
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Data/Bitfield.pm) perl(Device/Chip.pm) perl(Future/AsyncAwait.pm) perl(Future/IO.pm) perl(List/Util.pm) perl(Module/Build.pm) perl(Object/Pad.pm) perl(Test/Device/Chip/Adapter.pm) perl(Test/More.pm) perl(XS/Parse/Keyword.pm) perl(XS/Parse/Sublike.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.12
Release: alt1
Summary: a collection of chip drivers
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PE/PEVANS/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This distribution contains a number of the Device::Chip manpage drivers for various ADC
and DAC chips.
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README LICENSE Changes examples
%perl_vendor_privlib/D*

%changelog
