%define module_name Device-Chip-CC1101
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Data/Bitfield.pm) perl(Device/Chip.pm) perl(Future/AsyncAwait.pm) perl(Future/IO.pm) perl(Module/Build.pm) perl(Object/Pad.pm) perl(Test/Device/Chip/Adapter.pm) perl(Test/More.pm) perl(XS/Parse/Keyword.pm) perl(XS/Parse/Sublike.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.06
Release: alt1
Summary: chip driver for a F<CC1101>
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PE/PEVANS/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This the Device::Chip manpage subclass provides specific communication to a
Texas Instruments CC1101 radio transceiver chip attached to a computer
via an SPI adapter.

The reader is presumed to be familiar with the general operation of this chip;
the documentation here will not attempt to explain or define chip-specific
concepts or features, only the use of this module to access them.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE Changes README examples
%perl_vendor_privlib/D*

%changelog
