# BEGIN SourceDeps(oneline):
BuildRequires: perl(Data/Bitfield.pm) perl(Device/Chip/Base/RegisteredI2C.pm) perl(Device/Chip/Sensor.pm) perl(Future/AsyncAwait.pm) perl(Module/Build.pm) perl(Object/Pad.pm) perl(Test/Device/Chip/Adapter.pm) perl(Test/More.pm) perl(XS/Parse/Keyword.pm) perl(XS/Parse/Sublike.pm)
# END SourceDeps(oneline)
%define module_name Device-Chip-MAX44009
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.02
Release: alt1
Summary: chip driver for F<MAX44009>
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PE/PEVANS/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This the Device::Chip manpage subclass provides specific communication to a
Maxim Integrated MAX44009 ambient light sensor attached to a computer
via an I-BC adapter.

The reader is presumed to be familiar with the general operation of this chip;
the documentation here will not attempt to explain or define chip-specific
concepts or features, only the use of this module to access them.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE README Changes
%perl_vendor_privlib/D*

%changelog
