%define module_name Device-Chip-TCS3472x
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Data/Bitfield.pm) perl(Future.pm) perl(Future/AsyncAwait.pm) perl(Module/Build.pm) perl(Object/Pad.pm) perl(Test/Device/Chip/Adapter.pm) perl(Test/More.pm) perl(XS/Parse/Sublike.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.02
Release: alt1
Summary: chip driver for F<TCS3472x>-family
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PE/PEVANS/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This the Device::Chip manpage subclass provides specific communications to a
TASOC Inc. TCS3472x-family RGB light sensor chip.

The reader is presumed to be familiar with the general operation of this chip;
the documentation here will not attempt to explain or define chip-specific
concepts or features, only the use of this module to access them.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes LICENSE README examples
%perl_vendor_privlib/D*

%changelog
