# BEGIN SourceDeps(oneline):
BuildRequires: perl(DynaLoader.pm) perl(Exporter.pm) perl(Module/Build/Tiny.pm) perl(Test/More.pm) perl(Test/Pod.pm)
# END SourceDeps(oneline)
%define module_version 0.002
%define module_name Digest-DJB32
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.002
Release: alt5
Summary: Digest::DJB fixed to 32bit
Group: Development/Perl
License: perl
URL: https://github.com/Getty/p5-digest-djb32

Source0: http://cpan.org.ua/authors/id/G/GE/GETTY/%{module_name}-%{module_version}.tar.gz

%description
`Digest::DJB32' is an implementation of D. J. Bernstein's hash which returns
a 32-bit unsigned value for any variable-length input string.


%prep
%setup -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE README Changes
%perl_vendor_archlib/D*
%perl_vendor_autolib/*

%changelog
