%define module_name Digest-FarmHash
# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++ libsowing-devel perl(Config.pm) perl(Exporter.pm) perl(ExtUtils/ParseXS.pm) perl(Module/Build.pm) perl(Test/More.pm) perl(XSLoader.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.02
Release: alt4
Summary: FarmHash Implementation For Perl
Group: Development/Perl
License: mit
URL: https://github.com/spiritloose/Digest-FarmHash

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/J/JI/JIRO/%{module_name}-%{version}.tar.gz

%description
This module provides an interface to FarmHash functions.

https://github.com/google/farmhash

Note that this module works only in the environment which supported a 64-bit integer.
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes LICENSE README.md
%perl_vendor_archlib/D*
%perl_vendor_autolib/*

%changelog
