%define module_name Digest-SIMD
# BEGIN SourceDeps(oneline):
BuildRequires: libsowing-devel perl(Digest.pm) perl(ExtUtils/MakeMaker.pm) perl(Test/More.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.05
Release: alt4
Summary: Perl interface to the SIMD digest algorithm
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/G/GR/GRAY/%{module_name}-%{version}.tar.gz

%description
The `Digest::SIMD' module provides an interface to the SIMD message
digest algorithm. SIMD is a candidate in the NIST SHA-3 competition.

This interface follows the conventions set forth by the `Digest' module.


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_archlib/D*
%perl_vendor_autolib/*

%changelog
