# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Config.pm) perl(Data/Perl/Role/String.pm) perl(English.pm) perl(Scalar/Util.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define upstream_name    Dist-Zilla-BeLike-CSJEWELL
%define upstream_version 0.901

Name:       perl-%{upstream_name}
Version:    %{upstream_version}
Release:    alt3_9

Summary:    Build a modern dist like CSJEWELL does it
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist/Zilla.pm)
BuildRequires: perl(Dist/Zilla/Plugin/Mercurial.pm)
BuildRequires: perl(Dist/Zilla/Plugin/Twitter.pm)
BuildRequires: perl(Email/Address.pm)
BuildRequires: perl(File/ShareDir.pm)
BuildRequires: perl(Module/Build.pm)
BuildRequires: perl(Moose.pm)
BuildRequires: perl(Net/FTP.pm)
BuildRequires: perl(Net/Netrc.pm)
BuildRequires: perl(PPIx/Regexp.pm)
BuildRequires: perl(PPIx/Utilities/Statement.pm)
BuildRequires: perl(Parse/CPAN/Meta.pm)
BuildRequires: perl(Perl/Critic.pm)
BuildRequires: perl(Perl/Critic/More.pm)
BuildRequires: perl(Perl/Critic/Utils/Constants.pm)
BuildRequires: perl(Perl/MinimumVersion.pm)
BuildRequires: perl(Perl/Tidy.pm)
BuildRequires: perl(Pod/Coverage.pm)
BuildRequires: perl(Pod/Coverage/Moose.pm)
BuildRequires: perl(Pod/Readme.pm)
BuildRequires: perl(Pod/Simple.pm)
BuildRequires: perl(Pod/Spell/CommonMistakes.pm)
BuildRequires: perl(Software/License.pm)
BuildRequires: perl(Test/CPAN/Meta.pm)
BuildRequires: perl(Test/CheckChanges.pm)
BuildRequires: perl(Test/DistManifest.pm)
BuildRequires: perl(Test/Fixme.pm)
BuildRequires: perl(Test/HasVersion.pm)
BuildRequires: perl(Test/MinimumVersion.pm)
BuildRequires: perl(Test/More.pm)
BuildRequires: perl(Test/Perl/Critic.pm)
BuildRequires: perl(Test/Pod.pm)
BuildRequires: perl(Test/Pod/Coverage.pm)
BuildRequires: perl(Test/Pod/Spelling/CommonMistakes.pm)
BuildRequires: perl(Test/Portability/Files.pm)
BuildRequires: perl(Test/Prereq/Build.pm)
BuildRequires: perl(Test/UseAllModules.pm)
BuildRequires: perl(autodie.pm)
BuildRequires: perl(Module/Build/Compat.pm)
BuildArch: noarch
Source44: import.info


%description
This sets up defaults for dzil new to create a dist like CSJEWELL does
it, including a dist.ini that does the release steps that CSJEWELL
requires.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.yml README
%perl_vendor_privlib/*

%changelog
