# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Apache/TestMM.pm) perl(Test/Pod.pm) perl(Test/Signature.pm) perl(mod_perl2.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define upstream_name    Dist-Zilla-Plugin-ApacheTest
%define upstream_version 0.04

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %{upstream_version}
Release:    alt1_3

Summary:    Build a Makefile.PL that uses ExtUtils::MakeMaker with Apache::Test
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

#BuildRequires: perl(Dist::Zilla::Plugin::DynamicPrereqs)
BuildRequires: perl(Dist/Zilla/Plugin/MakeMaker/Awesome.pm)
BuildRequires: perl(Dist/Zilla/Role/PluginBundle/Easy.pm)
BuildRequires: perl(ExtUtils/MakeMaker.pm)
BuildRequires: perl(Moose.pm)
BuildRequires: perl(Test/More.pm)
BuildRequires: perl(strict.pm)
BuildRequires: perl(warnings.pm)
BuildArch:  noarch
Source44: import.info

%description
This plugin will produce an the ExtUtils::MakeMaker manpage-powered
_Makefile.PL_ with Apache::Test hooks for the distribution. If loaded, the
Dist::Zilla::Plugin::Manifest plugin should also be loaded, and the
Dist::Zilla::Plugin::MakeMaker plugin should not be loaded.

At this time, this module is essentially a copy of the
Dist::Zilla::Plugin::MakeMaker plugin. Hopefully, over time, the
Dist::Zilla::Plugin::MakeMaker plugin will allow more customization so that
this module will not need to reimplement all of it.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml  README SIGNATURE
%perl_vendor_privlib/*


%changelog
