# BEGIN SourceDeps(oneline):
BuildRequires: perl(DateTime.pm) perl(Git/Wrapper.pm) perl(List/MoreUtils.pm) perl(List/Util.pm) perl(Moose.pm) perl(Pod/Weaver/Config/Assembler.pm) perl(namespace/autoclean.pm)
# END SourceDeps(oneline)
%define module_name Dist-Zilla-Plugin-AuthorsFromGit
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.006
Release: alt1
Summary: Add per-file per-year copyright info to each Perl document
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/A/AK/AKHUETTEL/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This Dist::Zilla plugin is intended for large Perl distributions that have been
existing for some time, where maintainership has changed over the years, and
where different people have contributed to different parts of the code. It
provides a means to acknowledge the contribution of different people to
different modules, where it is not possible to resonably list them all in the
authors field of the entire distribution.

This is also to reflect that, independent of the chosen license terms, anyone
who contributes nontrivial code to an open source package retains copyright of
the contribution. Some legislatures (e.g. Germany) even provide no way of
"transferring" copyright, since it is always bound to the natural person who
conceived the code.
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes
%perl_vendor_privlib/P*
%perl_vendor_privlib/D*

%changelog
