%define module_version 0.004
%define module_name Dist-Zilla-Plugin-BuildSelf
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Dist/Zilla/File/InMemory.pm) perl(Dist/Zilla/Role/BuildPL.pm) perl(Dist/Zilla/Role/PrereqSource.pm) perl(Dist/Zilla/Role/TextTemplate.pm) perl(File/Spec.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(Module/Build/Tiny.pm) perl(Moose.pm) perl(Test/More.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.004
Release: alt1
Summary: Build a Build.PL that uses the current module to build itself
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/L/LE/LEONT/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
Unless you're writing a Build.PL compatible module builder, you should not be looking at this. The only purpose of this module is to bootstrap any such module on Dist::Zilla.


%prep
%setup -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes LICENSE
%perl_vendor_privlib/D*

%changelog
