# BEGIN SourceDeps(oneline):
BuildRequires: perl(Dist/Zilla.pm) perl(Dist/Zilla/Role/BeforeBuild.pm) perl(Dist/Zilla/Role/MetaProvider.pm) perl(Dist/Zilla/Role/RegisterStash.pm) perl(Dist/Zilla/Stash/PodWeaver.pm) perl(Encode.pm) perl(Encode/CN.pm) perl(Encode/JP.pm) perl(Encode/KR.pm) perl(Encode/TW.pm) perl(ExtUtils/MakeMaker.pm) perl(File/ShareDir.pm) perl(File/ShareDir/Install.pm) perl(File/Spec.pm) perl(File/Which.pm) perl(File/chdir.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(IPC/System/Simple.pm) perl(List/AllUtils.pm) perl(Moose.pm) perl(MooseX/AttributeShortcuts.pm) perl(MooseX/Types/Moose.pm) perl(Path/Class.pm) perl(Test/CheckDeps.pm) perl(Test/DZil.pm) perl(Test/File/ShareDir.pm) perl(Test/Moose/More.pm) perl(Test/More.pm) perl(Test/TempDir/Tiny.pm) perl(YAML/Tiny.pm) perl(aliased.pm) perl(autobox/Core.pm) perl(autobox/Junctions.pm) perl(MooseX/Meta/TypeConstraint/Mooish.pm) perl(Dist/Zilla/Role/DynamicConfig.pm)
BuildRequires: perl(autodie.pm) perl(lib.pm) perl(strict.pm) perl(utf8.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define module_version 0.017
%define module_name Dist-Zilla-Plugin-ContributorsFromGit
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.017
Release: alt1
Summary: Populate your 'CONTRIBUTORS' POD from the list of git authors
Group: Development/Perl
License: lgpl
URL: https://github.com/RsrchBoy/Dist-Zilla-Plugin-ContributorsFromGit

Source0: http://cpan.org.ua/authors/id/R/RS/RSRCHBOY/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
From summary: %summary

%prep
%setup -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes LICENSE README
%perl_vendor_privlib/D*
%perl_vendor_privlib/auto/*

%changelog
