%define module_name Dist-Zilla-Plugin-EnsureLatestPerl
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Devel/InnerPackage.pm) perl(Dist/Zilla.pm) perl(Dist/Zilla/Role/BeforeRelease.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(List/Util.pm) perl(Module/CoreList.pm) perl(Module/Pluggable/Object.pm) perl(Moose.pm) perl(POSIX.pm) perl(Path/Tiny.pm) perl(Test/DZil.pm) perl(Test/Deep.pm) perl(Test/Fatal.pm) perl(Test/MockTime.pm) perl(Test/More.pm) perl(if.pm) perl(lib.pm) perl(namespace/autoclean.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.008
Release: alt1
Summary: Ensure the author is releasing using the latest Perl
Group: Development/Perl
License: perl
URL: https://github.com/karenetheridge/Dist-Zilla-Plugin-EnsureLatestPerl

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/E/ET/ETHER/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
=for Pod::Coverage before_release

This is a the Dist::Zilla manpage plugin that aborts the `dzil release' process unless the latest perl is being used for
the release. "Latest" here is calculated as the latest point release in the latest stable or development Perl
lines -- for example, 5.24.1 (latest in the 5.24 series) or 5.25.12 (latest in the 5.25 series).
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/D*

%changelog
