%define module_name Dist-Zilla-Plugin-FFI
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Dist/Zilla/Plugin/ModuleBuildTiny.pm) perl(Dist/Zilla/Role/FileMunger.pm) perl(Dist/Zilla/Role/FilePruner.pm) perl(Dist/Zilla/Role/InstallTool.pm) perl(Dist/Zilla/Role/MetaProvider.pm) perl(Dist/Zilla/Role/PrereqSource.pm) perl(ExtUtils/MakeMaker.pm) perl(FFI/Build/MM.pm) perl(FFI/CheckLib.pm) perl(JSON/PP.pm) perl(List/Util.pm) perl(Moose.pm) perl(Path/Tiny.pm) perl(Test/DZil.pm) perl(Test2/V0.pm) perl(namespace/autoclean.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.04
Release: alt1
Summary: FFI related Dist::Zilla plugins
Group: Development/Perl
License: perl
URL: https://metacpan.org/pod/Dist::Zilla::Plugin::FFI

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PL/PLICEASE/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This distribution contains some useful plugins for working with FFI::Platypus and friends.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes.Dist-Zilla-Plugin-FFI-CheckLib LICENSE Changes author.yml
%perl_vendor_privlib/D*

%changelog
