# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Encode.pm) perl(ExtUtils/MakeMaker.pm) perl(File/ShareDir.pm) perl(Moose.pm) perl(Moose/Util.pm) perl(Moose/Util/TypeConstraints.pm) perl(Path/Tiny.pm) perl(Test/Deep.pm) perl(Test/More.pm) perl(if.pm) perl(namespace/autoclean.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define upstream_name Dist-Zilla-Plugin-GenerateFile-ShareDir
%define upstream_version 0.006

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%{upstream_version}
Release:	alt1_5

Summary:	Create files in the build, based on a template located in a dist sharedir
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(Module/Build.pm)
BuildRequires:	perl(MooseX/SlurpyConstructor.pm)
BuildRequires:	perl(Test/DZil.pm)
BuildRequires:	perl(Test/File/ShareDir.pm)

BuildArch:	noarch
Source44: import.info

%description
Create files in the build, based on a template located in a dist sharedir.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}


%build
/usr/bin/perl Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml  README
%{perl_vendor_privlib}/*


%changelog
