%define module_version 0.015
%define module_name Dist-Zilla-Plugin-ModuleBuildTiny
# BEGIN SourceDeps(oneline):
BuildRequires: perl(CPAN/Meta.pm) perl(Dist/Zilla.pm) perl(Dist/Zilla/File/InMemory.pm) perl(Dist/Zilla/Role/BuildPL.pm) perl(Dist/Zilla/Role/FileGatherer.pm) perl(Dist/Zilla/Role/MetaProvider.pm) perl(Dist/Zilla/Role/PrereqSource.pm) perl(Dist/Zilla/Role/TextTemplate.pm) perl(List/Util.pm) perl(Module/Build/Tiny.pm) perl(Module/Metadata.pm) perl(Moose.pm) perl(Moose/Util/TypeConstraints.pm) perl(MooseX/Types/Perl.pm) perl(Path/Tiny.pm) perl(Test/DZil.pm) perl(Test/Deep.pm) perl(Test/Fatal.pm) perl(Test/More.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.015
Release: alt1
Summary: Build a Build.PL that uses Module::Build::Tiny
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/L/LE/LEONT/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
This plugin will create a Build.PL for installing the dist using the Module::Build::Tiny manpage.


%prep
%setup -q -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes LICENSE README
%perl_vendor_privlib/D*

%changelog
