%define module_name Dist-Zilla-Plugin-ModuleBuildTiny-Fallback
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Devel/CheckBin.pm) perl(Dist/Zilla/Plugin/ModuleBuild.pm) perl(Dist/Zilla/Plugin/ModuleBuildTiny.pm) perl(Dist/Zilla/Role/BeforeBuild.pm) perl(Dist/Zilla/Role/BuildPL.pm) perl(Dist/Zilla/Role/FileGatherer.pm) perl(Dist/Zilla/Role/FileMunger.pm) perl(Dist/Zilla/Role/PrereqSource.pm) perl(File/Spec.pm) perl(File/pushd.pm) perl(List/Util.pm) perl(Module/Build.pm) perl(Module/Build/Tiny.pm) perl(Module/Metadata.pm) perl(Moose.pm) perl(Moose/Util.pm) perl(MooseX/Types.pm) perl(MooseX/Types/Moose.pm) perl(Path/Tiny.pm) perl(Scalar/Util.pm) perl(Test/DZil.pm) perl(Test/Deep.pm) perl(Test/Fatal.pm) perl(Test/More.pm) perl(Test/Needs.pm) perl(Test/Warnings.pm) perl(if.pm) perl(namespace/autoclean.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.025
Release: alt1
Summary: Build a Build.PL that uses Module::Build::Tiny, falling back to Module::Build as needed
Group: Development/Perl
License: perl
URL: https://github.com/karenetheridge/Dist-Zilla-Plugin-ModuleBuildTiny-Fallback

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/E/ET/ETHER/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
From summary: %summary

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_privlib/D*

%changelog
