%define module_name Dist-Zilla-Plugin-PPPort
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Devel/PPPort.pm) perl(Dist/Zilla/File/InMemory.pm) perl(Dist/Zilla/Role/AfterBuild.pm) perl(Dist/Zilla/Role/FileGatherer.pm) perl(Dist/Zilla/Role/PrereqSource.pm) perl(File/Spec/Functions.pm) perl(File/pushd.pm) perl(Module/Build/Tiny.pm) perl(Moose.pm) perl(Moose/Util/TypeConstraints.pm) perl(MooseX/Types/Perl.pm) perl(MooseX/Types/Stringlike.pm) perl(Path/Class.pm) perl(Test/DZil.pm) perl(Test/More.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.008
Release: alt1
Summary: PPPort for Dist::Zilla
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/L/LE/LEONT/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This module adds a PPPort file to your distribution. By default it's called `ppport.h', but you can name differently.

=for Pod::Coverage gather_files
=end


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README LICENSE Changes
%perl_vendor_privlib/D*

%changelog
