# BEGIN SourceDeps(oneline):
BuildRequires: perl(Dist/Zilla.pm) perl(Dist/Zilla/Role/AfterBuild.pm) perl(Dist/Zilla/Role/BeforeRelease.pm) perl(Dist/Zilla/Role/MetaProvider.pm) perl(File/Spec.pm) perl(Module/Build.pm) perl(Module/Build/Tiny.pm) perl(Module/Metadata.pm) perl(Moose.pm) perl(Path/Tiny.pm) perl(Test/DZil.pm) perl(Test/Deep.pm) perl(Test/Fatal.pm) perl(Test/More.pm) perl(if.pm) perl(namespace/autoclean.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define module_name Dist-Zilla-Plugin-UseUnsafeInc
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.001
Release: alt1
Summary: Indicates the value of PERL_USE_UNSAFE_INC to use during installation
Group: Development/Perl
License: perl
URL: https://github.com/karenetheridge/Dist-Zilla-Plugin-UseUnsafeInc

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/E/ET/ETHER/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
=for Pod::Coverage metadata after_build before_release

This is a the Dist::Zilla manpage plugin that populates the `x_use_unsafe_inc' key in your distribution metadata. This
indicates to components of the toolchain that `PERL_USE_UNSAFE_INC' should be set to a certain value during
installation and testing, overriding any previous setting e.g. from the environment or from other tools.

The environment variable is also set in the Dist::Zilla manpage while building and testing the distribution, to ensure
that local testing behaves in an expected fashion.

Additionally, the release must be performed using a Perl version that supports `PERL_USE_UNSAFE_INC', to further
guarantee test integrity.


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/D*

%changelog
