%define module_name Dist-Zilla-PluginBundle-Author-OALDERS
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Code/TidyAll/Config/INI/Reader.pm) perl(Code/TidyAll/Plugin/SortLines/Naturally.pm) perl(Code/TidyAll/Plugin/UniqueLines.pm) perl(Dist/Zilla/Plugin/AutoPrereqs.pm) perl(Dist/Zilla/Plugin/CPANFile.pm) perl(Dist/Zilla/Plugin/CheckChangesHasContent.pm) perl(Dist/Zilla/Plugin/CheckIssues.pm) perl(Dist/Zilla/Plugin/ConfirmRelease.pm) perl(Dist/Zilla/Plugin/ContributorsFile.pm) perl(Dist/Zilla/Plugin/CopyFilesFromBuild.pm) perl(Dist/Zilla/Plugin/CopyFilesFromRelease.pm) perl(Dist/Zilla/Plugin/ExecDir.pm) perl(Dist/Zilla/Plugin/Git/Check.pm) perl(Dist/Zilla/Plugin/Git/Commit.pm) perl(Dist/Zilla/Plugin/Git/Contributors.pm) perl(Dist/Zilla/Plugin/Git/GatherDir.pm) perl(Dist/Zilla/Plugin/Git/Push.pm) perl(Dist/Zilla/Plugin/Git/Tag.pm) perl(Dist/Zilla/Plugin/GithubMeta.pm) perl(Dist/Zilla/Plugin/InstallGuide.pm)
BuildRequires: perl(Dist/Zilla/Plugin/License.pm) perl(Dist/Zilla/Plugin/MakeMaker.pm) perl(Dist/Zilla/Plugin/Manifest.pm) perl(Dist/Zilla/Plugin/ManifestSkip.pm) perl(Dist/Zilla/Plugin/MetaConfig.pm) perl(Dist/Zilla/Plugin/MetaJSON.pm) perl(Dist/Zilla/Plugin/MetaNoIndex.pm) perl(Dist/Zilla/Plugin/MetaResources.pm) perl(Dist/Zilla/Plugin/MetaYAML.pm) perl(Dist/Zilla/Plugin/MinimumPerl.pm) perl(Dist/Zilla/Plugin/MojibakeTests.pm) perl(Dist/Zilla/Plugin/PodCoverageTests.pm) perl(Dist/Zilla/Plugin/PodWeaver.pm) perl(Dist/Zilla/Plugin/Prereqs.pm) perl(Dist/Zilla/Plugin/PromptIfStale.pm) perl(Dist/Zilla/Plugin/PruneCruft.pm) perl(Dist/Zilla/Plugin/ReadmeAnyFromPod.pm) perl(Dist/Zilla/Plugin/RunExtraTests.pm) perl(Dist/Zilla/Plugin/ShareDir.pm) perl(Dist/Zilla/Plugin/StaticInstall.pm) perl(Dist/Zilla/Plugin/Test/CPAN/Changes.pm)
BuildRequires: perl(Dist/Zilla/Plugin/Test/EOL.pm) perl(Dist/Zilla/Plugin/Test/Pod/Coverage/Configurable.pm) perl(Dist/Zilla/Plugin/Test/PodSpelling.pm) perl(Dist/Zilla/Plugin/Test/Portability.pm) perl(Dist/Zilla/Plugin/Test/ReportPrereqs.pm) perl(Dist/Zilla/Plugin/Test/Synopsis.pm) perl(Dist/Zilla/Plugin/Test/TidyAll.pm) perl(Dist/Zilla/Plugin/Test/Version.pm) perl(Dist/Zilla/Plugin/TestRelease.pm) perl(Dist/Zilla/Plugin/TravisCI/StatusBadge.pm) perl(Dist/Zilla/Plugin/UploadToCPAN.pm) perl(Dist/Zilla/PluginBundle/Git/VersionManager.pm) perl(Dist/Zilla/Role/BeforeBuild.pm) perl(Dist/Zilla/Role/PluginBundle/Config/Slicer.pm) perl(Dist/Zilla/Role/PluginBundle/Easy.pm) perl(Dist/Zilla/Role/PluginBundle/PluginRemover.pm) perl(Dist/Zilla/Role/TextTemplate.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(IO/Handle.pm)
BuildRequires: perl(IPC/Open3.pm) perl(List/AllUtils.pm) perl(List/Util.pm) perl(Moose.pm) perl(Path/Iterator/Rule.pm) perl(Path/Tiny.pm) perl(Perl/Critic/Freenode.pm) perl(Perl/Critic/Moose.pm) perl(Perl/Tidy.pm) perl(Pod/Elemental/Transformer/List.pm) perl(Sort/ByExample.pm) perl(Test/Code/TidyAll.pm) perl(Test/More.pm) perl(Types/Path/Tiny.pm) perl(Types/Standard.pm) perl(autodie.pm) perl(feature.pm) perl(namespace/autoclean.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.000029
Release: alt1
Summary: A plugin bundle for distributions built by OALDERS
Group: Development/Perl
License: perl
URL: https://github.com/oalders/dist-zilla-pluginbundle-author-oalders

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/O/OA/OALDERS/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
NAME
    Dist::Zilla::PluginBundle::Author::OALDERS - A plugin bundle for
    distributions built by OALDERS

VERSION
    version 0.000003

  configure
    No docs for the time being, but you can see the bundled plugin by
    checking c<configure()> in the module source.

SEE ALSO
    I used <https://metacpan.org/pod/Dist::Zilla::PluginBundle::RJBS> and

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes CONTRIBUTORS LICENSE README.md
%perl_vendor_privlib/D*

%changelog
