%define module_name Dist-Zilla-PluginBundle-DROLSKY
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Capture/Tiny.pm) perl(Devel/PPPort.pm) perl(Dist/Zilla.pm) perl(Dist/Zilla/File/InMemory.pm) perl(Dist/Zilla/Plugin/Authority.pm) perl(Dist/Zilla/Plugin/AutoPrereqs.pm) perl(Dist/Zilla/Plugin/BumpVersionAfterRelease.pm) perl(Dist/Zilla/Plugin/CPANFile.pm) perl(Dist/Zilla/Plugin/CheckPrereqsIndexed.pm) perl(Dist/Zilla/Plugin/CheckSelfDependency.pm) perl(Dist/Zilla/Plugin/CheckStrictVersion.pm) perl(Dist/Zilla/Plugin/CheckVersionIncrement.pm) perl(Dist/Zilla/Plugin/CopyFilesFromBuild.pm) perl(Dist/Zilla/Plugin/EnsureChangesHasContent.pm) perl(Dist/Zilla/Plugin/GenerateFile/FromShareDir.pm) perl(Dist/Zilla/Plugin/Git/Check.pm) perl(Dist/Zilla/Plugin/Git/CheckFor/CorrectBranch.pm) perl(Dist/Zilla/Plugin/Git/CheckFor/MergeConflicts.pm) perl(Dist/Zilla/Plugin/Git/Commit.pm) perl(Dist/Zilla/Plugin/Git/Contributors.pm)
BuildRequires: perl(Dist/Zilla/Plugin/Git/GatherDir.pm) perl(Dist/Zilla/Plugin/Git/Push.pm) perl(Dist/Zilla/Plugin/Git/Tag.pm) perl(Dist/Zilla/Plugin/GitHub/Meta.pm) perl(Dist/Zilla/Plugin/GitHub/Update.pm) perl(Dist/Zilla/Plugin/InstallGuide.pm) perl(Dist/Zilla/Plugin/MakeMaker/Awesome.pm) perl(Dist/Zilla/Plugin/Meta/Contributors.pm) perl(Dist/Zilla/Plugin/MetaConfig.pm) perl(Dist/Zilla/Plugin/MetaJSON.pm) perl(Dist/Zilla/Plugin/MetaProvides/Package.pm) perl(Dist/Zilla/Plugin/MetaResources.pm) perl(Dist/Zilla/Plugin/MojibakeTests.pm) perl(Dist/Zilla/Plugin/NextRelease.pm) perl(Dist/Zilla/Plugin/PPPort.pm) perl(Dist/Zilla/Plugin/PodSyntaxTests.pm) perl(Dist/Zilla/Plugin/PodWeaver.pm) perl(Dist/Zilla/Plugin/PromptIfStale.pm) perl(Dist/Zilla/Plugin/ReadmeAnyFromPod.pm) perl(Dist/Zilla/Plugin/RunExtraTests.pm)
BuildRequires: perl(Dist/Zilla/Plugin/SurgicalPodWeaver.pm) perl(Dist/Zilla/Plugin/Test/CPAN/Changes.pm) perl(Dist/Zilla/Plugin/Test/CPAN/Meta/JSON.pm) perl(Dist/Zilla/Plugin/Test/CleanNamespaces.pm) perl(Dist/Zilla/Plugin/Test/Compile.pm) perl(Dist/Zilla/Plugin/Test/EOL.pm) perl(Dist/Zilla/Plugin/Test/NoTabs.pm) perl(Dist/Zilla/Plugin/Test/Pod/Coverage/Configurable.pm) perl(Dist/Zilla/Plugin/Test/PodSpelling.pm) perl(Dist/Zilla/Plugin/Test/Portability.pm) perl(Dist/Zilla/Plugin/Test/ReportPrereqs.pm) perl(Dist/Zilla/Plugin/Test/Synopsis.pm) perl(Dist/Zilla/Plugin/Test/Version.pm) perl(Dist/Zilla/Plugin/VersionFromMainModule.pm) perl(Dist/Zilla/Role/BeforeBuild.pm) perl(Dist/Zilla/Role/FileGatherer.pm) perl(Dist/Zilla/Role/LicenseProvider.pm) perl(Dist/Zilla/Role/Plugin.pm) perl(Dist/Zilla/Role/PluginBundle/Config/Slicer.pm)
BuildRequires: perl(Dist/Zilla/Role/PluginBundle/Easy.pm) perl(Dist/Zilla/Role/PluginBundle/PluginRemover.pm) perl(Dist/Zilla/Role/TextTemplate.pm) perl(ExtUtils/MakeMaker.pm) perl(File/ShareDir/Install.pm) perl(File/Spec.pm) perl(File/Which.pm) perl(List/Util.pm) perl(Module/Runtime.pm) perl(Moose.pm) perl(Moose/Role.pm) perl(MooseX/Meta/TypeConstraint/Mooish.pm) perl(PadWalker.pm) perl(Path/Tiny.pm) perl(Path/Tiny/Rule.pm) perl(Pod/Elemental/Transformer/List.pm) perl(Pod/Elemental/Transformer/Verbatim.pm) perl(Pod/Weaver/Config/Assembler.pm) perl(Pod/Weaver/Plugin/SingleEncoding.pm) perl(Pod/Weaver/Plugin/Transformer.pm) perl(Pod/Weaver/Section/AllowOverride.pm) perl(Pod/Weaver/Section/Authors.pm) perl(Pod/Weaver/Section/Collect.pm) perl(Pod/Weaver/Section/Contributors.pm) perl(Pod/Weaver/Section/GenerateSection.pm)
BuildRequires: perl(Pod/Weaver/Section/Generic.pm) perl(Pod/Weaver/Section/Leftovers.pm) perl(Pod/Weaver/Section/Legal.pm) perl(Pod/Weaver/Section/Name.pm) perl(Pod/Weaver/Section/Region.pm) perl(Pod/Weaver/Section/Version.pm) perl(Sort/ByExample.pm) perl(String/RewritePrefix.pm) perl(Test/More.pm) perl(autodie.pm) perl(namespace/autoclean.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.18
Release: alt1
Summary: DROLSKY's plugin bundle
Group: Development/Perl
License: artistic_2
URL: https://metacpan.org/release/Dist-Zilla-PluginBundle-DROLSKY

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/D/DR/DROLSKY/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
%summary

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.md Changes CONTRIBUTING.md LICENSE CODE_OF_CONDUCT.md
%perl_vendor_privlib/D*
%perl_vendor_privlib/auto/*
%perl_vendor_privlib/P*

%changelog
