# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Pod/Coverage/TrustPod.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define upstream_name    Dist-Zilla-PluginBundle-FAYLAND
%define upstream_version 0.16

# https://rt.cpan.org/Ticket/Display.html?id=66171
%global __requires_exclude perl\\(Dist::Zilla::Plugin::LoadTests\\)

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %{upstream_version}
Release:    alt1_2

Summary:    Dist::Zilla like FAYLAND when you build your dists
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist/Zilla.pm)
BuildRequires: perl(Dist/Zilla/Plugin/CheckChangeLog.pm)
BuildRequires: perl(Dist/Zilla/Plugin/Git/Contributors.pm)
BuildRequires: perl(Dist/Zilla/Plugin/PerlTidy.pm)
BuildRequires: perl(Dist/Zilla/Plugin/PodWeaver.pm)
BuildRequires: perl(Dist/Zilla/Plugin/ReadmeFromPod.pm)
BuildRequires: perl(Dist/Zilla/Plugin/Repository.pm)
BuildRequires: perl(Dist/Zilla/Plugin/Test/Compile.pm)
BuildRequires: perl(ExtUtils/MakeMaker.pm)
BuildRequires: perl(File/Spec.pm)
BuildRequires: perl(IO/Handle.pm)
BuildRequires: perl(IPC/Open3.pm)
BuildRequires: perl(Moose.pm)
BuildRequires: perl(Moose/Autobox.pm)
BuildRequires: perl(Test/More.pm)
BuildArch:  noarch
Source44: import.info

%description
no description found

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml  README
%{perl_vendor_privlib}/*

%changelog
