Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-EBook-EPUB
Version:        0.6
Release:        alt2_27
Summary:        Perl module for generating EPUB documents
License:        BSD
URL:            https://metacpan.org/release/EBook-EPUB
Source0:        https://cpan.metacpan.org/authors/id/O/OT/OTY/EBook-EPUB-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  rpm-build-perl
BuildRequires:  perl(Archive/Zip.pm)
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(Data/UUID.pm)
BuildRequires:  perl(Moose.pm)
BuildRequires:  perl(Test/More.pm)
BuildRequires:  perl(XML/Writer.pm)
BuildRequires:  perl(version.pm)


%{?perl_default_subpackage_tests}
Source44: import.info

%description
This module permits creating EPUB documents.

%prep
%setup -q -n EBook-EPUB-%{version}

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

# %{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc Changes README LICENSE
%{perl_vendor_privlib}/*

%changelog
