Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Test/NoTabs.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-ElasticSearch-SearchBuilder
Version:        0.19
Release:        alt2_21
Summary:        Perlish compact query language for ElasticSearch
License:        GPL+ or Artistic

URL:            https://metacpan.org/release/ElasticSearch-SearchBuilder
Source0:        https://cpan.metacpan.org/authors/id/D/DR/DRTECH/ElasticSearch-SearchBuilder-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  rpm-build-perl
BuildRequires:  perl(Carp.pm)
BuildRequires:  perl(Data/Dump.pm)
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(Scalar/Util.pm)
BuildRequires:  perl(Test/Deep.pm)
BuildRequires:  perl(Test/Differences.pm)
BuildRequires:  perl(Test/Exception.pm)
BuildRequires:  perl(Test/More.pm)
BuildRequires:  perl(Test/Pod.pm)
BuildRequires:  perl(Test/Pod/Coverage.pm)


Source44: import.info

%description
The Query DSL for ElasticSearch (see Query DSL), which is used to write
queries and filters, is simple but verbose, which can make it difficult to
write and understand large queries.

%prep
%setup -q -n ElasticSearch-SearchBuilder-%{version}
chmod 644 lib/ElasticSearch/SearchBuilder.pm

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;

# %{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc Changes LICENSE README
%{perl_vendor_privlib}/*

%changelog
