%define module_name Email-Sender-Transport-Mailgun
# BEGIN SourceDeps(oneline):
BuildRequires: perl(DateTime.pm) perl(Email/Sender.pm) perl(HTTP/Tiny.pm) perl(HTTP/Tiny/Multipart.pm) perl(IO/Socket/SSL.pm) perl(JSON/MaybeXS.pm) perl(Module/Build/Tiny.pm) perl(Moo.pm) perl(MooX/Types/MooseLike/Base.pm) perl(Test/Differences.pm) perl(Test/Fatal.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.02
Release: alt1
Summary: Mailgun transport for Email::Sender
Group: Development/Perl
License: perl
URL: https://github.com/sdt/Email-Sender-Transport-Mailgun

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/S/SD/SDT/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This transport delivers mail via Mailgun's messages.mime API.


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes LICENSE README.md
%perl_vendor_privlib/E*

%changelog
