%define module_name Encode-Simple
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(Encode.pm) perl(Encode/CN.pm) perl(Encode/JP.pm) perl(Encode/KR.pm) perl(Encode/TW.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(Test/More.pm) perl(Test/Requires.pm) perl(Test/Without/Module.pm) perl(Unicode/UTF8.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.000
Release: alt1
Summary: Encode and decode text, simply
Group: Development/Perl
License: artistic_2
URL: https://github.com/Grinnz/Encode-Simple

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/D/DB/DBOOK/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This module is a simple wrapper around the Encode manpage that presents the section on "encode" and
the section on "decode" functions with straightforward behavior and error handling. See
the Encode::Supported manpage for a list of supported encodings.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes LICENSE README CONTRIBUTING.md
%perl_vendor_privlib/E*

%changelog
