# BEGIN SourceDeps(oneline):
BuildRequires: perl(CPAN.pm) perl(Config.pm) perl(Cwd.pm) perl(Encode.pm) perl(ExtUtils/MM_Unix.pm) perl(ExtUtils/MakeMaker.pm) perl(ExtUtils/Manifest.pm) perl(File/Basename.pm) perl(File/Find.pm) perl(File/Spec.pm) perl(FileHandle.pm) perl(LWP/Simple.pm) perl(Module/Build.pm) perl(Net/FTP.pm) perl(Socket.pm) perl(Test/More.pm) perl(XSLoader.pm) perl(YAML.pm) perl(inc/Module/Install.pm) perl-Encode-devel
# END SourceDeps(oneline)
%define module_version 0.06
%define module_name Encode-VN
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.06
Release: alt6
Summary: Additional Vietnamese encodings
Group: Development/Perl
License: mit
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/J/JW/JWANG/%module_name-%module_version.tar.gz

%description
Perl 5.7.3 and later ship with an adequate set of Vietnamese encodings,.including the commonly used `VISCII' and `CP1258' (also known as
`MacVietnamese') encodings.

However, there are additional Vietnamese encodings that are used and may be
encountered; hence, this CPAN module tries to provide the rest of them.


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README LICENSE
%perl_vendor_archlib/E*
%perl_vendor_autolib/*

%changelog
