%define module_name Escape-Houdini
# BEGIN SourceDeps(oneline):
BuildRequires: perl(DynaLoader.pm) perl(Encode.pm) perl(Encode/CN.pm) perl(Encode/JP.pm) perl(Encode/KR.pm) perl(Encode/TW.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(HTML/Escape.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(Module/Build.pm) perl(Test/Exception.pm) perl(Test/More.pm) perl(URI/Escape/XS.pm) perl(parent.pm) perl(strict.pm) perl(utf8.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.3.3
Release: alt2
Summary: Perl API to Houdini, a zero-dependency C web escaping library
Group: Development/Perl
License: perl
URL: https://github.com/yanick/Escape-Houdini

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/Y/YA/YANICK/%{module_name}-%{version}.tar.gz

%description
%summary

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc CODE_OF_CONDUCT.md README.mkdn Changes AUTHOR_PLEDGE LICENSE CONTRIBUTORS
%perl_vendor_archlib/E*
%perl_vendor_autolib/*

%changelog
