%define module_name FFI-C
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Capture/Tiny.pm) perl(Class/Inspector.pm) perl(ExtUtils/MakeMaker.pm) perl(FFI/Platypus.pm) perl(FFI/Platypus/Memory.pm) perl(FFI/Platypus/Record.pm) perl(FFI/Platypus/Type/Enum.pm) perl(Ref/Util.pm) perl(Sub/Identify.pm) perl(Sub/Install.pm) perl(Sub/Util.pm) perl(Test2/V0.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.08
Release: alt2
Summary: C data types for FFI
Group: Development/Perl
License: perl
URL: https://metacpan.org/pod/FFI::C

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PL/PLICEASE/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This distribution provides tools for building classes to interface for common C
data types.  Arrays, `struct', `union' and nested types based on those are
supported.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE Changes README author.yml examples
%perl_vendor_privlib/F*

%changelog
