%define module_name FFI-ExtractSymbols
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(FFI/Build.pm) perl(FFI/CheckLib.pm) perl(FFI/Platypus.pm) perl(File/ShareDir/Dist.pm) perl(File/ShareDir/Dist/Install.pm) perl(File/Which.pm) perl(Test/More.pm) perl(base.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.05
Release: alt1
Summary: Extract symbol names from a shared object or DLL
Group: Development/Perl
License: perl
URL: https://metacpan.org/pod/FFI::ExtractSymbols

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PL/PLICEASE/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This module extracts the symbol names from a DLL or shared object.  The 
method used depends on the platform.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README LICENSE author.yml Changes
%perl_vendor_privlib/F*
%perl_vendor_privlib/auto/*

%changelog
