%define module_name FFI-Platypus-Lang-Fortran
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Capture/Tiny.pm) perl(Config.pm) perl(Exporter.pm) perl(FFI/Build.pm) perl(FFI/CheckLib.pm) perl(FFI/Platypus.pm) perl(File/Spec.pm) perl(File/Which.pm) perl(FindBin.pm) perl(Module/Build.pm) perl(Module/Build/FFI.pm) perl(Pod/Abstract.pm) perl(Pod/Simple/Text.pm) perl(Test/More.pm) perl(Text/ParseWords.pm) perl(autodie.pm) perl(base.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.11
Release: alt1
Summary: Documentation and tools for using Platypus with Fortran
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PL/PLICEASE/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
From summary: %summary

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc SUPPORT CONTRIBUTING LICENSE README Changes examples
%perl_vendor_privlib/F*
%perl_vendor_privlib/M*

%changelog
