%define module_version 0.32
%define module_name FFI-Raw
# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++ libffi-devel libsowing-devel perl(Alien/MSYS.pm) perl(Config.pm) perl(Devel/CheckLib.pm) perl(DynaLoader.pm) perl(Env.pm) perl(ExtUtils/CBuilder.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Basename.pm) perl(File/Copy.pm) perl(File/Spec.pm) perl(File/Temp.pm) perl(FindBin.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(Math/BigInt.pm) perl(Moose.pm) perl(POSIX.pm) perl(Pod/Coverage/TrustPod.pm) perl(Test/More.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(Text/ParseWords.pm) perl(XSLoader.pm) perl(base.pm) perl(bigint.pm) perl(lib.pm) perl(overload.pm) perl(strict.pm) perl(warnings.pm) pkgconfig(libffi)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.32
Release: alt6
Summary: Perl bindings to the portable FFI library (libffi)
Group: Development/Perl
License: perl
URL: http://metacpan.org/release/FFI-Raw/

Source0: http://cpan.org.ua/authors/id/A/AL/ALEXBIO/%{module_name}-%{module_version}.tar.gz

%description
From summary: %summary

%prep
%setup -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes LICENSE README
%perl_vendor_archlib/F*
%perl_vendor_autolib/*

%changelog
