%define module_name File-Rename
# BEGIN SourceDeps(oneline):
BuildRequires: perl(File/Temp.pm) perl(Getopt/Long.pm) perl(Module/Build.pm) perl(Perl/OSType.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.20
Release: alt1
Summary: Perl extension for renaming multiple files
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/R/RM/RMBARKER/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
=over 4

=item `rename( FILES, CODE [, VERBOSE])'

rename FILES using CODE,
if FILES is empty read list of files from stdin

=item `rename_files( CODE, VERBOSE, FILES)'

rename FILES using CODE

=item `rename_list( CODE, VERBOSE, HANDLE [, FILENAME])'

rename a list of file read from HANDLE, using CODE

=back

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README CONTRIBUTING examples
%perl_vendor_privlib/F*
%exclude %_bindir/*
%exclude %_man1dir/*

%changelog
