%define module_name File-Slurper-Shortcuts
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Slurper.pm) perl(File/Spec.pm) perl(File/Temp.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(Pod/Coverage/TrustPod.pm) perl(Test/Exception.pm) perl(Test/More.pm) perl(Test/Perl/Critic.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.003
Release: alt1
Summary: Some convenience additions for File::Slurper
Group: Development/Perl
License: perl
URL: https://metacpan.org/release/File-Slurper-Shortcuts

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PE/PERLANCAR/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
FUNCTIONS
  replace_text
    Usage:

     replace_text($filename, $code, $encoding, $crlf);

    This is like File::Slurper's "write_text" except that instead of
    $content in the second argument, this routine accepts $code. Code should
    modify $_ (which contains the content of the file) and return true. This
    routine will die if: file can't be read with "read_text()", code does
    not return true, file can't be written to with "write_text()".

  replace_binary

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes LICENSE
%perl_vendor_privlib/F*

%changelog
