%define module_name File-Sticker
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(DBD/SQLite.pm) perl(DBI.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Basename.pm) perl(File/ExtAttr.pm) perl(File/LibMagic.pm) perl(File/Spec.pm) perl(Getopt/ArgvFile.pm) perl(Getopt/Long.pm) perl(Hash/Merge.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(Image/ExifTool.pm) perl(MP3/Tag.pm) perl(Module/Build.pm) perl(Module/Pluggable.pm) perl(POSIX.pm) perl(Path/Tiny.pm) perl(Pod/Coverage/TrustPod.pm) perl(Pod/Usage.pm) perl(Search/Query.pm) perl(String/CamelCase.pm) perl(Test/CPAN/Meta.pm) perl(Test/More.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(YAML/Any.pm) perl(common/sense.pm) perl(parent.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.0603
Release: alt1
Summary: Read, Write file meta-data
Group: Development/Perl
License: perl
URL: https://github.com/rubykat/File-Sticker

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/R/RU/RUBYKAT/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This will read and write meta-data from files, in a standardized manner.
And update a database with that information.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %EVR

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes LICENSE
%perl_vendor_privlib/F*

%files scripts
%_man1dir/*
%_bindir/*

%changelog
