%define module_name Finance-AMEX-Transaction
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(JSON.pm) perl(Test/More.pm) perl(Text/CSV.pm) perl(base.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.003
Release: alt1
Summary: Parse AMEX transaction files: EPRAW, EPPRC, EPTRN, CBNOT, GRRCN
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/T/TH/THINC/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This module parses AMEX transaction files and returns object that are appropriate for the line that it was asked to parse.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE Changes README
%perl_vendor_privlib/F*

%changelog
