%define module_name Forks-Super
# BEGIN SourceDeps(oneline):
BuildRequires: libsowing-devel perl(CPAN.pm) perl(ExtUtils/MakeMaker.pm) perl(Math/BigInt.pm) perl(Module/Build.pm) perl(Module/Build/ConfigData.pm) perl(Test/More.pm) perl(Time/HiRes.pm) perl(URI.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.97
Release: alt2
Summary: extensions and convenience methods to manage background processes
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/M/MO/MOB/%{module_name}-%{version}.tar.gz

%description
This package provides new definitions for the Perl functions
fork, wait, and
waitpid with richer functionality.
The new features are designed to make it more convenient to
spawn background processes and more convenient to manage them
to get the most out of your system's resources.


%prep
%setup -q -n %{module_name}-%{version}

if [ %version = 0.97 ]; then
# sysread() isn't allowed on :utf8 handles
rm t/44l-pipes.t
fi

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README.windows TODO-1.0 TODO README examples
%perl_vendor_autolib/*
%perl_vendor_privlib/S*
%perl_vendor_privlib/F*

%changelog
