# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Errno.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define upstream_name    FurlX-Coro
%define upstream_version 1.02

Name:       perl-%{upstream_name}
Version:    %{upstream_version}
Release:    alt2_8

Summary:    Furl::HTTP wrapper for FurlX::COro
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/FurlX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(AnyEvent.pm)
BuildRequires: perl(CPAN/Meta.pm)
BuildRequires: perl(CPAN/Meta/Prereqs.pm)
BuildRequires: perl(Coro.pm)
BuildRequires: perl(Coro/AnyEvent.pm)
BuildRequires: perl(Furl.pm)
BuildRequires: perl(Module/Build.pm)
BuildRequires: perl(Module/Build/Pluggable.pm)
BuildRequires: perl(Module/Build/Pluggable/CPANfile.pm)
BuildRequires: perl(Module/Build/Pluggable/GithubMeta.pm)
BuildRequires: perl(Test/More.pm)
BuildRequires: perl(Test/Requires.pm)
BuildRequires: perl(parent.pm)
BuildArch:  noarch
Source44: import.info

%description
This is a wrapper to 'Furl' for asynchronous HTTP requests with 'Coro'.

This is an experimental module!

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
/usr/bin/perl Build.PL installdirs=vendor
./Build CFLAGS="%{optflags}"

%check
./Build test

%install
./Build install destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml  example
%perl_vendor_privlib/*


%changelog
