%define module_name Future-Mojo
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(File/Spec.pm) perl(Future.pm) perl(Module/Build.pm) perl(Module/Build/Tiny.pm) perl(Module/Metadata.pm) perl(Mojolicious.pm) perl(Role/Tiny.pm) perl(Scalar/Util.pm) perl(Test/Identity.pm) perl(Test/More.pm) perl(Test/Needs.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.002
Release: alt1
Summary: use Future with Mojo::IOLoop
Group: Development/Perl
License: artistic_2
URL: https://github.com/Grinnz/Future-Mojo

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/D/DB/DBOOK/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This subclass of the Future manpage stores a reference to the associated the Mojo::IOLoop manpage
instance, allowing the `await' method to block until the Future is ready.

For a full description on how to use Futures, see the the Future manpage documentation.


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README LICENSE CONTRIBUTING.md
%perl_vendor_privlib/F*

%changelog
