%define module_name Game-RaycastFOV
# BEGIN SourceDeps(oneline):
BuildRequires: libsowing-devel perl(CPAN/Meta.pm) perl(ExtUtils/CBuilder.pm) perl(Math/Trig.pm) perl(Module/Build.pm) perl(Test/More.pm) perl(Test/Most.pm) perl(strict.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 2.02
Release: alt2
Summary: raycast field-of-view and related routines
Group: Development/Perl
License: bsd
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/J/JM/JMATES/%{module_name}-%{version}.tar.gz

%description
This module contains various subroutines for fast integer calculation of
lines and circles (and a slow one, too) that help perform Field Of View
(FOV) calculations to show what cells are visible from a given cell via
raycasting out from that cell. Raycasting visits adjacent squares lots
especially as the FOV grows so will benefit from caching and more
closed-in than open level layouts.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README LICENSE
%perl_vendor_archlib/G*
%perl_vendor_autolib/*

%changelog
