%define module_name Games-ABC_Path-Generator
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(Class/XSAccessor.pm) perl(File/Spec.pm) perl(Games/ABC_Path/Solver/Base.pm) perl(Games/ABC_Path/Solver/Board.pm) perl(Games/ABC_Path/Solver/Constants.pm) perl(Games/ABC_Path/Solver/Coord.pm) perl(Getopt/Long.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(Module/Build.pm) perl(Pod/Usage.pm) perl(Test/Differences.pm) perl(Test/More.pm) perl(Test/Run/CmdLine/Iface.pm) perl(integer.pm) perl(parent.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.4.3
Release: alt1
Summary: A generator for ABC Path puzzle games
Group: Development/Perl
License: mit
URL: http://www.shlomifish.org/open-source/projects/japanese-puzzle-games/abc-path/

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/S/SH/SHLOMIF/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
ABC Path puzzle games are puzzle games where one is given a 5*5 grid which
should contain a consecutive path of the letters from 'A' to 'Y' (with vertical,
horizontal, diagonal, or anti-diagonal steps). The position of the letter 'A'
is given, and two letters are given for each of the columns, rows, main
diagonal and main anti-diagonal, which can appear anywhere there.

ABC Path can be played online at http://www.brainbashers.com/abcpath.asp .

This package is a generator for ABC Path games, and it generates a different
layout with different clues for every random number generator seed.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %{?epoch:%epoch:}%name = %version-%release

%description scripts
scripts for %module_name


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build --install_path bindoc=%_man1dir

%install
%perl_vendor_install

%files
%doc Changes LICENSE README
%perl_vendor_privlib/G*

%files scripts
%_man1dir/*
%_bindir/*
%changelog
