%define module_name Geo-Address-Formatter
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Clone.pm) perl(Data/Dumper.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Basename.pm) perl(File/Find/Rule.pm) perl(File/Slurper.pm) perl(File/Spec.pm) perl(Ref/Util.pm) perl(Scalar/Util.pm) perl(Test/Exception.pm) perl(Test/More.pm) perl(Test/Perl/Critic.pm) perl(Test/Warn.pm) perl(Text/Hogan.pm) perl(Try/Catch.pm) perl(YAML/LibYAML.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.95
Release: alt1
Summary: take structured address data and format it according to the various global/country rules
Group: Development/Perl
License: perl
URL: https://github.com/OpenCageData/perl-Geo-Address-Formatter

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/E/ED/EDF/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
From summary: %summary

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc SECURITY.md CHANGES README README.md LICENSE
%perl_vendor_privlib/G*

%changelog
