%define module_name Geo-Coder-GooglePlaces
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(Digest/HMAC_SHA1.pm) perl(Encode.pm) perl(Encode/CN.pm) perl(Encode/JP.pm) perl(Encode/KR.pm) perl(Encode/TW.pm) perl(ExtUtils/MakeMaker.pm) perl(HTTP/Request.pm) perl(JSON.pm) perl(LWP/UserAgent.pm) perl(MIME/Base64.pm) perl(Test/CleanNamespaces.pm) perl(Test/Distribution.pm) perl(Test/EOL.pm) perl(Test/Kwalitee.pm) perl(Test/Most.pm) perl(Test/NoWarnings.pm) perl(Test/Number/Delta.pm) perl(Test/Perl/Metrics/Simple.pm) perl(URI.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.04
Release: alt1
Summary: Google Maps Geocoding API
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/N/NH/NHORNE/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Geo::Coder::GooglePlaces provides a geocoding functionality using Google Maps API.

See the Geo::Coder::GooglePlaces::V3 manpage for usage.
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README.md README
%perl_vendor_privlib/G*

%changelog
