%define module_name Geo-Coder-List
# BEGIN SourceDeps(oneline):
BuildRequires: perl(CHI.pm) perl(Carp.pm) perl(ExtUtils/MakeMaker.pm) perl(Geo/Coder/Bing.pm) perl(Geo/Coder/CA.pm) perl(Geo/Coder/DataScienceToolkit.pm) perl(Geo/Coder/Free.pm) perl(Geo/Coder/GeocodeFarm.pm) perl(Geo/Coder/Google/V3.pm) perl(Geo/Coder/GooglePlaces.pm) perl(Geo/Coder/GooglePlaces/V3.pm) perl(Geo/Coder/OSM.pm) perl(Geo/Coder/OpenCage.pm) perl(Geo/Coder/Ovi.pm) perl(Geo/Coder/Postcodes.pm) perl(Geo/Coder/RandMcnally.pm) perl(Geo/Coder/US.pm) perl(Geo/Coder/US/Census.pm) perl(Geo/Coder/XYZ.pm) perl(Geo/GeoNames.pm) perl(HTML/Entities.pm) perl(LWP.pm) perl(LWP/Protocol/https.pm) perl(LWP/UserAgent/Throttled.pm) perl(Test/Deep.pm) perl(Test/Distribution.pm) perl(Test/Kwalitee.pm) perl(Test/LWP/UserAgent.pm) perl(Test/Most.pm) perl(Test/NoWarnings.pm) perl(Test/Number/Delta.pm) perl(Time/HiRes.pm)
BuildRequires: perl(autodie.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.27
Release: alt1
Summary: Call many geocoders
Group: Development/Perl
License: open_source
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/N/NH/NHORNE/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
the Geo::Coder::All manpage and the Geo::Coder::Many manpage are great routines but neither quite does what I want.
This module's primary use is to allow many backends to be used by the HTML::GoogleMaps::V3 manpage

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc ignore.txt README Changes README.md LICENSE
%perl_vendor_privlib/G*

%changelog
