BuildRequires: perl(Inline/C.pm)
# BEGIN SourceDeps(oneline):
BuildRequires: perl(CPAN.pm) perl(Exporter.pm) perl(ExtUtils/MM_Unix.pm) perl(ExtUtils/MakeMaker.pm) perl(Inline.pm) perl(Test/More.pm) perl(YAML.pm) perl(inc/Module/Install.pm)
# END SourceDeps(oneline)
%define module_version 0.12
%define module_name Geo-Dymaxion
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.12
Release: alt6
Summary: Plot latitude/longitude on a Fuller Dymaxion(tm) map
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/S/SD/SDERLE/%{module_name}-%{module_version}.tar.gz

%description
`Geo::Dymaxion' allows you to draw points on Dymaxion(tm) maps using
latitude and longitude data, which turns out to be quite difficult and
requires some tricky trigonometry.  This module strives to hide away
all the ugly math and allow you to concentrate on drawing your map.

The Dymaxion(tm), or Fuller, projection was invented by R. Buckminster
Fuller in 1954, and is "the only flat map of the entire surface
of the Earth which reveals our planet as one island in one ocean,
without any visually obvious distortion of the relative shapes and
sizes of the land areas, and without splitting any continents." See
http://www.bfi.org/map.htm for more details.


%prep
%setup -n %{module_name}-%{module_version}
mkdir Geo
cp Dymaxion.pm Geo/

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_archlib/G*
%perl_vendor_autolib/G*

%changelog
