# BEGIN SourceDeps(oneline):
BuildRequires: perl(Archive/Zip.pm) perl(DateTime.pm) perl(ExtUtils/MakeMaker.pm) perl(IO/Scalar.pm) perl(Method/Autoload.pm) perl(Module/Pluggable.pm) perl(Package/New.pm) perl(Scalar/Util.pm) perl(Test/More.pm) perl(Test/Simple.pm) perl(XML/LibXML/LazyBuilder.pm) perl(base.pm)
# END SourceDeps(oneline)
%define module_version 0.15
%define module_name Geo-GoogleEarth-Pluggable
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.15
Release: alt1
Summary: Generates GoogleEarth Documents
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/M/MR/MRDVT/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
Geo::GoogleEarth::Pluggable is a Perl object oriented interface that allows for the creation of XML documents that can be used with Google Earth.

Geo::GoogleEarth::Pluggable (aka Document) is a the Geo::GoogleEarth::Pluggable::Folder manpage with a render method.

%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build INSTALLMAN1DIR=%_man1dir

%install
%perl_vendor_install

%files
%doc README LICENSE Changes Todo
%perl_vendor_privlib/G*

%changelog
