%define module_name Geo-IP2Proxy
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Exporter.pm) perl(Math/BigInt.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 3.20
Release: alt1
Summary: Reverse lookup IP address to detect VPN servers, open proxies, web proxies, Tor exit nodes and data...
Group: Development/Perl
License: see LICENSE
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/L/LO/LOCATION/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This Perl module provides fast reverse lookup of IP address to detect VPN servers, open proxies, web proxies, Tor exit nodes and data center ranges using IP2Proxy BIN database. This module uses a file based IP2Proxy .BIN database available at https://www.ip2location.com/proxy-database upon subscription. It supports both IPv4 and IPv6 addressing.
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes LICENSE
%perl_vendor_privlib/G*

%changelog
