%define module_name GeoIP2
# BEGIN SourceDeps(oneline):
BuildRequires: perl(B.pm) perl(Cpanel/JSON/XS.pm) perl(Data/Dumper.pm) perl(Data/Validate/IP.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Slurper.pm) perl(File/Spec.pm) perl(Getopt/Long.pm) perl(HTTP/Headers.pm) perl(HTTP/Request.pm) perl(HTTP/Response.pm) perl(HTTP/Status.pm) perl(IO/Compress/Gzip.pm) perl(JSON/MaybeXS.pm) perl(LWP/Protocol/https.pm) perl(LWP/UserAgent.pm) perl(List/SomeUtils.pm) perl(List/Util.pm) perl(MIME/Base64.pm) perl(Math/Int128.pm) perl(MaxMind/DB/Metadata.pm) perl(MaxMind/DB/Reader.pm) perl(Moo.pm) perl(Moo/Role.pm) perl(Net/Works/Network.pm) perl(Params/Validate.pm) perl(Path/Class.pm) perl(Scalar/Util.pm) perl(Sub/Quote.pm) perl(Test/Builder.pm) perl(Test/Fatal.pm) perl(Test/More.pm) perl(Test/Number/Delta.pm) perl(Throwable/Error.pm) perl(Try/Tiny.pm) perl(URI.pm)
BuildRequires: perl(autodie.pm) perl(base.pm) perl(lib.pm) perl(namespace/clean.pm) perl(strict.pm) perl(utf8.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 2.006002
Release: alt1
Summary: Perl API for MaxMind's GeoIP2 web services and databases
Group: Development/Perl
License: perl
URL: http://metacpan.org/release/GeoIP2

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/M/MA/MAXMIND/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This distribution provides an API for the GeoIP2
web services and
databases. The API also
works with the free
GeoLite2 databases.

See the GeoIP2::WebService::Client manpage for details on the web service client API
and the GeoIP2::Database::Reader manpage for the database API.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release

%description scripts
scripts for %module_name
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc CONTRIBUTING.md Changes README.md LICENSE
%perl_vendor_privlib/G*

%files scripts
%_bindir/*

%changelog
