%define module_name Getopt-Kingpin
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Capture/Tiny.pm) perl(Digest/MD5.pm) perl(Module/Build/Tiny.pm) perl(Object/Simple.pm) perl(Path/Tiny.pm) perl(Test/Exception.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.10
Release: alt1
Summary: command line options parser (like golang kingpin)
Group: Development/Perl
License: perl
URL: https://github.com/sago35/Getopt-Kingpin

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/T/TA/TAKASAGO/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Getopt::Kingpin is a command line parser.
It supports flags and positional arguments.

=over

=item *

Simple to use

=item *

Automatically generate help flag (--help).

=back


This module is inspired by Kingpin written in golang.
https://github.com/alecthomas/kingpin


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.md Changes LICENSE
%perl_vendor_privlib/G*

%changelog
