Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(WWW/Mechanize.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-Getopt-Lucid
Version:        1.10
Release:        alt2_6
Summary:        Clear, readable syntax for command line processing
License:        ASL 2.0
URL:            https://metacpan.org/release/Getopt-Lucid
Source0:        https://cpan.metacpan.org/authors/id/D/DA/DAGOLDEN/Getopt-Lucid-%{version}.tar.gz
# Do not use /usr/bin/env in example's shellbang
Patch0:         Getopt-Lucid-1.08-Remove-shellbang-from-examples.patch
BuildArch:      noarch
BuildRequires:  coreutils
BuildRequires:  rpm-build-perl
BuildRequires:  perl-devel
BuildRequires:  perl
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(strict.pm)
BuildRequires:  perl(warnings.pm)
# Run-time:
BuildRequires:  perl(Carp.pm)
BuildRequires:  perl(Exception/Class.pm)
BuildRequires:  perl(Exception/Class/Base.pm)
BuildRequires:  perl(Exporter.pm)
BuildRequires:  perl(File/Basename.pm)
BuildRequires:  perl(List/Util.pm)
BuildRequires:  perl(Storable.pm)
# Tests:
# CPAN::Meta not useful
# CPAN::Meta::Prereqs not useful
BuildRequires:  perl(Data/Dumper.pm)
BuildRequires:  perl(Exception/Class/TryCatch.pm)
BuildRequires:  perl(File/Spec.pm)
BuildRequires:  perl(lib.pm)
BuildRequires:  perl(Test/More.pm)
BuildRequires:  perl(vars.pm)
Requires:       perl(Exception/Class/Base.pm)


Source44: import.info

%description
The goal of this module is providing good code readability and clarity of
intent for command-line option processing. While readability is a subjective
standard, Getopt::Lucid relies on a more verbose, plain-English option
specification as compared against the more symbolic approach of Getopt::Long.

%prep
%setup -q -n Getopt-Lucid-%{version}
%patch0 -p1
chmod -x examples/cpanget

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}

%install
%{makeinstall_std}
# %{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc --no-dereference LICENSE
%doc Changes CONTRIBUTING.mkdn examples README Todo
%{perl_vendor_privlib}/*

%changelog
