%set_perl_req_method relaxed
# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/git perl(Archive/Any.pm) perl(Archive/Extract.pm) perl(BackPAN/Index.pm) perl(CLASS.pm) perl(CPAN/Meta.pm) perl(CPAN/ParseDistribution.pm) perl(CPANPLUS.pm) perl(Carp.pm) perl(Cwd.pm) perl(DDP.pm) perl(DateTime.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Basename.pm) perl(File/Copy.pm) perl(File/Find.pm) perl(File/Path.pm) perl(File/Spec.pm) perl(File/Spec/Functions.pm) perl(File/Temp.pm) perl(File/chdir.pm) perl(File/chmod.pm) perl(Git/Repository.pm) perl(Git/Repository/Plugin/AUTOLOAD.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(LWP/Simple.pm) perl(LWP/UserAgent.pm) perl(List/Pairwise.pm) perl(MetaCPAN/API.pm) perl(MetaCPAN/Client.pm) perl(Moose.pm) perl(Moose/Role.pm) perl(MooseX/App.pm) perl(MooseX/App/Command.pm) perl(MooseX/App/Role.pm) perl(MooseX/SemiAffordanceAccessor.pm) perl(Package/Constants.pm)
BuildRequires: perl(Path/Class.pm) perl(Path/Tiny.pm) perl(Pod/Usage.pm) perl(Test/MockObject.pm) perl(Test/More.pm) perl(autodie.pm) perl(experimental.pm) perl(strict.pm) perl(version.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%def_without test
%define module_name Git-CPAN-Patch
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 2.3.4
Release: alt1
Summary: Patch CPAN modules using Git
Group: Development/Perl
License: perl
URL: https://github.com/yanick/git-cpan-patch

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/Y/YA/YANICK/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
the Git::CPAN::Patch manpage provides a suite of git commands
aimed at making trivially
easy the process of  grabbing
any distribution off CPAN, stuffing it
in a local git repository and, once gleeful
hacking has been perpetrated, sending back
patches to its maintainer.

NOTE: This module is supported in Linux, BSD, and the like. This 
module is not supported in Microsoft Windows (Cygwin, Strawberry Perl). 
See CPAN Testers Matrix
for currently supported operating systems.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %EVR

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc CODE_OF_CONDUCT.md README.mkdn CONTRIBUTORS AUTHOR_PLEDGE LICENSE Changes
%perl_vendor_privlib/G*

%files scripts
%_bindir/*
%_man1dir/*

%changelog
