# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/git perl(CPAN.pm) perl(Carp.pm) perl(Config.pm) perl(Cwd.pm) perl(DateTime.pm) perl(Encode.pm) perl(ExtUtils/MM_Unix.pm) perl(ExtUtils/MakeMaker.pm) perl(ExtUtils/Manifest.pm) perl(Fcntl.pm) perl(File/Basename.pm) perl(File/Find.pm) perl(File/Spec.pm) perl(File/Temp.pm) perl(File/Which.pm) perl(FileHandle.pm) perl(FindBin.pm) perl(Git/PurePerl.pm) perl(IPC/Run.pm) perl(JSON.pm) perl(LWP/Simple.pm) perl(List/MoreUtils.pm) perl(Method/Signatures.pm) perl(Module/Build.pm) perl(Moose.pm) perl(Moose/Role.pm) perl(MooseX/Storage.pm) perl(MooseX/Storage/Engine.pm) perl(MooseX/Types.pm) perl(MooseX/Types/Common/String.pm) perl(MooseX/Types/DateTime.pm) perl(MooseX/Types/Moose.pm) perl(MooseX/Types/Path/Class.pm) perl(Net/FTP.pm) perl(Parse/CPAN/Meta.pm) perl(Path/Class.pm) perl(Scalar/Util.pm) perl(Socket.pm) perl(Symbol.pm) perl(Test/Deep.pm) perl(Test/Exception.pm) perl(Test/More.pm) perl(Test/NoTabs.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(Test/utf8.pm) perl(YAML/Tiny.pm) perl(aliased.pm) perl(if.pm) perl(inc/Module/Install.pm) perl(namespace/autoclean.pm) perl(overload.pm)
# END SourceDeps(oneline)
%define module_version 0.000002
%define module_name Git-Gitalist
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.000002
Release: alt1
Summary: An interface to git influenced by Gitalist
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/B/BR/BROQ/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
use Git::Gitalist;
    my $repository = Git::Gitalist::Repository->new('some-repo/.git'');
    $repository->name;        # 'Some-Repo'
    $repository->path;        # 'some-repo/.git'


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc t/lib/repositories/recursive/goingdeeper2/scratch.git/description Changes README.md
%perl_vendor_privlib/G*

%changelog
