Group: Development/Perl
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(CPAN.pm) perl(JSON.pm) perl(LWP/Simple.pm) perl(Module/Build.pm) perl(Net/FTP.pm) perl(Parse/CPAN/Meta.pm) perl(YAML/Tiny.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-Git-PurePerl
Version:        0.53
Release:        alt2_17
Summary:        Pure Perl interface to Git repositories
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Git-PurePerl
Source0:        https://cpan.metacpan.org/authors/id/B/BR/BROQ/Git-PurePerl-%{version}.tar.gz
Patch0:         Git-PurePerl-0.53-Fix-building-on-Perl-without-dot-in-INC.patch
BuildArch:      noarch
# Build
BuildRequires:  perl-devel
BuildRequires:  rpm-build-perl
BuildRequires:  perl(Config.pm)
BuildRequires:  perl(Cwd.pm)
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(ExtUtils/MM_Unix.pm)
BuildRequires:  perl(Fcntl.pm)
BuildRequires:  perl(File/Find.pm)
BuildRequires:  perl(File/Path.pm)
BuildRequires:  perl(FindBin.pm)
BuildRequires:  perl(strict.pm)
BuildRequires:  perl(vars.pm)
BuildRequires:  perl(warnings.pm)
# Runtime
BuildRequires:  perl(bytes.pm)
BuildRequires:  perl(Compress/Raw/Zlib.pm)
BuildRequires:  perl(Compress/Zlib.pm)
BuildRequires:  perl(Config/GitLike.pm)
BuildRequires:  perl(Data/Stream/Bulk.pm)
BuildRequires:  perl(Data/Stream/Bulk/Array.pm)
BuildRequires:  perl(DateTime.pm)
BuildRequires:  perl(Digest/SHA.pm)
BuildRequires:  perl(Encode.pm)
BuildRequires:  perl(File/Find/Rule.pm)
BuildRequires:  perl(IO/Digest.pm)
BuildRequires:  perl(IO/File.pm)
BuildRequires:  perl(IO/Socket/INET.pm)
BuildRequires:  perl(IPC/Open2.pm)
BuildRequires:  perl(Moose.pm)
BuildRequires:  perl(Moose/Util/TypeConstraints.pm)
BuildRequires:  perl(MooseX/StrictConstructor.pm)
BuildRequires:  perl(MooseX/Types/Path/Class.pm)
BuildRequires:  perl(namespace/autoclean.pm)
BuildRequires:  perl(Path/Class.pm)
# Tests only
BuildRequires:  perl(Archive/Extract.pm)
BuildRequires:  perl(Archive/Tar.pm)
BuildRequires:  perl(Test/More.pm)
BuildRequires:  perl(Test/utf8.pm)
Requires:       perl(Config/GitLike.pm)
Source44: import.info

%description
This module is a Pure Perl interface to Git repositories.

%prep
%setup -q -n Git-PurePerl-%{version}
%patch0 -p1

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
%make_build

%install
make pure_install DESTDIR=%{buildroot}
# %{_fixperms} %{buildroot}/*

%check
make test

%files
%doc CHANGES README
%{perl_vendor_privlib}/*

%changelog
