%define module_name Git-XS
%define _without_test 1
BuildRequires: chrpath
# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++ libgit2-devel libhttp-parser-devel libsowing-devel perl(CPAN.pm) perl(Config.pm) perl(Cwd.pm) perl(Data/Dumper.pm) perl(ExtUtils/MakeMaker.pm) perl(Fcntl.pm) perl(File/Basename.pm) perl(File/Find.pm) perl(FileHandle.pm) perl(JSON.pm) perl(LWP/Simple.pm) perl(Mo.pm) perl(Module/Build.pm) perl(Net/FTP.pm) perl(Parse/CPAN/Meta.pm) perl(Socket.pm) perl(XS/Object/Magic.pm) perl(XSLoader.pm) perl(YAML/Tiny.pm) perl(base.pm) perl(overload.pm) zlib-devel
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.02
Release: alt13
Summary: Perl XS binding to libgit2
Group: Development/Perl
License: perl
URL: https://github.com/ingydotnet/git-xs-pm/tree

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/I/IN/INGY/%{module_name}-%{version}.tar.gz

%description
This module is a Perl binding to libgit2. It attempts to make a clean OO API
for dealing with git repositories from Perl. It should be very fast.


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install
# kill rpath
for i in `find %buildroot{%_bindir,%_libdir,/usr/libexec,/usr/lib,/usr/sbin} -type f -perm -111`; do
	chrpath -d $i ||:
done

%files
%doc Changes LICENSE README
%perl_vendor_archlib/G*
%perl_vendor_autolib/*

%changelog
