# BEGIN SourceDeps(oneline):
BuildRequires: perl(DateTime.pm) perl(ExtUtils/MakeMaker.pm) perl(GraphQL.pm) perl(JSON/MaybeXS.pm) perl(Mojo/Redis.pm) perl(Mojolicious/Lite.pm) perl(Mojolicious/Plugin/GraphQL.pm) perl(Test/Mojo.pm) perl(Test/More.pm) perl(Test/Snapshot.pm)
# END SourceDeps(oneline)
%define module_name GraphQL-Plugin-Convert-MojoPubSub
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.01
Release: alt1
Summary: convert a Mojo PubSub server to GraphQL schema
Group: Development/Perl
License: artistic_2
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/E/ET/ETJ/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This module implements the the GraphQL::Plugin::Convert manpage API to convert
a Mojo pub-sub server (currently either the Mojo::Pg::PubSub manpage or
the Mojo::Redis::PubSub manpage) to the GraphQL::Schema manpage with publish/subscribe
functionality.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README.md
%perl_vendor_privlib/G*

%changelog
