Group: Development/Perl
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Graphics/ColorNames/Mozilla.pm) perl(Module/Build.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-Graphics-ColorNames-WWW
Version:        1.13
Release:        alt1_25
Summary:        WWW color names and equivalent RGB values
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Graphics-ColorNames-WWW
Source0:        https://cpan.metacpan.org/authors/id/C/CF/CFAERBER/Graphics-ColorNames-WWW-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  findutils
BuildRequires:  rpm-build-perl
BuildRequires:  perl-devel
BuildRequires:  perl(Carp.pm)
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(Graphics/ColorNames.pm)
BuildRequires:  perl(Graphics/ColorNames/HTML.pm)
BuildRequires:  perl(integer.pm)
BuildRequires:  perl(strict.pm)
BuildRequires:  perl(Test/More.pm)
BuildRequires:  perl(Test/NoWarnings.pm)
BuildRequires:  perl(Test/Pod.pm)
BuildRequires:  perl(warnings.pm)


Source44: import.info

%description
This modules defines color names and their associated RGB values from
various WWW specifications and implementations.

%prep
%setup -q -n Graphics-ColorNames-WWW-%{version}

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -delete

# %{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc 
%{perl_vendor_privlib}/*

%changelog
