# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Config.pm) perl(DynaLoader.pm) perl(Exporter.pm) perl(Gtk2/TestHelper.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define module Gtk2-Deprecated
%define fmodule Gtk2/Deprecated

%{?perl_default_filter}

Name:		perl-%module
Version:	0.05
Release:	alt11_29
Summary:	Perl module for deprecated gtk+-2.x widgets
License:	GPL or Artistic
Group:		Development/GNOME and GTK+
URL:		http://gtk2-perl.sf.net/
Source0:	http://asofyet.org/muppet/software/gtk2-perl/%module-%version.tar.bz2

BuildRequires:	gtk+2-devel
BuildRequires:	perl-devel
BuildRequires:	perl(ExtUtils/Depends.pm)
BuildRequires:	perl(Gtk2.pm)
Source44: import.info

%description
This module provides perl access to the widgets that were deprecated
in gtk+2.x.

%prep
%setup -q -n %module-%version
find -type d -name CVS | rm -rf 

%build
perl Makefile.PL INSTALLDIRS=vendor
export PERL_USE_UNSAFE_INC=1
%make_build

%install
%makeinstall_std

%files
%doc README TODO NEWS AUTHORS LICENSE
%{perl_vendor_archlib}/%fmodule
%{perl_vendor_archlib}/%fmodule.pm
%{perl_vendor_archlib}/auto/%fmodule
%{perl_vendor_archlib}/Gtk2/*.pod


%changelog
