Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: /usr/bin/xvfb-run perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-Gtk2-Ex-CalendarButton
Version:        0.01
Release:        alt2_39
Summary:        Gtk2::Ex::CalendarButton Perl module
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Gtk2-Ex-CalendarButton
Source0:        https://cpan.metacpan.org/authors/id/O/OF/OFEYAIKON/Gtk2-Ex-CalendarButton-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  coreutils
BuildRequires:  findutils
BuildRequires:  perl-devel
BuildRequires:  rpm-build-perl
BuildRequires:  perl(Config.pm)
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(strict.pm)
BuildRequires:  perl(warnings.pm)
# Run-time:
BuildRequires:  perl(Data/Dumper.pm)
BuildRequires:  perl(Glib.pm)
BuildRequires:  perl(Gtk2.pm)
# Tests:
BuildRequires:  fontlang(en)
BuildRequires:  perl(Gtk2/TestHelper.pm)
BuildRequires:  perl(Test/More.pm)
BuildRequires:  xorg-xvfb xvfb-run
Source44: import.info

%description
I realized that I was constantly re-creating a simple widget that will pop-up
a Gtk2::Calendar when clicked. Just like the date-time display on your
desktop taskbar. This package is my attempt to extract the portion of code
required to create a button-click-calendar.

%prep
%setup -q -n Gtk2-Ex-CalendarButton-%{version}
find t/ -type f -exec \
    perl -MConfig -pi -e 's|\r||; s|^#!perl|$Config{startperl}|' {} +

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} \;
# %{_fixperms} %{buildroot}/*

%check
xvfb-run -a make test

%files
# Package tests as documentation because the offical documentation is brief
%doc Changes README t/
%{perl_vendor_privlib}/*

%changelog
