Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-Gtk2-Ex-Utils
Version:        0.09
Release:        alt2_37
Summary:        Extra Gtk2 Utilities for working with GNOME2/GTK2 in Perl
License:        LGPLv2+
URL:            https://metacpan.org/release/Gtk2-Ex-Utils
Source0:        https://cpan.metacpan.org/authors/id/K/KC/KCK/Gtk2-Ex-Utils-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  rpm-build-perl
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
# Run-time
BuildRequires:  perl(constant.pm)
BuildRequires:  perl(Exporter.pm)
BuildRequires:  perl(Gtk2.pm)
# Tests
BuildRequires:  perl(Test/More.pm)
Requires:       perl(Gtk2.pm) >= 1.040

# Remove under-specified dependencies

Source44: import.info
%filter_from_requires /^perl(Gtk2.pm)/d

%description
This module provides simple utility functions useful for GNOME2/GTK2 Perl
programming.

%prep
%setup -q -n Gtk2-Ex-Utils-%{version}

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install
make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;
# %{_fixperms} %{buildroot}/*

%check
make test

%files
%doc Changes COPYRIGHT README
%{perl_vendor_privlib}/*

%changelog
