# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(DynaLoader.pm) perl(Gtk2/CodeGen.pm) perl(Gtk2/TestHelper.pm) perl(Gtk2/TrayIcon.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define module NotificationBubble

%{?perl_default_filter}

Name:		perl-Gtk2-%module
Version:	0.01
Release:	alt12_29
Summary:	Perl module interface to the EggNotificationBubble library
License:	GPL or Artistic
Group:		Development/GNOME and GTK+
Source:		Gtk2-%module-%version.tar.bz2
Patch0:		Gtk2-NotificationBubble-0.01-triangle.patch
URL:		http://cvs.gnome.org/viewcvs/rhythmbox/widgets/eggnotificationbubble.c

BuildRequires:	gtk+2-devel 
BuildRequires:	perl-devel 
BuildRequires:	perl(ExtUtils/Depends.pm) 
BuildRequires:	perl(ExtUtils/PkgConfig.pm) 
BuildRequires:	perl(Glib.pm)
BuildRequires:	perl(Gtk2.pm)
Requires:	libgtk+2 perl-Gtk2
Source44: import.info

%description
This module allows a Perl developer to display notification bubbles on
top of Gtk2 widgets. They look like tooltips with bevelled borders and
arrows. They can display an icon and a bold header.

%prep
%setup -q -n Gtk2-%module-%version
%patch0 -p1

%build
perl Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std

%files
%doc examples/*
%{perl_vendor_archlib}/Gtk2
%{perl_vendor_archlib}/auto/*


%changelog
