# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(DynaLoader.pm) perl(Gtk2/CodeGen.pm) perl(Gtk2/TestHelper.pm) perl(Gtk2/TrayIcon.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define upstream_name    Gtk2-TrayManager
%define upstream_version 0.05

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %{upstream_version}
Release:    alt7_20

Summary:    Perl bindings for EggTrayManager
License:    GPL+ or Artistic
Group:      Development/GNOME and GTK+
URL:        http://gtk2-perl.sf.net/
Source0:    %{upstream_name}-%{upstream_version}.tar.bz2

BuildRequires: gtk+2-devel
BuildRequires: perl(ExtUtils/Depends.pm) 
BuildRequires: perl(Gtk2.pm)
BuildRequires: perl(Glib.pm) 
BuildRequires: perl(ExtUtils/PkgConfig.pm) 
BuildRequires: perl-devel

Requires: libgtk+2
Source44: import.info

%description
The EggTrayManager library is used internally by GNOME to implement the
server-side of the Notification Area (or system tray) protocol.

Gtk2::TrayManager allows you to create notification area applications using
Gtk2-Perl.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
find -type d -name CVS | rm -rf 

%build
perl Makefile.PL INSTALLDIRS=vendor
make

%install
%makeinstall_std

%files
%doc examples/*
%{perl_vendor_archlib}/Gtk2/*
%{perl_vendor_archlib}/auto/Gtk2/*


%changelog
