%define module_name HTML-Acronyms
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(File/Spec.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(Module/Build.pm) perl(Moo.pm) perl(Test/More.pm) perl(Test/Run/CmdLine/Iface.pm) perl(Test2/V0.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.0.3
Release: alt1
Summary: Generate HTML5/etc. markup for acronyms
Group: Development/Perl
License: mit
URL: http://metacpan.org/release/HTML-Acronyms

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/S/SH/SHLOMIF/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Acronyms and other abbreviations can be quite cryptic ("What do you mean by 'WDYM')
and this module aims to help expanding them in HTML5/XHTML5 documents.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README LICENSE Changes
%perl_vendor_privlib/H*

%changelog
