Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-HTML-CalendarMonthSimple
Version:        1.26
Release:        alt2_3
Summary:        Perl Module for Generating HTML Calendars
License:        Public Domain
URL:            https://metacpan.org/release/HTML-CalendarMonthSimple
Source0:        https://cpan.metacpan.org/modules/by-module/HTML/HTML-CalendarMonthSimple-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  rpm-build-perl
BuildRequires:  perl(Date/Calc.pm)
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  /usr/bin/iconv
BuildRequires:  perl(strict.pm)
BuildRequires:  perl(warnings.pm)
# Test
BuildRequires:  perl(Test/More.pm)
Source44: import.info

%description
HTML::CalendarMonthSimple is a Perl module for generating, manipulating,
and printing a HTML calendar grid for a specified month. It is intended as
a faster and easier-to-use alternative to HTML::CalendarMonth.

%prep
%setup -q -n HTML-CalendarMonthSimple-%{version}

# Fix UTF-8
iconv -f ISO_8859-1 -t UTF-8 -o tmp.pm lib/HTML/CalendarMonthSimple.pm && \
touch -r lib/HTML/CalendarMonthSimple.pm tmp.pm && \
mv -f tmp.pm lib/HTML/CalendarMonthSimple.pm

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install
make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

# %{_fixperms} %{buildroot}/*

%check
make test

%files
%doc README Changes Todo
%doc --no-dereference LICENSE
%{perl_vendor_privlib}/*

%changelog
