Group: Development/Perl
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-HTML-DOMbo
Version:        3.10
Release:        alt2_37
Summary:        Convert between XML::DOM and {XML/HTML}::Element trees
License:        GPL+ or Artistic

URL:            https://metacpan.org/release/HTML-DOMbo
Source0:        https://cpan.metacpan.org/modules/by-module/HTML/HTML-DOMbo-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  coreutils
BuildRequires:  findutils
BuildRequires:  perl-devel
BuildRequires:  rpm-build-perl
BuildRequires:  perl(Carp.pm)
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(HTML/Element.pm)
BuildRequires:  perl(strict.pm)
BuildRequires:  perl(Test.pm)
BuildRequires:  perl(vars.pm)
BuildRequires:  perl(XML/DOM.pm)
BuildRequires:  perl(XML/Element.pm)
Requires:       perl(XML/Element.pm)


Source44: import.info

%description
This class puts a method into HTML::Element called to_XML_DOM, and puts
into the class XML::DOM::Node two methods, to_HTML_Element and
to_XML_Element.

%prep
%setup -q -n HTML-DOMbo-%{version}

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

# %{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc ChangeLog README
%{perl_vendor_privlib}/*

%changelog
