%define module_name HTML-FromANSI-Tiny
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(File/Temp.pm) perl(HTML/Entities.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(Parse/ANSIColor/Tiny.pm) perl(Test/Differences.pm) perl(Test/More.pm) perl(Test/Requires.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.105
Release: alt1
Summary: Easily convert colored command line output to HTML
Group: Development/Perl
License: perl
URL: https://github.com/rwstauner/HTML-FromANSI-Tiny

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/R/RW/RWSTAUNER/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
From summary: %summary

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE README Changes examples
%perl_vendor_privlib/H*

%changelog
