Group: Development/Perl
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Pod/Usage.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-HTML-GenToc
Version:        3.20
Release:        alt2_29
Summary:        Generate a Table of Contents for HTML documents
License:        GPLv2+

URL:            https://metacpan.org/release/HTML-GenToc
Source0:        https://cpan.metacpan.org/authors/id/R/RU/RUBYKAT/HTML-GenToc-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  rpm-build-perl
BuildRequires:  perl(Getopt/ArgvFile.pm)
BuildRequires:  perl(HTML/Entities.pm)
BuildRequires:  perl(HTML/LinkList.pm)
BuildRequires:  perl(HTML/SimpleParse.pm)
BuildRequires:  perl(Module/Build.pm)
BuildRequires:  perl(Test/Distribution.pm)
BuildRequires:  perl(Test/More.pm)
BuildRequires:  perl(Test/Pod.pm)
BuildRequires:  perl(Test/Pod/Coverage.pm)
Source44: import.info

%description
HTML::GenToc generates anchors and a table of contents for HTML documents.
Depending on the arguments, it will insert the information it generates, or
output to a string, a separate file or STDOUT.

%prep
%setup -q -n HTML-GenToc-%{version}

%build
/usr/bin/perl Build.PL installdirs=vendor
./Build

%install
./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
# %{_fixperms} $RPM_BUILD_ROOT/*

%check
./Build test

%files
%doc Changes README OldChanges
%doc --no-dereference LICENSE
%{perl_vendor_privlib}/HTML*
%{_bindir}/hypertoc
%{_mandir}/man1/hypertoc*

%changelog
