%define module_version 1.02
%define module_name HTML-MyHTML
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Config.pm) perl(DynaLoader.pm) perl(Encode.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(FindBin.pm) perl(LWP/UserAgent.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.02
Release: alt5
Summary: Fast HTML Parser using Threads with no outside dependencies
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/L/LA/LASTMAC/%{module_name}-%{module_version}.tar.gz

%description
This Parser based on MyHTML library  (it includes version 0.4.5)

=over 4

=item * Asynchronous Parsing, Build Tree and Indexation

=item * Fully conformant with the HTML5 specification

=item * Manipulation of elements: add, change, delete and other (available in C lib, in Perl coming soon)

=item * Manipulation of elements attributes: add, change, delete and other (available in C lib, in Perl coming soon)

=item * Support 34 character encoding by specification encoding.spec.whatwg.org

=item * Support detecting character encodings

=item * Support Single Mode parsing

=item * Support for fragment parsing

=item * Support for parsing by chunks

=item * No outside dependencies

=item * Passes all tree construction tests from html5lib-tests

See latest version on https://github.com/lexborisov/perl-html-myhtml

=back
%prep
%setup -q -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README README.md Changes examples
%perl_vendor_archlib/H*
%perl_vendor_autolib/*

%changelog
