# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(HTML/TreeBuilder.pm) perl(Test/More.pm) perl(strict.pm)
# END SourceDeps(oneline)
%define module_name HTML-Selector-Element
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.95
Release: alt1
Summary: Search for elements in a HTML::Element DOM tree using CSS selectors
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/B/BA/BARTL/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This module is inspired by jQuery, in Javascript.

It allows you to easily search through a subtree of a DOM of a HTML/XML document
using HTML::Element, as parsed by HTML::TreeBuilder.
It relies on HTML::Element's highly optimized `look_down' method for the actual search.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%perl_vendor_privlib/H*

%changelog
