%define module_name HTML-Spelling-Site
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Digest.pm) perl(Digest/SHA.pm) perl(File/Find/Object.pm) perl(File/Spec.pm) perl(HTML/Parser.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(JSON/MaybeXS.pm) perl(List/MoreUtils.pm) perl(Module/Build.pm) perl(MooX.pm) perl(MooX/late.pm) perl(POSIX.pm) perl(Path/Tiny.pm) perl(Test/Builder/Tester.pm) perl(Test/Differences.pm) perl(Test/More.pm) perl(Text/Hunspell.pm) perl(autodie.pm) perl(locale.pm) perl(strict.pm) perl(utf8.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.6.0
Release: alt1
Summary: a system/framework for spell-checking an entire static HTML site.
Group: Development/Perl
License: mit
URL: http://metacpan.org/release/HTML-Spelling-Site

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/S/SH/SHLOMIF/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
HTML::Spelling::Site was created in order to consolidate and extract the
duplicate functionality for spell checking my web-sites. Currently
documentation is somewhat lacking and the modules could use some extra
automated tests, but I'm anxious to get something out the door.
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes LICENSE README
%perl_vendor_privlib/H*

%changelog
