%define module_name HTML-Valid
# BEGIN SourceDeps(oneline):
BuildRequires: libsowing-devel perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(FindBin.pm) perl(JSON/Parse.pm) perl(XSLoader.pm) perl(parent.pm) perl(Path/Tiny.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.07
Release: alt3
Summary: tidy/validate HTML
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/B/BK/BKB/%{module_name}-%{version}.tar.gz

%description
Validate/repair HTML. This module is based on the HTML Tidy entry elsewhere in this document, but not
on the Perl module the HTML::Tidy manpage. However, you do not need to install
HTML Tidy before installing this, because the library is contained in
the distribution.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release
BuildArch: noarch

%description scripts
scripts for %module_name
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README examples
%perl_vendor_archlib/H*
%perl_vendor_autolib/*

%files scripts
%_bindir/*

%changelog
