%define module_name HTML5-DOM
# BEGIN SourceDeps(oneline):
BuildRequires: libsowing-devel perl(AnyEvent/Util.pm) perl(Config.pm) perl(EV.pm) perl(Encode.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Slurp.pm) perl(FindBin.pm) perl(List/Util.pm) perl(Pod/Markdown/Github.pm) perl(Test/LeakTrace.pm) perl(XSLoader.pm) perl(overload.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.25
Release: alt1
Summary: Super fast html5 DOM library with css selectors (based on Modest/MyHTML)
Group: Development/Perl
License: mit
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/Z/ZH/ZHUMARIN/%{module_name}-%{version}.tar.gz

%description
HTML5::DOM is a fast HTML5 parser and DOM manipulatin library with CSS4 selectors, fully conformant with the HTML5 specification.

It based on  https://github.com/lexborisov/Modest as selector engine and https://github.com/lexborisov/myhtml as HTML5 parser. 

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc CHANGES README.pod LICENSE examples
%perl_vendor_archlib/H*
%perl_vendor_autolib/*

%changelog
