Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-HTTP-Exception
Version:        0.04007
Release:        alt2_9
Summary:        Throw HTTP-Errors as (Exception::Class-) Exceptions
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/HTTP-Exception
Source0:        https://cpan.metacpan.org/authors/id/T/TM/TMUELLER/HTTP-Exception-%{version}.tar.gz
BuildArch:      noarch

# build requirements
BuildRequires:  rpm-build-perl
BuildRequires:  perl-devel
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
# run requirements
BuildRequires:  perl(Exception/Class.pm)
BuildRequires:  perl(Exception/Class/Base.pm)
BuildRequires:  perl(HTTP/Status.pm)
BuildRequires:  perl(Scalar/Util.pm)
BuildRequires:  perl(base.pm)
BuildRequires:  perl(strict.pm)
BuildRequires:  perl(warnings.pm)
# test requirements
BuildRequires:  perl(HTTP/Request/Common.pm)
BuildRequires:  perl(Plack/Middleware/HTTPExceptions.pm)
BuildRequires:  perl(Plack/Test.pm)
BuildRequires:  perl(Test/Exception.pm)
BuildRequires:  perl(Test/More.pm)
BuildRequires:  perl(Test/NoWarnings.pm)
BuildRequires:  perl(lib.pm)
# extended test requirements
BuildRequires:  perl(Pod/Coverage/TrustPod.pm)
BuildRequires:  perl(Test/Pod.pm)
BuildRequires:  perl(Test/Pod/Coverage.pm)


Source44: import.info

%description
Every HTTP::Exception is a Exception::Class - Class. So the same
mechanisms apply as with Exception::Class-classes. In fact have a look
at Exception::Class' docs for more general information on exceptions and
Exception::Class::Base for information on what methods a caught
exception also has.

%prep
%setup -q -n HTTP-Exception-%{version}

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
%make_build

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
# %{_fixperms} $RPM_BUILD_ROOT/*

%check
RELEASE_TESTING=1 make test

%files
%doc Changes README
%{perl_vendor_privlib}/HTTP*

%changelog
