%define module_name HTTP-Request-FromCurl
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Capture/Tiny.pm) perl(Carp.pm) perl(Data/Dumper.pm) perl(ExtUtils/MakeMaker.pm) perl(Filter/signatures.pm) perl(Getopt/Long.pm) perl(HTTP/CookieJar.pm) perl(HTTP/CookieJar/LWP.pm) perl(HTTP/Request.pm) perl(HTTP/Request/AsCGI.pm) perl(HTTP/Request/Common.pm) perl(HTTP/Request/Generator.pm) perl(HTTP/Tiny.pm) perl(IO/Socket/SSL.pm) perl(JSON.pm) perl(LWP/UserAgent.pm) perl(List/Util.pm) perl(MIME/Base64.pm) perl(Moo.pm) perl(Path/Tiny.pm) perl(PerlX/Maybe.pm) perl(Pod/Markdown.pm) perl(Test/HTTP/LocalServer.pm) perl(Test/More.pm) perl(URI.pm) perl(URI/Escape.pm) perl(URL/Encode.pm) perl(WWW/Mechanize.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.25
Release: alt1
Summary: create a HTTP::Request from a curl command line
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/C/CO/CORION/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
my $req = HTTP::Request::FromCurl->new(
        # Note - curl itself may not appear
        argv => ['https://example.com'],
    );

    my $req = HTTP::Request::FromCurl->new(
        command => 'https://example.com',
    );

    my $req = HTTP::Request::FromCurl->new(
        command_curl => 'curl -A mycurl/1.0 https://example.com',
    );

    my @requests = HTTP::Request::FromCurl->new(
        command_curl => 'curl -A mycurl/1.0 https://example.com https://www.example.com',
    );
    # Send the requests
    for my $r (@requests) {
        $ua->request( $r->as_request )
    }

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %EVR

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.mkdn README Changes LICENSE
%perl_vendor_privlib/H*

%files scripts
%_man1dir/*
%_bindir/*

%changelog
