Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Module/Build.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:		perl-HTTP-Server-Simple-Static
Version:	0.14
Release:	alt2_12
Summary:	Serve static files with HTTP::Server::Simple
License:	GPL+ or Artistic
URL:		https://metacpan.org/release/HTTP-Server-Simple-Static
Source0:	https://cpan.metacpan.org/authors/id/S/SJ/SJQUINNEY/HTTP-Server-Simple-Static-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	rpm-build-perl
BuildRequires:	perl-devel
BuildRequires:	perl(base.pm)
BuildRequires:	perl(Cwd.pm)
BuildRequires:	perl(ExtUtils/MakeMaker.pm)
BuildRequires:	perl(Exporter.pm)
BuildRequires:	perl(File/LibMagic.pm)
BuildRequires:	perl(File/Spec/Functions.pm)
BuildRequires:	perl(HTTP/Date.pm)
BuildRequires:	perl(HTTP/Server/Simple.pm)
BuildRequires:	perl(IO/File.pm)
BuildRequires:	perl(strict.pm)
BuildRequires:	perl(URI/Escape.pm)
BuildRequires:	perl(Test/Pod.pm)
BuildRequires:	perl(Test/Pod/Coverage.pm)
BuildRequires:	perl(warnings.pm)
Source44: import.info

%description
HTTP::Server::Simple::Static adds a method to serve static files from your
HTTP::Server::Simple subclass.

%prep
%setup -q -n HTTP-Server-Simple-Static-%{version}

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
%make_build

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
chmod -R u+w $RPM_BUILD_ROOT/*

# We'll get this as a doc file instead.
rm -rf $RPM_BUILD_ROOT%{perl_vendor_privlib}/HTTP/Server/Simple/example.pl

%check
make test

%files
%doc Changes example.pl
%{perl_vendor_privlib}/HTTP/

%changelog
