%define module_name HTTP-Tinyish
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(File/Which.pm) perl(HTTP/Tiny.pm) perl(IPC/Run3.pm) perl(JSON/PP.pm) perl(LWP.pm) perl(LWP/Protocol/https.pm) perl(LWP/UserAgent.pm) perl(Test/More.pm) perl(Test/Pod.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.17
Release: alt1
Summary: HTTP::Tiny compatible HTTP client wrappers
Group: Development/Perl
License: perl
URL: https://github.com/miyagawa/HTTP-Tinyish

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/M/MI/MIYAGAWA/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
From summary: %summary

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README LICENSE
%perl_vendor_privlib/H*

%changelog
