%define module_name Hades
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(Module/Generate.pm) perl(Moo.pm) perl(Switch/Again.pm) perl(Test/More.pm) perl(Types/Standard.pm) perl(base.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.20
Release: alt1
Summary: Less is more, more is less!
Group: Development/Perl
License: artistic_2
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/L/LN/LNATION/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
use Hades;

_Hades->run({
__eval => 'Kosmos { [penthos curae] :t(Int) :d(2) :p :pr :c :r geras $nosoi :t(Int) :d(2) { if (-epenthos == $nosoi) { return -ecurae; } } }'
_});

_... generates ...

_package Kosmos;
_use strict;
_use warnings;
_our $VERSION = 0.01;

_sub new {
__my ( $cls, %%args ) = ( shift(), scalar @_ == 1 ? %%{ $_[0] } : @_ );
__my $self = bless {}, $cls;
__my %%accessors = (
___penthos => { required => 1, default => 2, },
___curae   => { required => 1, default => 2, },
__);
__for my $accessor ( keys %%accessors ) {
___my $value
___    = $self->$accessor(
____defined $args{$accessor}
____? $args{$accessor}
____: $accessors{$accessor}->{default} );
___unless ( !$accessors{$accessor}->{required} || defined $value ) {
____die "$accessor accessor is required";
___}
__}
__return $self;
_}

_sub penthos {
__my ( $self, $value ) = @_;
__my $private_caller = caller();
__if ( $private_caller ne __PACKAGE__ ) {
___die "cannot call private method penthos from $private_caller";
__}
__if ( defined $value ) {
___if ( ref $value || $value !~ m/^[-+\d]\d*$/ ) {
____die qq{Int: invalid value $value for accessor penthos};
___}
___$self->{penthos} = $value;
__}
__return $self->{penthos};
_}

_sub clear_penthos {
__my ($self) = @_;
__delete $self->{penthos};
__return $self;
_}

_sub has_penthos {
__my ($self) = @_;
__return exists $self->{penthos};
_}

_sub curae {
__my ( $self, $value ) = @_;
__my $private_caller = caller();
__if ( $private_caller ne __PACKAGE__ ) {
___die "cannot call private method curae from $private_caller";
__}
__if ( defined $value ) {
___if ( ref $value || $value !~ m/^[-+\d]\d*$/ ) {
____die qq{Int: invalid value $value for accessor curae};
___}
___$self->{curae} = $value;
__}
__return $self->{curae};
_}

_sub clear_curae {
__my ($self) = @_;
__delete $self->{curae};
__return $self;
_}

_sub has_curae {
__my ($self) = @_;
__return exists $self->{curae};
_}

_sub geras {
__my ( $self, $nosoi ) = @_;
__$nosoi = defined $nosoi ? $nosoi : 5;
__if ( !defined($nosoi) || ref $nosoi || $nosoi !~...

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %EVR

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_privlib/H*

%files scripts
%_man1dir/*
%_bindir/*

%changelog
