%define module_name Hades-Realm-Compiled-Params
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Compiled/Params/OO.pm) perl(ExtUtils/MakeMaker.pm) perl(Hades.pm) perl(Test/More.pm) perl(base.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.03
Release: alt1
Summary: The great new Hades::Realm::Compiled::Params!
Group: Development/Perl
License: artistic_2
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/L/LN/LNATION/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
use Hades::Realm::Compiled::Params;

_Hades::Realm::Compiled::Params->run({
__eval => 'Kosmos { penthos :d(2) :p :pr :c :t(Int) curae :r :t(Any) geras $nosoi :t(Int) { if ($self->penthos == $nosoi) { return $self->curae; } } }',
__lib => 't/lib'
_});

_... generates ...

_package Kosmos;
_use strict;
_use warnings;
_use Types::Standard qw/Str Optional HashRef Tuple Map Dict ArrayRef Int Any/;
_use Compiled::Params::OO;
_our $VERSION = 0.01;
_our $VALIDATE;

_BEGIN {
__$VALIDATE = Compiled::Params::OO::cpo(
___penthos => [ Int, { default => 2 } ],
___curae   => [Any],
___geras   => [ Int, { default => 2 } ]
__);
_}

_sub new {
__my ( $cls, %%args ) = ( shift(), scalar @_ == 1 ? %%{ $_[0] } : @_ );
__my $self = bless {}, $cls;
__my %%accessors
__    = ( curae => { required => 1, }, penthos => { default => 2, }, );
__for my $accessor ( keys %%accessors ) {
___my $value
___    = $self->$accessor(
____defined $args{$accessor}
____? $args{$accessor}
____: $accessors{$accessor}->{default} );
___unless ( !$accessors{$accessor}->{required} || defined $value ) {
____die "$accessor accessor is required";
___}
__}
__return $self;
_}

_sub penthos {
__my ( $self, $value ) = @_;
__my $private_caller = caller();
__if ( $private_caller ne __PACKAGE__ ) {
___die "cannot call private method penthos from $private_caller";
__}
__if ( defined $value ) {
___($value) = $VALIDATE->penthos->($value);
___$self->{penthos} = $value;
__}
__return $self->{penthos};
_}

_sub clear_penthos {
__my ($self) = @_;
__delete $self->{penthos};
__return $self;
_}

_sub has_penthos {
__my ($self) = @_;
__return exists $self->{penthos};
_}

_sub curae {
__my ( $self, $value ) = @_;
__if ( defined $value ) {
___($value) = $VALIDATE->curae->($value);
___$self->{curae} = $value;
__}
__return $self->{curae};
_}

_sub geras {
__my ( $self, $nosoi ) = ( shift, $VALIDATE->geras->(@_) );
__if ( $self->penthos == $nosoi ) { return $self->curae; }
_}

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/H*

%changelog
