Group: Development/Perl
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-Hash-Diff
Version:        0.010
Release:        alt2_9
Summary:        Return difference between two hashes as a hash
License:        GPL+ or Artistic

URL:            https://metacpan.org/release/Hash-Diff
Source0:        https://cpan.metacpan.org/authors/id/B/BO/BOLAV/Hash-Diff-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  perl-devel
BuildRequires:  rpm-build-perl
BuildRequires:  perl(base.pm)
BuildRequires:  perl(Carp.pm)
BuildRequires:  perl(Exporter.pm)
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(Hash/Merge.pm)
BuildRequires:  perl(strict.pm)
BuildRequires:  perl(Test/More.pm)
BuildRequires:  perl(Test/use/ok.pm)
BuildRequires:  perl(vars.pm)
BuildRequires:  perl(warnings.pm)
Requires:       perl(Test/use/ok.pm)


Source44: import.info

%description
Hash::Diff returns the difference between two hashes as a hash.

%prep
%setup -q -n Hash-Diff-%{version}

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
%make_build

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
# %{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc README.md
%{perl_vendor_privlib}/Hash/Diff.pm

%changelog
