# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(Hash/Util.pm) perl(Struct/Match.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define module_name Hash-ExtendedKeys
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.02
Release: alt1
Summary: Hash Keys
Group: Development/Perl
License: artistic_2
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/L/LN/LNATION/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Quick summary of what the module does.

Perhaps a little code snippet.

_use Hash::ExtendedKeys;

_my $hash = Hash::ExtendedKeys->new();

_my $ref = { a => 1, b => 2, c => 3 };
_
_$hash->{$ref} = 1;
_$hash->{{ a => 1, b => 2, c => 3}}++;

_...

_use Hash::ExtendedKeys::Tie;

_tie my %%hash, 'Hash::ExtendedKeys::Tie';

_my $ref = [qw/a b c/];

_$hash{$ref} = 1;
_$hash{[qw/a b c/]}++;

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc ignore.txt README Changes
%perl_vendor_privlib/H*

%changelog
