# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(Test/More.pm) perl(overload.pm)
# END SourceDeps(oneline)
%define module_name Hash-RestrictedKeys
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.01
Release: alt1
Summary: restricted hash keys
Group: Development/Perl
License: artistic_2
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/L/LN/LNATION/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Quick summary of what the module does.

Perhaps a little code snippet.

_use Hash::RestrictedKeys;

_my $foo = Hash::RestrictedKeys->new(qw/one two three/);

_$foo->{one} = 1;
_$foo->{two} = 2;
_$foo->{three} = 3;
_$foo->{four} = 'kaput'; # Invalid key four. Allowed keys: one, two, three
_
_...

_use Hash::RestrictedKeys::Tie;

_tie my %%foo, 'Hash::RestrictedKeys::Tie', qw/one two three/;

_$foo{one} = 1;
_$foo{two} = 2;
_$foo{three} = 3;
_$foo->{four} = 'kaput'; # Invalid key four. Allowed keys: one, two, three
_

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README ignore.txt
%perl_vendor_privlib/H*

%changelog
