%define module_name HealthCheck-Diagnostic-RabbitMQ
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(HealthCheck/Diagnostic.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(Test/More.pm) perl(Test/Strict.pm) perl(parent.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.1.6
Release: alt1
Summary: Check connectivity and queues on a RabbitMQ server
Group: Development/Perl
License: artistic_2
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/G/GS/GSG/%{module_name}-v%{version}.tar.gz
BuildArch: noarch

%description
Determines if the RabbitMQ connection is available.
Sets the `status' to "OK" or "CRITICAL" based on the
return value from `rabbit_mq->get_server_properties'.

If you pass in a the queue entry elsewhere in this document,
it will instead check that the queue exists
and if you additionally provide the listeners entry elsewhere in this document or the messages entry elsewhere in this document
will also verify those limits.
Limits are ignored without a queue.

%prep
%setup -q -n %{module_name}-v%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE CONTRIBUTING.md README CHANGES
%perl_vendor_privlib/H*

%changelog
