%define module_name HealthCheck-Diagnostic-WebRequest
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(HTTP/Request.pm) perl(HealthCheck/Diagnostic.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(LWP/UserAgent.pm) perl(Scalar/Util.pm) perl(Test/MockModule.pm) perl(Test/More.pm) perl(parent.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.4.2
Release: alt1
Summary: Make HTTP/HTTPS requests to web servers to check connectivity
Group: Development/Perl
License: artistic_2
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/G/GS/GSG/%{module_name}-v%{version}.tar.gz
BuildArch: noarch

%description
Determines if a web request to a `url' or `request' is achievable.
Also has the ability to check if the HTTP response contains the
right content, specified by `content_regex'. Sets the `status' to "OK"
or "CRITICAL" based on the success of the checks.

%prep
%setup -q -n %{module_name}-v%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README LICENSE CHANGES CONTRIBUTING.md
%perl_vendor_privlib/H*

%changelog
