%define module_name Hook-Output-Tiny
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.00
Release: alt1
Summary: Easily enable/disable trapping of STDOUT/STDERR
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/S/ST/STEVEB/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Extremely lightweight mechanism for trapping `STDOUT', `STDERR' or both.

We save the captured output internally, so on long running applications, memory
usage may become an issue if you don't `flush()' out or `write()' out the data.

There are many modules that perform this task. I wrote this one for fun, and to
be as small and as simple as possible.
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_privlib/H*

%changelog
