# BEGIN SourceDeps(oneline):
BuildRequires: perl(Digest/MD5.pm) perl(Exporter.pm) perl(HTTP/Date.pm) perl(HTTP/Request/Common.pm) perl(IPC/Cmd.pm) perl(JSON/PP.pm) perl(List/Util.pm) perl(Module/Build/Tiny.pm) perl(Plack.pm) perl(Test/More.pm) perl(Try/Tiny.pm) perl(overload.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define module_name IIIF
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.04
Release: alt1
Summary: IIIF Image API implementation
Group: Development/Perl
License: perl
URL: https://github.com/nichtich/IIIF

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/V/VO/VOJ/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Module IIIF provides an implementation of IIIF ImageAPI
based on the ImageMagick command line application.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %EVR

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README.md LICENSE
%perl_vendor_privlib/I*

%files scripts
%_bindir/*
%_man1dir/*

%changelog
