Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:		perl-IO-InSitu
Version:	0.0.2
Release:	alt2_33
Summary:	Avoid clobbering files opened for both input and output
License:	GPL+ or Artistic
URL:		https://metacpan.org/release/IO-InSitu
Source0:	https://cpan.metacpan.org/authors/id/D/DC/DCONWAY/IO-InSitu-%{version}.tar.gz

BuildArch:	noarch
BuildRequires:	rpm-build-perl
BuildRequires:	perl(Module/Build.pm)
BuildRequires:	perl(Test/More.pm)
BuildRequires:	perl(Test/Pod.pm)
BuildRequires:	perl(Test/Pod/Coverage.pm)
BuildRequires:	perl(version.pm)
BuildRequires:	perl(base.pm)
BuildRequires:	perl(Carp.pm)
BuildRequires:	perl(File/Temp.pm)
BuildRequires:	perl(IO/File.pm)

# Filter from provides
%filter_from_provides /perl.IO.File.SE.pm./d

Source44: import.info


%description
This module provides a function called open_rw(), that is passed two
file names and returns two handles, one open for reading and the other
for writing. It's like doing two separate open() calls, except that it
detects cases where the input and output file are the same, and avoids
clobbering the input file when reopening it for output.

%prep
%setup -q -n IO-InSitu-%{version}

%build
perl Build.PL installdirs=vendor
./Build

%install

./Build install destdir=%{buildroot} create_packlist=0

# %{_fixperms} %{buildroot}/*

%check
./Build test

%files
%doc Changes README
%{perl_vendor_privlib}/IO/

%changelog
