%define module_name IO-Stringy
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Basename.pm) perl(File/Spec.pm) perl(File/Temp.pm) perl(FileHandle.pm) perl(IO/File.pm) perl(IO/Handle.pm) perl(Symbol.pm) perl(Test/More.pm) perl(Test/Tester.pm) perl(overload.pm) perl(parent.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 2.113
Release: alt1
Summary: I/O on in-core objects like strings and arrays
Group: Development/Perl
License: perl
URL: https://github.com/genio/IO-Stringy

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/C/CA/CAPOEIRAB/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This toolkit primarily provides modules for performing both traditional
and object-oriented i/o) on things *other* than normal filehandles;
in particular, IO::Scalar, IO::ScalarArray,
and IO::Lines.

In the more-traditional IO::Handle front, we
have IO::AtomicFile
which may be used to painlessly create files which are updated
atomically.

And in the "this-may-prove-useful" corner, we have IO::Wrap,
whose exported wraphandle() function will clothe anything that's not
a blessed object in an IO::Handle-like wrapper... so you can just
use OO syntax and stop worrying about whether your function's caller
handed you a string, a globref, or a FileHandle.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README COPYING LICENSE Changes examples
%perl_vendor_privlib/I*

%changelog
