%define module_name IPC-Locker
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Net/Domain.pm) perl(Pod/Usage.pm) perl(Test/More.pm) perl(Time/HiRes.pm) perl(utils.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.500
Release: alt1
Summary: Distributed lock handler
Group: Development/Perl
License: perl
URL: https://www.veripool.org/ipc-locke

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/W/WS/WSNYDER/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
%summary

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %{?epoch:%epoch:}%name = %version-%release

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build INSTALLMAN1DIR=%_man1dir

%install
%perl_vendor_install

%files
%doc README.pod COPYING Changes
%perl_vendor_privlib/I*

%files scripts
%_man1dir/*
%_bindir/*

%changelog
