%def_without test
# BEGIN SourceDeps(oneline):
BuildRequires: libxpa-devel perl(Config.pm) perl(DynaLoader.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define module_version 0.10
%define module_name IPC-XPA
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.10
Release: alt6
Summary: Interface to the XPA messaging system
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/D/DJ/DJERIUS/%module_name-%module_version.tar.gz

%description
This class provides access to the XPA messaging system library,
`xpa', developed by the Smithsonian Astrophysical Observatory's High
Energy Astrophysics R&D Group.  The library provides simple
inter-process communication via calls to the `xpa' library as well as
via supplied user land programs.

The method descriptions below do not duplicate the contents of the
documentation provided with the `xpa' library.

Currently, only the client side routines are accessible.


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE README Changes
%perl_vendor_archlib/I*
%perl_vendor_autolib/*

%changelog
