%define module_name Image-Base-GD
# BEGIN SourceDeps(oneline):
BuildRequires: libgd3-devel perl(Devel/Comments.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Temp.pm) perl(GD.pm) perl(GD/SVG.pm) perl(GD/Simple.pm) perl(GD/Window.pm) perl(Image/Base.pm) perl(Image/WMF.pm) perl(Image/Xbm.pm) perl(Image/Xpm.pm) perl(List/Util.pm) perl(Smart/Comments.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 16
Release: alt2
Summary: Image::Base on PNG and other files using GD.
Group: Development/Perl
License: gpl
URL: http://user42.tuxfamily.org/image-base-gd/index.html

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/K/KR/KRYDE/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
`Image::Base::GD' extends `Image::Base' to create or update image files in
various formats using the `GD' module and library (libgd version 2 or
higher).

Native GD drawing has many more features but this module is an easy way to
point `Image::Base' style code at a GD and is a good way to get PNG and
other formats out of `Image::Base' code.


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes COPYING
%perl_vendor_privlib/I*

%changelog
