# BEGIN SourceDeps(oneline):
BuildRequires: libpuzzle-devel libsowing-devel perl(ExtUtils/MakeMaker.pm) perl(ExtUtils/testlib.pm) perl(Test/More.pm) perl(XSLoader.pm)
# END SourceDeps(oneline)
%define module_version 0.07
%define module_name Image-Libpuzzle
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.07
Release: alt5
Summary: Perl interface to libpuzzle.
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/E/ES/ESTRABD/%{module_name}-%{module_version}.tar.gz

%description
This XS module provdes access to the most common functionality provided by
Libpuzzle, http://www.pureftpd.org/project/libpuzzle.

It also includes some pure Perl helper methods users of Libpuzzle might find
helpful when creating applications based on it.

This module is in its very early form. It may change without
notice. If a feature is missing, please request it at
https://github.com/estrabd/p5-puzzle-xs/issues.
%prep
%setup -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes TODO README
%perl_vendor_archlib/I*
%perl_vendor_autolib/*

%changelog
