# BEGIN SourceDeps(oneline):
BuildRequires: perl(Compress/Zlib.pm) perl(ExtUtils/MakeMaker.pm) perl(Test/More.pm) perl(XSLoader.pm)
# END SourceDeps(oneline)
%define module_version 0.9
%define module_name Image-PNG-Rewriter
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.9
Release: alt6
Summary: Rewrite and Refilter PNG images
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/B/BJ/BJOERN/%module_name-%module_version.tar.gz

%description
This module offers low-level access to PNG image data. The primary
purpose is to support rewriting IDAT chunks which hold the main
image data. IDAT chunks can be coalesced, re-compressed, and the
filters applied to each scanline in the image to support compression
can be retrieved and changed. Modified data can be serialized to a
new PNG image, leaving unmodified data intact.


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_archlib/I*
%perl_vendor_autolib/*

%changelog
