%define module_version 0.035
%define module_name Imager-QRCode
# BEGIN SourceDeps(oneline):
BuildRequires: libpng-devel perl(CPAN.pm) perl(Encode.pm) perl(Encode/CN.pm) perl(Encode/JP.pm) perl(Encode/KR.pm) perl(Encode/TW.pm) perl(ExtUtils/MakeMaker.pm) perl(ExtUtils/ParseXS.pm) perl(Imager.pm) perl(JSON.pm) perl(LWP/Simple.pm) perl(Module/Build.pm) perl(Net/FTP.pm) perl(Parse/CPAN/Meta.pm) perl(Test/More.pm) perl(XSLoader.pm) perl(YAML/Tiny.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.035
Release: alt5
Summary: Generate QR Code with Imager using libqrencode
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/K/KU/KURIHARA/%{module_name}-%{module_version}.tar.gz

%description
This module allows you to generate QR Code with Imager. This module use libqrencode '2.0.0' and above.


%prep
%setup -q -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes vendor/qrencode-3.4.2/COPYING examples
%perl_vendor_archlib/I*
%perl_vendor_autolib/*

%changelog
