# libs.req expands symlinks getting something like
# /usr/lib/jvm/java-1.8.0-openjdk-1.8.0.322.b06-0.x86_64/jre/lib/...
%filter_from_requires s/^\(.usr.lib.jvm.java\).*\(.jre.lib\)/\1\2/;/libjvm.so.debug/d
%define module_name Inline-Java
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Apache2/Const.pm) perl(Apache2/RequestIO.pm) perl(Apache2/RequestRec.pm) perl(CGI.pm) perl(CGI/Carp.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Which.pm) perl(Inline.pm) perl(MIME/Base64.pm) perl(Test.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators
BuildRequires: java-1.8.0-devel
BuildRequires: chrpath

Name: perl-%module_name
Version: 0.67
Release: alt1
Summary: Write Perl classes in Java.
Group: Development/Perl
License: artistic_2
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/E/ET/ETJ/%{module_name}-%{version}.tar.gz

%description
From summary: %summary

%prep
%setup -q -n %{module_name}-%{version}

%build
perl Makefile.PL </dev/null
make

%install
%perl_vendor_install


%files
%doc README.JNI CHANGES TODO README examples
%perl_vendor_archlib/I*
%perl_vendor_autolib/*

%changelog
