%define module_name JCM-Net-Patricia
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(Net/CIDR/Lite.pm) perl(Socket6.pm) perl(Test/More.pm) perl(version.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.05
Release: alt2
Summary: Patricia Trie perl module for fast IP address lookups
Group: Development/Perl
License: gpl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/J/JM/JMASLAK/%{module_name}-%{version}.tar.gz

%description
README for Net-Patricia
-----------------------

JCM::Net::Patricia - Patricia Trie perl module for fast IP address lookups

DESCRIPTION
-----------

     This module uses a Patricia Trie data structure to quickly
     perform IP address prefix matching for applications such as
     IP subnet, network or routing table lookups.  The data
     structure is based on a radix tree using a radix of two, so
     sometimes you see patricia implementations called "radix" as

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README LICENSE Changes
%perl_vendor_archlib/J*
%perl_vendor_autolib/*

%changelog
