%define module_name JIRA-REST
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(Config/Identity.pm) perl(Encode.pm) perl(Encode/CN.pm) perl(Encode/JP.pm) perl(Encode/KR.pm) perl(Encode/TW.pm) perl(ExtUtils/MakeMaker.pm) perl(HTML/TreeBuilder.pm) perl(HTTP/CookieJar/LWP.pm) perl(HTTP/Status.pm) perl(JSON.pm) perl(MIME/Base64.pm) perl(Net/Netrc.pm) perl(Pod/Coverage/TrustPod.pm) perl(REST/Client.pm) perl(Term/Prompt.pm) perl(Test/Kwalitee.pm) perl(Test/More.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(URI.pm) perl(URI/Escape.pm) perl(lib.pm) perl(utf8.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.021
Release: alt1
Summary: A thin wrapper around JIRA's REST API
Group: Development/Perl
License: perl
URL: https://metacpan.org/module/JIRA::REST

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/G/GN/GNUSTAVO/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
%summary

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.pod Changes LICENSE examples
%perl_vendor_privlib/J*

%changelog
