%define module_name JSON-Schema-Generate
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Blessed/Merge.pm) perl(Compiled/Params/OO.pm) perl(ExtUtils/MakeMaker.pm) perl(JSON.pm) perl(JSON/Schema.pm) perl(Module/Metadata.pm) perl(Test/More.pm) perl(Tie/IxHash.pm) perl(Type/Tiny.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.07
Release: alt1
Summary: Generate JSON Schemas from data!
Group: Development/Perl
License: artistic_2
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/L/LN/LNATION/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
use JSON::Schema::Generate;

_my $data = '{
__"checked": false,
__"dimensions": {
___"width": 10,
___"height": 10
__},
__"id": 1,
__"name": "Opposite",
__"distance": 435,
__"tags": [
___{ "date-time": "2020-02-24T10:00:00+00:00" }
__]
_}';

_my $schema = JSON::Schema::Generate->new(
__id => 'https://flat.world-wide.world/schema',
__title => '...'
__description => '...',
_)->learn($data)->generate;

_use JSON::Schema;
_my $validator = JSON::Schema->new($schema);
_my $result = $validator->validate($data);

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README ignore.txt
%perl_vendor_privlib/J*

%changelog
