%define module_name JSON-Schema-ToJSON
# BEGIN SourceDeps(oneline):
BuildRequires: perl(B.pm) perl(Cpanel/JSON/XS.pm) perl(Data/Dump.pm) perl(Data/Fake.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Slurper.pm) perl(FindBin.pm) perl(Hash/Merge.pm) perl(JSON/Validator.pm) perl(Mojolicious.pm) perl(String/Random.pm) perl(Test/Most.pm) perl(YAML/XS.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.19
Release: alt1
Summary: Generate example JSON structures from JSON Schema definitions
Group: Development/Perl
License: perl
URL: https://metacpan.org/module/JSON::Schema::ToJSON

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/L/LE/LEEJO/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
the JSON::Schema::ToJSON manpage is a class for generating "fake" or "example" JSON data
structures from JSON Schema structures.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %EVR

%description scripts
scripts for %module_name


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.md Changes README.pod
%perl_vendor_privlib/J*

%files scripts
%_bindir/*

%changelog
