# BEGIN SourceDeps(oneline):
BuildRequires: perl(Algorithm/Combinatorics.pm) perl(Attean.pm) perl(CPAN.pm) perl(Clone.pm) perl(Data/Perl/Role/Collection/Hash.pm) perl(DateTime/Format/W3CDTF.pm) perl(Encode.pm) perl(ExtUtils/CBuilder.pm) perl(ExtUtils/MakeMaker.pm) perl(I18N/LangTags.pm) perl(IRI.pm) perl(JSON.pm) perl(LWP.pm) perl(LWP/Protocol/https.pm) perl(List/Util.pm) perl(Math/Cartesian/Product.pm) perl(Module/Build.pm) perl(Moo.pm) perl(MooX/Log/Any.pm) perl(Net/FTP.pm) perl(Parse/CPAN/Meta.pm) perl(Set/Scalar.pm) perl(Test/Exception.pm) perl(Test/Modern.pm) perl(Test/More.pm) perl(YAML/Tiny.pm) perl(autodie.pm) perl(namespace/clean.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define module_name JSONLD
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.005
Release: alt1
Summary: A toolkit for transforming JSON-LD data.
Group: Development/Perl
License: perl
URL: http://search.cpan.org/dist/JSONLD/

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/G/GW/GWILLIAMS/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This module implements part of the JSON-LD 1.1 standard for manipulating JSON
data as linked data.

This version provides full support for the JSON-LD 1.1 "Expansion" and
"toRdf" transformations (the latter primarily being useful through a subclass
of JSON-LD, such as that provided by the AtteanX::Parser::JSONLD manpage).
Partial support for the "Compaction" transformation is provided, but it
contains many known deficiencies. Full support for "Compaction" may be
forthcoming in a future release.
No other JSON-LD transformation are supported at this time.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %EVR

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.md Changes
%perl_vendor_privlib/J*

%files scripts
%_bindir/*

%changelog
