%define module_name JavaScript-Const-Exporter
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(Const/Exporter.pm) perl(Const/Fast/Exporter.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(JSON/MaybeXS.pm) perl(Module/Load.pm) perl(Module/Metadata.pm) perl(Moo.pm) perl(MooX/Options.pm) perl(Package/Stash.pm) perl(Path/Tiny.pm) perl(Pod/Coverage/TrustPod.pm) perl(Ref/Util.pm) perl(Sub/Identify.pm) perl(Test/Deep.pm) perl(Test/Deep/Regexp.pm) perl(Test/Deep/Set.pm) perl(Test/Differences.pm) perl(Test/EOL.pm) perl(Test/Fixme.pm) perl(Test/Kwalitee.pm) perl(Test/MinimumVersion.pm) perl(Test/More.pm) perl(Test/Most.pm) perl(Test/NoTabs.pm) perl(Test/Perl/Critic.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(Test/Script.pm) perl(Test/Warnings.pm) perl(Test2/V0.pm) perl(Try/Tiny.pm) perl(Types/Common/String.pm) perl(Types/Standard.pm) perl(constant.pm)
BuildRequires: perl(lib.pm) perl(namespace/autoclean.pm) perl(strict.pm) perl(version.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.1.6
Release: alt1
Summary: Convert exported Perl constants to JavaScript
Group: Development/Perl
License: artistic_2
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/R/RR/RRWO/%{module_name}-v%{version}.tar.gz
BuildArch: noarch

%description
This module allows you to extract a list of exported constants from a
Perl module and generate JavaScript that can be included in a web
application, thus allowing you to share constants between Perl and
JavaScript.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %EVR

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-v%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes LICENSE README.md
%perl_vendor_privlib/J*

%files scripts
%_man1dir/*
%_bindir/*

%changelog
