%define module_name Job-Async-Redis
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(Future.pm) perl(Future/Utils.pm) perl(Heap.pm) perl(IO/Async/Loop.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(Job/Async.pm) perl(Job/Async/Client.pm) perl(Job/Async/Test/Compliance.pm) perl(Job/Async/Utils.pm) perl(Job/Async/Worker.pm) perl(Log/Any.pm) perl(Log/Any/Adapter.pm) perl(Log/Any/Adapter/TAP.pm) perl(Net/Async/Redis.pm) perl(Ryu/Async.pm) perl(Syntax/Keyword/Try.pm) perl(Test/CheckDeps.pm) perl(Test/Deep.pm) perl(Test/Fatal.pm) perl(Test/HexString.pm) perl(Test/More.pm) perl(curry.pm) perl(curry/weak.pm) perl(mro.pm) perl(parent.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.002
Release: alt1
Summary: L<Net::Async::Redis> backend for L<Job::Async>
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/T/TE/TEAM/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
The system can be configured to select a performance/reliability tradeoff
as follows. Please note that clients and workers must be configured to
use the same mode - results are undefined if you try to mix clients and
workers using different modes. If it works, don't rely on it.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README LICENSE
%perl_vendor_privlib/J*

%changelog
