%define module_name JobCenter-Client-Mojo
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Encode.pm) perl(ExtUtils/MakeMaker.pm) perl(IO/Handle.pm) perl(JSON/MaybeXS.pm) perl(JSON/RPC2/TwoWay.pm) perl(MojoX/NetstringStream.pm) perl(Mojolicious.pm) perl(Storable.pm) perl(Sys/Hostname.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.45
Release: alt1
Summary: JobCenter JSON-RPC 2.0 Api client using Mojo.
Group: Development/Perl
License: perl
URL: https://github.com/a6502/JobCenter-Client-Mojo

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/W/WI/WIEGEROP/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description


This archive contains the distribution JobCenter-Client-Mojo,
version 0.13:

  JobCenter JSON-RPC 2.0 Api client using Mojo.

This software is copyright (c) 2016 by Wieger Opmeer.

This is free software; you can redistribute it and/or modify it under
the same terms as the Perl 5 programming language system itself.



%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README LICENSE TODO.txt examples
%perl_vendor_privlib/J*

%changelog
