# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(HTTP/Request/Common.pm) perl(HTTP/Status.pm) perl(Kelp.pm) perl(Kelp/Module/Symbiosis.pm) perl(Plack/Util.pm) perl(Raisin.pm) perl(Scalar/Util.pm) perl(Test/Exception.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define module_name Kelp-Module-Raisin
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.00
Release: alt1
Summary: Raisin integration with Kelp
Group: Development/Perl
License: perl
URL: https://brtastic.xyz/project/kelp

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/B/BR/BRTASTIC/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This is a very straightforward module that integrates the the Kelp manpage framework with the the Raisin manpage API framework using the Kelp::Module::Symbiosis manpage. See the documentation for the Kelp::Module::Symbiosis manpage and the Kelp::Module::Symbiosis::Base manpage for a full reference on how this module behaves.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README.md
%perl_vendor_privlib/K*

%changelog
