# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(Kelp.pm) perl(MIME/Base64.pm) perl(Sereal.pm) perl(Sereal/Encoder.pm)
# END SourceDeps(oneline)
%define module_name Kelp-Module-Sereal
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.00
Release: alt1
Summary: Sereal encoder / decoder for Kelp
Group: Development/Perl
License: perl
URL: https://brtastic.xyz/project/kelp

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/B/BR/BRTASTIC/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This is a very straightforward module that integrates the the Kelp manpage framework with the the Sereal manpage serialization protocol. See the Sereal::Encoder manpage and the Sereal::Decoder manpage for a full reference on the encoder and the decoder.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README.md
%perl_vendor_privlib/K*

%changelog
