%add_optflags -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(Gtk2.pm) perl(Gtk2/TestHelper.pm) perl(Test/More.pm) perl(XSLoader.pm) pkgconfig(keybinder) xvfb-run perl(ExtUtils/Depends.pm) perl(ExtUtils/PkgConfig.pm)
# END SourceDeps(oneline)
%ifndef _build_display
%def_without test
%endif
%define module_version 0.03
%define module_name Keybinder
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.03
Release: alt6
Summary: Perl extension that wraps libkeybinder for GTK apps
Group: Development/Perl
License: artistic_2
URL: http://github.com/basiliscos/p5-Keybinder

Source0: http://cpan.org.ua/authors/id/D/DM/DMOL/%{module_name}-%{module_version}.tar.gz

%description
Gtk2 toolkit is great, but it does not provides "global" hotkeys availability, i.e.
catching some accelerator press event while current window is not active. libkeybinder
has been developed to fill that gap.


The current bindings aren't complete, but enough for my purposes.


The accelerator representatic string should be accepted by gtk_accelerator_parse. Here
is an extraction:

  The format looks like "<Control>a" or "<Shift><Alt>F1" or "<Release>z"
  (the last one is for key release). The parser is fairly liberal and allows
  lower or upper case, and also abbreviations such as "<Ctl>" and "<Ctrl>".
%prep
%setup -n %{module_name}-%{module_version}
#sed -i -e '/CCFLAGS/d' Makefile.PL
sed -i -e 's/CCFLAGS/INC/' Makefile.PL

%build
%perl_vendor_build
xvfb-run -a make test

%install
%perl_vendor_install

%files
%doc Changes README.md README
%perl_vendor_archlib/K*
%perl_vendor_autolib/*

%changelog
