Group: Development/Perl
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Module/Signature.pm) perl-podlators
# END SourceDeps(oneline)
%filter_from_requires /^perl.mixin.pm./d
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-Kwiki-Diff
Version:        0.03
Release:        alt2_43
Summary:        Display differences between the current wiki page and older revisions
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Kwiki-Diff
Source0:        https://cpan.metacpan.org/authors/id/I/IA/IAN/Kwiki-Diff-%{version}.tar.gz
BuildArch:      noarch
# Build
BuildRequires:  perl-devel
BuildRequires:  rpm-build-perl
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(strict.pm)
BuildRequires:  perl(warnings.pm)
# Runtime
BuildRequires:  perl(Algorithm/Diff.pm)
BuildRequires:  perl(Kwiki/CGI.pm)
BuildRequires:  perl(Kwiki/Installer.pm)
BuildRequires:  perl(Kwiki/Plugin.pm)
# Tests only
BuildRequires:  perl(lib.pm)
BuildRequires:  perl(Test/More.pm)
# Optional tsts only
BuildRequires:  perl(Test/Pod.pm)
BuildRequires:  perl(Test/Pod/Coverage.pm)
Requires:       perl(Algorithm/Diff.pm) >= 1.180
Requires:       perl(Kwiki.pm) >= 0.340
Source44: import.info

%description
%{summary}.

%prep
%setup -q -n Kwiki-Diff-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
%make_build

%install
make pure_install DESTDIR=%{buildroot}
# %{_fixperms} %{buildroot}/*

%check
rm -f SIGNATURE
make test

%files
%doc Changes README
%{perl_vendor_privlib}/*

%changelog
