%define module_name LINQ
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Class/Tiny.pm) perl(Exporter/Shiny.pm) perl(ExtUtils/MakeMaker.pm) perl(List/Util.pm) perl(MooseX/Types.pm) perl(MooseX/Types/Moose.pm) perl(Object/Adhoc.pm) perl(Path/Tiny.pm) perl(Role/Tiny.pm) perl(Scalar/Util.pm) perl(Specio/Library/Builtins.pm) perl(Test/Modern.pm) perl(Type/Nano.pm) perl(Types/Standard.pm) perl(UNIVERSAL/DOES.pm) perl(match/simple.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.002
Release: alt1
Summary: an interpretation of Microsoft's Language Integrated Query
Group: Development/Perl
License: perl
URL: https://metacpan.org/release/LINQ

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/T/TO/TOBYINK/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
LINQ is basically an application of SQL concepts to arrays and iterators.
Hopefully this implementation will eventually cover other data types like
SQL tables, XML and JSON data, etc.

Not much is documented yet, but the test suite includes numerous examples
of LINQ's usage.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc CREDITS README Changes TODO LICENSE COPYRIGHT
%perl_vendor_privlib/L*

%changelog
