# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(FindBin.pm) perl(LaTeX/TOM.pm) perl(List/MoreUtils.pm) perl(Module/Build.pm) perl(Params/Validate.pm) perl(Test/More.pm) perl(boolean.pm)
# END SourceDeps(oneline)
%define module_version 0.21
%define module_name LaTeX-Pod
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.21
Release: alt1
Summary: Transform LaTeX source files to POD (Plain old documentation)
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/S/SC/SCHUBIGER/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
`LaTeX::Pod' converts LaTeX sources to Perl's POD (Plain old documentation).
Currently only a subset of the available LaTeX language is supported;
see the SUPPORTED LANGUAGE SUBSET entry elsewhere in this document for further details.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %{?epoch:%epoch:}%name = %version-%release

%description scripts
scripts for %module_name


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build --install_path bindoc=%_man1dir

%install
%perl_vendor_install

%files
%doc Changes README TODO
%perl_vendor_privlib/L*

%files scripts
%_bindir/*
%_man1dir/*

%changelog
