# BEGIN SourceDeps(oneline):
BuildRequires: perl(Encode.pm) perl(Encode/CN.pm) perl(Encode/JP.pm) perl(Encode/KR.pm) perl(Encode/TW.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Which.pm) perl(HTTP/Daemon.pm) perl(HTTP/Response.pm) perl(JSON/XS.pm) perl(LaTeXML.pm) perl(POSIX.pm) perl(URI.pm)
# END SourceDeps(oneline)
%define module_version 1.4.3
%define module_name LaTeXML-Plugin-latexmls
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.4.3
Release: alt1
Summary: latexmls - A socket server for daemonized LaTeXML processing
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/D/DG/DGINEV/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
# LaTeXML::Plugin::latexmls

[![Build Status](https://secure.travis-ci.org/dginev/LaTeXML-Plugin-latexmls.png?branch=master)](https://travis-ci.org/dginev/LaTeXML-Plugin-latexmls)
[![license](http://img.shields.io/badge/license-Unlicense-blue.svg)](https://raw.githubusercontent.com/dginev/LaTeXML-Plugin-latexmls/master/LICENSE)

A socket server for daemonized LaTeXML processing

## Installation

Just another Perl module:
```
perl Makefile.PL ; make ; make test; sudo make install
```

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE README.md
%perl_vendor_privlib/L*

%files scripts
%_bindir/*
%_man1dir/*

%changelog
