# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(Language/Befunge.pm) perl(Language/Befunge/Storage/Generic/Vec.pm) perl(Language/Befunge/Vector.pm) perl(Language/Befunge/Vector/XS.pm) perl(Language/Befunge/Wrapping/LaheySpace.pm) perl(List/Util.pm) perl(Test/More.pm) perl(XSLoader.pm) perl(aliased.pm) perl(base.pm)
# END SourceDeps(oneline)
%define module_version 0.03
%define module_name Language-Befunge-Storage-Generic-Vec-XS
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.03
Release: alt6
Summary: Language::Befunge::Storage::Generic::Vec rewritten for speed
Group: Development/Perl
License: artistic_2
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/I/IN/INFINOID/%module_name-%module_version.tar.gz

%description
Language::Befunge::Storage::Generic::Vec implements a linear storage model,
where a perl string is used to store a (potentially very large) integer array.
The integers are accessed from perl with vec().

Unfortunately, vec() operates on unsigned integers, which means some extra
calculations are necessary to convert between unsigned and signed integers.

If the access was done from C, using a signed integer pointer, the access
would be much faster, and the conversion would be unnecessary.



%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README LICENSE
%perl_vendor_archlib/L*
%perl_vendor_autolib/*

%changelog
