Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-Language-Prolog-Sugar
Version:        0.06
Release:        alt3_26
Summary:        Syntactic sugar for Prolog term constructors
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Language-Prolog-Sugar
Source0:        https://cpan.metacpan.org/authors/id/S/SA/SALVA/Language-Prolog-Sugar-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  rpm-build-perl
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
# Run-time
BuildRequires:  perl(Carp.pm)
BuildRequires:  perl(Language/Prolog/Types.pm)
# Tests only
BuildRequires:  perl(Test/More.pm)
# Optional tests
BuildRequires:  perl(Test/Pod.pm)
Source44: import.info

%description
Language::Prolog::Sugar is able to export to the calling package a set of
subroutines to create Prolog terms as defined in the
Language::Prolog::Types module. Perl programs using these constructors have
the same look as real Prolog programs.

%prep
%setup -q -n Language-Prolog-Sugar-%{version}
for F in README; do
    iconv -f iso8859-1 -t utf-8 < "$F" > "${F}.new"
    touch -r "$F" "${F}.new"
    mv "${F}.new" "$F"
done


%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;
# %{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc Changes README
%{perl_vendor_privlib}/*

%changelog
