%define module_name Lemonldap-NG-Common
Epoch: 1
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Apache/Session.pm) perl(Apache2/ServerRec.pm) perl(AutoLoader.pm) perl(Cache/Cache.pm) perl(Config/IniFiles.pm) perl(Convert/Base32.pm) perl(Convert/PEM.pm) perl(Crypt/OpenSSL/Bignum.pm) perl(Crypt/OpenSSL/RSA.pm) perl(Crypt/OpenSSL/X509.pm) perl(Crypt/Rijndael.pm) perl(Crypt/URandom.pm) perl(DBI.pm) perl(Data/Dumper.pm) perl(Digest/HMAC_SHA1.pm) perl(Digest/MD5.pm) perl(Digest/SHA.pm) perl(Email/Date/Format.pm) perl(Email/Sender/Simple.pm) perl(Email/Sender/Transport/SMTP.pm) perl(Email/Sender/Transport/SMTPS.pm) perl(Encode.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(HTML/Template.pm) perl(IO/String.pm) perl(JSON.pm) perl(JSON/XS.pm) perl(LWP/UserAgent.pm) perl(Lemonldap/NG/Manager/Cli.pm) perl(Log/Log4perl.pm) perl(MIME/Base64.pm) perl(MIME/Entity.pm) perl(Moose.pm) perl(Mouse.pm)
BuildRequires: perl(Net/LDAP.pm) perl(Plack.pm) perl(Pod/Usage.pm) perl(SOAP/Lite.pm) perl(SOAP/Transport/HTTP.pm) perl(Safe.pm) perl(Sentry/Raven.pm) perl(Storable.pm) perl(String/Random.pm) perl(Sys/Syslog.pm) perl(Test/Output.pm) perl(Test/Pod.pm) perl(Time/Local.pm) perl(URI.pm) perl(WWW/Form/UrlEncoded.pm) perl(XML/LibXML.pm) perl(YAML.pm) perl(base.pm) perl(threads/shared.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 2.0.11
Release: alt1
Summary: Common files for Lemonldap::NG infrastructure
Group: Development/Perl
License: open_source
URL: http://lemonldap-ng.org/

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/C/CO/COUDOT/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Lemonldap::NG is a modular Web-SSO based on Apache::Session modules. It
simplifies the build of a protected area with a few changes in the application.

This package contains common files.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_privlib/L*
%perl_vendor_privlib/auto/*
%_man1dir/*

%changelog
