%define module_name Lemonldap-NG-Handler
%set_perl_req_method relaxed
%define _without_test 1
%filter_from_provides /^perl(Apache.Constants.pm)/d
# BEGIN SourceDeps(oneline):
BuildRequires: perl(APR/Table.pm) perl(Apache/Session/Generate/MD5.pm) perl(Apache2/Connection.pm) perl(Apache2/Const.pm) perl(Apache2/Filter.pm) perl(Apache2/Log.pm) perl(Apache2/RequestIO.pm) perl(Apache2/RequestRec.pm) perl(Apache2/RequestUtil.pm) perl(Apache2/ServerUtil.pm) perl(Cache/Memcached.pm) perl(Cwd.pm) perl(Digest/HMAC_SHA1.pm) perl(Digest/SHA.pm) perl(Env.pm) perl(ExtUtils/MakeMaker.pm) perl(FCGI/Client.pm) perl(HTTP/Headers.pm) perl(IO/Pipe.pm) perl(JSON.pm) perl(LWP/UserAgent.pm) perl(Lemonldap/NG/Common.pm) perl(Moose.pm) perl(Mouse.pm) perl(Plack/Middleware.pm) perl(Plack/Request.pm) perl(Plack/Util.pm) perl(Plack/Util/Accessor.pm) perl(Test/MockObject.pm) perl(Test/Pod.pm) perl(Time/Fake.pm) perl(URI.pm) perl(threads/shared.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 2.0.11
Release: alt1
Summary: The Apache protection module part of Lemonldap::NG Web-SSO system.
Group: Development/Perl
License: open_source
URL: http://lemonldap-ng.org/

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/C/CO/COUDOT/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Lemonldap::NG is a modular Web-SSO based on Apache::Session modules. It
simplifies the build of a protected area with a few changes in the application.

It manages both authentication and authorization and provides headers for
accounting. So you can have a full AAA protection for your web space as
described below.

The Apache module part works both with Apache 1.3.x and 2.x ie mod_perl 1 and 2
but not with mod_perl 1.99.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/L*
%perl_vendor_privlib/auto/*
%perl_vendor_privlib/P*

%changelog
