%define module_name Lemonldap-NG-Manager
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(Clone.pm) perl(Convert/PEM.pm) perl(Crypt/DES_EDE3.pm) perl(Crypt/OpenSSL/RSA.pm) perl(Crypt/URandom.pm) perl(DBD/SQLite.pm) perl(DBI.pm) perl(Data/Dumper.pm) perl(Digest/MD5.pm) perl(English.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(IO/Socket/IP.pm) perl(IO/String.pm) perl(JSON.pm) perl(LWP/UserAgent.pm) perl(Lemonldap/NG/Common.pm) perl(Lemonldap/NG/Handler.pm) perl(MIME/Base64.pm) perl(Mouse.pm) perl(Net/SSLeay.pm) perl(Perl/Tidy.pm) perl(Plack/Handler/FCGI.pm) perl(Regexp/Assemble.pm) perl(Regexp/Common.pm) perl(Safe.pm) perl(Test/Output.pm) perl(Test/Pod.pm) perl(URI/URL.pm) perl(base.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 2.0.11
Release: alt1
Summary: Perl extension for managing Lemonldap::NG Web-SSO system.
Group: Development/Perl
License: open_source
URL: http://lemonldap-ng.org/

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/C/CO/COUDOT/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Lemonldap::NG::Manager provides a web interface to manage Lemonldap::NG Web-SSO
system.

The Perl part of Lemonldap::NG::Manager is the REST server. Web interface is
written in Javascript, using AngularJS framework and can be found in `site`
directory. The REST API is described in REST-API.md file provided in source tree.

Lemonldap::NG Manager uses the Plack manpage to be CGI, FastCGI and so on compatible.
It inherits of the Lemonldap::NG::Handler::PSGI::Router manpage

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc KINEMATIC.md REST-API.md README Changes
%perl_vendor_privlib/L*

%changelog
