%define module_name Lexical-Types
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(Config.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(Test/More.pm) perl(Variable/Magic.pm) perl(XSLoader.pm) perl(constant.pm) perl(lib.pm) perl(threads.pm) perl(threads/shared.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.16
Release: alt4
Summary: Extend the semantics of typed lexicals.
Group: Development/Perl
License: perl
URL: http://search.cpan.org/dist/Lexical-Types/

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/V/VP/VPIT/%{module_name}-%{version}.tar.gz

%description
This pragma allows you to hook the execution of typed lexicals declarations (`my Str $x') by calling a configurable method in a configurable package at each run.
In particular, it can be used to automatically tie or bless typed lexicals whenever they are initialized.

Remind that for `perl' to be able to parse `my Str $x', you need :

=over 4

=item *

either the `Str' package to be defined ;

=item *

or for `Str' to be a constant sub returning a valid defined package.

=back

so make sure you follow one of those two strategies to define your types.

This pragma is not implemented with a source filter.
%prep
%setup -q -n %{module_name}-%{version}
[ %version = 0.16 ] && rm t/24-scalar-tie.t

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_archlib/L*
%perl_vendor_autolib/*

%changelog
