%define module_name Lingua-EN-SENNA
# BEGIN SourceDeps(oneline):
BuildRequires: libsowing-devel perl(XSLoader.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.04
Release: alt6
Summary: Perl wrapper for the SENNA NLP toolkit
Group: Development/Perl
License: see LICENSE
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/D/DG/DGINEV/%{module_name}-%{version}.tar.gz
# TODO: fix compilation on other arches
ExclusiveArch:x86_64

%description
This package wraps around and bundles with the SENNA NLP toolkit.
SENNA performs sentence-level analysis, hence it expects each inidividual input to be a natural language sentence.
Thus, one needs to independently discover sentences, e.g. by using the Lingua::EN::Sentence manpage or similar.

The supported SENNA features are currently: Tokenization, POS, CHK, NER, SRL, PSG.

The wrapper is still experimental and does not support the full range of SENNA customizability options.
For unsupported options, the wrapper assumes SENNA's original default behaviour.

For the original documentation, please consult:
http://ml.nec-labs.com/senna/

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE Changes README.md
%perl_vendor_archlib/L*
%perl_vendor_autolib/*

%changelog
