%define module_name Lingua-PTD
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Cwd.pm) perl(DBD/SQLite.pm) perl(DBI.pm) perl(Encode.pm) perl(Encode/CN.pm) perl(Encode/JP.pm) perl(Encode/KR.pm) perl(Encode/TW.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Copy.pm) perl(File/Spec/Functions.pm) perl(IO/Compress/Bzip2.pm) perl(IO/Compress/Xz.pm) perl(IO/Uncompress/Bunzip2.pm) perl(IO/Uncompress/UnXz.pm) perl(List/MoreUtils.pm) perl(Module/Load/Conditional.pm) perl(Pod/Usage.pm) perl(Term/ReadLine.pm) perl(Term/ReadLine/Gnu.pm) perl(Test/More.pm) perl(Time/HiRes.pm) perl(Unicode/CaseFold.pm) perl(parent.pm) perl(strict.pm) perl(utf8.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.16
Release: alt1
Summary: Module to handle PTD files in Dumper Format
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/A/AM/AMBS/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
PTD files in Perl Dumper format are simple hashes references. But they
use a specific structure, and this module provides a simple interface to
manipulate it.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %{?epoch:%epoch:}%name = %version-%release

%description scripts
scripts for %module_name


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build INSTALLMAN1DIR=%_man1dir

%install
%perl_vendor_install

%files
%doc Changes LICENSE README
%perl_vendor_privlib/L*

%files scripts
%_man1dir/*
%_bindir/*

%changelog
