%add_findreq_skiplist %perl_vendor_archlib/L*
# BEGIN SourceDeps(oneline):
BuildRequires: libusb-compat-devel perl(Class/Accessor/Classy.pm) perl(Config.pm) perl(Devel/CheckLib.pm) perl(Exporter.pm) perl(IO/Handle.pm) perl(IO/Select.pm) perl(Inline.pm) perl(Inline/C.pm) perl(Module/Build.pm) perl(Test/More.pm) perl(Time/HiRes.pm) perl(Wx/App.pm) perl(YAML.pm) perl(base.pm)
# END SourceDeps(oneline)
%define module_version 0.04
%define module_name Linux-USBKeyboard
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.04
Release: alt6
Summary: access devices pretending to be qwerty keyboards
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/E/EW/EWILHELM/%{module_name}-%{module_version}.tar.gz

%description
Use `lsusb` to discover the vendor id, product id, busnum, and/or devnum.
See also `udevinfo` or /sys/bus/usb/devices/* for more advanced info.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release

%description scripts
scripts for %module_name


%prep
%setup -n %{module_name}-%{module_version}

%build
%perl_vendor_build --install_path bindoc=%_man1dir

%install
%perl_vendor_install

%files
%doc Changes README examples
%perl_vendor_autolib/*
%perl_vendor_archlib/L*

%files scripts
%_bindir/*
%_man1dir/*

%changelog
