%define module_name List-Flatten-XS
# BEGIN SourceDeps(oneline):
BuildRequires: libsowing-devel perl(Exporter.pm) perl(Module/Build.pm) perl(Module/Build/XSUtil.pm) perl(Test/Exception.pm) perl(Test/LeakTrace.pm) perl(Test/More.pm) perl(Test/Valgrind.pm) perl(XSLoader.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.05
Release: alt3
Summary: L<List::Flatten> with XS
Group: Development/Perl
License: perl
URL: https://github.com/Code-Hex/List-Flatten-XS

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/C/CO/CODEHEX/%{module_name}-%{version}.tar.gz

%description
List::Flatten::XS is provided flatten routine like Ruby's Array.flatten.
So, you can flat complex list with simply or you can flat with specify nested level.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.md Changes LICENSE
%perl_vendor_archlib/L*
%perl_vendor_autolib/*

%changelog
