%define module_name List-Lazy
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(Clone.pm) perl(Data/Perl/Role/Collection/Array.pm) perl(Exporter/Tiny.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(List/MoreUtils.pm) perl(Moo.pm) perl(MooX/HandlesVia.pm) perl(Test/More.pm) perl(Test/Warn.pm) perl(blib.pm) perl(experimental.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.3.2
Release: alt1
Summary: Generate lists lazily
Group: Development/Perl
License: perl
URL: https://github.com/yanick/List-Lazy

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/Y/YA/YANICK/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
From summary: %summary

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.mkdn CONTRIBUTORS Changes LICENSE CODE_OF_CONDUCT.md AUTHOR_PLEDGE
%perl_vendor_privlib/L*

%changelog
