Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-Locale-Currency-Format
Version:        1.35
Release:        alt2_17
Summary:        Perl functions for formatting monetary values
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Locale-Currency-Format
Source0:        https://cpan.metacpan.org/authors/id/T/TN/TNGUYEN/Locale-Currency-Format-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  rpm-build-perl
BuildRequires:  perl-devel
BuildRequires:  perl(Exporter.pm)
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(strict.pm)
BuildRequires:  perl(Test/More.pm)
Source44: import.info

%description
Locale::Currency::Format is a light-weight Perl module that enables Perl
code to display monetary values in the formats recognized internationally
and/or locally.

%prep
%setup -q -n Locale-Currency-Format-%{version}

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
%make_build

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
# %{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc README
%{perl_vendor_privlib}/*

%changelog
