%define module_name Locale-TextDomain-OO-Extract
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(Class/Load.pm) perl(Clone.pm) perl(Cwd.pm) perl(Data/Dumper.pm) perl(Encode.pm) perl(Encode/CN.pm) perl(Encode/JP.pm) perl(Encode/KR.pm) perl(Encode/TW.pm) perl(Locale/MO/File.pm) perl(Locale/PO.pm) perl(Locale/TextDomain/OO.pm) perl(Locale/TextDomain/OO/Util.pm) perl(Locale/TextDomain/OO/Util/ExtractHeader.pm) perl(Locale/TextDomain/OO/Util/JoinSplitLexiconKeys.pm) perl(Locale/Utils/PlaceholderMaketext.pm) perl(Moo.pm) perl(Moo/Role.pm) perl(MooX/StrictConstructor.pm) perl(MooX/Types/MooseLike/Base.pm) perl(Path/Tiny.pm) perl(Set/Scalar.pm) perl(Test/Differences.pm) perl(Test/Exception.pm) perl(Test/More.pm) perl(Test/NoWarnings.pm) perl(namespace/autoclean.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 2.015
Release: alt1
Summary: Locale::TextDomain::OO::Extract - Extracts internationalization data as gettext pot file
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/S/ST/STEFFENW/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This module extracts internationalization data.

The extractor runs the following steps:

=over 4

=item preprocess the file

=item find all possible positions in content

=item match exactly and create a stack

=item map the stack to a lexicon entry

=back

If you want to write the lexicon structure to pot files
see folder example of this distribution how it works.
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README example
%perl_vendor_privlib/L*

%changelog
