%define module_name Locale-XGettext
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(Encode.pm) perl(Encode/CN.pm) perl(Encode/JP.pm) perl(Encode/KR.pm) perl(Encode/TW.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(Getopt/Long.pm) perl(Inline.pm) perl(Locale/Messages.pm) perl(Locale/PO.pm) perl(Locale/Recode.pm) perl(Locale/TextDomain.pm) perl(Module/Build.pm) perl(Pod/Coverage/TrustPod.pm) perl(Scalar/Util.pm) perl(Test/CPAN/Changes.pm) perl(Test/More.pm) perl(Test/Perl/Critic.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(base.pm) perl(strict.pm) perl(utf8.pm) perl(vars.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.7
Release: alt2
Summary: Extract Strings To PO Files
Group: Development/Perl
License: lgpl
URL: http://www.guido-flohr.net/en/projects#locale-xgettext

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/G/GU/GUIDO/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
When using 
Lhttps://www.gnu.org/software/gettext/
you often find yourself extracting translatable
strings from more or less exotic file formats that cannot be handled
by xgettext from the
Lhttps://www.gnu.org/software/gettext/
suite directly.  This package simplifies
the task of writing a string extractor in Perl, Python, Java, Ruby or
other languages by providing a common base needed for such scripts.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release

%description scripts
scripts for %module_name


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.pod Changes LICENSE README.md
%perl_vendor_privlib/L*

%files scripts
%_man1dir/*
%_bindir/*

%changelog
