%define module_name Log-Any-Adapter-JSON
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(Cpanel/JSON/XS.pm) perl(Encode.pm) perl(Encode/CN.pm) perl(Encode/JP.pm) perl(Encode/KR.pm) perl(Encode/TW.pm) perl(ExtUtils/MakeMaker.pm) perl(Log/Any/Adapter.pm) perl(Path/Tiny.pm) perl(Test/More/UTF8.pm) perl(Test/Most.pm) perl(Test/Pod/Coverage.pm) perl(Time/Moment.pm) perl(parent.pm) perl(strictures.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.15
Release: alt1
Summary: One-line JSON logging of arbitrary structured data
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/T/TO/TONKIN/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This the Log::Any manpage adapter logs formatted messages and arbitrary structured
data in a single line of JSON per entry. You must pass a filename or an open
handle to which the entries will be printed.

Optionally you may pass an `encoding' argument which will be used to apply
a `binmode' layer to the output handle. The default encoding is `UTF-8'.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE README.md Changes
%perl_vendor_privlib/L*

%changelog
