# BEGIN SourceDeps(oneline):
BuildRequires: perl(IO/Compress/Deflate.pm) perl(IO/Compress/Gzip.pm) perl(IO/Uncompress/Gunzip.pm) perl(IO/Uncompress/Inflate.pm) perl(JSON/MaybeXS.pm) perl(Math/Random/MT.pm) perl(Module/Build/Tiny.pm) perl(Params/Validate.pm) perl(Readonly.pm) perl(Sys/Hostname.pm) perl(Test/Exception.pm) perl(Test/More.pm) perl(Test/Warnings.pm) perl(Time/HiRes.pm)
# END SourceDeps(oneline)
%define module_version 0.96
%define module_name Log-GELF-Util
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.96
Release: alt1
Summary: Utility functions for Graylog's GELF format.
Group: Development/Perl
License: perl
URL: https://github.com/strategicdata/log-gelf-util

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/A/AD/ADAMC/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
Log::GELF::Util is a collection of functions and data structures useful
when working with Graylog's GELF Format version 1.1. It strives to support
all of the features and options as described in the GELF specification.


%prep
%setup -q -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE Changes README.md
%perl_vendor_privlib/L*

%changelog
