Group: Development/Perl
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Fcntl.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-Log-Trivial
Version:        0.40
Release:        alt2_21
Summary:        Very simple tool for writing very simple log files
License:        LGPLv3
URL:            https://metacpan.org/release/Log-Trivial
Source0:        https://cpan.metacpan.org/authors/id/A/AT/ATRICKETT/Log-Trivial-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl-devel
BuildRequires:  rpm-build-perl
BuildRequires:  perl(Module/Build.pm)
#For tests - mandatory
BuildRequires:  perl(Test/More.pm)
#For tests - optional
BuildRequires:  perl(Test/Signature.pm)
BuildRequires:  perl(IO/Capture/Stderr.pm)
BuildRequires:  perl(Test/Warn.pm)
BuildRequires:  perl(Test/Kwalitee.pm)
#This tries to get a public key - not sure how to handle this
BuildRequires:  perl(Test/Distribution.pm)
BuildRequires:  perl(YAML.pm)
Source44: import.info

%description
Use this module when you want use "Yet Another" very simple, light weight
log file writer.

%prep
%setup -q -n Log-Trivial-%{version}

%build
/usr/bin/perl Build.PL installdirs=vendor
./Build

%install
./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

# %{_fixperms} $RPM_BUILD_ROOT/*

%check
#These are empty and interfere with the distribution test
rm *.list ||:
SKIP_SIGNATURE_TEST=1 ./Build test

%files
%doc Changes README
%{perl_vendor_privlib}/*

%changelog
