# BEGIN SourceDeps(oneline):
BuildRequires: perl(Config.pm) perl(DynaLoader.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define module_name MCDB_File
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.0107
Release: alt2
Summary: Perl extension for access to mcdb constant databases
Group: Development/Perl
License: perl
URL: https://github.com/gstrauss/mcdb

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/G/GS/GSTRAUSS/%{module_name}-%{version}.tar.gz

%description
MCDB_File is a module which provides a Perl interface to mcdb.
mcdb is originally based on Dan Bernstein's cdb package.

    mcdb - fast, reliable, simple code to create, read constant databases

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc COPYRIGHT ChangeLog README
%perl_vendor_archlib/M*
%perl_vendor_autolib/*

%changelog
