Group: Development/Perl
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-MDV-Packdrakeng
Version:        1.13
Release:        alt2_29
Summary:        Simple Archive Extractor/Builder
License:        GPLv2+
URL:            https://metacpan.org/release/MDV-Packdrakeng
Source0:        https://cpan.metacpan.org/authors/id/N/NA/NANARDON/MDV-Packdrakeng-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl-devel
BuildRequires:  rpm-build-perl
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(strict.pm)
# Run-time
BuildRequires:  perl(base.pm)
BuildRequires:  perl(Compress/Zlib.pm)
BuildRequires:  perl(File/Path.pm)
BuildRequires:  perl(POSIX.pm)
# Tests
BuildRequires:  perl(Digest/MD5.pm)
BuildRequires:  perl(Test/More.pm)
Source44: import.info


%description
MDV::Packdrakeng is a simple indexed archive builder and extractor using
standard compression methods.



%prep
%setup -q -n MDV-Packdrakeng-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
%make_build

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
# %{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc ChangeLog README
%{perl_vendor_privlib}/*

%changelog
