# BEGIN SourceDeps(oneline):
BuildRequires: perl(Audio/Cuefile/Parser.pm) perl(Config.pm) perl(Digest/MD5.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Path.pm) perl(File/Spec.pm) perl(File/Spec/Functions.pm) perl(FindBin.pm) perl(Test/More.pm) perl(Time/HiRes.pm) perl(XSLoader.pm)
# END SourceDeps(oneline)
%define module_version 0.03
%define module_name MP3-Cut-Gapless
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.03
Release: alt6
Summary: Split an MP3 file without gaps (based on pcutmp3)
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/A/AG/AGRUNDMA/%module_name-%module_version.tar.gz

%description
This module performs sample-granular splitting of an MP3 file.  Most MP3 splitters only split
on frame boundaries which can leave gaps or noise between files due to MP3's bit reservoir.
This module, which is based on the Java pcutmp3 tool, rewrites the LAME tag and adjusts the
audio frames as necessary to make the split completely gapless when played with a compatible
decoder that supports LAME encoder delay and padding.

There are two main ways to use this module.

1. Using a cue sheet, you can split a large input file into a series of tracks.

2. Realtime transcoding can be performed by specifying an input file and a start/end time,
after which the rewritten MP3 can be streamed to an audio device.


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc TODO Changes
%perl_vendor_archlib/M*
%perl_vendor_autolib/*

%changelog
