%define module_name MPV-Simple
# BEGIN SourceDeps(oneline):
BuildRequires: libmpv-devel libsowing-devel perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(IO/Handle.pm) perl(IO/Socket/UNIX.pm) perl(JSON.pm) perl(Storable.pm) perl(Time/HiRes.pm) perl(XSLoader.pm) perl(threads.pm) perl(threads/shared.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.67
Release: alt3
Summary: Perl extension for the MPV audio and video player using libmpv
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PE/PERLMAX/%{module_name}-%{version}.tar.gz

%description
MPV::Simple is a basic and simple binding to libmpv/MPV.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_archlib/M*
%perl_vendor_autolib/*

%changelog
