%define module_name MS
Epoch: 1
# BEGIN SourceDeps(oneline):
BuildRequires: perl(BioX/Seq.pm) perl(Compress/BGZF.pm) perl(Compress/Zlib.pm) perl(Data/Lock.pm) perl(Digest/MD5.pm) perl(Digest/SHA.pm) perl(Exporter.pm) perl(File/ShareDir.pm) perl(File/stat.pm) perl(FileHandle.pm) perl(FindBin.pm) perl(HTTP/Tiny.pm) perl(IO/Handle.pm) perl(JSON.pm) perl(List/MoreUtils.pm) perl(List/Util.pm) perl(MIME/Base64.pm) perl(Module/Build.pm) perl(Module/Pluggable.pm) perl(Net/FTP.pm) perl(Net/Ping.pm) perl(PerlIO/gzip.pm) perl(Scalar/Util.pm) perl(Storable.pm) perl(Test/Fatal.pm) perl(Test/More.pm) perl(URI.pm) perl(XML/Parser.pm) perl(XML/Twig.pm) perl(overload.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.206003
Release: alt1
Summary: Namespace for mass spectrometry-related libraries
Group: Development/Perl
License: gpl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/V/VO/VOLKENING/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
NOTE: The current API is undergoing daily development and frequent minor
changes. This notice will be removed when the API is considered stable.

The `MS::' namespace is intended as a hub for mass spectrometry-related
development in Perl. This core package includes a number of parsers for HUPO
PSI standards and other common file formats, as well as core functionality for
mass spectrometry and proteomics work. Developers are encouraged to put their
work under the `MS::' namespace. The following namespace hierarchy is
suggested:

=over

=item * `MS::Reader::' .ei format-specific file readers/parsers 

=item * `MS::Writer::' .ei format-specific file writers/formatters

=item * `MS::Search::' .ei search-related modules (front-ends, etc)

=item * `MS::Algo::' .ei algorithm implementations (prototyping, etc)

=back

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %EVR

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE README.md Changes
%perl_vendor_privlib/M*
%perl_vendor_privlib/auto/*

%files scripts
%_bindir/*

%changelog
