# BEGIN SourceDeps(oneline):
BuildRequires: perl(CPAN.pm) perl(Config.pm) perl(Cwd.pm) perl(Devel/Peek.pm) perl(DynaLoader.pm) perl(ExtUtils/Depends.pm) perl(ExtUtils/MM_Unix.pm) perl(ExtUtils/MakeMaker.pm) perl(ExtUtils/Manifest.pm) perl(File/Basename.pm) perl(File/Find.pm) perl(FileHandle.pm) perl(JSON.pm) perl(LWP/Simple.pm) perl(Module/Build.pm) perl(Net/FTP.pm) perl(Parse/CPAN/Meta.pm) perl(Socket.pm) perl(Test/More.pm) perl(YAML/Tiny.pm) perl(inc/Module/Install.pm) perl(ok.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define module_version 0.03
%define module_name Magical-Hooker-Decorate
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.03
Release: alt6
Summary: Decorate an SV using magic hooks
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/N/NU/NUFFIN/%module_name-%module_version.tar.gz

%description
This module provides a C api and a thin Perl wrapper that lets you associate a
value with any SV, much like the Hash::Util::FieldHash manpage does.

The decoration will be reference counted, so `DESTROY' will be called when
`target' disappears.

This lets you do things like:

	$hooker->set($object, Scope::Guard->new(sub {
		warn "object just died";
	});

and of course also access the value of the decoration.

The code was used to associate code references created with `newXS' with their
associated objects in the Moose manpage's experimental XS branch.


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%perl_vendor_archlib/M*
%perl_vendor_autolib/*

%changelog
