%define module_name Map-Tube-Berlin
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(File/Share.pm) perl(File/ShareDir/Install.pm) perl(Map/Tube.pm) perl(Moo.pm) perl(Test/Map/Tube.pm) perl(Test/More.pm) perl(Throwable.pm) perl(namespace/clean.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 2021.0709
Release: alt1
Summary: interface to the Berlin S- and U-Bahn map
Group: Development/Perl
License: artistic_2
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/S/SR/SREZIC/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
It currently provides functionality to find the shortest route between
the two given stations. The map contains both U-Bahn and S-Bahn stations.
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_privlib/M*
%perl_vendor_privlib/auto/*

%changelog
