%define module_name Map-Tube-CLI
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Capture/Tiny.pm) perl(Encode/Locale.pm) perl(ExtUtils/MakeMaker.pm) perl(MIME/Base64.pm) perl(Map/Tube.pm) perl(Map/Tube/Exception.pm) perl(Module/Pluggable.pm) perl(Moo.pm) perl(MooX/Options.pm) perl(Test/More.pm) perl(Text/ASCIITable.pm) perl(Throwable.pm) perl(Types/Standard.pm) perl(namespace/autoclean.pm) perl(utf8/all.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.66
Release: alt1
Summary: Command Line Interface for Map::Tube::* map.
Group: Development/Perl
License: artistic_2
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/M/MA/MANWAR/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
It provides simple command line interface  to the package consuming the Map::Tube manpage.
The distribution contains a script `map-tube', using package the Map::Tube::CLI manpage.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release

%description scripts
scripts for %module_name
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README LICENSE Changes
%perl_vendor_privlib/M*

%files scripts
%_bindir/*

%changelog
