%define module_name Map-Tube-London
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(File/ShareDir.pm) perl(File/ShareDir/Install.pm) perl(Map/Tube.pm) perl(Moo.pm) perl(Test/More.pm) perl(Throwable.pm) perl(namespace/autoclean.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.33
Release: alt1
Summary: Interface to the London Tube Map.
Group: Development/Perl
License: artistic_2
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/M/MA/MANWAR/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
It currently provides functionality to find the shortest  route between  the  two
given nodes. It covers the following tube lines:

=over 2

=item * Bakerloo Line

=item * Central Line

=item * Circle Line

=item * District Line

=item * Dockland Light Railway Line

=item * Hammersmith & City Line

=item * Jubilee Line

=item * Metropolitan Line

=item * Northern Line

=item * London Overground Line

=item * Piccadilly Line

=item * Victoria Line

=item * Waterloo & City Line

=back

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE Changes README
%perl_vendor_privlib/M*
%perl_vendor_privlib/auto/*

%changelog
