# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(Test.pm) perl(base.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define upstream_name    MasonX-Request-ExtendedCompRoot-WithApacheSession
%define upstream_version 0.04

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %{upstream_version}
Release:    alt1_4

Summary:	Extend functionality of Mason's comp_root and add a session to the Mason Request object
License:	GPL
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://search.cpan.org/dists/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(MasonX/Request/ExtendedCompRoot.pm)
BuildRequires:	perl(MasonX/Request/WithApacheSession.pm)
BuildArch:	noarch
Source44: import.info


%description
This  module simply integrates "MasonX::Request::ExtendedCompRoot"
and "MasonX::Request::WithApacheSession".

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor 
make

%check
%__make test

%install
%makeinstall_std

%files
%doc Changes LICENSE README
%{perl_vendor_privlib}/MasonX/Request/ExtendedCompRoot/WithApacheSession.pm

%changelog
