Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-Math-Curve-Hilbert
Version:        0.04
Release:        alt2_34
Summary:        Perl Implementation of Hilberts space-filling Curve
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Math-Curve-Hilbert
Source0:        https://cpan.metacpan.org/authors/id/T/TE/TEEJAY/Math-Curve-Hilbert-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  rpm-build-perl
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
# Run-time:
BuildRequires:  perl(Data/Dumper.pm)
# Tests:
BuildRequires:  perl(Test.pm)
Source44: import.info

%description
The Hilbert curve module provides some useful functions using Hilberts space-
filling Curve. This is handy for things like dithering, flattening
n-dimensional data, fractals - all kinds of things really.


%prep
%setup -q -n Math-Curve-Hilbert-%{version}

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

# %{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc Changes README TODO
%{perl_vendor_privlib}/*

%changelog
