# BEGIN SourceDeps(oneline):
BuildRequires: libfftw3-devel perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(Test/More.pm) perl(XSLoader.pm)
# END SourceDeps(oneline)
%define module_version 0.01
%define module_name Math-FFTW
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.01
Release: alt6
Summary: Perl interface to parts of the FFTW
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/S/SM/SMUELLER/%module_name-%module_version.tar.gz

%description
*The recommended interface of this module may change. In that case,
however, backwards compatible routines will be provided.*

This is an interface to small parts of the FFTW library. Currently,
only the forward and backward Discrete Fourier Transform of one-dimensional
real data is supported.

If you need anything else, let me know. (And send a patch along if you like.)


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README examples
%perl_vendor_archlib/M*
%perl_vendor_autolib/*

%changelog
