# BEGIN SourceDeps(oneline):
BuildRequires: libgsl-devel perl(AutoLoader.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(Test/More.pm) perl(XSLoader.pm)
# END SourceDeps(oneline)
%define module_version 0.0.2
%define module_name Math-GSL-Linalg-SVD
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.0.2
Release: alt6
Summary: Perl extension with convenience methods for performing SVD and eigenvector decomp with the gsl C li...
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/D/DS/DSTH/%module_name-%module_version.tar.gz

%description
The singular value decomposition (SVD) is an important factorization of a rectangular real matrix - see
http://en.wikipedia.org/wiki/Singular_value_decomposition. Eigendecomposition is the factorization of a 
matrix into a canonical form, whereby the matrix is represented in terms of its eigenvalues and
eigenvectors - see http://en.wikipedia.org/wiki/Eigendecomposition_of_a_matrix. This module implements the 
SVD and Eigen decomposition routines of the The C GNU Scientific Library (GSL). It provides simple convinience methods in the
upper-level Math::GSL::Linalg::SVD namespace to perform these operations. Alternatively, it also provides direct access
to the C routines in the Math::GSL::Linalg::SVD::Matrix, Math::GSL::Linalg::SVD::Vector and
Math::GSL::Linalg::SVD::Eigen namespaces - see METHODS. 


%prep
%setup -n %module_name

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_archlib/M*
%perl_vendor_autolib/*

%changelog
