%define module_name Math-String-Charset-Wordlist
%define _without_test 1
%add_findreq_skiplist %perl_vendor_archlib/M*
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Benchmark.pm) perl(DynaLoader.pm) perl(ExtUtils/MakeMaker.pm) perl(Math/BigInt.pm) perl(Test/More.pm) perl(Time/HiRes.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.09
Release: alt4
Summary: A dictionary charset for Math::String
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PJ/PJACKLAM/%{module_name}-%{version}.tar.gz

%description
This module lets you create an charset object, which is used to construct
Math::String objects. 

This object maps an external wordlist (aka a dictionary file where one
line contains one word) to a simple charset, e.g. each word is one character
in the charset.

The wordlist file must be sorted alphabetically (just like `sort -u' does),
otherwise the results from converting between string and number form are
unpredictable.



%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE TODO README CHANGES CREDITS BUGS examples
%perl_vendor_archlib/M*
%perl_vendor_autolib/*

%changelog
