# BEGIN SourceDeps(oneline):
BuildRequires: libsowing-devel perl(Data/Dumper.pm) perl(ExtUtils/MakeMaker.pm) perl(JSON/XS.pm) perl(Math/Utils.pm) perl(Test/More.pm) perl(Test/Number/Delta.pm) perl(Time/HiRes.pm) perl(XSLoader.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define module_name Math-Utils-XS
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.000005
Release: alt3
Summary: Some math utility functions implemented in XS
Group: Development/Perl
License: mit
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/G/GO/GONZUS/%{module_name}-%{version}.tar.gz

%description
use Math::Utils::XS q(utility);

    my $l10 = log10(100);              # returns 2
    my $l2 = log2(32);                 # returns 5
    my $sum = fsum(1, 1e50, 1, -1e50); # returns 2

    my $sign = sign(-22);              # returns -1
    my $sign = sign(3 - 3);            # returns  0
    my $sign = sign(+22);              # returns +1

    my $f = floor(22/7);               # returns 3
    my $f = floor(2.7182);             # returns 2

    my $c = floor(-22/7);              # returns -4
    my $c = floor(-2.7182);            # returns -3

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE README.md Changes
%perl_vendor_archlib/M*
%perl_vendor_autolib/*

%changelog
