%define module_name Math-Window2Viewport
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(GD/Simple.pm) perl(List/Util.pm) perl(Math/Trig.pm) perl(Pod/Usage.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.01
Release: alt1
Summary: Just another window to viewport mapper.
Group: Development/Perl
License: artistic_2
URL: https://github.com/jeffa/Math-Window2Viewport

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/J/JE/JEFFA/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This module will convert one set of coordinates (the World Window)
into another set (the Viewport) for the purposes of graphing any
set of points from one system to another.
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc readme.md Changes examples
%perl_vendor_privlib/M*

%changelog
