Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(CGI.pm) perl(CGI/Untaint.pm) perl(Class/Accessor/Fast.pm) perl(Class/DBI/Plugin/Type.pm) perl(Class/Data/Inheritable.pm) perl(DBD/mysql.pm) perl(DBI.pm) perl(Data/FormValidator.pm) perl(Digest/MD5.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec/Functions.pm) perl(HTML/Element.pm) perl(HTTP/Headers.pm) perl(HTTP/Server/Simple/CGI.pm) perl(HTTP/Server/Simple/Static.pm) perl(Lingua/EN/Inflect/Number.pm) perl(NEXT.pm) perl(Test/More.pm) perl(UNIVERSAL/moniker.pm) perl(UNIVERSAL/require.pm) perl(URI.pm) perl(URI/QueryParam.pm) perl(attributes.pm) perl(base.pm) perl-podlators
# END SourceDeps(oneline)
%add_findreq_skiplist */Apache/MVC.pm
%filter_from_requires /perl.Apache.pm/d
%filter_from_requires /perl.Apache/Request.pm/d
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:		perl-Maypole
Version:	2.13
Release:	alt2_34
Epoch:		1
Summary:	MVC web application framework
License:	GPL+ or Artistic
URL:            http://maypole.perl.org/
Source0:	https://cpan.metacpan.org/authors/id/T/TE/TEEJAY/Maypole-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:  apache2-mod_apreq-devel
BuildRequires:  rpm-build-perl
BuildRequires:  perl(CGI/Untaint/date.pm), perl(Class/DBI/mysql.pm), perl(Class/DBI/AbstractSearch.pm)
BuildRequires:  perl(CGI/Simple.pm), perl(Class/DBI/AsForm.pm), perl(Class/DBI/FromCGI.pm)
BuildRequires:  perl(Class/DBI/Loader/Relationship.pm), perl(Class/DBI/Pager.pm)
BuildRequires:  perl(Class/DBI/Plugin/RetrieveAll.pm), perl(Class/DBI/SQLite.pm)
BuildRequires:  perl(Template/Plugin/Class.pm), perl(Test/MockModule.pm), perl(IO/CaptureOutput.pm)
BuildRequires:	perl(Apache/Session/Wrapper.pm) apache2-mod_perl apache2-mod_perl-devel
BuildRequires:	perl(Apache2/Request.pm), perl(Test/Pod.pm), perl(Class/DBI.pm)
BuildRequires:	perl(Test/Pod/Coverage.pm), perl(Class/DBI/Loader.pm)
BuildRequires:	perl(Template.pm), perl(CGI/Untaint/email.pm), perl(HTTP/Body.pm)
BuildRequires:	perl(File/MMagic/XS.pm)
Requires:	apache2-mod_perl
Source44: import.info

%description
Maypole is a Perl framework for MVC-oriented web 
applications, similar to Jakarta's Struts. Maypole 
is designed to minimize coding requirements for 
creating simple web interfaces to databases, while 
remaining flexible enough to support enterprise web 
applications.

%prep
%setup -q -n Maypole-%{version}

# Filter false positive requires
cat <<EOF > %{name}-req
#!/bin/sh
%{__perl_requires} \
| grep -v 'perl(mod_perl)'
EOF
%global __perl_requires %{_builddir}/Maypole-%{version}/%{name}-req
chmod +x %{__perl_requires}

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}
make pure_install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type f -name '*.bs' -a -size 0 -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*

%files
%doc README Changes 
%{perl_vendor_privlib}/*

%changelog
