# BEGIN SourceDeps(oneline):
BuildRequires: perl(Cairo.pm) perl(Cairo/Install/Files.pm) perl(DynaLoader.pm) perl(Exporter.pm) perl(ExtUtils/Depends.pm) perl(ExtUtils/PkgConfig.pm) perl(FindBin.pm) perl(Glib.pm) perl(Glib/CodeGen.pm) perl(Glib/MakeHelper.pm) perl(base.pm) pkgconfig(memphis-0.2)
# END SourceDeps(oneline)
%define module_name Memphis
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.01
Release: alt3
Summary: Cairo based OSM renderer, it draws OpenStreet Maps
Group: Development/Perl
License: perl, lgpl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PO/POTYL/%{module_name}-%{version}.tar.gz

%description
Memphis provides the Perl bindings for the C library libmemphis which is a
generic glib/cairo based OSM renderer library. Basically it draws maps on
arbitrary cairo surfaces.

For more information about libmemphis see:
https://trac.openstreetmap.ch/trac/memphis/wiki/LibMemphis.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README COPYING Changes examples
%perl_vendor_archlib/M*
%perl_vendor_autolib/*

%changelog
