# BEGIN SourceDeps(oneline):
BuildRequires: perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Share.pm) perl(File/ShareDir/Install.pm) perl(FindBin.pm) perl(Test/More.pm) perl(Text/CSV.pm) perl(Text/CSV_XS.pm) perl(XML/Twig.pm) perl(base.pm)
# END SourceDeps(oneline)
%define module_name Metabolomics-Fragment-Annotation
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.6.3
Release: alt1
Summary: Perl extension for fragment annotation in metabolomics
Group: Development/Perl
License: open_source
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/G/GI/GIACOMONI/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Metabolomics::Fragment::Annotation is a full package for Perl dev allowing MS fragments annotation with ab initio database, contaminant and public metabolites ressources.

All resources used are described and available here:

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes LICENSE
%perl_vendor_privlib/M*
%perl_vendor_privlib/auto/*

%changelog
