# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(File/HomeDir.pm) perl(File/Slurp.pm) perl(IO/File.pm) perl(IO/Prompt.pm) perl(Module/Build.pm) perl(PPI.pm) perl(Test/More.pm) perl(Text/Balanced.pm)
# END SourceDeps(oneline)
%define module_version 0.49
%define module_name Module-Build-Convert
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.49
Release: alt1
Summary: Makefile.PL to Build.PL converter
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/S/SC/SCHUBIGER/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
`ExtUtils::MakeMaker' has been a de-facto standard for the common distribution of Perl
modules; `Module::Build' is expected to supersede `ExtUtils::MakeMaker' in some time
(part of the Perl core as of 5.9.4).

The transition takes place slowly, as the converting process manually achieved
is yet an uncommon practice. The Module::Build::Convert Makefile.PL parser is
intended to ease the transition process.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %{?epoch:%epoch:}%name = %version-%release

%description scripts
scripts for %module_name


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build --install_path bindoc=%_man1dir

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_privlib/M*

%files scripts
%_bindir/*
%_man1dir/*

%changelog
