%define module_name Module-Faker
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Archive/Any/Create.pm) perl(CPAN/DistnameInfo.pm) perl(CPAN/Meta.pm) perl(CPAN/Meta/Converter.pm) perl(CPAN/Meta/Merge.pm) perl(CPAN/Meta/Requirements.pm) perl(Carp.pm) perl(Cwd.pm) perl(Data/OptList.pm) perl(Encode.pm) perl(Encode/CN.pm) perl(Encode/JP.pm) perl(Encode/KR.pm) perl(Encode/TW.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Next.pm) perl(File/Path.pm) perl(File/Spec.pm) perl(File/Temp.pm) perl(Getopt/Long/Descriptive.pm) perl(JSON/PP.pm) perl(Moose.pm) perl(Moose/Role.pm) perl(Moose/Util/TypeConstraints.pm) perl(Parse/CPAN/Meta.pm) perl(Path/Class.pm) perl(Storable.pm) perl(Test/More.pm) perl(Text/Template.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.022
Release: alt1
Summary: build fake dists for testing CPAN tools
Group: Development/Perl
License: perl
URL: https://github.com/rjbs/Module-Faker

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/R/RJ/RJBS/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
%summary

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %EVR

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README LICENSE Changes
%perl_vendor_privlib/M*

%files scripts
%_man1dir/*
%_bindir/*

%changelog
