# BEGIN SourceDeps(oneline):
BuildRequires: perl(Data/Dump.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Slurper.pm) perl(File/Spec.pm) perl(HTTP/Tiny.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(Log/ger/Screen.pm) perl(Pod/Coverage/TrustPod.pm) perl(Test/More.pm) perl(Test/Perl/Critic.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(Text/Fragment.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define module_name Module-Features-PerlTrove
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.002
Release: alt1
Summary: Put Perl trove classifiers in your module
Group: Development/Perl
License: perl
URL: https://metacpan.org/release/Module-Features-PerlTrove

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PE/PERLANCAR/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Perl trove classifiers are based on Python ones. Currently the only difference
is that the Python-specific framework classifiers in `Framework :: *', e.g.
`Framework :: Django', are replaced with Perl-specific ones, e.g. `Framework
:: Dancer2'.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes LICENSE
%perl_vendor_privlib/M*

%changelog
