%define module_name Module-Generic
%define _without_test 1
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Apache2/Const.pm) perl(Apache2/Log.pm) perl(Apache2/RequestUtil.pm) perl(Apache2/ServerRec.pm) perl(Apache2/ServerUtil.pm) perl(Class/Load.pm) perl(Clone.pm) perl(Config.pm) perl(Cwd.pm) perl(DBI.pm) perl(Data/Dump.pm) perl(Data/Dumper.pm) perl(Data/Dumper/Concise.pm) perl(Data/Printer.pm) perl(Data/UUID.pm) perl(DateTime.pm) perl(DateTime/Format/Strptime.pm) perl(Devel/StackTrace.pm) perl(Digest/SHA.pm) perl(Digest/SHA2.pm) perl(Encode.pm) perl(Encode/CN.pm) perl(Encode/JP.pm) perl(Encode/KR.pm) perl(Encode/TW.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(Fcntl.pm) perl(File/Basename.pm) perl(File/Copy.pm) perl(File/Glob.pm) perl(File/MMagic/XS.pm) perl(File/Spec.pm) perl(File/Which.pm) perl(IO/Dir.pm) perl(IO/File.pm) perl(IO/Scalar.pm) perl(IPC/SysV.pm) perl(JSON.pm) perl(List/Util.pm)
BuildRequires: perl(Log/Log4perl.pm) perl(ModPerl/Util.pm) perl(Module/Metadata.pm) perl(Nice/Try.pm) perl(Number/Format.pm) perl(POSIX.pm) perl(Regexp/Common.pm) perl(Scalar/Util.pm) perl(Storable.pm) perl(Sub/Util.pm) perl(Test/Kwalitee.pm) perl(Test/More.pm) perl(Test/Pod.pm) perl(Tie/Hash.pm) perl(URI/file.pm) perl(Want.pm) perl(common/sense.pm) perl(overload.pm) perl(overloading.pm) perl(parent.pm) perl(strict.pm) perl(utf8.pm) perl(version.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.15.3
Release: alt1
Summary: Generic Module to inherit from
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/J/JD/JDEGUEST/%{module_name}-v%{version}.tar.gz
BuildArch: noarch

%description
`Module::Generic' as its name says it all, is a generic module to inherit from.
It contains standard methods that may howerver be bypassed by the module using 
`Module::Generic'.

As an added benefit, it also contains a powerfull AUTOLOAD transforming any hash 
object key into dynamic methods and also recognize the dynamic routine a la AutoLoader
from which I have shamelessly copied in the AUTOLOAD code. The reason is that while
`AutoLoader' provides the user with a convenient AUTOLOAD, I wanted a way to also
keep the functionnality of `Module::Generic' AUTOLOAD that were not included in
`AutoLoader'. So the only solution was a merger.

%prep
%setup -q -n %{module_name}-v%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc CHANGES README CONTRIBUTING.md README.md
%perl_vendor_privlib/M*

%changelog
