%define module_name Module-Install-RTx
# BEGIN SourceDeps(oneline):
BuildRequires: perl(App/pod2pdf.pm) perl(CPAN.pm) perl(Capture/Tiny.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(Fcntl.pm) perl(File/Find.pm) perl(FindBin.pm) perl(IO/All.pm) perl(JSON.pm) perl(Module/Build.pm) perl(Module/Install/Admin.pm) perl(Parse/CPAN/Meta.pm) perl(Pod/Markdown.pm) perl(RT.pm) perl(RT/Config.pm) perl(RT/Handle.pm) perl(RT/System.pm) perl(Term/ANSIColor.pm) perl(YAML/Tiny.pm) perl(base.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.42
Release: alt1
Summary: RT extension installer
Group: Development/Perl
License: mit
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/B/BP/BPS/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This Module::Install extension implements one function, `RTx',
that takes the extension name as the only argument.

It arranges for certain subdirectories to install into the installed
RT location, but does not affect the usual `lib' and `t' directories.

The directory mapping table is as below:

    ./bin   => $RT::LocalPath/bin
    ./etc   => $RT::LocalPath/etc/$NAME
    ./html  => $RT::MasonComponentRoot
    ./po    => $RT::LocalLexiconPath/$NAME
    ./sbin  => $RT::LocalPath/sbin
    ./var   => $RT::VarPath/$NAME

Under the default RT3 layout in /opt and with the extension name
`Foo', it becomes:

    ./bin   => /opt/rt3/local/bin
    ./etc   => /opt/rt3/local/etc/Foo
    ./html  => /opt/rt3/share/html
    ./po    => /opt/rt3/local/po/Foo
    ./sbin  => /opt/rt3/local/sbin
    ./var   => /opt/rt3/var/Foo

By default, all these subdirectories will be installed with `make install'.
you can override this by setting the `WITH_SUBDIRS' environment variable to
a comma-delimited subdirectory list, such as `html,sbin'.

Alternatively, you can also specify the list as a command-line option to
`Makefile.PL', like this:

    perl Makefile.PL WITH_SUBDIRS=sbin


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/M*

%changelog
