%define module_name Module-Installed-Tiny
# BEGIN SourceDeps(oneline):
BuildRequires: perl(App/depak.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(File/Temp.pm) perl(FindBin.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(IPC/System/Options.pm) perl(Module/Load/Conditional.pm) perl(Pod/Coverage/TrustPod.pm) perl(Test/More.pm) perl(Test/Needs.pm) perl(Test/Perl/Critic.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(lib.pm) perl(lib/disallow.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.004
Release: alt1
Summary: Check if a module is installed, with as little code as possible
Group: Development/Perl
License: perl
URL: https://metacpan.org/release/Module-Installed-Tiny

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PE/PERLANCAR/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
SYNOPSIS

     use Module::Installed::Tiny qw(module_installed module_source);
    
     # check if a module is available
     if (module_installed "Foo::Bar") {
         # Foo::Bar is available
     } elsif (module_installed "Foo/Baz.pm") {
         # Foo::Baz is available
     }
    
     # get a module's source code, dies on failure
     my $src = module_source("Foo/Baz.pm");

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE Changes README
%perl_vendor_privlib/M*

%changelog
