%define module_name Mojo-Promise-Role-HigherOrder
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec/Functions.pm) perl(Mojolicious.pm) perl(Role/Tiny.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.005
Release: alt1
Summary: Fulfill with the first fulfilled promise
Group: Development/Perl
License: artistic_2
URL: https://github.com/briandfoy/mojo-promise-role-higherorder

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/B/BD/BDFOY/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This module is an umbrella for the Mojo::Promise::Role::Any manpage,
the Mojo::Promise::Role::None manpage, and the Mojo::Promise::Role::Some manpage.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.pod Changes LICENSE examples
%perl_vendor_privlib/M*

%changelog
