%define module_name Mojo-Redis
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Benchmark.pm) perl(Errno.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec/Functions.pm) perl(Mojolicious.pm) perl(Protocol/Redis/Faster.pm) perl(Protocol/Redis/XS.pm) perl(Scalar/Util.pm) perl(Socket.pm) perl(Storable.pm) perl(Test/More.pm) perl(Time/HiRes.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 3.26
Release: alt1
Summary: Asynchronous Redis client for L<Mojolicious>.
Group: Development/Perl
License: artistic_2
URL: https://github.com/jhthorsen/mojo-redis

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/J/JH/JHTHORSEN/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
the Mojo::Redis manpage is an asynchronous Redis client for the
the Mojolicious manpage framework.

Currently we support these Redis commands in addition to the the METHODS entry elsewhere in this document
described in this module.

  append auth bgrewriteaof bgsave blpop brpop brpoplpush config_get config_set
  config_resetstat dbsize debug_object debug_segfault decr decrby del discard
  echo exec exists expire expireat flushall flushdb get getbit getrange getset
  hdel hexists hget hgetall hincrby hkeys hlen hmget hmset hset hsetnx hvals
  incr incrby info keys lastsave lindex linsert llen lpop lpush lpushx lrange
  lrem lset ltrim mget monitor move mset msetnx multi persist ping
  publish quit randomkey rename renamenx rpop rpoplpush rpush
  rpushx sadd save scard sdiff sdiffstore select set setbit setex setnx
  setrange shutdown sinter sinterstore sismember slaveof smembers smove sort
  spop srandmember srem strlen sunion sunionstore sync ttl type
  unwatch watch zadd zcard zcount zincrby zinterstore zrange
  zrangebyscore zrank zrem zremrangebyrank zremrangebyscore zrevrange
  zrevrangebyscore zrevrank zscore zunionstore

If a command is missing, then please file a
bug report and use
the execute entry elsewhere in this document in the meanwhile.


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.md Changes examples
%perl_vendor_privlib/M*

%changelog
