%define module_name Mojo-mysql
# BEGIN SourceDeps(oneline):
BuildRequires: perl(DBD/mysql.pm) perl(DBI.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec/Functions.pm) perl(FindBin.pm) perl(Mojolicious.pm) perl(SQL/Abstract.pm) perl(Scalar/Util.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.22
Release: alt1
Summary: Mojolicious and Async MySQL
Group: Development/Perl
License: artistic_2
URL: https://github.com/jhthorsen/mojo-mysql

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/J/JH/JHTHORSEN/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
the Mojo::mysql manpage is a tiny wrapper around the DBD::mysql manpage that makes
MySQL a lot of fun to use with the
Mojolicious real-time web framework.

Database and statement handles are cached automatically, so they can be reused
transparently to increase performance. While all I/O operations are performed
blocking, you can wait for long running queries asynchronously, allowing the
the Mojo::IOLoop manpage event loop to perform other tasks in the meantime. Since
database connections usually have a very low latency, this often results in
very good performance.

All cached database handles will be reset automatically if a new process has
been forked, this allows multiple processes to share the same the Mojo::mysql manpage
object safely.

Note that this whole distribution is EXPERIMENTAL and will change without
warning!
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes examples
%perl_vendor_privlib/M*
%perl_vendor_privlib/S*

%changelog
