%define module_name Mojolicious-Plugin-DBViewer
# BEGIN SourceDeps(oneline):
BuildRequires: perl(DBD/SQLite.pm) perl(DBD/mysql.pm) perl(DBIx/Connector.pm) perl(DBIx/Custom.pm) perl(Data/Page.pm) perl(Encode.pm) perl(Encode/CN.pm) perl(Encode/JP.pm) perl(Encode/KR.pm) perl(Encode/TW.pm) perl(ExtUtils/MakeMaker.pm) perl(FindBin.pm) perl(Mojolicious.pm) perl(Mojolicious/Plugin/AutoRoute.pm) perl(Test/More.pm) perl(Validator/Custom.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.30
Release: alt1
Summary: Mojolicious plugin to display database information on browser
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/K/KI/KIMOTO/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
the Mojolicious::Plugin::DBViewer manpage is the Mojolicious manpage plugin
to display Database information on your browser.

the Mojolicious::Plugin::DBViewer manpage have the following features.

=over 4

=item *

Support `MySQL' and `SQLite'

=item *

Display all table names

=item *

Display `show create table'

=item *

Execute simple select statement

=item *

Display `primary keys', `null allowed columnes', `database engines'
and `charsets' in all tables.

=back


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/M*

%changelog
