%define module_name Mojolicious-Plugin-SecureCORS
# BEGIN SourceDeps(oneline):
BuildRequires: perl(List/MoreUtils.pm) perl(Module/Build/Tiny.pm) perl(Mojo/Base.pm) perl(Mojolicious.pm) perl(Mojolicious/Lite.pm) perl(Test/Mojo.pm) perl(Test/More.pm) perl(Test/Perl/Critic.pm) perl(Test/Pod.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 2.0.4
Release: alt1
Summary: Complete control over CORS
Group: Development/Perl
License: mit
URL: https://github.com/powerman/perl-Mojolicious-Plugin-SecureCORS

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PO/POWERMAN/%{module_name}-v%{version}.tar.gz
BuildArch: noarch

%description
the Mojolicious::Plugin::SecureCORS manpage is a plugin that allow you to configure
Cross Origin Resource Sharing for routes in the Mojolicious manpage app.

Implements this spec: http://www.w3.org/TR/2014/REC-cors-20140116/.
%prep
%setup -q -n %{module_name}-v%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes LICENSE
%perl_vendor_privlib/M*

%changelog
