%define module_name Mojolicious-Plugin-Webpack
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(File/chdir.pm) perl(FindBin.pm) perl(Mojolicious.pm) perl(Test/More.pm) perl(Time/HiRes.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.01
Release: alt1
Summary: Mojolicious . Webpack
Group: Development/Perl
License: artistic_2
URL: https://github.com/jhthorsen/mojolicious-plugin-webpack

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/J/JH/JHTHORSEN/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
the Mojolicious::Plugin::Webpack manpage is a the Mojolicious manpage plugin to make it easier to
work with https://webpack.js.org/.

Note that the Mojolicious::Plugin::Webpack manpage is currently EXPERIMENTAL, and
changes might come without a warning.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes example
%perl_vendor_privlib/M*

%changelog
