# BEGIN SourceDeps(oneline):
BuildRequires: perl(Digest/MD5.pm) perl(English.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(IO/Interface/Simple.pm) perl(Net/IPv4Addr.pm) perl(Socket.pm) perl(Test.pm) perl(Test/More.pm) perl-devel
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
#
# $Id$
#
%define perlvendorlib %(eval "`%{__perl} -V:installvendorlib`"; echo $installvendorlib)
%define srcname MondoRescue

Summary:	The perl-MondoRescue provides a set of functions for the MondoRescue project
Summary(fr):	Une bibliothèque de fonction de bas niveau pour le projet MondoRescue

Name:		perl-MondoRescue
Version:	3.2.2
Release:	alt1_4
License:	GPLv2
Group:		Archiving/Backup
Url:		http://www.mondorescue.org
Source:		ftp://ftp.mondorescue.org/src/%{srcname}-%{version}.tar.gz
BuildArch:	noarch
Requires:	perl >= 5.6.2
Requires:	perl-ProjectBuilder
BuildRequires:	perl-ProjectBuilder
Source44: import.info

%description
The perl-MondoRescue provides a set of functions for the MondoRescue project

%description -lfr
Une bibliothA.que de fonction de bas niveau pour le projet MondoRescue

%prep
%setup -q -n %{srcname}-%{version}

%build
/usr/bin/perl Makefile.PL destdir=${RPM_BUILD_ROOT}/  CONFDIR=%{_sysconfdir} CACHEDIR=%{_var}/cache TARGET=%{_exec_prefix}
%make_build

%install
make DESTDIR=${RPM_BUILD_ROOT} install
find ${RPM_BUILD_ROOT} -type f -name perllocal.pod -o -name .packlist -o -name '*.bs' -a -size 0 | xargs rm -f
find ${RPM_BUILD_ROOT} -type d -depth | xargs rmdir --ignore-fail-on-non-empty

%check
make test

%files
%config(noreplace) %{_sysconfdir}/mondorescue
%doc ChangeLog COPYING README NEWS AUTHORS

%{_bindir}/*
%{_mandir}/man1/*
%{perlvendorlib}/*
%{_mandir}/man5/*


%changelog
