%define module_name MooX-Params-CompiledValidators
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(Moo.pm) perl(Moose.pm) perl(Params/ValidationCompiler.pm) perl(Sub/Util.pm) perl(Test/Fatal.pm) perl(Test/More.pm) perl(Test/Warnings.pm) perl(Types/Standard.pm) perl(namespace/autoclean.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.04
Release: alt1
Summary: A L<Moo::Role> for using L<Params::ValidationCompiler>.
Group: Development/Perl
License: perl
URL: https://github.com/abeltje/MooX-Params-CompiledValidators

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/A/AB/ABELTJE/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This role uses the Params::ValidationCompiler manpage to create parameter validators on a
per method basis that can be used in the methods of your the Moo manpage or the Moose manpage
projects.

The objective is to create a single set of validation criteria -
ideally in a seperate role that can be used along side of this role - that can be used
to consistently validate parameters throughout your application.

The validators created by the Params::ValidationCompiler manpage are cached after they
are created first time, so they will only be created once.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README.md
%perl_vendor_privlib/M*

%changelog
