%define module_name MooX-Press
# BEGIN SourceDeps(oneline):
BuildRequires: perl(B.pm) perl(Carp.pm) perl(Child.pm) perl(Class/Method/Modifiers.pm) perl(Data/Dumper.pm) perl(Exporter/Tiny.pm) perl(ExtUtils/MakeMaker.pm) perl(FindBin.pm) perl(Foo.pm) perl(Import/Into.pm) perl(Lexical/Accessor.pm) perl(Module/Runtime.pm) perl(Moo.pm) perl(MooX/Enumeration.pm) perl(MooX/TypeTiny.pm) perl(Moose/Util.pm) perl(MooseX/Enumeration.pm) perl(Mouse/Util.pm) perl(Role/Hooks.pm) perl(Scalar/Util.pm) perl(Sub/HandlesVia.pm) perl(Sub/MultiMethod.pm) perl(Sub/SymMethod.pm) perl(Test/Fatal.pm) perl(Test/More.pm) perl(Test/Requires.pm) perl(Type/Tiny.pm) perl(UNIVERSAL/DOES.pm) perl(match/simple.pm) perl(namespace/autoclean.pm) perl(overload.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.082
Release: alt1
Summary: quickly create a bunch of Moo/Moose/Mouse classes and roles
Group: Development/Perl
License: perl
URL: https://metacpan.org/release/MooX-Press

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/T/TO/TOBYINK/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
the MooX::Press manpage (pronounced "Moo Express") is a quick way of creating a bunch
of simple Moo classes and roles at once without needing to create separate
Perl modules for each class and each role, and without needing to add a bunch
of boilerplate to each file.

It also supports Moose and Mouse, though Moo classes and roles play nicely
with Moose (and to a certain extent with Mouse) anyway.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc COPYRIGHT README LICENSE Changes CREDITS examples
%perl_vendor_privlib/M*
%perl_vendor_privlib/Z*

%changelog
