%define module_name MooX-ReturnModifiers
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(Moo.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.000000
Release: alt1
Summary: Returns Moo Modifiers as a Hash
Group: Development/Perl
License: artistic_2
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/L/LN/LNATION/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
use MooX::ReturnModifiers;

    sub import {
        my $target = caller;
        my %%modifiers = return_modifiers($target);
    
        ...
        $modifers{has}->();
        $modifers{with}->();
        $modifers{extends}->();
        $modifers{around}->();
        $modifers{before}->();
        $modifers{after}->();
    }

    .... OR ......

    use MooX::ReturnModifiers qw/return_has/
    
    sub import {
        my $target = caller;
        my $has = return_has($target);
    
        $has->( .... );
    }
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_privlib/M*

%changelog
