%define module_version 0.07
%define module_name MooX-Role-CachedURL
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(ExtUtils/MakeMaker.pm) perl(File/HomeDir.pm) perl(File/Spec/Functions.pm) perl(File/Touch.pm) perl(HTTP/Tiny.pm) perl(Moo.pm) perl(Moo/Role.pm) perl(PerlIO/gzip.pm) perl(Test/File.pm) perl(Test/More.pm) perl(Time/Duration/Parse.pm) perl(autodie.pm) perl(lib.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.07
Release: alt1.1
Summary: a role providing a locally cached copy of a remote file
Group: Development/Perl
License: perl
URL: https://github.com/neilb/MooX-Role-CachedURL

Source0: http://cpan.org.ua/authors/id/N/NE/NEILB/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
From summary: %summary

%prep
%setup -q -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE Changes README
%perl_vendor_privlib/M*

%changelog
