# BEGIN SourceDeps(oneline):
BuildRequires: perl(Crypt/CBC.pm) perl(Crypt/Rijndael.pm) perl(ExtUtils/MakeMaker.pm) perl(Moo.pm) perl(Moose.pm) perl(Test/NoWarnings.pm) perl(Test/Simple.pm) perl(autodie.pm)
# END SourceDeps(oneline)
%define module_name MooX-Role-CryptedPassword
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.01
Release: alt1
Summary: Password attribute from a encrypted file.
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/A/AB/ABELTJE/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This role adds an attribute `password' to your class. If the parameter
`password_file' is passed, the contents are assumed to be encrypted with the
Rijndael cipher (and you should supply the `cipher_key' argument).

Use the supplied `create_crypted_password' tool to generate the file.

In case the password (for development reasons) doesn't need to be encrypted or
comes from a different source (like a key-value-store), one can always pass a
plain-text password directly by passing it as the `password' parameter.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes
%perl_vendor_privlib/M*

%changelog
