%define module_name MooX-VariantAttribute
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(Combine/Keys.pm) perl(ExtUtils/MakeMaker.pm) perl(Module/Metadata.pm) perl(Moo.pm) perl(MooX/ReturnModifiers.pm) perl(Moonshine/Test.pm) perl(Scalar/Util.pm) perl(Test/More.pm) perl(Type/Tiny.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.10
Release: alt1
Summary: The great new MooX::VariantAttribute
Group: Development/Perl
License: artistic_2
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/L/LN/LNATION/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
package My::Multi::Parser
    use Moo;
    use MooX::VariantAttribute;

    # variant accepts everything - has - does
    variant parser => (
        is  => 'ro',
        when => [
            'Test::Parser::One' => {
                alias => {
                    parse_string => 'parse',
                    # parse_file exists 
                },
            },
            'Random::Parser::Two' => {
                alias => {
                    # parse_string exists
                    parse_file   => 'parse_from_file', 
                },
            },
            'Another::Parser::Three' => {
                alias => { 
                    parse_string => 'meth_one',
                    parse_file   => 'meth_two', 
                },
            },
        ],
    );

    ........

    my $parser = My::Multi::Parser->new( parser => Another::Parser::Three->new() )->parser;
    $parser->parse_string();
    $parser->parse_file();
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README README.md Changes ignore.txt
%perl_vendor_privlib/M*

%changelog
