# BEGIN SourceDeps(oneline):
BuildRequires: perl(Data/Object.pm) perl(Doodle.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec/Functions.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define module_name Moodle
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.03
Release: alt1
Summary: Migrations for Mojo DB Drivers
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/A/AW/AWNCORP/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Moodle uses the Doodle manpage with the Mojo manpage database drivers to easily install and
evolve database schema migrations. See the Doodle::Migration manpage for help setting up
the Doodle manpage migrations, and the Mojo::Pg manpage, the Mojo::mysql manpage or the Mojo::SQLite manpage for
help configuring the DB driver.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc CHANGES LICENSE README README.mkdn
%perl_vendor_privlib/M*

%changelog
