Group: Development/Perl
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(CPAN.pm) perl(JSON.pm) perl(LWP/Simple.pm) perl(Module/Build.pm) perl(Net/FTP.pm) perl(Parse/CPAN/Meta.pm) perl(YAML/Tiny.pm) perl-podlators
# END SourceDeps(oneline)
AutoReq: yes,noperl
Requires:  perl(Moose.pm)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-MooseX-Iterator
Version:        0.11
Release:        alt1_26
Summary:        Iterate over collections
License:        GPL+ or Artistic

URL:            https://metacpan.org/release/MooseX-Iterator
Source0:        https://cpan.metacpan.org/authors/id/R/RL/RLB/MooseX-Iterator-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  rpm-build-perl
BuildRequires:  perl(Data/Dumper.pm)
BuildRequires:  perl(inc/Module/Install.pm)
BuildRequires:  perl(Moose.pm)
BuildRequires:  perl(Test/More.pm)


Source44: import.info

%description
This is an attempt to add smalltalk-like streams to Moose. It currently
works with ArrayRefs and HashRefs.

%prep
%setup -q -n MooseX-Iterator-%{version}

# Filter requires
cat << \EOF > %{name}-req
#!/bin/sh
%{__perl_requires} $* |\
sed -e '/perl(MooseX::Iterator::Array)/d' |\
sed -e '/perl(MooseX::Iterator::Hash)/d' |\
sed -e '/perl(MooseX::Iterator::Meta::Iterable)/d'
EOF

%define __perl_requires %{_builddir}/MooseX-Iterator-%{version}/%{name}-req
chmod +x %{__perl_requires}

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
%make_build

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
# %{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc
%{perl_vendor_privlib}/Moose*

%changelog
