Group: Development/Perl
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(CPAN.pm) perl(LWP/Simple.pm) perl(Module/Build.pm) perl(Net/FTP.pm) perl(YAML.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-MooseX-LazyLogDispatch
Version:        0.02
Release:        alt3_36
Summary:        Logging Role for Moose
License:        GPL+ or Artistic

URL:            https://metacpan.org/release/MooseX-LazyLogDispatch
Source0:        https://cpan.metacpan.org/authors/id/B/BL/BLBLACK/MooseX-LazyLogDispatch-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  perl-devel
BuildRequires:  rpm-build-perl
BuildRequires:  perl(inc/Module/Install.pm)
BuildRequires:  perl(Module/Install/AutoInstall.pm)
BuildRequires:  perl(Module/Install/Metadata.pm)
BuildRequires:  perl(Module/Install/WriteAll.pm)
BuildRequires:  sed
# Run-time
BuildRequires:  perl(base.pm)
BuildRequires:  perl(Log/Dispatch/Config.pm)
BuildRequires:  perl(Log/Dispatch/Configurator.pm)
BuildRequires:  perl(Moose/Role.pm)
BuildRequires:  perl(strict.pm)
BuildRequires:  perl(warnings.pm)
# Tests
BuildRequires:  perl(IO/Scalar.pm)
BuildRequires:  perl(Moose.pm)
BuildRequires:  perl(Test/More.pm)


Source44: import.info

%description
Log::Dispatch role for use with your Moose classes.

%prep
%setup -q -n MooseX-LazyLogDispatch-%{version}
# Remove bundled libraries
rm -r inc
sed -i -e '/^inc\// d' MANIFEST

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
%make_build

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
# %{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc ChangeLog README
%{perl_vendor_privlib}/Moose*

%changelog
