Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:       perl-MooseX-MultiInitArg 
Version:    0.02 
Release:    alt2_21
# lib/MooseX/MultiInitArg.pm -> GPL+ or Artistic
# lib/MooseX/MultiInitArg/Attribute.pm -> GPL+ or Artistic
# lib/MooseX/MultiInitArg/Trait.pm -> GPL+ or Artistic
License:    GPL+ or Artistic 
Summary:    Attributes with aliases for constructor arguments 
Source:     https://cpan.metacpan.org/authors/id/F/FR/FRODWITH/MooseX-MultiInitArg-%{version}.tar.gz
Url:        https://metacpan.org/release/MooseX-MultiInitArg
BuildArch:  noarch
BuildRequires: perl-devel
BuildRequires: rpm-build-perl
BuildRequires: perl(Module/Build/Tiny.pm)
# Run-time:
BuildRequires: perl(Carp.pm)
BuildRequires: perl(Moose.pm)
BuildRequires: perl(Moose/Role.pm)
BuildRequires: perl(strict.pm)
BuildRequires: perl(warnings.pm)
# Tests:
BuildRequires: perl(Test/More.pm)
BuildRequires: perl(Test/Pod.pm)


Source44: import.info

%description
If you've ever wanted to be able to call an attribute any number of
things while you're passing arguments to your object constructor, Now
You Can. This is an attribute metaclass / trait to allow easy new()-time
attribute aliasing.

%prep
%setup -q -n MooseX-MultiInitArg-%{version}

%build
perl Build.PL --installdirs vendor
./Build

%install
./Build install --destdir $RPM_BUILD_ROOT --create_packlist 0
# %{_fixperms} $RPM_BUILD_ROOT

%check
./Build test

%files
%doc Changes LICENSE README 
%{perl_vendor_privlib}/*

%changelog
