Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Moose.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-MooseX-Role-Matcher
Version:        0.05
Release:        alt3_27
Summary:        Generic object matching based on attributes and methods
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/MooseX-Role-Matcher
Source0:        https://cpan.metacpan.org/modules/by-module/MooseX/MooseX-Role-Matcher-%{version}.tar.gz
# This issue is published as https://rt.cpan.org/Public/Bug/Display.html?id=70245
# The updated license has been taken from http://www.gnu.org/licenses/gpl-1.0.txt
Patch0:         perl-MooseX-Role-Matcher-0.05-GPL.patch
BuildArch:      noarch
BuildRequires:  rpm-build-perl
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(List/MoreUtils.pm)
BuildRequires:  perl(Test/Deep.pm)
BuildRequires:  perl(MooseX/Role/Parameterized.pm)
BuildRequires:  perl(List/Util.pm)
BuildRequires:  perl(Test/More.pm)
Source44: import.info

%description
This role adds flexible matching and searching capabilities to your Moose
class. It provides a match method, which tests attributes and methods of
your object against strings, regexes, or coderefs, and also provides
several class methods for using match on lists of objects.

%prep
%setup -q -n MooseX-Role-Matcher-%{version}
%patch0 -p1 -b .GPL

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+w $RPM_BUILD_ROOT/*

%check
make test

%files
%doc LICENSE README
%{perl_vendor_privlib}/*

%changelog
