Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-MooseX-Role-TraitConstructor
Version:        0.01
Release:        alt2_27
Summary:        Wrapper for new that can accept a traits parameter
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/MooseX-Role-TraitConstructor
Source0:        https://cpan.metacpan.org/authors/id/N/NU/NUFFIN/MooseX-Role-TraitConstructor-%{version}.tar.gz
BuildArch:      noarch
# Build
BuildRequires:  rpm-build-perl
BuildRequires:  perl-devel
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(strict.pm)
# Runtime
BuildRequires:  perl(Carp.pm)
BuildRequires:  perl(constant.pm)
BuildRequires:  perl(List/Util.pm)
BuildRequires:  perl(Moose/Role.pm)
# Tests
BuildRequires:  perl(Moose.pm)
BuildRequires:  perl(ok.pm)
BuildRequires:  perl(Test/Exception.pm)
BuildRequires:  perl(Test/More.pm)
BuildRequires:  perl(Test/use/ok.pm)
BuildRequires:  perl(warnings.pm)
Requires:       perl(Moose.pm) >= 0.400


Source44: import.info

%description
This role allows you to easily accept a traits argument (or another name)
into your constructor, which will easily mix roles into an anonymous class
before construction, much like Moose::Meta::Attribute does.

%prep
%setup -q -n MooseX-Role-TraitConstructor-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}

%install
%{makeinstall_std}
# %{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%{perl_vendor_privlib}/*

%changelog
