Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Module/Build.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-MooseX-Types-DateTime-MoreCoercions
Version:        0.15
Release:        alt2_18
Summary:        Extensions to MooseX::Types::DateTime
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/MooseX-Types-DateTime-MoreCoercions
Source0:        https://cpan.metacpan.org/authors/id/E/ET/ETHER/MooseX-Types-DateTime-MoreCoercions-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  rpm-build-perl
BuildRequires:  perl-devel
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(strict.pm)
BuildRequires:  perl(warnings.pm)
# Run-time:
BuildRequires:  perl(DateTime.pm)
BuildRequires:  perl(DateTime/Duration.pm)
BuildRequires:  perl(DateTimeX/Easy.pm)
BuildRequires:  perl(if.pm)
BuildRequires:  perl(Moose.pm)
BuildRequires:  perl(MooseX/Types.pm)
BuildRequires:  perl(MooseX/Types/DateTime.pm)
BuildRequires:  perl(MooseX/Types/Moose.pm)
# MooseX::Types >= 0.42 needs namespace::autoclean
BuildRequires:  perl(namespace/autoclean.pm)
BuildRequires:  perl(namespace/clean.pm)
BuildRequires:  perl(Time/Duration/Parse.pm)
# Tests:
BuildRequires:  perl(File/Spec.pm)
BuildRequires:  perl(ok.pm)
BuildRequires:  perl(Test/Fatal.pm)
BuildRequires:  perl(Test/More.pm)
# Optional tests:
# CPAN::Meta 2.120900 is not needed but its absence causes an unitialized
# variable warning, CPAN RT#97618. We can live with the warning.
# MooseX::Types >= 0.42 needs namespace::autoclean
Requires:       perl(namespace/autoclean.pm)
Source44: import.info

%description
This module builds on MooseX::Types::DateTime to add additional custom
types and coercions. Since it builds on an existing type, all coercions
and constraints are inherited.

%prep
%setup -q -n MooseX-Types-DateTime-MoreCoercions-%{version}

%build
# We prefer ExtUtils::MakeMaker over Module::Build::Tiny
export PERL_MM_FALLBACK_SILENCE_WARNING=1
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}

%install
%{makeinstall_std}
# %{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc --no-dereference LICENSE
%doc Changes CONTRIBUTING README
%{perl_vendor_privlib}/*

%changelog
