Group: Development/Perl
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Module/Build.pm) perl(if.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-MooseX-Types-Set-Object
Version:        0.05
Release:        alt2_17
Summary:        Set::Object type with coercions and stuff
License:        GPL+ or Artistic

URL:            https://metacpan.org/release/MooseX-Types-Set-Object
Source0:        https://cpan.metacpan.org/authors/id/E/ET/ETHER/MooseX-Types-Set-Object-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  rpm-build-perl
BuildRequires:  perl(Module/Build/Tiny.pm)
BuildRequires:  perl(Moose.pm)
BuildRequires:  perl(MooseX/Types.pm)
BuildRequires:  perl(Set/Object.pm)
BuildRequires:  perl(Pod/Coverage.pm)
BuildRequires:  perl(Test/Fatal.pm)
BuildRequires:  perl(Test/use/ok.pm)


Source44: import.info

%description
This module provides Moose type constraints (see
Moose::Util::TypeConstraints, MooseX::Types).

%prep
%setup -q -n MooseX-Types-Set-Object-%{version}

%build
/usr/bin/perl Build.PL --installdirs=vendor
./Build

%install
./Build install --destdir=%{buildroot} --create_packlist=0
# %{_fixperms} $RPM_BUILD_ROOT/*

%check
./Build test

%files
%doc README
%doc --no-dereference LICENSE
%{perl_vendor_privlib}/MooseX*

%changelog
