Group: Development/Perl
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Pod/Usage.pm) perl(Test/Pod.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-MooseX-Workers
Version:        0.24
Release:        alt2_21
Summary:        Provides a simple sub-process management for asynchronous tasks
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/MooseX-Workers
Source0:        https://cpan.metacpan.org/authors/id/R/RK/RKITOVER/MooseX-Workers-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  rpm-build-perl
BuildRequires:  perl-devel
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(strict.pm)
# Run-time:
BuildRequires:  perl(Moose.pm)
BuildRequires:  perl(Moose/Role.pm)
BuildRequires:  perl(overload.pm)
BuildRequires:  perl(Package/Stash.pm)
BuildRequires:  perl(POE.pm)
BuildRequires:  perl(POE/Wheel/Run.pm)
BuildRequires:  perl(Scalar/Util.pm)
BuildRequires:  perl(Try/Tiny.pm)
# Tests:
BuildRequires:  perl(blib.pm)
BuildRequires:  perl(DateTime.pm)
BuildRequires:  perl(File/Spec.pm)
BuildRequires:  perl(IO/Handle.pm)
BuildRequires:  perl(IPC/Open3.pm)
BuildRequires:  perl(lib.pm)
BuildRequires:  perl(POE/Filter/Line.pm)
BuildRequires:  perl(POE/Filter/Reference.pm)
BuildRequires:  perl(Test/More.pm)
# Test::Pod 1.41 not used
BuildRequires:  perl(warnings.pm)
Requires:       perl(POE/Wheel/Run.pm)


Source44: import.info

%description
MooseX::Workers is a Role that provides easy delegation of long-running
tasks into a managed child process. Process management is taken care of via
POE and it's POE::Wheel::Run module.

%prep
%setup -q -n MooseX-Workers-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
%make_build

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
# %{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc --no-dereference LICENSE
%doc Changes README
%{perl_vendor_privlib}/MooseX*

%changelog
