%define module_name Music-RhythmSet
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Exporter.pm) perl(List/GroupingPriorityQueue.pm) perl(MIDI.pm) perl(Module/Build.pm) perl(Moo.pm) perl(Scalar/Util.pm) perl(Statistics/Lite.pm) perl(Test2/V0.pm) perl(namespace/clean.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.03
Release: alt1
Summary: sets of rhythms and various generation functions
Group: Development/Perl
License: bsd
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/J/JM/JMATES/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This module supports sets of rhythms, each being a
the Music::RhythmSet::Voice manpage object, which is where most of the action
happens. the Music::RhythmSet::Util manpage offers various rhythm generation and
classification functions. Rhythms have a lifetime (ttl), and can have a
callback function that can set a new rhythm and time-to-live when the
ttl expires. Rhythms can be exported in various formats.

See `eg/beatinator' and `eg/texty' in the distribution for this module
for various ways to generate MIDI, import from string form, etc.

Various calls will throw exceptions if something goes awry.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes LICENSE
%perl_vendor_privlib/M*

%changelog
