%define module_name Mutex
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(ExtUtils/MakeMaker.pm) perl(Fcntl.pm) perl(Socket.pm) perl(Test/More.pm) perl(base.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.005
Release: alt1
Summary: Various locking implementations supporting processes and threads
Group: Development/Perl
License: perl
URL: https://github.com/marioroy/mutex-perl

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/M/MA/MARIOROY/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This module implements locking methods that can be used to coordinate access
to shared data from multiple workers spawned as processes or threads.

The inspiration for this module came from reading Mutex for Ruby.
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install
rm %buildroot%perl_vendor_privlib/README.pod

%files
%doc Changes LICENSE Copying README.pod
%perl_vendor_privlib/M*

%changelog
