%define module_name MySQL-Dump-Parser-XS
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Module/Build.pm) perl(Module/Build/XSUtil.pm) perl(Test/More.pm) perl(XSLoader.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.04
Release: alt3
Summary: mysqldump SQL parser
Group: Development/Perl
License: perl
URL: https://github.com/karupanerura/MySQL-Dump-Parser-XS

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/K/KA/KARUPA/%{module_name}-%{version}.tar.gz

%description
MySQL::Dump::Parser::XS is `mysqldump' parser written in C/XS.
This module provides schema/data loader from `mysqldump' output SQL directly. No need `mysqld'.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README.md LICENSE
%perl_vendor_archlib/M*
%perl_vendor_autolib/*

%changelog
