Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(IO/Socket/INET.pm) perl(Mcrypt.pm) perl(UNIVERSAL.pm) perl(base.pm) perl-podlators
# END SourceDeps(oneline)
%filter_from_requires /^perl.Mcrypt.pm./d
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-Nagios-NSCA
Version:        0.1
Release:        alt2_35
Summary:        Nagios::NSCA Perl module
License:        GPL+ 
URL:            https://metacpan.org/release/Nagios-NSCA
Source0:        https://cpan.metacpan.org/modules/by-module/Nagios/Nagios-NSCA-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  rpm-build-perl
BuildRequires:  perl(Digest/CRC.pm)
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
Source44: import.info

%description
Nagios::NSCA Perl module

%prep
%setup -q -n Nagios-NSCA-%{version}
# Move the lib to the lib dir.
# http://rt.cpan.org/Public/Bug/Display.html?id=43183
mkdir lib
mv Nagios lib/.

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor
%make_build
# Use this file as a doc example.
chmod 644 bin/send_nsca

%install

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
# rm from bin and include as doc as an example.
# To confusing given the "real" /usr/sbin/send_nsca
# Make it a doc instead
rm -f $RPM_BUILD_ROOT/%{_bindir}/send_nsca

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

# %{_fixperms} $RPM_BUILD_ROOT/*

%files
%doc bin/send_nsca
%{perl_vendor_privlib}/*

%changelog
