# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(DBD/AnyData.pm) perl(DBD/mysql.pm) perl(DBI.pm) perl(Exporter.pm) perl(Time/Local.pm) perl(base.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define upstream_name    Nagios-Report
%define upstream_version 0.003

Name:       perl-%{upstream_name}
Version:    %{upstream_version}
Release:    alt2_9

Summary:    Perl class to filter and munge Nagios availability data
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Nagios/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils/MakeMaker.pm)
BuildArch: noarch
Source44: import.info

%description
Gets the Nagios (http://wwww.Nagios.ORG/) *All Hosts or Services*
availability report (getting the results in CSV format) and applies grep
like filters, map like munging, and slice like field masks to produce a
report which can be output in various ways.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes TODO META.yml
#%{_mandir}/man3/*
%perl_vendor_privlib/*





%changelog
