# BEGIN SourceDeps(oneline):
BuildRequires: perl(Bytes/Random/Secure.pm) perl(Module/Build/Tiny.pm) perl(Test2/V0.pm)
# END SourceDeps(oneline)
%define module_name Nanoid
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.02
Release: alt1
Summary: Perl implementation of L<nanoid|https://github.com/ai/nanoid>
Group: Development/Perl
License: mit
URL: https://github.com/tkzwtks/Nanoid-perl

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/T/TK/TKZWTKS/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Nanoid is a tiny, secure, URL-friendly, unique string ID generator.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README.md LICENSE
%perl_vendor_privlib/N*

%changelog
