%define module_name Net-APNS-Simple
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Crypt/JWT.pm) perl(Crypt/PK/ECC.pm) perl(File/Basename.pm) perl(File/Spec.pm) perl(IO/Socket/SSL.pm) perl(JSON.pm) perl(Module/Build/Tiny.pm) perl(Moo.pm) perl(Net/HTTP.pm) perl(Protocol/HTTP2.pm) perl(Test/More.pm) perl(URI.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.06
Release: alt1
Summary: APNS Perl implementation
Group: Development/Perl
License: perl
URL: https://github.com/rockbone/p5-Net-APNS-Simple

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/R/RO/ROCKBONE/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
A Perl implementation for sending notifications via APNS using Apple's new HTTP/2 API.
This library uses Protocol::HTTP2::Client as http2 backend.
And it also supports multiple stream at one connection.
(It does not correspond to parallel stream because APNS server returns SETTINGS_MAX_CONCURRENT_STREAMS = 1.)

    You can not use the key obtained from Apple at the moment, see the item of Caution below.


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.md Changes LICENSE
%perl_vendor_privlib/N*

%changelog
