%define module_name Net-Async-Slack
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Adapter/Async.pm) perl(Bytes/Random/Secure.pm) perl(Cache/LRU.pm) perl(Check/UnitCheck.pm) perl(Dir/Self.pm) perl(ExtUtils/MakeMaker.pm) perl(File/ShareDir.pm) perl(File/ShareDir/Install.pm) perl(File/Spec.pm) perl(Future.pm) perl(Future/AsyncAwait.pm) perl(HTML/TreeBuilder.pm) perl(HTTP/Request.pm) perl(IO/Async/Notifier.pm) perl(IO/Async/SSL.pm) perl(IO/Async/Timer/Countdown.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(JSON/MaybeUTF8.pm) perl(JSON/MaybeXS.pm) perl(List/UtilsBy.pm) perl(Log/Any.pm) perl(Mojo/UserAgent.pm) perl(Net/Async/HTTP.pm) perl(Net/Async/OAuth/Client.pm) perl(Net/Async/WebSocket/Client.pm) perl(Path/Tiny.pm) perl(Ryu.pm) perl(Ryu/Async.pm) perl(Syntax/Keyword/Try.pm) perl(Template.pm) perl(Test/CheckDeps.pm) perl(Test/More.pm) perl(Time/Moment.pm) perl(URI.pm)
BuildRequires: perl(URI/QueryParam.pm) perl(URI/Template.pm) perl(URI/wss.pm) perl(XS/Parse/Sublike.pm) perl(curry.pm) perl(indirect.pm) perl(namespace/clean.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.007
Release: alt1
Summary: Slack realtime messaging API support for IO::Async
Group: Development/Perl
License: perl
URL: https://github.com/team-at-cpan/Net-Async-Slack

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/T/TE/TEAM/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This is a basic wrapper for Slack's API. It's an early version, the module API is likely
to change somewhat over time.

See the `examples/' directory for usage.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes LICENSE README examples
%perl_vendor_privlib/N*
%perl_vendor_privlib/auto/*

%changelog
