# BEGIN SourceDeps(oneline):
BuildRequires: perl(Params/Validate.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define module_version 0.01
%define module_name Net-Bot-IRC-Message
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.01
Release: alt1
Summary: An IRC protocol message class.
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/M/MC/MCAUDILL/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
use Net::Bot::IRC::Message;

    my $outgoing = Net::Bot::IRC::Message->new({
        prefix  => $prefix, #Optional
        command => $cmd,
        params  => $params,
    });
    my $raw_message = $outgoing->compile();
    
    my $incoming = Net::Bot::IRC::Message->new({
        unparsed => $raw_message,
    });
    my ($prefix, $command, $params)
        = $incoming->parse();



%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_privlib/N*

%changelog
