%define module_name Net-Cisco-FMC-v1
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Clone.pm) perl(Data/Perl/Code.pm) perl(ExtUtils/MakeMaker.pm) perl(JSON.pm) perl(Moo.pm) perl(MooX/Role/Parameterized.pm) perl(NetAddr/IP.pm) perl(Pod/Coverage/TrustPod.pm) perl(Role/REST/Client.pm) perl(Role/REST/Client/Auth/Basic.pm) perl(Sub/Retry.pm) perl(Syntax/Keyword/Try.pm) perl(Test/More.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(Test/Synopsis.pm) perl(Test2/Suite.pm) perl(Time/HiRes.pm) perl(Type/Tiny.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.006001
Release: alt1
Summary: Cisco Firepower Management Center (FMC) API version 1 client library
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/A/AB/ABRAXXA/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This module is a client library for the Cisco Firepower Management
Center (FMC) REST API version 1.
Currently it is developed and tested against FMC version 6.2.3.6.
Older FMC versions have bugs like:

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README LICENSE
%perl_vendor_privlib/N*

%changelog
