%define module_name Net-Clacks
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Array/Contains.pm) perl(Carp.pm) perl(Encode.pm) perl(English.pm) perl(Errno.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Copy.pm) perl(IO/Select.pm) perl(IO/Socket/IP.pm) perl(IO/Socket/SSL.pm) perl(Readonly.pm) perl(Sys/Hostname.pm) perl(Test/Perl/Critic.pm) perl(Time/HiRes.pm) perl(XML/Simple.pm) perl(YAML/Syck.pm) perl(autodie.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 18
Release: alt1
Summary: Fast client/server interprocess messaging and memcached replacement
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/C/CA/CAVAC/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
The Net::Clacks system implements a fast client/server based interprocess messaging. For
handling a high number of clients, you can run multiple servers in a master/slave configuration.
A slave can also run itself as master for it's own slaves, so a tree-like setup is possible.

Clacks has two ways to handle data. One is (near) real time messaging, the other is storing in
memory (as a replacement for memcached).

Clacks has also a DEBUG feature, that forwards all messages to a requesting client.

The Net::Clacks system implements a fast client/server based interprocess messaging. For
handling a high number of clients, you can run multiple servers in a master/slave configuration.
A slave can also run itself as master for it's own slaves, so a tree-like setup is possible. This
is implemented by using Interclacks mode via OVERHEAD mode setting.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes example
%perl_vendor_privlib/N*

%changelog
