%define module_version 0.36
%define module_name Net-Connection-Sniffer
# BEGIN SourceDeps(oneline):
BuildRequires: libpcap-devel perl(Config.pm) perl(Data/Dumper.pm) perl(DynaLoader.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(Fcntl.pm) perl(Net/DNS/Codes.pm) perl(Net/DNS/ToolKit.pm) perl(Net/DNS/ToolKit/RR.pm) perl(Net/Interface.pm) perl(Net/NBsocket.pm) perl(NetAddr/IP.pm) perl(NetAddr/IP/Util.pm) perl(Proc/PidUtil.pm) perl(Socket.pm) perl(Sys/Hostname/FQDN.pm) perl(Sys/Sig.pm) perl(Test/Harness.pm) perl(overload.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.36
Release: alt7
Summary: - gather stats on network connections
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/M/MI/MIKER/%{module_name}-%{module_version}.tar.gz
# TODO: fix compilation on other arches
ExclusiveArch: %{ix86}

%description
Net::Connection::Sniffer is a perl module to gather connection
statistics by listening to ethernet traffic. Traffic is filtered using
standard BPF notation as described in the `tcpdump' documentation and
implemented using the standard `pcap' library to
sniff packets on host network interfaces.


%prep
%setup -q -n %{module_name}-%{module_version}
sed -i -e "/'INC'/d" Makefile.PL
[ %version = 0.36 ] && rm t/chk_wconf.t

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README GPL Changes Artistic
%perl_vendor_archlib/N*
%perl_vendor_autolib/*

%changelog
