%define module_name Net-Curl-Promiser
# BEGIN SourceDeps(oneline):
BuildRequires: perl(AnyEvent.pm) perl(AnyEvent/Loop.pm) perl(ExtUtils/MakeMaker.pm) perl(FindBin.pm) perl(IO/Async/Handle.pm) perl(IO/Async/Loop.pm) perl(Mojo/IOLoop.pm) perl(Mojo/Promise.pm) perl(Mojolicious.pm) perl(Net/Curl.pm) perl(Promise/ES6.pm) perl(Promise/XS.pm) perl(Test/Class/Tiny.pm) perl(Test/Deep.pm) perl(Test/FailWarnings.pm) perl(Test/Fatal.pm) perl(Test/More.pm) perl(autodie.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.17
Release: alt1
Summary: A Promise interface for L<Net::Curl::Multi>
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/F/FE/FELIPE/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This module wraps the Net::Curl::Multi manpage to facilitate asynchronous
HTTP requests with Promise objects.

the Net::Curl::Promiser manpage itself is a base class; you.e'll need to provide
an interface to whatever event loop you use. See the SUBCLASS INTERFACE entry elsewhere in this document
below.

This distribution provides the Net::Curl::Promiser::Select manpage and
the Net::Curl::Promiser::AnyEvent manpage as both demonstrations and easily portable
implementations. See the distribution.e's /examples directory for another.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE README.md Changes examples
%perl_vendor_privlib/N*

%changelog
