# BEGIN SourceDeps(oneline):
BuildRequires: perl(CDDB/File.pm) perl(DynaLoader.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Temp.pm) perl(IO/Socket/INET.pm) perl(Moo.pm) perl(Net/Cmd.pm) perl(Test/Most.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define module_version 0.10
%define module_name Net-FreeDB
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.10
Release: alt5
Summary: OOP Interface to FreeDB Server(s)
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/D/DS/DSHULTZ/%{module_name}-%{module_version}.tar.gz

%description
Net::FreeDB was inspired by Net::CDDB.  And in-fact
    was designed as a replacement in-part by Net::CDDB's
    author Jeremy D. Zawodny.  Net::FreeDB allows an
    oop interface to the freedb server(s) as well as
    some basic cdrom functionality like determining
    disc ids, track offsets, etc.
%prep
%setup -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes TODO
%perl_vendor_archlib/N*
%perl_vendor_autolib/N*

%changelog
