Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(CGI.pm) perl(CGI/Carp.pm) perl(DBD/Pg.pm) perl(DBI.pm) perl(Geo/GoogleEarth/Document.pm) perl(IO/Socket/INET.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-Net-GPSD
Version:        0.39
Release:        alt2_30
Summary:        Provides an object client interface to the gpsd server daemon

License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Net-GPSD
Source0:        https://cpan.metacpan.org/authors/id/M/MR/MRDVT/Net-GPSD-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  rpm-build-perl
BuildRequires:  perl(Geo/Forward.pm)
BuildRequires:  perl(Geo/Functions.pm)
BuildRequires:  perl(Geo/Inverse.pm)
BuildRequires:  perl(GPS/OID.pm)
BuildRequires:  perl(LWP/UserAgent.pm)
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
Source44: import.info

%description
Net::GPSD provides an object client interface to the gpsd server daemon.
gpsd is an open source GPS daemon from http://gpsd.berlios.de/.


%prep
%setup -q -n Net-GPSD-%{version}
chmod -c a-x bin/example-* doc/*.cgi


%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor
%make_build


%install
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*


%check
make test



%files
%doc CHANGES LICENSE README
%doc doc/ bin/example-*
%{perl_vendor_privlib}/Net/


%changelog
