# BEGIN SourceDeps(oneline):
BuildRequires: libsowing-devel perl(Benchmark.pm) perl(Devel/Cover.pm) perl(English.pm) perl(FindBin.pm) perl(List/Util.pm) perl(Module/Build/Tiny.pm) perl(Net/CIDR/Lite.pm) perl(Net/IP/Match/Bin.pm) perl(Net/IP/Match/Regexp.pm) perl(Net/IP/Match/XS.pm) perl(Net/Patricia.pm) perl(Path/Class.pm) perl(Pod/Usage.pm) perl(Pod/Wordlist.pm) perl(Socket.pm) perl(Test/Base.pm) perl(Test/Fixme.pm) perl(Test/Kwalitee.pm) perl(Test/More.pm) perl(Test/Requires.pm) perl(Test/Spelling.pm) perl(Time/HiRes.pm) perl(XSLoader.pm)
# END SourceDeps(oneline)
%define module_version 1.00
%define module_name Net-IP-Match-Trie
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.00
Release: alt6
Summary: Efficiently match IP addresses against IP ranges with Trie (prefix tree)
Group: Development/Perl
License: perl
URL: https://github.com/hirose31/p5-net-ip-match-trie

Source0: http://cpan.org.ua/authors/id/H/HI/HIROSE/%module_name-%module_version.tar.gz

%description
Net::IP::Match::Trie is XS or Pure Perl implementation of matching IP address against Net ranges.

Net::IP::Match::Trie uses Trie (prefix tree) data structure, so very fast lookup time (match_ip) but slow setup (add) time.
This module is useful for once initialization and a bunch of lookups model such as long life server process.


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE Changes README
%perl_vendor_archlib/N*
%perl_vendor_autolib/*

%changelog
