%define module_name Net-OpenNebula
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Data/Dumper.pm) perl(ExtUtils/MakeMaker.pm) perl(RPC/XML.pm) perl(RPC/XML/Client.pm) perl(RPC/XML/ParserFactory.pm) perl(Test/More.pm) perl(Test/Perl/Critic.pm) perl(Test/Pod.pm) perl(XML/Parser.pm) perl(XML/Simple.pm) perl(constant.pm) perl(strict.pm) perl(version.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.316.0
Release: alt1
Summary: Access OpenNebula RPC via Perl.
Group: Development/Perl
License: apache
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/S/ST/STDWEIRD/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
With this module you can access the OpenNebula XML-RPC service.

To inspect the return values of the methods we suggest to use Data::Dumper.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE README
%perl_vendor_privlib/N*

%changelog
