%define module_name Net-Proxmox-VE
Epoch: 1
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(HTTP/Headers.pm) perl(HTTP/Request/Common.pm) perl(IO/Handle.pm) perl(IO/Socket/SSL.pm) perl(IPC/Open3.pm) perl(JSON.pm) perl(LWP/Protocol/https.pm) perl(LWP/UserAgent.pm) perl(Module/Build.pm) perl(Pod/Coverage/TrustPod.pm) perl(Test/CPAN/Meta.pm) perl(Test/EOL.pm) perl(Test/Kwalitee.pm) perl(Test/More.pm) perl(Test/NoBreakpoints.pm) perl(Test/NoTabs.pm) perl(Test/PAUSE/Permissions.pm) perl(Test/Perl/Critic.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(Test/Trap.pm) perl(parent.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.35
Release: alt1
Summary: Pure perl API for Proxmox virtualisation
Group: Development/Perl
License: perl
URL: https://github.com/mrproper/proxmox-ve-api-perl

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/D/DJ/DJZORT/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
%summary

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc TODO README.pod Changes AUTHOR_PLEDGE README CONTRIBUTORS LICENSE examples
%perl_vendor_privlib/N*

%changelog
