Group: Development/Perl
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(AnyEvent.pm) perl(CPAN.pm) perl(Config.pm) perl(Coro.pm) perl(Coro/Socket.pm) perl(Coro/Specific.pm) perl(Coro/Util.pm) perl(Cwd.pm) perl(Fcntl.pm) perl(File/Basename.pm) perl(File/Find.pm) perl(File/Spec.pm) perl(File/Temp.pm) perl(FileHandle.pm) perl(JSON.pm) perl(LWP/Simple.pm) perl(Module/Build.pm) perl(Net/FTP.pm) perl(Net/SSLeay.pm) perl(Net/Server.pm) perl(Net/Server/Proto/TCP.pm) perl(Parse/CPAN/Meta.pm) perl(Socket.pm) perl(YAML/Tiny.pm) perl(base.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-Net-Server-Coro
Version:        1.3
Release:        alt2_20

Summary:        Co-operative multithreaded server using Coro
License:        MIT
URL:            https://metacpan.org/release/Net-Server-Coro

Source0:        https://cpan.metacpan.org/authors/id/A/AL/ALEXMV/Net-Server-Coro-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  rpm-build-perl
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(inc/Module/Install.pm)


# This one is not automatically caught by RPM
Requires:       perl(Net/SSLeay.pm)
Source44: import.info

%description
Net::Server::Coro implements multithreaded server for the Net::Server
architecture, using Coro and Coro::Socket to make all reads and writes non-
blocking. Additionally, it supports non-blocking SSL negotiation.


%prep
%setup -q -n Net-Server-Coro-%{version}

# Build using the system-provided module, not the bundled one
rm -fr inc


%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor
%make_build


%install
make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

# %{_fixperms} %{buildroot}/*


%files
%doc Changes
%{perl_vendor_privlib}/Net


%check
make test


%changelog
