Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-Net-Whois
Version:        1.9
Release:        alt2_29
Summary:        Get and parse "whois" domain data from InterNIC
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Net-Whois
Source0:        https://cpan.metacpan.org/modules/by-module/Net/Net-Whois-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  findutils
BuildRequires:  rpm-build-perl
BuildRequires:  perl-devel
BuildRequires:  perl(Carp.pm)
BuildRequires:  perl(Exporter.pm)
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(IO/File.pm)
BuildRequires:  perl(IO/Socket.pm)
# Optional: perl(Locale::Country)
BuildRequires:  perl(strict.pm)
BuildRequires:  perl(vars.pm)
Source44: import.info

%description
Net::Whois::Domain new() attempts to retrieve and parse the given
domain's "whois" information from the InterNIC (whois.internic.net). If
the server could not be contacted, is too busy, or otherwise does not
process the query then the constructor does not return a reference and
your object is undefined. If the constructor returns a reference, that
reference can be used to access the various attributes of the domains'
whois entry assuming that there was a match. The member function ok
returns 1 if a match 0 if no match.

%prep
%setup -q -n Net-Whois-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
# %{_fixperms} %{buildroot}/*

%files
%doc README
%{perl_vendor_privlib}/*

%changelog
