Group: Development/Perl
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(IP/Country/Fast.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-Net-Whois-IP
Version:        1.19
Release:        alt2_17
Summary:        Perl extension for looking up the whois information for ip addresses

License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Net-Whois-IP
Source0:        https://cpan.metacpan.org/modules/by-module/Net/Net-Whois-IP-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  findutils
BuildRequires:  rpm-build-perl
BuildRequires:  perl-devel
BuildRequires:  perl(Carp.pm)
BuildRequires:  perl(Exporter.pm)
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(File/Spec.pm)
BuildRequires:  perl(IO/Socket.pm)
BuildRequires:  perl(Regexp/IPv6.pm)
BuildRequires:  perl(strict.pm)
BuildRequires:  perl(vars.pm)
Source44: import.info

%description
Perl module to allow whois lookup of ip addresses. This module should
recursively query the various whois providers until it gets the more
detailed information including either TechPhone or OrgTechPhone by default;
however, this is overrideable.

%prep
%setup -q -n Net-Whois-IP-%{version}

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
# %{_fixperms} %{buildroot}/*

%files
%doc Changes
%{perl_vendor_privlib}/*

%changelog
