%def_without test
%define module_name Net-Z3950-FOLIO
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Cpanel/JSON/XS.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(IO/File.pm) perl(LWP/Protocol/https.pm) perl(LWP/UserAgent.pm) perl(MARC/File/XML.pm) perl(MARC/Record.pm) perl(Mozilla/CA.pm) perl(Net/Z3950/PQF.pm) perl(Net/Z3950/SimpleServer.pm) perl(Net/Z3950/ZOOM.pm) perl(Scalar/Util.pm) perl(Test/Differences.pm) perl(Unicode/Diacritic/Strip.pm) perl(XML/Simple.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 2.3.0
Release: alt1
Summary: Z39.50 server for FOLIO bibliographic data
Group: Development/Perl
License: see LICENSE
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/M/MI/MIRK/%{module_name}-v%{version}.tar.gz
BuildArch: noarch

%description
The `Net::Z3950::FOLIO' module provides all the application logic of
a Z39.50 server that allows searching in and retrieval from the
inventory module of FOLIO.  It is used by the `z2folio' program, and
there is probably no good reason to make any other program to use it.

The library has only two public entry points: the `new()' constructor
and the `launch_server()' method.  The synopsis above shows how they
are used: a Net::Z3950::FOLIO object is created using `new()', then
the `launch_server()' method is invoked on it to start the server.
(In fact, this synopsis is essentially the whole of the code of the
`simple2zoom' program.  All the work happens inside the library.)

%prep
%setup -q -n %{module_name}-v%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE CONTRIBUTING.md README.md Changes.md doc
%perl_vendor_privlib/N*

%changelog
