%define module_name Net-Z3950-SimpleServer
# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/yaz-client /usr/bin/yaz-config perl(AutoLoader.pm) perl(DynaLoader.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(IO/Handle.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.21
Release: alt6
Summary: Simple Perl API for building Z39.50 servers.
Group: Development/Perl
License: see LICENSE
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/M/MI/MIRK/%{module_name}-%{version}.tar.gz

%description
## Net::Z3950::SimpleServer - Simple Perl API for building Z39.50 servers.

The SimpleServer module is a tool for constructing Z39.50 "Information
Retrieval" servers in Perl. The module is easy to use, but it does
help to have an understanding of the Z39.50 query structure and the
construction of structured retrieval records.

Z39.50 is a network protocol for searching remote databases and
retrieving the results in the form of structured "records". It is
widely used in libraries around the world, as well as in the US
Federal Government. In addition, it is generally useful whenever you
wish to integrate a number of different database systems around a
shared, abstract data model.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.md Changes LICENSE
%perl_vendor_archlib/N*
%perl_vendor_autolib/*

%changelog
