# BEGIN SourceDeps(oneline):
BuildRequires: perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(IO/Socket/INET.pm) perl(Math/BigInt.pm) perl(Net/Pcap.pm) perl(NetPacket/Ethernet.pm) perl(NetPacket/IP.pm) perl(NetPacket/UDP.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define module_version 0.11
%define module_name Net-sFlow
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.11
Release: alt1
Summary: decode sFlow datagrams
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/E/EL/ELISA/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
The sFlow module provides a mechanism to parse and decode sFlow
datagrams. It supports sFlow version 2/4 (RFC 3176 -
http://www.ietf.org/rfc/rfc3176.txt) and sFlow version 5 (Memo -
http://sflow.org/sflow_version_5.txt).

The module's functionality is provided by a single (exportable)
function, decode().

For more examples have a look into the 'examples' directory.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %{?epoch:%epoch:}%name = %version-%release

%description scripts
scripts for %module_name




%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build INSTALLMAN1DIR=%_man1dir

%install
%perl_vendor_install

%files
%doc LICENSE CHANGES README examples
%perl_vendor_privlib/N*

%files scripts
%_bindir/*

%changelog
