# BEGIN SourceDeps(oneline):
BuildRequires: perl(Config/Record.pm) perl(File/Spec/Functions.pm) perl(IO/File.pm) perl(IO/Handle.pm) perl(Module/Build.pm) perl(Pod/Usage.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define module_version 1.0
%define module_name NoZone
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.0
Release: alt1
Summary: A Bind DNS zone file generator
Group: Development/Perl
License: open_source
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/D/DA/DANBERR/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
The `NoZone' module provides a system for generating
Bind DNS zone files from data stored in a much simpler
configuration file format.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release

%description scripts
scripts for %module_name


%prep
%setup -n %{module_name}-%{module_version}

%build
%perl_vendor_build --install_path bindoc=%_man1dir

%install
%perl_vendor_install

%files
%doc README LICENSE CHANGES AUTHORS
%perl_vendor_privlib/N*
/etc/nozone.cfg

%files scripts
%_bindir/*
%_man1dir/*

%changelog
