%define module_name Number-MuPhone
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(FindBin.pm) perl(Moo.pm) perl(Test/More.pm) perl(YAML/XS.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.07
Release: alt1
Summary: phone number parsing and display
Group: Development/Perl
License: artistic_2
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/C/CH/CHOLLOWAY/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Number::MuPhone is a simplified rewrite of Number::Phone with the internal 
caching removed, and with the ability to parse extensions added

One sentence summary:

"Parse and display phone numbers from/to multiple formats"

This module came about when I was trying to write a parser to run a batch
job for several million numbers. Number::Phone looked like it fit the bill, but
it contains an undocumented cache that caused issues with such large data
sets. I initially looked at patching Number::Phone, but soon realised that
would be a lot more work than I anticipated. Couple that in with extra 
parsing capabilities (mainly for extensions and 'fuzzy' numbers) that I was
looking to add and I made the decision to start from scratch.


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README ignore.txt Changes
%perl_vendor_privlib/N*

%changelog
