%define module_name Number-ZipCode-JP
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Encode.pm) perl(ExtUtils/MakeMaker.pm) perl(FindBin.pm) perl(IO/Uncompress/Unzip.pm) perl(LWP/Simple.pm) perl(Regexp/Assemble/Compressed.pm) perl(Test/More.pm) perl(Text/CSV_XS.pm) perl(UNIVERSAL/require.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.20210630
Release: alt1
Summary: Validate Japanese zip-codes
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/T/TA/TANIGUCHI/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Number::ZipCode::JP is a simple module to validate Japanese zip-code formats.
The Japanese zip-codes are regulated by Japan Post Holdings Co., Ltd.
You can validate what a target zip-code is valid from this regulation
point of view.

There are some categories for type of construct in Japan. This module
is able to be used narrowed down to the type of construct.

This module validates what a zip-code agrees on the regulation.


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/N*

%changelog
