# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(File/Slurp.pm) perl(IO/File.pm) perl(IO/Scalar.pm) perl(List/Util.pm) perl(Log/Report.pm) perl(OODoc/Template.pm) perl(Pod/Escapes.pm) perl(Template/Magic.pm) perl(Test/More.pm) perl(Test/Pod.pm) perl(base.pm) perl(overload.pm)
# END SourceDeps(oneline)
%define module_version 2.01
%define module_name OODoc
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 2.01
Release: alt1
Summary: Object Oriented Documentation
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/M/MA/MARKOV/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
From summary: %summary

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README LICENSE ChangeLog examples
%perl_vendor_privlib/O*

%files scripts
%_bindir/*
%_man1dir/*

%changelog
