%define module_name Object-Adhoc
# BEGIN SourceDeps(oneline):
BuildRequires: perl(B.pm) perl(Carp.pm) perl(Digest/MD5.pm) perl(Exporter/Shiny.pm) perl(ExtUtils/MakeMaker.pm) perl(Hash/Util.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.005
Release: alt1
Summary: make objects without the hassle of defining a class first
Group: Development/Perl
License: perl
URL: https://metacpan.org/release/Object-Adhoc

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/T/TO/TOBYINK/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Object::Adhoc is designed to be an alternative to returning hashrefs
from functions and methods. It's similar to the Object::Anon manpage but doesn't
do anything special with references or overloading.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc COPYRIGHT Changes LICENSE CREDITS README
%perl_vendor_privlib/O*

%changelog
