# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(CPAN.pm) perl(Carp.pm) perl(Config.pm) perl(Cwd.pm) perl(File/Basename.pm) perl(File/Spec.pm) perl(FileHandle.pm) perl(LWP/Simple.pm) perl(Module/Build.pm) perl(Net/FTP.pm) perl(Scalar/Util.pm) perl(Socket.pm) perl(YAML.pm) perl(inc/Module/Install.pm) perl(overload.pm) perl-podlators
# END SourceDeps(oneline)
%define realname   Object-Array

Name:       perl-%{realname}
Version:    0.060
Release:    alt3_7
License:    GPL or Artistic
Group:      Development/Perl
Summary:    Array references with accessors
Source:     http://www.cpan.org/modules/by-module/Object/%{realname}-%{version}.tar.gz
Url:        http://search.cpan.org/dist/%{realname}

BuildRequires: perl-devel
BuildRequires: perl(Module/Pluggable.pm)
BuildRequires: perl(Sub/Exporter.pm)
BuildRequires: perl(Sub/Install.pm)
BuildRequires: perl(List/MoreUtils.pm)

BuildArch: noarch
Source44: import.info

%description
Add methods to Object::Array corresponding to functions from
List::MoreUtils.

%prep
%setup -q -n %{realname}-%{version} 

%build
%__perl Makefile.PL INSTALLMAN1DIR=%_man1dir INSTALLDIRS=vendor
%make

%check
make test

%install
%makeinstall_std

%files
%doc README Changes META.yml
%{perl_vendor_privlib}/*


%changelog
