Group: Development/Perl
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-Object-MultiType
Version:        0.05
Release:        alt2_39
Summary:        Perl Objects as Hash, Array, Scalar, Code and Glob at the same time
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Object-MultiType
Source0:        https://cpan.metacpan.org/authors/id/G/GM/GMPASSOS/Object-MultiType-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  coreutils
BuildRequires:  dos2unix
BuildRequires:  findutils
BuildRequires:  perl-devel
BuildRequires:  rpm-build-perl
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
# Run-time:
BuildRequires:  perl(overload.pm)
BuildRequires:  perl(strict.pm)
BuildRequires:  perl(warnings.pm)
# Tests:
BuildRequires:  perl(Test.pm)
Requires:       perl(warnings.pm)


Source44: import.info

%description
This module return an object that works like a Hash, Array, Scalar, Code
and Glob object at the same time.


%prep
%setup -q -n Object-MultiType-%{version}


%build
dos2unix -q -k README Changes
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor
%make_build


%install
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

# %{_fixperms} $RPM_BUILD_ROOT/*


%check
make test


%files
%doc Changes README
%{perl_vendor_privlib}/*


%changelog
