%define module_name OpenAPI-Client
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(JSON/Validator.pm) perl(Mojo/Base.pm) perl(Mojo/EventEmitter.pm) perl(Mojo/File.pm) perl(Mojo/JSON.pm) perl(Mojo/Promise.pm) perl(Mojo/UserAgent.pm) perl(Mojo/Util.pm) perl(Mojolicious.pm) perl(Mojolicious/Lite.pm) perl(Mojolicious/Plugin/OpenAPI.pm) perl(Test/More.pm) perl(YAML/PP.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.01
Release: alt1
Summary: A client for talking to an Open API powered server
Group: Development/Perl
License: artistic_2
URL: https://github.com/jhthorsen/openapi-client

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/J/JH/JHTHORSEN/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
the OpenAPI::Client manpage can generating classes that can talk to an Open API server.
This is done by generating a custom class, based on a Open API specification,
with methods that transform parameters into a HTTP request.

The generated class will perform input validation, so invalid data won't be
sent to the server.

Note that this implementation is currently EXPERIMENTAL, but unlikely to change!
Feedback is appreciated.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README.md
%perl_vendor_privlib/M*
%perl_vendor_privlib/O*

%changelog
