%define module_name OpenERP-OOM
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Class/Inspector.pm) perl(DateTime.pm) perl(DateTime/Format/Strptime.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Slurp.pm) perl(File/Spec.pm) perl(List/MoreUtils.pm) perl(Moose.pm) perl(Moose/Exporter.pm) perl(Moose/Role.pm) perl(Moose/Util/MetaRole.pm) perl(Moose/Util/TypeConstraints.pm) perl(MooseX/Meta/TypeConstraint/Mooish.pm) perl(MooseX/NotRequired.pm) perl(MooseX/Role/XMLRPC/Client.pm) perl(OpenERP/XMLRPC/Client.pm) perl(RPC/XML.pm) perl(Switch/Plain.pm) perl(Test/More.pm) perl(Test/Most.pm) perl(Try/Tiny.pm) perl(Try/Tiny/Retry.pm) perl(namespace/autoclean.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.47
Release: alt1
Summary: OpenERP Object to Object Mapper
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/N/NM/NMBOOKER/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
OpenERP::OOM (Object to Object Mapper) maps OpenERP objects to Perl objects, in
a similar way to how an ORM like DBIx::Class maps database tables to Perl classes.

Relationships between objects can be defined in Perl code so that the OpenERP
schema can be traversed using Perl method calls, and related objects can be created
by calling methods on their parent (again, this corresponds closely to the
relationship model in an ORM).

Additionally, links can be defined to join OpenERP objects with DBIx::Class
schemas, so that an OpenERP object can be augmented with additional data
structures, methods, and application logic that is held outside of OpenERP.

%prep
%setup -q -n %{module_name}-%{version}
sed -i -e 's,0\.16,0.00,' Makefile.PL


%build
%perl_vendor_build INSTALLMAN1DIR=%_man1dir

%install
%perl_vendor_install

%files
%doc ignore.txt LICENSE Changes README doc
%perl_vendor_privlib/O*

%changelog
