# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(ExtUtils/MakeMaker.pm) perl(Test/Pod.pm)
# END SourceDeps(oneline)
%define module_name OptionHash
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.2.0
Release: alt1
Summary: Checking of option hashes
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/D/DR/DRAXIL/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
I like to pass options around in hash form because it's clear and
flexible. However it can lead to sloppy mistakes when you typo the
keys. OptionHash quickly checks your hashes against a definition and croaks if
you've passed in bad keys.

Currently.. That's it! Simple but effective.


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README LICENSE
%perl_vendor_privlib/O*

%changelog
