%def_without test
%define module_name OrePAN2
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Archive/Extract.pm) perl(Archive/Tar.pm) perl(CPAN/Meta.pm) perl(Class/Accessor/Lite.pm) perl(Digest/MD5.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Path.pm) perl(File/Temp.pm) perl(File/Touch.pm) perl(File/Which.pm) perl(File/pushd.pm) perl(Getopt/Long.pm) perl(HTTP/Tiny.pm) perl(IO/File/AtomicChange.pm) perl(IO/Socket/SSL.pm) perl(IO/Uncompress/Gunzip.pm) perl(IO/Zlib.pm) perl(JSON/PP.pm) perl(LWP/UserAgent.pm) perl(List/Compare.pm) perl(MetaCPAN/Client.pm) perl(Module/Build/Tiny.pm) perl(Moo.pm) perl(MooX/Options.pm) perl(PAUSE/Packages.pm) perl(Parse/CPAN/Meta.pm) perl(Parse/CPAN/Packages/Fast.pm) perl(Parse/LocalDistribution.pm) perl(Parse/PMFile.pm) perl(Path/Class.pm) perl(Path/Tiny.pm) perl(Pod/Usage.pm) perl(Ref/Util.pm) perl(Test/More.pm) perl(Test/RequiresInternet.pm) perl(Try/Tiny.pm)
BuildRequires: perl(Type/Params.pm) perl(Types/URI.pm) perl(autodie.pm) perl(feature.pm) perl(parent.pm) perl(version.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.48
Release: alt1
Summary: Yet another DarkPAN manager.
Group: Development/Perl
License: perl
URL: https://github.com/tokuhirom/OrePAN2

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/O/OA/OALDERS/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
%summary

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %{?epoch:%epoch:}%name = %version-%release

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build --install_path bindoc=%_man1dir

%install
%perl_vendor_install

%files
%doc Changes LICENSE README.md
%perl_vendor_privlib/O*

%files scripts
%_man1dir/*
%_bindir/*

%changelog
