%define module_name Org-To-HTML
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Slurper.pm) perl(File/Spec.pm) perl(Filename/Image.pm) perl(FindBin.pm) perl(HTML/Entities.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(List/Util.pm) perl(Log/ger.pm) perl(Moo.pm) perl(Moo/Role.pm) perl(Org/Document.pm) perl(Org/Parser.pm) perl(Pod/Coverage/TrustPod.pm) perl(String/Escape.pm) perl(Test/Differences.pm) perl(Test/More.pm) perl(Test/Perl/Critic.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(URI.pm) perl(experimental.pm) perl(lib.pm) perl(strict.pm) perl(vars.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.233
Release: alt1
Summary: Export Org document to HTML
Group: Development/Perl
License: perl
URL: https://metacpan.org/release/Org-To-HTML

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PE/PERLANCAR/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
%summary

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build INSTALLMAN1DIR=%_man1dir

%install
%perl_vendor_install

%files
%doc Changes README LICENSE todo.org
%perl_vendor_privlib/O*

%changelog
