%define module_name PDF-Table
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(List/Util.pm) perl(Pod/Simple/HTML.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.002
Release: alt1
Summary: A utility class for building table layouts in a PDF::API2 object.
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/O/OM/OMEGA/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This class is a utility for use with the PDF::API2 module from CPAN. 
It can be used to display text data in a table layout within a PDF. 
The text data must be in a 2D array (such as returned by a DBI statement handle fetchall_arrayref() call). 
The PDF::Table will automatically add as many new pages as necessary to display all of the data. 
Various layout properties, such as font, font size, and cell padding and background color can be specified for each column and/or for even/odd rows. 
Also a (non)repeated header row with different layout properties can be specified. 

See the the METHODS entry elsewhere in this document section for complete documentation of every parameter.
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README.md README examples
%perl_vendor_privlib/P*

%changelog
