# BEGIN SourceDeps(oneline):
BuildRequires: perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(PDL.pm) perl(PDL/NiceSlice.pm) perl(Scalar/Util.pm) perl(Test/More.pm) perl(Test/Simple.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define module_name PDL-Dims
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.013
Release: alt1
Summary: Enhancement to PDL by using named dimensions.
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/F/FA/FANTASMA/%{module_name}/PDL-Dims-%{version}.tar.gz
BuildArch: noarch

%description
This module is an extension to PDL by giving the dimensions a meaningful name,
values or ranges. The module also provides wrappers to perform most PDL
operations based on named dimensions. Each dimension is supposed to have a unique name.

If you prefer methods over functions, say 

_bless $piddle, "PDL::Dims";

Names of dims can be any string (x,y,z,t,city, country, lattitude, fruit,pet, ...)

Each dim has its own hash with several important keys;

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/P*

%changelog
