# BEGIN SourceDeps(oneline):
BuildRequires: perl(DynaLoader.pm) perl(ExtUtils/MakeMaker.pm) perl(PDL.pm) perl(PDL/VectorValued.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define module_name PDL-Ngrams
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.10
Release: alt3
Summary: N-Gram utilities for PDL
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/M/MO/MOOCOW/%{module_name}-%{version}.tar.gz
#BuildArch: noarch

%description
PDL::Ngrams provides basic utilities for tracking N-grams over PDL vectors.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.txt ChangeLog
%perl_vendor_archlib/P*
%perl_vendor_autolib/*

%changelog
