%define module_name PMLTQ-Suggest
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Capture/Tiny.pm) perl(Encode.pm) perl(File/Find/Rule.pm) perl(File/Spec.pm) perl(Getopt/Long.pm) perl(HTTP/Server/Simple/CGI.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(List/MoreUtils.pm) perl(Module/Build.pm) perl(PMLTQ.pm) perl(PMLTQ/Commands.pm) perl(Test/More.pm) perl(Test/Most.pm) perl(Treex/PML.pm) perl(UNIVERSAL/DOES.pm) perl(URI.pm) perl(URI/file.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.1.0
Release: alt1
Summary: Tool for generating simple PMLTQ query based on given nodes
Group: Development/Perl
License: perl
URL: http://ufal.mff.cuni.cz/pmltq/

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/M/MA/MATY/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This is an implementation of a Suggest server and a plugin for PML-TQ command-line client.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %EVR

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README LICENSE Changes README.md
%perl_vendor_privlib/P*

%files scripts
%_bindir/*

%changelog
