%define module_name POE-Component-ElasticSearch-Indexer
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Const/Fast.pm) perl(Digest/MD5.pm) perl(Digest/SHA1.pm) perl(ExtUtils/MakeMaker.pm) perl(Fcntl.pm) perl(File/Spec.pm) perl(File/Temp.pm) perl(Getopt/Long/Descriptive.pm) perl(HTTP/Request.pm) perl(Hash/Merge/Simple.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(JSON/MaybeXS.pm) perl(List/Util.pm) perl(Log/Log4perl.pm) perl(Module/Load.pm) perl(Module/Loaded.pm) perl(POE.pm) perl(POE/Component/Client/HTTP.pm) perl(POE/Component/Client/Keepalive.pm) perl(POE/Wheel/FollowTail.pm) perl(POSIX.pm) perl(Path/Tiny.pm) perl(Pod/Coverage/TrustPod.pm) perl(Pod/Usage.pm) perl(Pod/Wordlist.pm) perl(Ref/Util.pm) perl(Test/EOL.pm) perl(Test/More.pm) perl(Test/Perl/Critic.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(Test/Spelling.pm) perl(Time/HiRes.pm) perl(URI.pm) perl(YAML.pm) perl(strict.pm)
BuildRequires: perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.013
Release: alt1
Summary: POE session to index data to ElasticSearch
Group: Development/Perl
License: bsd
URL: https://github.com/reyjrar/POE-Component-ElasticSearch-Indexer

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/B/BL/BLHOTSKY/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This module exists to provide event-based Perl programs with a simple way to
index documents into an ElasticSearch cluster.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %EVR

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE Changes README.mkdn
%perl_vendor_privlib/P*

%files scripts
%_man1dir/*
%_bindir/*

%changelog
