Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-POE-Component-Log4perl
Version:        0.03
Release:        alt2_32
Summary:        Logging extension for the POE environment

License:        GPL+ or Artistic        
URL:            https://metacpan.org/release/POE-Component-Log4perl
Source0:        https://cpan.metacpan.org/authors/id/K/KE/KESTEB/POE-Component-Log4perl-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  rpm-build-perl
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(POE.pm), perl(Log/Log4perl.pm)
BuildRequires:  perl(Test/More.pm), perl(Test/Pod.pm)
Source44: import.info


%description
Log4perl encapsulation within the POE environment.

%prep
%setup -q -n POE-Component-Log4perl-%{version}


%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build


%install
make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
# %{_fixperms} %{buildroot}/*


%check
TEST_POD=1 make test



%files
%doc Changes README 
%{perl_vendor_privlib}/*


%changelog
