Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Test/Kwalitee.pm) perl(Tk.pm) perl(Tk/Graph.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-POE-Component-SNMP
Version:        1.1006
Release:        alt2_30
Summary:        POE interface to Net::SNMP 
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/POE-Component-SNMP
Source0:        https://cpan.metacpan.org/authors/id/R/RD/RDB/POE-Component-SNMP-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl-devel
BuildRequires:  rpm-build-perl
BuildRequires:  perl(base.pm)
BuildRequires:  perl(Carp.pm)
BuildRequires:  perl(constant.pm)
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(Net/SNMP.pm)
BuildRequires:  perl(POE.pm)
BuildRequires:  perl(POE/Session.pm)
BuildRequires:  perl(POE/Kernel.pm)
BuildRequires:  perl(Scalar/Util.pm)
BuildRequires:  perl(strict.pm)
BuildRequires:  perl(Test/More.pm)
BuildRequires:  perl(Time/HiRes.pm)
Requires:  perl(Net/SNMP.pm)
Source44: import.info

%description
POE::Component::SNMP is a POE-ized wrapper around the the Net::SNMP module.
Most of its arguments aren't even evaluated by POE, except for -alias and 
-callback_args, as described in the manpage.

If you want to make non-blocking calls with Net::SNMP in a POE application,
this is the module to do it with.

%prep
%setup -q -n POE-Component-SNMP-%{version}
chmod -x eg/*

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build


%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
# %{_fixperms} %{buildroot}/*

%check
make test

%files
%doc Changes NOTES README eg
%{perl_vendor_privlib}/*

%changelog
