Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(CPAN.pm) perl(Cwd.pm) perl(Exporter.pm) perl(File/Spec.pm) perl(FindBin.pm) perl(HTTP/Request.pm) perl(HTTP/Request/Common.pm) perl(HTTP/Status.pm) perl(POE.pm) perl(Switch.pm) perl(base.pm) perl-podlators
# END SourceDeps(oneline)
%add_findreq_skiplist %perl_vendor_privlib/POE/Component/Server/Bayeux/Message/Service.pm
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-POE-Component-Server-Bayeux
Version:        0.04
Release:        alt1_26
Summary:        Bayeux/cometd server implementation in POE
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/POE-Component-Server-Bayeux
Source0:        https://cpan.metacpan.org/authors/id/E/EW/EWATERS/POE-Component-Server-Bayeux-%{version}.tar.gz
Patch1:         POE-Component-Server-Bayeux-0.04-switch.patch
BuildArch:      noarch
BuildRequires:  rpm-build-perl
BuildRequires:  perl(CGI/Simple.pm)
BuildRequires:  perl(Class/Accessor.pm)
BuildRequires:  perl(Data/UUID.pm)
BuildRequires:  perl(JSON/Any.pm)
BuildRequires:  perl(JSON/XS.pm)
BuildRequires:  perl(Log/Log4perl.pm)
BuildRequires:  perl(LWP.pm)
BuildRequires:  perl(Module/Build.pm)
BuildRequires:  perl(Params/Validate.pm)
BuildRequires:  perl(POE/Component/Client/HTTP.pm)
BuildRequires:  perl(POE/Component/Server/HTTP.pm)
BuildRequires:  perl(Test/More.pm)
BuildRequires:  perl(URI.pm)
# missed by the autoreq for various reasons
Requires:       perl(Class/Accessor.pm)
Requires:       perl(JSON/XS.pm)
Requires:       perl(POE/Component/Client/HTTP.pm)
Requires:       perl(LWP.pm)
Source44: import.info


%description
This module implements the Bayeux Protocol (1.0draft1) from the Dojo
Foundation. Also called cometd, Bayeux is a low-latency routing protocol
for JSON encoded events between clients and servers in a publish-
subscribe model.

%prep
%setup -q -n POE-Component-Server-Bayeux-%{version}
%patch1 -p1 -b .switch

%build
/usr/bin/perl Build.PL installdirs=vendor
./Build

%install

./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

# %{_fixperms} $RPM_BUILD_ROOT/*

%check
./Build test

%files
%doc Changes README htdocs
%{perl_vendor_privlib}/*

%changelog
