Group: Development/Perl
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-POE-Component-Server-XMLRPC
Version:        0.05
Release:        alt3_39
Summary:        Publish POE event handlers via XMLRPC over HTTP
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/POE-Component-Server-XMLRPC
Source0:        https://cpan.metacpan.org/authors/id/M/MA/MAHEX/POE-Component-Server-XMLRPC-%{version}.tar.gz
BuildArch:      noarch
# Build
BuildRequires:  perl-devel
BuildRequires:  rpm-build-perl
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(lib.pm)
BuildRequires:  perl(strict.pm)
# Runtime
BuildRequires:  perl(Carp.pm)
BuildRequires:  perl(POE.pm)
BuildRequires:  perl(POE/Component/Server/HTTP.pm)
BuildRequires:  perl(vars.pm)
BuildRequires:  perl(warnings.pm)
BuildRequires:  perl(XMLRPC/Lite.pm)
# Tests only
BuildRequires:  perl(Test.pm)
Requires:       perl(POE.pm) >= 0.220
Requires:       perl(POE/Component/Server/HTTP.pm) >= 0.020
Requires:       perl(XMLRPC/Lite.pm) >= 0.280




Source44: import.info
%filter_from_requires /^perl(POE.pm)/d
%filter_from_requires /^perl(POE.Component.Server.HTTP.pm)/d
%filter_from_requires /^perl(XMLRPC.Lite.pm)/d

%description
POE::Component::Server::XMLRPC is a bolt-on component that can publish a
event handlers via XMLRPC over HTTP.

%prep
%setup -q -n POE-Component-Server-XMLRPC-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
%make_build

%install
make pure_install DESTDIR=%{buildroot}
# %{_fixperms} %{buildroot}/*

%check
make test

%files
# CHANGES file is empty
%doc README examples/
%{perl_vendor_privlib}/*

%changelog
