Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-POE-Component-SimpleDBI
Version:        1.31
Release:        alt2_20
Summary:        Asynchronous non-blocking DBI calls in POE made simple
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/POE-Component-SimpleDBI
Source0:        https://cpan.metacpan.org/authors/id/A/AP/APOCAL/POE-Component-SimpleDBI-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl-devel
BuildRequires:  rpm-build-perl
BuildRequires:  perl(Module/Build/Tiny.pm)
BuildRequires:  perl(strict.pm)
BuildRequires:  perl(warnings.pm)
# Run-time:
# Data::Dumper not used at tests
BuildRequires:  perl(DBI.pm)
BuildRequires:  perl(Error.pm)
BuildRequires:  perl(POE.pm)
BuildRequires:  perl(POE/Filter/Line.pm)
BuildRequires:  perl(POE/Filter/Reference.pm)
BuildRequires:  perl(POE/Session.pm)
BuildRequires:  perl(POE/Wheel/Run.pm)
# Tests:
BuildRequires:  perl(blib.pm)
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(File/Spec.pm)
BuildRequires:  perl(File/Temp.pm)
BuildRequires:  perl(IO/Handle.pm)
BuildRequires:  perl(IPC/Open3.pm)
BuildRequires:  perl(Test/More.pm)
# Optional tests:
# CPAN::Meta not usefull
# Test::Apocalypse 1.000 needed only for author tests.
Requires:       perl(Data/Dumper.pm)
Requires:       perl(warnings.pm)
Source44: import.info

%description
This module works its magic by creating a new session with POE, then
spawning off a child process to do the "heavy" lifting. That way, your
main POE process can continue servicing other clients. Queries are put
into a queue, and processed one at a time.

%prep
%setup -q -n POE-Component-SimpleDBI-%{version}
chmod a-x examples/*

%build
perl Build.PL --installdirs=vendor
./Build

%install
./Build install --destdir=%{buildroot} --create_packlist=0
# %{_fixperms} %{buildroot}/*

%check
./Build test

%files
%doc README examples/
%{perl_vendor_privlib}/*

%changelog
