Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Pod/Coverage/TrustPod.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(URI.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-POE-Filter-HTTP-Parser
Version:        1.08
Release:        alt2_17
Summary:        HTTP POE filter for HTTP clients or servers
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/POE-Filter-HTTP-Parser
Source0:        https://cpan.metacpan.org/authors/id/B/BI/BINGOS/POE-Filter-HTTP-Parser-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  coreutils
BuildRequires:  findutils
BuildRequires:  perl-devel
BuildRequires:  rpm-build-perl
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(strict.pm)
BuildRequires:  perl(warnings.pm)
# Run-time:
BuildRequires:  perl(base.pm)
# bytes is strictly optional but needed for correctness
BuildRequires:  perl(bytes.pm)
BuildRequires:  perl(Encode.pm)
BuildRequires:  perl(HTTP/Parser.pm)
BuildRequires:  perl(HTTP/Status.pm)
BuildRequires:  perl(POE/Filter.pm)
# Tests:
BuildRequires:  perl(blib.pm)
BuildRequires:  perl(File/Spec.pm)
BuildRequires:  perl(HTTP/Request.pm)
BuildRequires:  perl(HTTP/Response.pm)
BuildRequires:  perl(IO/Handle.pm)
BuildRequires:  perl(IPC/Open3.pm)
# Pod::Coverage::TrustPod not used
BuildRequires:  perl(POE.pm)
BuildRequires:  perl(POE/Filter/Stream.pm)
BuildRequires:  perl(Test/More.pm)
# Test::Pod not used
# Test::Pod::Coverage not used
BuildRequires:  perl(Test/POE/Client/TCP.pm)
BuildRequires:  perl(Test/POE/Server/TCP.pm)
Requires:       perl(HTTP/Parser.pm) >= 0.060
# bytes is strictly optional but needed for correctess
Requires:       perl(bytes.pm)

# Remove underspecified dependencies

Source44: import.info
%filter_from_requires /^perl(HTTP.Parser.pm)/d

%description
POE::Filter::HTTP::Parser is a POE::Filter for HTTP which is based on
HTTP::Parser.

%prep
%setup -q -n POE-Filter-HTTP-Parser-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
# %{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc --no-dereference LICENSE
%doc Changes examples README
%{perl_vendor_privlib}/*

%changelog
