# BEGIN SourceDeps(oneline):
BuildRequires: perl(Data/Dumper.pm) perl(Encode.pm) perl(Encode/CN.pm) perl(Encode/JP.pm) perl(Encode/KR.pm) perl(Encode/Locale.pm) perl(Encode/TW.pm) perl(Errno/AnyString.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(Locale/Messages.pm) perl(POSIX.pm) perl(Scalar/Util.pm) perl(Test/More.pm) perl(blib.pm) perl(lib/abs.pm)
# END SourceDeps(oneline)
%define module_version 10
%define module_name POSIX-Wide
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 10
Release: alt5
Summary: POSIX functions with wide-char strings.
Group: Development/Perl
License: gpl
URL: http://user42.tuxfamily.org/posix-wide/index.html

Source0: http://cpan.org.ua/authors/id/K/KR/KRYDE/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
This is a few of the `POSIX' module functions adapted to return Perl
wide-char strings instead of locale charset byte strings.  This is good if
working with wide-chars internally (and converting on I/O).

The locale charset is determined by the Encode::Locale manpage.
%prep
%setup -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc COPYING Changes
%perl_vendor_privlib/P*

%changelog
