%define module_name PPR
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Acme/LookOfDisapproval.pm) perl(Carp.pm) perl(Dios.pm) perl(ExtUtils/MakeMaker.pm) perl(IO/File.pm) perl(List/Util.pm) perl(Object/Result.pm) perl(PPI.pm) perl(Regexp/Optimizer.pm) perl(Test/More.pm) perl(experimentals.pm) perl(if.pm) perl(overload.pm) perl(re.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.000028
Release: alt1
Summary: Pattern-based Perl Recognizer
Group: Development/Perl
License: artistic_2
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/D/DC/DCONWAY/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
The PPR module provides a single regular expression that defines a set
of independent subpatterns suitable for matching entire Perl documents,
as well as a wide range of individual syntactic components of Perl
(i.e. statements, expressions, control blocks, variables, etc.)

The regex does not "parse" Perl (that is, it does not build a syntax
tree, like the PPI module does). Instead it simply "recognizes" standard
Perl constructs, or new syntaxes composed from Perl constructs.

Its features and capabilities therefore complement those of the PPI
module, rather than replacing them. See the section on "Comparison with PPI".

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_privlib/P*

%changelog
