%define module_name Panda-Lib
# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++ perl(BSD/Resource.pm) perl(CPP/catch/test.pm) perl(CPP/panda/lib.pm) perl(Encode.pm) perl(ExtUtils/MakeMaker.pm) perl(ExtUtils/ParseXS.pm) perl(JSON/XS.pm) perl(Panda/Export.pm) perl(Panda/Install.pm) perl(Panda/XS.pm) perl(Test/Deep.pm) perl(Test/Fatal.pm) perl(Test/More.pm) perl(Test/Simple.pm) perl(Time/HiRes.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.3.9
Release: alt3
Summary: Collection of useful functions and classes with Perl and C interface.
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/S/SY/SYBER/%{module_name}-%{version}.tar.gz

%description
From summary: %summary

%prep
%setup -q -n %{module_name}-%{version}
# hack for perl rebuild
[ %version == 1.3.3 ] && rm -f t/07-hash_cmp.t

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes
%perl_vendor_archlib/P*
%perl_vendor_autolib/*

%changelog
