%define module_name Pandoc
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Exporter.pm) perl(File/Spec/Functions.pm) perl(File/Which.pm) perl(HTTP/Tiny.pm) perl(IPC/Run3.pm) perl(JSON/PP.pm) perl(Module/Build/Tiny.pm) perl(Pandoc/Elements.pm) perl(Pod/Usage.pm) perl(Scalar/Util.pm) perl(Test/Exception.pm) perl(Test/More.pm) perl(Test/Pod.pm) perl(overload.pm) perl(parent.pm) perl(subs.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.9.0
Release: alt1
Summary: interface to the Pandoc document converter
Group: Development/Perl
License: open_source
URL: https://github.com/nichtich/Pandoc-Wrapper

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/V/VO/VOJ/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This module provides a Perl interface to John MacFarlane's
Pandoc document converter. The module exports function
`pandoc' by default.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %EVR

%description scripts
scripts for %module_name


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE Changes README
%perl_vendor_privlib/P*
%perl_vendor_privlib/A*

%files scripts
%_bindir/*
%_man1dir/*

%changelog
