# BEGIN SourceDeps(oneline):
BuildRequires: perl(File/Spec.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(Module/Build.pm) perl(Parallel/ForkManager/Segmented/Base.pm) perl(Parallel/Map.pm) perl(Path/Tiny.pm) perl(Test/More.pm) perl(autodie.pm) perl(parent.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define module_name Parallel-Map-Segmented
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.4.0
Release: alt1
Summary: use Parallel::Map on batches / segments of items.
Group: Development/Perl
License: mit
URL: http://metacpan.org/release/Parallel-Map-Segmented

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/S/SH/SHLOMIF/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This module builds upon the Parallel::Map manpage allowing one to pass a
batch (or "segment") of several items for processing inside a worker. This
is done in order to hopefully speed up the processing.

It aims to provide a compatible API with the Parallel::ForkManager::Segmented manpage
only based on the IO::Async manpage and the Parallel::Map manpage rather than
the Parallel::ForkManager manpage .

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README LICENSE
%perl_vendor_privlib/P*

%changelog
