%define module_name Pass-OTP
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Convert/Base32.pm) perl(Digest/HMAC.pm) perl(Digest/SHA.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(Math/BigInt.pm) perl(Pod/Usage.pm) perl(Test/More.pm) perl(open.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.5
Release: alt1
Summary: Perl implementation of HOTP / TOTP algorithms
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/J/JB/JBAIER/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
The `Pass::OTP' module provides implementation of HOTP and TOTP algorithms according to the RFC 4226 and RFC 6238.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %EVR

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_privlib/P*

%files scripts
%_man1dir/*
%_bindir/*

%changelog
