%define module_name Path-Class-Tiny
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Cwd.pm) perl(Date/Easy/Datetime.pm) perl(Exporter.pm) perl(Module/Runtime.pm) perl(Path/Tiny.pm) perl(Test/Exception.pm) perl(Test/Most.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.05
Release: alt1
Summary: a Path::Tiny wrapper for Path::Class compatibility
Group: Development/Perl
License: see LICENSE
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/B/BA/BAREFOOT/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
What do you do if you started out (Perl) life using the Path::Class manpage, but then later on you switched
to the Path::Tiny manpage?  Well, one thing you could do is relearn a bunch of things and go change a lot of
existing code.  Or, another thing would be to use Path::Class::Tiny instead.

Path::Class::Tiny is a thin(ish) wrapper around Path::Tiny that (mostly) restores the Path::Class
interface.  Where the two don't conflict, you can do it either way.  Where they do conflict, you use
the Path::Class way.  Except where Path::Class is totally weird, in which case you use the
Path::Tiny way.

Some examples:

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE Changes
%perl_vendor_privlib/P*

%changelog
