%define module_name Paws
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ARGV/Struct.pm) perl(Class/Unload.pm) perl(Config/AWS.pm) perl(Data/Compare.pm) perl(Data/Printer.pm) perl(DataStruct/Flat.pm) perl(DateTime.pm) perl(DateTime/Format/ISO8601.pm) perl(Devel/NYTProf.pm) perl(Digest/SHA.pm) perl(File/HomeDir.pm) perl(File/Slurper.pm) perl(Furl.pm) perl(Future.pm) perl(Future/Mojo.pm) perl(Getopt/Long.pm) perl(HTTP/Date.pm) perl(HTTP/Headers.pm) perl(HTTP/Request/Common.pm) perl(HTTP/Status.pm) perl(HTTP/Tiny.pm) perl(IO/Socket/SSL.pm) perl(JSON/MaybeXS.pm) perl(JSON/XS.pm) perl(LWP/UserAgent.pm) perl(Module/Build.pm) perl(Module/Build/Tiny.pm) perl(Module/Find.pm) perl(Module/Runtime.pm) perl(Mojo/UserAgent.pm) perl(Moose.pm) perl(MooseX/ClassAttribute.pm) perl(MooseX/Getopt.pm) perl(Net/Amazon/Signature/V4.pm) perl(Path/Class.pm) perl(Path/Tiny.pm) perl(String/CRC32.pm)
BuildRequires: perl(Test/Exception.pm) perl(Test/More.pm) perl(Test/Pod.pm) perl(Test/Timer.pm) perl(Test/Warnings.pm) perl(Throwable/Error.pm) perl(URI.pm) perl(URI/Template.pm) perl(URL/Encode.pm) perl(URL/Encode/XS.pm) perl(XML/Simple.pm) perl(YAML.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.44
Release: alt1
Summary: A Perl SDK for AWS (Amazon Web Services) APIs
Group: Development/Perl
License: apache
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/J/JL/JLMARTIN/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
From summary: %summary

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install
rm -f %buildroot%perl_vendor_privlib/gen_classes.pl

%files
%doc README.md LICENSE Changes examples
%perl_vendor_privlib/P*

%files scripts
%_bindir/*

%changelog
