%define module_name Perinci-CmdLine-Inline
%define _without_test 1
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Benchmark/Command.pm) perl(Class/GenSource.pm) perl(Complete/Bash.pm) perl(Config/IOD/Base.pm) perl(Config/IOD/Reader.pm) perl(Data/Check/Structure.pm) perl(Data/Clean/JSON.pm) perl(Data/Dmp.pm) perl(Data/Sah.pm) perl(Data/Sah/Coerce/perl/To_obj/From_str/url.pm) perl(Data/Sah/Coerce/perl/To_str/From_str/normalize_perl_modname.pm) perl(Data/Sah/Compiler/perl/TH/any.pm) perl(Data/Sah/Compiler/perl/TH/array.pm) perl(Data/Sah/Compiler/perl/TH/bool.pm) perl(Data/Sah/Compiler/perl/TH/hash.pm) perl(Data/Sah/Compiler/perl/TH/obj.pm) perl(Data/Sah/Compiler/perl/TH/str.pm) perl(Data/Sah/Filter/perl/Path/expand_tilde_when_on_unix.pm) perl(Data/Sah/Filter/perl/Path/strip_slashes_when_on_unix.pm) perl(Data/Sah/Normalize.pm) perl(Data/Sah/Util/Type.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm)
BuildRequires: perl(Getopt/Long/EvenLess.pm) perl(Getopt/Long/Subcommand.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(JSON/MaybeXS.pm) perl(JSON/PP.pm) perl(JSON/XS.pm) perl(Log/ger.pm) perl(Log/ger/Output/Composite.pm) perl(Log/ger/Output/Screen.pm) perl(Log/ger/Output/SimpleFile.pm) perl(Module/CoreList.pm) perl(Module/CoreList/More.pm) perl(Module/DataPack.pm) perl(Module/Path/More.pm) perl(Perinci/CmdLine/Base.pm) perl(Perinci/CmdLine/Help.pm) perl(Perinci/CmdLine/Lite.pm) perl(Perinci/CmdLine/POD.pm) perl(Perinci/CmdLine/Util/Config.pm) perl(Perinci/Examples.pm) perl(Perinci/Result/Format/Lite.pm) perl(Perinci/Sub/GetArgs/Argv.pm) perl(Perinci/Sub/Normalize.pm) perl(Perinci/Sub/Util.pm) perl(Perl/Stripper.pm) perl(Pod/Coverage/TrustPod.pm) perl(Regexp/Stringify.pm) perl(Sah/Schema/filename.pm) perl(Sah/Schema/perl/modname.pm)
BuildRequires: perl(Sah/Schema/riap/url.pm) perl(Sah/Schema/rinci/function_meta.pm) perl(Test/More.pm) perl(Test/Perinci/CmdLine.pm) perl(Test/Perl/Critic.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(Text/Table/Tiny.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.551
Release: alt1
Summary: Generate inline Perinci::CmdLine CLI script
Group: Development/Perl
License: perl
URL: https://metacpan.org/release/Perinci-CmdLine-Inline

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PE/PERLANCAR/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
From summary: %summary

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes LICENSE README
%perl_vendor_privlib/P*

%files scripts
%_man1dir/*
%_bindir/*

%changelog
