%define module_name Perl-Critic-Freenode
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(Exporter.pm) perl(File/Spec.pm) perl(List/Util.pm) perl(Module/Build.pm) perl(Module/Build/Tiny.pm) perl(Module/Metadata.pm) perl(PPI.pm) perl(Path/Tiny.pm) perl(Perl/Critic.pm) perl(Perl/Critic/Policy/Objects/ProhibitIndirectSyntax.pm) perl(Perl/Critic/Policy/Subroutines/ProhibitAmpersandSigils.pm) perl(Perl/Critic/Policy/ValuesAndExpressions/ProhibitArrayAssignAref.pm) perl(Perl/Critic/Policy/Variables/ProhibitConditionalDeclarations.pm) perl(Perl/Critic/Policy/Variables/ProhibitLoopOnHash.pm) perl(Perl/Critic/Policy/Variables/RequireLexicalLoopIterators.pm) perl(Scalar/Util.pm) perl(Test/More.pm) perl(parent.pm) perl(version.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.033
Release: alt1
Summary: Perl::Critic policies inspired by #perl on freenode IRC
Group: Development/Perl
License: artistic_2
URL: https://github.com/Grinnz/Perl-Critic-Freenode

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/D/DB/DBOOK/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
A set of the Perl::Critic manpage policies to enforce the practices generally
recommended by the denizens of #perl on Freenode IRC.
Because this policy "theme" is designed to be used with zero configuration on
the command line, some duplication will occur if it is used in combination with
core the Perl::Critic manpage policies.


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE Changes CONTRIBUTING.md README
%perl_vendor_privlib/P*

%changelog
