Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-Perl-Critic-Nits
Version:        1.0.0
Release:        alt2_29
Summary:        Policies of nits I like to pick
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Perl-Critic-Nits
Source0:        https://cpan.metacpan.org/authors/id/K/KC/KCOWGILL/Perl-Critic-Nits-v%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  coreutils
BuildRequires:  findutils
BuildRequires:  perl-devel
BuildRequires:  rpm-build-perl
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(strict.pm)
BuildRequires:  perl(warnings.pm)
# Run-time:
BuildRequires:  perl(base.pm)
BuildRequires:  perl(Perl/Critic/Policy.pm)
BuildRequires:  perl(Perl/Critic/Utils.pm)
BuildRequires:  perl(Readonly.pm)
BuildRequires:  perl(strict.pm)
BuildRequires:  perl(version.pm)
# Tests:
BuildRequires:  perl(File/Find.pm)
BuildRequires:  perl(File/Spec.pm)
BuildRequires:  perl(Perl/Critic/TestUtils.pm)
BuildRequires:  perl(Test/More.pm)
# Test::Perl::Critic not used
Requires:       perl(Perl/Critic/Policy.pm) >= 1.070

# Filter under-specified dependencies

Source44: import.info
%filter_from_requires /^perl(Perl.Critic.Policy.pm)/d

%description
The included policy is
Perl::Critic::Policy::ValuesAndExpressions::ProhibitAccessOfPrivateData.
It prohibits direct access to a hash-based object's hash.

%prep
%setup -q -n Perl-Critic-Nits-v%{version}

%build
perl Makefile.PL INSTALLDIRS=perl
%make_build

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
# %{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc Changes README
%{perl_vendor_privlib}/*

%changelog
