Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-PerlIO-locale
Version:        0.10
Release:        alt10_24
Summary:        PerlIO layer to use the encoding of the current locale
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/PerlIO-locale
Source0:        https://cpan.metacpan.org/authors/id/R/RG/RGARCIA/PerlIO-locale-%{version}.tar.gz
BuildRequires:  findutils
BuildRequires:  gcc
BuildRequires:  perl-devel
BuildRequires:  rpm-build-perl
BuildRequires:  perl-devel
BuildRequires:  perl(Config.pm)
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
# Run-time:
BuildRequires:  perl(PerlIO/encoding.pm)
BuildRequires:  perl(strict.pm)
BuildRequires:  perl(XSLoader.pm)
# Tests:
BuildRequires:  perl(I18N/Langinfo.pm)
BuildRequires:  perl(POSIX.pm)
BuildRequires:  perl(Test/More.pm)
BuildRequires:  perl(warnings.pm)
# Optional tests:
BuildRequires:  perl(Test/Pod.pm)
BuildRequires:  perl(Test/Pod/Coverage.pm)


Source44: import.info

%description
This is mostly a per-file-handle version of the open pragma, when used under
the form:
   
use open ':locale';

The encoding for the opened file will be set to the encoding corresponding to
the locale currently in effect, if perl can guess it.


%prep
%setup -q -n PerlIO-locale-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 OPTIMIZE='%{optflags}'
%make_build

%install
make pure_install DESTDIR='%{buildroot}'
find '%{buildroot}' -type f -name '*.bs' -size 0 -delete
# %{_fixperms} '%{buildroot}'/*

%check
make test

%files
%doc README
%{perl_vendor_archlib}/auto/*
%{perl_vendor_archlib}/PerlIO*

%changelog
