%define module_name Plack-Middleware-BlockHeaderInjection
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(HTTP/Request.pm) perl(Module/Metadata.pm) perl(Plack/Builder.pm) perl(Plack/Middleware.pm) perl(Plack/Middleware/ContentLength.pm) perl(Plack/Request.pm) perl(Plack/Response.pm) perl(Plack/Test.pm) perl(Pod/Coverage/TrustPod.pm) perl(Test/Differences.pm) perl(Test/EOL.pm) perl(Test/Fixme.pm) perl(Test/Kwalitee.pm) perl(Test/MinimumVersion.pm) perl(Test/More.pm) perl(Test/NoTabs.pm) perl(Test/Perl/Critic.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(parent.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.0.1
Release: alt1
Summary: block header injections in responses
Group: Development/Perl
License: artistic_2
URL: http://rrwo.tumblr.com

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/R/RR/RRWO/%{module_name}-v%{version}.tar.gz
BuildArch: noarch

%description
This middleware will check responses for injected headers. If the
headers contain newlines, then the return code is set to `500' and
the offending header(s) are removed.


%prep
%setup -q -n %{module_name}-v%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.md LICENSE Changes
%perl_vendor_privlib/P*

%changelog
