Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Text/Wrap.pm) perl(base.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-Pod-PseudoPod
Version:        0.19
Release:        alt2_6
Summary:        Framework for extending the POD tags for book manuscripts
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Pod-PseudoPod
Source0:        https://cpan.metacpan.org/authors/id/C/CH/CHROMATIC/Pod-PseudoPod-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  rpm-build-perl
BuildRequires:  perl(HTML/Entities.pm)
BuildRequires:  perl(Module/Build.pm)
BuildRequires:  perl(Pod/Simple.pm)
BuildRequires:  perl(Test/More.pm)
Requires:       perl(Pod/Simple.pm) >= 3.020
Source44: import.info


%description
PseudoPod is an extended set of Pod tags used for book manuscripts.
Standard Pod doesn't have all the markup options you need to mark up files
for publishing production. PseudoPod adds a few extra tags for footnotes,
tables, sidebars, etc. For further information see Pod::PseudoPod::Tutorial.


%prep
%setup -q -n Pod-PseudoPod-%{version}


%build
/usr/bin/perl Build.PL installdirs=vendor
./Build


%install

./Build install destdir=$RPM_BUILD_ROOT create_packlist=0

# Added to remove the waring messages from rpmlint
# %{_fixperms} $RPM_BUILD_ROOT/*


%check
./Build test



%files
%doc Changes LICENSE README Todo
%{perl_vendor_privlib}/Pod/PseudoPod.pm
%{perl_vendor_privlib}/Pod/PseudoPod
%{_bindir}/ppod2docbook
%{_bindir}/ppod2txt
%{_bindir}/ppodchecker
%{_bindir}/ppod2html


%changelog
