Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(File/Spec/Functions.pm) perl(base.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-Pod-PseudoPod-LaTeX
Version:        1.20190729
Release:        alt2_6
Summary:        Pod::PseudoPod::LaTeX Perl module
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Pod-PseudoPod-LaTeX
Source0:        https://cpan.metacpan.org/modules/by-module/Pod/Pod-PseudoPod-LaTeX-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  rpm-build-perl
BuildRequires:  perl(IO/String.pm)
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(Pod/PseudoPod.pm)
BuildRequires:  perl(Test/More.pm)
Requires:       perl(Pod/PseudoPod.pm) >= 0.150

# The patch changes 'Verbatim' to 'verbatim' in:
#   lib/Pod/PseudoPod/LaTeX.pm
#   t/sections.t
#
Patch0:         Pod-PseudoPod-LaTeX-1.20190729.patch
Source44: import.info

%description
This module is a Pod::PseudoPod subclass, itself a Pod::Simple subclass. This
means that this is a full-fledged POD parser.

%prep
%setup -q -n Pod-PseudoPod-LaTeX-%{version}
%patch0

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install

make pure_install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;

# %{_fixperms} $RPM_BUILD_ROOT%{_bindir}/ppod2latex

%check
make test

%files
%doc Changes dist.ini LICENSE README
%{perl_vendor_privlib}/*
%{_mandir}/man1/ppod2latex.1*
%{_bindir}/ppod2latex

%changelog
