# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(Markdown/To/POD.pm) perl(Module/List.pm) perl(Moose.pm) perl(Pod/Coverage/TrustPod.pm) perl(Pod/Weaver/Role/AddTextToSection.pm) perl(Pod/Weaver/Role/Section.pm) perl(String/PodQuote.pm) perl(Test/More.pm) perl(Test/Perl/Critic.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(strict.pm)
# END SourceDeps(oneline)
%define module_name Pod-Weaver-Plugin-ColorTheme
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.001
Release: alt1
Summary: Plugin to use when building distribution which has ColorTheme::* modules
Group: Development/Perl
License: perl
URL: https://metacpan.org/release/Pod-Weaver-Plugin-ColorTheme

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PE/PERLANCAR/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This plugin is used when building a distribution which has ColorTheme::*
modules. It does the following to each ColorTheme::* Perl source code:

=over

=item * Create "COLOR THEMES" POD section from list of ColorTheme::* modules in the distribution

=item * Mention some modules in See Also section

e.g. the ColorTheme manpage, the App::ColorThemeUtils manpage.

=back

It does the following to each ColorTheme::* Perl source code:

=over

=item * Add "DESCRIPTION" POD section from theme structure's description

=back

=for Pod::Coverage weave_section

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE Changes README
%perl_vendor_privlib/P*

%changelog
