# BEGIN SourceDeps(oneline):
BuildRequires: perl(Data/Dmp.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(File/Temp.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(Moose.pm) perl(Pod/Coverage/TrustPod.pm) perl(Pod/Weaver.pm) perl(Pod/Weaver/Role/AddTextToSection.pm) perl(Pod/Weaver/Role/Section.pm) perl(Test/More.pm) perl(Test/Perl/Critic.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(strict.pm)
# END SourceDeps(oneline)
%define module_name Pod-Weaver-Plugin-Data-Sah-Filter
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.001
Release: alt1
Summary: Plugin to use when building Data::Sah::Filter::* or Data::Sah::FilterBundle::* distribution
Group: Development/Perl
License: perl
URL: https://metacpan.org/release/Pod-Weaver-Plugin-Data-Sah-Filter

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PE/PERLANCAR/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This plugin is to be used when building `Data::Sah::Filter::*' or
`Data::Sah::FilterBundle::*' distribution. Currently it does the following:

For each `lib/Data/Sah/Filter/*' module file:

=over

=item * Add a Synopsis section (if doesn't already exist) containing an example on how to use the Sah filter rule module in a Sah schema

=back

For each `lib/Data/Sah/FilterBundle/*' module file:

=over

=item * Add list of filter rule modules at the beginning of Description section

=back

=for Pod::Coverage .*

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README LICENSE Changes
%perl_vendor_privlib/P*

%changelog
