%define module_name Pod-Weaver-Plugin-Sah-Schemas
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Data/Dmp.pm) perl(Data/Sah.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(Markdown/To/POD.pm) perl(Module/List.pm) perl(Moose.pm) perl(Params/Sah.pm) perl(Perinci/CmdLine/Any.pm) perl(Pod/Coverage/TrustPod.pm) perl(Pod/Weaver/Role/AddTextToSection.pm) perl(Pod/Weaver/Role/Section.pm) perl(String/PodQuote.pm) perl(Test/More.pm) perl(Test/Perl/Critic.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(strict.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.065
Release: alt1
Summary: Plugin to use when building Sah::Schemas::* distribution
Group: Development/Perl
License: perl
URL: https://metacpan.org/release/Pod-Weaver-Plugin-Sah-Schemas

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PE/PERLANCAR/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This plugin is used when building a Sah::Schemas::* distribution. It currently
does the following to lib/Sah/Schemas/* .pm files:

=over

=item * Create "SAH SCHEMAS" POD section from list of Sah::Schema::* modules in the distribution

=item * Mention some modules in See Also section

e.g. the Sah manpage and the Data::Sah manpage.

=back

It does the following to the Sah/Schema/* entry in the lib manpage .pm files:

=over

=item * Add "DESCRIPTION" POD section schema's description

=back

=for Pod::Coverage weave_section
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE README Changes
%perl_vendor_privlib/P*

%changelog
