# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define upstream_name    Pod-Weaver-Section-Extends
%define upstream_version 0.009

Name:       perl-%{upstream_name}
Version:    %{upstream_version}
Release:    alt3_8

Summary:    Add a list of parent classes to your POD
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Pod/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils/MakeMaker.pm)
BuildRequires: perl(Module/Build.pm)
BuildRequires: perl(Module/Load.pm)
BuildRequires: perl(Moose.pm)
BuildRequires: perl(Pod/Elemental/Element/Nested.pm)
BuildRequires: perl(Pod/Elemental/Element/Pod5/Command.pm)
BuildRequires: perl(Pod/Weaver/Role/Section.pm)
BuildRequires: perl(aliased.pm)
BuildRequires: perl(strict.pm)
BuildRequires: perl(warnings.pm)
BuildArch:  noarch
Source44: import.info

%description
This the Pod::Weaver manpage section plugin creates an "EXTENDS" section in
your POD which will contain a list of your class's parent classes. It
accomplishes this by attempting to compile your class and inspecting its
'@ISA'.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc LICENSE META.json META.yml  README
%perl_vendor_privlib/*

%changelog
