%define module_name Print-Colored
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(FindBin.pm) perl(IO/Prompter.pm) perl(Term/ANSIColor.pm) perl(Test/More.pm) perl(Test/Output.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.02
Release: alt1
Summary: print, say, prompt with predefined colors
Group: Development/Perl
License: artistic_2
URL: https://github.com/Tekki/print-colored

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/T/TE/TEKKI/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
the Print::Colored manpage provides functions to print, say, prompt with predefined colors.

=over

=item `error' bright red

=item `info' bright blue

=item `input' bright cyan

=item `ok' bright green

=item `warn' bright magenta

=back

We should use colors all the time we write sripts that run in the terminal.
Read Use terminal colors to distinguish information
by brian d foy to get some more ideas about it.

But experience shows that the more commands and constants we have to use the less colors our
scripts have. This was the reason to build this rather simple module.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes
%perl_vendor_privlib/P*

%changelog
