%define module_name Prometheus-Tiny-Shared
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(Data/Random.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Path.pm) perl(File/Temp.pm) perl(File/stat.pm) perl(HTTP/Request/Common.pm) perl(Hash/SharedMem.pm) perl(JSON/XS.pm) perl(Plack/Test.pm) perl(Prometheus/Tiny.pm) perl(Test/Differences.pm) perl(Test/Exception.pm) perl(Test/More.pm) perl(parent.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.023
Release: alt1
Summary: A tiny Prometheus client backed by a shared memory region
Group: Development/Perl
License: perl
URL: https://github.com/robn/Prometheus-Tiny-Shared

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/R/RO/ROBN/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
From summary: %summary

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes LICENSE
%perl_vendor_privlib/P*

%changelog
