# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Exporter.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define upstream_name    Prompt-Timeout
%define upstream_version 1.03

Name:       perl-%{upstream_name}
Version:    %{upstream_version}
Release:    alt2_9

Summary:    Prompt() with auto-selecting default value in case of inactivity
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Prompt/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils/MakeMaker.pm)
BuildRequires: perl(Term/ReadKey.pm)
BuildArch: noarch
Source44: import.info

%description
This module provides only one function, prompt(), and it's exported by
default.

prompt
     my $res = prompt ( $question, $default, $timeout );

    Prints a $question and waits for the input. If no keys are pressed
    during $timeout seconds, $default is assumed. When pressing just Enter
    key, $default is assumed. If prompt() detects that it is not running
    interactively, $default will be used without prompting too.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc README CHANGES META.yml
%perl_vendor_privlib/*




%changelog
