%define module_name Protocol-DBus
# BEGIN SourceDeps(oneline):
BuildRequires: perl(AnyEvent.pm) perl(Call/Context.pm) perl(Digest/SHA.pm) perl(Digest/SHA1.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Which.pm) perl(FindBin.pm) perl(IO/Async/Handle.pm) perl(IO/Framed.pm) perl(IO/SigGuard.pm) perl(Module/Runtime.pm) perl(Mojo/IOLoop.pm) perl(Mojolicious.pm) perl(Promise/ES6.pm) perl(Socket.pm) perl(Socket/MsgHdr.pm) perl(Test/Deep.pm) perl(Test/Exception.pm) perl(Test/FailWarnings.pm) perl(Test/More.pm) perl(Test/SharedFork.pm) perl(X/Tiny.pm) perl(autodie.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.17
Release: alt1
Summary: D-Bus in pure Perl
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/F/FE/FELIPE/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This is an original, pure-Perl implementation of client logic for
the D-Bus protocol.

Right now this distribution is an experimental effort. If you use it in your
project, be sure to check the changelog before deploying a new version. Please
file bug reports as appropriate.

See the Protocol::DBus::Client manpage and the above sample for a starting point.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.md LICENSE Changes examples
%perl_vendor_privlib/P*

%changelog
