%define module_name RPC-Switch-Client
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Encode.pm) perl(ExtUtils/MakeMaker.pm) perl(IO/Handle.pm) perl(JSON/MaybeXS.pm) perl(JSON/RPC2/TwoWay.pm) perl(MojoX/NetstringStream.pm) perl(Mojolicious.pm) perl(Scalar/Util.pm) perl(Storable.pm) perl(Sys/Hostname.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.21
Release: alt1
Summary: RPC-Switch client using Mojo(licious).
Group: Development/Perl
License: perl
URL: https://github.com/a6502/RPC-Switch-Client

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/W/WI/WIEGEROP/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
the RPC::Switch::Client manpage is a class to build a client to connect to the
the RPC-Switch manpage. The client can be used to call methods on the RPC-Switch as 
well as to announce and handle methods as a worker.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README LICENSE examples
%perl_vendor_privlib/R*

%changelog
