# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(Inline.pm) perl(Test/More.pm) perl(XSLoader.pm)
# END SourceDeps(oneline)
%define module_name RPi-EEPROM-AT24C32
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.01
Release: alt3
Summary: Read and write to the AT24C32 based EEPROM ICs
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/S/ST/STEVEB/%{module_name}-%{version}.tar.gz

%description
Read and write data to the AT24C32-based EEPROM Integrated Circuits.

Currently, only the actual AT24C32 that has 4096 8-bit address locations
(`0-4095').

It'll work for the AT24C64 unit as well, but only half of the address space will
be available. I'll update this after I get one of these units.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README examples
%perl_vendor_archlib/R*
%perl_vendor_autolib/*

%changelog
