%define module_name RT-Client-CLI
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Cwd.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Temp.pm) perl(GSSAPI.pm) perl(HTTP/Headers.pm) perl(HTTP/Request/Common.pm) perl(LWP.pm) perl(LWP/Authen/Negotiate.pm) perl(Pod/Usage.pm) perl(Term/ReadKey.pm) perl(Term/ReadLine.pm) perl(Test/More.pm) perl(Test/Pod.pm) perl(Text/ParseWords.pm) perl(Time/Local.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 4.4.3
Release: alt1
Summary: Provides the official rt command line client
Group: Development/Perl
License: gpl
URL: https://metacpan.org/module/RT-Client-CLI

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/B/BP/BPS/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
RT::Client::CLI is a CPAN-ready package for the the rt manpage command-line program
that interacts with RT.

No code is changed from the program shipped with RT.  This is just an easy-to-
install package when you want the the rt manpage program on another computer.

The version of this package is kept in lockstep with the corresponding RT
version from which the included the rt manpage was extracted.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release

%description scripts
scripts for %module_name
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README LICENSE
%perl_vendor_privlib/R*

%files scripts
%_man1dir/*
%_bindir/*

%changelog
