Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Module/Build.pm) perl(Pod/Coverage/TrustPod.pm) perl(Pod/Wordlist.pm) perl(Term/ReadKey.pm) perl(Test/CPAN/Meta.pm) perl(Test/EOL.pm) perl(Test/NoBreakpoints.pm) perl(Test/NoTabs.pm) perl(Test/PAUSE/Permissions.pm) perl(Test/Perl/Critic.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(Test/Spelling.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:       perl-RT-Client-REST 
Version:    0.60
Release:    alt2_5
License:    GPL+ or Artistic
Summary:    Talk to RT using REST protocol 
Url:        https://metacpan.org/release/RT-Client-REST
Source:     https://cpan.metacpan.org/authors/id/D/DJ/DJZORT/RT-Client-REST-%{version}.tar.gz
BuildArch:  noarch
BuildRequires:  rpm-build-perl
BuildRequires:  perl-devel
BuildRequires:  perl
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(strict.pm)
BuildRequires:  perl(warnings.pm)
# Run-time
BuildRequires:  perl(base.pm)
BuildRequires:  perl(constant.pm)
BuildRequires:  perl(DateTime.pm)
BuildRequires:  perl(DateTime/Format/DateParse.pm)
BuildRequires:  perl(Error.pm)
BuildRequires:  perl(Exception/Class.pm)
BuildRequires:  perl(Exporter.pm)
BuildRequires:  perl(HTTP/Cookies.pm)
BuildRequires:  perl(HTTP/Request/Common.pm)
BuildRequires:  perl(LWP/UserAgent.pm)
BuildRequires:  perl(Params/Validate.pm)
BuildRequires:  perl(vars.pm)
# Tests
BuildRequires:  perl(blib.pm)
BuildRequires:  perl(Data/Dumper.pm)
BuildRequires:  perl(Encode.pm)
BuildRequires:  perl(File/Spec.pm)
BuildRequires:  perl(File/Spec/Functions.pm)
BuildRequires:  perl(File/Temp.pm)
BuildRequires:  perl(HTTP/Response.pm)
BuildRequires:  perl(HTTP/Server/Simple.pm)
BuildRequires:  perl(HTTP/Server/Simple/CGI.pm)
BuildRequires:  perl(IO/File.pm)
BuildRequires:  perl(IO/Handle.pm)
BuildRequires:  perl(IO/Pipe.pm)
BuildRequires:  perl(IO/Socket.pm)
BuildRequires:  perl(IPC/Open3.pm)
# Pod::Coverage::TrustPod not used
# Pod::Wordlist not used
BuildRequires:  perl(Socket.pm)
# Test::CPAN::Meta not used
# Test::EOF not used
# Test::EOL not used
BuildRequires:  perl(Test/Exception.pm)
# Test::Legal not used
# Test::NoBreakpoints 0.15 not used
# Test::NoTabs not used
# Test::Kwalitee::Extra not used
BuildRequires:  perl(Test/More.pm)
Source44: import.info
# Test::Perl::Critic not used
# Test::PAUSE::Permissions not used
# Test::Pod 1.41 not used
# Test::Pod::Coverage 1.08 not used
# Test::Pod::No404s not used
# Test::Portability::Files not used
# Test::Spelling 0.12 not used
# Test::Vars not used
# Optional tests:
# CPAN::Meta not helpful
# CPAN::Meta::Prereqs not helpful

%description
RT::Client::REST is a set of object-oriented Perl modules designed to make
communicating with RT using REST protocol easy. Most of the features have been
implemented and tested with rt 3.6.0 and later.

%prep
%setup -q -n RT-Client-REST-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}

%install
%{makeinstall_std}
# %{_fixperms} %{buildroot}/*

%check
unset AUTHOR_TESTING RELEASE_TESTING
make test

%files
%doc --no-dereference LICENSE
%doc CHANGES CONTRIBUTORS examples README TODO
%{perl_vendor_privlib}/*

%changelog
