%define module_name Raisin
# BEGIN SourceDeps(oneline):
BuildRequires: perl(DBIx/Class/Core.pm) perl(DBIx/Class/Schema.pm) perl(Encode.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(HTTP/Request/Common.pm) perl(HTTP/Status.pm) perl(Hash/Merge.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(JSON.pm) perl(JSON/MaybeXS.pm) perl(List/Util.pm) perl(Module/Build.pm) perl(Moose.pm) perl(Moose/Util/TypeConstraints.pm) perl(MooseX/Types/Moose.pm) perl(Plack.pm) perl(Plack/Middleware/CrossOrigin.pm) perl(Pod/Usage.pm) perl(Scalar/Util.pm) perl(Term/ANSIColor.pm) perl(Test/EOL.pm) perl(Test/Exception.pm) perl(Test/Kwalitee.pm) perl(Test/More.pm) perl(Test/NoBreakpoints.pm) perl(Test/NoTabs.pm) perl(Test/Pod.pm) perl(Test/Simple.pm) perl(Type/Tiny.pm) perl(YAML.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.93
Release: alt1
Summary: REST-like API micro-framework for Perl.
Group: Development/Perl
License: perl
URL: https://github.com/khrt/Raisin

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/R/RT/RTKH/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Raisin is a REST-like API micro-framework for Perl.
It's designed to run on Plack, providing a simple DSL to easily develop RESTful APIs.
It was inspired by Grape.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release

%description scripts
scripts for %module_name


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build --install_path bindoc=%_man1dir

%install
%perl_vendor_install

%files
%doc Changes LICENSE examples
%perl_vendor_privlib/R*

%files scripts
%_man1dir/*
%_bindir/*

%changelog
