%define module_name Redis-ClusterRider
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(Clone.pm) perl(ExtUtils/MakeMaker.pm) perl(List/MoreUtils.pm) perl(Redis.pm) perl(Scalar/Util.pm) perl(Test/Fatal.pm) perl(Test/MockObject.pm) perl(Test/More.pm) perl(Time/HiRes.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.22
Release: alt1
Summary: Daring Redis Cluster client
Group: Development/Perl
License: perl
URL: https://github.com/iph0/Redis-ClusterRider

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/I/IP/IPH/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Redis::ClusterRider is the Redis Cluster client built on top of the the Redis manpage.

Requires Redis 3.0 or higher.

For more information about Redis Cluster see here:

=over

=item *

http://redis.io/topics/cluster-tutorial

=item *

http://redis.io/topics/cluster-spec

=back
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README.md examples
%perl_vendor_privlib/R*

%changelog
