%def_without test
%define module_name Redis-Setlock
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Capture/Tiny.pm) perl(Digest/SHA.pm) perl(Getopt/Long.pm) perl(Guard.pm) perl(Log/Minimal.pm) perl(Module/Build/Tiny.pm) perl(Pod/Usage.pm) perl(Redis.pm) perl(Test/More.pm) perl(Test/RedisServer.pm) perl(Test/SharedFork.pm) perl(Test/TCP.pm) perl(Time/HiRes.pm) perl(Try/Tiny.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.13
Release: alt1
Summary: Like the setlock command using Redis.
Group: Development/Perl
License: perl
URL: https://github.com/fujiwara/Redis-Setlock

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/F/FU/FUJIWARA/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
From summary: %summary

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build --install_path bindoc=%_man1dir

%install
%perl_vendor_install

%files
%doc Changes LICENSE README.md
%perl_vendor_privlib/R*

%files scripts
%_man1dir/*
%_bindir/*

%changelog
