%define module_name RedisDB-Parser
# BEGIN SourceDeps(oneline):
BuildRequires: libsowing-devel perl(Benchmark.pm) perl(Encode.pm) perl(Encode/CN.pm) perl(Encode/JP.pm) perl(Encode/KR.pm) perl(Encode/TW.pm) perl(ExtUtils/CBuilder.pm) perl(ExtUtils/MakeMaker.pm) perl(Protocol/Redis.pm) perl(Protocol/Redis/XS.pm) perl(Redis/Parser/XS.pm) perl(Scalar/Util.pm) perl(Test/FailWarnings.pm) perl(Test/More.pm) perl(Test/Most.pm) perl(Try/Tiny.pm) perl(XSLoader.pm) perl(overload.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 2.23
Release: alt3
Summary: Redis protocol parser
Group: Development/Perl
License: perl
URL: https://github.com/trinitum/perl-RedisDB-Parser

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/Z/ZW/ZWON/%{module_name}-%{version}.tar.gz

%description
This module provides methods to build redis requests and parse replies from
the server.


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_archlib/R*
%perl_vendor_autolib/*

%changelog
