# BEGIN SourceDeps(oneline):
BuildRequires: perl(Benchmark.pm) perl(Carp/Heavy.pm) perl(Class/XSAccessor.pm) perl(Class/XSAccessor/Array.pm) perl(Constant/Generate.pm) perl(Devel/FindRef.pm) perl(Devel/GlobalDestruction.pm) perl(Devel/Peek.pm) perl(Dir/Self.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(InlineX/C2XS.pm) perl(Log/Fu.pm) perl(Module/Stubber.pm) perl(Scalar/Util.pm) perl(Task/Weaken.pm) perl(Test/More.pm) perl(Variable/Magic.pm) perl(XSLoader.pm) perl(base.pm) perl(blib.pm) perl(Inline/C.pm) perl(Parse/RecDescent.pm)
# END SourceDeps(oneline)
%define module_version 0.20
%define module_name Ref-Store
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.20
Release: alt6
Summary: Store objects, index by object, tag by objects - all without
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/M/MN/MNUNBERG/%module_name-%module_version.tar.gz

%description
Ref::Store provides an efficient and worry-free way to index objects by
arbitrary data - possibly other objects, simple scalars, or whatever.

It relies on magic and such to ensure that objects you put in the lookup table
are not maintained there unless you want them to be. In other words, you can store
objects in the table, and delete them without having to worry about what other
possible indices/references may be holding down the object.

If you are looking for something to store Data, then direct your attention to
the KiokuDB manpage, the Tangram manpage or the Pixie manpage - these modules will store your *data*.

However, if you are specifically wanting to maintain garbage-collected and reference
counted perl objects, then this module is for you. continue reading.



%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_archlib/R*
%perl_vendor_autolib/*

%changelog
