%define module_name Regexp-Pattern-License
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(Regexp/Pattern.pm) perl(Test/Builder/Module.pm) perl(Test/More.pm) perl(Test/Regexp/Pattern.pm) perl(Test2/V0.pm) perl(Try/Tiny.pm) perl(base.pm) perl(open.pm) perl(parent.pm) perl(re/engine/RE2.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 3.7.0
Release: alt1
Summary: regular expressions for legal licenses
Group: Development/Perl
License: gpl
URL: https://metacpan.org/pod/Regexp::Pattern::License

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/J/JO/JONASS/%{module_name}-v%{version}.tar.gz
BuildArch: noarch

%description
the Regexp::Pattern::License manpage provides a hash of regular expression patterns
related to legal software licenses.

the Regexp::Pattern manpage is a convention for organizing reusable regex patterns.
%prep
%setup -q -n %{module_name}-v%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README CREDITS COPYRIGHT Changes LICENSE TODO
%perl_vendor_privlib/R*

%changelog
