# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Basename.pm) perl(File/Spec.pm) perl(File/Temp.pm) perl(Rex.pm) perl(Rex/Commands/File.pm) perl(Rex/Hook.pm) perl(Test/File.pm) perl(Test2/V0.pm) perl(autodie.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define module_name Rex-Hook-File-Impostor
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.1.1
Release: alt1
Summary: execute Rex file management commands on a copy of the original file
Group: Development/Perl
License: lgpl
URL: https://github.com/sponsors/ferki

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/F/FE/FERKI/%{module_name}-v%{version}.tar.gz
BuildArch: noarch

%description
This module lets Rex execute file management commands on a copy of the file instead of the original one.

This could be particularly useful when it is loaded conditionally to be combined with other modules. For example together with Rex::Hook::File::Diff, it could be used to show a diff of file changes without actually changing the original file contents.

It works by installing a before hook for file commands, which makes a copy of the original file into a temporary directory, and then overrides the original arguments of the file commands.

%prep
%setup -q -n %{module_name}-v%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README LICENSE Changes
%perl_vendor_privlib/R*

%changelog
