%define module_name RundeckAPI
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(File/Basename.pm) perl(HTTP/Cookies.pm) perl(JSON.pm) perl(LWP/UserAgent.pm) perl(REST/Client.pm) perl(Scalar/Util.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.3.4.1
Release: alt1
Summary: simplifies authenticate, connect, queries to a Rundeck instance via REST API
Group: Development/Perl
License: open_source
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/X/XA/XAVIERH/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
use RundeckAPI;

_# create an object of type RundeckAPI :
_my $api = RundeckAPI->new(
__'url'__=> "https://my.rundeck.instance:4440",
__'login'__=> "admin",
__'password'_=> "passwd",
_# OR token, takes precedence
__'token'__=> <token as generated with GUI, as an admin>
__'debug'__=> 1,
 __'proxy'__=> "http://proxy.mycompany.com/",
_);
_my $hashRef = $api->get("/api/27/system/info");
_my $json = '{some: value}';
_$hashRef = $api->put(/api/27/endpoint_for_put, $json);

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.md README Changes LICENSE
%perl_vendor_privlib/R*

%changelog
