%define module_name RxPerl-IOAsync
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Future.pm) perl(IO/Async.pm) perl(Module/Build/Tiny.pm) perl(RxPerl.pm) perl(Sub/Util.pm) perl(Test2/V0.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 6.7.0
Release: alt1
Summary: IO::Async adapter for RxPerl
Group: Development/Perl
License: perl
URL: https://gitlab.com/karjala/rxperl-ioasync-for-perl

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/K/KA/KARJALA/%{module_name}-v%{version}.tar.gz
BuildArch: noarch

%description
RxPerl::IOAsync is a module that lets you use the the RxPerl manpage Reactive Extensions in your app that uses IO::Async.

%prep
%setup -q -n %{module_name}-v%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README.md LICENSE
%perl_vendor_privlib/R*

%changelog
