%define module_name RxPerl-Mojo
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Module/Build/Tiny.pm) perl(Mojo/IOLoop.pm) perl(RxPerl.pm) perl(Sub/Util.pm) perl(Test2/V0.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 6.6.0
Release: alt1
Summary: Mojo::IOLoop adapter for RxPerl
Group: Development/Perl
License: perl
URL: https://gitlab.com/karjala/rxperl-mojo-for-perl

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/K/KA/KARJALA/%{module_name}-v%{version}.tar.gz
BuildArch: noarch

%description
RxPerl::Mojo is a module that lets you use the the RxPerl manpage Reactive Extensions in your Mojolicious app
or app that uses Mojo::IOLoop.

%prep
%setup -q -n %{module_name}-v%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.md LICENSE Changes
%perl_vendor_privlib/R*

%changelog
