%define module_name Ryu
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Encode.pm) perl(Encode/CN.pm) perl(Encode/JP.pm) perl(Encode/KR.pm) perl(Encode/TW.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(Future.pm) perl(Future/Queue.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(JSON/MaybeXS.pm) perl(List/UtilsBy.pm) perl(Log/Any.pm) perl(Log/Any/Adapter.pm) perl(Log/Any/Adapter/TAP.pm) perl(MIME/Base64.pm) perl(Ref/Util.pm) perl(Scalar/Util.pm) perl(Sentinel.pm) perl(Syntax/Keyword/Try.pm) perl(Test/CheckDeps.pm) perl(Test/Deep.pm) perl(Test/Fatal.pm) perl(Test/Files.pm) perl(Test/More.pm) perl(Test/Refcount.pm) perl(Test/Warnings.pm) perl(Text/CSV.pm) perl(Variable/Disposition.pm) perl(XS/Parse/Keyword.pm) perl(curry.pm) perl(indirect.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 3.002
Release: alt1
Summary: stream and data flow handling for async code
Group: Development/Perl
License: perl
URL: https://github.com/team-at-cpan/Ryu

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/T/TE/TEAM/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Provides data flow processing for asynchronous coding purposes. It's a bit like ReactiveX in
concept. Where possible, it tries to provide a similar API. It is not a directly-compatible implementation, however.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE README Changes doc examples
%perl_vendor_privlib/R*

%changelog
