# BEGIN SourceDeps(oneline):
BuildRequires: perl(AnyEvent.pm) perl(ExtUtils/MakeMaker.pm) perl(Math/Int64.pm) perl(XSLoader.pm) perl(common/sense.pm) rtl-sdr-devel
# END SourceDeps(oneline)
%define module_name SDR-Radio-RTLSDR
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.100
Release: alt3
Summary: Control RTL software defined radio devices
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/F/FR/FRACTAL/%{module_name}-%{version}.tar.gz

%description
This is the the SDR manpage driver for RTL-SDR devices.

Although you can use it by itself, see the the SDR manpage docs for more generic usage.

In order to install this module you will need `librtlsdr' installed. On Ubuntu/Debian you can run:

    sudo apt-get install librtlsdr-dev

NOTE: This module creates background threads so you should not fork after creating `SDR::Radio::RTLSDR' objects.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_archlib/S*
%perl_vendor_autolib/*

%changelog
