# BEGIN SourceDeps(oneline):
BuildRequires: libsowing-devel libsqlite3-devel perl(Config.pm) perl(DBD/SQLite.pm) perl(DBI.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(IO/Handle.pm) perl(Test/More.pm) perl(Text/CSV_XS.pm) perl(base.pm)
# END SourceDeps(oneline)
%define module_version 0.09
%define module_name SQLite-VirtualTable
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.09
Release: alt6
Summary: Create SQLite Virtual Table extensions in Perl.
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/B/BE/BENBOOTH/%module_name-%module_version.tar.gz

%description
Virtual tables
are a new feature in SQLite (currently still only available from the
development version on CVS) that allows you to create tables using
custom backends to access (read and change) their contents instead of
being stored in the database file.

The `SQLite::VirtualTable' module allows you to create these backends
in Perl embbeding a perl interpreter as a SQLite extension.

Note that extensions written using this module can be used from
any SQLite application and programming language (C, Java, PHP, Perl,
etc.).



%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_archlib/S*
%perl_vendor_archlib/auto/*

%changelog
