%define module_name Search-Elasticsearch-Async
Epoch: 1
# BEGIN SourceDeps(oneline):
BuildRequires: perl(AE.pm) perl(AnyEvent/HTTP.pm) perl(AnyEvent/TLS.pm) perl(Cpanel/JSON/XS.pm) perl(EV.pm) perl(JSON/PP.pm) perl(JSON/XS.pm) perl(Log/Any/Adapter.pm) perl(Log/Any/Adapter/Callback.pm) perl(Mojo/UserAgent.pm) perl(Moo.pm) perl(Moo/Role.pm) perl(Promises.pm) perl(Scalar/Util.pm) perl(Search/Elasticsearch.pm) perl(Search/Elasticsearch/Client/7_0.pm) perl(Search/Elasticsearch/Client/7_0/Role/API.pm) perl(Search/Elasticsearch/Role/Client/Direct.pm) perl(Search/Elasticsearch/Role/Cxn.pm) perl(Search/Elasticsearch/Util.pm) perl(Sub/Exporter.pm) perl(Test/Deep.pm) perl(Test/EOL.pm) perl(Test/Exception.pm) perl(Test/NoTabs.pm) perl(Test/Pod.pm) perl(Time/HiRes.pm) perl(Try/Tiny.pm) perl(namespace/clean.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 7.713
Release: alt1
Summary: Async API for Elasticsearch using Promises
Group: Development/Perl
License: see LICENSE
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/E/EZ/EZIMUEL/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
the Search::Elasticsearch::Async manpage is the official asynchronous Perl client for
Elasticsearch, supported by elastic.co.
Elasticsearch itself is a flexible and powerful open source, distributed real-time
search and analytics engine for the cloud.  You can read more about it
on elastic.co.

This module uses the Promises manpage to provide a sane async interface, making your
async code look more like synchronous code.  It can be used with
the Mojolicious manpage or with any of the event loops supported by the AnyEvent manpage.

the Search::Elasticsearch::Async manpage builds on the Search::Elasticsearch manpage, which
you should see for the main documentation.
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE Changes README
%perl_vendor_privlib/S*

%changelog
