%define module_name Search-Elasticsearch-Client-7_0-Async
Epoch: 1
# BEGIN SourceDeps(oneline):
BuildRequires: perl(AE.pm) perl(EV.pm) perl(Log/Any/Adapter.pm) perl(Log/Any/Adapter/Callback.pm) perl(Mojo/UserAgent.pm) perl(Moo.pm) perl(Promises.pm) perl(Scalar/Util.pm) perl(Search/Elasticsearch.pm) perl(Search/Elasticsearch/Async.pm) perl(Search/Elasticsearch/Client/7_0.pm) perl(Search/Elasticsearch/Client/7_0/Role/API.pm) perl(Search/Elasticsearch/Role/Client/Direct.pm) perl(Search/Elasticsearch/Util.pm) perl(Sub/Exporter.pm) perl(Test/Deep.pm) perl(Test/EOL.pm) perl(Test/Exception.pm) perl(Test/NoTabs.pm) perl(Test/Pod.pm) perl(Try/Tiny.pm) perl(namespace/clean.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 7.713
Release: alt1
Summary: Thin async client with full support for Elasticsearch 7.x APIs
Group: Development/Perl
License: see LICENSE
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/E/EZ/EZIMUEL/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
The the Search::Elasticsearch::Client::7_0::Async manpage package provides a client
compatible with Elasticsearch 7.x.  It should be used in conjunction
with the Search::Elasticsearch::Async manpage as follows:

    $e = Search::Elasticsearch::Async->new(
        client => "7_0::Direct"
    );

See the Search::Elasticsearch::Client::7_0::Direct manpage for documentation
about how to use the client itself.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README LICENSE
%perl_vendor_privlib/S*

%changelog
