%define module_name SemanticWeb-Schema
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Const/Fast.pm) perl(DDP.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(HTML/Strip.pm) perl(JSON/MaybeXS.pm) perl(LWP/UserAgent.pm) perl(List/Util.pm) perl(Markdown/Pod.pm) perl(Module/Metadata.pm) perl(Moo.pm) perl(MooX/JSON_LD.pm) perl(MooX/Role/JSON_LD.pm) perl(Path/Tiny.pm) perl(RDF/Prefixes.pm) perl(RDF/Trine.pm) perl(Ref/Util.pm) perl(String/CamelCase.pm) perl(Template.pm) perl(Test/CleanNamespaces.pm) perl(Test/Fixme.pm) perl(Test/JSON/More.pm) perl(Test/MinimumVersion.pm) perl(Test/More.pm) perl(Test/Most.pm) perl(Test/Pod.pm) perl(Types/Standard.pm) perl(URI.pm) perl(aliased.pm) perl(namespace/autoclean.pm) perl(strict.pm) perl(utf8.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 13.0.0
Release: alt1
Summary: Moo classes for http://schema.org/ classes
Group: Development/Perl
License: artistic_2
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/R/RR/RRWO/%{module_name}-v%{version}.tar.gz
BuildArch: noarch

%description
This is a base class for the `SemanticWeb::Schema' classes, which
were generated automatically from the following sources:

=over

=item http://schema.org/version/3.4/ext-meta.rdf

=item http://schema.org/version/3.4/schema.rdf

=back

%prep
%setup -q -n %{module_name}-v%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE README.md Changes
%perl_vendor_privlib/S*

%changelog
