%define module_name Sidef
Epoch: 2
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Algorithm/Combinatorics.pm) perl(Algorithm/Diff.pm) perl(Algorithm/Loops.pm) perl(CGI.pm) perl(CGI/Carp.pm) perl(Capture/Tiny.pm) perl(Cwd.pm) perl(DB_File.pm) perl(Data/Dump.pm) perl(Data/Dump/Filtered.pm) perl(Digest/SHA.pm) perl(Encode.pm) perl(Encode/CN.pm) perl(Encode/JP.pm) perl(Encode/KR.pm) perl(Encode/TW.pm) perl(Fcntl.pm) perl(File/Basename.pm) perl(File/Copy.pm) perl(File/HomeDir.pm) perl(File/Path.pm) perl(File/Spec.pm) perl(GDBM_File.pm) perl(Getopt/Std.pm) perl(IO/Compress/RawDeflate.pm) perl(IO/Uncompress/RawInflate.pm) perl(Inline.pm) perl(List/Util.pm) perl(Math/GMPq.pm) perl(Math/GMPz.pm) perl(Math/MPC.pm) perl(Math/MPFR.pm) perl(Math/Prime/Util.pm) perl(Math/Prime/Util/GMP.pm) perl(Memoize.pm) perl(Module/Build.pm) perl(Regexp/Grammars.pm) perl(Scalar/Util.pm) perl(Socket.pm)
BuildRequires: perl(Term/ReadLine.pm) perl(Test/More.pm) perl(Text/Balanced.pm) perl(Text/Levenshtein/XS.pm) perl(Time/HiRes.pm) perl(Time/Piece.pm) perl(autodie.pm) perl(charnames.pm) perl(forks.pm) perl(parent.pm) perl(utf8.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 3.98
Release: alt1
Summary: The Sidef Programming Language
Group: Development/Perl
License: artistic_2
URL: https://github.com/trizen/sidef

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/T/TR/TRIZEN/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
From summary: %summary

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc TODO LICENSE README.md Changes
%perl_vendor_privlib/S*

%files scripts
%_bindir/*

%changelog
