%define module_name Slack-Notify
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(Getopt/Long/Descriptive.pm) perl(HTTP/Tiny.pm) perl(JSON/MaybeXS.pm) perl(Moo.pm) perl(Type/Utils.pm) perl(Types/Standard.pm) perl(namespace/autoclean.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.002
Release: alt1
Summary: Trigger Slack incoming webhooks
Group: Development/Perl
License: perl
URL: https://github.com/robn/Slack-Notify

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/R/RO/ROBN/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This is a simple client for Slack incoming webhooks.

Create a `Slack::Notify' object with the URL of an incoming hook, then call
the `post' method to trigger it.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %EVR

%description scripts
scripts for %module_name
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes LICENSE README
%perl_vendor_privlib/S*

%files scripts
%_bindir/*
%_man1dir/*

%changelog
