%define module_name Slack-RTM-Bot
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Data/Dumper.pm) perl(Encode.pm) perl(Encode/CN.pm) perl(Encode/JP.pm) perl(Encode/KR.pm) perl(Encode/TW.pm) perl(HTTP/Request/Common.pm) perl(IO/Socket/SSL.pm) perl(JSON.pm) perl(LWP/Protocol/https.pm) perl(LWP/UserAgent.pm) perl(Module/Build/Tiny.pm) perl(Protocol/WebSocket/Client.pm) perl(Test/Exception.pm) perl(Test/More.pm) perl(Thread/Queue.pm) perl(threads.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.13
Release: alt1
Summary: This is a perl module helping to create slack bot with Real Time Messaging(RTM) API.
Group: Development/Perl
License: mit
URL: https://github.com/duck8823/Slack-RTM-Bot

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/S/SH/SHMAEDA/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
use Slack::RTM::Bot;
    my $bot = Slack::RTM::Bot->new( token => '<API token>');

    $bot->add_action({
            channel => 'general',
            text    => '.*'
        },
        sub {
            my ($response) = @_;
            print $response->{text}."\n";
        }
    );

    $bot->start_RTM;

    $bot->say(
        channel => 'general',
        text    => '<!here> hello, world.'
    );

    $bot->say({
        channel => '@username',
        text    => 'hello, world.'
    });

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.md LICENSE Changes
%perl_vendor_privlib/S*

%changelog
