%define module_name Smartcat-App
# BEGIN SourceDeps(oneline):
BuildRequires: perl(App/Cmd/Setup.pm) perl(Carp.pm) perl(Class/Accessor.pm) perl(Class/Data/Inheritable.pm) perl(Class/Load.pm) perl(Config/Tiny.pm) perl(Data/Dumper.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Basename.pm) perl(File/Copy.pm) perl(File/Find.pm) perl(File/HomeDir.pm) perl(File/Remove.pm) perl(File/Spec.pm) perl(File/Spec/Functions.pm) perl(HTTP/Message.pm) perl(IO/Handle.pm) perl(IO/Uncompress/Unzip.pm) perl(IPC/Open3.pm) perl(JSON.pm) perl(List/Util.pm) perl(Log/Any.pm) perl(Log/Any/Adapter.pm) perl(Log/Any/Adapter/Log4perl.pm) perl(Log/Log4perl.pm) perl(Module/Build/Tiny.pm) perl(Smartcat/Client.pm) perl(Smartcat/Client/AccountApi.pm) perl(Smartcat/Client/DocumentApi.pm) perl(Smartcat/Client/DocumentExportApi.pm) perl(Smartcat/Client/Object/BilingualFileImportSetingsModel.pm)
BuildRequires: perl(Smartcat/Client/Object/CreateDocumentPropertyModel.pm) perl(Smartcat/Client/Object/UploadDocumentPropertiesModel.pm) perl(Smartcat/Client/ProjectApi.pm) perl(Test/Exception.pm) perl(Test/Fatal.pm) perl(Test/MockModule.pm) perl(Test/More.pm) perl(Test/Pod.pm) perl(base.pm) perl(constant.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.0.10
Release: alt1
Summary: Smartcat cli application
Group: Development/Perl
License: perl
URL: https://github.com/smartcatai/smartcat-app-perl

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/T/TA/TARAS/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Smartcat::App is a simple application which use Smartcat Integration API to sync local translation files with Smartcat project content.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %EVR

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE Changes README
%perl_vendor_privlib/S*

%files scripts
%_bindir/*

%changelog
