%define module_version 0.24
%define module_name Sniffer-HTTP
# BEGIN SourceDeps(oneline):
BuildRequires: perl-devel
# END SourceDeps(oneline)
%define upstream_name    Sniffer-HTTP
%define upstream_version 0.23

Name:       perl-%{upstream_name}
Version:    0.24
Release:    alt1

Summary:    Callbacks for a HTTP connection
License:    perl
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://mirror.yandex.ru/mirrors/cpan/authors/id/C/CO/CORION/%{module_name}-%{module_version}.tar.gz

BuildRequires: perl(Class/Accessor.pm)
BuildRequires: perl(Class/Data/Inheritable.pm)
BuildRequires: perl(Exporter.pm)
BuildRequires: perl(ExtUtils/MakeMaker.pm)
BuildRequires: perl(HTTP/Request.pm)
BuildRequires: perl(LWP/Simple.pm)
BuildRequires: perl(Net/Pcap.pm)
BuildRequires: perl(NetPacket/TCP.pm)
BuildArch:  noarch
Source44: import.info

%description
no description found

%prep
%setup -q -n %{module_name}-%{module_version}

%build
%{__perl} Makefile.PL INSTALLMAN1DIR=%_man1dir INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes
%perl_vendor_privlib/*

%changelog
