%define module_name Sort-HashKeys
# BEGIN SourceDeps(oneline):
BuildRequires: libsowing-devel perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(Test/More.pm) perl(XSLoader.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.007
Release: alt4
Summary: Get a sorted-by-key list from a hash
Group: Development/Perl
License: perl
URL: https://github.com/athreef/Sort-HashKeys

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/A/AT/ATHREEF/%{module_name}-%{version}.tar.gz

%description
[13:37:51]  <a3f>_Is there a better way to get a sorted list out of a hash
                        than map { ($_, $versions{$_}) } reverse sort keys @versions
                        or iterating manually?
    [13:39:06]  <a3f>_oh I could provide a compare function to sort and chunk the
                        list two by two..
    [13:40:15]  <haarg>_i'd probably go with the map{} reverse sort keys
    [13:41:04]  <a3f>_I don't like it that it repeats the lookup for all keys.
                        Of course wouldn't matter in practice but still.eI
    [13:43:40]  <haarg>_whatever other solution you find will be slower
    [13:49:05]  <a3f>_put it into a list, pass it to XS, run qsort(3) over it
                        with double the element size. and compare taking only the
                        first part into account. return it back?
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc CHANGES LICENSE README
%perl_vendor_archlib/S*
%perl_vendor_autolib/*

%changelog
