%define module_name Stable-Module
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Archive/Tar.pm) perl(Compress/Zlib.pm) perl(Config.pm) perl(ExtUtils/MakeMaker.pm) perl(Fcntl.pm) perl(File/Basename.pm) perl(File/Copy.pm) perl(File/Path.pm) perl(FindBin.pm) perl(Getopt/Std.pm) perl(Test.pm) perl(strict.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.09
Release: alt1
Summary: frequently used modules on Perl5 application
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/I/IN/INA/Stable/Module/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Stable::Module provides frequently used modules on Perl5 application, on both
modern Perl and traditional Perl.

Stable::Module works as:

  use Cwd             qw(cwd);
  use FindBin         qw($Bin);
  use File::Basename  qw(fileparse basename dirname);
  use File::Path      qw(mkpath rmtree);
  use File::Copy      qw(copy move);
  use File::Compare   qw(compare);
  use Sys::Hostname   qw(hostname);
  use Time::Local     qw(timelocal);
  use List::Util      qw(first shuffle max maxstr min minstr sum);
  use List::MoreUtils qw(all any none notall uniq);
  use feature         qw(say);

fileparse, basename, dirname, mkpath, rmtree, copy, and move can treat multibyte
encoding of path name.
%prep
%setup -q -n %{module_name}-%{version}
#mkdir -p lib
#cp -a Stable lib

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README LICENSE
%perl_vendor_privlib/S*

%changelog
