# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(CPAN.pm) perl(Config.pm) perl(Cwd.pm) perl(Data/Dumper.pm) perl(ExtUtils/MM_Unix.pm) perl(ExtUtils/MakeMaker.pm) perl(ExtUtils/Manifest.pm) perl(Fcntl.pm) perl(File/Basename.pm) perl(File/Find.pm) perl(FileHandle.pm) perl(JSON.pm) perl(LWP/Simple.pm) perl(Module/Build.pm) perl(Net/FTP.pm) perl(Parse/CPAN/Meta.pm) perl(Socket.pm) perl(Test/More.pm) perl(YAML/Tiny.pm) perl(base.pm) perl(overload.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define upstream_name    Stardoc
%define upstream_version 0.18

Name:           perl-%{upstream_name}
Version:        %{upstream_version}
Release:        alt1_12

Summary:        Acmeist Documentation Toolset
License:        GPL+ or Artistic
Group:          Development/Perl
Url:            http://search.cpan.org/dist/%{upstream_name}
Source0:        http://www.cpan.org/modules/by-module/File/%{upstream_name}-%{upstream_version}.tar.gz

BuildArch: noarch
BuildRequires: perl(Mouse.pm)
BuildRequires: perl(inc/Module/Package.pm)
BuildRequires: perl(IO/All.pm)
BuildRequires: perl(Template/Toolkit/Simple.pm)
BuildRequires: perl(YAML/XS.pm)
Source44: import.info


%description
Stardoc is a toolset for making programming documentation easier.

It is intended to one day be a way to write Acmeist documentation. That is,
documentation that you write once, and it works in all programming languages.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%makeinstall_std

%files
%doc Changes README META.yml
%{perl_vendor_privlib}/*



%changelog
