%define module_name Stepford
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Capture/Tiny.pm) perl(Carp.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(List/AllUtils.pm) perl(Log/Dispatch.pm) perl(Log/Dispatch/Array.pm) perl(Log/Dispatch/Null.pm) perl(Memory/Stats.pm) perl(Module/Pluggable/Object.pm) perl(Moose.pm) perl(Moose/Role.pm) perl(Moose/Util/TypeConstraints.pm) perl(MooseX/Params/Validate.pm) perl(MooseX/StrictConstructor.pm) perl(MooseX/Types.pm) perl(MooseX/Types/Combine.pm) perl(MooseX/Types/Common/Numeric.pm) perl(MooseX/Types/Common/String.pm) perl(MooseX/Types/Moose.pm) perl(MooseX/Types/Path/Class.pm) perl(MooseX/Types/Path/Tiny.pm) perl(Parallel/ForkManager.pm) perl(Path/Class.pm) perl(Path/Tiny.pm) perl(Scope/Guard.pm) perl(Test/Differences.pm) perl(Test/Fatal.pm) perl(Test/More.pm) perl(Throwable/Error.pm) perl(Time/HiRes.pm) perl(Try/Tiny.pm)
BuildRequires: perl(autodie.pm) perl(lib.pm) perl(namespace/autoclean.pm) perl(namespace/clean.pm) perl(parent.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.006000
Release: alt1
Summary: A vaguely Rake/Make/Cake-like thing for Perl - create steps and let a runner run them
Group: Development/Perl
License: perl
URL: http://metacpan.org/release/Stepford

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/M/MA/MAXMIND/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
From summary: %summary

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE README.md CONTRIBUTING.md Changes
%perl_vendor_privlib/S*

%changelog
