%define module_name Stow
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(IO/File.pm) perl(IO/Scalar.pm) perl(Module/Build.pm) perl(Test/More.pm) perl(Test/Output.pm) texinfo
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 2.3.1
Release: alt1
Summary: manage the installation of multiple software packages
Group: Development/Perl
License: gpl
URL: https://savannah.gnu.org/projects/stow

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/A/AS/ASPIERS/%{module_name}-v%{version}.tar.gz
BuildArch: noarch

%description
From summary: %summary

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-v%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc AUTHORS INSTALL.md ChangeLog NEWS COPYING THANKS TODO README.md doc
%perl_vendor_privlib/S*

%files scripts
%_man1dir/*
%_bindir/*

%changelog
