# BEGIN SourceDeps(oneline):
BuildRequires: perl(AutoLoader.pm) perl(DynaLoader.pm) perl(Exporter.pm)
# END SourceDeps(oneline)
%define module_version 0.03
%define module_name String-DiffLine
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.03
Release: alt5
Summary: find the character, line, and line position of the first difference in two strings
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/A/AL/ALLEN/%{module_name}-%{module_version}.tar.gz

%description
=over

=item diffline($str1,$str2)

Returns a three-item list identifying the location of the first
difference between the two strings: the character position (indexed
from 0), the line number (indexed from 1), and the character position 
in the current line of the first difference (indexed from 0). 
the section on "$E<sol>" in the perlvar manpage is used as the line separator.

If the strings are identical, the returned list's first element is `undef', 
its second element is the number of lines in the string (i.e., the number of 
line separators plus one), and the last element is the number of characters 
following the last line separator.

=back
%prep
%setup -q -n %{module_name}-String-DiffLine-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README.md LICENSE
%perl_vendor_archlib/S*
%perl_vendor_autolib/*

%changelog
