%define module_name String-Tagged-Terminal
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Convert/Color.pm) perl(Convert/Color/XTerm.pm) perl(Module/Build.pm) perl(String/Tagged.pm) perl(Test/More.pm) perl(constant.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.05
Release: alt1
Summary: format terminal output using C<String::Tagged>
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PE/PEVANS/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This subclass of the String::Tagged manpage provides a method, `build_terminal',
for outputting the formatting tags embedded in the string as terminal escape
sequences, to render the the output in the appropriate style.
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README LICENSE examples
%perl_vendor_privlib/S*

%changelog
