%define module_name String-Validator-Phone-NANP
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(Number/Phone.pm) perl(Pod/Coverage/TrustPod.pm) perl(String/Validator/Common.pm) perl(Test/More.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(base.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 2.00
Release: alt1
Summary: Check a Phone Number (North American Numbering Plan)!
Group: Development/Perl
License: gpl
URL: https://github.com/brainbuz/String-Validator

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/B/BR/BRAINBUZ/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
String::Validator::Phone::NANP is part of the String Validator Collection. It checks a string.against validation rules for phone numbers from countries participating in the North American
Numbering Plan, which includes the United States and Canada.


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes license.txt LICENSE README
%perl_vendor_privlib/S*

%changelog
