%define module_name Struct-Conditional
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Clone.pm) perl(ExtUtils/MakeMaker.pm) perl(Module/Metadata.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.00
Release: alt1
Summary: A Conditional language within a perl struct.
Group: Development/Perl
License: artistic_2
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/L/LN/LNATION/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Quick summary of what the module does.

_use Struct::Conditional;

_my $c = Struct::Conditional->new();

_my $struct = {
__for => {
___key => "countries",
___each => "countries",
___if => {
____m => "Thailand",
____key => "country",
____then => {
_____"rank": 1
____}
___},
___elsif => {
____m => "Indonesia",
____key => "country",
____then => {
_____rank => 2
____}
___},
___else => {
____then => {
_____rank => null
____}
___},
___country => "{country}"
__}
_};

_$struct = $c->compile($struct, {
__countries => [
___{ country => "Thailand" },
___{ country => "Indonesia" },
___{ country => "Japan" },
___{ country => "Cambodia" },
__]
_}, 1);

_...

_{
__countries => [
___{
____rank => 1,
____country => "Thailand"
___},
___{
____rank => 2,
____country => 'Indonesia'
___},
___{
____rank => undef
____country => 'Japan',
___},
___{
____rank => undef,
____country => 'Cambodia'
___}
__]
_};

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README ignore.txt
%perl_vendor_privlib/S*

%changelog
