%define module_name Sub-Multi-Tiny
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Attribute/Handlers.pm) perl(CPAN/Meta.pm) perl(Carp.pm) perl(Config.pm) perl(Cwd.pm) perl(Data/Dumper.pm) perl(Data/PowerSet.pm) perl(Exporter.pm) perl(File/Spec.pm) perl(Guard.pm) perl(IPC/Run3.pm) perl(Import/Into.pm) perl(Module/Build/Tiny.pm) perl(Parse/Yapp.pm) perl(Parse/Yapp/Driver.pm) perl(Scalar/Util.pm) perl(Test/Fatal.pm) perl(Test/More.pm) perl(Text/Balanced.pm) perl(Type/Params.pm) perl(Type/Tiny.pm) perl(Types/Standard.pm) perl(attributes.pm) perl(constant.pm) perl(enum.pm) perl(lib/relative.pm) perl(parent.pm) perl(strict.pm) perl(subs.pm) perl(vars.pm) perl(vars/i.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.000012
Release: alt1
Summary: Multisubs/multimethods (multiple dispatch) yet another way!
Group: Development/Perl
License: perl
URL: https://github.com/cxw42/Sub-Multi-Tiny

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/C/CX/CXW/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Sub::Multi::Tiny is a library for making multisubs, aka multimethods,
aka multiple-dispatch subroutines.

TODO explain: if sub `MakeDispatcher()' exists in the package, it will
be called to create the dispatcher.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.md LICENSE Changes
%perl_vendor_privlib/S*

%changelog
