# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(Hook/AfterRuntime.pm) perl(Moo.pm) perl(Moo/Role.pm) perl(MooX/CaptainHook.pm) perl(Moose.pm) perl(Moose/Role.pm) perl(Moose/Util/MetaRole.pm) perl(MooseX/Role/Parameterized.pm) perl(Sub/Identify.pm) perl(Sub/Talisman.pm) perl(Test/Requires.pm) perl(base.pm)
# END SourceDeps(oneline)
%define module_version 0.004
%define module_name Sub-NonRole
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.004
Release: alt1
Summary: prevent some subs from appearing in a role's API
Group: Development/Perl
License: perl
URL: https://metacpan.org/release/Sub-NonRole

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/T/TO/TOBYINK/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
This module allows you to mark certain subs within a role as not being
part of the role's API. This means that they will not be copied across
into packages which consume the role.

The subs can still be called as:

   My::Role->other_function();
   My::Role::other_function();

It should work with the Role::Tiny manpage, the Moo::Role manpage, the Moose::Role manpage and
the MooseX::Role::Parameterized manpage roles.
%prep
%setup -q -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE COPYRIGHT Changes README
%perl_vendor_privlib/S*

%changelog
