%define module_name Switch-Again
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(Import/Export.pm) perl(Struct/Match.pm) perl(Test/More.pm) perl(base.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.07
Release: alt1
Summary: Switch`ing
Group: Development/Perl
License: artistic_2
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/L/LN/LNATION/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
use Switch::Again qw/switch/;
_my $switch = switch
__'a' => sub {
___return 1;
__},
__'b' => sub {
___return 2;
__},
__'c' => sub {
___return 3;
__},
__'default' => sub {
___return 4;
__}
_;
_my $val = $switch->('a'); # 1

_...

_use Switch::Again qw/all/;
_my $val = switch 'e', 
__sr('(search)', 'replace') => sub {
___return 1;
__},
__qr/(a|b|c|d|e)/ => sub {
___return 2;
__},
__sub { $_[0] == 1 } => sub {
___return 3;
__},
__'default' => sub {
___return 4;
__}
_; # 2

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README ignore.txt
%perl_vendor_privlib/S*

%changelog
