%define module_name Syntax-Keyword-Dynamically
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/CBuilder.pm) perl(Future/AsyncAwait.pm) perl(IO/Async/Loop.pm) perl(Module/Build.pm) perl(Syntax/Keyword/Try.pm) perl(Test/More.pm) perl(XS/Parse/Keyword.pm) perl(XS/Parse/Keyword/Builder.pm) perl(XSLoader.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

# bootstrap loop with Syntax/Keyword* and Future-AsyncAwait
%define _without_test 1
#BuildRequires: perl(Future/AsyncAwait.pm)  perl(Object/Pad.pm)

Name: perl-%module_name
Version: 0.08
Release: alt2
Summary: dynamically change the value of a variable
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PE/PEVANS/%{module_name}-%{version}.tar.gz

%description
This module provides a syntax plugin that implements a single keyword,
`dynamically', which alters the behaviour of a scalar assignment operation.
Syntactically and semantically it is similar to the built-in perl keyword
`local', but is implemented somewhat differently to give two key advantages
over regular `local':

You can `dynamically' assign to lvalue functions and accessors.
You can `dynamically' assign to regular lexical variables.

%prep
%setup -q -n %{module_name}-%{version}

# bootstrap: cyclic dep on Object-Pad
rm t/80dynamically+Object-Pad.t

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE README Changes
%perl_vendor_archlib/S*
%perl_vendor_autolib/*

%changelog
