%define module_name Syntax-Keyword-RawQuote
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Module/Build/Tiny.pm) perl(XSLoader.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.04
Release: alt3
Summary: A raw quote operator for Perl
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/A/AR/ARODLAND/%{module_name}-%{version}.tar.gz

%description
This library provides an absolutely uninterpreted (raw) quote operator for
Perl, as seen in some other programming languages. While Perl single-quoted
strings are nearly uninterpreted, they still treat the sequences `\'' and
`\\' specially, allowing a single quote to be included in the string.
The `q' operator behaves similarly, allowing the closing delimiter to be
backslashed, and treating `\\' as a single backslash. A raw string, in
contrast, treats *every* character literally, and ends at the first
occurrence of the closing delimiter, no matter what.


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README LICENSE
%perl_vendor_archlib/S*
%perl_vendor_autolib/*

%changelog
