%define module_name Syntax-Keyword-Try
# BEGIN SourceDeps(oneline):
BuildRequires: perl(B.pm) perl(ExtUtils/CBuilder.pm) perl(Future/AsyncAwait.pm) perl(Module/Build.pm) perl(Syntax/Keyword/Defer.pm) perl(Test/More.pm) perl(XS/Parse/Keyword.pm) perl(XS/Parse/Keyword/Builder.pm) perl(XSLoader.pm) perl(overload.pm) perl(threads.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

# bootstrap loop with Syntax/Keyword* and Future-AsyncAwait
%define _without_test 1
#BuildRequires: perl(Future/AsyncAwait.pm)

Name: perl-%module_name
Version: 0.25
Release: alt1
Summary: a C<try/catch/finally> syntax for perl
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PE/PEVANS/%{module_name}-%{version}.tar.gz

%description
This module provides a syntax plugin that implements exception-handling
semantics in a form familiar to users of other languages, being built on a
block labeled with the `try' keyword, followed by at least one of a `catch'
or `finally' block.

As well as providing a handy syntax for this useful behaviour, this module
also serves to contain a number of code examples for how to implement parser
plugins and manipulate optrees to provide new syntax and behaviours for perl
code.
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes LICENSE README
%perl_vendor_archlib/S*
%perl_vendor_autolib/*

%changelog
