# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++ libsowing-devel perl(AutoLoader.pm) perl(Config.pm) perl(ExtUtils/MakeMaker.pm) perl(Test/More.pm) perl(XSLoader.pm)
# END SourceDeps(oneline)
%define module_version 0.05
%define module_name Sys-Ibam
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.05
Release: alt6
Summary: Perl extension for the intellegent battery monitor
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/F/FL/FLORA/%{module_name}-%{module_version}.tar.gz
# TODO: fix compilation on other arches
ExclusiveArch:x86_64

%description
Sys::Ibam is a Perl extension for the ingellegent battery monitor by Sebastian
Ritterbusch <Sebastian@Ritterbusch.de>. It uses statistical and adaptive linear
methods to provide accurate estimations of minutes of battery left or of the
time needed until full recharge. It requires /proc/apm or /proc/pmu/.


%prep
%setup -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_archlib/S*
%perl_vendor_autolib/*

%changelog
