Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-TAP-Formatter-JUnit
Version:        0.11
Release:        alt3_19
Summary:        Harness output delegate for JUnit output
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/TAP-Formatter-JUnit
Source0:        https://cpan.metacpan.org/modules/by-module/TAP/TAP-Formatter-JUnit-%{version}.tar.gz
BuildArch:      noarch
# Module Build
BuildRequires:  perl-devel
BuildRequires:  rpm-build-perl
BuildRequires:  perl(Module/Build.pm)
BuildRequires:  perl(strict.pm)
BuildRequires:  perl(warnings.pm)
# Module Runtime
BuildRequires:  perl(File/Path.pm)
BuildRequires:  perl(IO/File.pm)
BuildRequires:  perl(Moose.pm)
BuildRequires:  perl(MooseX/NonMoose.pm)
BuildRequires:  perl(TAP/Formatter/Console.pm)
BuildRequires:  perl(TAP/Formatter/Console/Session.pm)
BuildRequires:  perl(Storable.pm)
BuildRequires:  perl(XML/Generator.pm)
# Script Runtime
BuildRequires:  perl(File/Slurp.pm)
BuildRequires:  perl(Getopt/Long.pm)
BuildRequires:  perl(Pod/Usage.pm)
BuildRequires:  perl(TAP/Parser.pm)
BuildRequires:  perl(TAP/Parser/Aggregator.pm)
# Test Suite
BuildRequires:  perl(File/Spec.pm)
BuildRequires:  perl(IO/Scalar.pm)
BuildRequires:  perl(IPC/Run.pm)
BuildRequires:  perl(TAP/Harness.pm)
BuildRequires:  perl(Test/More.pm)
BuildRequires:  perl(Test/XML.pm)
# Runtime
Requires:       perl(TAP/Formatter/Console.pm)
Requires:       perl(TAP/Formatter/Console/Session.pm)
Source44: import.info

%description
This module provides JUnit output formatting for TAP::Harness (a replacement
for Test::Harness.

%prep
%setup -q -n TAP-Formatter-JUnit-%{version}

%build
perl Build.PL --installdirs=vendor
./Build

%install
./Build install --destdir=$RPM_BUILD_ROOT --create_packlist=0
# %{_fixperms} $RPM_BUILD_ROOT

%check
./Build test

%files
%doc Changes README
%{_bindir}/tap2junit
%{perl_vendor_privlib}/*
%{_mandir}/man1/*

%changelog
