Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-TAP-Harness-JUnit
Version:        0.42
Release:        alt2_19
Summary:        Generate JUnit compatible output from TAP results
License:        GPL+ or Artistic

URL:            https://metacpan.org/release/TAP-Harness-JUnit
Source0:        https://cpan.metacpan.org/authors/id/J/JL/JLAVALLEE/TAP-Harness-JUnit-%{version}.tar.gz
Patch0:         perl-TAP-Harness-JUnit-0.32-ascii.patch

BuildArch:      noarch
BuildRequires:  rpm-build-perl
BuildRequires:  perl(Module/Build.pm)
Requires:       perl(TAP/Harness.pm) >= 3.050
BuildRequires:  perl(File/Temp.pm)
BuildRequires:  perl(Scalar/Util.pm)
BuildRequires:  perl(TAP/Harness.pm)
BuildRequires:  perl(TAP/Parser.pm)
BuildRequires:  perl(XML/Simple.pm)
BuildRequires:  perl(TAP/Harness.pm)
BuildRequires:  perl(Test/More.pm)
BuildRequires:  perl(Test/Deep.pm)
BuildRequires:  perl(Encode.pm)


Source44: import.info

%description
The only difference between this module and TAP::Harness is that this adds
mandatory 'xmlfile' argument, that causes the output to be formatted into
XML in format similar to one that is produced by JUnit testing framework.


%prep
%setup -q -n TAP-Harness-JUnit-%{version}
%patch0 -p1 -b .ascii


%build
/usr/bin/perl Build.PL installdirs=vendor
./Build


%install
./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

# %{_fixperms} $RPM_BUILD_ROOT/*


%check
./Build test || :


%files
%doc README.md
%{perl_vendor_privlib}/*


%changelog
