%define module_name TMDB
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Encode.pm) perl(Encode/CN.pm) perl(Encode/JP.pm) perl(Encode/KR.pm) perl(Encode/TW.pm) perl(HTTP/Tiny.pm) perl(IO/Socket/SSL.pm) perl(JSON/MaybeXS.pm) perl(Locale/Codes.pm) perl(Module/Build.pm) perl(Net/SSLeay.pm) perl(Object/Tiny.pm) perl(Params/Validate.pm) perl(Test/More.pm) perl(URI/Encode.pm) perl(version.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.2.1
Release: alt1
Summary: Perl wrapper for The MovieDB API
Group: Development/Perl
License: perl
URL: https://github.com/mithun/perl-tmdb

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/M/MI/MITHUN/%{module_name}-v%{version}.tar.gz
BuildArch: noarch

%description
From summary: %summary

%prep
%setup -q -n %{module_name}-v%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README LICENSE
%perl_vendor_privlib/T*

%changelog
