# BEGIN SourceDeps(oneline):
BuildRequires: perl(App/pod2pdf.pm) perl(CPAN.pm) perl(CSS/Struct/Output/Raw.pm) perl(Capture/Tiny.pm) perl(Class/Utils.pm) perl(Config.pm) perl(Cwd.pm) perl(English.pm) perl(Error/Pure.pm) perl(ExtUtils/CBuilder.pm) perl(ExtUtils/MakeMaker.pm) perl(Fcntl.pm) perl(File/Basename.pm) perl(File/Find.pm) perl(File/Spec.pm) perl(File/Temp.pm) perl(FileHandle.pm) perl(IO/All.pm) perl(JSON.pm) perl(LWP/Simple.pm) perl(Module/Build.pm) perl(Net/FTP.pm) perl(Parse/CPAN/Meta.pm) perl(Pod/Markdown.pm) perl(Socket.pm) perl(Tags/Output/Raw.pm) perl(Tags/Output/Structure.pm) perl(Test/More.pm) perl(Test/NoWarnings.pm) perl(YAML/Tiny.pm) perl(base.pm)
# END SourceDeps(oneline)
%define module_name Tags-HTML-GradientIndicator
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.02
Release: alt1
Summary: Tags helper for gradient evaluation.
Group: Development/Perl
License: bsd
URL: https://github.com/michal-josef-spacek/Tags-HTML-GradientIndicator

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/S/SK/SKIM/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
use Tags::HTML::GradientIndicator;

 my $obj = Tags::HTML::GradientIndicator->new(%%params);
 $obj->process($stars_hr);
 $obj->process_css;

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes LICENSE README examples
%perl_vendor_privlib/T*

%changelog
