%define module_name Task-Curses-UI
# BEGIN SourceDeps(oneline):
BuildRequires: perl(App/pod2pdf.pm) perl(CPAN.pm) perl(Capture/Tiny.pm) perl(Config.pm) perl(Curses/UI.pm) perl(Curses/UI/AnyEvent.pm) perl(Curses/UI/DelimitedTextViewer.pm) perl(Curses/UI/Grid.pm) perl(Curses/UI/Mousehandler/GPM.pm) perl(Curses/UI/Number.pm) perl(Curses/UI/POE.pm) perl(Curses/UI/Time.pm) perl(Curses/UI/Volume.pm) perl(Cwd.pm) perl(ExtUtils/CBuilder.pm) perl(ExtUtils/MakeMaker.pm) perl(Fcntl.pm) perl(File/Basename.pm) perl(File/Find.pm) perl(File/Spec.pm) perl(File/Temp.pm) perl(FileHandle.pm) perl(IO/All.pm) perl(JSON.pm) perl(LWP/Simple.pm) perl(Module/Build.pm) perl(Net/FTP.pm) perl(Parse/CPAN/Meta.pm) perl(Pod/Markdown.pm) perl(Socket.pm) perl(Test/More.pm) perl(Test/NoWarnings.pm) perl(YAML/Tiny.pm) perl(base.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.04
Release: alt1
Summary: Install the Curses::UI modules.
Group: Development/Perl
License: bsd
URL: https://github.com/michal-josef-spacek/Task-Curses-UI

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/S/SK/SKIM/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
cpanm Task::Curses::UI


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README LICENSE.bsd LICENSE.artistic_2
%perl_vendor_privlib/T*

%changelog
