# BEGIN SourceDeps(oneline):
BuildRequires: perl(App/CPANTS/Lint.pm) perl(Archive/Tar.pm) perl(Archive/Zip.pm) perl(Assert/Conditional.pm) perl(CPAN.pm) perl(CPAN/Reporter.pm) perl(Contextual/Return.pm) perl(Data/Dumper.pm) perl(Data/Dumper/Simple.pm) perl(Data/Printer.pm) perl(DateTime.pm) perl(Devel/Cover.pm) perl(Devel/NYTProf.pm) perl(Devel/StackTrace.pm) perl(Digest/SHA.pm) perl(Dist/Zilla.pm) perl(Encode.pm) perl(Encode/CN.pm) perl(Encode/JP.pm) perl(Encode/KR.pm) perl(Encode/TW.pm) perl(ExtUtils/CBuilder.pm) perl(ExtUtils/MakeMaker.pm) perl(File/HomeDir.pm) perl(File/ShareDir.pm) perl(File/Spec.pm) perl(File/Temp.pm) perl(File/Which.pm) perl(Getopt/Long.pm) perl(IO/Compress/Base.pm) perl(IO/Zlib.pm) perl(Inline.pm) perl(Iterator/Diamond.pm) perl(JSON.pm) perl(Kwalify.pm) perl(LWP.pm) perl(List/MoreUtils.pm) perl(MIME/Base64.pm)
BuildRequires: perl(MIME/Lite.pm) perl(Modern/Perl.pm) perl(Module/CPANTS/Analyse.pm) perl(Module/CoreList.pm) perl(Module/Install.pm) perl(Module/Signature.pm) perl(Module/Starter.pm) perl(Module/Version.pm) perl(Moo.pm) perl(Moose.pm) perl(Mouse.pm) perl(Net/FTP.pm) perl(Params/Check.pm) perl(Parse/CPAN/Meta.pm) perl(Perl/Critic.pm) perl(Perl6/Form.pm) perl(Perl6/Slurp.pm) perl(Readonly.pm) perl(Regexp/Common.pm) perl(Role/Basic.pm) perl(Scalar/Util.pm) perl(Term/ReadKey.pm) perl(Term/ReadLine.pm) perl(Test/Class.pm) perl(Test/Differences.pm) perl(Test/Exception.pm) perl(Test/Fatal.pm) perl(Test/Harness.pm) perl(Test/MinimumVersion.pm) perl(Test/MockModule.pm) perl(Test/More.pm) perl(Test/NoWarnings.pm) perl(Test/Output.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(Test/Portability/Files.pm) perl(Test/Regexp.pm)
BuildRequires: perl(Test/Reporter/Transport/Metabase.pm) perl(Test/Requires.pm) perl(Test/Signature.pm) perl(Test/Simple.pm) perl(Test/Strict.pm) perl(Test/Warn.pm) perl(Test2/Suite.pm) perl(Text/Glob.pm) perl(Try/Tiny.pm) perl(Type/Tiny.pm) perl(YAML.pm) perl(YAML/Syck.pm)
# END SourceDeps(oneline)
%define module_name Task-Devel-Essentials
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.015
Release: alt1
Summary: Bundle of modules useful for developers
Group: Development/Perl
License: artistic_2
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/M/MH/MHASCH/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
# to install a couple of modules useful for developers in one go,
  # execute one of the commands below:

  cpan Task::Devel::Essentials
  cpanm Task::Devel::Essentials
  cpanp i Task::Devel::Essentials

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README LICENSE Changes
%perl_vendor_privlib/T*

%changelog
