Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-Task-Kensho-Testing
Version:        0.40
Release:        alt2_9
Summary:        A Glimpse at an Enlightened Perl (Testing)
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Task-Kensho-Testing
Source0:        https://cpan.metacpan.org/authors/id/E/ET/ETHER/Task-Kensho-Testing-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  rpm-build-perl
BuildRequires:  perl-devel
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(strict.pm)
BuildRequires:  perl(warnings.pm)
# Run-time:
# No run-time dependencies are used at tests.
# Tests:
BuildRequires:  perl(File/Spec.pm)
BuildRequires:  perl(Test/More.pm)
Requires:       perl(Devel/Cover.pm)
Requires:       perl(Test/Deep.pm)
Requires:       perl(Test/Fatal.pm)
Requires:       perl(Test/Memory/Cycle.pm)
Requires:       perl(Test/Pod.pm)
Requires:       perl(Test/Pod/Coverage.pm)
Requires:       perl(Test/Requires.pm)
Requires:       perl(Test/Simple.pm)
Requires:       perl(Test/Warnings.pm)


Source44: import.info

%description
Task::Kensho is a list of recommended modules for Enlightened Perl
development. CPAN is wonderful, but there are too many wheels and you have
to pick and choose amongst the various competing technologies.

%prep
%setup -q -n Task-Kensho-Testing-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
%make_build

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
# %{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc --no-dereference LICENCE
%doc Changes README
%{perl_vendor_privlib}/*

%changelog
