%define module_version 0.09
%define module_name Task-PYX
# BEGIN SourceDeps(oneline):
BuildRequires: perl(App/PYX2XML.pm) perl(App/pod2pdf.pm) perl(CPAN.pm) perl(Config.pm) perl(Cwd.pm) perl(ExtUtils/MakeMaker.pm) perl(Fcntl.pm) perl(File/Basename.pm) perl(File/Find.pm) perl(File/Spec.pm) perl(File/Temp.pm) perl(FileHandle.pm) perl(JSON.pm) perl(LWP/Simple.pm) perl(Module/Build.pm) perl(Net/FTP.pm) perl(PYX.pm) perl(PYX/GraphViz.pm) perl(PYX/Hist.pm) perl(PYX/SGML/Raw.pm) perl(PYX/SGML/Tags.pm) perl(PYX/Sort.pm) perl(PYX/Stack.pm) perl(PYX/Utils.pm) perl(PYX/XMLNorm.pm) perl(PYX/XMLSchema/List.pm) perl(Parse/CPAN/Meta.pm) perl(Socket.pm) perl(Tags/Output/PYX.pm) perl(Test/More.pm) perl(Test/NoWarnings.pm) perl(XML/MinWriter.pm) perl(XML/PYX.pm) perl(YAML/Tiny.pm) perl(base.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.09
Release: alt1
Summary: Install the PYX modules.
Group: Development/Perl
License: bsd
URL: https://github.com/tupinek/Task-PYX

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/S/SK/SKIM/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
cpanm Task::PYX


%prep
%setup -q -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE README Changes
%perl_vendor_privlib/T*

%changelog
