# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(Scalar/Util.pm) perl(base.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define upstream_name    Template-DBI
%define upstream_version 2.65

Name: 		perl-%{upstream_name}
Version: 	%{upstream_version}
Release: 	alt2_9

Summary: 	Template interface to the DBI module
License:	Artistic/GPL
Group:		Development/Perl
URL:		http://www.template-toolkit.org
Source0:	http://www.cpan.org/modules/by-module/Template/%{upstream_name}-%{upstream_version}.tar.gz


BuildRequires:	perl(DBI.pm)
BuildRequires:	perl(Template.pm)

BuildArch:	noarch
Requires:	perl(Template.pm)
Source44: import.info

%description
The Template-DBI distribution contains the DBI plugin for the Template
Toolkit. At some point in the future it is likely to contain other
DBI-related plugins and extension modules for the Template Toolkit.

The DBI plugin was distributed as part of the Template Toolkit until
version 2.15 released in May 2006. At this time it was extracted into
this separate Template-DBI distribution.


%prep
%setup -q -n %{upstream_name}-%{upstream_version}

/usr/bin/perl Makefile.PL INSTALLDIRS=vendor <<EOF
EOF
%make

##%check
##make test

%install
%makeinstall_std

%files
%doc README META.yml
%{perl_vendor_privlib}/Template

%changelog
