%define module_name Template-LiquidX-Tidy
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(Getopt/Long.pm) perl(Pod/Usage.pm) perl(Template/Liquid.pm) perl(Template/Liquid/Tag.pm) perl(Template/Liquid/Tag/Case.pm) perl(Template/Liquid/Tag/If.pm) perl(Template/Liquid/Utility.pm) perl(Test/More.pm) perl(Test/Most.pm) perl(Test/Output.pm) perl(base.pm) perl(experimental.pm) perl(ok.pm) perl(strict.pm) perl(vars.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.02
Release: alt1
Summary: Indentation for Liquid template documents
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/A/AN/ANEI/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
The LiquidX::Tidy module enhances a parsed Template::Liquid::Document
with a method to indent the document source code according to some
options.

You can also use the command line client the liquid_tidy manpage to indent your
template source codes.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %EVR

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE README
%perl_vendor_privlib/T*
%perl_vendor_privlib/A*

%files scripts
%_man1dir/*
%_bindir/*

%changelog
