%define module_name Template-Mustache
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(Escape/Houdini.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(File/Temp.pm) perl(GraphViz/Parse/RecDescent.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(List/AllUtils.pm) perl(Math/BigFloat.pm) perl(Moo.pm) perl(Moose.pm) perl(Moose/Role.pm) perl(MooseX/MungeHas.pm) perl(Parse/RecDescent.pm) perl(Path/Tiny.pm) perl(Scalar/Util.pm) perl(Test/Exception.pm) perl(Test/More.pm) perl(Test/Requires.pm) perl(Test2/V0.pm) perl(Text/Balanced.pm) perl(YAML/XS.pm) perl(autodie.pm) perl(base.pm) perl(strict.pm) perl(vars.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.3.3
Release: alt1
Summary: Drawing Mustaches on Perl for fun and profit
Group: Development/Perl
License: perl
URL: https://github.com/yanick/Template-Mustache

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/Y/YA/YANICK/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
%summary

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README.mkdn LICENSE CONTRIBUTORS CODE_OF_CONDUCT.md
%perl_vendor_privlib/T*

%files scripts
%_man1dir/*
%_bindir/*

%changelog
