%define module_name Template-Perlish
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Data/Dumper.pm) perl(Encode.pm) perl(English.pm) perl(Fatal.pm) perl(File/Spec/Functions.pm) perl(FindBin.pm) perl(Module/Build/Tiny.pm) perl(Pod/Usage.pm) perl(Scalar/Util.pm) perl(Storable.pm) perl(Test/More.pm) perl(Test/Pod.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.54
Release: alt1
Summary: Yet Another Templating system for Perl
Group: Development/Perl
License: artistic_2
URL: https://github.com/polettix/Template-Perlish

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PO/POLETTIX/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
%summary

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.tptree README Changes LICENSE
%perl_vendor_privlib/T*

%files scripts
%_man1dir/*
%_bindir/*

%changelog
