Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Carp.pm) perl(base.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-Template-Plugin-Class
Version:        0.14
Release:        alt2_33
Summary:        Allow calling of class methods on arbitrary classes
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Template-Plugin-Class
Source0:        https://cpan.metacpan.org/authors/id/R/RC/RCLAMP/Template-Plugin-Class-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  rpm-build-perl
BuildRequires:  perl(Template/Plugin.pm), perl(Module/Build.pm), perl(Test/More.pm)
Requires:       perl(Template/Plugin.pm)
Source44: import.info

%description
%{summary}.

%prep
%setup -q -n Template-Plugin-Class-%{version}

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install
make install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*

%check
make test

%files
%doc Changes
%{perl_vendor_privlib}/Template/


%changelog
