# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(HTML/Template.pm) perl(Template.pm) perl(Text/MicroTemplate/File.pm) perl(Text/Pipe.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define upstream_name    Template-Semantic
%define upstream_version 0.10

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %{upstream_version}
Release:    alt1_1

Summary:    Template::Semantic Recipes, tricks, hints
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Template/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils/MakeMaker.pm)
BuildRequires: perl(HTML/Selector/XPath.pm)
BuildRequires: perl(Module/Build/Tiny.pm)
BuildRequires: perl(Scalar/Util.pm)
BuildRequires: perl(Test/Base.pm)
BuildRequires: perl(Test/More.pm)
BuildRequires: perl(Test/Requires.pm)
BuildRequires: perl(XML/LibXML.pm)
BuildArch:  noarch
Source44: import.info

%description
Template::Semantic is a template engine for XHTML/XML based on the
XML::LibXML manpage that doesn't use any template syntax. This module takes
pure XHTML/XML as a template, and uses XPath or CSS selectors to assign
values.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}


%build
/usr/bin/perl Build.PL INSTALLDIRS=vendor
./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot} --prefix=/usr
mv %buildroot%_datadir/perl/5* %buildroot%perl_vendor_privlib

%files
%doc Changes LICENSE META.json META.yml 
%perl_vendor_privlib/*


%changelog
