%define module_name Term-Scroller
# BEGIN SourceDeps(oneline):
BuildRequires: /dev/pts perl(Encode/Locale.pm) perl(Exporter.pm) perl(IO/Handle.pm) perl(IO/Pty.pm) perl(List/Util.pm) perl(Module/Build.pm) perl(Pod/Usage.pm) perl(Scalar/Util.pm) perl(Symbol.pm) perl(Term/ReadKey.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.2
Release: alt1
Summary: Display text in a scrolling viewport in your terminal
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/C/CA/CAMTAUXE/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Term::Scroller provides you with a way to view a large stream of text
inside a small, scrolling viewport on your terminal. The size and borders of
the viewport/window can be customized along with a number of other control
options.

For a command-line program that uses this to display the output of commands
see the scroller manpage.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %EVR

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.md Changes
%perl_vendor_privlib/T*

%files scripts
%_man1dir/*
%_bindir/*

%changelog
