# BEGIN SourceDeps(oneline):
BuildRequires: libncurses-devel libtinfo-devel perl(ExtUtils/CBuilder.pm) perl(ExtUtils/CChecker.pm) perl(Module/Build.pm) perl(Module/Build/Using/PkgConfig.pm) perl(Test/More.pm) perl(XSLoader.pm)
# END SourceDeps(oneline)
%define module_name Term-Terminfo
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.09
Release: alt3
Summary: access the F<terminfo> database
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PE/PEVANS/%{module_name}-%{version}.tar.gz

%description
Objects in this class provide access to terminfo database entires.

This database provides information about a terminal, in three separate sets of
capabilities. Flag capabilities indicate the presence of a particular ability,
feature, or bug simply by their presence. Number capabilities give the size,
count or other numeric detail of some feature of the terminal. String
capabilities are usually control strings that the terminal will recognise, or
send.

Capabilities each have two names; a short name called the capname, and a
longer name called the varname. This class provides two sets of methods, one
that works on capnames, one that work on varnames.

This module optionally uses unibilium to access the the terminfo(5) manpage
database, if it is available at compile-time. If not, it will use
<term.h> and -lcurses. For more detail, see the the SEE ALSO entry elsewhere in this document section
below.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README LICENSE
%perl_vendor_archlib/T*
%perl_vendor_autolib/*

%changelog
