# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define upstream_name    Term-Twiddle
%define upstream_version 2.73

Name:       perl-%{upstream_name}
Version:    %{upstream_version}
Release:    alt2_9

Summary:    Twiddles baton while-u-wait for long subrout
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Term/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils/MakeMaker.pm)
BuildRequires: perl(Time/HiRes.pm)
BuildArch:  noarch
Source44: import.info

%description
Always fascinated by the spinner during FreeBSD's loader bootstrap, I
wanted to capture it so I could view it any time I wanted to--and I wanted
to make other people find that same joy I did. Now, anytime you or your
users have to wait for something to finish, instead of twiddling their
thumbs, they can watch the computer twiddle its thumbs.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test </dev/null

%install
%makeinstall_std

%files
%doc Changes META.yml  README
%perl_vendor_privlib/*

%changelog
