%define module_name Test-BDD-Cucumber
%set_perl_req_method relaxed
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Data/Perl/Role/Collection/Array.pm) perl(Digest/SHA.pm) perl(Encode.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Copy/Recursive.pm) perl(File/Find/Rule.pm) perl(File/Slurp.pm) perl(FindBin/libs.pm) perl(IO/Scalar.pm) perl(JSON/MaybeXS.pm) perl(List/Util.pm) perl(Module/Runtime.pm) perl(Moo.pm) perl(MooX/HandlesVia.pm) perl(Path/Class.pm) perl(Path/Tiny.pm) perl(Pod/Usage.pm) perl(TAP/Parser/Iterator.pm) perl(TAP/Parser/SourceHandler.pm) perl(Term/ANSIColor.pm) perl(Test/Differences.pm) perl(Test/Exception.pm) perl(Test/More.pm) perl(Test/Pod.pm) perl(Test2/API.pm) perl(Test2/Tools/Basic.pm) perl(Types/Standard.pm) perl(YAML.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.81
Release: alt1
Summary: Feature-complete Cucumber-style testing in Perl
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/E/EH/EHUELS/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
From summary: %summary

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build INSTALLMAN1DIR=%_man1dir

%install
%perl_vendor_install

%files
%doc CHANGES LICENSE README.pod examples
%perl_vendor_privlib/A*
%perl_vendor_privlib/T*

%files scripts
%_man1dir/*
%_bindir/*

%changelog
