%define module_name Test-DB
# BEGIN SourceDeps(oneline):
BuildRequires: perl(DBD/ODBC.pm) perl(DBD/Pg.pm) perl(DBD/SQLite.pm) perl(DBD/mysql.pm) perl(DBI.pm) perl(Data/Object/Class.pm) perl(Data/Object/ClassHas.pm) perl(Data/Object/Role/Buildable.pm) perl(Data/Object/Role/Immutable.pm) perl(Data/Object/Role/Stashable.pm) perl(ExtUtils/MakeMaker.pm) perl(Test/Auto.pm) perl(routines.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.07
Release: alt1
Summary: Temporary Databases for Testing
Group: Development/Perl
License: perl
URL: https://metacpan.org/release/Test-DB

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/A/AW/AWNCORP/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This package provides a framework for setting up and tearing down temporary
databases for testing purposes. This framework requires a user (optionally with
password) which has the ability to create new databases and works by creating
test-specific databases owned by the user specified.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE README README.md CHANGES examples
%perl_vendor_privlib/T*

%changelog
