Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-Test-Dependencies
Version:        0.30
Release:        alt2_3
# see lib/Test/Dependencies.pm
License:        GPL+ or Artistic
Summary:        Ensure that your Makefile.PL specifies all module dependencies
Source:         https://cpan.metacpan.org/authors/id/E/EH/EHUELS/Test-Dependencies-%{version}.tar.gz
Url:            https://metacpan.org/release/Test-Dependencies
BuildArch:      noarch
BuildRequires:  coreutils
BuildRequires:  rpm-build-perl
BuildRequires:  perl-devel
BuildRequires:  perl(CPAN/Meta/Requirements.pm)
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(Module/Metadata.pm)
BuildRequires:  perl(strict.pm)
BuildRequires:  perl(warnings.pm)
# Run-time:
BuildRequires:  perl(base.pm)
BuildRequires:  perl(Carp.pm)
BuildRequires:  perl(CPAN/Meta.pm)
BuildRequires:  perl(File/Find/Rule/Perl.pm)
BuildRequires:  perl(Module/CoreList.pm)
BuildRequires:  perl(parent.pm)
BuildRequires:  perl(Pod/Strip.pm)
BuildRequires:  perl(Test/Builder/Module.pm)
# Tests:
BuildRequires:  perl(Test/Builder/Tester.pm)
BuildRequires:  perl(Test/More.pm)
BuildRequires:  perl(Test/Needs.pm)
Source44: import.info

%description
Makes sure that all of the modules that are 'use'd are listed in the
Makefile.PL as dependencies.

It has two styles: light, which is fast but confusable; and heavy, which takes
more time but is more accurate.

%prep
%setup -q -n Test-Dependencies-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}

%install
%{makeinstall_std}
# %{_fixperms} -c %{buildroot}/*

%check
make test

%files
%doc --no-dereference LICENSE
%doc README README.md Changes
%{perl_vendor_privlib}/*

%changelog
