Group: Development/Perl
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-Test-Dist-VersionSync
Version:        1.2.0
Release:        alt2_14
Summary:        Verify that all the modules in a distribution have the same version number
License:        GPL+ or Artistic

URL:            https://metacpan.org/release/Test-Dist-VersionSync
Source0:        https://cpan.metacpan.org/authors/id/A/AU/AUBERTG/Test-Dist-VersionSync-v%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl-devel
BuildRequires:  rpm-build-perl
BuildRequires:  perl(Carp.pm)
BuildRequires:  perl(Module/Build.pm)
BuildRequires:  perl(Test/Builder/Tester.pm)
BuildRequires:  perl(Test/FailWarnings.pm)
BuildRequires:  perl(Test/More.pm)


Source44: import.info

%description
The Test-Dist-VersionSync gives perl developers an easy way to verify that all
the modules in a distribution have the same version number.

%prep
%setup -q -n Test-Dist-VersionSync-v%{version}

%build
/usr/bin/perl Build.PL installdirs=vendor
./Build

%install
./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
# %{_fixperms} $RPM_BUILD_ROOT/*

%check
./Build test

%files
%doc Changes README.md
%doc --no-dereference LICENSE
%{perl_vendor_privlib}/Test*

%changelog
