%define module_name Test-FITesque-RDF
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Algorithm/Combinatorics.pm) perl(Attean.pm) perl(CGI.pm) perl(Data/Perl/Role/Collection/Hash.pm) perl(Data/UUID.pm) perl(DateTime/Format/W3CDTF.pm) perl(Digest/SHA.pm) perl(ExtUtils/MakeMaker.pm) perl(FindBin.pm) perl(HTTP/Message.pm) perl(HTTP/Request/AsCGI.pm) perl(I18N/LangTags.pm) perl(LWP/UserAgent.pm) perl(Math/Cartesian/Product.pm) perl(Moo.pm) perl(MooX/Log/Any.pm) perl(Path/Tiny.pm) perl(RDF/NS/Curated.pm) perl(RDF/Prefixes.pm) perl(Set/Scalar.pm) perl(Test/Deep.pm) perl(Test/FITesque.pm) perl(Test/HTTP/LocalServer.pm) perl(Test/Modern.pm) perl(Test/More.pm) perl(Try/Tiny.pm) perl(Types/Path/Tiny.pm) perl(Types/Standard.pm) perl(Types/URI.pm) perl(URI/NamespaceMap.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.018
Release: alt1
Summary: Formulate Test::FITesque fixture tables in RDF
Group: Development/Perl
License: mit
URL: https://metacpan.org/release/Test-FITesque-RDF

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/K/KJ/KJETILK/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This module enables the use of Resource Description Framework to
describe fixture tables. It will take the filename of an RDF file and
return a the Test::FITesque::Suite manpage object that can be used to run
tests.

The RDF serves to identify the implementation of certain fixtures, and
can also supply parameters that can be used by the tests, e.g. input
parameters or expectations. See the Test::FITesque manpage for more on how the
fixtures are implemented.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.md LICENSE Changes CREDITS README COPYRIGHT
%perl_vendor_privlib/T*

%changelog
