Group: Development/Perl
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Module/Build.pm) perl(base.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-Test-JSON
Summary:        Test JSON data
Version:        0.11
Release:        alt3_31
License:        GPL+ or Artistic

Source0:        https://cpan.metacpan.org/authors/id/O/OV/OVID/Test-JSON-%{version}.tar.gz
URL:            https://metacpan.org/release/Test-JSON

BuildArch:      noarch

BuildRequires:  rpm-build-perl
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(JSON/Any.pm)
BuildRequires:  perl(Test/Differences.pm)
BuildRequires:  perl(Test/Pod.pm)
BuildRequires:  perl(Test/Simple.pm)
BuildRequires:  perl(Test/Tester.pm)

Requires:       perl(JSON/Any.pm) >= 1.200
Requires:       perl(Test/Differences.pm) >= 0.470
Requires:       perl(Test/Tester.pm) >= 0.107


%{?perl_default_subpackage_tests}
Source44: import.info

%description
JavaScript Object Notation (JSON) is a lightweight data interchange format.
Test::JSON makes it easy to verify that you have built valid JSON and that
it matches your expected output.

%prep
%setup -q -n Test-JSON-%{version}

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
%make_build

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
# %{_fixperms} $RPM_BUILD_ROOT/*

%check
make test


%files
%doc Changes README
%{perl_vendor_privlib}/Test*

%changelog
