# BEGIN SourceDeps(oneline):
BuildRequires: perl(Config.pm) perl(ExtUtils/MakeMaker.pm) perl(Mango.pm) perl(Mango/BSON.pm) perl(Mango/BSON/ObjectID.pm) perl(Test/Exception.pm) perl(Test/More.pm) perl(Test/Spec.pm)
# END SourceDeps(oneline)
%define module_version 0.04
%define module_name Test-Mock-Mango
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.04
Release: alt1
Summary: Simple stubbing for Mango to allow unit tests for code that uses it
Group: Development/Perl
License: artistic_2
URL: http://github.com/necrophonic/test-mock-mango

Source0: http://cpan.org.ua/authors/id/J/JG/JGREGORY/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
Simple stubbing of mango methods. Methods ignore actual queries being entered and
simply return the data set in the FakeData object. To run a test you need to set
up the data you expect back first - this module doesn't test your queries, it allows
you to test around mango calls with known conditions.



%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes LICENSE README.pod
%perl_vendor_privlib/T*

%changelog
