Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Net/FTP.pm) perl(Test/Class.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-Test-Module-Used
Version:        0.2.6
Release:        alt2_19
Summary:        Test required module is really used and vice versa between lib/t and META.yml
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Test-Module-Used
Source0:        https://cpan.metacpan.org/authors/id/T/TS/TSUCCHI/Test-Module-Used-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl-devel
BuildRequires:  rpm-build-perl
BuildRequires:  perl(File/Basename.pm)
BuildRequires:  perl(File/Copy.pm)
BuildRequires:  perl(File/Spec.pm)
BuildRequires:  perl(Module/Build.pm)
BuildRequires:  perl(strict.pm)
BuildRequires:  perl(utf8.pm)
BuildRequires:  perl(warnings.pm)
# Run-Time:
BuildRequires:  perl(base.pm)
BuildRequires:  perl(Carp.pm)
BuildRequires:  perl(CPAN/Meta.pm)
BuildRequires:  perl(Exporter.pm)
BuildRequires:  perl(File/Find.pm)
BuildRequires:  perl(File/Spec/Functions.pm)
BuildRequires:  perl(List/MoreUtils.pm)
BuildRequires:  perl(Module/CoreList.pm)
BuildRequires:  perl(Module/Used.pm)
BuildRequires:  perl(PPI/Document.pm)
BuildRequires:  perl(Test/Builder.pm)
BuildRequires:  perl(version.pm)
# Tests:
BuildRequires:  perl(Test/Builder/Tester.pm)
BuildRequires:  perl(Test/More.pm)
Requires:       perl(version.pm) >= 0.770

# Remove under-specified depepndencies

Source44: import.info
%filter_from_requires /^perl(version.pm)/d

%description
This module reads META.yml and gets build_requires and requires. It compares
required module is really used and used module is really required.

%prep
%setup -q -n Test-Module-Used-%{version}
find -type f -exec chmod -x {} +

%build
perl Build.PL installdirs=vendor
./Build

%install
./Build install destdir=%{buildroot} create_packlist=0
# %{_fixperms} %{buildroot}/*

%check
./Build test

%files
%doc Changes LICENSE README.md
%{perl_vendor_privlib}/*

%changelog
