# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(Test/More.pm) perl(XSLoader.pm)
# END SourceDeps(oneline)
%define module_version 0.01
%define module_name Test-NoState
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.01
Release: alt5
Summary: Disable 'state' keyword statelessness
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/R/RA/RANDIR/%{module_name}-%{module_version}.tar.gz

%description
This module makes all state variables behave as if they were
my variables. This can be useful for testing, when you cache
some data in your application, but want to get fresh values on each
test iteration.

The effect of the `Test::NoState' is global. But only variable declarations
compiled after it is loaded are affected.
%prep
%setup -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_archlib/T*
%perl_vendor_autolib/*

%changelog
