%define module_name Test-OpenTracing-Interface
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(ExtUtils/MakeMaker/CPANfile.pm) perl(Moo.pm) perl(PerlX/Maybe.pm) perl(Ref/Util.pm) perl(Scalar/Util.pm) perl(Test/Builder.pm) perl(Test/Builder/Tester.pm) perl(Test/Most.pm) perl(Types/Standard.pm) perl(syntax.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.23.0
Release: alt1
Summary: Test OpenTracing::Interface compliance
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/V/VA/VANHOESEL/%{module_name}-v%{version}.tar.gz
BuildArch: noarch

%description
This package contains mutiple tests that can be used for proving compliance with
the the OpenTracing::Interface manpage API definition. That definition is written as POD
documentation. It allows any developer - conform TIMTOWDI - to write their own
implementation, with their own prefered tools and technology. However, to ensure
that such implementations will work with the OpenTracing::Implementation manpage and the
the OpenTracing::GlobalTracer manpage, any implementation should run the tests provided
here.

%prep
%setup -q -n %{module_name}-v%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE.md CHANGES README.md
%perl_vendor_privlib/T*

%changelog
