%define module_name Test-PDL
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Capture/Tiny.pm) perl(Encode.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(List/MoreUtils.pm) perl(PDL.pm) perl(PDL/Core.pm) perl(PDL/Lite.pm) perl(PDL/Types.pm) perl(Pod/Coverage/TrustPod.pm) perl(Test/Builder.pm) perl(Test/Builder/Tester.pm) perl(Test/CPAN/Changes.pm) perl(Test/Deep.pm) perl(Test/Deep/Cmp.pm) perl(Test/Exception.pm) perl(Test/More.pm) perl(Test/NoWarnings.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(Test/Version.pm) perl(base.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.16
Release: alt1
Summary: Test Perl Data Language arrays (a.k.a. piddles) for equality
Group: Development/Perl
License: perl
URL: https://github.com/ebaudrez/Test-PDL

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/E/ET/ETJ/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
With Test::PDL, you can compare two piddles for equality. The comparison is
performed as thoroughly as possible, comparing types, dimensions, bad value
patterns, and finally the values themselves. The exact behaviour can be
configured by setting certain options (see set_options() and %%OPTIONS below).
Test::PDL is mostly useful in test scripts.

Test::PDL is to be used with the Perl Data Language (the PDL manpage).

By default, Test::PDL exports only one function: is_pdl(). The other functions
are exported on demand only. The export tag `:deep' exports test_pdl() and one
function for each PDL type constructor (like short(), double(), etc.), prefixed
with `test_': test_short(), test_double(), ...

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes LICENSE
%perl_vendor_privlib/T*

%changelog
