# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Config.pm) perl(Data/Dumper.pm) perl(ExtUtils/MakeMaker.pm) perl(Pod/Usage.pm) perl(Test/More.pm) perl(base.pm) perl(fields.pm) perl-devel perl-podlators
# END SourceDeps(oneline)
%define module  Test-Parser

Name:           perl-%{module}
Version:        1.9
Release:        alt5_6
Summary:        Base class for parsing log files from test runs, and displays in an XML syntax 
License:        GPL or Artistic
Group:          Development/Perl
URL:            http://search.cpan.org/dist/%{module}
Source:         http://www.cpan.org/modules/by-module/Test/%{module}-%{version}.tar.gz

BuildRequires:  perl(XML/Simple.pm)
BuildRequires:  perl(XML/Twig.pm)
Source44: import.info


%description 
This module serves as a common base class for test log parsers. These tools are
intended to be able to parse output from a wide variety of tests - including
non-Perl tests.

The parsers also write the test data into the 'Test Result Publication
Interface' (TRPI) XML schema, developed by SpikeSource.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLMAN1DIR=%_man1dir INSTALLDIRS=vendor
%make

%install
%makeinstall_std

%check
%make test

%files
%doc ChangeLog INSTALL README META.yml
%{perl_vendor_privlib}/Test
%{_mandir}/*/*
%{_bindir}/*

%changelog
