Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-Test-Pod-Spelling-CommonMistakes
Version:        1.001
Release:        alt2_20
Summary:        Checks POD for common spelling mistakes
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Test-Pod-Spelling-CommonMistakes
Source0:        https://cpan.metacpan.org/authors/id/A/AP/APOCAL/Test-Pod-Spelling-CommonMistakes-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  rpm-build-perl
BuildRequires:  perl-devel
BuildRequires:  perl(Module/Build/Tiny.pm)
BuildRequires:  perl(strict.pm)
BuildRequires:  perl(warnings.pm)
# Run-time:
BuildRequires:  perl(Exporter.pm)
BuildRequires:  perl(parent.pm)
BuildRequires:  perl(Pod/Spell/CommonMistakes.pm)
BuildRequires:  perl(Test/Builder.pm)
BuildRequires:  perl(Test/Pod.pm)
# Tests:
BuildRequires:  perl(blib.pm)
BuildRequires:  perl(File/Spec.pm)
BuildRequires:  perl(File/Temp.pm)
BuildRequires:  perl(IO/Handle.pm)
BuildRequires:  perl(IPC/Open3.pm)
BuildRequires:  perl(Test/More.pm)
Source44: import.info

%description
This module checks your POD for common spelling errors. This differs from
Test::Spelling because it doesn't use your system spellchecker and instead
uses Pod::Spell::CommonMistakes for the heavy lifting. Using it is the same
as any standard Test::* module, as seen here.

%prep
%setup -q -n Test-Pod-Spelling-CommonMistakes-%{version}

%build
perl Build.PL --installdirs=vendor
./Build

%install
./Build install "--destdir=$RPM_BUILD_ROOT" --create_packlist=0
# %{_fixperms} $RPM_BUILD_ROOT/*

%check
./Build test

%files
%doc --no-dereference LICENSE
%doc Changes CommitLog examples README
%{perl_vendor_privlib}/*

%changelog
