%define module_name Test-PostgreSQL
# BEGIN SourceDeps(oneline):
BuildRequires: perl(DBD/Pg.pm) perl(DBI.pm) perl(File/Spec.pm) perl(File/Which.pm) perl(Function/Parameters.pm) perl(Module/Build/Tiny.pm) perl(Moo.pm) perl(POSIX.pm) perl(Test/SharedFork.pm) perl(Tie/Hash/Method.pm) perl(Try/Tiny.pm) perl(Types/Standard.pm) perl(User/pwent.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.28
Release: alt1
Summary: PostgreSQL runner for tests
Group: Development/Perl
License: artistic_2
URL: https://github.com/TJC/Test-postgresql

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/T/TJ/TJC/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
`Test::PostgreSQL' automatically setups a PostgreSQL instance in a temporary
directory, and destroys it when the perl script exits.

This module is a fork of Test::postgresql, which was abandoned by its author
several years ago.


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE README.md Changes
%perl_vendor_privlib/T*

%changelog
