Group: Development/Perl
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-Test-SQL-Data
Version:        0.0.6
Release:        alt2_12
Summary:        Helps running SQL tests: database preparing and result matching
License:        GPL+ or Artistic
URL:            https://github.com/frankiejol/Test-SQL-Data
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  rpm-build-perl
BuildRequires:  perl-devel
BuildRequires:  perl(Carp.pm)
BuildRequires:  perl(DBIx/Connector.pm)
BuildRequires:  perl(DBD/SQLite.pm)
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(File/Path.pm)
BuildRequires:  perl(strict.pm)
BuildRequires:  perl(Test/More.pm)
BuildRequires:  perl(Test/Perl/Critic.pm)
BuildRequires:  perl(Test/Pod/Coverage.pm)
BuildRequires:  perl(Test/Pod.pm)
BuildRequires:  perl(version.pm)
BuildRequires:  perl(warnings.pm)
BuildRequires:  perl(YAML.pm)
Requires:       perl(DBIx/Connector.pm) >= 0.4.5
Requires:       perl(DBD/SQLite.pm) >= 1.200
Source44: import.info

%description
The purpose of Test::SQL::Data is to give your module a clean database to
work with. When the module loads it prepares the database. You can have it
empty or pre-load some SQL code before running your tests. Then you can use
the module again to check if your expected results match the contents of
the tables of the database.

%prep
%setup -q -n Test-SQL-Data-%{version}


%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
%make_build

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
# %{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc INSTALL.md README.md
%{perl_vendor_privlib}/*

%changelog
