%define module_name Test-Tdd
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Class/Refresh.pm) perl(Cwd.pm) perl(Data/Dumper.pm) perl(Devel/Peek.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Basename.pm) perl(File/Find.pm) perl(File/Path.pm) perl(File/Slurp.pm) perl(File/Spec.pm) perl(Filesys/Notify/Simple.pm) perl(Getopt/Long.pm) perl(Moose.pm) perl(Term/ANSIColor.pm) perl(Test/Differences.pm) perl(Test/More.pm) perl(Test/Spec.pm) perl(lib.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.007
Release: alt1
Summary: run tests continuously, detecting changes
Group: Development/Perl
License: perl
URL: https://github.com/rogeriochaves/perl-tdd-runner

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/R/RC/RCHAVES/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
You can run the tests using `provetdd'

    provetdd t/path/to/Test.t

You can also specify paths to add to INC and specific paths to watch

    provetdd -Ilib --watch lib/path,lib/path2 t/path/to/Test.t

You can all run all tests in a folder

    provetdd t/

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %EVR

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.md README LICENSE example
%perl_vendor_privlib/T*

%files scripts
%_bindir/*

%changelog
