Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-Test-Type
Version:        1.3.0
Release:        alt2_14
Summary:        Functions to validate data types in test files
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Test-Type
Source0:        https://cpan.metacpan.org/authors/id/A/AU/AUBERTG/Test-Type-v%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl-devel
BuildRequires:  rpm-build-perl
BuildRequires:  perl(Carp.pm)
BuildRequires:  perl(Data/Validate/Type.pm)
BuildRequires:  perl(Exporter.pm)
BuildRequires:  perl(File/Spec.pm)
BuildRequires:  perl(Module/Build.pm)
BuildRequires:  perl(Test/Builder/Tester.pm)
BuildRequires:  perl(Test/FailWarnings.pm)
BuildRequires:  perl(Test/More.pm)
BuildRequires:  perl(strict.pm)
BuildRequires:  perl(warnings.pm)



Source44: import.info

%description
The Test::Type module provides functions that allow you to validate data types
in test files.

%prep
%setup -q -n Test-Type-v%{version}

%build
/usr/bin/perl Build.PL installdirs=vendor
./Build

%install
./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
# %{_fixperms} $RPM_BUILD_ROOT/*

%check
./Build test

%files
%doc Changes ignore.txt LICENSE README.md
%{perl_vendor_privlib}/*

%changelog
