# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(Cwd.pm) perl(File/Spec.pm) perl(Module/Build.pm) perl(Moo.pm) perl(Test/Cmd.pm) perl(Test/Differences.pm) perl(Test/More.pm) perl(Test/Most.pm) perl(Test/UnixExit.pm)
# END SourceDeps(oneline)
%define module_name Test-UnixCmdWrap
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.02
Release: alt1
Summary: test unix commands with various assumptions
Group: Development/Perl
License: bsd
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/J/JM/JMATES/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
`Test::UnixCmdWrap' wraps the Test::Cmd manpage and provides automatic filename
detection of the program being tested, and tests the exit status word,
stdout, and stderr of each program run. Various other parameters can be
used to customize individual program runs.

These are very specific tests for unix commands that behave in specific
ways (known exit status word for given inputs, etc) so this module will
not suit more generic needs (which is what more generic modules like
the Test::Cmd manpage are for).

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE Changes README
%perl_vendor_privlib/T*

%changelog
