# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(ExtUtils/MakeMaker.pm) perl(Test/Builder.pm) perl(Test/Most.pm) perl(lib.pm) perl(strict.pm)
# END SourceDeps(oneline)
%define module_version 0.01
%define module_name Test-UnixExit
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.01
Release: alt1
Summary: tests exit status words
Group: Development/Perl
License: bsd
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/J/JM/JMATES/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
This module provides a means to check that the exit status word conforms
to a particular pattern, including what signal and whether a core was
generated; the simple `<<$? '> 8 == 0>>> test discards those last
two points. This code is most useful when testing external commands via
`system', the Test::Cmd manpage, or the Expect manpage; perl code itself may instead be
tested with other modules such as the Test::Exit manpage or the Test::Trap manpage.

Internally the Test::Builder manpage is used, so this module might best be paired
with the Test::Most manpage (and is otherwise untested with other test modules).
%prep
%setup -q -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE Changes README
%perl_vendor_privlib/T*

%changelog
