Group: Development/Perl
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(CGI/Application/Dispatch.pm) perl(CGI/Application/Plugin/AutoRunmode.pm) perl(base.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-Test-WWW-Mechanize-CGIApp
Version:        0.05
Release:        alt3_35
Summary:        Test::WWW::Mechanize for CGI::Application
License:        GPL+ or Artistic

URL:            https://metacpan.org/release/Test-WWW-Mechanize-CGIApp
Source0:        https://cpan.metacpan.org/authors/id/H/HA/HARTZELL/Test-WWW-Mechanize-CGIApp-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  rpm-build-perl
BuildRequires:  perl(CGI.pm)
BuildRequires:  perl(CGI/Application.pm)
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(HTTP/Request/AsCGI.pm)
BuildRequires:  perl(Test/More.pm)
BuildRequires:  perl(Test/WWW/Mechanize.pm)
BuildRequires:  perl(Test/Pod.pm)
Requires:       perl(Test/More.pm)
Requires:       perl(Test/WWW/Mechanize.pm)
Requires:       perl(CGI/Application.pm)


Source44: import.info

%description
This package makes testing CGIApp based modules fast and easy. It takes
advantage of Test::WWW::Mechanize to provide functions for common web
testing scenarios.

%prep
%setup -q -n Test-WWW-Mechanize-CGIApp-%{version}

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

# %{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc CHANGES LICENSE README
%{perl_vendor_privlib}/*

%changelog
