%def_without test
%define module_name Test-WWW-Simple
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(FindBin.pm) perl(HTML/Tree.pm) perl(LWP/Simple.pm) perl(Mojolicious.pm) perl(Regexp/Common.pm) perl(Test/Builder.pm) perl(Test/LongString.pm) perl(Test/Tester.pm) perl(Test/Warnings.pm) perl(Test2/V0.pm) perl(URI/URL.pm) perl(WWW/Mechanize.pm) perl(WWW/Mechanize/Pluggable.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.40
Release: alt1
Summary: Test Web applications using TAP
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/M/MC/MCMAHON/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
`Test::WWW::Simple' is a very basic class for testing Web applications and 
Web pages. It uses the WWW::Mechanize manpage to fetch pages, and the Test::Builder manpage to 
implement TAP (Test Anything Protocol) for the actual testing.

Since we use the Test::Builder manpage for the `page_like' and `page_unlike' routines, these
can be integrated with the other standard the Test::Builder manpage-based modules
as just more tests.


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README examples
%perl_vendor_privlib/T*

%changelog
