%define module_name Test-mysqld
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Class/Accessor/Lite.pm) perl(DBD/mysql.pm) perl(DBI.pm) perl(File/Copy/Recursive.pm) perl(File/Temp.pm) perl(Module/Build/Tiny.pm) perl(Test/More.pm) perl(Test/SharedFork.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.0013
Release: alt1
Summary: mysqld runner for tests
Group: Development/Perl
License: perl
URL: https://github.com/kazuho/p5-test-mysqld

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/S/SO/SONGMU/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
`Test::mysqld' automatically setups a mysqld instance in a temporary directory, and destroys it when the perl script exits.


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.md Changes LICENSE
%perl_vendor_privlib/T*

%changelog
