%define module_name Test2-Tools-FFI
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Capture/Tiny.pm) perl(Config.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(FFI/Build.pm) perl(FFI/Build/MM.pm) perl(FFI/CheckLib.pm) perl(FFI/Platypus.pm) perl(File/ShareDir/Dist.pm) perl(File/ShareDir/Install.pm) perl(Test2/API.pm) perl(Test2/EventFacet/Trace.pm) perl(Test2/V0.pm) perl(base.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.06
Release: alt1
Summary: Tools for testing FFI
Group: Development/Perl
License: perl
URL: https://metacpan.org/pod/Test2::Tools::FFI

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PL/PLICEASE/%{module_name}-%{version}.tar.gz

%description
This Test2 Tools module provide some basic tools for testing FFI modules.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README LICENSE Changes author.yml
%perl_vendor_archlib/auto/*
%perl_vendor_archlib/A*
%perl_vendor_archlib/T*
%changelog
