# BEGIN SourceDeps(oneline):
BuildRequires: perl(Exporter.pm) perl(Module/Build/Tiny.pm) perl(Test/More.pm) perl(Text/ANSI/Fold/Util.pm) perl(Text/Conceal.pm) perl(open.pm)
# END SourceDeps(oneline)
%define module_name Text-ANSI-Printf
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 2.01
Release: alt1
Summary: printf function for string with ANSI sequence
Group: Development/Perl
License: perl
URL: https://github.com/kaz-utashiro/Text-ANSI-Printf

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/U/UT/UTASHIRO/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Text::ANSI::Printf is a almost-printf-compatible library with a
capability of handling:

    - ANSI terminal sequences
    - Multi-byte wide characters
    - Backspaces

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE README.md Changes
%perl_vendor_privlib/T*

%changelog
