Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-Text-Diff-HTML
Version:        0.08
Release:        alt2_9
Summary:        XHTML format for Text::Diff::Unified
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Text-Diff-HTML
Source0:        https://cpan.metacpan.org/authors/id/T/TI/TIMK/Text-Diff-HTML-%{version}.tar.gz
BuildArch:      noarch
# Module Build
BuildRequires:  rpm-build-perl
BuildRequires:  perl-devel
BuildRequires:  perl(Module/Build.pm)
# Module Runtime
BuildRequires:  perl(constant.pm)
BuildRequires:  perl(HTML/Entities.pm)
BuildRequires:  perl(strict.pm)
BuildRequires:  perl(Text/Diff.pm)
BuildRequires:  perl(vars.pm)
# Test Suite
BuildRequires:  perl(Test/More.pm)
BuildRequires:  perl(Test/Pod.pm)
Source44: import.info
# Runtime

%description
This class subclasses Text::Diff::Unified, a formatting class provided by
the Text::Diff module, to add XHTML markup to the unified diff format. For
details on the interface of the diff() function, see the Text::Diff
documentation.

%prep
%setup -q -n Text-Diff-HTML-%{version}

%build
perl Build.PL installdirs=vendor
./Build

%install
./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
# %{_fixperms} $RPM_BUILD_ROOT

%check
./Build test

%files
%doc --no-dereference LICENSE
%doc Changes README.md
%{perl_vendor_privlib}/Text/

%changelog
