%define module_name Text-Hspell
# BEGIN SourceDeps(oneline):
BuildRequires: libhspell-devel perl(DynaLoader.pm) perl(Encode.pm) perl(Encode/CN.pm) perl(Encode/JP.pm) perl(Encode/KR.pm) perl(Encode/TW.pm) perl(ExtUtils/MakeMaker.pm) perl(IO/All.pm) perl(Module/Build.pm) perl(Test/More.pm) perl(Test/Run/CmdLine/Iface.pm) perl(strict.pm) perl(vars.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.2.2
Release: alt3
Summary: wrapper for the hspell (= Hebrew speller) library
Group: Development/Perl
License: mit
URL: http://metacpan.org/release/Text-Hspell

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/S/SH/SHLOMIF/%{module_name}-%{version}.tar.gz

%description
This module allows one to use libhspell ( http://hspell.ivrix.org.il/ ) to
spell check Hebrew words.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes LICENSE README
%perl_vendor_archlib/T*
%perl_vendor_autolib/*

%changelog
