# BEGIN SourceDeps(oneline):
BuildRequires: perl(App/FatPacker.pm) perl(Capture/Tiny.pm) perl(Carp.pm) perl(Config.pm) perl(Cwd.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(Getopt/Long.pm) perl(IPC/Run3.pm) perl(Import/Into.pm) perl(List/Util.pm) perl(Pod/Usage.pm) perl(Test/More.pm) perl(Text/Diff.pm) perl(Text/ParseWords.pm) perl(constant.pm) perl(parent.pm) perl(rlib.pm)
# END SourceDeps(oneline)
%define module_name Text-PerlPP
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.600001
Release: alt1
Summary: Perl preprocessor: process Perl code within any text file
Group: Development/Perl
License: mit
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/C/CX/CXW/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Translates text files with embedded Perl code to plain text files.
See README.md for details.  A simple example:

    <? my $x = 42; ?><?! echo Hello, World! ?><?= $x ?>

will output

    Hello, World!
    42

<? ... ?> is a Perl code chunk, <?! ... ?> runs an external command, and
<?= ... ?> prints a Perl expression.  There are more commands, listed in
README.md.

REQUIRES

Perl 5.10.1+ and Getopt::Long 2.50.  There is a fatpacked version that
already includes Getopt::Long in the GitHub releases archive:
https://github.com/interpreters/perlpp/releases

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %EVR

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE Changes README.md README
%perl_vendor_privlib/T*

%files scripts
%_bindir/*
%_man1dir/*

%changelog
