Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-Text-Textile
Version:        2.13
Release:        alt2_19
Summary:        A humane web text generator
# <https://github.com/bradchoate/text-textile/issues/15>
# lib/Text/Textile.pm:      GPL+ or Artistic 2.0
# ARTISTIC:                 text of Artistic 1.0
License:        GPL+ or Artistic 2.0
URL:            https://metacpan.org/release/Text-Textile
Source0:        https://cpan.metacpan.org/authors/id/B/BC/BCHOATE/Text-Textile-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl-devel
BuildRequires:  rpm-build-perl
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(strict.pm)
BuildRequires:  perl(warnings.pm)
# Run-time:
BuildRequires:  perl(base.pm)
BuildRequires:  perl(Exporter.pm)
BuildRequires:  perl(File/Basename.pm)
BuildRequires:  perl(Getopt/Long.pm)
BuildRequires:  perl(vars.pm)
# Optional run-time:
BuildRequires:  perl(charnames.pm)
# File::Spec not used at tests
BuildRequires:  perl(HTML/Entities.pm)
# Image::Size not used at tests
# Tests:
BuildRequires:  perl(File/Temp.pm)
BuildRequires:  perl(Test/More.pm)
# Optional tests:
BuildRequires:  perl(Test/Pod.pm)
# Optional run-time:
Requires:       perl(charnames.pm)
Requires:       perl(File/Spec.pm)
Requires:       perl(HTML/Entities.pm)
Requires:       perl(Image/Size.pm)
Source44: import.info

%description
Text::Textile is a Perl-based implementation of Dean Allen's Textile syntax.
Textile is shorthand for doing common formatting tasks.

%prep
%setup -q -n Text-Textile-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
# %{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc ARTISTIC Changes README.textile
%{_bindir}/textile
%{perl_vendor_privlib}/*
%{_mandir}/man1/textile.*

%changelog
