# BEGIN SourceDeps(oneline):
BuildRequires: perl(Benchmark.pm) perl(CPAN.pm) perl(Class/Load.pm) perl(Config.pm) perl(Cwd.pm) perl(DBD/SQLite.pm) perl(DBD/mysql.pm) perl(DBI.pm) perl(Encode.pm) perl(ExtUtils/MM_Unix.pm) perl(ExtUtils/MakeMaker.pm) perl(ExtUtils/Manifest.pm) perl(Fcntl.pm) perl(File/Basename.pm) perl(File/Find.pm) perl(File/Spec.pm) perl(File/Temp.pm) perl(FileHandle.pm) perl(JSON.pm) perl(KiokuDB/Backend/DBI.pm) perl(KiokuDB/GC/Naive.pm) perl(KiokuDB/TypeMap.pm) perl(KiokuDB/TypeMap/Entry/Naive.pm) perl(KiokuDB/TypeMap/Entry/Std.pm) perl(KiokuX/Model.pm) perl(KiokuX/User.pm) perl(KiokuX/User/Util.pm) perl(LWP/Simple.pm) perl(Module/Build.pm) perl(Moose.pm) perl(Moose/Role.pm) perl(Net/FTP.pm) perl(Parse/CPAN/Meta.pm) perl(Safe/Isa.pm) perl(Socket.pm) perl(Sys/Hostname.pm) perl(Test/Memory/Cycle.pm) perl(Test/More.pm) perl(Throwable.pm) perl(MooseX/OneArgNew.pm)
BuildRequires: perl(Test/More/UTF8.pm) perl(Test/Warn.pm) perl(Text/Tradition.pm) perl(Text/Tradition/Error.pm) perl(TryCatch.pm) perl(YAML/Tiny.pm) perl(YAML/XS.pm) perl(inc/Module/Install.pm) perl(namespace/clean.pm)
# END SourceDeps(oneline)
%define module_version 1.2
%define module_name Text-Tradition-Directory
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.2
Release: alt1
Summary: a KiokuDB interface for storing and retrieving 
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/A/AU/AURUM/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
Text::Tradition::Directory is an interface for storing and retrieving text
traditions and all their data, including an associated stemma hypothesis
and a user who has ownership rights to the tradition data. It is an
instantiation of a KiokuDB::Model, storing traditions and associated
stemmas by UUID.

The Text::Tradition::Directory package also includes the
the Text::Tradition::User manpage class for user objects, and the
the Text::Tradition::Ownership manpage role which extends the Text::Tradition class
to handle user ownership.


%prep
%setup -q -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc CHANGES
%perl_vendor_privlib/T*

%changelog
