%define module_name Text-VisualPrintf
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Exporter.pm) perl(Module/Build/Tiny.pm) perl(Test/More.pm) perl(Text/VisualWidth/PP.pm) perl(open.pm) perl(_charnames.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 2.03
Release: alt1
Summary: printf family functions to handle Non-ASCII characters
Group: Development/Perl
License: perl
URL: https://github.com/kaz-utashiro/Text-VisualPrintf

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/U/UT/UTASHIRO/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Text::VisualPrintf is a almost-printf-compatible library with a
capability of handling multi-byte wide characters properly.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.md Changes LICENSE
%perl_vendor_privlib/T*

%changelog
