# BEGIN SourceDeps(oneline):
BuildRequires: perl(Config.pm) perl(Test/More.pm) perl(XSLoader.pm) perl(threads.pm)
# END SourceDeps(oneline)
%define module_version 0.09
%define module_name Thread-State
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.09
Release: alt6
Summary: check threads state, context, priority
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/M/MA/MAKAMAKA/%module_name-%module_version.tar.gz

%description
**************************** CAUTION ********************************

Since CPAN threads version 1.34, threads module has some new methods
which are offered by Thread::State:
`is_running', `is_detached', `is_joinable' and `wantarray'.
On such a version, you can still use this module.

*********************************************************************

This module adds some methods to threads which are used to check
threads' state (is detached? joined? finished?) and created context,
code reference(start function) and thread priority.

the Thread::Running manpage is also for the same aim. It hacks threads::new,
threads::join, and threads::detach. On the other hand,
Thread::State peeks at the ithread structures directly.

You must use the threads manpage before using Thread::State.

This module requires  Perl core threads (<= 1.07) or
CPAN threads (>= 1.23).


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_archlib/T*
%perl_vendor_autolib/*

%changelog
