# BEGIN SourceDeps(oneline):
BuildRequires: perl(IO/Async/Loop.pm) perl(IO/Async/Timer/Periodic.pm) perl(Module/Build.pm) perl(Module/Build/Compat.pm) perl(Scalar/Util.pm) perl(String/Tagged.pm) perl(Test/Identity.pm) perl(Test/More.pm) perl(Test/Refcount.pm) perl(Tickit.pm) perl(Tickit/Widget/Entry.pm) perl(Tickit/Widget/Scroller.pm) perl(Tickit/Widget/Tabbed.pm) perl(Tickit/Window.pm) perl(base.pm)
# END SourceDeps(oneline)
%define module_version 0.07
%define module_name Tickit-Console
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.07
Release: alt1
Summary: build full-screen console-style applications
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PE/PEVANS/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
A `Tickit::Console' instance is a subclass of the Tickit::Widget::VBox manpage
intended to help building a full-screen console-style application which
presents the user with one or more scrollable text areas, selectable as tabs
on a ribbon, with a text entry area at the bottom of the screen for entering
commands or other data. As a the Tickit::Widget manpage subclass it can be added
anywhere within a widget tree, though normally it would be used as the root
widget for a the Tickit manpage instance.
%prep
%setup -q -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes LICENSE README examples
%perl_vendor_privlib/T*

%changelog
