# BEGIN SourceDeps(oneline):
BuildRequires: perl(List/Util.pm) perl(Module/Build.pm) perl(Parser/MGC.pm) perl(Struct/Dumb.pm) perl(Test/Fatal.pm) perl(Test/Identity.pm) perl(Test/More.pm) perl(Test/Refcount.pm) perl(Tickit/RenderBuffer.pm) perl(Tickit/Utils.pm) perl(Tickit/Window.pm)
# END SourceDeps(oneline)
%define module_version 0.23
%define module_name Tickit-Widgets
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.23
Release: alt1
Summary: a collection of Tickit::Widget implementations
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PE/PEVANS/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
This module provides an `import' utility to simplify code that uses many
different the Tickit::Widget manpage subclasses. Instead of a `use' line per module,
you can simply `use' this module and pass it the base name of each class.
It will `require' each of the modules.

Note that because each Widget module should be a pure object class with no
exports, this utility does not run the `import' method of the used classes.
%prep
%setup -q -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README LICENSE Changes examples
%perl_vendor_privlib/T*

%changelog
