%define module_name Tie-Hash-DBD
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Bencode.pm) perl(Carp.pm) perl(DBD/CSV.pm) perl(DBD/Pg.pm) perl(DBD/SQLite.pm) perl(DBI.pm) perl(Encode.pm) perl(ExtUtils/MakeMaker.pm) perl(FreezeThaw.pm) perl(JSON.pm) perl(JSON/Syck.pm) perl(Sereal/Decoder.pm) perl(Sereal/Encoder.pm) perl(Storable.pm) perl(Test/Harness.pm) perl(Test/More.pm) perl(Time/HiRes.pm) perl(XML/Dumper.pm) perl(YAML.pm) perl(YAML/Syck.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.23
Release: alt1
Summary: Tie plain hashes to DBI interface
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/H/HM/HMBRAND/%{module_name}-%{version}.tgz
BuildArch: noarch

%description
This module has been created to act as a drop-in replacement for modules
that tie straight perl hashes to disk, like `DB_File'. When the running
system does not have enough memory to hold large hashes, and disk-tieing
won't work because there is not enough space, it works quite well to tie
the hash to a database, which preferable runs on a different server.

This module ties a hash to a database table using only a `key' and a
`value' field. If no tables specification is passed, this will create a
temporary table with `h_key' for the key field and a `h_value' for the
value field.

I think it would make sense  to merge the functionality that this module
provides into `Tie::DBI'.


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc CONTRIBUTING.md README Changes examples
%perl_vendor_privlib/T*

%changelog
