# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Module/Build.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define upstream_name    Tk-Chart
%define upstream_version 1.22

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %{upstream_version}
Release:    alt1_3

Summary:    To create lines graph as BE<eacute>zier curve
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Tk/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils/MakeMaker.pm)
BuildRequires: perl(POSIX.pm)
BuildRequires: perl(Test/More.pm)
BuildRequires: perl(Tk.pm)
BuildRequires: perl(Tk/Canvas/GradientColor.pm)
BuildArch:  noarch
Source44: import.info

%description
*Tk::Chart* is a module to create and display graphs on a Tk widget. The
module is written entirely in Perl/Tk.

You can set a background gradient color by using the
Tk::Canvas::GradientColor manpage methods.

You can change the color, font of title, labels (x and y) of graphs. You
can set an interactive legend. The axes can be automatically scaled or set
by the code.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.json META.yml  README TODO demo
%{perl_vendor_privlib}/*

%changelog
