# BEGIN SourceDeps(oneline):
BuildRequires: perl(Date/Calc.pm) perl(ExtUtils/MakeMaker.pm) perl(Test.pm) perl(Tk.pm) perl(Tk/Frame.pm) perl(Tk/Photo.pm) perl(WidgetDemo.pm) perl(base.pm) xvfb-run
# END SourceDeps(oneline)
%ifndef _build_display
%def_without test
%endif
%define module_version 0.4
%define module_name Tk-ChooseDate
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.4
Release: alt6
Summary: Popup Calendar with support for dates prior to 1970
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/D/DU/DUNNIGANJ/%module_name-%module_version.tar.gz

%description
ChooseDate is yet-another-date-choosing widget via a popup calendar.
It was created because the Tk::DateEntry manpage and the Tk::DatePick manpage do not
allow support for dates prior to 1970. Besides this major item, I
personally think that this is a nicer-looking widget with similar
functionality of the others - but much more user friendly as dates
can be chosen quickly and easily.

Although the widget looks much like an Entry - it is not. It is a
sunken label. This means that the date is not directly editable by
the user; yes - this is by design. That said however, the programmer
can get and set the date using the mehods described herein.


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build
xvfb-run -a make test

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_archlib/T*
%perl_vendor_autolib/*

%changelog
