# BEGIN SourceDeps(oneline):
BuildRequires: perl(Config.pm) perl(DynaLoader.pm) perl(ExtUtils/MakeMaker.pm) perl(Scalar/Util.pm) perl(Test.pm) perl(Tk.pm) perl(Tk/ItemStyle.pm) perl(Tk/Tree.pm) perl(Tk/widgets.pm) perl(base.pm) xvfb-run
# END SourceDeps(oneline)
%ifndef _build_display
%def_without test
%endif
%define module_version 0.06
%define module_name Tk-DataTree
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.06
Release: alt6
Summary: A tree widget for arbitrary data structures
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/M/MH/MHX/%{module_name}-%{module_version}.tar.gz

%description
The Tk::DataTree class is a derivate of the Tk::Tree manpage intended
for displaying arbitrary data structures.
It's a bit like having the Data::Dumper manpage as a Tk widget.


%prep
%setup -n %{module_name}-%{module_version}

%build
%perl_vendor_build
xvfb-run -a make test

%install
%perl_vendor_install

%files
%doc Changes TODO README
%perl_vendor_archlib/T*
%perl_vendor_autolib/*

%changelog
