%def_without test
%define module_name Tk-HListbox
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(File/stat.pm) perl(Test/More.pm) perl(Tk.pm) perl(base.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 2.3
Release: alt1
Summary: Tk Listbox widget supporting images and text entries, Tk::HList based drop-in replacement for Tk::L...
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/T/TU/TURNERJW/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
The HListbox method creates a new window (given by the
$widget argument) and makes it into an HListbox widget.
Additional options, described above, may be specified on 
the command line or in the option database
to configure aspects of the listbox such as its colors, font,
text, and relief.  The HListbox command returns its
$widget argument.  At the time this command is invoked,
there must not exist a window named $widget, but
$widget's parent must exist.

An HListbox is a widget that displays a list of strings, images, or both 
one per line.  When first created, a new HListbox has no elements.
Elements may be added or deleted using methods described
below.  In addition, one or more elements may be selected as described
below.
If an HListbox is exporting its selection (see exportSelection
option), then it will observe the standard X11 protocols
for handling the selection.
HListbox selections are available as type STRING;
the value of the selection will be the "text" of the selected elements, 
returned as an array of zero or more elements.

It is not necessary for all the elements to be
displayed in the HListbox window at once;  commands described below
may be used to change the view in the window.  HListboxes allow
scrolling in both directions using the standard xScrollCommand
and yScrollCommand options.
They also support scanning, as described below.
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_privlib/T*

%changelog
