Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-Tk-ToolBar
Version:        0.12
Release:        alt2_19
Summary:        Toolbar widget for Perl/Tk
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Tk-ToolBar
Source0:        https://cpan.metacpan.org/authors/id/A/AS/ASB/Tk-ToolBar-%{version}.tar.gz
Patch0:         Tk-ToolBar-0.12-noarch.patch
BuildArch:      noarch
# Build
BuildRequires:  findutils
BuildRequires:  rpm-build-perl
BuildRequires:  perl-devel
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  sed
# Runtime
BuildRequires:  perl(base.pm)
BuildRequires:  perl(Carp.pm)
BuildRequires:  perl(POSIX.pm)
BuildRequires:  perl(strict.pm)
BuildRequires:  perl(Tk/Balloon.pm)
BuildRequires:  perl(Tk/BrowseEntry.pm)
# Unused BuildRequires:  perl(Tk::CursorControl)
BuildRequires:  perl(Tk/Frame.pm)
# Unused BuildRequires:  perl(Tk::LabEntry)
BuildRequires:  perl(Tk/widgets.pm)
BuildRequires:  perl(vars.pm)
# Tests only
BuildRequires:  perl(Test.pm)
BuildRequires:  perl(Test/More.pm)
# Optional tests only
BuildRequires:  perl(Test/Pod.pm)
# Optional Requires:       perl(Tk::CursorControl)
Requires:       perl(Tk/LabEntry.pm)
Source44: import.info

%description
This module implements a dockable toolbar. It is in the same spirit as the
"short-cut" toolbars found in most major applications, such as most web
browsers and text editors (where you find the "back" or "save" and other
shortcut buttons).

%prep
%setup -q -n Tk-ToolBar-%{version}
find -type f -print0 | xargs -0 sed -i 's/\r$//'
%patch0 -p1

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}

%install
%{makeinstall_std}
# Package the demo script in doc instead
rm -f %{buildroot}/%{perl_vendor_privlib}/Tk/toolbar.pl
# %{_fixperms} %{buildroot}/*

%check
make test

%files
%doc Changes README toolbar.pl
%{perl_vendor_privlib}/*

%changelog
