# BEGIN SourceDeps(oneline):
BuildRequires: perl(List/Util.pm) perl(Math/Complex.pm) perl(Math/Trig.pm) perl(Module/Build/Tiny.pm) perl(POSIX.pm) perl(Test/More.pm) perl(Test/Pod.pm) perl(ToolSet.pm)
# END SourceDeps(oneline)
%define module_name ToolSet-Math
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.001
Release: alt1
Summary: Bring in common math functions and constants.
Group: Development/Perl
License: perl
URL: https://github.com/geraldlai/ToolSet-Math

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/G/GL/GLAI/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This module automatically exports convenience math functions and constants which are not available by default in Perl, such as `ceil', `floor', `round', `log10' and trigonometric ones like `tan', `asin', `cosec', and `deg2rad'. It also sets up support for complex numbers to expand Perl's math capabilities.

See `Math::Trig' and `Math::Complex' for details on all exported functions.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README LICENSE
%perl_vendor_privlib/T*

%changelog
