Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-UNIVERSAL-exports
Version:        0.05
Release:        alt2_38
Summary:        Lightweight, universal exporting of variables
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/UNIVERSAL-exports
Source0:        http://backpan.perl.org/authors/id/M/MS/MSCHWERN/UNIVERSAL-exports-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl-devel
BuildRequires:  rpm-build-perl
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
# Run-time:
BuildRequires:  perl(strict.pm)
BuildRequires:  perl(Exporter/Lite.pm)
# Tests:
BuildRequires:  perl(lib.pm)
BuildRequires:  perl(Test/More.pm)
Requires:       perl(Exporter/Lite.pm) >= 0.010

# Filter bogus provide for perl(UNIVERSAL) (rpm 4.9 onwards)

# Filter under-specified dependencies

Source44: import.info
%filter_from_provides /^perl(UNIVERSAL.pm)/d
%filter_from_requires /^perl(Exporter.Lite.pm)/d

%description
%{summary}.

%prep
%setup -q -n UNIVERSAL-exports-%{version}

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor
make

%install
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*

%check
make test

%files
%doc Changes
%{perl_vendor_privlib}/UNIVERSAL/


%changelog
