%define module_name UTF8-R2
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Cwd.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Basename.pm) perl(File/Copy.pm) perl(File/Path.pm) perl(FindBin.pm) perl(Socket.pm) perl(Symbol.pm) perl(Test.pm) perl(lib.pm) perl(strict.pm) perl(vars.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.20
Release: alt1
Summary: makes UTF-8 scripting easy for enterprise use or LTS
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/I/IN/INA/UTF8/R2/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
use UTF8::R2;
  use UTF8::R2 qw( RFC3629 ); # m/./ matches RFC3629 codepoint (default)
  use UTF8::R2 qw( RFC2279 ); # m/./ matches RFC2279 codepoint
  use UTF8::R2 ver.sion;      # match or die

    $result = UTF8::R2::chop(@_)
    $result = UTF8::R2::chr($_)
    $result = UTF8::R2::getc(FILE)
    $result = UTF8::R2::index($_, 'ABC', 5)
    $result = UTF8::R2::lc($_)
    $result = UTF8::R2::lcfirst($_)
    $result = UTF8::R2::length($_)
    $result = UTF8::R2::ord($_)
    $result = UTF8::R2::qr(qr/$utf8regex/)
    $result = UTF8::R2::reverse(@_)
    $result = UTF8::R2::rindex($_, 'ABC', 5)
    @result = UTF8::R2::split(qr/$utf8regex/, $_, 3)
    $result = UTF8::R2::substr($_, 0, 5)
    $result = UTF8::R2::tr($_, 'ABC', 'XYZ', 'cdsr')
    $result = UTF8::R2::uc($_)
    $result = UTF8::R2::ucfirst($_)

    tie my %%utf8r2, 'UTF8::R2';
    $result = $_ =~ $utf8r2{qr/$utf8regex/}
    $result = $_ =~ s<$utf8r2{qr/before/}><after>egr

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README LICENSE CONTRIBUTING
%perl_vendor_privlib/U*

%changelog
