%define module_name Ufal-UDPipe
# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++ libsowing-devel perl(DynaLoader.pm) perl(Exporter.pm) perl(ExtUtils/CBuilder.pm) perl(Module/Build.pm) perl(Test/More.pm) perl(base.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.2.0.1
Release: alt4
Summary: Bindings to UDPipe library
Group: Development/Perl
License: open_source
URL: http://ufal.mff.cuni.cz/udpipe

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/S/ST/STRAKA/%{module_name}-v%{version}.tar.gz

%description
Ufal-UDPipe

Ufal-UDPipe package is a Perl bindings for UDPipe library
http://ufal.mff.cuni.cz/udpipe.

In order to compile the package, compiler supporting C++11 is required,
either g++ 4.7 or newer, clang++ 3.2 or newer, or Visual C++ 2015.

INSTALLATION

To install this module, run the following commands:

_perl Build.PL

%prep
%setup -q -n %{module_name}-v%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes LICENSE examples
%perl_vendor_archlib/U*
%perl_vendor_autolib/*

%changelog
