# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(File/Spec.pm) perl(feature.pm) perl(lib.pm) perl(parent.pm) perl(version.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:		perl-V
Version:	0.15
Release:	alt1_2
Summary:	Print version of the specified Perl modules

Group:		Development/Other
License:	GPL+ or Artistic
URL:		http://search.cpan.org/dist/V
Source0:	http://search.cpan.org/CPAN/authors/id/A/AB/ABELTJE/V-%{version}.tar.gz

BuildArch:	noarch

BuildRequires:  rpm-build-perl perl-devel
BuildRequires:	perl(ExtUtils/MakeMaker.pm)
BuildRequires:	perl(Test/More.pm)
BuildRequires:	perl(Test/Fatal.pm)
BuildRequires:	perl(Test/Warnings.pm)
Source44: import.info

%description
A light-weight module for getting versions of Perl modules without
loading them.

%prep
%setup -q -n V-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}

%check
make test VERBOSE=1

%install
%{makeinstall_std}
# %{_fixperms} $RPM_BUILD_ROOT/*

%files
%doc Changes README.md
%{perl_vendor_privlib}/*

%changelog
