%define module_name Var-Pairs
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Data/Alias.pm) perl(Devel/Callsite.pm) perl(ExtUtils/MakeMaker.pm) perl(PadWalker.pm) perl(Scalar/Util.pm) perl(Scope/Upper.pm) perl(Test/More.pm) perl(experimental.pm) perl(if.pm) perl(overload.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.004001
Release: alt1
Summary: OO iterators and pair constructors for variables
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/D/DC/DCONWAY/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This module exports a small number of subroutines that
add some Perl 6 conveniences to Perl 5. Specifically,
the module exports several subroutines that simplify
interactions with key/value pairs in hashes and arrays.




%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_privlib/V*

%changelog
