%define module_name Vcdiff-Xdelta3
# BEGIN SourceDeps(oneline):
BuildRequires: liblzma-devel perl(Carp.pm) perl(ExtUtils/MakeMaker.pm) perl(Vcdiff.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.104
Release: alt7
Summary: Xdelta3 backend for Vcdiff
Group: Development/Perl
License: open_source
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/F/FR/FRACTAL/%{module_name}-%{version}.tar.gz

%description
Xdelta3 is a delta encoding library by Joshua MacDonald. The Xdelta3 source code is embedded into this module and built as a shared object. The `xdelta3' command-line binary is not built.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_archlib/V*
%perl_vendor_autolib/*

%changelog
