%define module_name Vote-Count
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(Carp/Always.pm) perl(Cpanel/JSON/XS.pm) perl(Data/Dumper.pm) perl(Data/Printer.pm) perl(Exporter.pm) perl(Exporter/Easy.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Temp.pm) perl(JSON/MaybeXS.pm) perl(List/Util.pm) perl(Markdown/Pod.pm) perl(Math/BigInt/GMP.pm) perl(Math/BigRat.pm) perl(Moose.pm) perl(Moose/Role.pm) perl(Path/Tiny.pm) perl(Ref/Util.pm) perl(Sort/Hash.pm) perl(Storable.pm) perl(String/TtyLength.pm) perl(Test/Exception.pm) perl(Test/Fatal.pm) perl(Test/More.pm) perl(Test2/Bundle/More.pm) perl(Test2/Tools/Exception.pm) perl(Test2/Tools/Warnings.pm) perl(Test2/V0.pm) perl(Time/Piece.pm) perl(Try/Tiny.pm) perl(YAML/XS.pm) perl(feature.pm) perl(lib.pm) perl(namespace/autoclean.pm) perl(parent.pm) perl(strict.pm) perl(utf8.pm) perl(utf8/all.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.10
Release: alt1
Summary: toolkit for implementing voting methods.
Group: Development/Perl
License: gpl
URL: https://github.com/brainbuz/Vote-Count

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/B/BR/BRAINBUZ/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
```perl
use 5.022; # Minimum Perl, or any later Perl.
use feature qw /postderef signatures/;

use Vote::Count;
use Vote::Count::Method::CondorcetDropping;
use Vote::Count::ReadBallots 'read_ballots';

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes LICENSE README.md Dependencies.txt README example
%perl_vendor_privlib/V*

%changelog
