%define module_name WWW-ClickSource
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Exporter.pm) perl(Module/Build.pm) perl(Test/More.pm) perl(URI.pm) perl(base.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.0002
Release: alt1
Summary: Determine the source of a visit on your website : organic, adwords, facebook, referer site
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/H/HO/HOREA/%{module_name}/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Help determine the source of the traffic on your website.

This module tries to do what GoogleAnalytics, Piwik and other monitoring tools do, but it's something you can
use on the backend of your application in real time.

This module can be used together with the HTTP::BrowserDetect manpage to get an even deeper understanding of where your 
traffic is generated from.
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.md Changelog.txt
%perl_vendor_privlib/W*

%changelog
