%define module_name WWW-FetchStory
Epoch: 1
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Archive/Zip.pm) perl(Date/Format.pm) perl(EBook/EPUB.pm) perl(Encode.pm) perl(Encode/CN.pm) perl(Encode/JP.pm) perl(Encode/KR.pm) perl(Encode/TW.pm) perl(Encode/ZapCP1252.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Basename.pm) perl(File/Spec.pm) perl(File/Temp.pm) perl(Getopt/Long.pm) perl(HTML/Entities.pm) perl(HTML/Strip.pm) perl(HTML/Tidy/libXML.pm) perl(HTTP/Cookies.pm) perl(HTTP/Cookies/Mozilla.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(Module/Build.pm) perl(Module/Pluggable.pm) perl(Pod/Coverage/TrustPod.pm) perl(Pod/Usage.pm) perl(Test/CPAN/Meta.pm) perl(Test/More.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(WWW/Mechanize/Sleepy.pm) perl(XML/LibXML.pm) perl(YAML/Any.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.2201
Release: alt1
Summary: Fetch a story from a fiction website
Group: Development/Perl
License: perl
URL: https://github.com/rubykat/WWW-FetchStory

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/R/RU/RUBYKAT/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
%summary

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %EVR

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build --install_path bindoc=%_man1dir

%install
%perl_vendor_install

%files
%doc README.pod Changes LICENSE TODO
%perl_vendor_privlib/W*
%perl_vendor_privlib/H*

%files scripts
%_man1dir/*
%_bindir/*

%changelog
