%define module_name WWW-Google-CustomSearch
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(JSON.pm) perl(Moo.pm) perl(Test/More.pm) perl(Throwable.pm) perl(Type/Tiny.pm) perl(URI.pm) perl(WWW/Google/UserAgent.pm) perl(namespace/autoclean.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.39
Release: alt1
Summary: Interface to Google JSON/Atom Custom Search.
Group: Development/Perl
License: artistic_2
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/M/MA/MANWAR/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This module is intended for anyone who wants to write applications that can interact with  the
JSON/Atom Custom Search API. With Google Custom Search, you can harness the power of Google to
create a  customized  search experience for your own website. You can use the JSON/Atom Custom
Search API to retrieve Google Custom Search results programmatically.

The  JSON / Atom Custom Search API  requires the use of an API key, which you can get from the
Google APIs  console.  The API provides 100 search queries per day for free. If you need more,
you may sign up for billing in the console.

For more information about the Google JSON/Atom Custom Search API, please visit
https://developers.google.com/custom-search/json-api/v1/reference/cse/list

Important:The version v1 of the Google JSON/Atom Custom Search API is in Labs and its features
might change unexpectedly until it graduates.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes LICENSE README
%perl_vendor_privlib/W*

%changelog
