%define module_name WWW-Mechanize-Cached
%set_perl_req_method relaxed
# BEGIN SourceDeps(oneline):
BuildRequires: perl(CHI.pm) perl(Cache/FileCache.pm) perl(Carp.pm) perl(Data/Dump.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(HTTP/Request.pm) perl(HTTP/Response.pm) perl(Module/Runtime.pm) perl(Moo.pm) perl(MooX/Types/MooseLike/Base.pm) perl(Path/Tiny.pm) perl(Storable.pm) perl(Test/Fatal.pm) perl(Test/More.pm) perl(Test/Requires.pm) perl(Test/RequiresInternet.pm) perl(Test/Warnings.pm) perl(URI/file.pm) perl(WWW/Mechanize.pm) perl(constant.pm) perl(lib.pm) perl(namespace/clean.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.55
Release: alt1
Summary: Cache response to be polite
Group: Development/Perl
License: perl
URL: https://github.com/libwww-perl/WWW-Mechanize-Cached

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/O/OA/OALDERS/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
From summary: %summary

%prep
%setup -q -n %{module_name}-%{version}
sed -i -e '259s/"We miss you, Spoon"/1/' lib/WWW/Mechanize/Cached.pm

%build
%perl_vendor_build

%install
%perl_vendor_install
sed -i -e "226s/[\"']We miss you, Spoon[\"']/1/" %buildroot%perl_vendor_privlib/WWW/Mechanize/Cached.pm
sed -i -e "226s/__PACKAGE__/1;/" %buildroot%perl_vendor_privlib/WWW/Mechanize/Cached.pm
sed -i -e "228s/[\"']We miss you, Spoon[\"']/1/" %buildroot%perl_vendor_privlib/WWW/Mechanize/Cached.pm
sed -i -e "228s/__PACKAGE__/1;/" %buildroot%perl_vendor_privlib/WWW/Mechanize/Cached.pm

%files
%doc README.md README LICENSE CONTRIBUTORS AUTHORS Changes examples
%perl_vendor_privlib/W*

%changelog
