%define module_name WWW-Mechanize-Chrome
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Algorithm/Loops.pm) perl(AnyEvent.pm) perl(AnyEvent/Future.pm) perl(AnyEvent/WebSocket/Client.pm) perl(CGI.pm) perl(Carp.pm) perl(Data/Dump.pm) perl(Data/Dumper.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Basename.pm) perl(File/Spec.pm) perl(Filter/signatures.pm) perl(Future.pm) perl(Future/HTTP.pm) perl(Future/Mojo.pm) perl(HTML/Selector/XPath.pm) perl(HTTP/Cookies.pm) perl(HTTP/Headers.pm) perl(HTTP/Request/AsCGI.pm) perl(HTTP/Response.pm) perl(IO/Async.pm) perl(IO/Socket/INET.pm) perl(IPC/Open3.pm) perl(Image/Info.pm) perl(Imager.pm) perl(Imager/File/PNG.pm) perl(JSON.pm) perl(Log/Log4perl.pm) perl(MIME/Base64.pm) perl(Mojo/IOLoop/Stream.pm) perl(Mojo/UserAgent.pm) perl(Moo.pm) perl(Net/Async/WebSocket/Client.pm) perl(Object/Import.pm) perl(POSIX.pm) perl(PerlX/Maybe.pm)
BuildRequires: perl(Pod/Markdown.pm) perl(Scalar/Util.pm) perl(Storable.pm) perl(Test/Deep.pm) perl(Test/HTTP/LocalServer.pm) perl(Test/Memory/Cycle.pm) perl(Test/More.pm) perl(Test/Without/Module.pm) perl(Time/HiRes.pm) perl(Try/Tiny.pm) perl(URI.pm) perl(URI/file.pm) perl(URI/ws.pm) perl(WWW/Mechanize/Link.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.67
Release: alt1
Summary: automate the Chrome browser
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/C/CO/CORION/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Like the WWW::Mechanize manpage, this module automates web browsing with a Perl object.
Fetching and rendering of web pages is delegated to the Chrome (or Chromium)
browser by starting an instance of the browser and controlling it with Chrome DevTools.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README README.mkdn Changes LICENSE examples
%perl_vendor_privlib/W*
%perl_vendor_privlib/C*
%perl_vendor_privlib/H*

%changelog
