%define module_name WWW-Mechanize-Shell
# BEGIN SourceDeps(oneline):
BuildRequires: perl(CGI.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Modified.pm) perl(File/Temp.pm) perl(HTML/Display.pm) perl(HTML/TableExtract.pm) perl(HTML/TokeParser/Simple.pm) perl(HTTP/Cookies.pm) perl(HTTP/Request/AsCGI.pm) perl(Hook/LexWrap.pm) perl(LWP.pm) perl(LWP/UserAgent.pm) perl(Pod/Constants.pm) perl(Pod/Markdown.pm) perl(Term/ReadKey.pm) perl(Term/Shell.pm) perl(Test/HTTP/LocalServer.pm) perl(Test/Harness.pm) perl(Test/MockObject.pm) perl(Test/More.pm) perl(Test/Without/Module.pm) perl(URI.pm) perl(URI/URL.pm) perl(WWW/Mechanize.pm) perl(WWW/Mechanize/FormFiller.pm) perl(WWW/Mechanize/Link.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.59
Release: alt1
Summary: An interactive shell for WWW::Mechanize
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/C/CO/CORION/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This module implements a www-like shell above WWW::Mechanize
and also has the capability to output crude Perl code that recreates
the recorded session. Its main use is as an interactive starting point
for automating a session through WWW::Mechanize.

The cookie support is there, but no cookies are read from your existing
browser sessions. See the HTTP::Cookies manpage on how to implement reading/writing
your current browsers cookies.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build INSTALLMAN1DIR=%_man1dir

%install
%perl_vendor_install

%files
%doc README README.mkdn LICENSE Changes
%perl_vendor_privlib/W*

%changelog
