# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Encode.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define upstream_name    WWW-Robot
%define upstream_version 0.026

Name:       perl-%{upstream_name}
Version:    %{upstream_version}
Release:    alt3_9

Summary:    Web traversal engine for robots & agents
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/WWW/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils/MakeMaker.pm)
BuildRequires: perl(HTML/LinkExtor.pm)
BuildRequires: perl(HTML/TreeBuilder.pm)
BuildRequires: perl(HTTP/Request.pm)
BuildRequires: perl(HTTP/Status.pm)
BuildRequires: perl(IO/File.pm)
BuildRequires: perl(LWP/RobotUA.pm)
BuildRequires: perl(URI/URL.pm)
BuildArch: noarch
Source44: import.info

%description
This module implements a configurable web traversal engine, for a _robot_
or other web agent. Given an initial web page (_URL_), the Robot will get
the contents of that page, and extract all links on the page, adding them
to a list of URLs to visit.

Features of the Robot module include:

* *

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc README ChangeLog
%perl_vendor_privlib/*




%changelog
