Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-WWW-Salesforce
Version:        0.303
Release:        alt2_12
Summary:        Simple abstraction layer between SOAP::Lite and Salesforce.com
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/WWW-Salesforce
Source0:        https://cpan.metacpan.org/authors/id/C/CA/CAPOEIRAB/WWW-Salesforce-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  coreutils
BuildRequires:  sed
BuildRequires:  findutils
BuildRequires:  rpm-build-perl
BuildRequires:  perl-devel
BuildRequires:  perl(base.pm)
BuildRequires:  perl(DateTime.pm)
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(File/Spec.pm)
BuildRequires:  perl(IO/Socket/SSL.pm)
BuildRequires:  perl(LWP/Protocol/https.pm)
BuildRequires:  perl(POSIX.pm)
BuildRequires:  perl(SOAP/Lite.pm)
BuildRequires:  perl(strict.pm)
BuildRequires:  perl(Test/More.pm)
BuildRequires:  perl(warnings.pm)
Requires:       perl(IO/Socket/SSL.pm) >= 1.940
Requires:       perl(LWP/Protocol/https.pm) >= 6.0
Requires:       perl(SOAP/Lite.pm) >= 1.0


Source44: import.info
%filter_from_requires /^perl(SOAP.Lite.pm)/d

%description
This class provides a simple abstraction layer between SOAP::Lite and
Salesforce.com. Because SOAP::Lite does not support complexTypes, and
document/literal encoding is limited, this module works around those
limitations and provides a more intuitive interface a developer can
interact with.


%prep
%setup -q -n WWW-Salesforce-%{version}


%build
# Don't answer interactive build questions
exec </dev/null

/usr/bin/perl Makefile.PL INSTALLDIRS=vendor
%make_build


%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
# %{_fixperms} %{buildroot}/*


%check
#make test


%files
%doc --no-dereference LICENSE
%doc Changes README
%{perl_vendor_privlib}/*


%changelog
