%def_without test
%define module_name WWW-Spotify
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Data/Dumper.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Basename.pm) perl(File/Spec.pm) perl(HTTP/Headers.pm) perl(IO/CaptureOutput.pm) perl(JSON/MaybeXS.pm) perl(JSON/Path.pm) perl(LWP/Protocol/https.pm) perl(MIME/Base64.pm) perl(Moo.pm) perl(Scalar/Util.pm) perl(Test/More.pm) perl(Test/RequiresInternet.pm) perl(Try/Tiny.pm) perl(Types/Standard.pm) perl(URI.pm) perl(URI/Escape.pm) perl(WWW/Mechanize.pm) perl(XML/Simple.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.010
Release: alt1
Summary: perl module %module_name
Group: Development/Perl
License: perl
URL: https://github.com/trs-80/WWW-Spotify

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/O/OA/OALDERS/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
From summary: %summary

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE README.md CONTRIBUTORS Changes
%perl_vendor_privlib/W*

%changelog
