# BEGIN SourceDeps(oneline):
BuildRequires: libsowing-devel libwebkitgtk3-gir perl(Carp.pm) perl(ExtUtils/Depends.pm) perl(ExtUtils/MakeMaker.pm) perl(ExtUtils/PkgConfig.pm) perl(Glib.pm) perl(Glib/MakeHelper.pm) perl(Gtk3.pm) perl(Gtk3/WebKit.pm) perl(Moose.pm) perl(Test/More.pm) perl(Time/HiRes.pm) perl(URI.pm) perl(X11/Xlib.pm) pkgconfig(gdk-3.0)
# END SourceDeps(oneline)
%def_without test
%define module_name WWW-WebKit
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.11
Release: alt3
Summary: Perl extension for controlling an embedding WebKit engine
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/N/NI/NINE/%{module_name}-%{version}.tar.gz

%description
WWW::WebKit is a drop-in replacement for WWW::Selenium using Gtk3::WebKit as browser instead of relying on an external Java server and an installed browser.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README LICENSE
%perl_vendor_archlib/W*
%perl_vendor_autolib/*

%changelog
