%define module_name Weather-PurpleAir-API
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(File/Valet.pm) perl(HTTP/Tiny.pm) perl(JSON/MaybeXS.pm) perl(String/Similarity.pm) perl(Test/Differences.pm) perl(Test/Most.pm) perl(Time/HiRes.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.08
Release: alt1
Summary: Client for using the purpleair.com air quality sensor API
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/T/TT/TTKCIAR/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
`Weather::PurpleAir::API' provides a convenient interface to the Purple Air air quality API.  It will 
pull down data for specified sensors, transform them as desired (for instance, converting from raw 
PM2.5 concentration to USA EPA AQI number, averaging results from dual-sensor nodes, etc) and provide 
a concise report by sensor name.

The Purple Air map of sensors is located at https://www.purpleair.com/map.

This module is very much a work in progress and 0.x releases might not be suitable for use.

For a simple commandline script wrapping this module, see `bin/aqi' in this package.

Please do not poll sensors too frequently or the Purple Air server might block your IP.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %EVR

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE README TODO Changes notes.txt
%perl_vendor_privlib/W*

%files scripts
%_man1dir/*
%_bindir/*

%changelog
