%define module_name Web-MREST
# BEGIN SourceDeps(oneline):
BuildRequires: perl(App/CELL.pm) perl(Cwd.pm) perl(Encode.pm) perl(Encode/CN.pm) perl(Encode/JP.pm) perl(Encode/KR.pm) perl(Encode/TW.pm) perl(File/Basename.pm) perl(File/HomeDir.pm) perl(File/ShareDir.pm) perl(File/Spec.pm) perl(Getopt/Long.pm) perl(HTTP/Request.pm) perl(HTTP/Request/Common.pm) perl(JSON.pm) perl(LWP/Protocol/https.pm) perl(LWP/UserAgent.pm) perl(Log/Any/Adapter.pm) perl(Module/Build.pm) perl(Module/Runtime.pm) perl(Params/Validate.pm) perl(Path/Router.pm) perl(Plack.pm) perl(Plack/Middleware/LogErrors.pm) perl(Plack/Middleware/Session.pm) perl(Plack/Middleware/StackTrace.pm) perl(Plack/Runner.pm) perl(Plack/Test.pm) perl(Pod/Simple/HTML.pm) perl(Pod/Simple/Text.pm) perl(Pod/Usage.pm) perl(Term/ReadLine.pm) perl(Test/Deep.pm) perl(Test/Deep/NoTest.pm) perl(Test/Fatal.pm) perl(Test/JSON.pm)
BuildRequires: perl(Test/More.pm) perl(Test/Warnings.pm) perl(Try/Tiny.pm) perl(URI/Escape.pm) perl(Web/MREST/CLI.pm) perl(Web/Machine.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.288
Release: alt1
Summary: Minimalistic REST server
Group: Development/Perl
License: bsd
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/S/SM/SMITHFARM/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
MREST stands for "minimalistic" or "mechanical" REST server. (Mechanical because
it relies on the Web::Machine manpage.)

the Web::MREST manpage provides a fully functional REST server that can be started
with a simple command. Without modification, the server provides a set of 
generalized resources that can be used to demonstrate how the REST server
works, or for testing.

Developers can use the Web::MREST manpage as a platform for implementing their own 
REST servers, as described below. the App::Dochazka::REST manpage is a "real-world"
example of such a server.

For an introduction to REST and Web Services, see
the Web::MREST::WebServicesIntro manpage.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release

%description scripts
scripts for %module_name
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE Changes README.rst
%perl_vendor_privlib/W*
%perl_vendor_privlib/auto/*

%files scripts
%_man1dir/*
%_bindir/*

%changelog
