%define module_version 0.283
%define module_name Web-MREST-CLI
# BEGIN SourceDeps(oneline):
BuildRequires: perl(App/CELL.pm) perl(Data/Dumper.pm) perl(Encode.pm) perl(Encode/CN.pm) perl(Encode/JP.pm) perl(Encode/KR.pm) perl(Encode/TW.pm) perl(File/Basename.pm) perl(File/HomeDir.pm) perl(File/ShareDir.pm) perl(Getopt/Long.pm) perl(HTTP/Request/Common.pm) perl(JSON.pm) perl(LWP/Protocol/https.pm) perl(LWP/UserAgent.pm) perl(Log/Any/Adapter.pm) perl(Module/Build.pm) perl(Params/Validate.pm) perl(Pod/Usage.pm) perl(Term/ReadLine.pm) perl(Test/Deep.pm) perl(Try/Tiny.pm) perl(URI/Escape.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.283
Release: alt1
Summary: CLI components for Web::MEST-based applications
Group: Development/Perl
License: bsd
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/S/SM/SMITHFARM/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
Top-level module of the the Web::MREST::CLI manpage distribution. Exports some
"generalized" functions that are used internally and might also be useful for
writing CLI clients in general.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release

%description scripts
scripts for %module_name
%prep
%setup -q -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE README.rst Changes
%perl_vendor_privlib/W*
%perl_vendor_privlib/auto/*

%files scripts
%_man1dir/*
%_bindir/*

%changelog
