%define module_name Web-PageMeta
# BEGIN SourceDeps(oneline):
BuildRequires: perl(AnyEvent.pm) perl(AnyEvent/Future.pm) perl(AnyEvent/HTTP.pm) perl(Encode.pm) perl(Encode/CN.pm) perl(Encode/JP.pm) perl(Encode/KR.pm) perl(Encode/TW.pm) perl(Future.pm) perl(Future/AsyncAwait.pm) perl(Future/HTTP/AnyEvent.pm) perl(HTTP/Exception.pm) perl(Log/Any.pm) perl(Module/Build.pm) perl(Moose.pm) perl(MooseX/Types/URI.pm) perl(Path/Class.pm) perl(Test/Most.pm) perl(Time/HiRes.pm) perl(URI.pm) perl(URI/Escape.pm) perl(URI/QueryParam.pm) perl(Web/Scraper.pm) perl(XS/Parse/Sublike.pm) perl(namespace/autoclean.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.03
Release: alt1
Summary: get page open-graph / meta data
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/J/JK/JKUTEJ/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Get (not only) open-graph web page meta data. can be used in both normal
and async code.

For any other than 200 http status codes during data downloads,
the HTTP::Exception manpage is thrown.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_privlib/W*

%changelog
