%define module_name Web-Solid-Auth
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Crypt/JWT.pm) perl(Crypt/PK/ECC.pm) perl(Dancer.pm) perl(Data/UUID.pm) perl(Digest/SHA.pm) perl(HTTP/Link.pm) perl(HTTP/Request.pm) perl(JSON.pm) perl(LWP/Protocol/https.pm) perl(LWP/UserAgent.pm) perl(Log/Any.pm) perl(Log/Any/Adapter/Log4perl.pm) perl(Log/Log4perl.pm) perl(MIME/Base64.pm) perl(Module/Build/Tiny.pm) perl(Moo.pm) perl(Path/Tiny.pm) perl(Plack.pm) perl(String/Escape.pm) perl(Test/Exception.pm) perl(Test/More.pm) perl(Test/Pod.pm) perl(Test/Simple.pm) perl(URI/Escape.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.3
Release: alt1
Summary: A Perl Sold Web Client
Group: Development/Perl
License: perl
URL: https://github.com/phochste/Web-Solid-Auth

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/H/HO/HOCHSTEN/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This is a Solid-OIDC implementation of a connection class for the Solid
server. Use the `bin/solid_auth.pl' command as a command line implementation.
Check out the `example' directory for a demo web application.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes LICENSE example
%perl_vendor_privlib/W*

%changelog
