%define module_name WebService-Hexonet-Connector
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(Config.pm) perl(Data/Dumper.pm) perl(ExtUtils/MakeMaker.pm) perl(LWP/Protocol/https.pm) perl(LWP/UserAgent.pm) perl(List/MoreUtils.pm) perl(MIME/Base64.pm) perl(POSIX.pm) perl(Readonly.pm) perl(Scalar/Util.pm) perl(Test/Exception.pm) perl(Test/More.pm) perl(Test/RequiresInternet.pm) perl(Time/Local.pm) perl(parent.pm) perl(utf8.pm) perl(version.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 2.10.2
Release: alt1
Summary: Connector library for the insanely fast L<HEXONET Backend API|https://www.hexonet.net/>.
Group: Development/Perl
License: mit
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/H/HE/HEXONET/%{module_name}-v%{version}.tar.gz
BuildArch: noarch

%description
This module allows to query the API and to deal with different response formats (list, list_hash, hash).
It provides a short hand method (WebService::Hexonet::Connector::connect) to instantiate API clients.

A helper utility module is also included for tasks like date handling and string encoding.

%prep
%setup -q -n %{module_name}-v%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes LICENSE CONTRIBUTING.md HISTORY.md README.md docs
%perl_vendor_privlib/W*

%changelog
