%define module_name WebService-Mattermost
Epoch: 1
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Data/Perl/Role/Collection/Array.pm) perl(DateTime.pm) perl(Dist/Zilla/App/Command/cover.pm) perl(Encode.pm) perl(Encode/CN.pm) perl(Encode/JP.pm) perl(Encode/KR.pm) perl(Encode/TW.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(List/MoreUtils.pm) perl(Mojolicious.pm) perl(Moo.pm) perl(MooX/HandlesVia.pm) perl(Readonly.pm) perl(Role/EventEmitter.pm) perl(Test/Compile.pm) perl(Test/Exception.pm) perl(Test/Most.pm) perl(Test/Pod.pm) perl(Test/Spec.pm) perl(Types/Standard.pm) perl(base.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.25
Release: alt1
Summary: a SDK for interacting with Mattermost.
Group: Development/Perl
License: mit
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/M/MI/MIKEJONES/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
WebService::Mattermost provides websocket and REST API integrations for Mattermost,
and supercedes `Net::Mattermost::Bot', replacing all functionality.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README CONTRIBUTING.md LICENSE README.md LICENSE.txt
%perl_vendor_privlib/W*

%changelog
