%define _without_test 1
%define module_name WebService-Rackspace-CloudFiles
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Archive/Tar.pm) perl(CPAN.pm) perl(Crypt/SSLeay.pm) perl(Data/Stream/Bulk/Callback.pm) perl(DateTime.pm) perl(DateTime/Format/HTTP.pm) perl(Digest/MD5.pm) perl(Digest/MD5/File.pm) perl(ExtUtils/CBuilder.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Slurp.pm) perl(File/stat.pm) perl(HTTP/Response.pm) perl(IO/Compress/Gzip.pm) perl(JSON.pm) perl(JSON/Any.pm) perl(LWP.pm) perl(LWP/ConnCache.pm) perl(LWP/Protocol/https.pm) perl(LWP/UserAgent/Determined.pm) perl(Module/Build.pm) perl(Moo.pm) perl(MooX/StrictConstructor.pm) perl(Net/FTP.pm) perl(Parse/CPAN/Meta.pm) perl(Test/Exception.pm) perl(Test/LWP/UserAgent.pm) perl(Test/More.pm) perl(Test/Pod.pm) perl(Types/Standard.pm) perl(URI.pm) perl(YAML/Tiny.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 2.02
Release: alt1
Summary: Interface to Rackspace CloudFiles service
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/C/CK/CKRAS/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This module was forked from the Net::Mosso::CloudFiles manpage which was written by Leon
Brocard <acme@astray.com>. However, due to Mosso changing its name to Rackspace
it felt right to fork the module to a new namespace. Upgrading from
the Net::Mosso::CloudFiles manpage 0.44 should only require you to rename all Net::Mosso
entries to WebService::Rackspace.

This module provides a simple interface to the Rackspace Cloud Files
service. "Cloud Files is reliable, scalable and affordable web-based
storage for backing up and archiving all your static content".
Find out more at http://www.rackspacecloud.com/cloud_hosting_products/files.

To use this module you will need to sign up to Rackspace Cloud Files
and provide a "user" and "key". If you use this module, you will
incurr costs as specified by Rackspace. Please check the costs. If
you use this module with your user and key you will be responsible
for these costs.

I highly recommend reading all about Cloud Files, but in a nutshell
data is stored in objects. Objects are referenced by names and objects
are stored in containers.


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README CHANGES
%perl_vendor_privlib/W*

%changelog
