%define module_name WebService-Slack-WebApi
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Class/Accessor/Lite.pm) perl(Class/Accessor/Lite/Lazy.pm) perl(Class/Load.pm) perl(Data/Validator.pm) perl(Exception/Tiny.pm) perl(Exporter.pm) perl(Furl.pm) perl(HTTP/AnyUA.pm) perl(IO/Socket/SSL.pm) perl(JSON.pm) perl(MIME/Base64.pm) perl(Module/Build/Tiny.pm) perl(Test/Exception.pm) perl(Test/More.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.18
Release: alt1
Summary: a simple wrapper for Slack Web API
Group: Development/Perl
License: mit
URL: https://github.com/mihyaeru21/p5-WebService-Slack-WebApi

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/M/MI/MIHYAERU/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
WebService::Slack::WebApi is a simple wrapper for Slack Web API (https://api.slack.com/web).



%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README.md LICENSE examples
%perl_vendor_privlib/W*

%changelog
