%define module_name WebService-ValidSign
# BEGIN SourceDeps(oneline):
BuildRequires: perl(CPAN/Meta/Requirements.pm) perl(Carp.pm) perl(Config/Any.pm) perl(Config/General.pm) perl(Data/Dumper.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(File/Spec/Functions.pm) perl(File/Temp.pm) perl(Getopt/Long.pm) perl(HTTP/Request.pm) perl(HTTP/Request/Common.pm) perl(HTTP/Response.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(Import/Into.pm) perl(JSON.pm) perl(JSON/XS.pm) perl(LWP/UserAgent.pm) perl(List/Util.pm) perl(Module/Metadata.pm) perl(Module/Pluggable/Object.pm) perl(Moo.pm) perl(Moo/Role.pm) perl(Moose.pm) perl(Pod/Usage.pm) perl(String/CamelSnakeKebab.pm) perl(Sub/Override.pm) perl(Test/Exception.pm) perl(Test/Lib.pm) perl(Test/More.pm) perl(Test/Most.pm) perl(Type/Library.pm) perl(Type/Utils.pm) perl(Types/Standard.pm) perl(URI.pm) perl(namespace/autoclean.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.003
Release: alt1
Summary: A REST API client for ValidSign
Group: Development/Perl
License: bsd
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/W/WA/WATERKIP/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
A module that uses the ValidSign API to create/upload and sign documents.
This module is in ALPHA state and is subject to change at any given moment
without notice.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %EVR

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes CONTRIBUTORS README.md LICENSE examples
%perl_vendor_privlib/W*

%files scripts
%_man1dir/*
%_bindir/*

%changelog
