%define module_name Webservice-Judobase
# BEGIN SourceDeps(oneline):
BuildRequires: perl(File/Spec.pm) perl(HTTP/Request.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(JSON/Tiny.pm) perl(LWP/UserAgent.pm) perl(Moo.pm) perl(Test/More.pm) perl(Test2/V0.pm) perl(namespace/clean.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.004
Release: alt1
Summary: This module wraps the www.judobase.org website API.
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/L/LA/LANCEW/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Simple wrapper around the www.judobase.org API to make working with the
Judobase API easier

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README LICENSE Changes README.POD examples
%perl_vendor_privlib/W*

%changelog
