# BEGIN SourceDeps(oneline):
BuildRequires: perl(Algorithm/BloomFilter.pm) perl(ExtUtils/MakeMaker.pm) perl(File/ShareDir.pm) perl(File/ShareDir/Install.pm) perl(File/Slurper.pm) perl(File/Spec.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(Pod/Coverage/TrustPod.pm) perl(Test/More.pm) perl(Test/Perl/Critic.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(WordList.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define module_name WordList-Password-RockYou-BloomOnly
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.002
Release: alt1
Summary: RockYou password wordlist (~14.3mil passwords) (bloom-only edition)
Group: Development/Perl
License: perl
URL: https://metacpan.org/release/WordList-Password-RockYou-BloomOnly

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PE/PERLANCAR/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
`word_exists()' can be used to test a string against the RockYou password
wordlist (~14.3 million passwords). You can use it with, e.g.
the App::PasswordWordListUtils manpage's the exists-in-password-wordlist manpage. Uses bloom
filter (bloom size=33M, k=13, false-positve rate=0.01245%%).

The other methods like `each_word()', `all_words()', `first_word()',
`next_word()' will return empty list of words, because this distribution only
contains the bloom filter and not the actual wordlist.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes LICENSE
%perl_vendor_privlib/W*
%perl_vendor_privlib/auto/*

%changelog
