# BEGIN SourceDeps(oneline):
BuildRequires: imlib2-devel libX11-devel libXext-devel libsowing-devel perl(Devel/CheckLib.pm) perl(ExtUtils/PkgConfig.pm) perl(FindBin.pm) perl(Module/Build.pm) perl(Test/Kwalitee.pm) perl(Test/More.pm) perl(XSLoader.pm) perl(lib.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define module_version 0.994
%define module_name X11-FullScreen
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.994
Release: alt5
Summary: Create a full-screen window with Xlib
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/S/ST/STEPHEN/%{module_name}-%{module_version}.tar.gz

%description
This module is used for creating simple borderless X windows that take up the entire screen. You can use it to display still images, or to show movies (with Video::Xine).

It was primarily developed to provide a no-frills interface to X for use with the Video::Xine manpage, as part of the the Video::PlaybackMachine manpage project.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release
BuildArch: noarch

%description scripts
scripts for %module_name
%prep
%setup -q -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE README README.ubuntu Changes
%perl_vendor_archlib/X*
%perl_vendor_autolib/*

%files scripts
%_bindir/*

%changelog
