# BEGIN SourceDeps(oneline):
BuildRequires: libX11-devel libXtst-devel libsowing-devel perl(DynaLoader.pm) perl(Exporter.pm) perl(ExtUtils/Constant.pm) perl(ExtUtils/MakeMaker.pm) xorg-xproto-devel xvfb-run
# END SourceDeps(oneline)
%ifndef _build_display
%def_without test
%endif
%define module_version 0.15
%define module_name X11-GUITest-record
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.15
Release: alt6
Summary: Perl implementation of the X11 record extension.
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/M/MK/MKODERER/%{module_name}-%{module_version}.tar.gz

%description
This Perl package uses the X11 record extension to capture events 
(from X-server) and  requests (from X-client). Futher it is 
possible to capture mostly all client/server
communitation (partially implemented)

For a full description of the extension see the 
Record Extension Protocol Specification of the 
X Consortium Standard (Version 11, Release 6.4)
%prep
%setup -n %{module_name}-%{module_version}

%build
%perl_vendor_build
xvfb-run -a make test

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_archlib/X*
%perl_vendor_autolib/*

%changelog
