%define module_version 0.09
%define module_name X11-IdleTime
# BEGIN SourceDeps(oneline):
BuildRequires: libX11-devel libXScrnSaver-devel libXext-devel perl(Config.pm) perl(Devel/CheckLib.pm) perl(Exporter.pm) perl(Inline.pm) perl(Inline/C.pm) perl(Inline/MakeMaker.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.09
Release: alt6
Summary: Get the idle time of X11
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/A/AW/AWENDT/%{module_name}-%{module_version}.tar.gz

%description
The X11::IdleTime module is useful for checking how long the user has been idle.


%prep
%setup -n %{module_name}-%{module_version}
mkdir X11
cp IdleTime.pm X11/

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_archlib/X*
%perl_vendor_autolib/X*

%changelog
