Group: Development/Perl
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(CPAN/Meta.pm) perl(Pod/Readme/Brief.pm) perl(Software/LicenseUtils.pm) perl(Test/LongString.pm) perl(Time/Date.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-XML-Atom-SimpleFeed
Version:        0.904
Release:        alt2_5
Summary:        No-fuss generation of Atom syndication feeds
License:        GPL+ or Artistic

URL:            https://metacpan.org/release/XML-Atom-SimpleFeed
Source0:        https://cpan.metacpan.org/authors/id/A/AR/ARISTOTLE/XML-Atom-SimpleFeed-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  rpm-build-perl
BuildRequires:  perl(Carp.pm)
BuildRequires:  perl(Class/Date.pm)
BuildRequires:  perl(DateTime.pm)
BuildRequires:  perl(Encode.pm)
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(File/Find.pm)
BuildRequires:  perl(File/Temp.pm)
BuildRequires:  perl(POSIX.pm)
BuildRequires:  perl(Test/More.pm)
BuildRequires:  perl(Time/Piece.pm)
BuildRequires:  perl(URI.pm)
BuildRequires:  perl(Web/Scraper/LibXML.pm)
BuildRequires:  perl(XML/LibXML.pm)
BuildRequires:  perl(constant.pm)
BuildRequires:  perl(strict.pm)
BuildRequires:  perl(utf8.pm)
BuildRequires:  perl(warnings.pm)


Source44: import.info

%description
This module provides a minimal API for generating Atom syndication feeds
quickly and easily. It supports all aspects of the Atom format, but it has
no provisions for generating feeds with extension elements.


%prep
%setup -q -n XML-Atom-SimpleFeed-%{version}
/usr/bin/perl -pi -e 's|#!/usr/bin/perl||' t.pl x.pl

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}


%install
%{makeinstall_std}
# %{_fixperms} $RPM_BUILD_ROOT/*


%check
%{make_build} test


%files
%doc Changes README
%doc --no-dereference LICENSE
%{perl_vendor_privlib}/XML*


%changelog
