# BEGIN SourceDeps(oneline):
BuildRequires: gdome2-devel libxml2-devel perl(Config.pm) perl(DynaLoader.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(Test.pm) perl(XML/GDOME.pm)
# END SourceDeps(oneline)
%define module_version 0.10
%define module_name XML-Canonical
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.10
Release: alt6
Summary: Perl Implementation of Canonical XML
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/T/TJ/TJMATHER/%module_name-%module_version.tar.gz

%description
This module provides an implementation of Canonical XML Recommendation
(Version 1, 15 March 2001).  It uses the XML::GDOME manpage for its DOM tree and
XPath nodes.

It provides a XS wrapper around libxml2's Canonical XML code.


%prep
%setup -n %module_name-%module_version
sed -i -e 's,die ,warn ,' Makefile.PL

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc TODO Changes README
%perl_vendor_archlib/X*
%perl_vendor_autolib/*

%changelog
