Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(encoding.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-XML-DOM-XPath
Version:        0.14
Release:        alt2_39
Summary:        Perl extension to add XPath support to XML::DOM, using XML::XPath engine
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/XML-DOM-XPath
Source0:        https://cpan.metacpan.org/modules/by-module/XML/XML-DOM-XPath-%{version}.tar.gz
Patch0:         XML-DOM-XPath-0.14-Remove-deprecated-pragma-encoding.patch
BuildArch:      noarch
BuildRequires:  rpm-build-perl
BuildRequires:  perl-devel
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
# Run-time:
BuildRequires:  perl(strict.pm)
BuildRequires:  perl(vars.pm)
BuildRequires:  perl(warnings.pm)
BuildRequires:  perl(XML/DOM.pm)
BuildRequires:  perl(XML/XPathEngine.pm)
# Tests:
BuildRequires:  perl(Test.pm)
BuildRequires:  perl(Test/More.pm)
# Optional tests:
BuildRequires:  perl(XML/XPath.pm)
BuildRequires:  perl(Test/Pod.pm)
BuildRequires:  perl(Test/Pod/Coverage.pm)
Requires:       perl(warnings.pm)
Requires:       perl(XML/XPathEngine.pm) >= 0.100

# Remove provides which clash with symbols from perl-XML-DOM


# Remove under-specified dependencies

Source44: import.info
%filter_from_provides /perl(XML.DOM.\(Attr\|Comment\|Document\).pm)/d
%filter_from_provides /perl(XML.DOM.\(Element\|Namespace\|Node\|ProcessingInstruction\|Text\).pm)/d
%filter_from_requires /^perl(XML.XPathEngine.pm)/d


%description
XML::DOM::XPath allows you to use XML::XPath methods to query a DOM. This
is often much easier than relying only on getElementsByTagName.

%prep
%setup -q -n XML-DOM-XPath-%{version}
%patch0 -p1

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
%make_build

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
# %{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc Changes README
%{perl_vendor_privlib}/*

%changelog
