Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Jcode.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:          perl-XML-FeedPP
Version:       0.95
Release:       alt2_11
Summary:       Parse/write/merge/edit RSS/RDF/Atom syndication feeds
License:       GPL+ or Artistic
URL:           https://metacpan.org/release/XML-FeedPP
Source0:       https://cpan.metacpan.org/modules/by-module/XML/XML-FeedPP-%{version}.tar.gz

BuildArch:     noarch
BuildRequires: rpm-build-perl
BuildRequires: perl-devel
BuildRequires: perl(ExtUtils/MakeMaker.pm)
BuildRequires: perl(strict.pm)
BuildRequires: perl(warnings.pm)
# Run-time
BuildRequires: perl(Carp.pm)
BuildRequires: perl(Time/Local.pm)
BuildRequires: perl(vars.pm)
BuildRequires: perl(XML/TreePP.pm)
# Tests
BuildRequires: perl(Data/Dumper.pm)
BuildRequires: perl(Encode.pm)
BuildRequires: perl(Test/More.pm)
Source44: import.info

%description
Parse/write/merge/edit RSS/RDF/Atom syndication feeds

%prep
%setup -q -n XML-FeedPP-%{version}

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
%make_build

%install
make %{?_smp_mflags} pure_install DESTDIR=$RPM_BUILD_ROOT
# %{_fixperms} $RPM_BUILD_ROOT

%check
make %{?_smp_mflags} test || :

%files
%doc README Changes
%dir %{perl_vendor_privlib}/XML/
%{perl_vendor_privlib}/XML/FeedPP.pm

%changelog
