Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-XML-Parser-Lite-Tree-XPath
Version:        0.24
Release:        alt3_28
Summary:        XPath access to XML::Parser::Lite::Tree structures
License:        Artistic 2.0
URL:            https://metacpan.org/release/XML-Parser-Lite-Tree-XPath
Source0:        https://cpan.metacpan.org/authors/id/I/IA/IAMCAL/XML-Parser-Lite-Tree-XPath-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  rpm-build-perl
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
# Run-time
BuildRequires:  perl(Data/Dumper.pm)
BuildRequires:  perl(Exporter.pm)
BuildRequires:  perl(Test/More.pm)
BuildRequires:  perl(XML/Parser/Lite/Tree.pm)
# Tests
BuildRequires:  perl(lib.pm)
Requires:       perl(XML/Parser/Lite/Tree.pm) >= 0.110


Source44: import.info

%description
This pure-Perl implementation of XPath is a complement to
XML::Parser::Lite::Tree, a pure-Perl XML tree parser and builder. It aims
to implement 100% of the W3C XPath specification.

%prep
%setup -q -n XML-Parser-Lite-Tree-XPath-%{version}

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install

make pure_install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

# %{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc Changes README
%{perl_vendor_privlib}/*

%changelog
