%define module_name XML-XSH2
BuildRequires: perl-podlators
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Config.pm) perl(Cwd.pm) perl(Data/Dumper.pm) perl(Encode.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(Filter/Simple.pm) perl(FindBin.pm) perl(IO/File.pm) perl(IO/Handle.pm) perl(IO/Scalar.pm) perl(IPC/Open2.pm) perl(Module/Compile.pm) perl(Parse/RecDescent.pm) perl(Pod/Usage.pm) perl(Scalar/Util.pm) perl(Sys/Hostname.pm) perl(Term/ReadLine.pm) perl(Term/ReadLine/Perl.pm) perl(Text/Balanced.pm) perl(Text/Wrap.pm) perl(URI.pm) perl(XML/Filter/DOMFilter/LibXML.pm) perl(XML/LibXML.pm) perl(XML/LibXML/Common.pm) perl(XML/LibXML/Iterator.pm) perl(XML/LibXML/XPathContext.pm) perl(XML/LibXSLT.pm) perl(XML/SAX/Writer.pm) perl(XML/XUpdate/LibXML.pm) perl(base.pm) perl(overload.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 2.2.9
Release: alt1
Summary: XML Editing Shell
Group: Development/Perl
License: Artistic
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/C/CH/CHOROBA/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This module implements XSH sripting language. XSH stands for XML
(editing) SHell. XSH language is documented in the XSH manpage
and on http://xsh.sourceforge.net/documentation.html.

The distribution package of XML::XSH2 module includes XSH shell
interpreter called `xsh' (see the xsh manpage). To use it interactively, run
`xsh -i'.

%package scripts
Summary: %name scripts
Group: Development/Perl
Requires: %{?epoch:%epoch:}%name = %version-%release

%description scripts
scripts for %name

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes BUGS README LICENSE TODO Artistic
%perl_vendor_privlib/X*

%files scripts
%_bindir/*
%_man1dir/*
%_man1dir/*


%changelog
