%define module_name YAML-Conditional
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(Module/Metadata.pm) perl(Struct/Conditional.pm) perl(Test/More.pm) perl(YAML/XS.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.00
Release: alt1
Summary: A conditional language within a YAML struct
Group: Development/Perl
License: artistic_2
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/L/LN/LNATION/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Quick summary of what the module does.

Perhaps a little code snippet.

_use YAML::Conditional;

_my $c = YAML::Conditional->new();

_my $yaml = q|
_for:
_  country: '{country}'
_  each: countries
_  else:
_    then:
_      rank: ~
_  elsif:
_    key: country
_    m: Indonesia
_    then:
_      rank: 2
_  if:
_    key: country
_    m: Thailand
_    then:
_      rank: 1
_  key: countries
_|;

_$json = $c->compile($yaml, {
__countries => [
___{ country => "Thailand" },
___{ country => "Indonesia" },
___{ country => "Japan" },
___{ country => "Cambodia" },
__]
_});

_...

_countries:
_- country: Thailand
_  rank: 1
_- country: Indonesia
_  rank: 2
_- country: Hawaii
_  rank: ~
_- country: Canada
_  rank: ~

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc ignore.txt Changes README
%perl_vendor_privlib/Y*

%changelog
