%define module_name ZMQ-FFI
# BEGIN SourceDeps(oneline):
BuildRequires: libzeromq-devel perl(AnyEvent.pm) perl(Carp.pm) perl(Class/XSAccessor.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(FFI/CheckLib.pm) perl(FFI/Platypus.pm) perl(FFI/Platypus/Buffer.pm) perl(FFI/Platypus/Memory.pm) perl(Import/Into.pm) perl(List/Util.pm) perl(Math/BigInt.pm) perl(Moo.pm) perl(Moo/Role.pm) perl(POSIX.pm) perl(Path/Class.pm) perl(Scalar/Util.pm) perl(Sub/Exporter.pm) perl(Sub/Override.pm) perl(Sys/SigAction.pm) perl(Template/Tiny.pm) perl(Test/Deep.pm) perl(Test/Exception.pm) perl(Test/More.pm) perl(Test/NoWarnings.pm) perl(Test/Warnings.pm) perl(Time/HiRes.pm) perl(Try/Tiny.pm) perl(ZMQ/LibZMQ3.pm) perl(autodie.pm) perl(bytes.pm) perl(feature.pm) perl(if.pm) perl(locale.pm) perl(namespace/clean.pm) perl(strict.pm) perl(threads.pm) perl(utf8.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.17
Release: alt1
Summary: zeromq bindings using libffi and FFI::Raw
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/C/CA/CALID/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
From summary: %summary

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes LICENSE README README.md COPYING
%perl_vendor_privlib/Z*

%changelog
