# BEGIN SourceDeps(oneline):
BuildRequires: perl(Config.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(Proc/Guard.pm) perl(Storable.pm) perl(Test/Fatal.pm) perl(Test/More.pm) perl(Test/Requires.pm) perl(Test/SharedFork.pm) perl(ZMQ/Constants.pm) perl(ZMQ/LibZMQ3.pm) perl(base.pm) perl(threads.pm)
# END SourceDeps(oneline)
%define module_version 0.02
%define module_name ZMQ-LibZMQ3-LibZMQ2
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.02
Release: alt1
Summary: Seamlessly Run LibZMQ Progs against LibZMQ3
Group: Development/Perl
License: bsd
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/B/BI/BINARY/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
This provides an interface compatible with ZMQ::LibZMQ2, but runs against
ZMQ::LibZMQ3.  For more information and documentation, see ZMQ::LibZMQ2

To port, assuming no fully qualified namespace calls, change

 use ZMQ::LibZMQ2;

to

 use ZMQ::LibZMQ3::LibZMQ2;
%prep
%setup -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.md README Changes LICENSE
%perl_vendor_privlib/Z*

%changelog
