# BEGIN SourceDeps(oneline):
BuildRequires: libzeromq-devel perl(CPAN.pm) perl(Config.pm) perl(Cwd.pm) perl(Devel/CheckLib.pm) perl(Devel/PPPort.pm) perl(Exporter.pm) perl(ExtUtils/MM_Unix.pm) perl(ExtUtils/MakeMaker.pm) perl(ExtUtils/Manifest.pm) perl(Fcntl.pm) perl(File/Basename.pm) perl(File/Find.pm) perl(File/Spec.pm) perl(File/Temp.pm) perl(FileHandle.pm) perl(JSON.pm) perl(LWP/Simple.pm) perl(List/Util.pm) perl(Module/Build.pm) perl(Net/FTP.pm) perl(Parse/CPAN/Meta.pm) perl(Socket.pm) perl(Storable.pm) perl(Test/Fatal.pm) perl(Test/More.pm) perl(Test/Requires.pm) perl(Test/SharedFork.pm) perl(Text/ParseWords.pm) perl(XSLoader.pm) perl(YAML/Tiny.pm) perl(ZMQ/Constants.pm) perl(base.pm) perl(inc/Module/Install.pm) perl(threads.pm)
# END SourceDeps(oneline)
%define module_version 0.01
%define module_name ZMQ-LibZMQ4
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.01
Release: alt8
Summary: A libzmq 4.x wrapper for Perl
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/M/MO/MOSCONI/%{module_name}-%{module_version}.tar.gz

%description
The `ZMQ::LibZMQ4' module is a wrapper of the 0MQ message passing library for Perl. 

Before you start using this module, please make sure you have read and understood the zguide.

    http://zguide.zeromq.org/page:all

For specifics on each function, please refer to their documentation for the definitive explanation of each.

    http://api.zeromq.org/

This module is merely a thin wrapper around the C API: You need to understand
how the C API works in order to properly use this module.

Note that this is a wrapper for libzmq 4.x. For 2.x, you need to check the ZMQ::LibZMQ2 manpage and for 3.x, you need to check the ZMQ::LibZMQ3 manpage


%prep
%setup -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes
%perl_vendor_archlib/Z*
%perl_vendor_autolib/*

%changelog
