%define module_name Zilla-Dist
%add_findreq_skiplist */bin/zild-make-cpan
%add_findreq_skiplist */bin/zild-massive-attack
# BEGIN SourceDeps(oneline):
BuildRequires: perl(CPAN/Uploader.pm) perl(Dist/Zilla.pm) perl(Dist/Zilla/Plugin/ChangesFromYaml.pm) perl(Dist/Zilla/Plugin/GithubMeta.pm) perl(Dist/Zilla/Plugin/ReadmeFromPod.pm) perl(Dist/Zilla/Plugin/TestBaseIncluder.pm) perl(Dist/Zilla/Plugin/TestML1Includer.pm) perl(Dist/Zilla/Plugin/TestMLIncluder.pm) perl(Dist/Zilla/PluginBundle/Git.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Share.pm) perl(File/ShareDir/Install.pm) perl(Hash/Merge.pm) perl(IO/All.pm) perl(JSON.pm) perl(Swim.pm) perl(Swim/Plugin/badge.pm) perl(Swim/Plugin/cpan.pm) perl(Template/Toolkit/Simple.pm) perl(Test/Pod.pm) perl(YAML/XS.pm) perl(version.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.1.5
Release: alt1
Summary: Dist::Zilla Bashed Inside Out
Group: Development/Perl
License: perl
URL: https://github.com/ingydotnet/zilla-dist-pm

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/I/IN/INGY/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
From summary: %summary

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build INSTALLMAN1DIR=%_man1dir

%install
%perl_vendor_install

%files
%doc CONTRIBUTING LICENSE Changes README
%perl_vendor_privlib/Z*
%perl_vendor_privlib/auto/*

%files scripts
%_bindir/*

%changelog
