# BEGIN SourceDeps(oneline):
BuildRequires: perl(Data/Object/Class.pm) perl(Data/Object/ClassHas.pm) perl(ExtUtils/MakeMaker.pm) perl(Test/Auto.pm) perl(routines.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define module_name Zing
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.01
Release: alt1
Summary: Multi-Process Management System
Group: Development/Perl
License: apache
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/A/AW/AWNCORP/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This package provides a multi-process management system and framework for
creating event-driven applications using actor-model architecture and
erlang-style supervision trees.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE CHANGES README.md README
%perl_vendor_privlib/Z*

%changelog
