%define module_name Zydeco
# BEGIN SourceDeps(oneline):
BuildRequires: perl(B.pm) perl(B/Hooks/EndOfScope.pm) perl(Carp.pm) perl(Data/Dumper.pm) perl(Devel/StrictMode.pm) perl(Devel/TypeTiny/Perl56Compat.pm) perl(Exporter/Tiny.pm) perl(ExtUtils/MakeMaker.pm) perl(FindBin.pm) perl(Import/Into.pm) perl(Keyword/Simple.pm) perl(Module/Runtime.pm) perl(Moo.pm) perl(MooX/Press.pm) perl(PPR.pm) perl(PadWalker.pm) perl(Path/ScanINC.pm) perl(Syntax/Keyword/Try.pm) perl(Test/Fatal.pm) perl(Test/More.pm) perl(Test/Requires.pm) perl(Type/Params.pm) perl(Types/Standard.pm) perl(namespace/autoclean.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.613
Release: alt1
Summary: Jazz up your Perl
Group: Development/Perl
License: perl
URL: http://zydeco.toby.ink/

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/T/TO/TOBYINK/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Zydeco is a Perl module to jazz up your object-oriented programming.
It fuses together:

=over

=item *

Classes, roles, and interfaces

=item *

Powerful and concise attribute definitions

=item *

Methods with signatures, type constraints, and coercion

=item *

Factories to help your objects make other objects

=item *

Multimethods

=item *

Method modifiers to easily wrap or override inherited methods

=item *

Powerful delegation features

=item *

True private methods and attributes

=item *

Parameterizable classes and roles

=item *

Syntactic sugar as sweet as pecan pie

=back

the Zydeco::Manual manpage is probably the best place to start.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc CREDITS COPYRIGHT README LICENSE Changes examples
%perl_vendor_privlib/Z*
%perl_vendor_privlib/M*

%changelog
