Group: Video
# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/pod2man perl(Encode.pm) perl(Pod/Usage.pm) perl-devel
# END SourceDeps(oneline)
%define oldname clive
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-clive
Version:        2.3.3
Release:        alt2_25
Summary:        Video extraction tool for user-uploaded video hosts

License:        GPLv3+
URL:            http://clive.sourceforge.net/
Source0:        http://downloads.sourceforge.net/%{oldname}/%{oldname}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  rpm-build-perl
BuildRequires:  perl(ExtUtils/MakeMaker.pm) perl(Test/Base.pm)  perl(Getopt/ArgvFile.pm) perl(JSON/XS.pm) perl(version.pm)
Requires:        perl(Getopt/ArgvFile.pm) perl(JSON/XS.pm) perl(version.pm) quvi0.9 curl
Source44: import.info

%description
clive is a video extraction tool for user-uploaded video hosts such as Youtube,
Google Video, Dailymotion, Guba, Metacafe and Sevenload.
It can be chained with 3rd party tools for subsequent video
re-encoding and and playing.

%prep
%setup -n %{oldname}-%{version} -q
# use the correct quvi call
sed -i -e '15s/^.//' -e '13s/^/#/' examples/cliverc

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor
%make_build


%install
mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/%{oldname}
install -p -m 644 examples/cliverc  $RPM_BUILD_ROOT/%{_sysconfdir}/%{oldname}/config
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*


%check
export NO_INTERNET=1
make test


%files
%doc ChangeLog COPYING README examples/cliverc
%dir %{_sysconfdir}/%{oldname}
%{_bindir}/%{oldname}
%{_mandir}/man1/%{oldname}.1*
%config(noreplace) %{_sysconfdir}/%{oldname}/config


%changelog
