# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(CPAN.pm) perl(Carp.pm) perl(Config.pm) perl(Cwd.pm) perl(File/Basename.pm) perl(File/Find.pm) perl(File/Spec.pm) perl(FileHandle.pm) perl(FindBin.pm) perl(JSON.pm) perl(LWP/Simple.pm) perl(Module/Build.pm) perl(Net/FTP.pm) perl(Parse/CPAN/Meta.pm) perl(Socket.pm) perl(Test/Fixme.pm) perl(Test/Kwalitee.pm) perl(Test/NoWarnings.pm) perl(Test/Pod/Coverage.pm) perl(YAML/Tiny.pm) perl(lib.pm) perl(overload.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define upstream_name    ex-lib
%define upstream_version 0.90

Name:       perl-%{upstream_name}
Version:    %{upstream_version}
Release:    alt1_13

License:    GPL+ or Artistic
Group:      Development/Perl
Summary:    The same as C<lib>, but makes relative path absolute
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/ex/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl-devel
BuildRequires: perl(inc/Module/Install.pm)
BuildRequires: perl-PathTools
BuildRequires: perl(lib/abs.pm)

BuildArch: noarch
Requires: perl(lib/abs.pm)
Provides: perl(ex/lib.pm)
Source44: import.info


%description
no description found

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%makeinstall_std

%files
%doc Changes README META.yml
%perl_vendor_privlib/*


%changelog
