%define module_name exact-cli
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(Pod/Coverage/TrustPod.pm) perl(Test/EOL.pm) perl(Test/Kwalitee.pm) perl(Test/More.pm) perl(Test/NoTabs.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(Test/Synopsis.pm) perl(Test2/V0.pm) perl(Util/CommandLine.pm) perl(exact.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.05
Release: alt1
Summary: Command-line interface helper utilities extension for exact
Group: Development/Perl
License: artistic_2
URL: https://github.com/gryphonshafer/exact-cli

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/G/GR/GRYPHON/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
the exact::cli manpage is command-line interface helper utilities extension for the exact manpage.
It effectively is an integration of the Util::CommandLine manpage with the exact manpage.
Consult the the Util::CommandLine manpage documentation for additional information.
See the the exact manpage documentation for additional informatioh about
extensions. The intended use of the exact::cli manpage is via the extension interface
of the exact manpage.

    use exact cli, conf, noutf8;

However, you can also use it directly, which will also use the exact manpage with
default options:

    use exact::cli;

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE Changes README
%perl_vendor_privlib/e*

%changelog
