%define module_name exact-conf
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Config/App.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(Pod/Coverage/TrustPod.pm) perl(Test/EOL.pm) perl(Test/Kwalitee.pm) perl(Test/More.pm) perl(Test/NoTabs.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(Test/Synopsis.pm) perl(Test2/V0.pm) perl(exact.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.05
Release: alt1
Summary: Cascading merged application configuration extension for exact
Group: Development/Perl
License: artistic_2
URL: https://github.com/gryphonshafer/exact-conf

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/G/GR/GRYPHON/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
the exact::conf manpage is a cascading merged application configuration extension for
the exact manpage. It effectively is an integration of the Config::App manpage with the exact manpage.
Consult the the Config::App manpage documentation for additional information.
See the the exact manpage documentation for additional informatioh about
extensions. The intended use of the exact::conf manpage is via the extension interface
of the exact manpage.

    use exact conf, conf, noutf8;

However, you can also use it directly, which will also use the exact manpage with
default options:

    use exact::conf;

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes LICENSE README
%perl_vendor_privlib/e*

%changelog
