%define module_version 0.017
%define module_name experimentals
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.017
Release: alt1
Summary: Experimental features made even easier
Group: Development/Perl
License: artistic_2
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/D/DC/DCONWAY/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
`use experimental' is a life-saver under modern Perls,
but if you want to be truly modern Perl hacker you need something like:

    use v5.22;
    use experimental qw(
            fc          postderef     current_sub
            say         regex_sets    unicode_eval
            state       array_base    postderef_qq
            switch      smartmatch    lexical_subs
            bitwise     signatures    lexical_topic
            evalbytes   refaliasing   unicode_strings
            autoderef
    );

which is uncomfortably verbose.

This module reduces that to:

    use v5.22;
    use experimentals;
%prep
%setup -q -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/e*

%changelog
