%define module_name fs-Promises
# BEGIN SourceDeps(oneline):
BuildRequires: perl(AnyEvent.pm) perl(AnyEvent/AIO.pm) perl(AnyEvent/XSPromises.pm) perl(Carp.pm) perl(ExtUtils/CBuilder.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(Hash/Util/FieldHash.pm) perl(IO/AIO.pm) perl(POSIX/AtFork.pm) perl(Ref/Util.pm) perl(Test/Exception.pm) perl(Test/More.pm) perl(XSLoader.pm) perl(experimental.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.03
Release: alt1
Summary: Promises interface to nonblocking file system operations
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/H/HU/HUGMEIR/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
`fs::Promises' is a promises layer around the AnyEvent::AIO manpage.  If your code
is using promises, then you can use this module to do fs-based stuff in
an asynchronous way.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%perl_vendor_privlib/f*

%changelog
