Group: Development/Perl
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-latest
Version:        0.03
Release:        alt2_33
Summary:        Use the latest Perl features
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/latest
Source0:        https://cpan.metacpan.org/authors/id/A/AN/ANDYA/latest-%{version}.tar.gz
BuildArch:      noarch
# Build
BuildRequires:  perl-devel
BuildRequires:  rpm-build-perl
BuildRequires:  perl(base.pm)
BuildRequires:  perl(lib.pm)
BuildRequires:  perl(Module/Build.pm)
BuildRequires:  perl(strict.pm)
BuildRequires:  perl(warnings.pm)
# Runtime
BuildRequires:  perl(Carp.pm)
BuildRequires:  perl(version.pm)
# Tests only
BuildRequires:  perl(Test/More.pm)
Source44: import.info

%description
Shake out any obscure problems that might result from your code being used by a
program that requires the latest Perl version.

%prep
%setup -q -n latest-%{version}

%build
perl Build.PL installdirs=vendor
./Build

%install
./Build install destdir=%{buildroot} create_packlist=0
# %{_fixperms} %{buildroot}/*

%check
./Build test

%files
%doc Changes README
%{perl_vendor_privlib}/*

%changelog
