%define module_name mojo-debugbar
# BEGIN SourceDeps(oneline):
BuildRequires: perl(DBIx/Class/Storage/Statistics.pm) perl(Devel/StackTrace.pm) perl(Mojo/Base.pm) perl(Mojo/JSON.pm) perl(Mojo/Loader.pm) perl(Mojo/Server.pm) perl(Mojo/Util.pm) perl(Time/HiRes.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.0.4
Release: alt1
Summary: # Mojo::Debugbar
Group: Development/Perl
License: see LICENSE
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/C/CR/CRLCU/%{module_name}-v%{version}.tar.gz
BuildArch: noarch

%description
This package is meant to help developers understand what's going on durring development with `Mojolicious` framework.

By default there are monitors for:
- DBIx queries
- current request
- templates rendered
- validation errors

%prep
%setup -q -n %{module_name}-v%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.md LICENSE ignore.txt Changes
%perl_vendor_privlib/M*

%changelog
