Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(CGI.pm) perl(CGI/Session.pm) perl(JSON.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Summary:    Perl backend for Qooxdoo
Name:       perl-qooxdoo-compat
Version:    0.7.3
Release:    alt2_38
License:    LGPLv2 or EPL
URL:        http://qooxdoo.org/
Source0:    http://downloads.sourceforge.net/qooxdoo/qooxdoo-%{version}-backend.tar.gz
Patch0:     perl-qooxdoo-compat-0.7.3-strict.patch
BuildArch:  noarch
BuildRequires:  rpm-build-perl
Source44: import.info

%description
This package provides the Perl backend for Qooxdoo, a comprehensive
and innovative Ajax application framework. This package supports
Qooxdoo 0.7.

%prep
%setup -q -n qooxdoo-%{version}-backend
%patch0 -p1

%build
# nothing to build

%install

install -Dp -m 0644  backend/perl/Qooxdoo/JSONRPC.pm \
    %{buildroot}%{perl_vendor_privlib}/Qooxdoo/JSONRPC.pm

%files
%doc AUTHORS LICENSE README RELEASENOTES TODO VERSION

%{perl_vendor_privlib}/Qooxdoo

%changelog
