%define module_name smokebrew
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Archive/Extract.pm) perl(CPAN/Perl/Releases.pm) perl(CPANPLUS/Backend.pm) perl(CPANPLUS/Configure.pm) perl(CPANPLUS/Error.pm) perl(CPANPLUS/Internals/Constants.pm) perl(CPANPLUS/Internals/Utils.pm) perl(Config/INI/Reader.pm) perl(Devel/PatchPerl.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Fetch.pm) perl(File/Path.pm) perl(File/Spec.pm) perl(File/pushd.pm) perl(IO/Handle.pm) perl(IPC/Cmd.pm) perl(IPC/Open3.pm) perl(List/Util.pm) perl(Log/Message/Simple.pm) perl(Module/CoreList.pm) perl(Module/Load/Conditional.pm) perl(Module/Pluggable.pm) perl(Moose.pm) perl(Moose/Role.pm) perl(Moose/Util/TypeConstraints.pm) perl(MooseX/ConfigFromFile.pm) perl(MooseX/Getopt.pm) perl(MooseX/Types/Email.pm) perl(MooseX/Types/Moose.pm) perl(MooseX/Types/Path/Class.pm) perl(MooseX/Types/URI.pm) perl(Parse/CPAN/Meta.pm)
BuildRequires: perl(Perl/Version.pm) perl(Pod/Coverage/TrustPod.pm) perl(Pod/Usage.pm) perl(Test/More.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(URI.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.00
Release: alt1
Summary: Automated Perl building and installation for CPAN Testers
Group: Development/Perl
License: perl
URL: https://github.com/bingos/smokebrew

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/B/BI/BINGOS/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
%summary

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %{?epoch:%epoch:}%name = %version-%release

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build INSTALLMAN1DIR=%_man1dir

%install
%perl_vendor_install

%files
%doc LICENSE Changes README examples
%perl_vendor_privlib/A*
%perl_vendor_privlib/s*

%files scripts
%_bindir/*

%changelog
