%define module_name uHTML
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(IO/Handle.pm) perl(LWP/MediaTypes.pm) perl(POSIX.pm) perl(Time/Local.pm) perl(URI/Escape.pm) perl(strict.pm) perl(version.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.04
Release: alt1
Summary: User specific extension of HTML code
Group: Development/Perl
License: lgpl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/O/OK/OKELLO/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
 

uHTML allows to extend HTML with user defined tags, extend standard HTML tags with new
attributes and alter the behaviour of standard HTML tags and attributes. The server translates
uHTML on the fly into HTML similar to PHP and other server side scripting languages. The main
advantage of uHTML is following the HTML syntax allowing webdesigners not familiar with programming
to use and edit uHTML tags in the same manner as HTML tags. Further uHTML makes copying of code
snippets across of project files superfluous simplifying maintenance and increasing the robustness
of code.

uHTML  consists of two packages, uHTML itself and uHTMLnode which provides the recursive
structure of a uHTML document. While uHTML is used to invoke the module, uHTMLnode
provides the interface to the customized tag code.

========================

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE README
%perl_vendor_privlib/u*

%changelog
