Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/glib-gettextize pkgconfig(glib-2.0) pkgconfig(gtk+-2.0)
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
# This is a plugin, so we don't need strict symbol linkage.
%undefine _strict_symbol_defs_build

Name: pidgin-toobars
Version: 1.14
Release: alt2_15
Summary: Toolbar and status bar for Pidgin

License: GPLv2+
Source0: http://vayurik.ru/wordpress/wp-content/uploads/toobars/%{version}/%{name}-%{version}.tar.gz
Patch0: 0001-Fix-incorrect-FSF-address.patch
URL: http://vayurik.ru/en/toobars

BuildRequires: pkgconfig(libpng)
BuildRequires: pkgconfig(purple)
BuildRequires: pkgconfig(pidgin)
BuildRequires: intltool
BuildRequires: gcc
Requires: pidgin

# RHEL8 has no Pidgin package on some architectures.
%if 0%{?rhel} && 0%{?rhel} == 8
ExcludeArch: aarch64 s390x
%endif
Source44: import.info

%description
This plugin adds toolbar and status bar to Pidgin buddy list.

%prep
%setup -q
%patch0 -p1


%build
%configure
%make_build

%install
%makeinstall_std

%find_lang toobars
rm -f %{buildroot}%{_libdir}/pidgin/toobars.la

%files -f toobars.lang
%doc AUTHORS ChangeLog README
%doc --no-dereference COPYING
%{_libdir}/pidgin/toobars.so
%{_datadir}/pixmaps/pidgin/buttons/*.png

%changelog
