Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python3
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global modname pkgwat.cli

Name:             pkgwat
Version:          0.13
Release:          alt2_9
Summary:          CLI tool for querying the fedora packages webapp

License:          LGPLv2+
URL:              https://pypi.python.org/pypi/pkgwat.cli
Source0:          https://pypi.python.org/packages/source/p/%{modname}/%{modname}-%{version}.tar.gz

BuildArch:        noarch

BuildRequires:    python3-devel
BuildRequires:    python3-module-distribute

%global _description\
Pronounced "package WAT", pkgwat is a fast CLI tool for querying the fedora\
packages webapp.  https://apps.fedoraproject.org/packages/\
\
You can make its search even better by helping us tag packages.\
https://apps.fedoraproject.org/tagger
Source44: import.info

%description 
%_description

%package -n python3-module-pkgwat
Group: Development/Other
Summary:          Python API for querying the fedora packages webapp

Requires:         python3-module-pkgwat-api
Requires:         python3-module-cliff

%description -n python3-module-pkgwat
Pronounced "package WAT", pkgwat is a fast CLI tool for querying the fedora
packages webapp.  https://apps.fedoraproject.org/packages/

You can make its search even better by helping us tag packages.
https://apps.fedoraproject.org/tagger

%prep
%setup -q -n %{modname}-%{version}
sed -i "s/»/>/g" README.rst
sed -i '/pillow/d' setup.py

%build
%{__python3} setup.py build

%install
%{__python3} setup.py install -O1 --skip-build --root=%{buildroot}

%files -n python3-module-pkgwat
%doc LICENSE README.rst
%{python3_sitelibdir_noarch}/pkgwat/cli
%{python3_sitelibdir_noarch}/%{modname}-%{version}-*
%{_bindir}/pkgwat

%changelog
