Group: Other
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global commit0 8dc419c5644fc7305f757ec571406f5b2e0a96af
%global shortcommit0 %(c=%{commit0}; echo ${c:0:7})
Name: pki-usgov-dod-cacerts
Version: 0.0.6
Release: alt2_15
Summary: A collection of U.S. Government CA Certs that the DOD uses
BuildArch: noarch
License: Public Domain
# these certs are public domain for two reasons
#  1) 17 USC 105 -- US Government can't have copyright in things they create
#  2) they are highly constrained "facts"

URL: https://github.com/pollei/pki-usgov-dod-cacerts
Source0:  https://github.com/pollei/%{name}/archive/%{commit0}.tar.gz#/%{name}-%{shortcommit0}.tar.gz
BuildRequires: perl-devel perl(MIME/Base64.pm) perl(Digest/CRC.pm) openssl
Source44: import.info
%description
A collection of U.S. Government CA Certs that the DOD uses.
Has Department of Defense, and Federal Common Policy certs.
Useful for Army, Navy, Air Force, and Marines.
%prep
%setup -qn %{name}-%{commit0}

%build
./extract_x509.sh
cat pki-usgov-dod/cacerts/*.txt > cacert-list.txt

%install
mkdir -p ${RPM_BUILD_ROOT}/%{_sysconfdir}/pki/pki-usgov-dod-cacerts/cacerts/
mkdir -p ${RPM_BUILD_ROOT}/%{_datadir}/pki-usgov-dod-cacerts/
cp -a pki-usgov-dod/cacerts/*.{pem,crt} ${RPM_BUILD_ROOT}/%{_sysconfdir}/pki/pki-usgov-dod-cacerts/cacerts/
cp -a cacert-list.txt ${RPM_BUILD_ROOT}/%{_datadir}/pki-usgov-dod-cacerts/

%files
%dir %{_sysconfdir}/pki/pki-usgov-dod-cacerts/
%config %{_sysconfdir}/pki/pki-usgov-dod-cacerts/cacerts/
%{_datadir}/pki-usgov-dod-cacerts/
%doc README

%changelog
