Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python3
BuildRequires: /usr/bin/desktop-file-install python3(setuptools)
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           porcupine
Version:        0.1.0
Release:        alt2_10
Summary:        Web browser to copy URL to clipboard

License:        GPLv3
URL:            https://github.com/micahflee/porcupine
Source0:        https://github.com/micahflee/%{name}/archive/v%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-module-PyQt5
BuildRequires:  desktop-file-utils
Requires:       python3-module-PyQt5
Source44: import.info


%description
Setting porcupine as a default browser will help you to click on any URL and
get it copied into your clipboard.

%prep
%setup -q



%build
%{__python3} setup.py build


%install
%{__python3} setup.py install --skip-build --root %{buildroot}
desktop-file-install \
--dir=%{buildroot}%{_datadir}/applications \
share/porcupine.desktop

%files
%doc README.md
%doc --no-dereference LICENSE.md
%{_bindir}/%{name}
%{_datadir}/pixmaps/*
%{_datadir}/applications/*
%{python3_sitelibdir_noarch}/%{name}*


%changelog
