# BEGIN SourceDeps(oneline):
BuildRequires: perl(Pod/Man.pm)
# END SourceDeps(oneline)
Group: Other
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           prename
Version:        1.9
Release:        alt2_11
Summary:        Perl script to rename multiple files
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/rename
Source0:        https://cpan.metacpan.org/authors/id/P/PE/PEDERST/rename-%{version}.tar.gz
Source1:        https://raw.githubusercontent.com/pstray/rename/master/LICENSE

# This patch renames the executable from rename to prename
Patch0:         %{name}-1.9-namechange.patch
BuildArch:      noarch

BuildRequires:  rpm-build-perl
BuildRequires:  perl-devel
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
Source44: import.info


%description
Prename renames the file names supplied according to the rule specified as
the first argument. The argument is a Perl expression which is expected
to modify the $_ string for at least some of the file names specified.


%prep
%setup -q -n rename-%{version}
%patch0 -p1

cp %{SOURCE1} .

%build
/usr/bin/perl Makefile.PL PREFIX=%{_prefix} NO_PACKLIST=1
%make_build


%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
# %{_fixperms} $RPM_BUILD_ROOT/*


%files
%doc --no-dereference LICENSE
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*


%changelog
