Group: Networking/WWW
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
Name:		proxyfuzz	
Version:	20190404
Release:	alt2_16
Summary:	Man-in-the-middle non-deterministic network fuzzer

License:	GPLv3+
URL:		https://github.com/SECFORCE
Source0:	proxyfuzz.py
Source1:	README-Fedora

BuildArch:	noarch
Requires:	python3-module-twisted-conch python3-module-twisted-conch-gui python3-module-twisted-core python3-module-twisted-core-gui-wx python3-module-twisted-logger python3-module-twisted-mail python3-module-twisted-names python3-module-twisted-pair python3-module-twisted-positioning python3-module-twisted-runner python3-module-twisted-web python3-module-twisted-words twisted-core-tools
BuildRequires:	python3-devel
%if 0%{?with_python3}
BuildRequires:	python3-devel
%endif # if with_python3
Source44: import.info

#Patch0:		make-executable.patch

%description
ProxyFuzz is a man-in-the-middle non-deterministic network fuzzier written in
Python. ProxyFuzz randomly changes (fuzzes) contents on the network traffic.
It supports TCP and UDP protocols and can also be configured to fuzz only one
side of the communication. ProxyFuzz is protocol agnostic so it can randomly
fuzz any network communication.

%prep
cp -p %{SOURCE0} .
cp -p %{SOURCE1} .
#%patch0 -p1 -b .make-executable

%build

%install
install -m 755 -p -d ${RPM_BUILD_ROOT}/%{_sbindir}
install -m 755 -p proxyfuzz.py ${RPM_BUILD_ROOT}/%{_sbindir}/proxyfuzz



%files
%doc README-Fedora
%{_sbindir}/proxyfuzz


%changelog
