Group: System/Base
# BEGIN SourceDeps(oneline):
BuildRequires: libdmalloc-devel
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:		psiconv
Version:	0.9.8
Release:	alt4_34
Summary:	A conversion utility for Psion files
License:	GPLv2+
URL:		http://software.frodo.looijaard.name/psiconv/
Source0:	http://software.frodo.looijaard.name/psiconv/files/%{name}-%{version}.tar.gz
Patch0:	psiconv-0.9.8-gcc10.patch
BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:	libImageMagick-devel
BuildRequires:	bc
Source44: import.info

%description
A conversion utility for the Psion files

%package devel
Group: Development/Other
Summary:	Development files for psiconv
Requires:	%{name} = %{version}-%{release}

%description devel
Contains library and header files for psiconv

%prep
%setup -q
%patch0 -p1


%build
%configure --disable-static
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
%make_build


%install
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'
mv $RPM_BUILD_ROOT%{_datadir}/%{name} _doc





%files
%doc COPYING NEWS README TODO ChangeLog AUTHORS 
%dir %{_sysconfdir}/psiconv
%config %{_sysconfdir}/psiconv/psiconv.conf 
%config %{_sysconfdir}/psiconv/psiconv.conf.eg
%{_bindir}/psiconv
%{_mandir}/man1/psiconv.1*
%{_libdir}/libpsiconv.so.6
%{_libdir}/libpsiconv.so.6.4.2


%files devel
%doc _doc/*
%{_bindir}/psiconv-config
%{_mandir}/man1/psiconv-config.1*
%{_libdir}/libpsiconv.so
#%{_datadir}/psiconv/
%{_includedir}/psiconv/


%changelog
