Group: Development/Tools
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python3
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           pss
Version:        1.40
Release:        alt2_21
Summary:        A power-tool for searching inside source code files

License:        Public Domain
URL:            https://github.com/eliben/pss
Source0:        https://pypi.python.org/packages/source/p/%{name}/%{name}-%{version}.tar.gz
BuildRequires:  python3-devel, python3-module-distribute
BuildArch:      noarch
Source44: import.info


%description
pss is a power-tool for searching inside source code files. 
pss searches recursively within a directory tree, knows which 
extensions and file names to search and which to ignore, automatically 
skips directories you wouldn't want to search in (for example .svn or .git),
colors its output in a helpful way, and does much more.


%prep
%setup -q


%build
%{__python3} setup.py build

%install
%{__python3} setup.py install -O1  --root $RPM_BUILD_ROOT
#rm $RPM_BUILD_ROOT/usr/bin/pss.py


%files
%doc README.rst LICENSE CHANGES
%{_bindir}/pss
%{python3_sitelibdir_noarch}/pss*



%changelog
