Group: Other
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:		puppet-firewalld
Version:	0.2.2
Release:	alt2_12
Summary:	A Puppet module for FirewallD
License:	GPLv2+
URL:		https://github.com/jpopelka/puppet-firewalld

Source0:	https://github.com/jpopelka/puppet-firewalld/archive/v%{version}.tar.gz

BuildArch:	noarch

Requires:	gem-puppet
Source44: import.info


%description
A Puppet module used for installing, configuring and managing FirewallD.

%prep
%setup -qn puppet-firewalld-%{version}

%install
mkdir -p %{buildroot}%{_datadir}/puppet/modules/firewalld/
cp -rp manifests/ %{buildroot}%{_datadir}/puppet/modules/firewalld/manifests/
cp -rp templates/ %{buildroot}%{_datadir}/puppet/modules/firewalld/templates/
cp -p metadata.json %{buildroot}%{_datadir}/puppet/modules/firewalld/metadata.json

%files
%doc LICENSE README examples
%{_datadir}/puppet/modules/firewalld

%changelog
