# BEGIN SourceDeps(oneline):
BuildRequires: pkgconfig(gio-2.0) pkgconfig(zlib)
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
# Not used for now.
# %%define src_ver 9ff9acf9fa14

#filter out plugin .so from porvides
%global __provides_exclude_from %{_libdir}/purple-2/.*\\.so

Name:		purple-facebook
Version:	0.9.6
Release:	alt1_6
Summary:	Facebook protocol plugin for libpurple
License:	GPLv2
Group:		Networking/Instant messaging
URL:		https://github.com/dequis/purple-facebook
Source0:	https://github.com/dequis/%{name}/releases/download/v%{version}/%{name}-%{version}.tar.gz
Patch1:		0001-Bump-FB_ORCA_AGENT-version.patch
Patch2:		purple-facebook-0.9.6-mga-fix-thrift-stop-failure.patch
Patch3:		purple-facebook-0.9.6-mga-fix-taNewMessage-bug.patch

BuildRequires:	pkgconfig(gobject-2.0)
BuildRequires:	pkgconfig(json-glib-1.0)
BuildRequires:	pkgconfig(libgadu)
BuildRequires:	pkgconfig(libnm)
BuildRequires:	pkgconfig(libnsl)
BuildRequires:	pkgconfig(purple)
Source44: import.info

%description
Purple Facebook implements the Facebook Messenger protocol into pidgin,
finch, and libpurple. While the primary implementation is for purple3,
this plugin is back-ported for purple2.

More information: https://github.com/dequis/purple-facebook/wiki

%prep
%setup -q
%patch1 -p1
%patch2 -p1
%patch3 -p1


%build
%configure
%make_build

%install
%makeinstall_std

# Remove *.la file
find %{buildroot} -name "*.la" -delete

%files
%doc README
%{_libdir}/purple-2/libfacebook.so


%changelog
