# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/protoc-c
# END SourceDeps(oneline)
Group: Other
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global plugin_name hangouts

%global commit0 3f7d89bf9ce2bf596aca4b8340c8623fe282f6b1
%global shortcommit0 %(c=%{commit0}; echo ${c:0:7})
%global archcommit0 %(c=%{commit0}; echo ${c:0:12})
%global date 20190607

Name: purple-%{plugin_name}
Version: 0
Release: alt1_66.%{date}hg%{shortcommit0}
Epoch: 1
Summary: Hangouts plugin for libpurple

License: GPLv3+
URL: https://bitbucket.org/EionRobb/purple-hangouts
Source0: %{url}/get/%{commit0}.tar.gz#/%{name}-%{shortcommit0}.tar.gz

BuildRequires: pkgconfig(libprotobuf-c)
BuildRequires: pkgconfig(json-glib-1.0)
BuildRequires: pkgconfig(glib-2.0)
BuildRequires: pkgconfig(purple)
BuildRequires: pkgconfig(zlib)
BuildRequires: gcc

%if 0%{?rhel} && 0%{?rhel} == 7
ExcludeArch: ppc64
%endif
Source44: import.info

%package -n pidgin-%{plugin_name}
Group: Other
Summary: Adds pixmaps, icons and smileys for Hangouts protocol
BuildArch: noarch
Requires: %{name} = %{?epoch:%{epoch}:}%{version}-%{release}
Requires: pidgin

%description
Adds support for Hangouts to Pidgin, Adium, Finch and other libpurple
based messengers.

%description -n pidgin-%{plugin_name}
Adds pixmaps, icons and smileys for Hangouts protocol implemented by
hangouts-purple.

%prep
%setup -q -n EionRobb-purple-%{plugin_name}-%{archcommit0}


# fix W: wrong-file-end-of-line-encoding
sed -i -e "s,\r,," README.md

%build

%make_build

%install
# Executing base install from makefile...
%makeinstall_std

# Setting correct chmod...
chmod 755 %{buildroot}%{_libdir}/purple-2/lib%{plugin_name}.so

%files
%{_libdir}/purple-2/lib%{plugin_name}.so
%doc --no-dereference gpl3.txt
%doc README.md

%files -n pidgin-%{plugin_name}
%{_datadir}/pixmaps/pidgin/protocols/*/%{plugin_name}.png

%changelog
