Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-fedora-compat
BuildRequires: zlib-devel
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
# purple-mattermost upstream hasn't released for a while,
# it was requested that we update to a snapshot:
# https://bugzilla.redhat.com/show_bug.cgi?id=1725804

%global commit e21f18c4d868bf6db4e3d436eddcaca5da5effe0
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:           purple-mattermost
Version:        1.2
Release:        alt2_9.20190826gite21f18c
Summary:        Pidgin protocol plugin to connect to Mattermost

License:        GPLv3+
URL:            https://github.com/EionRobb/purple-mattermost

Source0:        https://github.com/EionRobb/purple-mattermost/archive/%{commit}/%{name}-%{shortcommit}.tar.gz

BuildRequires:  libjson-glib libjson-glib-devel libjson-glib-gir-devel
BuildRequires:  libdiscount-devel
BuildRequires:  libpurple-devel
BuildRequires:  gcc-c++, gcc
Source44: import.info

%description
A third-party plugin for the Pidgin multi-protocol instant messenger.
It connects libpurple-based instant messaging clients with Mattermost server.

This package provides the protocol plugin for libpurple clients.

%package -n pidgin-mattermost
Group: Other

Summary:        Libpurple protocol plugin to connect to Mattermost
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description -n pidgin-mattermost
A third-party plugin for the Pidgin multi-protocol instant messenger.
It connects libpurple-based instant messaging clients with Mattermost server.

This package provides the icon set for Pidgin.

%prep
%setup -q -n %{name}-%{commit}


# Allow build flag injection.
sed 's/CFLAGS	?=/CFLAGS	+=/g' -i Makefile
sed 's/LDFLAGS ?=/LDFLAGS +=/g' -i Makefile

%build
CFLAGS="%{optflags}" LDFLAGS="%{__global_ldflags}" %make_build

%install
%makeinstall_std

%files
%doc --no-dereference LICENSE
%doc INSTALL.md README.md VERIFICATION.md
%{_libdir}/purple-*/libmattermost.so

%files -n pidgin-mattermost
%{_datadir}/pixmaps/pidgin/protocols/*/mattermost.png

%changelog
