Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-setuptools
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}

Name: pymilia
Version: 1.0.0
Release: alt2_33
Summary: Python wrappers for milia
License: GPLv3+

URL: http://guaix.fis.ucm.es/projects/pymilia/wiki
Source0: ftp://astrax.fis.ucm.es/pub/software/pymilia/%{name}-%{version}.tar.gz

BuildRequires: gcc-c++
BuildRequires: milia-devel >= 1.0.0

%global _description\
Python wrappers for milia. Milia is a C++ library created to\
compute cosmological distances and ages in the\
Friedmann-LemaA.tre-Robertson-Walker metric.
Source44: import.info
%add_findprov_skiplist %{python3_sitelibdir}/.*\.so$

%description 
%_description

%package -n python3-module-pymilia
Group: Other
Summary: Python wrappers for milia
BuildRequires: python3-devel python3-module-distribute 
BuildRequires: python3-module-Cython

# we don't want to provide private python extension libs
%{echo 


}

%description -n python3-module-pymilia 
Python wrappers for milia. Milia is a C++ library created to 
compute cosmological distances and ages in the 
Friedmann-LemaA.tre-Robertson-Walker metric.

%prep
%setup -q

%build
%python3_build

%install
%python3_install

%files -n python3-module-pymilia
%doc README.txt NEWS.txt
%doc --no-dereference LICENSE.txt
%{python3_sitelibdir}/milia/
%{python3_sitelibdir}/*.egg-info

%changelog
