# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
Name:             pyrasite
Version:          2.0
Release:          alt1_9
Summary:          Code injection and monitoring of running Python processes

Group:            Development/Other
License:          GPLv3
URL:              http://pyrasite.com
Source0:          http://pypi.python.org/packages/source/p/%{name}/%{name}-%{version}.tar.gz

BuildArch:        noarch
BuildRequires:    python-devel
BuildRequires:    python-module-setuptools
BuildRequires:    python-module-nose
BuildRequires:    python-module-sphinx

Requires:         gdb
Requires:         python-module-meliae
Requires:         python-module-urwid

%if 0%{?rhel} <= 6
BuildRequires:    python
Requires:         python
%endif
Source44: import.info

%description
Pyrasite uses the GNU debugger to inject code into a running Python process.
It is comprised of a command-line tool, and a Python API. This package
also comes with a variety of example payloads.

%prep
%setup -q

%build
%{__python} setup.py build
make -C docs man

%install
%{__python} setup.py install -O1 --skip-build --root %{buildroot}
mkdir -p %{buildroot}%{_mandir}/man1
gzip -c docs/_build/man/pyrasite.1 > %{buildroot}/%{_mandir}/man1/pyrasite.1.gz

%files
%doc README.rst LICENSE
%doc %{_mandir}/man1/pyrasite.1*
%{_bindir}/pyrasite
%{_bindir}/pyrasite-memory-viewer
%{_bindir}/pyrasite-shell
%{python_sitelibdir_noarch}/*

%changelog
