Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
BuildRequires: python-module-setuptools
# END SourceDeps(oneline)
%define oldname PyRTF
%define fedora 30
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           python-module-PyRTF
Version:        0.45
Release:        alt1_27
Summary:        Rich Text Format (RTF) Document Generation in Python

License:        LGPLv2+ or GPL+
URL:            http://pyrtf.sourceforge.net/
Source0:        http://dl.sf.net/pyrtf/%{oldname}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python-devel
BuildRequires:  sed >= 3.95
Source44: import.info

# Notice that there is a possible update by a different author
# ftp://ftp.visi.com/users/grante/python/PyRTF-0.46.tar.gz
# http://groups.google.com/group/comp.lang.python.announce/msg/e9997d47b4303547

%description
PyRTF is a pure python module for the efficient generation of rich text form
documents.  It has good support for tables and tries to maintain compatibility
with as many RTF reader as possible.


%prep
%setup -n %{oldname}-%{version} -q
sed -i 's?\r??' PyRTF/Styles.py
sed -i 's?\r??' PyRTF/PropertySets.py
sed -i 's?\r??' PyRTF/__init__.py

%build
%python_build


%install
%python_install



%files
%doc PKG-INFO

%if 0%{?fedora} >= 9
%{python_sitelibdir_noarch}/PyRTF*egg-info
%endif
%{python_sitelibdir_noarch}/PyRTF


%changelog
