Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-setuptools
# END SourceDeps(oneline)
%define oldname python-ansi2html
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global srcname ansi2html

Name:       python-module-ansi2html
Version:    1.5.1
Release:    alt2_12
Summary:    Python module that converts text with ANSI color to HTML

License:    GPLv3+
URL:        http://github.com/ralphbean/ansi2html
Source0:    https://pypi.io/packages/source/a/ansi2html/ansi2html-%{version}.tar.gz

BuildArch:  noarch

BuildRequires:  python3-devel
BuildRequires:  python3-module-distribute
BuildRequires:  python3-module-nose
BuildRequires:  python3-module-mock
BuildRequires:  python3-module-six

%global _description\
The ansi2html module can convert text with ANSI color codes to HTML.
Source44: import.info

%description 
%_description

%package -n python3-ansi2html
Group: Development/Other
Summary:    %summary
%{?python_provide:%python_provide python3-ansi2html}

Requires:   python3
Requires:   python3-module-distribute
Requires:   python3-module-six

%description -n python3-ansi2html 
%_description

%prep
%setup -q -n %{srcname}-%{version}

# Remove bundled egg-info just in case it is included.
rm -rf *.egg*

%build
%python3_build

%install
mkdir -p %{buildroot}%{_mandir}/man1/
mv man/ansi2html.1 %{buildroot}%{_mandir}/man1/ansi2html.1
%python3_install

%files -n python3-ansi2html
%doc LICENSE README.rst
%{python3_sitelibdir_noarch}/ansi2html
%{python3_sitelibdir_noarch}/ansi2html-%{version}-*
%{_bindir}/ansi2html
%{_mandir}/man1/ansi2html.1*

%changelog
