# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%define oldname python-batchhttp
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           python-module-batchhttp
Version:        1.1.1
Release:        alt1_13
Summary:        Parallel fetching of HTTP resources through MIME multipart

Group:          Development/Other
License:        BSD
URL:            https://github.com/saymedia/batchhttp/
Source0:        http://pypi.python.org/packages/source/b/batchhttp/batchhttp-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python-devel python-module-setuptools

%global _description\
This package's BatchClient applies standard MIME multipart encoding to HTTP\
messages, providing a standards-conservant technique for making parallelizable\
HTTP requests over a single proxy connection.\
\
To make a batch request, open a new request on a BatchClient instance and add\
your subrequests, along with callbacks that will receive the subresponses.\
Once all parallelized requests are added, complete the request; the request is\
made and the batched subresponses are provided to your callbacks.
Source44: import.info

%description %_description

%prep
%setup -q -n batchhttp-%{version}


%build
python setup.py build


%install
python setup.py install --skip-build --root $RPM_BUILD_ROOT



%files -n python-module-batchhttp
%doc LICENSE
%{python_sitelibdir_noarch}/*


%changelog
