Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-setuptools
# END SourceDeps(oneline)
%define oldname python-bottle-sqlite
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global srcname bottle-sqlite
Name:           python-module-bottle-sqlite
Version:        0.1.3
Release:        alt2_17
Summary:        SQLite3 integration for Bottle WSGI framework

License:        MIT
URL:            http://bottlepy.org
Source0:        https://files.pythonhosted.org/packages/source/b/%{srcname}/%{srcname}-%{version}.tar.gz

BuildArch:      noarch
Source44: import.info

%description
Bottle-sqlite is a plugin that integrates SQLite3 with your Bottle application.
It automatically connects to a database at the beginning of a request, passes
the database handle to the route callback and closes the connection afterwards.

To automatically detect routes that need a database connection, the plugin
searches for route callbacks that require a db keyword argument (configurable)
and skips routes that do not. This removes any overhead for routes that don't
need a database connection.

%package -n python3-module-bottle-sqlite
Group: Development/Other
Summary: SQLite3 integration for Bottle WSGI framework

BuildRequires:  python3-devel
BuildRequires:  python3-module-distribute

Requires:       python3-module-bottle

%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-module-bottle-sqlite
Bottle-sqlite is a plugin that integrates SQLite3 with your Bottle application.
It automatically connects to a database at the beginning of a request, passes
the database handle to the route callback and closes the connection afterwards.

To automatically detect routes that need a database connection, the plugin
searches for route callbacks that require a db keyword argument (configurable)
and skips routes that do not. This removes any overhead for routes that don't
need a database connection.

%prep
%setup -q -n %{srcname}-%{version}

%build
%python3_build

%install
%python3_install

%files -n python3-module-bottle-sqlite
%doc PKG-INFO
%{python3_sitelibdir_noarch}/bottle_sqlite.py*
%{python3_sitelibdir_noarch}/__pycache__/bottle_sqlite*
%{python3_sitelibdir_noarch}/bottle_sqlite*.egg-info


%changelog
