Group: Development/Tools
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python3
# END SourceDeps(oneline)
%define oldname python-cerealizer
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global srcname cerealizer
%global sum Secure pickle-like module

Name:			python-module-cerealizer
Summary: 		%{sum}
Version:		0.8.2
Release:		alt2_10
License:		Python
Source0:		https://files.pythonhosted.org/packages/5a/2b/8a2ff505db0ef7ce59f700b96898369b22a823c8d9191eba37639e568667/Cerealizer-%{version}.tar.gz
URL:			http://www.lesfleursdunormal.fr/static/informatique/cerealizer/index_en.html
BuildArch:		noarch
BuildRequires:		python3-devel
BuildRequires:		python3-module-distribute
Source44: import.info

%description
Cerealizer is a secure pickle-like module. It support basic types (int, string,
unicode, tuple, list, dict, set,...), old and new-style classes (you need to 
register the class for security), object cycles, and it can be extended to 
support C-defined type.

%package -n python3-module-cerealizer
Group: Development/Tools
Summary:                %{sum}
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-module-cerealizer
Cerealizer is a secure pickle-like module. It support basic types (int, string,
unicode, tuple, list, dict, set,...), old and new-style classes (you need to 
register the class for security), object cycles, and it can be extended to 
support C-defined type.

%prep
%setup -q -n Cerealizer-%{version}

%build
/usr/bin/python3 ./setup.py build

%install
/usr/bin/python3 ./setup.py install --skip-build --root $RPM_BUILD_ROOT

%files -n python3-module-cerealizer
%doc README.rst PKG-INFO
%{python3_sitelibdir_noarch}/*

%changelog
