Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
BuildRequires: zip
# END SourceDeps(oneline)
%define oldname clusterPy
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           python-module-clusterPy
Version:        0.9.9
Release:        alt1_17
Summary:        Library of spatially constrained clustering algorithms

License:        BSD
URL:            http://www.rise-group.org/risem/clusterpy
Source0:        http://clusterpy.googlecode.com/files/%{oldname}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python-devel
BuildRequires:  python-module-pkg_resources python-module-setuptools

Requires:       python-module-numpy python-module-numpy-testing
Source44: import.info

%description
Analytical regionalization is a scientific way to decide how to group or
cluster a large number of geographic areas or points into a smaller number
of regions based on their similarities. ClusterPy offers the following
clustering algorithms: Arisel, AZP, AZP-Simulated Annealing, AZP-Tabu,
AZP-R-Tabu, Max-p-regions (Tabu), AMOEBA, SOM and geoSOM.

%prep
%setup -n %{oldname}-%{version} -q


%build
%python_build

# Examples point to clusterpy/data_examples
# http://clusterpy.googlecode.com/files/california_shapefile.zip
# http://clusterpy.googlecode.com/files/china_shapfile.zip
# Is that data free and shall we ship it?


%install
%python_install


%files
%doc README.txt LICENSE.txt
%{python_sitelibdir_noarch}/clusterpy
%{python_sitelibdir_noarch}/%{oldname}-%{version}-py*.egg-info
# These two scripts are also in the examples directory, have no shebang
# and seem to serve no purpose otherwise.


%changelog
