Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
BuildRequires: python-module-setuptools
# END SourceDeps(oneline)
%define oldname python-dslib
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:          python-module-dslib
Version:       3.1
Release:       alt1_13
Summary:       A Python library for accessing Czech Databox (DatovA. schrA.nky)
License:       LGPLv2+
URL:           http://labs.nic.cz/datove-schranky/
Source0:       http://www.nic.cz/public_media/datove_schranky/releases/src/dslib-%{version}.tar.gz
BuildArch:     noarch

BuildRequires: python-devel

%global _description\
dslib is a Python library for accessing a 'Databox' - an electronic\
communication interface endorsed by the Czech government.
Source44: import.info

%description 

%_description
%prep
%setup -q -n dslib-%{version}

%build
%python_build

%install
%python_install

# Remove wrongly installed documents, they will be correctly installed later
rm -f %{buildroot}%{_datadir}/dslib/{README,LICENSE.txt}


%files -n python-module-dslib
%doc LICENSE.txt README.txt
%{python_sitelibdir_noarch}/*
%{_datadir}/dslib

%changelog
