Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-setuptools
# END SourceDeps(oneline)
%define oldname python-flask-mako
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}

%global srcname Flask-Mako
%global eggname Flask_Mako

Name:               python-module-flask-mako
Version:            0.4
Release:            alt2_19
Summary:            Mako templating support for Flask applications
License:            BSD
URL:                http://pypi.python.org/pypi/%{srcname}
Source0:            http://pypi.python.org/packages/source/F/%{srcname}/%{srcname}-%{version}.tar.gz

BuildArch:          noarch

BuildRequires:  python3-devel
BuildRequires:  python3-module-distribute
BuildRequires:  python3-module-flask
BuildRequires:  python3-module-mako
Source44: import.info

%description
This extension for the Flask micro web framework allows developers
to use Mako Templates instead of the default Jinja2 templating engine.


%package -n python3-module-flask-mako
Group: Development/Other
Summary:            Mako templating support for Flask applications
%{?python_provide:%python_provide python3-flask-mako}

Requires:           python3-module-flask
Requires:           python3-module-mako

%description -n python3-module-flask-mako
This extension for the Flask micro web framework allows developers
to use Mako Templates instead of the default Jinja2 templating engine.


%prep
%setup -q -n %{srcname}-%{version}


%build
%python3_build

%install
%python3_install

%files -n python3-module-flask-mako
%doc PKG-INFO
%{python3_sitelibdir_noarch}/flask_mako.py*
%{python3_sitelibdir_noarch}/%{eggname}-%{version}*
%{python3_sitelibdir_noarch}/__pycache__/flask_mako*

%changelog
