Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python3
# END SourceDeps(oneline)
%define oldname python-flask-openid
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global mod_name Flask-OpenID

Name:           python-module-flask-openid
Version:        1.2.5
Release:        alt2_22
Summary:        OpenID support for Flask

License:        BSD
URL:            http://github.com/mitsuhiko/flask-openid/
Source0:        http://pypi.python.org/packages/source/F/%{mod_name}/%{mod_name}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-module-distribute
BuildRequires:  python3-module-openid

%global _description\
Flask-OpenID is an extension to flask that allows you to add openid\
based authentication to your website in a matter of minutes.
Source44: import.info

%description 
%_description

%package -n python3-module-flask-openid
Group: Development/Other
Summary:        OpenID support for Flask
Requires:       python3-module-openid

%description -n python3-module-flask-openid
Flask-OpenID is an extension to flask that allows you to add openid
based authentication to your website in a matter of minutes.

This package includes the python 3 version of the module.


%prep
%setup -q -n %{mod_name}-%{version}
rm -f docs/_themes/.git
rm -f docs/_themes/.gitignore
rm -f docs/.DS_Store
rm -f docs/_static/.DS_Store
rm -f docs/_static/._.DS_Store
rm -f docs/._.DS_Store


%build

CFLAGS="$RPM_OPT_FLAGS" %{__python3} setup.py build

%install

mkdir -p $RPM_BUILD_ROOT%{python3_sitelibdir_noarch}
%{__python3} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
 
%files -n python3-module-flask-openid
%doc docs README LICENSE PKG-INFO
%{python3_sitelibdir_noarch}/*.egg-info/
%{python3_sitelibdir_noarch}/*.py*
%{python3_sitelibdir_noarch}/__pycache__/*

%changelog
