Group: Development/Python
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python rpm-build-python3
BuildRequires: python-devel python3-module-setuptools
# END SourceDeps(oneline)
%define oldname python-iptables
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global srcname iptables

%{echo 


}

Name:       python-module-iptables
Summary:    Python library for manipulating iptables
Version:    0.12.0
Release:    alt4_11
License:    ASL 2.0
URL:        https://github.com/ldx/%{oldname}
Source0:    %{url}/archive/v%{version}.tar.gz#/%{srcname}-%{version}.tar.gz

BuildRequires:  gcc

BuildRequires: python3-devel
BuildRequires: python3-module-distribute
Source44: import.info
%add_findprov_skiplist %{python_sitelibdir}/libxtwrapper.so

%description
python-iptables is a library for doing iptables manipulations from python.


%package -n python3-module-iptables
Group: Development/Python
Summary:  %{summary}
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-module-iptables
python-iptables is a library for doing iptables manipulations from Python 3.


%prep
%setup -n %{oldname}-%{version} -q

%build
chmod -x README.md
%python3_build

%install
%python3_install


%files -n python3-module-iptables
%doc README.md MANIFEST.in
%doc --no-dereference NOTICE
%{python3_sitelibdir}/iptc
%{python3_sitelibdir}/libxtwrapper*.so
%{python3_sitelibdir}/python_%{srcname}-%{version}-py%{__python3_version}.egg-info/

%changelog
