Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-setuptools
# END SourceDeps(oneline)
%define oldname python-lzo
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Summary:	LZO bindings for Python
Name:		python-module-lzo
Version:	1.09
Release:	alt5_20
Source0:	https://pypi.python.org/packages/source/p/%{oldname}/%{oldname}-%{version}.tar.gz
URL:		http://www.oberhumer.com/opensource/lzo/
License:	GPLv2+
BuildRequires:  gcc
BuildRequires:  liblzo2-devel
BuildRequires:	python3-module-distribute
BuildRequires:	python3-devel

%global _description\
Python-LZO provides Python bindings for the LZO data compression library.
Source44: import.info

%description 

%_description
%package -n python3-module-lzo
Group: Development/Other
Summary:	LZO bindings for Python3

%description -n python3-module-lzo 

%_description
%prep
%setup -n %{oldname}-%{version} -q

%build
%python3_build

%install
%python3_install

%check
pushd tests/
PYTHONPATH=%{buildroot}/%{python3_sitelibdir} %{__python3} ./test.py

%files -n python3-module-lzo
%doc --no-dereference COPYING
%{python3_sitelibdir}/*

%changelog
