Group: Engineering
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-setuptools
# END SourceDeps(oneline)
%define oldname python-myhdl
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global srcname myhdl
%global sum A python hardware description and verification language

Name:           python-module-myhdl
Version:        0.11
Release:        alt1_5
Summary:        %{sum}
License:        LGPLv2+
URL:            http://myhdl.org
Source0:        https://files.pythonhosted.org/packages/source/m/%{srcname}/%{srcname}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-module-distribute
Source44: import.info

%description
%{oldname} is a Python hardware description and verification language that 
helps you go from Python to silicon. MyHDL code can be converted to Verilog 
and VHDL. It can also be used to convert signals, do co-simulation 
with Verilog, generating test benches with test vectors for VHDL, Verilog and 
supports viewing waveform by tracing signal changes in a VCD file.


%package -n python3-module-myhdl
Group: Engineering
Summary:        %{sum}
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-module-myhdl
%{oldname} is a Python3 hardware description and verification language that 
helps you go from Python to silicon. MyHDL code can be converted to Verilog 
and VHDL. It can also be used to convert signals, do co-simulation 
with Verilog, generating test benches with test vectors for VHDL, Verilog and 
supports viewing waveform by tracing signal changes in a VCD file.


%prep
%setup -q -n myhdl-%{version}
find -name '*.txt' | xargs chmod -x

%build
%python3_build

%install
%python3_install


%files -n python3-module-myhdl
%doc /usr/share/myhdl/cosimulation/
%doc --no-dereference LICENSE.txt
%{python3_sitelibdir_noarch}/*


%changelog
