Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-setuptools
# END SourceDeps(oneline)
# libreoffice
%filter_from_requires /^python2...Danny./d
%filter_from_requires /^python2...com./d
%filter_from_requires /^python2...uno./d
%filter_from_requires /^python2...unohelper./d
# python 3.3
%filter_from_requires /^python3...Danny./d
%filter_from_requires /^python3...com./d
%filter_from_requires /^python3...uno./d
%filter_from_requires /^python3...unohelper./d
# python3
%filter_from_requires /^python3.Danny./d
%filter_from_requires /^python3.com./d
%filter_from_requires /^python3.uno./d
%filter_from_requires /^python3.unohelper./d

%define oldname python-openoffice
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global snapdate 20110209
%global module openoffice

Name:           python-module-openoffice
Version:        0.1
Release:        alt2_0.38.%{snapdate}
Summary:        Python libraries for interacting with LibreOffice
License:        GPLv3
URL:            https://gitorious.org/openoffice-python
Source0:        https://pypi.python.org/packages/source/o/openoffice-python/%{module}-python-%{version}-%{snapdate}.tar.bz2

BuildArch:      noarch
%if 0%{?rhel} >= 7
ExclusiveArch:  noarch x86_64
%endif
BuildRequires:  python3-devel
BuildRequires:  python3-module-distribute
BuildRequires:  /usr/bin/2to3


%global _description\
The library is designed to supports both writing Macros (called by OOo) and\
interacting with OOo from an external Python program (using the UNO bridge).
Source44: import.info

%description 
%_description

%package -n python3-module-openoffice
Group: Development/Other
Summary:        Python 3 libraries for interacting with LibreOffice

%description -n python3-module-openoffice
The library is designed to supports both writing Macros (called by OOo) and
interacting with OOo from an external Python program (using the UNO bridge).


%prep
%setup -q -n %{module}-python-%{version}-%{snapdate}

# remove exec perms for docs
chmod a-x sample-scripts/*

# remove the shebang line
sed -i -e '1d' %{module}/streams.py
sed -i -e '1d' %{module}/interact.py

%build
2to3 -w -n .
%python3_build

%install
%python3_install

%files -n python3-module-openoffice
%doc --no-dereference COPYING LICENSE-gpl-3.0.txt
%doc README sample-scripts
%{python3_sitelibdir_noarch}/*

%changelog
