Group: Development/Python
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-setuptools
# END SourceDeps(oneline)
%define oldname pycolumnize
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global srcname columnize

Name:           python-module-pycolumnize
Version:        0.3.9
Release:        alt1_17
Summary:        Python module to align in columns a simple list

License:        MIT
URL:            https://github.com/rocky/pycolumnize
Source0:        https://files.pythonhosted.org/packages/source/c/%{srcname}/%{srcname}-%{version}.tar.gz
BuildArch:      noarch
Source44: import.info

%description
A Python module to format a simple (i.e. not nested) list into aligned columns.
A string with embedded newline characters is returned.

%package -n python3-module-columnize
Group: Development/Python
Summary:        %{summary}

BuildRequires:  python3-devel
BuildRequires:  python3-module-distribute
BuildRequires:  python3-module-nose
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-module-columnize
A Python module to format a simple (i.e. not nested) list into aligned columns.
A string with embedded newline characters is returned.

%prep
%setup -q -n %{srcname}-%{version}


%build
%python3_build

%install
%python3_install

%files -n python3-module-columnize
%doc NEWS README.rst
%doc --no-dereference LICENSE
%{python3_sitelibdir_noarch}/%{srcname}-%{version}-py%{__python3_version}.egg-info
%{python3_sitelibdir_noarch}/__pycache__/%{srcname}*
%{python3_sitelibdir_noarch}/%{srcname}.py*

%changelog
