# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%define oldname pygrace
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:		python-module-pygrace
Version:	0.4
Release:	alt1_19
Summary:	Python bindings for grace
Group:		Engineering
License:	GPLv2+ and MIT
# A new site is available at http://pygrace.github.io/ but there is not yet any new release
URL:		https://pypi.org/project/pygrace/
Source0:	https://files.pythonhosted.org/packages/source/p/%{oldname}/%{oldname}-%{version}.tgz
BuildArch:	noarch

BuildRequires:	python-devel
BuildRequires:	python-module-pkg_resources python-module-setuptools
BuildRequires:	python-module-numpy python-module-numpy-testing

Requires:	grace
Requires:	python-module-numpy python-module-numpy-testing
Source44: import.info

%description
Python 2 bindings for grace, based on Nathan Gray's gracePlot.

%prep
%setup -n %{oldname}-%{version} -q
# Get rid of library shebangs
for file in *.py; do
 sed -i '/\/usr\/bin\/env/d' $file
done

%build
python2 -c 'import setuptools; execfile("setup.py")' build

%install
python2 -c 'import setuptools; execfile("setup.py")' install -O1 --skip-build --root %{buildroot}

%files
%doc README.txt tests examples
%{python_sitelibdir_noarch}/%{oldname}/
%{python_sitelibdir_noarch}/%{oldname}-*.egg-info/

%changelog
