Group: Development/Python
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-setuptools
# END SourceDeps(oneline)
%define oldname pystatgrab
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global srcname pystatgrab

Name:           python-module-pystatgrab
Version:        0.7.1
Release:        alt2_1
Summary:        Python bindings for libstatgrab

License:        LGPLv2+
URL:            http://www.i-scream.org/pystatgrab/
Source0:        https://ftp.i-scream.org/pub/i-scream/pystatgrab/%{oldname}-%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:  libstatgrab-devel > 0.90
Source44: import.info

%description
Pystatgrab contains Python bindings for libstatgrab.

%package -n python3-module-pystatgrab
Group: Development/Python
Summary:        Python bindings for libstatgrab

BuildRequires:  python3-module-Cython
BuildRequires:  python3-devel
%{?python_provide:%python_provide python3-%{oldname}}

%description -n python3-module-pystatgrab
Pystatgrab contains Python bindings for libstatgrab.

%prep
%setup -q -n %{srcname}-%{version}


%build
rm -rf statgrab.c
%python3_build

%install
%python3_install

%check
#PYTHONPATH=%{buildroot}/%{python3_sitelibdir} %{__python3} test.py

%files -n python3-module-pystatgrab
%doc AUTHORS NEWS README
%doc --no-dereference COPYING.LGPL
%{python3_sitelibdir}/*

%changelog
