# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%define oldname pytorctl
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%if 0%{?rhel} <= 5
%{!?python2_sitelib: %global python2_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%endif

%global commit 4fdd2031e6b231ed4bbaa79940f67e9b8f691382
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global date 20130920
%global libname TorCtl

Name:           python-module-pytorctl
Version:        0
Release:        alt1_0.24.%{date}git%{shortcommit}
Summary:        TorCtl Python bindings

Group:          Development/Other
License:        BSD
URL:            https://gitweb.torproject.org/pytorctl.git
# git clone git://git.torproject.org/pytorctl.git
# cd pytorctl; git archive --format=tar --prefix=pytorctl/ %%{commit} | xz > pytorctl-%%{version}-%%{date}git%%{shortcommit}.tar.xz
Source0:        %{oldname}-%{version}-%{date}git%{shortcommit}.tar.xz

BuildArch:      noarch
BuildRequires:  python-devel

%global _description\
Python bindings for controlling the Tor router
Source44: import.info

%description %_description

%prep
%setup -q -n %{oldname}

%build

%install
mkdir -p %{buildroot}%{python_sitelibdir_noarch}/%{libname}
install -m 0644 *.py %{buildroot}%{python_sitelibdir_noarch}/%{libname}
# Remove shebang from libraries
for lib in %{buildroot}%{python_sitelibdir_noarch}/%{libname}/*.py; do
 sed '/#!\/usr\/bin\/python/d' $lib > $lib.new &&
 touch -r $lib $lib.new &&
 mv $lib.new $lib
done


%files -n python-module-pytorctl
%doc README
%doc --no-dereference LICENSE
%{python_sitelibdir_noarch}/%{libname}


%changelog
