Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-setuptools
# END SourceDeps(oneline)
%define oldname python-retask
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           python-module-retask
Version:        0.4
Release:        alt2_23
Summary:        Python module to create and manage distributed task queues

License:        MIT
URL:            http://retask.readthedocs.org/en/latest/index.html
Source0:        https://pypi.python.org/packages/source/r/retask/retask-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-module-distribute
BuildRequires:  python3-module-redis-py
BuildRequires:  python3-module-six


%global _description\
Python module to create and manage distributed task queues using redis.
Source44: import.info

%description 
%_description


%package -n python3-module-retask
Group: Development/Other
Summary:        %{summary}
%{?python_provide:%python_provide python3-retask}
Requires:       python3-module-redis-py
Requires:       python3-module-six

%description -n python3-module-retask 
%_description


%prep
%setup -q -n retask-%{version}


%build
%python3_build


%install
%python3_install


%files -n python3-module-retask
%doc LICENSE
%{python3_sitelibdir_noarch}/retask*/


%changelog
