Group: Development/Python
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python3
# END SourceDeps(oneline)
%define oldname python-simplemediawiki
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
# %%version is ahead of its definition. Predefining for rpm 4.0 compatibility.
%define version 1.2.0
%global tarball_name simplemediawiki
%global full_version %{version}b2


Name:           python-module-simplemediawiki
Version:        1.2.0
Release:        alt2_0.26.b2
Summary:        Extremely low-level wrapper to the MediaWiki API

License:        LGPLv2+
URL:            https://github.com/ianweller/python-simplemediawiki
Source0:        http://pypi.python.org/packages/source/s/%{tarball_name}/%{tarball_name}-%{full_version}.tar.gz

BuildArch:      noarch
BuildRequires:  python3-module-sphinx python3-module-sphinx-sphinx-build-symlink
BuildRequires:  python3-devel
BuildRequires:  python3-module-distribute
BuildRequires:  python3-module-nose
BuildRequires:  python3-module-sphinx python3-module-sphinx-sphinx-build-symlink

%global _description\
The module simplemediawiki is an extremely low-level wrapper to the MediaWiki\
API. It automatically handles cookies and g zip compression so that you can\
make basic calls to the API in the easiest way possible. It also provides a\
few functions to make day-to-day API access easier.
Source44: import.info

%description 
%_description

%package -n python3-module-simplemediawiki
Group: Development/Python
Summary:        Extremely low-level wrapper to the MediaWiki API

%description -n python3-module-simplemediawiki
The module simplemediawiki is an extremely low-level wrapper to the MediaWiki
API. It automatically handles cookies and g zip compression so that you can
make basic calls to the API in the easiest way possible. It also provides a
few functions to make day-to-day API access easier.

This is the Python 3 version.

%prep
%setup -n %{oldname}-%{version} -qn %{tarball_name}-%{full_version}


%build
%{__python3} setup.py build build_sphinx

%install

%{__python3} setup.py install --skip-build --root %{buildroot}

%files -n python3-module-simplemediawiki
%doc COPYING PKG-INFO README build/sphinx/html
%{python3_sitelibdir_noarch}/*

%changelog
