# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%define oldname python-squaremap
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}


Name:           python-module-squaremap
Version:        1.0.3
Release:        alt1_11
Summary:        SquareMap for wxPython

Group:          Development/Other
License:        BSD
URL:            https://launchpad.net/squaremap
Source0:        http://pypi.python.org/packages/source/S/SquareMap/SquareMap-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python-devel

%global _description\
A simple wxPython control to display hierarchic data as a recursive set of\
nested squares, each of which represents the relative size of a given child\
within its parent.
Source44: import.info

%description 

%_description
%prep
%setup -q -n SquareMap-%{version}

# Delete pre-built egg-info:
rm -rf *.egg-info

%build
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

# squaremap.py can be run as a script, for testing purposes; it shows file
# sizes within a directory:
chmod +x $RPM_BUILD_ROOT/%{python_sitelibdir_noarch}/squaremap/squaremap.py
 

%files -n python-module-squaremap
%doc
%{python_sitelibdir_noarch}/squaremap
%{python_sitelibdir_noarch}/SquareMap-*.egg-info


%changelog
