Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
BuildRequires: python-module-setuptools
# END SourceDeps(oneline)
%define oldname python-sudsds
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Summary:       A python SOAP client modified for usage with Czech Databox
Name:          python-module-sudsds
Version:       1.0.1
Release:       alt1_15
Source0:       http://www.nic.cz/public_media/datove_schranky/releases/src/sudsds-%{version}.tar.gz
License:       LGPLv3+
BuildArch:     noarch
BuildRequires: python-devel
URL:           https://labs.nic.cz/page/969/datovka/

%global _description\
sudsds is a fork of the suds library modified to meet the needs for\
interaction with the servers of Czech Databox. The modifications\
are related to HTTPS proxy, server certificate validation and other\
SSL related functions.
Source44: import.info

%description 

%_description
%prep
%setup -q -n sudsds-%{version}

%build
%python_build

%install
%python_install

# Remove wrongly installed documents, they will be correctly installed later
rm -f %{buildroot}%{_datadir}/sudsds/{README,LICENSE.txt}
rmdir %{buildroot}%{_datadir}/sudsds

%files -n python-module-sudsds
%doc --no-dereference LICENSE.txt
%doc README
%{python_sitelibdir_noarch}/suds*.egg-info
%dir %{python_sitelibdir_noarch}/sudsds
%dir %{python_sitelibdir_noarch}/sudsds/bindings
%dir %{python_sitelibdir_noarch}/sudsds/sax
%dir %{python_sitelibdir_noarch}/sudsds/xsd
%dir %{python_sitelibdir_noarch}/sudsds/mx
%dir %{python_sitelibdir_noarch}/sudsds/umx
%dir %{python_sitelibdir_noarch}/sudsds/transport
%{python_sitelibdir_noarch}/sudsds/*.py*
%{python_sitelibdir_noarch}/sudsds/bindings/*.py*
%{python_sitelibdir_noarch}/sudsds/sax/*.py*
%{python_sitelibdir_noarch}/sudsds/xsd/*.py*
%{python_sitelibdir_noarch}/sudsds/mx/*.py*
%{python_sitelibdir_noarch}/sudsds/umx/*.py*
%{python_sitelibdir_noarch}/sudsds/transport/*.py*

%changelog
