Group: Development/Python
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-setuptools
# END SourceDeps(oneline)
%define oldname python-supersmoother
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global srcname supersmoother
%global sum Python implementation of Friedman's Supersmoother

Name:           python-module-supersmoother
Version:        0.4
Release:        alt2_16
Summary:        %{sum}

License:        BSD
URL:            http://pypi.python.org/pypi/%{srcname}
Source0:        https://files.pythonhosted.org/packages/source/s/%{srcname}/%{srcname}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-module-nose
BuildRequires:  python3-module-numpy python3-module-numpy-testing
BuildRequires:  python3-module-scipy
Source44: import.info

%description
This is an efficient implementation of Friedmana.'s SuperSmoother based in
Python. It makes use of numpy for fast numerical computation.

%package -n python3-module-supersmoother
Group: Development/Python
Summary:        %{sum}
%{?python_provide:%python_provide python3-%{srcname}}
Requires:       python3-module-numpy python3-module-numpy-testing
Requires:       python3-module-scipy

%description -n python3-module-supersmoother
This is an efficient implementation of Friedmana.'s SuperSmoother based in
Python. It makes use of numpy for fast numerical computation.

%prep
%setup -q -n %{srcname}-%{version}


%build
%python3_build

%install
%python3_install

%check
nosetests-%{__python3_version} supersmoother

%files -n python3-module-supersmoother
%doc --no-dereference LICENSE
%doc CHANGES.md README.md
%{python3_sitelibdir_noarch}/*

%changelog
