Group: Development/Python
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-setuptools
# END SourceDeps(oneline)
%define oldname python-tasklib
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global srcname tasklib
%global sum Python Task Warrior library

Name:           python-module-tasklib
Version:        1.3.0
Release:        alt1_4
Summary:        %{sum}

License:        MIT
URL:            https://pypi.python.org/pypi/%{srcname}
Source0:        https://files.pythonhosted.org/packages/source/t/%{srcname}/%{srcname}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-module-distribute
# Tests
BuildRequires:  python3-module-pytz
BuildRequires:  python3-module-six
BuildRequires:  python3-module-tzlocal
BuildRequires:  task-core
Source44: import.info


%description
tasklib is a Python library for interacting with taskwarrior databases, using a
queryset API similar to that of Djangoa.'s ORM.

Supports Python 2.6, 2.7, 3.2, 3.3 and 3.4 with taskwarrior 2.1.x and above.
Older versions of taskwarrior are untested and may not work.

%package -n python3-module-tasklib
Group: Development/Python
Summary:        %{sum}
Requires:       task-core
Requires:       python3-module-tzlocal  python3-module-six python3-module-pytz
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-module-tasklib
tasklib is a Python library for interacting with taskwarrior databases, using a
queryset API similar to that of Djangoa.'s ORM.

Supports Python 2.6, 2.7, 3.2, 3.3 and 3.4 with taskwarrior 2.1.x and above.
Older versions of taskwarrior are untested and may not work.


%prep
%setup -q -n %{srcname}-%{version}

rm *egg-info -rf

%build
%python3_build

%install
%python3_install

# %{__python3} setup.py test

%files -n python3-module-tasklib
%doc --no-dereference LICENSE
%doc README.rst
%{python3_sitelibdir_noarch}/*

%changelog
