Group: Development/Python
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-setuptools
# END SourceDeps(oneline)
%define oldname python-tbtrim
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global pypi_name tbtrim

Name:           python-module-tbtrim
Version:        0.3.1
Release:        alt2_6
Summary:        Utility to trim Python traceback information

License:        MIT
URL:            https://github.com/gousaiyang/tbtrim
Source0:        %{url}/archive/v%{version}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
Source44: import.info

%description
tbtrim is a utility to trim Python traceback information. By assigning user-
refined sys.excepthook, one can easily customize the behavior after an
exception is raise and uncaught, and just before the interpreter prints out
the given traceback and exception to sys.stderr.

In a more human-readable way, tbtrim is to let you handle the last words of
a program when it exits because of an exception.

%package -n python3-module-tbtrim
Group: Development/Python
Summary:        %{summary}

BuildRequires:  python3-devel
BuildRequires:  python3-module-distribute
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-module-tbtrim
tbtrim is a utility to trim Python traceback information. By assigning user-
refined sys.excepthook, one can easily customize the behavior after an
exception is raise and uncaught, and just before the interpreter prints out
the given traceback and exception to sys.stderr.

In a more human-readable way, tbtrim is to let you handle the last words of
a program when it exits because of an exception.

%prep
%setup -q -n %{pypi_name}-%{version}

for file in README.md; do
  sed "s|\r||g" $file > $file.new && \
  touch -r $file $file.new && \
  mv $file.new $file
done

%build
%python3_build

%install
%python3_install

%files -n python3-module-tbtrim
%doc README.md
%doc --no-dereference LICENSE
%{python3_sitelibdir_noarch}/%{pypi_name}.py
%{python3_sitelibdir_noarch}/%{pypi_name}*.egg-info/
%{python3_sitelibdir_noarch}/__pycache__/*

%changelog
