Group: Development/Python
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python3
# END SourceDeps(oneline)
%define oldname python-testing.postgresql
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
# Created by pyp2rpm-1.1.1
%global pypi_name testing.postgresql

Name:           python-module-testing.postgresql
Version:        1.1.0
Release:        alt2_24
Summary:        Automatically setup a PostgreSQL testing instance

License:        ASL 2.0
URL:            http://bitbucket.org/tk0miya/testing.postgresql
Source0:        https://pypi.python.org/packages/source/t/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  postgresql13

BuildRequires:  python3-devel
BuildRequires:  python3-module-nose
BuildRequires:  python3-module-psycopg2
BuildRequires:  python3-module-distribute

Requires:       postgresql13
Requires:       which
Source44: import.info

%description
testing.PostgreSQL automatically setups a PostgreSQL instance
in a temporary directory, and destroys it after testing.

%package -n python3-module-testing.postgresql
Group: Development/Python
Summary:        Automatically setup a PostgreSQL testing instance

Requires:       python3-module-psycopg2
Requires:       which

%description -n python3-module-testing.postgresql
testing.PostgreSQL automatically setups a PostgreSQL instance
in a temporary directory, and destroys it after testing.

%prep
%setup -q -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info


find . -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'

%build

%{__python3} setup.py build


%install
# Must do the subpackages' install first because the scripts in /usr/bin are
# overwritten with every setup.py install (and we want the python2 version
# to be the default for now).
%{__python3} setup.py install --skip-build --root %{buildroot}


%check

%{__python3} setup.py test


%files -n python3-module-testing.postgresql
%doc README.rst LICENSE
%{python3_sitelibdir_noarch}/testing
%{python3_sitelibdir_noarch}/%{pypi_name}-%{version}-py%{__python3_version}.egg-info


%changelog
