Group: Development/Python
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-setuptools
# END SourceDeps(oneline)
%define oldname python-tinydb
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global pypi_name tinydb
%global author msiemens
%global pypi_hash e581652edb01ef27a5c4a835223a93399b992c5cfacfc284c78b27457438

Name:           python-module-tinydb
Version:        4.5.0
Release:        alt1_1
Summary:        TinyDB is a tiny, document oriented database

License:        MIT
URL:            https://pypi.python.org/pypi/%{pypi_name}
Source0:        https://files.pythonhosted.org/packages/a8/73/%{pypi_hash}/%{pypi_name}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-module-distribute
BuildRequires:  pytest pytest3 python3-module-pytest
BuildRequires:  python3-module-yaml
BuildRequires:  python3-module-pytest-runner
BuildRequires:  python3-module-pytest-cov
Source44: import.info

%description
TinyDB is a lightweight document oriented database optimized for your happiness


%package -n python3-module-tinydb
Group: Development/Python
Summary:        %{summary}
%{?python_provide:%python_provide python%{python3_pkgversion}-%{pypi_name}}

%description -n python3-module-tinydb
TinyDB is a lightweight document oriented database optimized for your happiness

%prep
%setup -q -n %{pypi_name}-%{version}

%build
%python3_build

%install
%python3_install


%files -n python3-module-tinydb
%doc README.rst
%doc --no-dereference LICENSE
%{python3_sitelibdir_noarch}/%{pypi_name}
%{python3_sitelibdir_noarch}/%{pypi_name}-%{version}-py%{__python3_version}.egg-info

%changelog
