# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python3
# END SourceDeps(oneline)
%define oldname python-tldr
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
# Created by pyp2rpm-3.3.2
%global pypi_name tldr

Name:           python-module-tldr
Version:        0.4.4
Release:        alt1_5
Summary:        Command line client for tldr
Group:          Development/Python
License:        MIT
URL:            https://github.com/tldr-pages/tldr-python-client
Source0:        https://files.pythonhosted.org/packages/source/t/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-module-colorama
BuildRequires:  python3-module-pytest-runner
BuildRequires:  python3-module-setuptools
BuildRequires:  python3-module-setuptools_scm
BuildRequires:  python3-module-six
BuildRequires:  python3-module-termcolor
Source44: import.info

%description
A Python command line client for tldr.

%package -n python3-module-tldr
Group: Development/Python
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3-module-colorama
Requires:       python3-module-six
Requires:       python3-module-termcolor
%description -n python3-module-tldr
A Python command line client for tldr.

%prep
%setup -q -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%python3_build

%install
%python3_install

%check
%{__python3} setup.py test

%files -n python3-module-tldr
%doc --no-dereference LICENSE
%doc README.md
%{_bindir}/tldr
%{_bindir}/tldr.py
%{python3_sitelibdir_noarch}/__pycache__/*
%{python3_sitelibdir_noarch}/%{pypi_name}.py
%{python3_sitelibdir_noarch}/%{pypi_name}-%{version}-py?.?.egg-info


%changelog
