Group: Development/Python
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-setuptools
# END SourceDeps(oneline)
%define oldname python-tree-format
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global pkgname tree-format
%global commit 4c6de1074d96129b7e03eecdf42fac2cde3b5151
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:           python-module-tree-format
Version:        0.1.2
Release:        alt2_13
Summary:        Python library to generate nicely formatted trees, like the UNIX tree command
License:        ASL 2.0
URL:            https://github.com/jml/tree-format
Source0:        https://github.com/jml/%{pkgname}/archive/%{commit}/%{oldname}-%{version}-%{shortcommit}.tar.gz
Patch0:         version.patch

BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-module-distribute
BuildRequires:  python3-module-testtools
Source44: import.info

%description
Python library to generate nicely formatted trees, like the UNIX `tree` command

%package     -n python3-module-tree-format
Group: Development/Python
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pkgname}}
%description -n python3-module-tree-format
Python library to generate nicely formatted trees, like the UNIX `tree` command

%prep
%setup -q -n %{pkgname}-%{commit}
%patch0 -p1


%build
%python3_build

%install
%python3_install

%check
%{__python3} setup.py test

%files -n python3-module-tree-format
%doc --no-dereference LICENSE
# TODO this is listed as 0.1.0, but our %%{version} is 0.1.2 :(
%{python3_sitelibdir_noarch}/tree_format-0.1.2-py%{__python3_version}.egg-info/
%{python3_sitelibdir_noarch}/tree_format/

%changelog
