# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%define oldname python-urllib2_kerberos
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global srcname urllib2_kerberos

Name:           python-module-urllib2_kerberos
Version:        0.1.6
Release:        alt1_26
Summary:        Kerberos over HTTP Negotiate/SPNEGO support for urllib2

Group:          Development/Other
License:        ASL 2.0
URL:            http://pypi.python.org/pypi/%{srcname}/
Source0:        http://pypi.python.org/packages/source/u/%{srcname}/%{srcname}-%{version}.tar.gz
# From https://bitbucket.org/tolsen/urllib2_kerberos/issue/1/
Patch0:         multiple-auth-headers.patch
# From https://bitbucket.org/tolsen/urllib2_kerberos/pull-request/2/
# UNUSED breaks debugging ... RHBZ #1185370
Patch1:         allow_client_apps_to_configure_loggers.patch
# From https://github.com/mcepl/urllib2_kerberos/commit/7b52c4c749
# also https://bugzilla.redhat.com/show_bug.cgi?id=1065576
Patch2:         dont-panick-if-we-succeed.patch
# From https://bugzilla.redhat.com/show_bug.cgi?id=578711
Patch3:         port-to-python-2.4.patch

BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-module-pkg_resources python-module-setuptools

%global _description\
urllib2 with kerberos authentication.
Source44: import.info

%description 

%_description
%prep
%setup -q -n %{srcname}-%{version}

%patch0 -p1
%patch2 -p1

%if 0%{?rhel} == 5
%patch3 -p1
%endif

# Remove "#!/usr/bin/python\n"
lib=urllib2_kerberos.py
sed '1{\@^#!/usr/bin/python@d}' $lib > $lib.new && \
touch -r $lib $lib.new && mv $lib.new $lib


%build
%python_build


%install
%python_install


%files -n python-module-urllib2_kerberos
%{python_sitelibdir_noarch}/%{srcname}*

# TODO this should be fix for #1065576, #578711, and #1115513

%changelog
