Group: Development/Python
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-setuptools
# END SourceDeps(oneline)
%define oldname python-wikipedia
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global srcname wikipedia

Name:           python-module-wikipedia
Version:        1.4.5
Release:        alt2_19
Summary:        Wikipedia API for Python

License:        MIT
URL:            https://github.com/barrust/Wikipedia
Source0:        https://github.com/barrust/Wikipedia/archive/v%{version}.tar.gz#/%{srcname}-%{version}.tar.gz

BuildArch:      noarch
Source44: import.info

%description
Search Wikipedia, get article summaries, get data like links and images
from a page, and more.

%package -n python3-module-wikipedia
Group: Development/Python
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{srcname}}
BuildRequires:  python3-devel
BuildRequires:  python3-module-beautifulsoup4
BuildRequires:  python3-module-nose
BuildRequires:  python3-module-requests
BuildRequires:  python3-module-distribute
Requires:       python3-module-beautifulsoup4
Requires:       python3-module-requests

%description -n python3-module-wikipedia
Search Wikipedia, get article summaries, get data like links and images
from a page, and more.

%prep
%setup -q -n Wikipedia-%{version}


%build
%python3_build

%install
%python3_install

%check
nosetests-%{__python3_version}

%files -n python3-module-wikipedia
%doc README.rst
%doc --no-dereference LICENSE
%{python3_sitelibdir_noarch}/%{srcname}
%{python3_sitelibdir_noarch}/%{srcname}-*.egg-info

%changelog
