Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python3
# END SourceDeps(oneline)
%define oldname python-xmltramp
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}

Name:           python-module-xmltramp
Version:        2.18
Release:        alt2_12
Summary:        Pythonic API for XML

License:        GPLv2
# License text is not present in the upstream file, though clearly marked as GPLv2
# See https://www.redhat.com/archives/fedora-legal-list/2008-January/msg00010.html

URL:            http://www.aaronsw.com/2002/xmltramp/
Source0:        http://www.aaronsw.com/2002/xmltramp/xmltramp-%{version}.py
Patch1:         0001-Patch-for-RHBZ-750694.patch
Patch2:         0002-fix-imports-and-syntax-for-Python-3.patch
Patch3:         0003-__str__-needs-to-return-str-not-bytes-on-Python-3.patch
Patch4:         0004-empty-slice-is-slice-None-None-None-on-Python-3.patch
Patch5:         0005-use-OrderedDict-for-attributes-and-namespaces.patch

BuildArch:      noarch
BuildRequires:  python3-devel

%global _description\
xmltramp is a simple Pythonic API for working with XML.
Source44: import.info

%description 
%_description

%package -n python3-module-xmltramp
Group: Development/Other
Summary: %summary
%{?python_provide:%python_provide python3-xmltramp}

%description -n python3-module-xmltramp 
%_description

%prep
%setup -n %{oldname}-%{version} -c -T
cp -p %{SOURCE0} xmltramp.py
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

%build
# noarch

%install
install -Dm0644 -t %{buildroot}%{python3_sitelibdir_noarch}/ xmltramp.py

%check
%{__python3} xmltramp.py

%files -n python3-module-xmltramp
%{python3_sitelibdir_noarch}/xmltramp.py*
%{python3_sitelibdir_noarch}/__pycache__/


%changelog
