Group: Development/Python3
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python3
BuildRequires: python3-devel python3-module-setuptools
# END SourceDeps(oneline)
%define oldname python-kismet-rest
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global pypi_name kismet_rest
%global pkg_name kismet-rest
%global rel_version 2019.05.02

Name:           python3-module-kismet-rest
Version:        2019.5.2
Release:        alt2_3
Summary:        Python API for the Kismet REST interface

License:        GPLv2
URL:            https://www.kismetwireless.net
Source0:        https://github.com/kismetwireless/python-kismet-rest/archive/%{rel_version}/%{pypi_name}-%{rel_version}.tar.gz
BuildArch:      noarch
Source44: import.info

%description
Python API wrapper for Kismet RESTful API interface.

%prep
%setup -q -n python-kismet-rest-%{rel_version}

rm -rf %{pypi_name}.egg-info

%build
%python3_build

%install
%python3_install

%files -n python3-module-kismet-rest
%doc CHANGELOG.rst README.rst
%doc --no-dereference LICENSE
%{python3_sitelibdir_noarch}/%{pypi_name}/
%{python3_sitelibdir_noarch}/%{pypi_name}-%{version}-py%{__python3_version}.egg-info/

%changelog
