%filter_from_requires /^python3.moksha.exc./d
Group: Development/Python
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-setuptools
# END SourceDeps(oneline)
%define oldname python-moksha-common
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global modname moksha.common

Name:           python3-module-moksha-common
Version:        1.2.5
Release:        alt1_14
Summary:        Common components for Moksha

License:        ASL 2.0 or MIT
URL:            https://pypi.io/project/moksha.common
Source0:        https://pypi.io/packages/source/m/%{modname}/%{modname}-%{version}.tar.gz

BuildArch:      noarch


BuildRequires:  python3-devel
BuildRequires:  python3-module-distribute
BuildRequires:  python-module-nose python3-module-nose
BuildRequires:  python3-module-mock

BuildRequires:  python3-module-decorator
BuildRequires:  python3-module-kitchen
BuildRequires:  python3-module-pytz
BuildRequires:  python3-module-six

# Its a whole different package now

%global _description\
Common components for Moksha.
Source44: import.info

%description 

%_description
%prep
%setup -q -n %{modname}-%{version}


%build
%python3_build

%install
%python3_install

# Add __init__.py files to namespace packages not installed by setuptools
cp moksha/__init__.py %{buildroot}/%{python3_sitelibdir_noarch}/moksha/

%check
%{__python3} setup.py test

%files -n python3-module-moksha-common
%doc README COPYING AUTHORS
%{python3_sitelibdir_noarch}/moksha/
%{python3_sitelibdir_noarch}/%{modname}-%{version}*
# The CLI tool.  :)
%{_bindir}/moksha


%changelog
