Group: Development/Python
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python3
# END SourceDeps(oneline)
%define oldname python-openid-cla
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           python3-module-openid-cla
Version:        1.2
Release:        alt1_19
Summary:        CLA extension for python-openid

License:        BSD
URL:            https://github.com/puiterwijk/python-openid-cla
Source:         https://github.com/puiterwijk/python-openid-cla/releases/download/v%{version}/python-openid-cla-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-module-distribute
BuildRequires:  python3-module-openid

%global _description\
CLA extension implementation for python-openid
Source44: import.info

%description 
%_description

%prep
%setup -n %{oldname}-%{version} -q

%build
%{__python3} setup.py build


%install
%{__python3} setup.py install -O1 --skip-build --root %{buildroot}

 
%files -n python3-module-openid-cla
# TODO: Upstream error: no COPYING in latest release
#%doc COPYING
%{python3_sitelibdir_noarch}/openid_cla/
%{python3_sitelibdir_noarch}/python_openid_cla*/


%changelog
