# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define snapshot 20180614

Name:           qtlocation-plugin-googlemaps
Summary:        QtLocation plugin for Google maps tile API
Version:        1.0
Release:        alt3_0.%{snapshot}.5
License:        MIT
Group:          Sciences/Other
URL:            https://github.com/vladest/googlemaps
Source0:        googlemaps-%{snapshot}.tar.gz
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Location)
Source44: import.info

%description
GoogleMaps plugin for QtLocation module.

%prep
%setup -q -n googlemaps-%{snapshot}

%build
%qmake_qt5
%make_build

%install
%make_build install INSTALL_ROOT=%{buildroot}

%files
%doc README.md LICENSE.txt
%{_libdir}/qt5/plugins/geoservices/libqtgeoservices_googlemaps.so


%changelog
