Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-fedora-compat
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
# This package depends on automagic byte compilation
# https://fedoraproject.org/wiki/Changes/No_more_automagic_Python_bytecompilation_phase_2
%global _python_bytecompile_extra 1

Name:           qtools
Version:        0.4.0
Release:        alt1_3
Summary:        Command-line tools for AMQP
License:        ASL 2.0
URL:            https://github.com/ssorj/qtools/releases/tag/%{version}
Source:         qtools-%{version}.tar.gz
BuildArch:      noarch
Requires:       python
Requires:       python-module-qpid-proton
BuildRequires:  findutils
BuildRequires:  python3
BuildRequires:  python
BuildRequires:  python-module-qpid-proton
Source44: import.info

%description
Simple command-line tools for sending and receiving AMQP messages

%prep
%setup -qn %{name}-%{version}

%build
sed -i 's/!\/usr\/bin\/env python/!\/usr\/bin\/env python3/' scripts/configure-file
sed -i 's/!\/usr\/bin\/env python/!\/usr\/bin\/env python3/' scripts/install-files
make build PREFIX=/usr %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot} PREFIX=/usr %{?_smp_mflags}

%files
%doc --no-dereference LICENSE.txt
%doc README.md
%{_datarootdir}/qtools
%{_bindir}/*

%changelog
