Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/desktop-file-install
# END SourceDeps(oneline)
%define fedora 32
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:		quicksynergy
Version:	0.8.1
Release:	alt2_25
Summary:	Share keyboard and mouse between computers

License:	GPLv2+        
URL:		http://quicksynergy.sourceforge.net
Source0:	http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Source1:	%{name}.desktop

BuildRequires:  gcc
BuildRequires:	synergy1
BuildRequires:	gtk-builder-convert gtk-demo libgail-devel libgtk+2-devel
BuildRequires:	desktop-file-utils
BuildRequires:	gettext gettext-tools
Requires:	synergy1       
Source44: import.info

%description
QuickSynergy is a graphical interface (GUI) for easily configuring Synergy2,
an application that allows the user to share his mouse and keyboard between
two or more computers.


%prep
%setup -q


%build
%configure
%make_build


%install
make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps
install -m 644 src/logo/qslogo.png $RPM_BUILD_ROOT%{_datadir}/pixmaps

desktop-file-install \
%if 0%{?fedora} && 0%{?fedora} < 19
	--vendor="fedora"	\
%endif
	--dir=${RPM_BUILD_ROOT}%{_datadir}/applications	\
	%{SOURCE1}

%find_lang %{name}


%files -f %{name}.lang
%doc ChangeLog COPYING AUTHORS README
%{_bindir}/quicksynergy
%{_datadir}/pixmaps/qslogo.png
%if 0%{?fedora} && 0%{?fedora} < 19
%{_datadir}/applications/fedora-quicksynergy.desktop
%else
%{_datadir}/applications/quicksynergy.desktop
%endif

%changelog
