Group: Other
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           quotatool
Version:        1.6.2
Release:        alt2_17
Summary:        Command-line utility for filesystem quotas
License:        GPLv2
URL:            http://quotatool.ekenberg.se
Source0:        http://quotatool.ekenberg.se/%{name}-%{version}.tar.gz

BuildRequires:  gcc
Source44: import.info
%description
Quotatool is a utility to manipulate filesystem quotas from the commandline. 
Most quota-utilities are interactive, requiring manual intervention from the 
user. Quotatool on the other hand is not, making it suitable for use in 
scripts and other non-interactive situations.

%prep
%setup -q

%build
%configure
%make_build

%install
mkdir -p %{buildroot}%{_sbindir}
mkdir -p %{buildroot}%{_mandir}/man8
%makeinstall_std INSTALL_PROGRAM="%{_bindir}/install -p"

%files
%doc AUTHORS ChangeLog COPYING README TODO
%{_sbindir}/%{name}
%{_mandir}/man8/%{name}.8*

%changelog
