Group: Networking/WWW
# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           raddump
Version:        0.3.1
Release:        alt2_25
Summary:        RADIUS packets interpreter

License:        GPLv2+
URL:            http://sourceforge.net/projects/raddump
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:  libpcap-devel
Source44: import.info

%description
raddump interprets captured RADIUS packets to print a timestamp, packet
length, RADIUS packet type, source and destination hosts and ports, and
included attribute names and values for each packet. 

%prep
%setup -q

%build
%configure
%make_build 

%install
make install DESTDIR=%{buildroot} INSTALL="install -p"

%files
%doc AUTHORS ChangeLog COPYING CREDITS README TODO
%{_mandir}/man?/%{name}.*
%{_bindir}/%{name}

%changelog
