Group: System/Base
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           radeontool
Version:        1.6.3
Release:        alt2_18
Summary:        Backlight and video output configuration tool for radeon cards

License:        zlib
URL:            http://people.freedesktop.org/~airlied/radeontool/
Source0:        http://people.freedesktop.org/~airlied/radeontool/radeontool-%{version}.tar.bz2

BuildRequires:  gcc
BuildRequires:  libpciaccess-devel
# radeontool is included in (some of) these pm-utils releases
Conflicts:      pm-utils <= 0.99.3-11
Source44: import.info

%description
radeontool is used for debugging radeon related issues. In the past it has
been used for backlight control, but this should no longer be required.

%prep
%setup -q

%build
%configure
make %{?smp_mflags}

%install
make install DESTDIR=$RPM_BUILD_ROOT

%files
%{_bindir}/radeontool
%{_bindir}/avivotool
%{_bindir}/radeonreg

%changelog
