Group: Engineering
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Summary: A simple program for calculating radial velocities of stars in a binary system
Name: radial
Version: 1.0
Release: alt2_24
License: Freely redistributable without restriction
Url: http://www.nhn.ou.edu/~hegarty/radial/
Source0: http://www.nhn.ou.edu/~hegarty/radial/%{name}-%{version}.tar.gz
Source1: http://www.nhn.ou.edu/~hegarty/radial/%{name}-%{version}.f

BuildRequires: gcc-fortran
Source44: import.info

%description
This program calculates the radial velocities of
both stars in a binary system, allowing for user
configuration of stellar masses, semimajor axis,
inclination of orbital plane, orbital eccentricity,
time to collect data, and calculation frequency.

For your convenience, default values have been
added to the program, so you can run it with
nothing other than variable eccentricity, if you like.

%prep
%setup -q -c
cp -a %{SOURCE1} .

%build
gfortran %{optflags} -ffixed-line-length-none -o radial %{name}-%{version}.f

%install
mkdir -p $RPM_BUILD_ROOT%{_bindir}
install -p -m 0755 %{name} $RPM_BUILD_ROOT%{_bindir}/%{name}

%files
%doc README INSTALL
%{_bindir}/radial

%changelog
