Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/glib-gettextize pkgconfig(gio-2.0) pkgconfig(glib-2.0)
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           raw-thumbnailer
Version:        3.0.0
Release:        alt2_20
Summary:        Nautilus file manager thumbnailer for RAW images

License:        GPLv2+
URL:            http://libopenraw.freedesktop.org/wiki/RawThumbnailer
Source0:        http://libopenraw.freedesktop.org/download/%{name}-%{version}.tar.bz2
Patch0:         %{name}-%{version}-libopenraw.patch

BuildRequires:  gcc
BuildRequires:  intltool
BuildRequires:  pkgconfig(gdk-pixbuf-2.0)
BuildRequires:  pkgconfig(libopenraw-gnome-0.1)
BuildRequires:  perl(XML/Parser.pm)
Source44: import.info

%description
RawThumbnailer is a thumbnailer for RAW files that works with Nautilus.

%prep
%setup -q
%patch0 -p1



%build
%configure
%make_build


%install
%makeinstall_std

%files
%{_bindir}/raw-thumbnailer
%{_datadir}/mime/packages/*.xml
%{_datadir}/thumbnailers/raw.thumbnailer
%doc AUTHORS COPYING NEWS


%changelog
