# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
BuildRequires: python-devel
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
# Required for EL6
%{!?__python2: %global __python2 /usr/bin/python2}
%{!?python2_sitelib: %global python2_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}

Summary: Command-line search for Revelation Password Manager files
Name: relevation
Version: 1.3
Release: alt1_7
License: BSD
Group: Text tools
URL: http://p.outlyer.net/relevation/
Source: http://p.outlyer.net/relevation/files/relevation-%{version}.tar.gz
BuildArch: noarch
Requires: python-module-libxml2
Requires: python-module-pycrypto
Requires: python-module-lxml
BuildRequires: python-module-setuptools
Source44: import.info

%description
Relevation is a tool to retrieve passwords stored in a password file in the
format used by Revelation, from the command-line instead of through a GUI.


%prep
%setup -q


%build


%install
make install prefix=%{_prefix} DESTDIR=%{buildroot}
# We include the extra tools as %%doc, remove from here
rm -rf %{buildroot}%{_prefix}/share/doc/relevation/extra/



%files
%doc CHANGELOG LICENSE
%doc src/gui.py devtools/*.py
%{_bindir}/relevation
%{python_sitelibdir_noarch}/relevation/
%{python_sitelibdir_noarch}/relevation-*.egg-info
%{_mandir}/man1/relevation.1*


%changelog
