Group: Office
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Benchmark.pm) perl(IO/Socket.pm) perl(Tk.pm)
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:		remoot
Version:	0.9
Release:	alt2_41
Summary:	Pseudo-universal remote control wrapper

License:	Artistic 2.0
URL:		http://remoot.sourceforge.net/
Source:		http://downloads.sf.net/%{name}/%{name}-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	rpm-build-perl
Source44: import.info


%description
ReMoot is a remote control that supports many popular multimedia applications
running on GNU/Linux. It wraps around these apps and provides a unified and 
easy-to-use interface which can be accessed in many different ways. You can 
use the remote control from the command-line, with desktop icons or panel 
buttons, over the web with "rewwwoot" or by mapping your multimedia keyboard 
to it so that you can control all supported applications with the same keys.

%prep
%setup -q

%build
# nothing to build

%install
install remoot -m 0755 -D %{buildroot}%{_bindir}/remoot
install daemoot -m 0755 -D %{buildroot}%{_bindir}/daemoot
install remoot-remote -m 0755 -D %{buildroot}%{_bindir}/remoot-remote
iconv -f iso8859-1 -t utf-8 README > README.conv
touch -c -r README README.conv
mv README.conv README

%files
%doc README
%{_bindir}/*

%changelog
