Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/xmllint
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           rifiuti2
Version:        0.7.0
Release:        alt2_5
Summary:        A Windows Recycle Bin analyser

License:        BSD
URL:            https://github.com/abelcheung/rifiuti2
Source0:        https://github.com/abelcheung/rifiuti2/releases/download/%{version}/%{name}-%{version}.tar.xz

BuildRequires:  gcc
BuildRequires:  glib2-devel libgio libgio-devel
BuildRequires:  gettext gettext-tools
Source44: import.info

%description
Rifiuti2 is a for analyzing Windows Recycle Bin INFO2 file. Analysis of
Windows Recycle Bin is usually carried out during Windows computer forensics.
Rifiuti2 can extract file deletion time, original path and size of deleted
files and whether the trashed files have been permanently removed.

%prep
%setup -q


%build
%configure
%make_build

%install
%makeinstall_std
%find_lang %{name}

%check
make check

%files -f %{name}.lang
%doc ChangeLog NEWS.md README.md docs/AUTHORS docs/THANKS
%doc --no-dereference docs/LICENSE.md
%{_mandir}/man1/rifiuti*.*
%{_bindir}/rifiuti*

%changelog
