Group: Other
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:		rnetclient
Version:	2017.1
Release:	alt2_9
Summary:	Submit the Brazilian Income Tax Report to the Brazilian Tax Authority

License:	GPLv3+
URL:		http://wiki.libreplanetbr.org/rnetclient/
Source:		http://libreplanetbr.org/files/sw/rnetclient/rnetclient-%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:	gcrypt-utils libgcrypt-devel
BuildRequires:	libgnutls-devel libgnutlsxx-devel
BuildRequires:	zlib-devel
Source44: import.info

%description

Rnetclient is a Free Software that can be used to submit the Brazilian
Income Tax Report to the Brazilian Tax Authority (Receita Federal).
It is the outcome of reverse-engineering ReceitaNet, the official and
proprietary software that Receita Federal develops.

%prep
%setup -q


%build
%configure
%make_build


%install
%makeinstall_std


%files
%doc AUTHORS COPYING README TODO NEWS
%{_bindir}/rnetclient
%{_mandir}/man1/*
%{_mandir}/pt_BR/man1/*

%changelog
