Group: Development/Python
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           screenie
Version:        20120406
Release:        alt2_12
Summary:        A small and lightweight screen wrapper

License:        GPLv2+
URL:            http://pubwww.fhzh.ch/~mgloor/screenie.html
Source0:        http://downloads.sourceforge.net/project/%{name}/%{name}-%{version}.tar.gz
BuildArch:      noarch

Requires:       gawk
Requires:       screen
Source44: import.info

%description
Screenie is a small and lightweight screen wrapper that is
designed to be a session handler that simplifies the process of
administrating detached jobs by providing an interactive menu.

%description -l ru_RU.UTF-8
Небольшая утилитка, облегчающая создание "гламурных" скриншотов.
Пример работы утилиты смотри в %_docdir/%name-%version/example.png

%prep
%setup -q -n %{name}

%build
#Noting to build

%install
install -Dp -m 0755 %{name} %{buildroot}%{_bindir}/%{name}
install -Dp -m 0644 %{name}.1 %{buildroot}%{_mandir}/man1/%{name}.1

%files
%doc CHANGELOG LICENCE README
%{_mandir}/man*/%{name}*.*
%{_bindir}/%{name}

%changelog
