Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires: libogg-devel
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:		seren
Version:	0.0.21
Release:	alt2_13
Summary:	Simple VoIP program to create conferences from the terminal
License:	GPLv3+
URL:		http://holdenc.altervista.org/seren/
Source:		http://holdenc.altervista.org/seren/downloads/%{name}-%{version}.tar.gz
BuildRequires:  gcc
BuildRequires:	libalsa-devel
BuildRequires:	libopus-devel
BuildRequires:	libncurses++-devel libncurses-devel libncursesw-devel libtic-devel libtinfo-devel
BuildRequires:	libgmp-devel libgmpxx-devel
Source44: import.info

%description
Seren is a simple VoIP program based on the Opus codec that allows you 
to create a voice conference from the terminal, with up to 10 
participants, without having to register accounts, exchange emails, or 
add people to contact lists.
All you need to join an existing conference is the host name or IP 
address of one of the participants.
Seren creates a dynamic peer-to-peer network of equivalent nodes which 
exchange text and audio data using a UDP connection, and offers the 
user the ability to change the quality/bitrate on the fly, encrypt the 
traffic and record the calls.

%prep
%setup -q

%build
%configure --enable-default-pulse
%make_build

%install
make install DESTDIR=%{buildroot}

%files
%{_bindir}/seren
%{_mandir}/man1/seren.1*
%doc COPYING README BUGS TODO Changelog


%changelog
