Group: Other
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name: setuptool
Version: 1.19.11
Release: alt2_22
Summary: A text mode system configuration tool
License: GPLv2+
Url: http://git.fedorahosted.org/git/?p=setuptool.git
Source: setuptool-%{version}.tar.gz
BuildRequires: libnewt-devel gettext gettext-tools, perl-XML-Parser glib2-devel libgio libgio-devel, intltool, gcc
Requires: consolehelper
Source44: import.info

%description
Setuptool is a user-friendly text mode menu utility which allows you
to access all of the text mode configuration programs included in the
operating system distribution.

%prep
%setup -q 

%build
%configure
%make_build

%install
make install DESTDIR=$RPM_BUILD_ROOT

%find_lang setup

%files -f setup.lang
%doc README COPYING
%{_bindir}/setup
%config(noreplace) %{_sysconfdir}/pam.d/setup
%config(noreplace) %{_sysconfdir}/security/console.apps/setup
%{_sbindir}/setup
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/setuptool.d
%dir %{_sysconfdir}/setuptool.d
%config(noreplace) %{_sysconfdir}/setuptool.d/*
%{_mandir}/man1/setup.1*

%changelog
