Group: Other
%define fedora 32
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           shrinkpdf
Version:        0
Release:        alt2_10
Summary:        Simple wrapper around Ghostscript to shrink PDFs

# License is BSD (3 clause)
License:        BSD
URL:            http://www.alfredklomp.com/programming/%{name}
# script is embedded in upstream page, simply copy+paste into text file
Source0:        %{url}/%{name}.sh

BuildArch:      noarch

%if 0%{?fedora} > 27
Requires:       ghostscript-utils ghostscript
%else
Requires:       ghostscript-core
%endif
Requires:       coreutils
Source44: import.info

%description
A simple wrapper around Ghostscript to shrink PDFs (as in reduce
file size) under Linux. The script feeds a PDF through Ghostscript,
which performs lossy recompression by such methods as downsampling
the images to 72 DPI. The result should be (but not always is) a much
smaller file.


%prep

%build

%install
install -p -m0755 %SOURCE0 -D %{buildroot}%{_bindir}/%{name}


%files
%{_bindir}/%{name}


%changelog
