Group: Other
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           snotes
Version:        1.0
Release:        alt2_16
Summary:        A flexible and easy to use notes system
License:        MIT
URL:            https://github.com/v4hn/%{name}
Source0:        https://github.com/v4hn/%{name}/archive/v%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  coreutils
Requires:       dmenu
Requires:       git
# The default editor
Requires:       vim-common vim-minimal
Requires:       xterm
Source44: import.info

%description
%{summary}.

%prep
%setup -q

%build
# Let's have a cookie!
make

%install
make install DESTDIR=%{buildroot} PREFIX=%{_prefix}

%files
%doc --no-dereference LICENSE
%doc README
%{_bindir}/snotes*

%changelog
