Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-cmake rpm-macros-fedora-compat
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           soapy-rtlsdr
Version:        0.3.1
Release:        alt2_2
Summary:        SoapySDR module for RTL-SDR hardware

License:        MIT
URL:            https://github.com/pothosware/SoapyRTLSDR
Source0:        https://github.com/pothosware/SoapyRTLSDR/archive/soapy-rtl-sdr-%{version}.tar.gz

BuildRequires:  ctest cmake gcc-c++ SoapySDR-devel rtl-sdr-devel
Source44: import.info

%description
SoapyRTLSDR is a plug-in module for SoapySDR adding support for
RTL-SDR hardware.

%prep
%setup -q -n SoapyRTLSDR-soapy-rtl-sdr-%{version}


%build
%{fedora_v2_cmake}
%fedora_v2_cmake_build


%install
%fedora_v2_cmake_install



%files
%doc --no-dereference LICENSE.txt
%{_libdir}/SoapySDR/modules0.7/librtlsdrSupport.so

%changelog
