Group: Text tools
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:		sqlite3-dbf
Version:		2011.01.24
Release:		alt2_18
Summary:		Converter of XBase / FoxPro tables to SQLite

License:		GPLv3+
URL:			http://sqlite.mobigroup.ru/wiki?name=sqlite3-dbf
Source0:		http://mobigroup.ru/debian/pool-squeeze/main/s/sqlite3-dbf/%{name}_%{version}.tar.gz
# Still need for EL5

Requires:		sqlite3

BuildRequires:  gcc
Source44: import.info
%description
SQLiteDBF converts XBase databases, particularly FoxPro tables with memo files,
into a SQL dump. It has no dependencies other than standard Unix libraries.

SQLiteDBF is designed to be incredibly fast and as efficient as possible.

This use code base of the PgDBF project (http://pgdbf.sourceforge.net/).

%prep
%setup -q


%build
gcc %{optflags} -o %{name} %{name}.c

%install

install -D %{name} %{buildroot}/usr/bin/%{name}



%files
%{_bindir}/%{name}
%doc README LICENSE

%changelog
