Group: Graphical desktop/Other
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           sselp
Version:        0.2
Release:        alt2_24
Summary:        Prints X selection to standard out
License:        MIT
URL:            http://tools.suckless.org/%{name}
Source0:        http://dl.suckless.org/tools/%{name}-%{version}.tar.gz
Patch0:         %{name}-0.2-optflags.patch
BuildRequires:  binutils
BuildRequires:  coreutils
BuildRequires:  gcc
BuildRequires:  libX11-devel
BuildRequires:  sed
Source44: import.info

%description
Prints X selection to standard out.

%prep
%setup -q
%patch0 -p1
sed -i "s/@\${CC}/\${CC}/" Makefile

%build
%make_build
%make_build

%install
%makeinstall_std PREFIX=%{_prefix}

%files
%doc --no-dereference LICENSE
%doc README
%{_bindir}/%{name}

%changelog
