Group: Networking/WWW
# BEGIN SourceDeps(oneline):
BuildRequires: imake libXt-devel xorg-cf-files
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           ssh-contact
Version:        0.7
Release:        alt2_18
Summary:        Establish SSH connections to your IM contacts using Telepathy

License:        GPLv2+
URL:            http://telepathy.freedesktop.org/wiki/SSH-Contact
Source0:        http://telepathy.freedesktop.org/releases/%{name}/%{name}-%{version}.tar.gz

BuildRequires:  libtelepathy-glib-devel libtelepathy-glib-gir-devel
BuildRequires:  glib2-devel libgio libgio-devel
BuildRequires:  intltool
## BR for vinagre plugin. Enable once it becomes stable.
#BuildRequires:  vinagre-devel
#BuildRequires:  vte-devel

Requires:       openssh-server
Requires:       openssh-clients
Source44: import.info


%description
%{name} is a client/service tool that makes it easy to connect to
your telepathy IM contacts via SSH. No need to care about dynamic
IP, NAT, port forwarding, or firewalls anymore; if you can chat with
a friend, you can also SSH to their machine. 


#%package vinagre
#Summary:	Vinagre plugin for %{name}
#Group:		Applications/Internet
#Requires:	%{name} = %{version}-%{release}


#%description vinagre
#Vinagre plugin for %{name}.


%prep
%setup -q


%build
%configure --enable-static=no --enable-vinagre=no
%make_build


%install
make install DESTDIR=$RPM_BUILD_ROOT


%files
%doc COPYING NEWS AUTHORS
%{_bindir}/%{name}
%{_libexecdir}/%{name}-service
%{_datadir}/telepathy/clients/SSHContact.client
%{_datadir}/dbus-1/services/org.freedesktop.Telepathy.Client.SSHContact.service


#%files vinagre
#%defattr(-,root,root,-)
#%{_libdir}/vinagre-1/plugins

%changelog
