Group: Other
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:		sshrc
Version:	0.6.2
Release:	alt2_6
Summary:	Bring your bash and vim configuration in your ssh session

License:	MIT
URL:		https://github.com/Russell91/sshrc
Source0:	https://github.com/Russell91/sshrc/archive/0.6.2.tar.gz

Requires:	xxd
Requires:	openssh-clients

BuildArch:	noarch

Provides:	moshrc = %{version}-%{release}
Source44: import.info

%description
You can use this to set environment variables, define functions,
and run post-login commands. This is quite useful when you have several
servers that you don't want to configure independently.

%prep
%setup -q

%build

%install
mkdir -p %{buildroot}%{_bindir}/
cp -p sshrc %{buildroot}/%{_bindir}
cp -p moshrc %{buildroot}/%{_bindir}

%files
%doc --no-dereference LICENSE
%doc README.md
%{_bindir}/sshrc
%{_bindir}/moshrc

%changelog
