# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
# %%version is ahead of its definition. Predefining for rpm 4.0 compatibility.
%define version 1.27
%define  srcversion %{version}.r38

Name:    stuff
Version: 1.27
Release: alt1_5
Summary: An astronomical source catalogue generator

Group:   Sciences/Astronomy
License: GPLv3
URL:     http://www.astromatic.net/software/%{name}
Source0: http://www.astromatic.net/download/%{name}/%{name}-%{srcversion}.tar.gz
Source44: import.info


%description
Stuff is a program that generates artificial but realistic
catalogues of astronomical sources. These catalogs can be loaded
in SkyMaker to generate image simulations.

%prep
%setup -q -n %{srcversion}

%build
CFLAGS="%{optflags} -fcommon"
autoreconf -fi
%configure
automake --add-missing
%make_build 

%install
%makeinstall_std

chmod 644 %{buildroot}%{_datadir}/%{name}/data/filters/*/*.pb

%files
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*
%{_mandir}/manx/%{name}.x*
%{_datadir}/%{name}/*


%changelog
