Group: Communications
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define	download_name	stund

Name:		stun
Version:	0.97    
Release:	alt2_17
Summary:	Implements a simple Stun Client
License:	Vovida Software License 1.0
URL:		http://sourceforge.net/projects/%{name}
Source0:	http://downloads.sourceforge.net/%{name}/%{download_name}-%{version}.tgz
Patch0:		patch0.diff

BuildRequires:  gcc-c++
BuildRequires:	gcc
Source44: import.info

%description
Implements a simple STUN client on Windows, Linux, and Solaris. 
The STUN protocol (Simple Traversal of UDP through NATs) is described in the 
IETF RFC 3489, available at http://www.ietf.org/rfc/rfc3489.txt

%package server
Group: Communications
Summary:	Implements the Stun Server

%description server
Implements a simple STUN client on Windows, Linux, and Solaris.           
The STUN protocol (Simple Traversal of UDP through NATs) is described in the
IETF RFC 3489, available at http://www.ietf.org/rfc/rfc3489.txt


%prep
%setup -q  -n %{download_name}
%patch0 -p0

%build
%make_build


%install

mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_sbindir}
install   client $RPM_BUILD_ROOT%{_bindir}/stun-client
install   server $RPM_BUILD_ROOT%{_sbindir}/stun-server




%files
%doc rfc3489.txt
%{_bindir}/stun-client

%files server
%{_sbindir}/stun-server




%changelog
