Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Fcntl.pm) perl(Sys/Syslog.pm)
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           t-prot
Version:        3.4
Release:        alt2_12
Summary:        A filter which improves the readability of email messages and Usenet posts

License:        BSD
URL:            http://www.escape.de/~tolot/mutt/
Source0:        http://www.escape.de/~tolot/mutt/t-prot/downloads/%{name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  rpm-build-perl
BuildRequires:  perl(Locale/gettext.pm)
Requires:       perl(Locale/gettext.pm)
Source44: import.info

%description
t-prot (TOFU Protection) is a filter which improves the readability of email
messages and Usenet posts by hiding some of their annoying parts. The
annoyances it handles include mailing list footers, signatures, TOFU,
sequences of blank lines, and repeated punctuation.

%prep
%setup -q

# Empty build
%build

%install
install -d $RPM_BUILD_ROOT%{_bindir}
install -p -m755 t-prot $RPM_BUILD_ROOT%{_bindir}

install -d $RPM_BUILD_ROOT%{_mandir}/man1/
install -p -m 644 t-prot.1 $RPM_BUILD_ROOT%{_mandir}/man1/

%files
%doc ChangeLog TODO README contrib
%{_bindir}/t-prot
%{_mandir}/man1/t-prot.1*


%changelog
