Group: Sound
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           taginfo
Version:        1.2
Release:        alt2_24
Summary:        Printer of Tag Information from Media Files
License:        GPLv2+
URL:            http://grecni.com/software/taginfo/
Source0:        http://grecni.com/software/taginfo/%{name}-%{version}.tar.bz2

BuildRequires:  gcc-c++
BuildRequires:  libtag-devel
Source44: import.info


%description
Taginfo is a quick implementation of the TagLib API for use in the music
jukebox program Room Juice.  It's meant to be fast, not featureful. Taginfo
reads what tags TagLib can read, which as of this writing are ID3, ID3V2,
Ogg, and FLAC.


%prep
%setup -q


%build
%make_build CC="g++ %{optflags}"


%install
mkdir -p $RPM_BUILD_ROOT%{_bindir}
install -m 0755 -p %{name} $RPM_BUILD_ROOT%{_bindir}



%files
%doc COPYING README
%{_bindir}/%{name}


%changelog
