Group: Networking/WWW
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           tcping
Version:        1.3.5
Release:        alt2_25
Summary:        Check of TCP connection to a given IP/Port

License:        LGPLv3+
URL:            http://www.linuxco.de/tcping/tcping.html
Source0:        http://www.linuxco.de/%{name}/%{name}-%{version}.tar.gz

BuildRequires:  gcc
Source44: import.info
%description
tcping does a TCP connect to the given ip/port combination. The user can
specify a timeout in seconds. This is useful in shell scripts running in
firewalled environments. Often SYNs are just being dropped by firewalls,
thus connection establishment will be retried several times (for minutes)
until a TCP timeout is reached. With tcping it is possible to check first
if the desired port is reachable and then start connection establishment. 

%prep
%setup -q

%build
make CCFLAGS="%{optflags}" %{?_smp_mflags}

%install
install -Dp -m 0755 %{name} %{buildroot}%{_bindir}/%{name}

%files
%doc LICENSE README
%{_bindir}/%{name}

%changelog
