# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/glib-compile-resources /usr/bin/xml2-config gcc-c++ libX11-devel zlib-devel
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define oname	terminatorX

Name:		terminatorx
Summary:	Realtime audio synthesizer
Version:	4.0.1
Release:	alt1_4
Group:		Sound
License:	GPLv2
Url:		https://terminatorx.org/
Source0:	https://terminatorx.org/dist/terminatorX-%{version}.tar.gz
BuildRequires:	ladspa_sdk
BuildRequires:	mpg123
BuildRequires:	sox-base
BuildRequires:	vorbis-tools
BuildRequires:	pkgconfig(alsa)
BuildRequires:	pkgconfig(audiofile)
BuildRequires:	pkgconfig(gnome-doc-utils)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(jack)
BuildRequires:	pkgconfig(libcap)
BuildRequires:	pkgconfig(libpulse)
BuildRequires:	pkgconfig(lrdf)
BuildRequires:	pkgconfig(mad)
BuildRequires:	pkgconfig(vorbis)
BuildRequires:	pkgconfig(vorbisfile)
BuildRequires:	pkgconfig(xxf86dga)
Requires:	mpg123
Requires:	sox-base
Requires:	vorbis-tools
Requires:	ladspa_sdk
Source44: import.info

%description
terminatorX allows a.'scratchinga.' on digitally sampled audio data (*.wav, *.au,
*.ogg, *.mp3, etc.) the way hiphop-DJs scratch on vinyl records. It features
multiple turntables, realtime effects (buit-in as well as LADSPA plugin
effects), a sequencer and MIDI interface a.. all accessible through an
easy-to-use gtk+ GUI.

%prep
%setup -qn %{oname}-%{version}

%build
%configure --disable-scrollkeeper

%make_build

%install
%makeinstall_std

%files
%{_bindir}/terminatorX
%{_datadir}/applications/terminatorX.desktop
%{_datadir}/gnome/help/terminatorX-manual/
%{_iconsdir}/hicolor/*/*/*.png
%{_mandir}/man1/terminatorX.1*
%{_datadir}/mime-info/terminatorX.*
%{_datadir}/omf/terminatorX-manual/terminatorX-manual-C.omf
%{_datadir}/appdata/terminatorX.appdata.xml
%{_datadir}/pixmaps/terminatorX.xpm


%changelog
