Group: Development/Tools
# BEGIN SourceDeps(oneline):
BuildRequires: pkgconfig(check) texinfo
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:			teseq
Version:			1.1.1
Release:			alt2_13
Summary:			An utility for rendering terminal typescripts human-readable

License:			GPLv3+
URL:				http://www.gnu.org/software/teseq/
Source0:			http://ftp.gnu.org/gnu/teseq/%{name}-%{version}.tar.bz2
BuildRequires:  gcc
BuildRequires:		libcheck
# For check
BuildRequires:		rpm-build-perl
BuildRequires:		perl(Getopt/Long.pm), perl(Time/HiRes.pm)
Source44: import.info

%description
Teseq, a tool for analyzing files that contain control characters and
terminal control sequences. It is intended to be useful for diagnosing
terminal emulators, and programs that make heavy use of terminal features
(such as those based on the Curses library).

It is primarily targeted at individuals who possess a basic understanding of
terminal control sequences, especially CSI sequences.

%prep
%setup -q

%build
%configure
%make_build

%check
make check

%install
make install INSTALL="install -p" DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_infodir}/dir

%files
%doc AUTHORS ChangeLog README COPYING NEWS
%{_bindir}/%{name}
%{_bindir}/reseq
%{_infodir}/%{name}.info.*
%{_mandir}/man1/reseq.1*
%{_mandir}/man1/%{name}.1*


%changelog
