Group: Other
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           tfdocgen
Version:        20150202git
Release:        alt2_14
Summary:        TiLP framework documentation generator

License:        GPLv2+
URL:            https://sourceforge.net/projects/tilp/

#To get source archive, run the following commands:
# git clone git://tilp.git.sourceforge.net/gitroot/tilp/tfdocgen/ SNAPSHOT_DATE
# tar cfj tfdocgen-SNAPSHOT_DATE.tar.bz2 tfdocgen-SNAPSHOT_DATE/
Source0:        %{name}-%{version}.tar.bz2

BuildRequires:  gcc
BuildRequires:  glib2-devel libgio libgio-devel
Source44: import.info

%description
The tfdocgen program is a program used by the libti*
libraries to generate their HTML documentation from
sources and misc files. You don't need this package
unless you want to develop on the libti*2 libraries.

%prep
%setup -q

%build
%configure
%make_build

%install
make install DESTDIR=%{buildroot}

%files
%{_bindir}/tfdocgen
%{_mandir}/man1/tfdocgen.1*
%doc --no-dereference COPYING
%doc README AUTHORS ChangeLog

%changelog
