Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Socket.pm) perl(Socket6.pm)
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name: thc-ipv6
Version: 3.4
Release: alt2_8
Summary: An toolkit for attacking the IPv6 protocol suite

License: AGPLv3 with exceptions
URL: https://www.thc.org/thc-ipv6/
Source0: http://www.thc.org/releases/thc-ipv6-%{version}.tar.gz

# PR #23 
Patch0: /tmp/0001-Include-stdint.h-in-dnsrevenum6.c-since-uintptr_t-is.patch

BuildRequires:  gcc
BuildRequires: libpcap-devel
BuildRequires: libssl-devel 
BuildRequires: libnetfilter_queue-devel
BuildRequires: rpm-build-perl
# For patches
BuildRequires: git-core
Source44: import.info

%description
A complete tool set to attack the inherent protocol weaknesses of IPV6
and ICMP6, and includes an easy to use packet factory library.

%prep
%setup -q -n thc-ipv6-%{version}
%patch0 -p1



%build

sed -i "s|^PREFIX=/usr/local|PREFIX=/usr|" Makefile 
sed -i "s/^STRIP=strip/STRIP=echo/" Makefile 
sed -i "/^CFLAGS=-O2/d" Makefile 
%make_build CFLAGS="%{optflags} -D_HAVE_SSL"


%install
make install DESTDIR=%{buildroot}


%files
%doc CHANGES LICENSE LICENSE.OPENSSL README HOWTO-INJECT
%{_bindir}/*
%{_mandir}/man8/*

%changelog
