Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%{!?tcl_version: %global tcl_version %(echo 'puts $tcl_version' | tclsh)}
%{!?tcl_sitearch: %global tcl_sitearch %{_libdir}/tcl%{tcl_version}}

Name:           tkdnd
Version:        2.8
Release:        alt2_12
Summary:        Tk extension that adds native drag & drop capabilities

License:        BSD
URL:            http://tkdnd.sourceforge.net/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}%{version}-src.tar.gz

BuildRequires:  gcc
BuildRequires:  libXext-devel
BuildRequires:  libXft-devel
BuildRequires:  libXt-devel
BuildRequires:  tk-devel
Source44: import.info

%description
Tk Drag & Drop: tkdnd is an extension that adds native drag & drop capabilities
to the tk toolkit. It can be used with any tk version equal or greater to 8.4.
Under unix the drag & drop protocol in use is the XDND protocol version 4
(also used by the QT toolkit, KDE & GNOME Desktops).

%prep
%setup -q -n %{name}%{version}

%build
%configure --enable-symbols
%make_build

%install
make libdir=%{tcl_sitearch} DESTDIR=%{buildroot} install \
        INSTALL_DATA="install -pm 644" INSTALL_LIBRARY="install -pm 755"
chmod +x %{buildroot}%{tcl_sitearch}/%{name}%{version}/lib%{name}%{version}.so


%files
%doc doc/*
%{_mandir}/mann/tkDND.n*
%{tcl_sitearch}/%{name}%{version}/


%changelog
