Group: System/Configuration/Hardware
# BEGIN SourceDeps(oneline):
BuildRequires: libX11-devel
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           touchcal
Version:        1.00
Release:        alt2_4
Summary:        Calibration utility for touch screens

License:        GPLv2+
URL:            http://touchcal.sourceforge.net/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}_%{version}.orig.tar.gz

BuildRequires:  gcc
BuildRequires:  libncurses++-devel libncurses-devel libncursesw-devel libtic-devel libtinfo-devel
BuildRequires:  libXinerama-devel
BuildRequires:  libXft-devel
BuildRequires:  help2man
Source44: import.info


%description
touchcal is a tool to calibrate touch screens with serial controllers from the
manufacturers EloGraphics (IntelliTouch E281-2310) and MicroTouch (SMT3 serial)
for use under Xorg.


%prep
%setup -q


%build
%configure
%make_build


%install
make install DESTDIR=$RPM_BUILD_ROOT


%files
%doc AUTHORS COPYING ChangeLog README
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*


%changelog
