Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/pod2man pkgconfig(appindicator3-0.1) pkgconfig(mrss)
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           transmission-remote-gtk
Version:        1.4.1
Release:        alt2_5
Summary:        GTK remote control for the Transmission BitTorrent client

License:        GPLv2+
URL:            https://github.com/transmission-remote-gtk/transmission-remote-gtk
Source0:        https://github.com/transmission-remote-gtk/transmission-remote-gtk/releases/download/%{version}/%{name}-%{version}.tar.xz

BuildRequires:  gcc
BuildRequires:  libjson-glib libjson-glib-devel libjson-glib-gir-devel
BuildRequires:  intltool
BuildRequires:  gtk3-demo libgail3-devel libgtk+3 libgtk+3-devel libgtk+3-gir-devel
BuildRequires:  libproxy-devel
BuildRequires:  glib2-devel libgio libgio-devel
BuildRequires:  libcurl-devel
BuildRequires:  libnotify-devel libnotify-gir-devel
BuildRequires:  libGeoIP-devel
BuildRequires:  git

# Upstream patches
Patch0: 0001-Handle-return-enter-key-press-in-torrent-add-url-dia.patch
Patch1: 0002-Enable-curl-gzip-compression.patch
Patch2: 0003-Fix-building-under-GCC-10-fno-common.patch
Patch3: 0001-link-window-name-to-an-icon-in-app-menu.patch
Source44: import.info

%description
transmission-remote-gtk is a GTK client for remote management of
the Transmission BitTorrent client, using its HTTP RPC protocol.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1


%build
%configure --disable-desktop-database-update
%make_build

%install
%makeinstall_std

%find_lang %{name}

%files -f %{name}.lang
%doc --no-dereference COPYING
%doc README.md AUTHORS ChangeLog
%{_bindir}/%{name}
%{_datadir}/applications/io.github.TransmissionRemoteGtk.desktop
%{_datadir}/appdata/io.github.TransmissionRemoteGtk.appdata.xml
%{_datadir}/icons/hicolor/*/apps/%{name}.*
%{_mandir}/man1/%{name}.1*

%changelog
