Group: System/Base
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-setuptools
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Summary:        Command line interface to the freedesktop.org trashcan
Name:           trash-cli
Version:        0.21.6.10.1
Release:        alt1_1
License:        GPLv2+
URL  :          https://github.com/andreafrancia/trash-cli
Source0:        https://files.pythonhosted.org/packages/source/t/%{name}/%{name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python3-module-distribute
BuildRequires:  python3-devel
Requires:       python3-module-unipath
Requires:       python3-module-distribute
Source44: import.info

%description
trash-cli provides a command line trash usable with GNOME, KDE, Xfce or any
freedesktop.org compatible trash implementation. The command line interface is
compatible with rm and you can use trash-put as an alias to rm.

%prep
%setup -q -n %{name}-%{version}


%build
%python3_build

%install
%python3_install

%files
%doc README.rst

%{_bindir}/trash*
%{python3_sitelibdir_noarch}/trashcli/
%{python3_sitelibdir_noarch}/trash_cli-*-py*.egg-info
%{_mandir}/man1/trash*

%changelog
