Group: System/Base
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           ufiformat
Version:        0.9.8
Release:        alt2_20
Summary:        Disk formatting utility for USB floppy devices

License:        GPLv2+
URL:            http://www.geocities.jp/tedi_world/format_usbfdd_e.html
Source0:        http://www.geocities.jp/tedi_world/ufiformat-%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:  e2fsprogs-devel libe2fs-devel
Source44: import.info

%description
ufiformat is a disk formatting utility for USB floppy devices.

%prep
%setup -q


%build
%configure
%make_build


%install
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"



%files
%doc COPYING README AUTHORS ChangeLog
%{_bindir}/ufiformat
%{_mandir}/man8/ufiformat.8*


%changelog
