Group: Networking/WWW
# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/pod2man perl(Getopt/ArgvFile.pm) perl(LWP.pm) perl(Pod/Usage.pm) perl(XML/DOM.pm) perl-devel
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           umph
Version:        0.2.5
Release:        alt2_16
Summary:        Command line tool for parsing video links from Youtube feeds

License:        GPLv3+
URL:            http://code.google.com/p/umph/
Source0:        http://%{name}.googlecode.com/files/%{name}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  rpm-build-perl
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
Requires:       perl(Getopt/ArgvFile.pm) perl(XML/DOM.pm)
Source44: import.info

%description
umph is a command line tool for parsing video links from Youtube feeds,
such as playlists, favorites and uploads. The parsed video links are printed
to the standard output each separated with a newline. 

%prep
%setup -q

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor
# to avoid useless perllocal.pod file installation
sed -i -e 's/pure_install doc_install/pure_install/' Makefile
# useless file
sed -i -e '/\.packlist/d' Makefile
%make_build


%install
make install DESTDIR=$RPM_BUILD_ROOT



%files
%doc ChangeLog COPYING README NEWS
%attr(755, -,-) %{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*

%changelog
