Group: Archiving/Other
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           unzix
Version:        0.3.0
Release:        alt2_19
Summary:        A WinZix archive extractor

License:        BSD
URL:            http://banu.com/unzix/

Source0:        http://banu.com/pub/unzix/0.3/%{name}-%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:  zlib-devel asciidoc asciidoc-a2x
Source44: import.info

%description
Unzix is a small command-line program for extracting files from archives
in the WinZix format.

%prep
%setup -q

%build
%configure
%make_build

%install
make install DESTDIR=%{buildroot}

%files
%doc AUTHORS LICENSE NEWS README
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*

%changelog
