Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-setuptools
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           urlscan
Version:        0.9.6
Release:        alt1_2
Summary:        Extract and browse the URLs contained in an email (urlview replacement)

License:        GPLv2+
URL:            https://github.com/firecat53/%{name}
Source0:        https://github.com/firecat53/%{name}/archive/%{version}/%{name}-%{version}.tar.gz
Source1:        muttrc
Patch0:         %{name}-remove-doc.patch

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-module-distribute
Requires:       python3-module-urwid >= 1.2.1
Source44: import.info


%description
%{name} searches for URLs in email messages, then displays a list of them in
the current terminal. It is primarily meant as a replacement for urlview.


%prep
%setup -q
%patch0

cp -p %{SOURCE1} .


%build
%python3_build


%install
%python3_install


%files
%doc --no-dereference COPYING
%doc muttrc README.rst
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*
%{python3_sitelibdir_noarch}/*


%changelog
