Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Digest.pm) perl(IO/Handle.pm) perl(IO/Select.pm) perl(Pod/Usage.pm) perl(Socket.pm) perl(Time/HiRes.pm)
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           vanityhash  
Version:        1.1
Release:        alt2_21
Summary:        Hexadecimal hash fragment creation tool
License:        GPLv2+
URL:            http://www.finnie.org/software/%{name}/
Source0:        %{url}%{name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  coreutils
BuildRequires:  rpm-build-perl
Requires:       perl(Digest/MD2.pm)
Requires:       perl(Digest/MD4.pm)
Requires:       perl(Digest/MD5.pm)
Requires:       perl(Digest/SHA.pm)
Requires:       perl(Digest/CRC.pm)
Source44: import.info

%description
This is a tool that can discover data to be added to the end of a file to
produce a desired hexadecimal hash fragment.  It searches a message space and
runs a hashing algorithm against the original data plus the appended data to
determine if the desired hash fragment is present.  vanityhash can run
multiple parallel workers to effectively make use of multiple processors/cores/
threads, and supports multiple hash digest types (MD5, SHA-1, SHA-256, etc).

%prep
%setup -q

%build
%make_build

# tests only loads run-time dependencies. They do not exhibit vanityhash code
# at all.
#%%check
#make test

%install
make install DESTDIR=%{buildroot} PREFIX=%{_prefix}

%files
%doc --no-dereference COPYING
%doc ChangeLog README
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*

%changelog
