Group: Editors
# BEGIN SourceDeps(oneline):
BuildRequires: perl(File/Spec/Functions.pm) perl(FindBin.pm) perl(IO/All.pm) perl(Pod/Text.pm) perl(Template.pm)
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define beta_version 4
Name:           vbindiff
Version:        3.0 
Release:        alt2_0.25.beta%{beta_version}
Summary:        Visual binary diff

License:        GPLv2+
URL:            http://www.cjmweb.net/%{name}/
Source0:        http://www.cjmweb.net/%{name}/%{name}-%{version}_beta%{beta_version}.tar.gz
# 2013-10-25: Submitted upstream: https://github.com/madsen/vbindiff/pull/3
Patch1:         crash-patch.diff

BuildRequires:  gcc-c++
BuildRequires:  libncurses++-devel libncurses-devel libncursesw-devel libtic-devel libtinfo-devel
Source44: import.info

%description
VBinDiff (Visual Binary Diff) displays files in hexadecimal
and ASCII (or EBCDIC). It can also display two files at once,
and highlight the differences between them.
Unlike diff, it works well with large files (up to 4 GB).

VBinDiff was inspired by the Compare Files function 
of the ProSel utilities by Glen Bredon, for the Apple II.

The single-file mode was inspired by the LIST utility 
of 4DOS and friends. While less provides a good line-oriented display,
it has no equivalent to LIST's hex display.

%prep
%setup -q -n %{name}-%{version}_beta%{beta_version}
%patch1 -p1 -b .crash_patch


%build
%configure INSTALL="install -p"
%make_build


%install
make install DESTDIR=$RPM_BUILD_ROOT



%files
%doc AUTHORS NEWS README README.PuTTY putty.src
%doc --no-dereference COPYING
%{_bindir}/%{name}
%{_datadir}/man/man?/%{name}*


%changelog
