Group: Engineering
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:          vhd2vl
Version:       2.5
Release:       alt2_12
Summary:       VHDL to Verilog translator

License:       GPLv2+
Url:           http://doolittle.icarus.com/~larry/vhd2vl/
Source0:       http://doolittle.icarus.com/~larry/%{name}/%{name}-%{version}.tar.gz
BuildRequires: gcc
BuildRequires: flex bison flex
Source44: import.info

%description
vhd2vl is a VHDL to Verilog translation program.
It targets the translation of synthetisable RTL.
While far from complete it supports a useful
subset of VHDL, sufficient for complex designs.


%prep
%setup -q


# rpmlint warning: W: wrong-file-end-of-line-encoding /usr/share/doc/vhd2vl-2.4/examples/gh_fifo_async16_sr.vhd
echo -n -e "... Fixing the end-of-line encodings of $f  \t"
sed -i.bak -e 's|\r||g' examples/gh_fifo_async16_sr.vhd
touch -r examples/gh_fifo_async16_sr.vhd.bak examples/gh_fifo_async16_sr.vhd
rm -f examples/gh_fifo_async16_sr.vhd.bak
echo "done"

sed -i "s|gcc \${STANDARD} \${WARNS} -O2 -g|gcc \${STANDARD} \${WARNS} %{optflags}|" src/makefile


%build
%make_build -C src


%install
mkdir -p %{buildroot}%{_bindir}
install -pm 755 src/%{name} %{buildroot}%{_bindir}


%files
%{_bindir}/%{name}
%doc README.txt changes
%doc --no-dereference GPLv2.txt
%doc examples translated_examples/


%changelog
