Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/desktop-file-install gcc-c++
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:		vimpal		
Version:	1.5.0
Release:	alt2_16
Summary:	Separate application providing a file tree for VIM
License:	GPLv3+
URL:		http://vimpal.sourceforge.net
Source0:	http://downloads.sourceforge.net/project/%{name}/%{name}_%{version}.tar.gz
Source1:	vimpal.desktop
BuildRequires:	libqt4-declarative libqt4-devel libqt4-help qt4-designer qt4-doc-html qt5-declarative-devel qt5-designer qt5-tools
BuildRequires:	desktop-file-utils
Requires:	vim-X11 vimtutor
Source44: import.info

%description
Simple and small application that can be used to select the files you want
to edit in Vim.

%prep
%setup -q -n %{name}_%{version}
# I provide an icon without a name so generic
cp -p img/icon.png img/vimpal.png

%build
%{qmake_qt4}
%make_build


%install
mkdir -p %{buildroot}%{_bindir}/
install -pm 0755 vimpal %{buildroot}%{_bindir}/%{name}
mkdir -p %{buildroot}%{_datadir}/icons/hicolor/48x48/apps/
install -pm 0644 img/%{name}.png %{buildroot}%{_datadir}/icons/hicolor/48x48/apps/
mkdir -p %{buildroot}%{_datadir}/applications/
desktop-file-install \
	--dir %{buildroot}%{_datadir}/applications \
	%{SOURCE1}

%files
%doc README gpl.txt
%{_bindir}/%{name}
%{_datadir}/icons/hicolor/48x48/apps/%{name}.png
%{_datadir}/applications/%{name}.desktop

%changelog
