# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Summary:        Channel scan tool for DVB-T and DVB-C
Name:           w_scan2
Version:        1.0.9
Release:        alt1_1
License:        GPLv2+
Group:          Video
Url:            https://github.com/stefantalpalaru/w_scan2
Source0:        https://github.com/stefantalpalaru/w_scan2/archive/%{version}/%{name}-%{version}.tar.gz
Source44: import.info

%description
w_scan fork (channel scan tool which generates ATSC, DVB-C, DVB-S/S2 and
DVB-T channels.conf files).

%prep
%setup -q


%build
./autogen.sh
%configure
%make_build

%install
%makeinstall_std

#compat symlinks
ln -s w_scan2 %{buildroot}%{_bindir}/w_scan
ln -s w_scan2.1%{?_extension} %{buildroot}%{_mandir}/man1/w_scan.1%{?_extension}

%files
%doc --no-dereference COPYING
%doc ChangeLog README*
#%{_bindir}/w_scan
%{_bindir}/w_scan2
#%{_mandir}/man1/w_scan.1*
%{_mandir}/man1/w_scan2.1*


%changelog
