Group: Sound
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python3 rpm-macros-fedora-compat
BuildRequires: /usr/bin/2to3 /usr/bin/pathfix.py
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           wavextract
Version:        1.0.0
Release:        alt2_26
Summary:        Program for extracting embedded audio data from JPEG images
Summary(pl):    Program do wyciągania zagnieżdżonych danych audio z plików JPEG
License:        GPLv2+
URL:            http://developer.berlios.de/projects/wavextract
Source0:        http://download.berlios.de/wavextract/%name-%version.tar.gz
Patch0:         wavextract-1.0.0-pillow.patch
BuildArch:      noarch
BuildRequires:  python3-devel
Requires:       python3 python3-module-Pillow
Source44: import.info

%description
Program for extracting embedded audio data from JPEG images.

%description -l pl
Program do wyciągania zagnieżdżonych danych audio z plików JPEG.

%prep
%setup -qn %{name}
%patch0 -p1
pathfix.py -pni "%{__python3} %{py3_shbang_opts}" ./wavextract
2to3 -w wavextract

%build
#nothing to build

%install
mkdir -p $RPM_BUILD_ROOT%{_bindir}
cp %{name} $RPM_BUILD_ROOT%{_bindir}/%{name}

%files
%doc --no-dereference COPYING
%doc README
%{_bindir}/%{name}

%changelog
