# BEGIN SourceDeps(oneline):
BuildRequires: perl(Curses.pm) perl(Fcntl.pm) perl(HTML/TokeParser.pm) perl(LWP/Simple.pm) perl(Term/Animation.pm)
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           weatherspect
Version:        1.11
Release:        alt1_6
Summary:        A weather animation in ASCII art
License:        GPL
Group:          Toys
URL:            http://robobunny.com/projects/weatherspect/html/
Source0:        http://robobunny.com/projects/weatherspect/%{name}_v%{version}.tar.gz
Requires:	perl-Term-Animation
BuildArch:      noarch
Source44: import.info

%description
WeatherSpect is a weather animation in ASCII art. This program uses
weather data supplied by the Weather::Underground module to create
an ASCII animation thatsimulates the weather.

%prep
%setup -q -n %{name}_v%{version}

%install
install -d -m 0755 %{buildroot}%{_bindir}
install -m 0755 %{name} %{buildroot}%{_bindir}

%files
%doc CHANGES  README gpl.txt
%{_bindir}/*


%changelog
