# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python3
BuildRequires: python3-devel
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Summary:	Automated wireless auditor
Name:		wifite
Version:	2.2.5
Release:	alt1_2
License:	GPLv2
Group:		Networking/Other
URL:		https://github.com/derv82/wifite2
Source0:        https://github.com/derv82/wifite2/archive/%{version}/wifite2-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	python3 python3-tools
BuildRequires:	python3-module-setuptools
Requires:	aircrack-ng
Requires:	ifrename wireless-tools
Requires:	reaver-t6x
Requires:	pyrit
Requires:	cowpatty
Requires:	tshark
Provides:       wifite2 = %{version}-%{release}
Source44: import.info

%description
To attack multiple WEP, WPA, and WPS encrypted networks in a row. This tool is
customizable to be automated with only a few arguments. Wifite aims to be the
"set it and forget it" wireless auditing tool.

%prep
%setup -q -n wifite2-%{version}


%build
%python3_build

%install
%python3_install

%files
%doc *.md
%{_sbindir}/%{name}
%{python3_sitelibdir_noarch}/wifite/
%{python3_sitelibdir_noarch}/wifite-%{version}-py?.?.egg-info
%{_datadir}/dict/wordlist-top4800-probable.txt


%changelog
