%filter_from_requires /^python3.sstruct./d
Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python3
BuildRequires: /usr/bin/2to3 python3-module-setuptools
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global commit0 67030d47ccb97993eb683e23bbce0f79d9577cf5
%global shortcommit0 %(c=%{commit0}; echo ${c:0:7})

Name:           woffTools
Version:        0.1
Release:        alt2_0.30.20160211git
Summary:        Tool for manipulating and examining WOFF files

License:        MIT
URL:            https://github.com/typesupply/woffTools
Source0:        https://github.com/typesupply/%{name}/archive/%{commit0}.tar.gz#/%{name}-%{shortcommit0}.tar.gz

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-module-fonttools
Requires:       python3-module-fonttools
Requires:       python3-module-woffTools
Source44: import.info
Patch: woffTools-alt-python3.patch

%description
woffTools is a collection of command line tools for verifying and
examining WOFF files. This is also a Python package that can be used
to manipulate and examine WOFF files just as you can examine SFNT files
with FontTools.

%package -n python3-module-woffTools
Group: Development/Other
Summary:        Tool for manipulating and examining WOFF files
%{?python_provide:%python_provide python3-%{name}}

%description -n python3-module-woffTools
An python module which provides a convenient example.

%prep
%setup -q -n %{name}-%{commit0}

# Remove shebang
sed -i -e '/^#! \//, 1d' Lib/woffTools/tools/validate.py

2to3 -w .

%patch -p0

%build
%python3_build

%install
%python3_install

%files
%{_bindir}/woff*

%files -n python3-module-woffTools
%doc README.txt
%doc --no-dereference License.txt
%{python3_sitelibdir_noarch}/*

%changelog
