# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/2to3
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:		woof
Version:	20120531
Release:	alt1_9
Summary:	Simple Web-based File Exchange
Source0:	http://www.home.unix-ag.org/simon/woof
Patch0:		woof-20120531-mga-python3.patch
URL:		http://www.home.unix-ag.org/simon/woof.html
Group:		Networking/Remote access
License:	GPLv3+
BuildArch:	noarch
Requires:   net-tools
Requires:	python3 python3-tools
Requires:	tar
BuildRequires:	python3 python3-tools
Source44: import.info

%description
Woof (Web Offer One File) tries a different approach. It assumes that
everybody has a web-browser or a command-line web client installed. Woof is a
small simple stupid webserver that can easily be invoked on a single
file. Your partner can access the file with tools he trusts (e.g. wget). No
need to enter passwords on keyboards where you don't know about keyboard
sniffers, no need to start a huge lot of infrastructure.

%prep
%setup -c -T
cp %{SOURCE0} .
2to3 --write --nobackups --no-diffs woof
%patch0 -p1


%build

%install
install -D -m0755 woof %{buildroot}%{_bindir}/%{name}

%files
%{_bindir}/%{name}


%changelog
