Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-setuptools
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           wordxtr
Version:        1.0.0
Release:        alt2_9
Summary:        Create hunspell dictionary from given plain text input data files

License:        GPLv2+
URL:            https://pagure.io/wordxtr
Source0:        http://releases.pagure.org/%{name}/%{name}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python3-devel
## we need wordlist2hunspell which is provided by hunspell-devel
Requires:       hunspell-utils
Source44: import.info


%description
This package will help you to create hunspell dictionary for given 
input language and plain text unicode data files.

%prep
%setup -q



%build
%python3_build


%install
%python3_install
 
%files
%doc README 
%doc --no-dereference COPYING
%{_bindir}/wordxtr
%{python3_sitelibdir_noarch}/*

%changelog
