# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name: wuja
Version: 0.0.8
Release: alt1_21
Summary: Gnome desktop applet for integration with Google Calendar

Group: Networking/WWW
License: GPLv2+
URL: http://dangerouslyinc.com/wuja
Source0: http://dangerouslyinc.com/files/wuja/wuja-%{version}.tar.gz

BuildArch: noarch
BuildRequires: python-devel

Requires: python-module-vobject >= 0.4.4
Requires: python-module-dateutil >= 1.1
Requires: python-module-pygnome-extras >= 2.14.3
Requires: python-module-pygnome-gconf >= 2.18.1
Requires: python-module-notify >= 0.1.0

Requires(pre): GConf libGConf
Requires(post): GConf libGConf
Requires(preun): GConf libGConf
Source44: import.info

%description
wuja is a Gnome application for integration with Google Calendar.
%prep
%setup -q -n wuja-%{version}


%build
%{__python} setup.py build


%install
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
rm -f $RPM_BUILD_ROOT%{python_sitelibdir_noarch}/*egg-info/requires.txt


%pre
if [ "$1" -gt 1 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
        %{_sysconfdir}/gconf/schemas/wuja.schema >/dev/null || :
fi


%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
    %{_sysconfdir}/gconf/schemas/wuja.schema > /dev/null || :


%preun
if [ "$1" -eq 0 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
        %{_sysconfdir}/gconf/schemas/wuja.schema > /dev/null || :
fi



%files
%doc AUTHORS
%doc LICENSE
%doc README
%{_sysconfdir}/gconf/schemas/wuja.schema
%{_bindir}/wuja
%dir %{python_sitelibdir_noarch}/wuja
%{python_sitelibdir_noarch}/wuja/*
%{python_sitelibdir_noarch}/wuja*.egg-info


%changelog
