Group: Engineering
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
# Well, for now we use the timestamp of unpacked data
# for version

# Other information can be obtained on
# http://www.ngdc.noaa.gov/mgg/global/relief/ETOPO5/BOUNDARY/WVS/
# http://www.ngdc.noaa.gov/mgg/fliers/93mgg01.html

%define		WVS_date	20020219

Name:		wvs-data
Version:	0.0.%{WVS_date}
Release:	alt2_23
Summary:	World Vector Shoreline data

License:	Public Domain
URL:		http://www.flaterco.com/xtide/files.html
Source0:	ftp://ftp.flaterco.com/xtide/wvs.tar.bz2

BuildArch:	noarch
Source44: import.info

%description
This package contains World Vector Shoreline data, which can
be used for XTide related applications.

%prep
%setup -q -c %{name}-%{version}

%build

%install

mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}
install -c -p -m644 *.dat \
	$RPM_BUILD_ROOT%{_datadir}/%{name}


%files
%{_datadir}/%{name}/

%changelog
