Group: Graphical desktop/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python rpm-macros-fedora-compat
BuildRequires: /usr/bin/desktop-file-validate python-module-setuptools
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           x-tile
Version:        2.6
Release:        alt1_1
Summary:        A GTK application to tile windows in different ways

License:        GPLv2+
URL:            http://www.giuspen.com/%{name}/
Source0:        http://www.giuspen.com/software/%{name}-%{version}.tar.xz
Source1:        %{name}.appdata.xml

BuildRequires:  desktop-file-utils
BuildRequires:  gettext gettext-tools
BuildRequires:  libappstream-glib
BuildRequires:  python-module-pygtk python-module-pygtk-demo
BuildRequires:  python-devel
Requires:       python-module-pygtk python-module-pygtk-demo
BuildArch:      noarch
Source44: import.info

%description
X-tile is a GTK application that allows you to select a number of windows and
tile them in different ways. This is especially useful for comparing products in
separate web pages, or for programmers referring to documentation as they are
programming.


%prep
%setup -q



%build
mkdir -p build/scripts-%{__python_version}/
%python_build


%install
%python_install
install -Dpm 0755 %{name} $RPM_BUILD_ROOT%{_bindir}/%{name}
install -Dpm 0644 %{SOURCE1} $RPM_BUILD_ROOT%{_metainfodir}/%{name}.appdata.xml

%find_lang %{name}


%check
desktop-file-validate $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop
appstream-util validate-relax --nonet $RPM_BUILD_ROOT%{_metainfodir}/%{name}.appdata.xml


%files -f %{name}.lang
%doc --no-dereference license
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.svg
%{python_sitelibdir_noarch}/*.egg-info
%{_mandir}/man1/%{name}.1*
%{_metainfodir}/%{name}.appdata.xml


%changelog
