Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Fcntl.pm) perl(IPC/Open3.pm)
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Summary:          Simple tool to decode X.509 certificates
Name:             x509viewer
Version:          0.1.0
Release:          alt2_9
License:          GPLv2+
URL:              https://ftp.robert-scheck.de/linux/%{name}/
Source:           https://ftp.robert-scheck.de/linux/%{name}/%{name}-%{version}.tar.gz
Requires:         %{_bindir}/openssl
BuildRequires:    rpm-build-perl
BuildArch:        noarch
Source44: import.info

%description
x509viewer is a simple command line application, written in Perl, that can be
used to decode one or multiple X.509 certificates per given file, such as e.g.
SSL certificates, CSRs (certificate signing requests), but also private keys.

%prep
%setup -q

%build

%install
%makeinstall_std

%files
%doc --no-dereference COPYING
%doc ChangeLog README
%{_bindir}/%{name}

%changelog
