# BEGIN SourceDeps(oneline):
BuildRequires: pkgconfig(x11) pkgconfig(xmu)
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:		xbiff
Version:	1.0.4
Release:	alt1_2
Summary:	Mailbox flag for X
Group:		Development/C
Source:		http://xorg.freedesktop.org/releases/individual/app/%{name}-%{version}.tar.bz2
License:	MIT

BuildRequires: pkgconfig(xext) >= 1.0.0
BuildRequires: pkgconfig(xaw7) >= 1.0.1
BuildRequires: xorg-bitmaps >= 1.0.1
BuildRequires: xorg-util-macros >= 1.0.1
Source44: import.info
Url: https://www.x.org

%description
The xbiff program displays a little image of a mailbox. When there is no mail,
the flag on the mailbox is down. When mail arrives, the flag goes up and the
mailbox beeps.

%prep
%setup -q

%build
# fix build on aarch64
autoreconf -vfi

%configure
%make_build

%install
%makeinstall_std

%files
%{_bindir}/xbiff
%{_mandir}/man1/xbiff.*






%changelog
