Group: Graphical desktop/Other
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
# Review: https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=173670

%global minorversion 0.6
%global xfceversion 4.16

Name:           xfce4-wavelan-plugin
Version:        0.6.2
Release:        alt2_2
Summary:        WaveLAN plugin for the Xfce panel

License:        BSD
URL:            http://goodies.xfce.org/projects/panel-plugins/%{name}
#VCS: git:git://git.xfce.org/panel-plugins/xfce4-wavelan-plugin
Source0:        http://archive.xfce.org/src/panel-plugins/%{name}/%{minorversion}/%{name}-%{version}.tar.bz2

BuildRequires:  gcc-c++
BuildRequires:  libxfce4ui-gtk3-devel >= %{xfceversion}
BuildRequires:  libxfce4panel-gtk3-devel >= %{xfceversion}
BuildRequires:  gettext gettext-tools
BuildRequires:  intltool

Requires:       xfce4-panel
Source44: import.info

%description
A plugin for the Xfce panel that monitors a wireless LAN interface. It 
displays stats for signal state, signal quality and network name (SSID).

%prep
%setup -q


%build
%configure --disable-static
%make_build

%install
%makeinstall_std

# remove la file
find %{buildroot} -name '*.la' -exec rm -f {} ';'

# FIXME: make sure debuginfo is generated properly (#795107)
chmod -c +x %{buildroot}%{_libdir}/xfce4/panel/plugins/*.so

%find_lang %{name}


%files -f %{name}.lang
%doc --no-dereference COPYING
%doc AUTHORS ChangeLog NEWS
%{_libdir}/xfce4/panel/plugins/libwavelan.so
%{_datadir}/xfce4/panel/plugins/*.desktop

%changelog
