Group: File tools
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           xlcrack
Version:        1.2
Release:        alt2_24
Summary:        Recover lost and forgotten passwords from XLS files

License:        GPLv2+
URL:            http://devel.tlrmx.org/misc/
Source0:        http://devel.tlrmx.org/misc/%{name}-%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:  libgsf libgsf-devel libgsf-gir-devel
Source44: import.info
      

%description
xlcrack recovers lost passwords for XLS files, such as those saved by
Excel 95. In order to do this it implements a simple XOR encryption
algorithm common to several Microsoft Office applications.


%prep
%setup -q
sed -i -e 's|-g -Wall|%{optflags}|' Makefile


%build
%make_build


%install
install -Dp -m 0755 %{name} %{buildroot}%{_bindir}/%{name}


%files
#-f %{name}.lang
%doc README
%doc --no-dereference COPYING
%{_bindir}/%{name}


%changelog
