Group: Office
# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/desktop-file-install imake libX11-devel xorg-cf-files
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Summary: Reminds you take wrist breaks

Name: xwrits
Version: 2.26
Release: alt2_19
Source: http://www.lcdf.org/xwrits/xwrits-%{version}.tar.gz
Source2: xwrits.png
Source3: xwrits.desktop

URL: http://www.lcdf.org/xwrits/

License: GPLv2
BuildRequires:  gcc
BuildRequires: desktop-file-utils
BuildRequires: libXt-devel
BuildRequires: libXext-devel
BuildRequires: libXinerama-devel
Source44: import.info

%description
Xwrits reminds you to take wrist breaks, which
should help you prevent or manage a repetitive
stress injury. It pops up an X window when you
should rest; you click on that window, then take a
break.

Xwrits's graphics are brightly colored pictures of
a wrist and the attached hand. The wrist clenches
and stretches ``as if in pain'' when you should
rest, slumps relaxed during the break, and points
forward valiantly when the break is over. It is
trapped behind bars while the keyboard is locked.
Other gestures are included.

Extensive command line options let you control how
often xwrits appears. It can escalate its behavior
over time -- by putting up more flashing windows
or actually locking you out of the keyboard, for
example -- which makes it harder to cheat.

%prep
%setup -q

%build
CFLAGS="${RPM_OPT_FLAGS}" ./configure --prefix=${RPM_BUILD_ROOT}%{_prefix} --libdir=${RPM_BUILD_ROOT}%{_libdir} --mandir=${RPM_BUILD_ROOT}%{_mandir}
%make_build

%install
make install
mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/pixmaps
mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/applications
cp -p %{SOURCE2} ${RPM_BUILD_ROOT}%{_datadir}/pixmaps
desktop-file-install                            \
        --dir ${RPM_BUILD_ROOT}%{_datadir}/applications         \
        %{SOURCE3}

%files
%doc NEWS README GESTURES TODO
%{_bindir}/xwrits
%{_mandir}/man1/*
%{_datadir}/pixmaps/xwrits.png
%{_datadir}/applications/xwrits.desktop

%changelog
