Group: Shells
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global debug_package %{nil}

Summary: A filemanager similar to XTree
Name: ytree
Version: 2.03
Release: alt1_2

License: GPLv2+
URL: https://www.han.de/~werner/ytree.html
Source0: https://www.han.de/~werner/%{name}-%{version}.tar.gz

BuildRequires: gcc
BuildRequires: libncurses++-devel libncurses-devel libncursesw-devel libtic-devel libtinfo-devel
BuildRequires: readline-devel >= 4.3 
Source44: import.info

%description
A console based file manager in the tradition of Xtree.

%prep
%setup -q


%build
%make_build

%install
install -m644 -D -p ytree.1 $RPM_BUILD_ROOT/%{_mandir}/man1/ytree.1
install -m755 -D -p ytree $RPM_BUILD_ROOT/%{_bindir}/ytree

%files 
%doc CHANGES COPYING README THANKS ytree.conf
%doc %{_mandir}/man1/ytree.1*
%{_bindir}/ytree

%changelog
