%add_findreq_skiplist %{_bindir}/flies
Group: Development/Tools
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-setuptools
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:          zanata-python-client
Version:       1.5.3
Release:       alt1_5
Summary:       Python3 Client for Zanata Server
License:       LGPLv2+
URL:           http://zanata.org
Source0:       https://github.com/zanata/zanata-python-client/archive/v%{version}.tar.gz

BuildArch:     noarch
BuildRequires: python3-module-distribute
BuildRequires: python3-devel

%global _description\
Zanata Python client is a client that communicate with Zanata server.
Source44: import.info

%description 

%_description

%package -n python3-module-zanata-python-client
Group: Development/Tools
Summary:       %summary
#Requires:      python3dist(polib)
#Requires:      python3dist(httplib2)
#Requires:      python3dist(lxml)
#Requires:      python3dist(future)
%{?python_provide:%python_provide python3-zanata-client}

%description -n python3-module-zanata-python-client
%_description

%prep
%setup -q


%build
%python3_build
cp -pr zanataclient/VERSION-FILE build/lib/zanataclient

%install
%python3_install

# Let the docdir be by name python3-zanata-client
rm -rf $RPM_BUILD_ROOT/%{_docdir}

%files -n zanata-python-client
%doc README.rst zanata.ini zanata_example.xml CHANGELOG
%doc --no-dereference COPYING.LESSER
%{_bindir}/flies
%{_bindir}/zanata
%{python3_sitelibdir_noarch}/zanataclient
%{python3_sitelibdir_noarch}/zanata_python_client-%{version}-py3.?.egg-info

%changelog
