Group: Other
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           zsh-lovers
Version:        0.9.1
Release:        alt2_5
Summary:        A collection of tips, tricks and examples for the Z shell
License:        GPLv2
URL:            https://grml.org/zsh/#zshlovers
Source0:        https://deb.grml.org/pool/main/z/zsh-lovers/zsh-lovers_%{version}.tar.xz
BuildArch:      noarch
BuildRequires:  asciidoc asciidoc-a2x
Source44: import.info

%description
zsh-lovers is a small project which tries to collect tips, tricks and examples
for the Z shell. 

This package only ships a manpage of the collection.

%prep
%setup -q


%build
a2x -vv -L -f manpage zsh-lovers.1.txt

%install
install -pDm644 zsh-lovers.1 %{buildroot}%{_mandir}/man1/zsh-lovers.1

%files
%doc README.md
%doc --no-dereference COPYING
%{_mandir}/man1/zsh-lovers.1*

%changelog
